#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2790
#define LARGE_STATE_COUNT 637
#define SYMBOL_COUNT 410
#define ALIAS_COUNT 0
#define TOKEN_COUNT 193
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 28
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 208

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_declaration_token2 = 14,
  aux_sym_namespace_use_declaration_token3 = 15,
  anon_sym_BSLASH = 16,
  aux_sym_namespace_aliasing_clause_token1 = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  sym_var_modifier = 33,
  aux_sym_use_instead_of_clause_token1 = 34,
  aux_sym_visibility_modifier_token1 = 35,
  aux_sym_visibility_modifier_token2 = 36,
  aux_sym_visibility_modifier_token3 = 37,
  aux_sym__arrow_function_header_token1 = 38,
  anon_sym_EQ_GT = 39,
  anon_sym_LPAREN = 40,
  anon_sym_RPAREN = 41,
  anon_sym_DOT_DOT_DOT = 42,
  anon_sym_QMARK = 43,
  sym_bottom_type = 44,
  anon_sym_PIPE = 45,
  anon_sym_array = 46,
  aux_sym_primitive_type_token1 = 47,
  anon_sym_iterable = 48,
  anon_sym_bool = 49,
  anon_sym_float = 50,
  anon_sym_void = 51,
  anon_sym_mixed = 52,
  anon_sym_false = 53,
  anon_sym_null = 54,
  anon_sym_true = 55,
  aux_sym_cast_type_token1 = 56,
  aux_sym_cast_type_token2 = 57,
  aux_sym_cast_type_token3 = 58,
  aux_sym_cast_type_token4 = 59,
  aux_sym_cast_type_token5 = 60,
  aux_sym_cast_type_token6 = 61,
  aux_sym_cast_type_token7 = 62,
  aux_sym_cast_type_token8 = 63,
  aux_sym_cast_type_token9 = 64,
  aux_sym_cast_type_token10 = 65,
  aux_sym_cast_type_token11 = 66,
  aux_sym_cast_type_token12 = 67,
  aux_sym_echo_statement_token1 = 68,
  aux_sym_exit_statement_token1 = 69,
  anon_sym_unset = 70,
  aux_sym_declare_statement_token1 = 71,
  aux_sym_declare_statement_token2 = 72,
  anon_sym_ticks = 73,
  anon_sym_encoding = 74,
  anon_sym_strict_types = 75,
  sym_float = 76,
  aux_sym_try_statement_token1 = 77,
  aux_sym_catch_clause_token1 = 78,
  aux_sym_finally_clause_token1 = 79,
  aux_sym_goto_statement_token1 = 80,
  aux_sym_continue_statement_token1 = 81,
  aux_sym_break_statement_token1 = 82,
  sym_integer = 83,
  aux_sym_return_statement_token1 = 84,
  aux_sym_throw_expression_token1 = 85,
  aux_sym_while_statement_token1 = 86,
  aux_sym_while_statement_token2 = 87,
  aux_sym_do_statement_token1 = 88,
  aux_sym_for_statement_token1 = 89,
  aux_sym_for_statement_token2 = 90,
  aux_sym_foreach_statement_token1 = 91,
  aux_sym_foreach_statement_token2 = 92,
  aux_sym_if_statement_token1 = 93,
  aux_sym_if_statement_token2 = 94,
  aux_sym_else_if_clause_token1 = 95,
  aux_sym_else_clause_token1 = 96,
  aux_sym_match_expression_token1 = 97,
  aux_sym_match_default_expression_token1 = 98,
  aux_sym_switch_statement_token1 = 99,
  aux_sym_switch_block_token1 = 100,
  anon_sym_PLUS = 101,
  anon_sym_DASH = 102,
  anon_sym_TILDE = 103,
  anon_sym_BANG = 104,
  anon_sym_AT = 105,
  aux_sym_clone_expression_token1 = 106,
  anon_sym_COLON_COLON = 107,
  aux_sym_print_intrinsic_token1 = 108,
  aux_sym_object_creation_expression_token1 = 109,
  anon_sym_DASH_DASH = 110,
  anon_sym_PLUS_PLUS = 111,
  anon_sym_STAR_STAR_EQ = 112,
  anon_sym_STAR_EQ = 113,
  anon_sym_SLASH_EQ = 114,
  anon_sym_PERCENT_EQ = 115,
  anon_sym_PLUS_EQ = 116,
  anon_sym_DASH_EQ = 117,
  anon_sym_DOT_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_QMARK_QMARK_EQ = 124,
  anon_sym_DASH_GT = 125,
  anon_sym_QMARK_DASH_GT = 126,
  aux_sym__list_destructing_token1 = 127,
  anon_sym_LBRACK = 128,
  anon_sym_RBRACK = 129,
  anon_sym_self = 130,
  anon_sym_parent = 131,
  aux_sym__argument_name_token1 = 132,
  aux_sym__argument_name_token2 = 133,
  anon_sym_POUND_LBRACK = 134,
  sym_escape_sequence = 135,
  anon_sym_BSLASHu = 136,
  aux_sym_encapsed_string_token1 = 137,
  anon_sym_DQUOTE = 138,
  aux_sym_string_token1 = 139,
  anon_sym_SQUOTE = 140,
  aux_sym_string_token2 = 141,
  aux_sym_string_content_token1 = 142,
  anon_sym_LT_LT_LT = 143,
  anon_sym_DQUOTE2 = 144,
  sym__new_line = 145,
  anon_sym_SQUOTE2 = 146,
  anon_sym_BQUOTE = 147,
  anon_sym_DOLLAR = 148,
  aux_sym_yield_expression_token1 = 149,
  aux_sym_yield_expression_token2 = 150,
  aux_sym_binary_expression_token1 = 151,
  anon_sym_QMARK_QMARK = 152,
  anon_sym_STAR_STAR = 153,
  aux_sym_binary_expression_token2 = 154,
  aux_sym_binary_expression_token3 = 155,
  aux_sym_binary_expression_token4 = 156,
  anon_sym_PIPE_PIPE = 157,
  anon_sym_AMP_AMP = 158,
  anon_sym_CARET = 159,
  anon_sym_EQ_EQ = 160,
  anon_sym_BANG_EQ = 161,
  anon_sym_LT_GT = 162,
  anon_sym_EQ_EQ_EQ = 163,
  anon_sym_BANG_EQ_EQ = 164,
  anon_sym_LT = 165,
  anon_sym_GT = 166,
  anon_sym_LT_EQ = 167,
  anon_sym_GT_EQ = 168,
  anon_sym_LT_EQ_GT = 169,
  anon_sym_LT_LT = 170,
  anon_sym_GT_GT = 171,
  anon_sym_DOT = 172,
  anon_sym_STAR = 173,
  anon_sym_SLASH = 174,
  anon_sym_PERCENT = 175,
  aux_sym_include_expression_token1 = 176,
  aux_sym_include_once_expression_token1 = 177,
  aux_sym_require_expression_token1 = 178,
  aux_sym_require_once_expression_token1 = 179,
  sym_comment = 180,
  sym__automatic_semicolon = 181,
  sym_encapsed_string_chars = 182,
  sym_encapsed_string_chars_after_variable = 183,
  sym_execution_string_chars = 184,
  sym_execution_string_chars_after_variable = 185,
  sym_encapsed_string_chars_heredoc = 186,
  sym_encapsed_string_chars_after_variable_heredoc = 187,
  sym__eof = 188,
  sym_heredoc_start = 189,
  sym_heredoc_end = 190,
  sym_nowdoc_string = 191,
  sym_sentinel_error = 192,
  sym_program = 193,
  sym_text_interpolation = 194,
  sym_text = 195,
  sym_statement = 196,
  sym_empty_statement = 197,
  sym_reference_modifier = 198,
  sym_function_static_declaration = 199,
  sym_static_variable_declaration = 200,
  sym_global_declaration = 201,
  sym_namespace_definition = 202,
  sym_namespace_use_declaration = 203,
  sym_namespace_use_clause = 204,
  sym_qualified_name = 205,
  sym_namespace_name_as_prefix = 206,
  sym_namespace_name = 207,
  sym_namespace_aliasing_clause = 208,
  sym_namespace_use_group = 209,
  sym_namespace_use_group_clause = 210,
  sym_trait_declaration = 211,
  sym_interface_declaration = 212,
  sym_base_clause = 213,
  sym_enum_declaration = 214,
  sym_enum_declaration_list = 215,
  sym__enum_member_declaration = 216,
  sym_enum_case = 217,
  sym_class_declaration = 218,
  sym_declaration_list = 219,
  sym_final_modifier = 220,
  sym_abstract_modifier = 221,
  sym_readonly_modifier = 222,
  sym_class_interface_clause = 223,
  sym__member_declaration = 224,
  sym_const_declaration = 225,
  sym__class_const_declaration = 226,
  sym__const_declaration = 227,
  sym_property_declaration = 228,
  sym__modifier = 229,
  sym_property_element = 230,
  sym_property_initializer = 231,
  sym_method_declaration = 232,
  sym_static_modifier = 233,
  sym_use_declaration = 234,
  sym_use_list = 235,
  sym_use_instead_of_clause = 236,
  sym_use_as_clause = 237,
  sym_visibility_modifier = 238,
  sym_function_definition = 239,
  sym__function_definition_header = 240,
  sym__arrow_function_header = 241,
  sym_arrow_function = 242,
  sym_formal_parameters = 243,
  sym_property_promotion_parameter = 244,
  sym_simple_parameter = 245,
  sym_variadic_parameter = 246,
  sym_type = 247,
  sym__types = 248,
  sym_named_type = 249,
  sym_optional_type = 250,
  sym_union_type = 251,
  sym_intersection_type = 252,
  sym_disjunctive_normal_form_type = 253,
  sym_primitive_type = 254,
  sym_cast_type = 255,
  sym__return_type = 256,
  sym_const_element = 257,
  sym_echo_statement = 258,
  sym_exit_statement = 259,
  sym_unset_statement = 260,
  sym_declare_statement = 261,
  sym_declare_directive = 262,
  sym_literal = 263,
  sym_try_statement = 264,
  sym_catch_clause = 265,
  sym_type_list = 266,
  sym_finally_clause = 267,
  sym_goto_statement = 268,
  sym_continue_statement = 269,
  sym_break_statement = 270,
  sym_return_statement = 271,
  sym_throw_expression = 272,
  sym_while_statement = 273,
  sym_do_statement = 274,
  sym_for_statement = 275,
  sym__expressions = 276,
  sym_sequence_expression = 277,
  sym_foreach_statement = 278,
  sym_foreach_pair = 279,
  sym_if_statement = 280,
  sym_colon_block = 281,
  sym_else_if_clause = 282,
  sym_else_clause = 283,
  sym_else_if_clause_2 = 284,
  sym_else_clause_2 = 285,
  sym_match_expression = 286,
  sym_match_block = 287,
  sym_match_condition_list = 288,
  sym_match_conditional_expression = 289,
  sym_match_default_expression = 290,
  sym_switch_statement = 291,
  sym_switch_block = 292,
  sym_case_statement = 293,
  sym_default_statement = 294,
  sym_compound_statement = 295,
  sym_named_label_statement = 296,
  sym_expression_statement = 297,
  sym_expression = 298,
  sym__unary_expression = 299,
  sym_unary_op_expression = 300,
  sym_error_suppression_expression = 301,
  sym_clone_expression = 302,
  sym_primary_expression = 303,
  sym_parenthesized_expression = 304,
  sym_class_constant_access_expression = 305,
  sym_print_intrinsic = 306,
  sym_anonymous_function_creation_expression = 307,
  sym_anonymous_function_use_clause = 308,
  sym_object_creation_expression = 309,
  sym_update_expression = 310,
  sym_cast_expression = 311,
  sym_cast_variable = 312,
  sym_assignment_expression = 313,
  sym_reference_assignment_expression = 314,
  sym_conditional_expression = 315,
  sym_augmented_assignment_expression = 316,
  sym_member_access_expression = 317,
  sym_nullsafe_member_access_expression = 318,
  sym_scoped_property_access_expression = 319,
  sym_list_literal = 320,
  sym__list_destructing = 321,
  sym__array_destructing = 322,
  sym__array_destructing_element = 323,
  sym_function_call_expression = 324,
  sym_scoped_call_expression = 325,
  sym__scope_resolution_qualifier = 326,
  sym_relative_scope = 327,
  sym_variadic_placeholder = 328,
  sym_arguments = 329,
  sym_argument = 330,
  sym__argument_name = 331,
  sym_member_call_expression = 332,
  sym_nullsafe_member_call_expression = 333,
  sym_variadic_unpacking = 334,
  sym_subscript_expression = 335,
  sym__dereferencable_expression = 336,
  sym_array_creation_expression = 337,
  sym_attribute_group = 338,
  sym_attribute_list = 339,
  sym_attribute = 340,
  sym__complex_string_part = 341,
  sym__simple_string_member_access_expression = 342,
  sym__simple_string_subscript_unary_expression = 343,
  sym__simple_string_array_access_argument = 344,
  sym__simple_string_subscript_expression = 345,
  sym__simple_string_part = 346,
  aux_sym__interpolated_string_body = 347,
  aux_sym__interpolated_string_body_heredoc = 348,
  sym_encapsed_string = 349,
  sym_string = 350,
  sym_string_content = 351,
  sym_heredoc_body = 352,
  sym_heredoc = 353,
  sym_nowdoc_body = 354,
  sym_nowdoc = 355,
  aux_sym__interpolated_execution_operator_body = 356,
  sym_shell_command_expression = 357,
  sym_boolean = 358,
  sym_null = 359,
  sym__string = 360,
  sym_dynamic_variable_name = 361,
  sym_variable_name = 362,
  sym_variable_reference = 363,
  sym_by_ref = 364,
  sym_yield_expression = 365,
  sym_array_element_initializer = 366,
  sym_binary_expression = 367,
  sym_include_expression = 368,
  sym_include_once_expression = 369,
  sym_require_expression = 370,
  sym_require_once_expression = 371,
  sym__reserved_identifier = 372,
  aux_sym_program_repeat1 = 373,
  aux_sym_text_repeat1 = 374,
  aux_sym_function_static_declaration_repeat1 = 375,
  aux_sym_global_declaration_repeat1 = 376,
  aux_sym_namespace_use_declaration_repeat1 = 377,
  aux_sym_namespace_name_repeat1 = 378,
  aux_sym_namespace_use_group_repeat1 = 379,
  aux_sym_base_clause_repeat1 = 380,
  aux_sym_enum_declaration_list_repeat1 = 381,
  aux_sym_class_declaration_repeat1 = 382,
  aux_sym_declaration_list_repeat1 = 383,
  aux_sym__const_declaration_repeat1 = 384,
  aux_sym_property_declaration_repeat1 = 385,
  aux_sym_use_list_repeat1 = 386,
  aux_sym_formal_parameters_repeat1 = 387,
  aux_sym_union_type_repeat1 = 388,
  aux_sym_intersection_type_repeat1 = 389,
  aux_sym_disjunctive_normal_form_type_repeat1 = 390,
  aux_sym_unset_statement_repeat1 = 391,
  aux_sym_try_statement_repeat1 = 392,
  aux_sym_type_list_repeat1 = 393,
  aux_sym_if_statement_repeat1 = 394,
  aux_sym_if_statement_repeat2 = 395,
  aux_sym_match_block_repeat1 = 396,
  aux_sym_match_condition_list_repeat1 = 397,
  aux_sym_switch_block_repeat1 = 398,
  aux_sym_anonymous_function_use_clause_repeat1 = 399,
  aux_sym__list_destructing_repeat1 = 400,
  aux_sym__array_destructing_repeat1 = 401,
  aux_sym_arguments_repeat1 = 402,
  aux_sym_array_creation_expression_repeat1 = 403,
  aux_sym_attribute_group_repeat1 = 404,
  aux_sym_attribute_list_repeat1 = 405,
  aux_sym_string_repeat1 = 406,
  aux_sym_string_content_repeat1 = 407,
  aux_sym_heredoc_body_repeat1 = 408,
  aux_sym_nowdoc_body_repeat1 = 409,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_attributes = 4,
  field_body = 5,
  field_condition = 6,
  field_conditional_expressions = 7,
  field_default_value = 8,
  field_end_tag = 9,
  field_function = 10,
  field_identifier = 11,
  field_initialize = 12,
  field_left = 13,
  field_name = 14,
  field_object = 15,
  field_operator = 16,
  field_parameters = 17,
  field_readonly = 18,
  field_reference_modifier = 19,
  field_return_expression = 20,
  field_return_type = 21,
  field_right = 22,
  field_scope = 23,
  field_static_modifier = 24,
  field_type = 25,
  field_update = 26,
  field_value = 27,
  field_visibility = 28,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 4},
  [10] = {.index = 14, .length = 2},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 2},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [15] = {.index = 23, .length = 2},
  [16] = {.index = 25, .length = 2},
  [18] = {.index = 27, .length = 2},
  [19] = {.index = 29, .length = 2},
  [20] = {.index = 31, .length = 1},
  [21] = {.index = 32, .length = 5},
  [22] = {.index = 37, .length = 3},
  [23] = {.index = 40, .length = 2},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 2},
  [26] = {.index = 46, .length = 2},
  [27] = {.index = 48, .length = 5},
  [28] = {.index = 53, .length = 2},
  [29] = {.index = 55, .length = 2},
  [30] = {.index = 57, .length = 2},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 3},
  [34] = {.index = 66, .length = 2},
  [35] = {.index = 68, .length = 3},
  [36] = {.index = 71, .length = 1},
  [37] = {.index = 72, .length = 3},
  [38] = {.index = 75, .length = 2},
  [39] = {.index = 77, .length = 1},
  [40] = {.index = 78, .length = 2},
  [41] = {.index = 80, .length = 2},
  [42] = {.index = 82, .length = 3},
  [43] = {.index = 85, .length = 2},
  [44] = {.index = 87, .length = 1},
  [45] = {.index = 88, .length = 3},
  [46] = {.index = 91, .length = 3},
  [47] = {.index = 94, .length = 1},
  [50] = {.index = 95, .length = 2},
  [51] = {.index = 97, .length = 3},
  [52] = {.index = 100, .length = 2},
  [53] = {.index = 1, .length = 1},
  [54] = {.index = 102, .length = 1},
  [55] = {.index = 103, .length = 1},
  [56] = {.index = 104, .length = 3},
  [57] = {.index = 107, .length = 2},
  [58] = {.index = 109, .length = 2},
  [59] = {.index = 111, .length = 2},
  [60] = {.index = 113, .length = 2},
  [61] = {.index = 115, .length = 3},
  [62] = {.index = 118, .length = 3},
  [63] = {.index = 121, .length = 3},
  [64] = {.index = 124, .length = 3},
  [65] = {.index = 127, .length = 3},
  [66] = {.index = 130, .length = 3},
  [67] = {.index = 133, .length = 2},
  [68] = {.index = 135, .length = 2},
  [69] = {.index = 137, .length = 2},
  [70] = {.index = 139, .length = 3},
  [71] = {.index = 142, .length = 3},
  [72] = {.index = 145, .length = 2},
  [73] = {.index = 147, .length = 3},
  [74] = {.index = 150, .length = 2},
  [75] = {.index = 152, .length = 3},
  [76] = {.index = 155, .length = 3},
  [77] = {.index = 158, .length = 3},
  [78] = {.index = 161, .length = 2},
  [79] = {.index = 163, .length = 3},
  [80] = {.index = 166, .length = 4},
  [81] = {.index = 170, .length = 3},
  [82] = {.index = 173, .length = 3},
  [83] = {.index = 176, .length = 1},
  [84] = {.index = 177, .length = 3},
  [85] = {.index = 180, .length = 2},
  [86] = {.index = 182, .length = 2},
  [87] = {.index = 182, .length = 2},
  [88] = {.index = 184, .length = 2},
  [89] = {.index = 186, .length = 4},
  [90] = {.index = 190, .length = 2},
  [91] = {.index = 192, .length = 3},
  [92] = {.index = 195, .length = 3},
  [93] = {.index = 198, .length = 2},
  [94] = {.index = 200, .length = 3},
  [95] = {.index = 203, .length = 2},
  [96] = {.index = 205, .length = 4},
  [97] = {.index = 209, .length = 4},
  [98] = {.index = 213, .length = 3},
  [99] = {.index = 216, .length = 3},
  [100] = {.index = 219, .length = 3},
  [102] = {.index = 222, .length = 2},
  [103] = {.index = 224, .length = 4},
  [104] = {.index = 228, .length = 4},
  [105] = {.index = 232, .length = 3},
  [106] = {.index = 235, .length = 3},
  [107] = {.index = 238, .length = 4},
  [108] = {.index = 242, .length = 4},
  [109] = {.index = 246, .length = 3},
  [110] = {.index = 249, .length = 3},
  [111] = {.index = 252, .length = 3},
  [112] = {.index = 255, .length = 1},
  [113] = {.index = 256, .length = 2},
  [114] = {.index = 258, .length = 3},
  [115] = {.index = 261, .length = 4},
  [116] = {.index = 265, .length = 3},
  [117] = {.index = 268, .length = 3},
  [118] = {.index = 271, .length = 3},
  [119] = {.index = 274, .length = 3},
  [120] = {.index = 277, .length = 4},
  [121] = {.index = 281, .length = 4},
  [122] = {.index = 285, .length = 3},
  [123] = {.index = 288, .length = 4},
  [124] = {.index = 292, .length = 3},
  [125] = {.index = 295, .length = 4},
  [126] = {.index = 299, .length = 2},
  [127] = {.index = 301, .length = 4},
  [128] = {.index = 305, .length = 3},
  [129] = {.index = 308, .length = 4},
  [130] = {.index = 312, .length = 2},
  [131] = {.index = 314, .length = 1},
  [132] = {.index = 315, .length = 1},
  [133] = {.index = 316, .length = 2},
  [134] = {.index = 318, .length = 1},
  [137] = {.index = 319, .length = 3},
  [138] = {.index = 322, .length = 3},
  [139] = {.index = 325, .length = 3},
  [140] = {.index = 328, .length = 5},
  [141] = {.index = 333, .length = 4},
  [142] = {.index = 337, .length = 4},
  [143] = {.index = 341, .length = 3},
  [144] = {.index = 344, .length = 3},
  [145] = {.index = 347, .length = 5},
  [146] = {.index = 352, .length = 4},
  [147] = {.index = 356, .length = 4},
  [148] = {.index = 360, .length = 3},
  [149] = {.index = 360, .length = 3},
  [150] = {.index = 363, .length = 5},
  [151] = {.index = 368, .length = 5},
  [152] = {.index = 373, .length = 4},
  [153] = {.index = 377, .length = 4},
  [154] = {.index = 381, .length = 3},
  [155] = {.index = 384, .length = 2},
  [156] = {.index = 386, .length = 4},
  [157] = {.index = 390, .length = 4},
  [158] = {.index = 394, .length = 4},
  [159] = {.index = 398, .length = 4},
  [160] = {.index = 402, .length = 5},
  [161] = {.index = 407, .length = 4},
  [162] = {.index = 411, .length = 4},
  [163] = {.index = 415, .length = 4},
  [164] = {.index = 419, .length = 1},
  [165] = {.index = 420, .length = 4},
  [166] = {.index = 424, .length = 5},
  [167] = {.index = 429, .length = 2},
  [168] = {.index = 431, .length = 1},
  [169] = {.index = 432, .length = 2},
  [170] = {.index = 434, .length = 1},
  [171] = {.index = 435, .length = 2},
  [172] = {.index = 437, .length = 1},
  [173] = {.index = 438, .length = 2},
  [174] = {.index = 440, .length = 1},
  [175] = {.index = 441, .length = 3},
  [176] = {.index = 444, .length = 5},
  [177] = {.index = 449, .length = 5},
  [178] = {.index = 454, .length = 3},
  [179] = {.index = 457, .length = 6},
  [180] = {.index = 463, .length = 5},
  [181] = {.index = 468, .length = 5},
  [182] = {.index = 473, .length = 3},
  [183] = {.index = 476, .length = 5},
  [184] = {.index = 481, .length = 5},
  [185] = {.index = 486, .length = 5},
  [186] = {.index = 491, .length = 5},
  [187] = {.index = 496, .length = 2},
  [188] = {.index = 498, .length = 2},
  [189] = {.index = 500, .length = 3},
  [190] = {.index = 503, .length = 2},
  [191] = {.index = 505, .length = 3},
  [192] = {.index = 508, .length = 2},
  [193] = {.index = 510, .length = 3},
  [194] = {.index = 513, .length = 2},
  [195] = {.index = 515, .length = 3},
  [196] = {.index = 518, .length = 6},
  [197] = {.index = 524, .length = 6},
  [198] = {.index = 530, .length = 3},
  [199] = {.index = 533, .length = 3},
  [200] = {.index = 536, .length = 4},
  [201] = {.index = 540, .length = 2},
  [202] = {.index = 542, .length = 2},
  [203] = {.index = 544, .length = 2},
  [204] = {.index = 546, .length = 3},
  [205] = {.index = 549, .length = 3},
  [206] = {.index = 552, .length = 3},
  [207] = {.index = 555, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_body, 1},
  [3] =
    {field_parameters, 1},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [8] =
    {field_arguments, 1},
    {field_function, 0},
  [10] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [14] =
    {field_argument, 0},
    {field_operator, 1},
  [16] =
    {field_name, 1},
  [17] =
    {field_body, 2},
    {field_name, 1},
  [19] =
    {field_name, 1},
    {field_parameters, 2},
  [21] =
    {field_body, 2},
    {field_parameters, 1},
  [23] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [25] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [27] =
    {field_body, 2},
    {field_condition, 1},
  [29] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [31] =
    {field_parameters, 2},
  [32] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [37] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [40] =
    {field_left, 0},
    {field_right, 2},
  [42] =
    {field_name, 2},
    {field_scope, 0},
  [44] =
    {field_name, 2},
    {field_object, 0},
  [46] =
    {field_attributes, 0},
    {field_parameters, 2},
  [48] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [53] =
    {field_name, 0},
    {field_value, 2},
  [55] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [57] =
    {field_name, 1},
    {field_visibility, 0},
  [59] =
    {field_name, 1},
    {field_type, 0},
  [61] =
    {field_attributes, 0},
    {field_name, 1},
  [63] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [66] =
    {field_name, 2},
    {field_parameters, 3},
  [68] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [71] =
    {field_return_type, 1},
  [72] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [75] =
    {field_body, 3},
    {field_parameters, 1},
  [77] =
    {field_type, 1},
  [78] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [80] =
    {field_body, 3},
    {field_name, 1},
  [82] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [85] =
    {field_type, 1},
    {field_value, 3},
  [87] =
    {field_alternative, 0},
  [88] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [91] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [94] =
    {field_attributes, 1},
  [95] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [97] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [100] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [102] =
    {field_reference_modifier, 0},
  [103] =
    {field_name, 0, .inherited = true},
  [104] =
    {field_body, 3},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [107] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [109] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [111] =
    {field_alternative, 3},
    {field_condition, 0},
  [113] =
    {field_left, 0},
    {field_right, 3},
  [115] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [118] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [121] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [124] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [127] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [130] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
  [135] =
    {field_body, 3},
    {field_name, 2},
  [137] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [139] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [142] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [145] =
    {field_name, 2},
    {field_type, 0},
  [147] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [150] =
    {field_attributes, 0},
    {field_name, 2},
  [152] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [155] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [158] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [161] =
    {field_default_value, 2},
    {field_name, 0},
  [163] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [166] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [170] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [173] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [176] =
    {field_type, 1, .inherited = true},
  [177] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [180] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [182] =
    {field_body, 4},
    {field_name, 1},
  [184] =
    {field_body, 1},
    {field_condition, 3},
  [186] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [190] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [192] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [195] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [198] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [200] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [203] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [205] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [209] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [213] =
    {field_body, 4},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [216] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [219] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [222] =
    {field_name, 3},
    {field_object, 0},
  [224] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [228] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [235] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [238] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [242] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [246] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [249] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [252] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [255] =
    {field_type, 2},
  [256] =
    {field_body, 4},
    {field_name, 2},
  [258] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [261] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [265] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [268] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [271] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [274] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [277] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [281] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [285] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [288] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [292] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [295] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [299] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [301] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [305] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [308] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [312] =
    {field_body, 5},
    {field_name, 1},
  [314] =
    {field_body, 5},
  [315] =
    {field_return_expression, 2},
  [316] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [318] =
    {field_value, 1},
  [319] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [322] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [325] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [328] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [333] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [337] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [341] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [344] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [347] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [352] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [356] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [360] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [363] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [368] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [373] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [377] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [381] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [384] =
    {field_body, 5},
    {field_name, 2},
  [386] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [390] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [394] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [398] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [402] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [407] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [411] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [415] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [419] =
    {field_attributes, 0},
  [420] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [424] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [429] =
    {field_body, 4},
    {field_type, 2},
  [431] =
    {field_update, 4},
  [432] =
    {field_body, 6},
    {field_update, 4},
  [434] =
    {field_condition, 3},
  [435] =
    {field_body, 6},
    {field_condition, 3},
  [437] =
    {field_initialize, 2},
  [438] =
    {field_body, 6},
    {field_initialize, 2},
  [440] =
    {field_body, 6},
  [441] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [444] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [449] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [454] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [457] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [463] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [468] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [473] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [476] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [481] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [486] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [491] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [496] =
    {field_attributes, 0},
    {field_type, 2},
  [498] =
    {field_name, 1},
    {field_value, 3},
  [500] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [503] =
    {field_condition, 3},
    {field_update, 5},
  [505] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [508] =
    {field_initialize, 2},
    {field_update, 5},
  [510] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [513] =
    {field_condition, 4},
    {field_initialize, 2},
  [515] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [518] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [524] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [530] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [533] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [536] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [540] =
    {field_body, 7},
    {field_update, 4},
  [542] =
    {field_body, 7},
    {field_condition, 3},
  [544] =
    {field_body, 7},
    {field_initialize, 2},
  [546] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [549] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [552] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [555] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = sym_list_literal,
  },
  [17] = {
    [0] = anon_sym_array,
  },
  [48] = {
    [1] = sym_list_literal,
  },
  [49] = {
    [2] = sym_list_literal,
  },
  [53] = {
    [0] = sym_name,
  },
  [86] = {
    [3] = sym_primitive_type,
  },
  [101] = {
    [3] = sym_name,
  },
  [130] = {
    [3] = sym_primitive_type,
  },
  [135] = {
    [3] = sym_list_literal,
  },
  [136] = {
    [4] = sym_list_literal,
  },
  [148] = {
    [4] = sym_primitive_type,
  },
  [178] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 2,
  [10] = 8,
  [11] = 7,
  [12] = 12,
  [13] = 12,
  [14] = 12,
  [15] = 12,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 16,
  [23] = 23,
  [24] = 21,
  [25] = 25,
  [26] = 26,
  [27] = 18,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 33,
  [36] = 30,
  [37] = 28,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 19,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 16,
  [48] = 48,
  [49] = 20,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 41,
  [55] = 55,
  [56] = 56,
  [57] = 41,
  [58] = 53,
  [59] = 20,
  [60] = 50,
  [61] = 17,
  [62] = 23,
  [63] = 26,
  [64] = 64,
  [65] = 21,
  [66] = 56,
  [67] = 55,
  [68] = 52,
  [69] = 29,
  [70] = 51,
  [71] = 48,
  [72] = 16,
  [73] = 46,
  [74] = 45,
  [75] = 44,
  [76] = 32,
  [77] = 42,
  [78] = 39,
  [79] = 19,
  [80] = 38,
  [81] = 81,
  [82] = 21,
  [83] = 64,
  [84] = 50,
  [85] = 33,
  [86] = 64,
  [87] = 23,
  [88] = 17,
  [89] = 23,
  [90] = 64,
  [91] = 34,
  [92] = 17,
  [93] = 30,
  [94] = 40,
  [95] = 28,
  [96] = 28,
  [97] = 30,
  [98] = 33,
  [99] = 40,
  [100] = 19,
  [101] = 20,
  [102] = 40,
  [103] = 103,
  [104] = 41,
  [105] = 31,
  [106] = 106,
  [107] = 50,
  [108] = 108,
  [109] = 108,
  [110] = 110,
  [111] = 108,
  [112] = 108,
  [113] = 113,
  [114] = 110,
  [115] = 113,
  [116] = 116,
  [117] = 116,
  [118] = 116,
  [119] = 116,
  [120] = 120,
  [121] = 121,
  [122] = 120,
  [123] = 120,
  [124] = 120,
  [125] = 121,
  [126] = 120,
  [127] = 120,
  [128] = 121,
  [129] = 121,
  [130] = 121,
  [131] = 120,
  [132] = 132,
  [133] = 133,
  [134] = 133,
  [135] = 132,
  [136] = 132,
  [137] = 132,
  [138] = 133,
  [139] = 132,
  [140] = 132,
  [141] = 132,
  [142] = 133,
  [143] = 132,
  [144] = 133,
  [145] = 145,
  [146] = 146,
  [147] = 146,
  [148] = 146,
  [149] = 145,
  [150] = 150,
  [151] = 145,
  [152] = 152,
  [153] = 145,
  [154] = 145,
  [155] = 146,
  [156] = 146,
  [157] = 150,
  [158] = 146,
  [159] = 152,
  [160] = 145,
  [161] = 145,
  [162] = 145,
  [163] = 146,
  [164] = 146,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 166,
  [169] = 169,
  [170] = 169,
  [171] = 165,
  [172] = 172,
  [173] = 167,
  [174] = 174,
  [175] = 172,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 176,
  [183] = 181,
  [184] = 179,
  [185] = 180,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 192,
  [196] = 196,
  [197] = 194,
  [198] = 189,
  [199] = 193,
  [200] = 190,
  [201] = 190,
  [202] = 196,
  [203] = 193,
  [204] = 204,
  [205] = 194,
  [206] = 204,
  [207] = 194,
  [208] = 204,
  [209] = 204,
  [210] = 191,
  [211] = 191,
  [212] = 190,
  [213] = 193,
  [214] = 192,
  [215] = 191,
  [216] = 196,
  [217] = 189,
  [218] = 192,
  [219] = 196,
  [220] = 189,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 224,
  [227] = 221,
  [228] = 228,
  [229] = 229,
  [230] = 224,
  [231] = 224,
  [232] = 224,
  [233] = 233,
  [234] = 225,
  [235] = 233,
  [236] = 228,
  [237] = 224,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 240,
  [243] = 243,
  [244] = 240,
  [245] = 245,
  [246] = 243,
  [247] = 240,
  [248] = 239,
  [249] = 249,
  [250] = 240,
  [251] = 239,
  [252] = 245,
  [253] = 245,
  [254] = 249,
  [255] = 255,
  [256] = 240,
  [257] = 257,
  [258] = 245,
  [259] = 243,
  [260] = 243,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 261,
  [284] = 261,
  [285] = 277,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 288,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 280,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 281,
  [312] = 290,
  [313] = 300,
  [314] = 262,
  [315] = 315,
  [316] = 281,
  [317] = 317,
  [318] = 286,
  [319] = 287,
  [320] = 320,
  [321] = 279,
  [322] = 282,
  [323] = 276,
  [324] = 310,
  [325] = 278,
  [326] = 262,
  [327] = 280,
  [328] = 328,
  [329] = 291,
  [330] = 263,
  [331] = 264,
  [332] = 265,
  [333] = 275,
  [334] = 308,
  [335] = 290,
  [336] = 266,
  [337] = 267,
  [338] = 274,
  [339] = 292,
  [340] = 340,
  [341] = 341,
  [342] = 268,
  [343] = 269,
  [344] = 270,
  [345] = 271,
  [346] = 272,
  [347] = 273,
  [348] = 304,
  [349] = 272,
  [350] = 271,
  [351] = 305,
  [352] = 273,
  [353] = 353,
  [354] = 317,
  [355] = 274,
  [356] = 310,
  [357] = 275,
  [358] = 270,
  [359] = 304,
  [360] = 269,
  [361] = 279,
  [362] = 268,
  [363] = 289,
  [364] = 305,
  [365] = 267,
  [366] = 266,
  [367] = 265,
  [368] = 304,
  [369] = 264,
  [370] = 288,
  [371] = 289,
  [372] = 372,
  [373] = 277,
  [374] = 263,
  [375] = 305,
  [376] = 304,
  [377] = 300,
  [378] = 290,
  [379] = 291,
  [380] = 278,
  [381] = 281,
  [382] = 276,
  [383] = 305,
  [384] = 384,
  [385] = 280,
  [386] = 281,
  [387] = 282,
  [388] = 290,
  [389] = 304,
  [390] = 290,
  [391] = 280,
  [392] = 305,
  [393] = 287,
  [394] = 305,
  [395] = 304,
  [396] = 293,
  [397] = 294,
  [398] = 398,
  [399] = 298,
  [400] = 292,
  [401] = 293,
  [402] = 280,
  [403] = 294,
  [404] = 262,
  [405] = 261,
  [406] = 315,
  [407] = 280,
  [408] = 408,
  [409] = 298,
  [410] = 308,
  [411] = 277,
  [412] = 315,
  [413] = 286,
  [414] = 287,
  [415] = 282,
  [416] = 276,
  [417] = 417,
  [418] = 418,
  [419] = 304,
  [420] = 278,
  [421] = 291,
  [422] = 305,
  [423] = 263,
  [424] = 424,
  [425] = 290,
  [426] = 264,
  [427] = 265,
  [428] = 266,
  [429] = 267,
  [430] = 268,
  [431] = 304,
  [432] = 305,
  [433] = 286,
  [434] = 269,
  [435] = 270,
  [436] = 315,
  [437] = 271,
  [438] = 272,
  [439] = 273,
  [440] = 440,
  [441] = 274,
  [442] = 275,
  [443] = 310,
  [444] = 279,
  [445] = 445,
  [446] = 308,
  [447] = 305,
  [448] = 288,
  [449] = 290,
  [450] = 289,
  [451] = 451,
  [452] = 298,
  [453] = 294,
  [454] = 290,
  [455] = 317,
  [456] = 281,
  [457] = 293,
  [458] = 304,
  [459] = 292,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 462,
  [465] = 463,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 473,
  [476] = 476,
  [477] = 477,
  [478] = 473,
  [479] = 473,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 473,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 466,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 470,
  [597] = 597,
  [598] = 490,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 491,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 629,
  [631] = 629,
  [632] = 629,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 657,
  [659] = 642,
  [660] = 640,
  [661] = 657,
  [662] = 662,
  [663] = 637,
  [664] = 664,
  [665] = 639,
  [666] = 638,
  [667] = 641,
  [668] = 637,
  [669] = 647,
  [670] = 670,
  [671] = 636,
  [672] = 672,
  [673] = 645,
  [674] = 655,
  [675] = 633,
  [676] = 651,
  [677] = 664,
  [678] = 653,
  [679] = 672,
  [680] = 644,
  [681] = 635,
  [682] = 652,
  [683] = 657,
  [684] = 634,
  [685] = 643,
  [686] = 654,
  [687] = 649,
  [688] = 648,
  [689] = 646,
  [690] = 650,
  [691] = 691,
  [692] = 692,
  [693] = 664,
  [694] = 656,
  [695] = 656,
  [696] = 664,
  [697] = 697,
  [698] = 698,
  [699] = 698,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 640,
  [705] = 705,
  [706] = 638,
  [707] = 642,
  [708] = 639,
  [709] = 709,
  [710] = 644,
  [711] = 641,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 709,
  [716] = 654,
  [717] = 633,
  [718] = 643,
  [719] = 719,
  [720] = 649,
  [721] = 719,
  [722] = 646,
  [723] = 723,
  [724] = 645,
  [725] = 725,
  [726] = 648,
  [727] = 647,
  [728] = 635,
  [729] = 729,
  [730] = 650,
  [731] = 644,
  [732] = 652,
  [733] = 729,
  [734] = 653,
  [735] = 651,
  [736] = 655,
  [737] = 634,
  [738] = 636,
  [739] = 639,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 642,
  [750] = 638,
  [751] = 751,
  [752] = 640,
  [753] = 641,
  [754] = 642,
  [755] = 639,
  [756] = 638,
  [757] = 741,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 714,
  [762] = 760,
  [763] = 725,
  [764] = 740,
  [765] = 723,
  [766] = 641,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 641,
  [772] = 640,
  [773] = 638,
  [774] = 639,
  [775] = 642,
  [776] = 640,
  [777] = 777,
  [778] = 778,
  [779] = 778,
  [780] = 777,
  [781] = 781,
  [782] = 782,
  [783] = 646,
  [784] = 784,
  [785] = 785,
  [786] = 635,
  [787] = 787,
  [788] = 645,
  [789] = 652,
  [790] = 647,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 653,
  [799] = 655,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 634,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 633,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 628,
  [817] = 817,
  [818] = 636,
  [819] = 819,
  [820] = 654,
  [821] = 643,
  [822] = 822,
  [823] = 649,
  [824] = 648,
  [825] = 651,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 650,
  [831] = 831,
  [832] = 641,
  [833] = 466,
  [834] = 640,
  [835] = 705,
  [836] = 638,
  [837] = 714,
  [838] = 709,
  [839] = 748,
  [840] = 470,
  [841] = 713,
  [842] = 842,
  [843] = 709,
  [844] = 712,
  [845] = 845,
  [846] = 846,
  [847] = 642,
  [848] = 848,
  [849] = 751,
  [850] = 639,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 645,
  [855] = 855,
  [856] = 648,
  [857] = 634,
  [858] = 646,
  [859] = 855,
  [860] = 649,
  [861] = 861,
  [862] = 654,
  [863] = 647,
  [864] = 643,
  [865] = 650,
  [866] = 651,
  [867] = 853,
  [868] = 635,
  [869] = 653,
  [870] = 633,
  [871] = 652,
  [872] = 644,
  [873] = 636,
  [874] = 852,
  [875] = 655,
  [876] = 642,
  [877] = 641,
  [878] = 640,
  [879] = 879,
  [880] = 747,
  [881] = 768,
  [882] = 882,
  [883] = 882,
  [884] = 746,
  [885] = 745,
  [886] = 723,
  [887] = 744,
  [888] = 879,
  [889] = 889,
  [890] = 748,
  [891] = 639,
  [892] = 892,
  [893] = 638,
  [894] = 769,
  [895] = 740,
  [896] = 641,
  [897] = 490,
  [898] = 725,
  [899] = 640,
  [900] = 751,
  [901] = 760,
  [902] = 741,
  [903] = 714,
  [904] = 904,
  [905] = 767,
  [906] = 701,
  [907] = 723,
  [908] = 889,
  [909] = 725,
  [910] = 889,
  [911] = 889,
  [912] = 642,
  [913] = 639,
  [914] = 743,
  [915] = 638,
  [916] = 640,
  [917] = 641,
  [918] = 644,
  [919] = 642,
  [920] = 639,
  [921] = 741,
  [922] = 491,
  [923] = 904,
  [924] = 638,
  [925] = 760,
  [926] = 740,
  [927] = 904,
  [928] = 889,
  [929] = 892,
  [930] = 930,
  [931] = 634,
  [932] = 652,
  [933] = 814,
  [934] = 648,
  [935] = 800,
  [936] = 794,
  [937] = 646,
  [938] = 649,
  [939] = 654,
  [940] = 803,
  [941] = 797,
  [942] = 801,
  [943] = 809,
  [944] = 643,
  [945] = 645,
  [946] = 822,
  [947] = 633,
  [948] = 796,
  [949] = 813,
  [950] = 827,
  [951] = 791,
  [952] = 785,
  [953] = 787,
  [954] = 795,
  [955] = 636,
  [956] = 655,
  [957] = 653,
  [958] = 826,
  [959] = 748,
  [960] = 819,
  [961] = 804,
  [962] = 817,
  [963] = 810,
  [964] = 802,
  [965] = 635,
  [966] = 647,
  [967] = 793,
  [968] = 650,
  [969] = 805,
  [970] = 651,
  [971] = 748,
  [972] = 829,
  [973] = 628,
  [974] = 815,
  [975] = 811,
  [976] = 807,
  [977] = 806,
  [978] = 784,
  [979] = 828,
  [980] = 842,
  [981] = 751,
  [982] = 848,
  [983] = 831,
  [984] = 845,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 635,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 634,
  [997] = 997,
  [998] = 633,
  [999] = 999,
  [1000] = 1000,
  [1001] = 636,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 491,
  [1054] = 1054,
  [1055] = 490,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1072,
  [1092] = 1087,
  [1093] = 1093,
  [1094] = 1086,
  [1095] = 1084,
  [1096] = 1096,
  [1097] = 1090,
  [1098] = 1083,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1082,
  [1102] = 1080,
  [1103] = 1079,
  [1104] = 1077,
  [1105] = 1076,
  [1106] = 1075,
  [1107] = 1085,
  [1108] = 1074,
  [1109] = 1073,
  [1110] = 1061,
  [1111] = 1070,
  [1112] = 1069,
  [1113] = 1057,
  [1114] = 1068,
  [1115] = 1067,
  [1116] = 1056,
  [1117] = 1089,
  [1118] = 1066,
  [1119] = 1088,
  [1120] = 1081,
  [1121] = 1065,
  [1122] = 1071,
  [1123] = 1063,
  [1124] = 1060,
  [1125] = 1078,
  [1126] = 1059,
  [1127] = 635,
  [1128] = 1078,
  [1129] = 1074,
  [1130] = 1008,
  [1131] = 1012,
  [1132] = 1006,
  [1133] = 1004,
  [1134] = 1003,
  [1135] = 1075,
  [1136] = 1002,
  [1137] = 1000,
  [1138] = 1076,
  [1139] = 1077,
  [1140] = 999,
  [1141] = 997,
  [1142] = 1089,
  [1143] = 995,
  [1144] = 1079,
  [1145] = 1080,
  [1146] = 1022,
  [1147] = 1024,
  [1148] = 1082,
  [1149] = 1014,
  [1150] = 1013,
  [1151] = 1034,
  [1152] = 1036,
  [1153] = 1087,
  [1154] = 1073,
  [1155] = 1011,
  [1156] = 1039,
  [1157] = 1042,
  [1158] = 1033,
  [1159] = 1010,
  [1160] = 1040,
  [1161] = 1017,
  [1162] = 1056,
  [1163] = 1021,
  [1164] = 1072,
  [1165] = 470,
  [1166] = 1020,
  [1167] = 1059,
  [1168] = 1009,
  [1169] = 1026,
  [1170] = 1023,
  [1171] = 1083,
  [1172] = 1037,
  [1173] = 1043,
  [1174] = 1049,
  [1175] = 1071,
  [1176] = 466,
  [1177] = 1031,
  [1178] = 1015,
  [1179] = 1018,
  [1180] = 1086,
  [1181] = 1029,
  [1182] = 1084,
  [1183] = 1032,
  [1184] = 1019,
  [1185] = 1007,
  [1186] = 986,
  [1187] = 1081,
  [1188] = 1041,
  [1189] = 1028,
  [1190] = 1070,
  [1191] = 1085,
  [1192] = 1066,
  [1193] = 1005,
  [1194] = 634,
  [1195] = 1027,
  [1196] = 1090,
  [1197] = 1038,
  [1198] = 633,
  [1199] = 636,
  [1200] = 1047,
  [1201] = 1069,
  [1202] = 1050,
  [1203] = 1030,
  [1204] = 1016,
  [1205] = 1048,
  [1206] = 1068,
  [1207] = 1061,
  [1208] = 1057,
  [1209] = 994,
  [1210] = 1044,
  [1211] = 1060,
  [1212] = 1063,
  [1213] = 993,
  [1214] = 992,
  [1215] = 1046,
  [1216] = 1035,
  [1217] = 1065,
  [1218] = 1067,
  [1219] = 990,
  [1220] = 989,
  [1221] = 1045,
  [1222] = 1088,
  [1223] = 988,
  [1224] = 1025,
  [1225] = 985,
  [1226] = 987,
  [1227] = 1065,
  [1228] = 1088,
  [1229] = 1074,
  [1230] = 1230,
  [1231] = 1073,
  [1232] = 1086,
  [1233] = 1233,
  [1234] = 1056,
  [1235] = 1084,
  [1236] = 1075,
  [1237] = 1071,
  [1238] = 1083,
  [1239] = 1070,
  [1240] = 1089,
  [1241] = 1072,
  [1242] = 1068,
  [1243] = 1243,
  [1244] = 1066,
  [1245] = 1082,
  [1246] = 1067,
  [1247] = 1080,
  [1248] = 1233,
  [1249] = 1090,
  [1250] = 1057,
  [1251] = 1251,
  [1252] = 1069,
  [1253] = 1085,
  [1254] = 1081,
  [1255] = 1079,
  [1256] = 1061,
  [1257] = 1059,
  [1258] = 1077,
  [1259] = 1060,
  [1260] = 1076,
  [1261] = 1078,
  [1262] = 1063,
  [1263] = 1243,
  [1264] = 1087,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1078,
  [1272] = 1078,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1276,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1281,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1287,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1297,
  [1299] = 1281,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1297,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1269,
  [1310] = 1310,
  [1311] = 1281,
  [1312] = 1275,
  [1313] = 1287,
  [1314] = 1269,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1317,
  [1319] = 1285,
  [1320] = 1290,
  [1321] = 1321,
  [1322] = 1287,
  [1323] = 1297,
  [1324] = 1275,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1330,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1328,
  [1337] = 1328,
  [1338] = 1328,
  [1339] = 1326,
  [1340] = 1340,
  [1341] = 1331,
  [1342] = 1329,
  [1343] = 1343,
  [1344] = 1327,
  [1345] = 1325,
  [1346] = 1346,
  [1347] = 1325,
  [1348] = 1348,
  [1349] = 1346,
  [1350] = 1326,
  [1351] = 1348,
  [1352] = 1326,
  [1353] = 1346,
  [1354] = 1328,
  [1355] = 1327,
  [1356] = 1325,
  [1357] = 1335,
  [1358] = 1331,
  [1359] = 1348,
  [1360] = 1327,
  [1361] = 1346,
  [1362] = 1326,
  [1363] = 1329,
  [1364] = 1346,
  [1365] = 1365,
  [1366] = 1326,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1348,
  [1370] = 1325,
  [1371] = 1327,
  [1372] = 1328,
  [1373] = 1348,
  [1374] = 1348,
  [1375] = 1346,
  [1376] = 1376,
  [1377] = 1348,
  [1378] = 1326,
  [1379] = 1348,
  [1380] = 1326,
  [1381] = 1328,
  [1382] = 1328,
  [1383] = 1348,
  [1384] = 1340,
  [1385] = 1326,
  [1386] = 1340,
  [1387] = 1328,
  [1388] = 1348,
  [1389] = 1326,
  [1390] = 1340,
  [1391] = 1346,
  [1392] = 1335,
  [1393] = 1327,
  [1394] = 1335,
  [1395] = 1325,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1399,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1397,
  [1408] = 1396,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1409,
  [1413] = 1411,
  [1414] = 1411,
  [1415] = 1415,
  [1416] = 1410,
  [1417] = 1415,
  [1418] = 1415,
  [1419] = 1409,
  [1420] = 1420,
  [1421] = 1420,
  [1422] = 1420,
  [1423] = 1423,
  [1424] = 1423,
  [1425] = 1423,
  [1426] = 1426,
  [1427] = 1426,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1428,
  [1431] = 1429,
  [1432] = 1428,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1435,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1441,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1467,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1471,
  [1492] = 1492,
  [1493] = 1475,
  [1494] = 1494,
  [1495] = 1479,
  [1496] = 1496,
  [1497] = 1468,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1510,
  [1518] = 651,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 714,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1525,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1535,
  [1538] = 767,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1540,
  [1542] = 1542,
  [1543] = 1542,
  [1544] = 1540,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1542,
  [1548] = 1545,
  [1549] = 651,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1540,
  [1554] = 651,
  [1555] = 1555,
  [1556] = 1542,
  [1557] = 1540,
  [1558] = 1545,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1542,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1559,
  [1566] = 1545,
  [1567] = 1559,
  [1568] = 1542,
  [1569] = 1540,
  [1570] = 1570,
  [1571] = 1540,
  [1572] = 1545,
  [1573] = 1542,
  [1574] = 1559,
  [1575] = 1575,
  [1576] = 1545,
  [1577] = 1577,
  [1578] = 1542,
  [1579] = 1579,
  [1580] = 1540,
  [1581] = 1545,
  [1582] = 1545,
  [1583] = 1545,
  [1584] = 1540,
  [1585] = 1585,
  [1586] = 1559,
  [1587] = 1542,
  [1588] = 1540,
  [1589] = 1545,
  [1590] = 1545,
  [1591] = 1542,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1540,
  [1595] = 1542,
  [1596] = 1545,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1545,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1602,
  [1605] = 1605,
  [1606] = 1500,
  [1607] = 1603,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 460,
  [1611] = 1608,
  [1612] = 461,
  [1613] = 1609,
  [1614] = 861,
  [1615] = 1615,
  [1616] = 725,
  [1617] = 1617,
  [1618] = 1615,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 642,
  [1622] = 723,
  [1623] = 1623,
  [1624] = 1620,
  [1625] = 1620,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1478,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1615,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 642,
  [1638] = 1500,
  [1639] = 1619,
  [1640] = 1615,
  [1641] = 651,
  [1642] = 1620,
  [1643] = 648,
  [1644] = 650,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 723,
  [1649] = 1615,
  [1650] = 1650,
  [1651] = 725,
  [1652] = 723,
  [1653] = 1619,
  [1654] = 725,
  [1655] = 1620,
  [1656] = 1615,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 651,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1631,
  [1664] = 1630,
  [1665] = 1665,
  [1666] = 462,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1669,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 648,
  [1677] = 1630,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 650,
  [1681] = 1681,
  [1682] = 1665,
  [1683] = 1683,
  [1684] = 1683,
  [1685] = 1685,
  [1686] = 1661,
  [1687] = 648,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1688,
  [1691] = 650,
  [1692] = 1636,
  [1693] = 1678,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1668,
  [1698] = 1636,
  [1699] = 462,
  [1700] = 651,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 463,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1679,
  [1707] = 1694,
  [1708] = 1626,
  [1709] = 1704,
  [1710] = 1675,
  [1711] = 1667,
  [1712] = 1628,
  [1713] = 1695,
  [1714] = 1673,
  [1715] = 1671,
  [1716] = 1685,
  [1717] = 1662,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1701,
  [1721] = 1721,
  [1722] = 1681,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1674,
  [1726] = 1726,
  [1727] = 1721,
  [1728] = 1728,
  [1729] = 1726,
  [1730] = 1672,
  [1731] = 1731,
  [1732] = 463,
  [1733] = 1628,
  [1734] = 1731,
  [1735] = 1626,
  [1736] = 1631,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1740,
  [1743] = 1743,
  [1744] = 472,
  [1745] = 480,
  [1746] = 1740,
  [1747] = 1747,
  [1748] = 1740,
  [1749] = 1739,
  [1750] = 477,
  [1751] = 1751,
  [1752] = 1597,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1570,
  [1757] = 1509,
  [1758] = 1740,
  [1759] = 1740,
  [1760] = 1760,
  [1761] = 1740,
  [1762] = 469,
  [1763] = 1763,
  [1764] = 1575,
  [1765] = 1520,
  [1766] = 1766,
  [1767] = 1597,
  [1768] = 1570,
  [1769] = 1769,
  [1770] = 1740,
  [1771] = 1771,
  [1772] = 1592,
  [1773] = 1773,
  [1774] = 482,
  [1775] = 1775,
  [1776] = 1660,
  [1777] = 1741,
  [1778] = 481,
  [1779] = 489,
  [1780] = 1766,
  [1781] = 1781,
  [1782] = 1763,
  [1783] = 1783,
  [1784] = 1740,
  [1785] = 1741,
  [1786] = 1786,
  [1787] = 474,
  [1788] = 487,
  [1789] = 1592,
  [1790] = 1741,
  [1791] = 488,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1740,
  [1795] = 1747,
  [1796] = 1506,
  [1797] = 1741,
  [1798] = 1513,
  [1799] = 1741,
  [1800] = 1512,
  [1801] = 1741,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1740,
  [1805] = 1741,
  [1806] = 1740,
  [1807] = 1807,
  [1808] = 1741,
  [1809] = 1771,
  [1810] = 1741,
  [1811] = 1741,
  [1812] = 1812,
  [1813] = 1803,
  [1814] = 1753,
  [1815] = 1815,
  [1816] = 1593,
  [1817] = 1775,
  [1818] = 467,
  [1819] = 476,
  [1820] = 1781,
  [1821] = 1821,
  [1822] = 1593,
  [1823] = 483,
  [1824] = 1524,
  [1825] = 1585,
  [1826] = 468,
  [1827] = 1827,
  [1828] = 1585,
  [1829] = 484,
  [1830] = 1743,
  [1831] = 1831,
  [1832] = 485,
  [1833] = 471,
  [1834] = 1834,
  [1835] = 1575,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1532,
  [1848] = 1843,
  [1849] = 1524,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1837,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1842,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1860,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1868,
  [1874] = 1874,
  [1875] = 1869,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1845,
  [1879] = 1876,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1880,
  [1884] = 1851,
  [1885] = 1885,
  [1886] = 1881,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1861,
  [1896] = 1844,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1519,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1864,
  [1904] = 1904,
  [1905] = 1900,
  [1906] = 1906,
  [1907] = 1839,
  [1908] = 1908,
  [1909] = 1887,
  [1910] = 1910,
  [1911] = 1859,
  [1912] = 1902,
  [1913] = 1854,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1856,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1855,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1857,
  [1930] = 1802,
  [1931] = 1874,
  [1932] = 1871,
  [1933] = 1933,
  [1934] = 1897,
  [1935] = 1935,
  [1936] = 1906,
  [1937] = 1937,
  [1938] = 1853,
  [1939] = 1918,
  [1940] = 1940,
  [1941] = 1862,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1890,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1528,
  [1949] = 1949,
  [1950] = 1915,
  [1951] = 701,
  [1952] = 1527,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1921,
  [1960] = 1949,
  [1961] = 1961,
  [1962] = 1867,
  [1963] = 1520,
  [1964] = 1964,
  [1965] = 1964,
  [1966] = 1891,
  [1967] = 1918,
  [1968] = 1944,
  [1969] = 1969,
  [1970] = 1937,
  [1971] = 1935,
  [1972] = 1928,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1918,
  [1976] = 1969,
  [1977] = 1530,
  [1978] = 1978,
  [1979] = 1894,
  [1980] = 1840,
  [1981] = 1885,
  [1982] = 1982,
  [1983] = 1893,
  [1984] = 1901,
  [1985] = 1841,
  [1986] = 1865,
  [1987] = 544,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 1898,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2004,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 519,
  [2032] = 1401,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 502,
  [2037] = 497,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2006,
  [2041] = 2021,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 1563,
  [2048] = 607,
  [2049] = 600,
  [2050] = 591,
  [2051] = 590,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 564,
  [2058] = 2058,
  [2059] = 520,
  [2060] = 2060,
  [2061] = 495,
  [2062] = 587,
  [2063] = 2063,
  [2064] = 529,
  [2065] = 531,
  [2066] = 535,
  [2067] = 2067,
  [2068] = 2012,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 1988,
  [2072] = 2072,
  [2073] = 543,
  [2074] = 2074,
  [2075] = 552,
  [2076] = 577,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 584,
  [2082] = 2082,
  [2083] = 588,
  [2084] = 592,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 618,
  [2089] = 2007,
  [2090] = 2090,
  [2091] = 2013,
  [2092] = 622,
  [2093] = 620,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 617,
  [2097] = 2097,
  [2098] = 612,
  [2099] = 609,
  [2100] = 2035,
  [2101] = 2053,
  [2102] = 589,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2056,
  [2120] = 2120,
  [2121] = 2117,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 1831,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 530,
  [2129] = 536,
  [2130] = 540,
  [2131] = 2131,
  [2132] = 2078,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 2077,
  [2136] = 2136,
  [2137] = 583,
  [2138] = 594,
  [2139] = 610,
  [2140] = 611,
  [2141] = 621,
  [2142] = 624,
  [2143] = 2143,
  [2144] = 2144,
  [2145] = 616,
  [2146] = 565,
  [2147] = 558,
  [2148] = 2148,
  [2149] = 537,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 512,
  [2153] = 1988,
  [2154] = 2148,
  [2155] = 2069,
  [2156] = 2067,
  [2157] = 521,
  [2158] = 2158,
  [2159] = 523,
  [2160] = 2015,
  [2161] = 2161,
  [2162] = 1994,
  [2163] = 554,
  [2164] = 615,
  [2165] = 614,
  [2166] = 613,
  [2167] = 493,
  [2168] = 601,
  [2169] = 599,
  [2170] = 597,
  [2171] = 595,
  [2172] = 593,
  [2173] = 585,
  [2174] = 1988,
  [2175] = 580,
  [2176] = 2021,
  [2177] = 550,
  [2178] = 549,
  [2179] = 548,
  [2180] = 547,
  [2181] = 546,
  [2182] = 542,
  [2183] = 541,
  [2184] = 539,
  [2185] = 538,
  [2186] = 534,
  [2187] = 571,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2005,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 533,
  [2195] = 532,
  [2196] = 2196,
  [2197] = 527,
  [2198] = 526,
  [2199] = 1988,
  [2200] = 1992,
  [2201] = 525,
  [2202] = 516,
  [2203] = 2021,
  [2204] = 2204,
  [2205] = 515,
  [2206] = 514,
  [2207] = 513,
  [2208] = 2001,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2045,
  [2212] = 2212,
  [2213] = 511,
  [2214] = 507,
  [2215] = 2215,
  [2216] = 505,
  [2217] = 2217,
  [2218] = 2021,
  [2219] = 503,
  [2220] = 501,
  [2221] = 492,
  [2222] = 500,
  [2223] = 524,
  [2224] = 518,
  [2225] = 1988,
  [2226] = 1988,
  [2227] = 499,
  [2228] = 498,
  [2229] = 496,
  [2230] = 2230,
  [2231] = 1760,
  [2232] = 604,
  [2233] = 510,
  [2234] = 551,
  [2235] = 508,
  [2236] = 560,
  [2237] = 2021,
  [2238] = 506,
  [2239] = 504,
  [2240] = 561,
  [2241] = 562,
  [2242] = 608,
  [2243] = 2126,
  [2244] = 606,
  [2245] = 578,
  [2246] = 563,
  [2247] = 568,
  [2248] = 570,
  [2249] = 528,
  [2250] = 572,
  [2251] = 573,
  [2252] = 581,
  [2253] = 545,
  [2254] = 586,
  [2255] = 603,
  [2256] = 605,
  [2257] = 623,
  [2258] = 627,
  [2259] = 626,
  [2260] = 619,
  [2261] = 522,
  [2262] = 2021,
  [2263] = 575,
  [2264] = 567,
  [2265] = 553,
  [2266] = 602,
  [2267] = 576,
  [2268] = 1988,
  [2269] = 569,
  [2270] = 517,
  [2271] = 555,
  [2272] = 556,
  [2273] = 557,
  [2274] = 494,
  [2275] = 559,
  [2276] = 582,
  [2277] = 2277,
  [2278] = 2054,
  [2279] = 2021,
  [2280] = 574,
  [2281] = 566,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2290,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2293,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2297,
  [2312] = 2312,
  [2313] = 2300,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2304,
  [2322] = 2314,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2318,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2328,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2291,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2310,
  [2345] = 2338,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2350,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2323,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2365,
  [2372] = 2372,
  [2373] = 2331,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2372,
  [2388] = 2388,
  [2389] = 2331,
  [2390] = 2374,
  [2391] = 2375,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2364,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2370,
  [2400] = 2369,
  [2401] = 2362,
  [2402] = 2312,
  [2403] = 2325,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2319,
  [2409] = 2388,
  [2410] = 2282,
  [2411] = 2316,
  [2412] = 2315,
  [2413] = 2413,
  [2414] = 2309,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2386,
  [2422] = 2284,
  [2423] = 2423,
  [2424] = 2327,
  [2425] = 2136,
  [2426] = 2080,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2340,
  [2430] = 2359,
  [2431] = 2342,
  [2432] = 2367,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2384,
  [2437] = 2437,
  [2438] = 2383,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2437,
  [2443] = 2443,
  [2444] = 2381,
  [2445] = 2443,
  [2446] = 2446,
  [2447] = 2302,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2433,
  [2454] = 2454,
  [2455] = 2347,
  [2456] = 2435,
  [2457] = 2440,
  [2458] = 2458,
  [2459] = 2379,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2303,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2413,
  [2470] = 1763,
  [2471] = 2378,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2376,
  [2476] = 2368,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2448,
  [2484] = 2361,
  [2485] = 2360,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2358,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2451,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2405,
  [2499] = 2499,
  [2500] = 2460,
  [2501] = 2454,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2499,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2439,
  [2511] = 2446,
  [2512] = 2434,
  [2513] = 2467,
  [2514] = 2357,
  [2515] = 2396,
  [2516] = 2380,
  [2517] = 2517,
  [2518] = 2382,
  [2519] = 2356,
  [2520] = 2363,
  [2521] = 2353,
  [2522] = 2352,
  [2523] = 2397,
  [2524] = 2524,
  [2525] = 2301,
  [2526] = 2317,
  [2527] = 2473,
  [2528] = 2478,
  [2529] = 2497,
  [2530] = 2530,
  [2531] = 2496,
  [2532] = 2532,
  [2533] = 2351,
  [2534] = 2416,
  [2535] = 2535,
  [2536] = 2532,
  [2537] = 2509,
  [2538] = 2347,
  [2539] = 2539,
  [2540] = 2495,
  [2541] = 2494,
  [2542] = 2428,
  [2543] = 2289,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2493,
  [2547] = 2491,
  [2548] = 2548,
  [2549] = 2295,
  [2550] = 2398,
  [2551] = 2298,
  [2552] = 2294,
  [2553] = 2372,
  [2554] = 2481,
  [2555] = 2555,
  [2556] = 2487,
  [2557] = 2331,
  [2558] = 2305,
  [2559] = 2548,
  [2560] = 2490,
  [2561] = 2423,
  [2562] = 2377,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2306,
  [2567] = 2567,
  [2568] = 2347,
  [2569] = 2569,
  [2570] = 1753,
  [2571] = 2308,
  [2572] = 2572,
  [2573] = 2348,
  [2574] = 2574,
  [2575] = 2407,
  [2576] = 2372,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 2587,
  [2590] = 2578,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 2599,
  [2600] = 2579,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2608,
  [2618] = 2161,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 2577,
  [2622] = 2622,
  [2623] = 2592,
  [2624] = 2624,
  [2625] = 2584,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2582,
  [2630] = 2594,
  [2631] = 2581,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2596,
  [2635] = 2598,
  [2636] = 2636,
  [2637] = 2579,
  [2638] = 2638,
  [2639] = 2131,
  [2640] = 2593,
  [2641] = 2641,
  [2642] = 2642,
  [2643] = 2643,
  [2644] = 2605,
  [2645] = 2594,
  [2646] = 2593,
  [2647] = 2591,
  [2648] = 2587,
  [2649] = 2649,
  [2650] = 2591,
  [2651] = 2651,
  [2652] = 2614,
  [2653] = 2591,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 2593,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 2587,
  [2663] = 2655,
  [2664] = 2594,
  [2665] = 2655,
  [2666] = 2666,
  [2667] = 2580,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2607,
  [2671] = 2638,
  [2672] = 2643,
  [2673] = 2666,
  [2674] = 2636,
  [2675] = 2675,
  [2676] = 2633,
  [2677] = 2624,
  [2678] = 2584,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2682,
  [2683] = 2655,
  [2684] = 2598,
  [2685] = 2685,
  [2686] = 2616,
  [2687] = 2609,
  [2688] = 2601,
  [2689] = 2591,
  [2690] = 2680,
  [2691] = 2691,
  [2692] = 2660,
  [2693] = 2610,
  [2694] = 2685,
  [2695] = 2622,
  [2696] = 2696,
  [2697] = 2679,
  [2698] = 2682,
  [2699] = 2699,
  [2700] = 2700,
  [2701] = 2701,
  [2702] = 2580,
  [2703] = 2615,
  [2704] = 2704,
  [2705] = 2705,
  [2706] = 2613,
  [2707] = 2606,
  [2708] = 2708,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2711,
  [2712] = 2591,
  [2713] = 2699,
  [2714] = 2714,
  [2715] = 2579,
  [2716] = 2716,
  [2717] = 2626,
  [2718] = 2599,
  [2719] = 2598,
  [2720] = 2591,
  [2721] = 2721,
  [2722] = 2581,
  [2723] = 2582,
  [2724] = 2714,
  [2725] = 2584,
  [2726] = 2655,
  [2727] = 2727,
  [2728] = 2638,
  [2729] = 2729,
  [2730] = 2632,
  [2731] = 2581,
  [2732] = 2591,
  [2733] = 2582,
  [2734] = 2734,
  [2735] = 2580,
  [2736] = 2736,
  [2737] = 2607,
  [2738] = 2700,
  [2739] = 2591,
  [2740] = 2710,
  [2741] = 2701,
  [2742] = 2704,
  [2743] = 2587,
  [2744] = 2599,
  [2745] = 2705,
  [2746] = 2638,
  [2747] = 2734,
  [2748] = 2680,
  [2749] = 2749,
  [2750] = 2591,
  [2751] = 2638,
  [2752] = 2606,
  [2753] = 2753,
  [2754] = 2638,
  [2755] = 2654,
  [2756] = 2711,
  [2757] = 2709,
  [2758] = 2591,
  [2759] = 2591,
  [2760] = 2649,
  [2761] = 2638,
  [2762] = 2710,
  [2763] = 2763,
  [2764] = 2729,
  [2765] = 2620,
  [2766] = 2727,
  [2767] = 2767,
  [2768] = 2710,
  [2769] = 2696,
  [2770] = 2763,
  [2771] = 2599,
  [2772] = 2709,
  [2773] = 2615,
  [2774] = 2727,
  [2775] = 2595,
  [2776] = 2709,
  [2777] = 2691,
  [2778] = 2642,
  [2779] = 2638,
  [2780] = 2591,
  [2781] = 2727,
  [2782] = 2782,
  [2783] = 2691,
  [2784] = 2784,
  [2785] = 2691,
  [2786] = 2615,
  [2787] = 2763,
  [2788] = 2788,
  [2789] = 2789,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 132,
        '"', 181,
        '#', 261,
        '$', 185,
        '%', 221,
        '&', 84,
        '\'', 183,
        '(', 94,
        ')', 95,
        '*', 216,
        '+', 124,
        ',', 85,
        '-', 127,
        '.', 214,
        '/', 219,
        '0', 114,
        ':', 92,
        ';', 81,
        '<', 202,
        '=', 86,
        '>', 203,
        '?', 97,
        '@', 133,
        '[', 152,
        '\\', 88,
        ']', 153,
        '^', 193,
        '_', 256,
        '`', 184,
        '{', 89,
        '|', 102,
        '}', 90,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 222,
        'b', 222,
        'E', 225,
        'e', 225,
        'F', 226,
        'f', 226,
        'I', 240,
        'i', 240,
        'N', 254,
        'n', 254,
        'S', 252,
        's', 252,
        'T', 245,
        't', 245,
        'U', 238,
        'u', 238,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(61);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(259);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(259);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(260);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 182,
        '\r', 182,
        '"', 181,
        '#', 262,
        '$', 185,
        '-', 30,
        '/', 19,
        '?', 32,
        '[', 152,
        '\\', 34,
        '{', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 182,
        '\r', 182,
        '#', 262,
        '$', 185,
        '-', 30,
        '/', 19,
        '?', 32,
        '[', 152,
        '\\', 35,
        '{', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 132,
        '"', 166,
        '#', 261,
        '$', 185,
        '%', 220,
        '&', 83,
        '\'', 168,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 123,
        ',', 85,
        '-', 126,
        '.', 214,
        '/', 218,
        '0', 114,
        ':', 91,
        ';', 81,
        '<', 199,
        '=', 29,
        '>', 204,
        '?', 100,
        '@', 133,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 192,
        '_', 256,
        '`', 184,
        '|', 103,
        '}', 90,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
        'E', 225,
        'e', 225,
        'F', 227,
        'f', 227,
        'N', 254,
        'n', 254,
        'T', 245,
        't', 245,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 131,
        '"', 166,
        '#', 261,
        '$', 185,
        '&', 82,
        '\'', 168,
        '(', 94,
        ')', 95,
        '+', 123,
        ',', 85,
        '-', 126,
        '.', 110,
        '/', 19,
        '0', 114,
        '<', 26,
        '?', 32,
        '@', 133,
        '[', 152,
        '\\', 87,
        ']', 153,
        '_', 256,
        '`', 184,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
        'E', 225,
        'e', 225,
        'F', 227,
        'f', 227,
        'N', 254,
        'n', 254,
        'T', 245,
        't', 245,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 131,
        '"', 166,
        '#', 261,
        '$', 185,
        '\'', 168,
        '(', 94,
        '+', 123,
        '-', 126,
        '.', 111,
        '/', 19,
        '0', 114,
        '<', 26,
        '?', 32,
        '@', 133,
        '[', 152,
        '\\', 87,
        '_', 256,
        '`', 184,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 222,
        'b', 222,
        'E', 225,
        'e', 225,
        'F', 226,
        'f', 226,
        'I', 240,
        'i', 240,
        'N', 254,
        'n', 254,
        'S', 252,
        's', 252,
        'T', 245,
        't', 245,
        'U', 238,
        'u', 238,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 28,
        '"', 166,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 123,
        ',', 85,
        '-', 128,
        '.', 213,
        '/', 218,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 29,
        '>', 204,
        '?', 98,
        '[', 152,
        '\\', 34,
        ']', 153,
        '^', 192,
        '`', 184,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 28,
        '"', 166,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 123,
        ',', 85,
        '-', 128,
        '.', 213,
        '/', 218,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 29,
        '>', 204,
        '?', 98,
        '[', 152,
        '\\', 35,
        ']', 153,
        '^', 192,
        '`', 184,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 28,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '\'', 183,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 122,
        ',', 85,
        '-', 129,
        '.', 213,
        '/', 218,
        '0', 119,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 86,
        '>', 204,
        '?', 98,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 192,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 28,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 122,
        ',', 85,
        '-', 129,
        '.', 213,
        '/', 218,
        '0', 119,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 86,
        '>', 204,
        '?', 98,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 192,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 28,
        '#', 262,
        '$', 185,
        '%', 220,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 122,
        ',', 85,
        '-', 125,
        '.', 213,
        '/', 218,
        ':', 91,
        ';', 81,
        '<', 201,
        '=', 29,
        '>', 204,
        '?', 100,
        '\\', 87,
        ']', 153,
        '^', 192,
        '|', 103,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(167);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 166,
        '#', 261,
        '$', 185,
        '\'', 168,
        '(', 94,
        '/', 19,
        '<', 26,
        '?', 32,
        '[', 152,
        '\\', 87,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 166,
        '#', 262,
        '\'', 168,
        '.', 111,
        '/', 19,
        '0', 114,
        '<', 26,
        '?', 32,
        '_', 55,
        'B', 13,
        'b', 13,
        'E', 38,
        'e', 38,
        'F', 39,
        'f', 39,
        'N', 49,
        'n', 49,
        'T', 46,
        't', 46,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 261,
        '$', 185,
        '&', 82,
        '(', 94,
        ')', 95,
        ',', 85,
        '.', 22,
        '/', 19,
        '?', 99,
        '\\', 87,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 262,
        '$', 185,
        '&', 82,
        '(', 94,
        ')', 95,
        '.', 22,
        '/', 19,
        '=', 31,
        '?', 99,
        '\\', 87,
        '{', 89,
        '|', 101,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(178);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '?') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(37);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(172);
      if (lookahead != 0) ADVANCE(179);
      END_STATE();
    case 19:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(260);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 22:
      if (lookahead == '.') ADVANCE(24);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(96);
      END_STATE();
    case 25:
      if (lookahead == '<') ADVANCE(180);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(25);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(25);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(195);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(69);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(151);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(164);
      if (lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(161);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(159);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(163);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(169);
      if (lookahead != 0) ADVANCE(179);
      END_STATE();
    case 38:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 39:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(42);
      END_STATE();
    case 40:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 41:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(45);
      END_STATE();
    case 42:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(154);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 47:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(40);
      END_STATE();
    case 48:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 49:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(44);
      END_STATE();
    case 50:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(117);
      END_STATE();
    case 51:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(120);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(162);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 61:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 132,
        '"', 166,
        '#', 261,
        '$', 185,
        '%', 221,
        '&', 84,
        '\'', 168,
        '(', 94,
        ')', 95,
        '*', 216,
        '+', 124,
        ',', 85,
        '-', 127,
        '.', 214,
        '/', 219,
        '0', 114,
        ':', 92,
        ';', 81,
        '<', 202,
        '=', 86,
        '>', 203,
        '?', 97,
        '@', 133,
        '[', 152,
        '\\', 88,
        ']', 153,
        '^', 193,
        '_', 256,
        '`', 184,
        '{', 89,
        '|', 102,
        '}', 90,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 222,
        'b', 222,
        'E', 225,
        'e', 225,
        'F', 226,
        'f', 226,
        'I', 240,
        'i', 240,
        'N', 254,
        'n', 254,
        'S', 252,
        's', 252,
        'T', 245,
        't', 245,
        'U', 238,
        'u', 238,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(61);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 62:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 131,
        '"', 166,
        '#', 261,
        '$', 185,
        '&', 82,
        '\'', 168,
        '(', 94,
        ')', 95,
        '+', 123,
        ',', 85,
        '-', 126,
        '.', 111,
        '/', 19,
        '0', 114,
        ':', 91,
        ';', 81,
        '<', 26,
        '=', 31,
        '?', 32,
        '@', 133,
        '[', 152,
        '\\', 87,
        ']', 153,
        '_', 256,
        '`', 184,
        '{', 89,
        '}', 90,
        '~', 130,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
        'E', 225,
        'e', 225,
        'F', 227,
        'f', 227,
        'N', 254,
        'n', 254,
        'T', 245,
        't', 245,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 63:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 28,
        '"', 166,
        '#', 262,
        '$', 185,
        '%', 221,
        '&', 84,
        '\'', 168,
        '(', 94,
        ')', 95,
        '*', 216,
        '+', 124,
        ',', 85,
        '-', 127,
        '.', 215,
        '/', 219,
        '0', 119,
        ':', 92,
        ';', 81,
        '<', 200,
        '=', 86,
        '>', 203,
        '?', 97,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 193,
        '{', 89,
        '|', 102,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 64:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '"', 166,
        '#', 262,
        '$', 185,
        '&', 82,
        '\'', 168,
        '(', 94,
        ')', 95,
        '.', 22,
        '/', 19,
        '0', 119,
        '<', 27,
        '?', 32,
        '[', 152,
        '\\', 87,
        '|', 101,
        '}', 90,
        'A', 246,
        'a', 246,
        'B', 223,
        'b', 223,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 65:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '#', 79,
        '/', 74,
        '<', 70,
        '?', 77,
        0xa0, 73,
        0x200b, 73,
        0x2060, 73,
        0xfeff, 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (lookahead != 0) ADVANCE(80);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(67);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(41);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(80);
      if (lookahead == '\r') ADVANCE(72);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(78);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(79);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '?') ADVANCE(77);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(73);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '/') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(76);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '?') ADVANCE(71);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(78);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(78);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(191);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(169);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(134);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(187);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(186);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(69);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(186);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(148);
      if (lookahead == '|') ADVANCE(190);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(190);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(24);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 111,
        '_', 51,
        'B', 50,
        'b', 50,
        'E', 38,
        'e', 38,
        'O', 120,
        'o', 120,
        'X', 58,
        'x', 58,
        '8', 23,
        '9', 23,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(50);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(50);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(120);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(120);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(136);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(136);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(135);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '=') ADVANCE(142);
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(195);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(159);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(160);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(159);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(60);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(179);
      if (lookahead == '\r') ADVANCE(171);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(178);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '?') ADVANCE(176);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(172);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead == '/') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(170);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(182);
      if (lookahead == '\r') ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(198);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(209);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(196);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(210);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(196);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(196);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(212);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(211);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(207);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(180);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(24);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(189);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(188);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(260);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(260);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(167);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(256);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(225);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(224);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(258);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(237);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(255);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(250);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(157);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(251);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(108);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(105);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(155);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(247);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(248);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(249);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(228);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(253);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(106);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(107);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(109);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(244);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(104);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(224);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(258);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(260);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(260);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(260);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 65},
  [2] = {.lex_state = 62},
  [3] = {.lex_state = 62},
  [4] = {.lex_state = 62},
  [5] = {.lex_state = 62},
  [6] = {.lex_state = 62},
  [7] = {.lex_state = 62},
  [8] = {.lex_state = 62},
  [9] = {.lex_state = 62},
  [10] = {.lex_state = 62},
  [11] = {.lex_state = 62},
  [12] = {.lex_state = 62, .external_lex_state = 2},
  [13] = {.lex_state = 62, .external_lex_state = 2},
  [14] = {.lex_state = 62, .external_lex_state = 2},
  [15] = {.lex_state = 62, .external_lex_state = 2},
  [16] = {.lex_state = 62, .external_lex_state = 2},
  [17] = {.lex_state = 62},
  [18] = {.lex_state = 62},
  [19] = {.lex_state = 62, .external_lex_state = 2},
  [20] = {.lex_state = 62, .external_lex_state = 2},
  [21] = {.lex_state = 62},
  [22] = {.lex_state = 62, .external_lex_state = 2},
  [23] = {.lex_state = 62},
  [24] = {.lex_state = 62},
  [25] = {.lex_state = 62},
  [26] = {.lex_state = 62},
  [27] = {.lex_state = 62},
  [28] = {.lex_state = 62, .external_lex_state = 2},
  [29] = {.lex_state = 62},
  [30] = {.lex_state = 62, .external_lex_state = 2},
  [31] = {.lex_state = 62},
  [32] = {.lex_state = 62},
  [33] = {.lex_state = 62, .external_lex_state = 2},
  [34] = {.lex_state = 62},
  [35] = {.lex_state = 62, .external_lex_state = 2},
  [36] = {.lex_state = 62, .external_lex_state = 2},
  [37] = {.lex_state = 62, .external_lex_state = 2},
  [38] = {.lex_state = 62},
  [39] = {.lex_state = 62},
  [40] = {.lex_state = 62, .external_lex_state = 2},
  [41] = {.lex_state = 62, .external_lex_state = 2},
  [42] = {.lex_state = 62},
  [43] = {.lex_state = 62, .external_lex_state = 2},
  [44] = {.lex_state = 62},
  [45] = {.lex_state = 62},
  [46] = {.lex_state = 62},
  [47] = {.lex_state = 62, .external_lex_state = 2},
  [48] = {.lex_state = 62},
  [49] = {.lex_state = 62, .external_lex_state = 2},
  [50] = {.lex_state = 62, .external_lex_state = 2},
  [51] = {.lex_state = 62},
  [52] = {.lex_state = 62},
  [53] = {.lex_state = 62},
  [54] = {.lex_state = 62, .external_lex_state = 2},
  [55] = {.lex_state = 62},
  [56] = {.lex_state = 62},
  [57] = {.lex_state = 62, .external_lex_state = 2},
  [58] = {.lex_state = 62},
  [59] = {.lex_state = 62, .external_lex_state = 2},
  [60] = {.lex_state = 62, .external_lex_state = 2},
  [61] = {.lex_state = 62},
  [62] = {.lex_state = 62},
  [63] = {.lex_state = 62},
  [64] = {.lex_state = 62},
  [65] = {.lex_state = 62},
  [66] = {.lex_state = 62},
  [67] = {.lex_state = 62},
  [68] = {.lex_state = 62},
  [69] = {.lex_state = 62},
  [70] = {.lex_state = 62},
  [71] = {.lex_state = 62},
  [72] = {.lex_state = 62, .external_lex_state = 2},
  [73] = {.lex_state = 62},
  [74] = {.lex_state = 62},
  [75] = {.lex_state = 62},
  [76] = {.lex_state = 62},
  [77] = {.lex_state = 62},
  [78] = {.lex_state = 62},
  [79] = {.lex_state = 62, .external_lex_state = 2},
  [80] = {.lex_state = 62},
  [81] = {.lex_state = 62},
  [82] = {.lex_state = 62},
  [83] = {.lex_state = 62},
  [84] = {.lex_state = 62, .external_lex_state = 2},
  [85] = {.lex_state = 62, .external_lex_state = 2},
  [86] = {.lex_state = 62},
  [87] = {.lex_state = 62},
  [88] = {.lex_state = 62},
  [89] = {.lex_state = 62},
  [90] = {.lex_state = 62},
  [91] = {.lex_state = 62},
  [92] = {.lex_state = 62},
  [93] = {.lex_state = 62, .external_lex_state = 2},
  [94] = {.lex_state = 62, .external_lex_state = 2},
  [95] = {.lex_state = 62, .external_lex_state = 2},
  [96] = {.lex_state = 62, .external_lex_state = 2},
  [97] = {.lex_state = 62, .external_lex_state = 2},
  [98] = {.lex_state = 62, .external_lex_state = 2},
  [99] = {.lex_state = 62, .external_lex_state = 2},
  [100] = {.lex_state = 62, .external_lex_state = 2},
  [101] = {.lex_state = 62, .external_lex_state = 2},
  [102] = {.lex_state = 62, .external_lex_state = 2},
  [103] = {.lex_state = 62},
  [104] = {.lex_state = 62, .external_lex_state = 2},
  [105] = {.lex_state = 62},
  [106] = {.lex_state = 62},
  [107] = {.lex_state = 62, .external_lex_state = 2},
  [108] = {.lex_state = 62},
  [109] = {.lex_state = 62},
  [110] = {.lex_state = 62},
  [111] = {.lex_state = 62},
  [112] = {.lex_state = 62},
  [113] = {.lex_state = 62},
  [114] = {.lex_state = 62},
  [115] = {.lex_state = 62},
  [116] = {.lex_state = 5},
  [117] = {.lex_state = 5},
  [118] = {.lex_state = 5, .external_lex_state = 2},
  [119] = {.lex_state = 5},
  [120] = {.lex_state = 7},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 6},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 6},
  [170] = {.lex_state = 6},
  [171] = {.lex_state = 6},
  [172] = {.lex_state = 62},
  [173] = {.lex_state = 6},
  [174] = {.lex_state = 6},
  [175] = {.lex_state = 62},
  [176] = {.lex_state = 62},
  [177] = {.lex_state = 62},
  [178] = {.lex_state = 62},
  [179] = {.lex_state = 62},
  [180] = {.lex_state = 6},
  [181] = {.lex_state = 62},
  [182] = {.lex_state = 62},
  [183] = {.lex_state = 62},
  [184] = {.lex_state = 62},
  [185] = {.lex_state = 6},
  [186] = {.lex_state = 62},
  [187] = {.lex_state = 6},
  [188] = {.lex_state = 62},
  [189] = {.lex_state = 62},
  [190] = {.lex_state = 62},
  [191] = {.lex_state = 62},
  [192] = {.lex_state = 62},
  [193] = {.lex_state = 62},
  [194] = {.lex_state = 62},
  [195] = {.lex_state = 62},
  [196] = {.lex_state = 62},
  [197] = {.lex_state = 62},
  [198] = {.lex_state = 62},
  [199] = {.lex_state = 62},
  [200] = {.lex_state = 62},
  [201] = {.lex_state = 62},
  [202] = {.lex_state = 62},
  [203] = {.lex_state = 62},
  [204] = {.lex_state = 62},
  [205] = {.lex_state = 62},
  [206] = {.lex_state = 62},
  [207] = {.lex_state = 62},
  [208] = {.lex_state = 62},
  [209] = {.lex_state = 62},
  [210] = {.lex_state = 62},
  [211] = {.lex_state = 62},
  [212] = {.lex_state = 62},
  [213] = {.lex_state = 62},
  [214] = {.lex_state = 62},
  [215] = {.lex_state = 62},
  [216] = {.lex_state = 62},
  [217] = {.lex_state = 62},
  [218] = {.lex_state = 62},
  [219] = {.lex_state = 62},
  [220] = {.lex_state = 62},
  [221] = {.lex_state = 62, .external_lex_state = 2},
  [222] = {.lex_state = 62},
  [223] = {.lex_state = 6},
  [224] = {.lex_state = 62},
  [225] = {.lex_state = 62, .external_lex_state = 2},
  [226] = {.lex_state = 62},
  [227] = {.lex_state = 62, .external_lex_state = 2},
  [228] = {.lex_state = 62, .external_lex_state = 2},
  [229] = {.lex_state = 6},
  [230] = {.lex_state = 62},
  [231] = {.lex_state = 62},
  [232] = {.lex_state = 62},
  [233] = {.lex_state = 62},
  [234] = {.lex_state = 62, .external_lex_state = 2},
  [235] = {.lex_state = 62},
  [236] = {.lex_state = 62, .external_lex_state = 2},
  [237] = {.lex_state = 62},
  [238] = {.lex_state = 62},
  [239] = {.lex_state = 62},
  [240] = {.lex_state = 62},
  [241] = {.lex_state = 62},
  [242] = {.lex_state = 62},
  [243] = {.lex_state = 62},
  [244] = {.lex_state = 62},
  [245] = {.lex_state = 62},
  [246] = {.lex_state = 62},
  [247] = {.lex_state = 62},
  [248] = {.lex_state = 62},
  [249] = {.lex_state = 62},
  [250] = {.lex_state = 62},
  [251] = {.lex_state = 62},
  [252] = {.lex_state = 62},
  [253] = {.lex_state = 62},
  [254] = {.lex_state = 62},
  [255] = {.lex_state = 62},
  [256] = {.lex_state = 62},
  [257] = {.lex_state = 62},
  [258] = {.lex_state = 62},
  [259] = {.lex_state = 62},
  [260] = {.lex_state = 62},
  [261] = {.lex_state = 62},
  [262] = {.lex_state = 62},
  [263] = {.lex_state = 62},
  [264] = {.lex_state = 62},
  [265] = {.lex_state = 62},
  [266] = {.lex_state = 62},
  [267] = {.lex_state = 62},
  [268] = {.lex_state = 62},
  [269] = {.lex_state = 62},
  [270] = {.lex_state = 62},
  [271] = {.lex_state = 62},
  [272] = {.lex_state = 62},
  [273] = {.lex_state = 62},
  [274] = {.lex_state = 62},
  [275] = {.lex_state = 62},
  [276] = {.lex_state = 62},
  [277] = {.lex_state = 62},
  [278] = {.lex_state = 62},
  [279] = {.lex_state = 62},
  [280] = {.lex_state = 62},
  [281] = {.lex_state = 62},
  [282] = {.lex_state = 62},
  [283] = {.lex_state = 62},
  [284] = {.lex_state = 62},
  [285] = {.lex_state = 62},
  [286] = {.lex_state = 62},
  [287] = {.lex_state = 62},
  [288] = {.lex_state = 62},
  [289] = {.lex_state = 62},
  [290] = {.lex_state = 62},
  [291] = {.lex_state = 62},
  [292] = {.lex_state = 62},
  [293] = {.lex_state = 62},
  [294] = {.lex_state = 62},
  [295] = {.lex_state = 62},
  [296] = {.lex_state = 62},
  [297] = {.lex_state = 62},
  [298] = {.lex_state = 62},
  [299] = {.lex_state = 62},
  [300] = {.lex_state = 62},
  [301] = {.lex_state = 62},
  [302] = {.lex_state = 62},
  [303] = {.lex_state = 62},
  [304] = {.lex_state = 62},
  [305] = {.lex_state = 62},
  [306] = {.lex_state = 62},
  [307] = {.lex_state = 62},
  [308] = {.lex_state = 62},
  [309] = {.lex_state = 62},
  [310] = {.lex_state = 62},
  [311] = {.lex_state = 62},
  [312] = {.lex_state = 62},
  [313] = {.lex_state = 62},
  [314] = {.lex_state = 62},
  [315] = {.lex_state = 62},
  [316] = {.lex_state = 62},
  [317] = {.lex_state = 62},
  [318] = {.lex_state = 62},
  [319] = {.lex_state = 62},
  [320] = {.lex_state = 62},
  [321] = {.lex_state = 62},
  [322] = {.lex_state = 62},
  [323] = {.lex_state = 62},
  [324] = {.lex_state = 62},
  [325] = {.lex_state = 62},
  [326] = {.lex_state = 62},
  [327] = {.lex_state = 62},
  [328] = {.lex_state = 62},
  [329] = {.lex_state = 62},
  [330] = {.lex_state = 62},
  [331] = {.lex_state = 62},
  [332] = {.lex_state = 62},
  [333] = {.lex_state = 62},
  [334] = {.lex_state = 62},
  [335] = {.lex_state = 62},
  [336] = {.lex_state = 62},
  [337] = {.lex_state = 62},
  [338] = {.lex_state = 62},
  [339] = {.lex_state = 62},
  [340] = {.lex_state = 62},
  [341] = {.lex_state = 62},
  [342] = {.lex_state = 62},
  [343] = {.lex_state = 62},
  [344] = {.lex_state = 62},
  [345] = {.lex_state = 62},
  [346] = {.lex_state = 62},
  [347] = {.lex_state = 62},
  [348] = {.lex_state = 62},
  [349] = {.lex_state = 62},
  [350] = {.lex_state = 62},
  [351] = {.lex_state = 62},
  [352] = {.lex_state = 62},
  [353] = {.lex_state = 62},
  [354] = {.lex_state = 62},
  [355] = {.lex_state = 62},
  [356] = {.lex_state = 62},
  [357] = {.lex_state = 62},
  [358] = {.lex_state = 62},
  [359] = {.lex_state = 62},
  [360] = {.lex_state = 62},
  [361] = {.lex_state = 62},
  [362] = {.lex_state = 62},
  [363] = {.lex_state = 62},
  [364] = {.lex_state = 62},
  [365] = {.lex_state = 62},
  [366] = {.lex_state = 62},
  [367] = {.lex_state = 62},
  [368] = {.lex_state = 62},
  [369] = {.lex_state = 62},
  [370] = {.lex_state = 62},
  [371] = {.lex_state = 62},
  [372] = {.lex_state = 62},
  [373] = {.lex_state = 62},
  [374] = {.lex_state = 62},
  [375] = {.lex_state = 62},
  [376] = {.lex_state = 62},
  [377] = {.lex_state = 62},
  [378] = {.lex_state = 62},
  [379] = {.lex_state = 62},
  [380] = {.lex_state = 62},
  [381] = {.lex_state = 62},
  [382] = {.lex_state = 62},
  [383] = {.lex_state = 62},
  [384] = {.lex_state = 62},
  [385] = {.lex_state = 62},
  [386] = {.lex_state = 62},
  [387] = {.lex_state = 62},
  [388] = {.lex_state = 62},
  [389] = {.lex_state = 62},
  [390] = {.lex_state = 62},
  [391] = {.lex_state = 62},
  [392] = {.lex_state = 62},
  [393] = {.lex_state = 62},
  [394] = {.lex_state = 62},
  [395] = {.lex_state = 62},
  [396] = {.lex_state = 62},
  [397] = {.lex_state = 62},
  [398] = {.lex_state = 62},
  [399] = {.lex_state = 62},
  [400] = {.lex_state = 62},
  [401] = {.lex_state = 62},
  [402] = {.lex_state = 62},
  [403] = {.lex_state = 62},
  [404] = {.lex_state = 62},
  [405] = {.lex_state = 62},
  [406] = {.lex_state = 62},
  [407] = {.lex_state = 62},
  [408] = {.lex_state = 62},
  [409] = {.lex_state = 62},
  [410] = {.lex_state = 62},
  [411] = {.lex_state = 62},
  [412] = {.lex_state = 62},
  [413] = {.lex_state = 62},
  [414] = {.lex_state = 62},
  [415] = {.lex_state = 62},
  [416] = {.lex_state = 62},
  [417] = {.lex_state = 62},
  [418] = {.lex_state = 62},
  [419] = {.lex_state = 62},
  [420] = {.lex_state = 62},
  [421] = {.lex_state = 62},
  [422] = {.lex_state = 62},
  [423] = {.lex_state = 62},
  [424] = {.lex_state = 62},
  [425] = {.lex_state = 62},
  [426] = {.lex_state = 62},
  [427] = {.lex_state = 62},
  [428] = {.lex_state = 62},
  [429] = {.lex_state = 62},
  [430] = {.lex_state = 62},
  [431] = {.lex_state = 62},
  [432] = {.lex_state = 62},
  [433] = {.lex_state = 62},
  [434] = {.lex_state = 62},
  [435] = {.lex_state = 62},
  [436] = {.lex_state = 62},
  [437] = {.lex_state = 62},
  [438] = {.lex_state = 62},
  [439] = {.lex_state = 62},
  [440] = {.lex_state = 62},
  [441] = {.lex_state = 62},
  [442] = {.lex_state = 62},
  [443] = {.lex_state = 62},
  [444] = {.lex_state = 62},
  [445] = {.lex_state = 62},
  [446] = {.lex_state = 62},
  [447] = {.lex_state = 62},
  [448] = {.lex_state = 62},
  [449] = {.lex_state = 62},
  [450] = {.lex_state = 62},
  [451] = {.lex_state = 62},
  [452] = {.lex_state = 62},
  [453] = {.lex_state = 62},
  [454] = {.lex_state = 62},
  [455] = {.lex_state = 62},
  [456] = {.lex_state = 62},
  [457] = {.lex_state = 62},
  [458] = {.lex_state = 62},
  [459] = {.lex_state = 62},
  [460] = {.lex_state = 62},
  [461] = {.lex_state = 62},
  [462] = {.lex_state = 62},
  [463] = {.lex_state = 62},
  [464] = {.lex_state = 62},
  [465] = {.lex_state = 62},
  [466] = {.lex_state = 62},
  [467] = {.lex_state = 62},
  [468] = {.lex_state = 62},
  [469] = {.lex_state = 62},
  [470] = {.lex_state = 62},
  [471] = {.lex_state = 62},
  [472] = {.lex_state = 62},
  [473] = {.lex_state = 62},
  [474] = {.lex_state = 62, .external_lex_state = 2},
  [475] = {.lex_state = 62},
  [476] = {.lex_state = 62, .external_lex_state = 2},
  [477] = {.lex_state = 62, .external_lex_state = 2},
  [478] = {.lex_state = 62},
  [479] = {.lex_state = 62},
  [480] = {.lex_state = 62, .external_lex_state = 2},
  [481] = {.lex_state = 62, .external_lex_state = 2},
  [482] = {.lex_state = 62, .external_lex_state = 2},
  [483] = {.lex_state = 62, .external_lex_state = 2},
  [484] = {.lex_state = 62, .external_lex_state = 2},
  [485] = {.lex_state = 62, .external_lex_state = 2},
  [486] = {.lex_state = 62},
  [487] = {.lex_state = 62, .external_lex_state = 2},
  [488] = {.lex_state = 62, .external_lex_state = 2},
  [489] = {.lex_state = 62, .external_lex_state = 2},
  [490] = {.lex_state = 62, .external_lex_state = 2},
  [491] = {.lex_state = 62, .external_lex_state = 2},
  [492] = {.lex_state = 62},
  [493] = {.lex_state = 62},
  [494] = {.lex_state = 62},
  [495] = {.lex_state = 62},
  [496] = {.lex_state = 62},
  [497] = {.lex_state = 62},
  [498] = {.lex_state = 62},
  [499] = {.lex_state = 62},
  [500] = {.lex_state = 62},
  [501] = {.lex_state = 62},
  [502] = {.lex_state = 62},
  [503] = {.lex_state = 62},
  [504] = {.lex_state = 62},
  [505] = {.lex_state = 62},
  [506] = {.lex_state = 62},
  [507] = {.lex_state = 62},
  [508] = {.lex_state = 62},
  [509] = {.lex_state = 62},
  [510] = {.lex_state = 62},
  [511] = {.lex_state = 62},
  [512] = {.lex_state = 62},
  [513] = {.lex_state = 62},
  [514] = {.lex_state = 62},
  [515] = {.lex_state = 62},
  [516] = {.lex_state = 62},
  [517] = {.lex_state = 62},
  [518] = {.lex_state = 62},
  [519] = {.lex_state = 62},
  [520] = {.lex_state = 62},
  [521] = {.lex_state = 62},
  [522] = {.lex_state = 62},
  [523] = {.lex_state = 62},
  [524] = {.lex_state = 62},
  [525] = {.lex_state = 62},
  [526] = {.lex_state = 62},
  [527] = {.lex_state = 62},
  [528] = {.lex_state = 62},
  [529] = {.lex_state = 62},
  [530] = {.lex_state = 62},
  [531] = {.lex_state = 62},
  [532] = {.lex_state = 62},
  [533] = {.lex_state = 62},
  [534] = {.lex_state = 62},
  [535] = {.lex_state = 62},
  [536] = {.lex_state = 62},
  [537] = {.lex_state = 62},
  [538] = {.lex_state = 62},
  [539] = {.lex_state = 62},
  [540] = {.lex_state = 62},
  [541] = {.lex_state = 62},
  [542] = {.lex_state = 62},
  [543] = {.lex_state = 62},
  [544] = {.lex_state = 62},
  [545] = {.lex_state = 62},
  [546] = {.lex_state = 62},
  [547] = {.lex_state = 62},
  [548] = {.lex_state = 62},
  [549] = {.lex_state = 62},
  [550] = {.lex_state = 62},
  [551] = {.lex_state = 62},
  [552] = {.lex_state = 62},
  [553] = {.lex_state = 62},
  [554] = {.lex_state = 62},
  [555] = {.lex_state = 62},
  [556] = {.lex_state = 62},
  [557] = {.lex_state = 62},
  [558] = {.lex_state = 62},
  [559] = {.lex_state = 62},
  [560] = {.lex_state = 62},
  [561] = {.lex_state = 62},
  [562] = {.lex_state = 62},
  [563] = {.lex_state = 62},
  [564] = {.lex_state = 62},
  [565] = {.lex_state = 62},
  [566] = {.lex_state = 62},
  [567] = {.lex_state = 62},
  [568] = {.lex_state = 62},
  [569] = {.lex_state = 62},
  [570] = {.lex_state = 62},
  [571] = {.lex_state = 62},
  [572] = {.lex_state = 62},
  [573] = {.lex_state = 62},
  [574] = {.lex_state = 62},
  [575] = {.lex_state = 62},
  [576] = {.lex_state = 62},
  [577] = {.lex_state = 62},
  [578] = {.lex_state = 62},
  [579] = {.lex_state = 62},
  [580] = {.lex_state = 62},
  [581] = {.lex_state = 62},
  [582] = {.lex_state = 62},
  [583] = {.lex_state = 62},
  [584] = {.lex_state = 62},
  [585] = {.lex_state = 62},
  [586] = {.lex_state = 62},
  [587] = {.lex_state = 62},
  [588] = {.lex_state = 62},
  [589] = {.lex_state = 62},
  [590] = {.lex_state = 62},
  [591] = {.lex_state = 62},
  [592] = {.lex_state = 62},
  [593] = {.lex_state = 62},
  [594] = {.lex_state = 62},
  [595] = {.lex_state = 62},
  [596] = {.lex_state = 62},
  [597] = {.lex_state = 62},
  [598] = {.lex_state = 62},
  [599] = {.lex_state = 62},
  [600] = {.lex_state = 62},
  [601] = {.lex_state = 62},
  [602] = {.lex_state = 62},
  [603] = {.lex_state = 62},
  [604] = {.lex_state = 62},
  [605] = {.lex_state = 62},
  [606] = {.lex_state = 62},
  [607] = {.lex_state = 62},
  [608] = {.lex_state = 62},
  [609] = {.lex_state = 62},
  [610] = {.lex_state = 62},
  [611] = {.lex_state = 62},
  [612] = {.lex_state = 62},
  [613] = {.lex_state = 62},
  [614] = {.lex_state = 62},
  [615] = {.lex_state = 62},
  [616] = {.lex_state = 62},
  [617] = {.lex_state = 62},
  [618] = {.lex_state = 62},
  [619] = {.lex_state = 62},
  [620] = {.lex_state = 62},
  [621] = {.lex_state = 62},
  [622] = {.lex_state = 62},
  [623] = {.lex_state = 62},
  [624] = {.lex_state = 62},
  [625] = {.lex_state = 62},
  [626] = {.lex_state = 62},
  [627] = {.lex_state = 62},
  [628] = {.lex_state = 62},
  [629] = {.lex_state = 62},
  [630] = {.lex_state = 62},
  [631] = {.lex_state = 62},
  [632] = {.lex_state = 62},
  [633] = {.lex_state = 63},
  [634] = {.lex_state = 63},
  [635] = {.lex_state = 63},
  [636] = {.lex_state = 63},
  [637] = {.lex_state = 63},
  [638] = {.lex_state = 63},
  [639] = {.lex_state = 63},
  [640] = {.lex_state = 63},
  [641] = {.lex_state = 63},
  [642] = {.lex_state = 63},
  [643] = {.lex_state = 63},
  [644] = {.lex_state = 63},
  [645] = {.lex_state = 63},
  [646] = {.lex_state = 63},
  [647] = {.lex_state = 63},
  [648] = {.lex_state = 63},
  [649] = {.lex_state = 63},
  [650] = {.lex_state = 63},
  [651] = {.lex_state = 63},
  [652] = {.lex_state = 63},
  [653] = {.lex_state = 63},
  [654] = {.lex_state = 63},
  [655] = {.lex_state = 63},
  [656] = {.lex_state = 63},
  [657] = {.lex_state = 63},
  [658] = {.lex_state = 63},
  [659] = {.lex_state = 63, .external_lex_state = 2},
  [660] = {.lex_state = 63, .external_lex_state = 2},
  [661] = {.lex_state = 63, .external_lex_state = 2},
  [662] = {.lex_state = 63},
  [663] = {.lex_state = 63},
  [664] = {.lex_state = 63},
  [665] = {.lex_state = 63, .external_lex_state = 2},
  [666] = {.lex_state = 63, .external_lex_state = 2},
  [667] = {.lex_state = 63, .external_lex_state = 2},
  [668] = {.lex_state = 63, .external_lex_state = 2},
  [669] = {.lex_state = 63, .external_lex_state = 2},
  [670] = {.lex_state = 63},
  [671] = {.lex_state = 63, .external_lex_state = 2},
  [672] = {.lex_state = 63},
  [673] = {.lex_state = 63, .external_lex_state = 2},
  [674] = {.lex_state = 63, .external_lex_state = 2},
  [675] = {.lex_state = 63, .external_lex_state = 2},
  [676] = {.lex_state = 63, .external_lex_state = 2},
  [677] = {.lex_state = 63},
  [678] = {.lex_state = 63, .external_lex_state = 2},
  [679] = {.lex_state = 63},
  [680] = {.lex_state = 63, .external_lex_state = 2},
  [681] = {.lex_state = 63, .external_lex_state = 2},
  [682] = {.lex_state = 63, .external_lex_state = 2},
  [683] = {.lex_state = 63},
  [684] = {.lex_state = 63, .external_lex_state = 2},
  [685] = {.lex_state = 63, .external_lex_state = 2},
  [686] = {.lex_state = 63, .external_lex_state = 2},
  [687] = {.lex_state = 63, .external_lex_state = 2},
  [688] = {.lex_state = 63, .external_lex_state = 2},
  [689] = {.lex_state = 63, .external_lex_state = 2},
  [690] = {.lex_state = 63, .external_lex_state = 2},
  [691] = {.lex_state = 63},
  [692] = {.lex_state = 63},
  [693] = {.lex_state = 63, .external_lex_state = 2},
  [694] = {.lex_state = 63},
  [695] = {.lex_state = 63, .external_lex_state = 2},
  [696] = {.lex_state = 63},
  [697] = {.lex_state = 63},
  [698] = {.lex_state = 63},
  [699] = {.lex_state = 63},
  [700] = {.lex_state = 63},
  [701] = {.lex_state = 10},
  [702] = {.lex_state = 12},
  [703] = {.lex_state = 12},
  [704] = {.lex_state = 8},
  [705] = {.lex_state = 10},
  [706] = {.lex_state = 8},
  [707] = {.lex_state = 8},
  [708] = {.lex_state = 8},
  [709] = {.lex_state = 10},
  [710] = {.lex_state = 10},
  [711] = {.lex_state = 8},
  [712] = {.lex_state = 8},
  [713] = {.lex_state = 10},
  [714] = {.lex_state = 8},
  [715] = {.lex_state = 10},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 14},
  [720] = {.lex_state = 8},
  [721] = {.lex_state = 14},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 10},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 10},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 16},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 16},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 10},
  [740] = {.lex_state = 10},
  [741] = {.lex_state = 10},
  [742] = {.lex_state = 64},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 10},
  [745] = {.lex_state = 10},
  [746] = {.lex_state = 10},
  [747] = {.lex_state = 10},
  [748] = {.lex_state = 10},
  [749] = {.lex_state = 10},
  [750] = {.lex_state = 10},
  [751] = {.lex_state = 8},
  [752] = {.lex_state = 10},
  [753] = {.lex_state = 10},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 10},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 10},
  [758] = {.lex_state = 64},
  [759] = {.lex_state = 64},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 10},
  [762] = {.lex_state = 10},
  [763] = {.lex_state = 10},
  [764] = {.lex_state = 10},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 10},
  [769] = {.lex_state = 10},
  [770] = {.lex_state = 64},
  [771] = {.lex_state = 10},
  [772] = {.lex_state = 10},
  [773] = {.lex_state = 10},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 10},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 16},
  [778] = {.lex_state = 16},
  [779] = {.lex_state = 16},
  [780] = {.lex_state = 16},
  [781] = {.lex_state = 64},
  [782] = {.lex_state = 16},
  [783] = {.lex_state = 10},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 10},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 64},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 10},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 10},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 10},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 10},
  [831] = {.lex_state = 10},
  [832] = {.lex_state = 8, .external_lex_state = 2},
  [833] = {.lex_state = 12},
  [834] = {.lex_state = 8, .external_lex_state = 2},
  [835] = {.lex_state = 10, .external_lex_state = 2},
  [836] = {.lex_state = 8, .external_lex_state = 2},
  [837] = {.lex_state = 8, .external_lex_state = 2},
  [838] = {.lex_state = 10, .external_lex_state = 2},
  [839] = {.lex_state = 10},
  [840] = {.lex_state = 12},
  [841] = {.lex_state = 10, .external_lex_state = 2},
  [842] = {.lex_state = 10},
  [843] = {.lex_state = 10, .external_lex_state = 2},
  [844] = {.lex_state = 8, .external_lex_state = 2},
  [845] = {.lex_state = 10},
  [846] = {.lex_state = 6},
  [847] = {.lex_state = 8, .external_lex_state = 2},
  [848] = {.lex_state = 10},
  [849] = {.lex_state = 10},
  [850] = {.lex_state = 8, .external_lex_state = 2},
  [851] = {.lex_state = 10},
  [852] = {.lex_state = 64},
  [853] = {.lex_state = 10, .external_lex_state = 2},
  [854] = {.lex_state = 8, .external_lex_state = 2},
  [855] = {.lex_state = 64},
  [856] = {.lex_state = 8, .external_lex_state = 2},
  [857] = {.lex_state = 8, .external_lex_state = 2},
  [858] = {.lex_state = 8, .external_lex_state = 2},
  [859] = {.lex_state = 64},
  [860] = {.lex_state = 8, .external_lex_state = 2},
  [861] = {.lex_state = 6},
  [862] = {.lex_state = 8, .external_lex_state = 2},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 8, .external_lex_state = 2},
  [865] = {.lex_state = 8, .external_lex_state = 2},
  [866] = {.lex_state = 8, .external_lex_state = 2},
  [867] = {.lex_state = 10, .external_lex_state = 2},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 8, .external_lex_state = 2},
  [871] = {.lex_state = 8, .external_lex_state = 2},
  [872] = {.lex_state = 8, .external_lex_state = 2},
  [873] = {.lex_state = 8, .external_lex_state = 2},
  [874] = {.lex_state = 64},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 10, .external_lex_state = 2},
  [877] = {.lex_state = 10, .external_lex_state = 2},
  [878] = {.lex_state = 10, .external_lex_state = 2},
  [879] = {.lex_state = 64},
  [880] = {.lex_state = 10, .external_lex_state = 2},
  [881] = {.lex_state = 10, .external_lex_state = 2},
  [882] = {.lex_state = 64},
  [883] = {.lex_state = 64},
  [884] = {.lex_state = 10, .external_lex_state = 2},
  [885] = {.lex_state = 10, .external_lex_state = 2},
  [886] = {.lex_state = 10, .external_lex_state = 2},
  [887] = {.lex_state = 10, .external_lex_state = 2},
  [888] = {.lex_state = 64},
  [889] = {.lex_state = 64},
  [890] = {.lex_state = 10, .external_lex_state = 2},
  [891] = {.lex_state = 10, .external_lex_state = 2},
  [892] = {.lex_state = 64},
  [893] = {.lex_state = 10, .external_lex_state = 2},
  [894] = {.lex_state = 10, .external_lex_state = 2},
  [895] = {.lex_state = 10, .external_lex_state = 2},
  [896] = {.lex_state = 10, .external_lex_state = 2},
  [897] = {.lex_state = 12},
  [898] = {.lex_state = 10, .external_lex_state = 2},
  [899] = {.lex_state = 10, .external_lex_state = 2},
  [900] = {.lex_state = 8, .external_lex_state = 2},
  [901] = {.lex_state = 10, .external_lex_state = 2},
  [902] = {.lex_state = 10, .external_lex_state = 2},
  [903] = {.lex_state = 10, .external_lex_state = 2},
  [904] = {.lex_state = 64},
  [905] = {.lex_state = 10, .external_lex_state = 2},
  [906] = {.lex_state = 10, .external_lex_state = 2},
  [907] = {.lex_state = 10, .external_lex_state = 2},
  [908] = {.lex_state = 64},
  [909] = {.lex_state = 10, .external_lex_state = 2},
  [910] = {.lex_state = 64},
  [911] = {.lex_state = 64},
  [912] = {.lex_state = 10, .external_lex_state = 2},
  [913] = {.lex_state = 10, .external_lex_state = 2},
  [914] = {.lex_state = 8, .external_lex_state = 2},
  [915] = {.lex_state = 10, .external_lex_state = 2},
  [916] = {.lex_state = 10, .external_lex_state = 2},
  [917] = {.lex_state = 10, .external_lex_state = 2},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 10, .external_lex_state = 2},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 12},
  [923] = {.lex_state = 64},
  [924] = {.lex_state = 10, .external_lex_state = 2},
  [925] = {.lex_state = 10, .external_lex_state = 2},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 64},
  [928] = {.lex_state = 64},
  [929] = {.lex_state = 64},
  [930] = {.lex_state = 64},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10, .external_lex_state = 2},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10, .external_lex_state = 2},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 10},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 10, .external_lex_state = 2},
  [974] = {.lex_state = 10, .external_lex_state = 2},
  [975] = {.lex_state = 10, .external_lex_state = 2},
  [976] = {.lex_state = 10, .external_lex_state = 2},
  [977] = {.lex_state = 10, .external_lex_state = 2},
  [978] = {.lex_state = 10, .external_lex_state = 2},
  [979] = {.lex_state = 10, .external_lex_state = 2},
  [980] = {.lex_state = 10, .external_lex_state = 2},
  [981] = {.lex_state = 10, .external_lex_state = 2},
  [982] = {.lex_state = 10, .external_lex_state = 2},
  [983] = {.lex_state = 10, .external_lex_state = 2},
  [984] = {.lex_state = 10, .external_lex_state = 2},
  [985] = {.lex_state = 12},
  [986] = {.lex_state = 12},
  [987] = {.lex_state = 12},
  [988] = {.lex_state = 12},
  [989] = {.lex_state = 12},
  [990] = {.lex_state = 12},
  [991] = {.lex_state = 12},
  [992] = {.lex_state = 12},
  [993] = {.lex_state = 12},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 12},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 12},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 12},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 12},
  [1006] = {.lex_state = 12},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12},
  [1044] = {.lex_state = 12},
  [1045] = {.lex_state = 12},
  [1046] = {.lex_state = 12},
  [1047] = {.lex_state = 12},
  [1048] = {.lex_state = 12},
  [1049] = {.lex_state = 12},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 16},
  [1052] = {.lex_state = 17},
  [1053] = {.lex_state = 12, .external_lex_state = 2},
  [1054] = {.lex_state = 16},
  [1055] = {.lex_state = 12, .external_lex_state = 2},
  [1056] = {.lex_state = 12},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12},
  [1061] = {.lex_state = 12},
  [1062] = {.lex_state = 12},
  [1063] = {.lex_state = 12},
  [1064] = {.lex_state = 12},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12},
  [1067] = {.lex_state = 12},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12},
  [1072] = {.lex_state = 12},
  [1073] = {.lex_state = 12},
  [1074] = {.lex_state = 12},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12},
  [1077] = {.lex_state = 12},
  [1078] = {.lex_state = 12},
  [1079] = {.lex_state = 12},
  [1080] = {.lex_state = 12},
  [1081] = {.lex_state = 12},
  [1082] = {.lex_state = 12},
  [1083] = {.lex_state = 12},
  [1084] = {.lex_state = 12},
  [1085] = {.lex_state = 12},
  [1086] = {.lex_state = 12},
  [1087] = {.lex_state = 12},
  [1088] = {.lex_state = 12},
  [1089] = {.lex_state = 12},
  [1090] = {.lex_state = 12},
  [1091] = {.lex_state = 12},
  [1092] = {.lex_state = 12},
  [1093] = {.lex_state = 16},
  [1094] = {.lex_state = 12},
  [1095] = {.lex_state = 12},
  [1096] = {.lex_state = 16},
  [1097] = {.lex_state = 12},
  [1098] = {.lex_state = 12},
  [1099] = {.lex_state = 16},
  [1100] = {.lex_state = 16},
  [1101] = {.lex_state = 12},
  [1102] = {.lex_state = 12},
  [1103] = {.lex_state = 12},
  [1104] = {.lex_state = 12},
  [1105] = {.lex_state = 12},
  [1106] = {.lex_state = 12},
  [1107] = {.lex_state = 12},
  [1108] = {.lex_state = 12},
  [1109] = {.lex_state = 12},
  [1110] = {.lex_state = 12},
  [1111] = {.lex_state = 12},
  [1112] = {.lex_state = 12},
  [1113] = {.lex_state = 12},
  [1114] = {.lex_state = 12},
  [1115] = {.lex_state = 12},
  [1116] = {.lex_state = 12},
  [1117] = {.lex_state = 12},
  [1118] = {.lex_state = 12},
  [1119] = {.lex_state = 12},
  [1120] = {.lex_state = 12},
  [1121] = {.lex_state = 12},
  [1122] = {.lex_state = 12},
  [1123] = {.lex_state = 12},
  [1124] = {.lex_state = 12},
  [1125] = {.lex_state = 12},
  [1126] = {.lex_state = 12},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12, .external_lex_state = 2},
  [1141] = {.lex_state = 12, .external_lex_state = 2},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 12, .external_lex_state = 2},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12, .external_lex_state = 2},
  [1146] = {.lex_state = 12, .external_lex_state = 2},
  [1147] = {.lex_state = 12, .external_lex_state = 2},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 12, .external_lex_state = 2},
  [1151] = {.lex_state = 12, .external_lex_state = 2},
  [1152] = {.lex_state = 12, .external_lex_state = 2},
  [1153] = {.lex_state = 12, .external_lex_state = 2},
  [1154] = {.lex_state = 12, .external_lex_state = 2},
  [1155] = {.lex_state = 12, .external_lex_state = 2},
  [1156] = {.lex_state = 12, .external_lex_state = 2},
  [1157] = {.lex_state = 12, .external_lex_state = 2},
  [1158] = {.lex_state = 12, .external_lex_state = 2},
  [1159] = {.lex_state = 12, .external_lex_state = 2},
  [1160] = {.lex_state = 12, .external_lex_state = 2},
  [1161] = {.lex_state = 12, .external_lex_state = 2},
  [1162] = {.lex_state = 12, .external_lex_state = 2},
  [1163] = {.lex_state = 12, .external_lex_state = 2},
  [1164] = {.lex_state = 12, .external_lex_state = 2},
  [1165] = {.lex_state = 12, .external_lex_state = 2},
  [1166] = {.lex_state = 12, .external_lex_state = 2},
  [1167] = {.lex_state = 12, .external_lex_state = 2},
  [1168] = {.lex_state = 12, .external_lex_state = 2},
  [1169] = {.lex_state = 12, .external_lex_state = 2},
  [1170] = {.lex_state = 12, .external_lex_state = 2},
  [1171] = {.lex_state = 12, .external_lex_state = 2},
  [1172] = {.lex_state = 12, .external_lex_state = 2},
  [1173] = {.lex_state = 12, .external_lex_state = 2},
  [1174] = {.lex_state = 12, .external_lex_state = 2},
  [1175] = {.lex_state = 12, .external_lex_state = 2},
  [1176] = {.lex_state = 12, .external_lex_state = 2},
  [1177] = {.lex_state = 12, .external_lex_state = 2},
  [1178] = {.lex_state = 12, .external_lex_state = 2},
  [1179] = {.lex_state = 12, .external_lex_state = 2},
  [1180] = {.lex_state = 12, .external_lex_state = 2},
  [1181] = {.lex_state = 12, .external_lex_state = 2},
  [1182] = {.lex_state = 12, .external_lex_state = 2},
  [1183] = {.lex_state = 12, .external_lex_state = 2},
  [1184] = {.lex_state = 12, .external_lex_state = 2},
  [1185] = {.lex_state = 12, .external_lex_state = 2},
  [1186] = {.lex_state = 12, .external_lex_state = 2},
  [1187] = {.lex_state = 12, .external_lex_state = 2},
  [1188] = {.lex_state = 12, .external_lex_state = 2},
  [1189] = {.lex_state = 12, .external_lex_state = 2},
  [1190] = {.lex_state = 12, .external_lex_state = 2},
  [1191] = {.lex_state = 12, .external_lex_state = 2},
  [1192] = {.lex_state = 12, .external_lex_state = 2},
  [1193] = {.lex_state = 12, .external_lex_state = 2},
  [1194] = {.lex_state = 12, .external_lex_state = 2},
  [1195] = {.lex_state = 12, .external_lex_state = 2},
  [1196] = {.lex_state = 12, .external_lex_state = 2},
  [1197] = {.lex_state = 12, .external_lex_state = 2},
  [1198] = {.lex_state = 12, .external_lex_state = 2},
  [1199] = {.lex_state = 12, .external_lex_state = 2},
  [1200] = {.lex_state = 12, .external_lex_state = 2},
  [1201] = {.lex_state = 12, .external_lex_state = 2},
  [1202] = {.lex_state = 12, .external_lex_state = 2},
  [1203] = {.lex_state = 12, .external_lex_state = 2},
  [1204] = {.lex_state = 12, .external_lex_state = 2},
  [1205] = {.lex_state = 12, .external_lex_state = 2},
  [1206] = {.lex_state = 12, .external_lex_state = 2},
  [1207] = {.lex_state = 12, .external_lex_state = 2},
  [1208] = {.lex_state = 12, .external_lex_state = 2},
  [1209] = {.lex_state = 12, .external_lex_state = 2},
  [1210] = {.lex_state = 12, .external_lex_state = 2},
  [1211] = {.lex_state = 12, .external_lex_state = 2},
  [1212] = {.lex_state = 12, .external_lex_state = 2},
  [1213] = {.lex_state = 12, .external_lex_state = 2},
  [1214] = {.lex_state = 12, .external_lex_state = 2},
  [1215] = {.lex_state = 12, .external_lex_state = 2},
  [1216] = {.lex_state = 12, .external_lex_state = 2},
  [1217] = {.lex_state = 12, .external_lex_state = 2},
  [1218] = {.lex_state = 12, .external_lex_state = 2},
  [1219] = {.lex_state = 12, .external_lex_state = 2},
  [1220] = {.lex_state = 12, .external_lex_state = 2},
  [1221] = {.lex_state = 12, .external_lex_state = 2},
  [1222] = {.lex_state = 12, .external_lex_state = 2},
  [1223] = {.lex_state = 12, .external_lex_state = 2},
  [1224] = {.lex_state = 12, .external_lex_state = 2},
  [1225] = {.lex_state = 12, .external_lex_state = 2},
  [1226] = {.lex_state = 12, .external_lex_state = 2},
  [1227] = {.lex_state = 12},
  [1228] = {.lex_state = 12},
  [1229] = {.lex_state = 12},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 12},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12, .external_lex_state = 2},
  [1266] = {.lex_state = 12, .external_lex_state = 2},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12, .external_lex_state = 2},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12, .external_lex_state = 2},
  [1275] = {.lex_state = 12, .external_lex_state = 2},
  [1276] = {.lex_state = 12, .external_lex_state = 2},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12, .external_lex_state = 2},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 16},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 16},
  [1285] = {.lex_state = 12, .external_lex_state = 2},
  [1286] = {.lex_state = 16},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12, .external_lex_state = 2},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 16},
  [1298] = {.lex_state = 16},
  [1299] = {.lex_state = 16},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 16},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 16},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12, .external_lex_state = 2},
  [1318] = {.lex_state = 12, .external_lex_state = 2},
  [1319] = {.lex_state = 12, .external_lex_state = 2},
  [1320] = {.lex_state = 12, .external_lex_state = 2},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 16},
  [1324] = {.lex_state = 12},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 12},
  [1327] = {.lex_state = 12},
  [1328] = {.lex_state = 12},
  [1329] = {.lex_state = 12},
  [1330] = {.lex_state = 12},
  [1331] = {.lex_state = 12},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 12},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 12},
  [1338] = {.lex_state = 12},
  [1339] = {.lex_state = 12},
  [1340] = {.lex_state = 12},
  [1341] = {.lex_state = 12},
  [1342] = {.lex_state = 12},
  [1343] = {.lex_state = 12},
  [1344] = {.lex_state = 12},
  [1345] = {.lex_state = 12},
  [1346] = {.lex_state = 12},
  [1347] = {.lex_state = 12},
  [1348] = {.lex_state = 12},
  [1349] = {.lex_state = 12},
  [1350] = {.lex_state = 12},
  [1351] = {.lex_state = 12},
  [1352] = {.lex_state = 12},
  [1353] = {.lex_state = 12},
  [1354] = {.lex_state = 12},
  [1355] = {.lex_state = 12},
  [1356] = {.lex_state = 12},
  [1357] = {.lex_state = 12},
  [1358] = {.lex_state = 12},
  [1359] = {.lex_state = 12},
  [1360] = {.lex_state = 12},
  [1361] = {.lex_state = 12},
  [1362] = {.lex_state = 12},
  [1363] = {.lex_state = 12},
  [1364] = {.lex_state = 12},
  [1365] = {.lex_state = 12},
  [1366] = {.lex_state = 12},
  [1367] = {.lex_state = 12},
  [1368] = {.lex_state = 12},
  [1369] = {.lex_state = 12},
  [1370] = {.lex_state = 12},
  [1371] = {.lex_state = 12},
  [1372] = {.lex_state = 12},
  [1373] = {.lex_state = 12},
  [1374] = {.lex_state = 12},
  [1375] = {.lex_state = 12},
  [1376] = {.lex_state = 12},
  [1377] = {.lex_state = 12},
  [1378] = {.lex_state = 12},
  [1379] = {.lex_state = 12},
  [1380] = {.lex_state = 12},
  [1381] = {.lex_state = 12},
  [1382] = {.lex_state = 12},
  [1383] = {.lex_state = 12},
  [1384] = {.lex_state = 12},
  [1385] = {.lex_state = 12},
  [1386] = {.lex_state = 12},
  [1387] = {.lex_state = 12},
  [1388] = {.lex_state = 12},
  [1389] = {.lex_state = 12},
  [1390] = {.lex_state = 12},
  [1391] = {.lex_state = 12},
  [1392] = {.lex_state = 12},
  [1393] = {.lex_state = 12},
  [1394] = {.lex_state = 12},
  [1395] = {.lex_state = 12},
  [1396] = {.lex_state = 16},
  [1397] = {.lex_state = 16},
  [1398] = {.lex_state = 16},
  [1399] = {.lex_state = 12},
  [1400] = {.lex_state = 12},
  [1401] = {.lex_state = 12},
  [1402] = {.lex_state = 12},
  [1403] = {.lex_state = 12},
  [1404] = {.lex_state = 12},
  [1405] = {.lex_state = 12},
  [1406] = {.lex_state = 12},
  [1407] = {.lex_state = 16},
  [1408] = {.lex_state = 16},
  [1409] = {.lex_state = 12},
  [1410] = {.lex_state = 12},
  [1411] = {.lex_state = 12},
  [1412] = {.lex_state = 12},
  [1413] = {.lex_state = 12},
  [1414] = {.lex_state = 12},
  [1415] = {.lex_state = 12},
  [1416] = {.lex_state = 12},
  [1417] = {.lex_state = 12},
  [1418] = {.lex_state = 12},
  [1419] = {.lex_state = 12},
  [1420] = {.lex_state = 12},
  [1421] = {.lex_state = 12},
  [1422] = {.lex_state = 12},
  [1423] = {.lex_state = 12},
  [1424] = {.lex_state = 12},
  [1425] = {.lex_state = 12},
  [1426] = {.lex_state = 63},
  [1427] = {.lex_state = 63},
  [1428] = {.lex_state = 63},
  [1429] = {.lex_state = 63},
  [1430] = {.lex_state = 63},
  [1431] = {.lex_state = 63},
  [1432] = {.lex_state = 63},
  [1433] = {.lex_state = 63},
  [1434] = {.lex_state = 63},
  [1435] = {.lex_state = 63},
  [1436] = {.lex_state = 63},
  [1437] = {.lex_state = 63},
  [1438] = {.lex_state = 15},
  [1439] = {.lex_state = 63},
  [1440] = {.lex_state = 63},
  [1441] = {.lex_state = 63},
  [1442] = {.lex_state = 63},
  [1443] = {.lex_state = 64},
  [1444] = {.lex_state = 3, .external_lex_state = 3},
  [1445] = {.lex_state = 3, .external_lex_state = 3},
  [1446] = {.lex_state = 16},
  [1447] = {.lex_state = 3, .external_lex_state = 3},
  [1448] = {.lex_state = 16},
  [1449] = {.lex_state = 16},
  [1450] = {.lex_state = 16},
  [1451] = {.lex_state = 16},
  [1452] = {.lex_state = 16},
  [1453] = {.lex_state = 16},
  [1454] = {.lex_state = 16},
  [1455] = {.lex_state = 16},
  [1456] = {.lex_state = 16},
  [1457] = {.lex_state = 16},
  [1458] = {.lex_state = 16},
  [1459] = {.lex_state = 16},
  [1460] = {.lex_state = 3, .external_lex_state = 3},
  [1461] = {.lex_state = 16},
  [1462] = {.lex_state = 16},
  [1463] = {.lex_state = 16},
  [1464] = {.lex_state = 3, .external_lex_state = 4},
  [1465] = {.lex_state = 3, .external_lex_state = 3},
  [1466] = {.lex_state = 16},
  [1467] = {.lex_state = 8, .external_lex_state = 5},
  [1468] = {.lex_state = 8, .external_lex_state = 5},
  [1469] = {.lex_state = 8, .external_lex_state = 5},
  [1470] = {.lex_state = 16},
  [1471] = {.lex_state = 8, .external_lex_state = 6},
  [1472] = {.lex_state = 16},
  [1473] = {.lex_state = 16},
  [1474] = {.lex_state = 16},
  [1475] = {.lex_state = 8, .external_lex_state = 6},
  [1476] = {.lex_state = 16},
  [1477] = {.lex_state = 16},
  [1478] = {.lex_state = 17},
  [1479] = {.lex_state = 63},
  [1480] = {.lex_state = 16},
  [1481] = {.lex_state = 16},
  [1482] = {.lex_state = 16},
  [1483] = {.lex_state = 16},
  [1484] = {.lex_state = 16},
  [1485] = {.lex_state = 16},
  [1486] = {.lex_state = 16},
  [1487] = {.lex_state = 16},
  [1488] = {.lex_state = 8, .external_lex_state = 6},
  [1489] = {.lex_state = 16},
  [1490] = {.lex_state = 16},
  [1491] = {.lex_state = 8, .external_lex_state = 6},
  [1492] = {.lex_state = 16},
  [1493] = {.lex_state = 8, .external_lex_state = 6},
  [1494] = {.lex_state = 16},
  [1495] = {.lex_state = 63},
  [1496] = {.lex_state = 8, .external_lex_state = 5},
  [1497] = {.lex_state = 8, .external_lex_state = 5},
  [1498] = {.lex_state = 16},
  [1499] = {.lex_state = 16},
  [1500] = {.lex_state = 63},
  [1501] = {.lex_state = 63},
  [1502] = {.lex_state = 63},
  [1503] = {.lex_state = 63},
  [1504] = {.lex_state = 8, .external_lex_state = 4},
  [1505] = {.lex_state = 63},
  [1506] = {.lex_state = 17},
  [1507] = {.lex_state = 64},
  [1508] = {.lex_state = 63},
  [1509] = {.lex_state = 17},
  [1510] = {.lex_state = 63},
  [1511] = {.lex_state = 63},
  [1512] = {.lex_state = 17},
  [1513] = {.lex_state = 17},
  [1514] = {.lex_state = 63},
  [1515] = {.lex_state = 64},
  [1516] = {.lex_state = 63},
  [1517] = {.lex_state = 63},
  [1518] = {.lex_state = 3, .external_lex_state = 7},
  [1519] = {.lex_state = 17},
  [1520] = {.lex_state = 63},
  [1521] = {.lex_state = 63},
  [1522] = {.lex_state = 63},
  [1523] = {.lex_state = 63},
  [1524] = {.lex_state = 63},
  [1525] = {.lex_state = 63},
  [1526] = {.lex_state = 63},
  [1527] = {.lex_state = 17},
  [1528] = {.lex_state = 17},
  [1529] = {.lex_state = 63},
  [1530] = {.lex_state = 17},
  [1531] = {.lex_state = 63},
  [1532] = {.lex_state = 17},
  [1533] = {.lex_state = 3, .external_lex_state = 7},
  [1534] = {.lex_state = 63},
  [1535] = {.lex_state = 63},
  [1536] = {.lex_state = 63},
  [1537] = {.lex_state = 63},
  [1538] = {.lex_state = 63},
  [1539] = {.lex_state = 63},
  [1540] = {.lex_state = 63},
  [1541] = {.lex_state = 63},
  [1542] = {.lex_state = 63},
  [1543] = {.lex_state = 63},
  [1544] = {.lex_state = 63},
  [1545] = {.lex_state = 63},
  [1546] = {.lex_state = 63},
  [1547] = {.lex_state = 63},
  [1548] = {.lex_state = 63},
  [1549] = {.lex_state = 8, .external_lex_state = 8},
  [1550] = {.lex_state = 8, .external_lex_state = 8},
  [1551] = {.lex_state = 63},
  [1552] = {.lex_state = 63},
  [1553] = {.lex_state = 63},
  [1554] = {.lex_state = 8, .external_lex_state = 9},
  [1555] = {.lex_state = 8, .external_lex_state = 9},
  [1556] = {.lex_state = 63},
  [1557] = {.lex_state = 63},
  [1558] = {.lex_state = 63},
  [1559] = {.lex_state = 63},
  [1560] = {.lex_state = 63},
  [1561] = {.lex_state = 63},
  [1562] = {.lex_state = 63},
  [1563] = {.lex_state = 17},
  [1564] = {.lex_state = 63},
  [1565] = {.lex_state = 63},
  [1566] = {.lex_state = 63},
  [1567] = {.lex_state = 63},
  [1568] = {.lex_state = 63},
  [1569] = {.lex_state = 63},
  [1570] = {.lex_state = 63},
  [1571] = {.lex_state = 63},
  [1572] = {.lex_state = 63},
  [1573] = {.lex_state = 63},
  [1574] = {.lex_state = 63},
  [1575] = {.lex_state = 63},
  [1576] = {.lex_state = 63},
  [1577] = {.lex_state = 63},
  [1578] = {.lex_state = 63},
  [1579] = {.lex_state = 63},
  [1580] = {.lex_state = 63},
  [1581] = {.lex_state = 63},
  [1582] = {.lex_state = 63},
  [1583] = {.lex_state = 63},
  [1584] = {.lex_state = 63},
  [1585] = {.lex_state = 63},
  [1586] = {.lex_state = 63},
  [1587] = {.lex_state = 63},
  [1588] = {.lex_state = 63},
  [1589] = {.lex_state = 63},
  [1590] = {.lex_state = 63},
  [1591] = {.lex_state = 63},
  [1592] = {.lex_state = 63},
  [1593] = {.lex_state = 63},
  [1594] = {.lex_state = 63},
  [1595] = {.lex_state = 63},
  [1596] = {.lex_state = 63},
  [1597] = {.lex_state = 63},
  [1598] = {.lex_state = 63},
  [1599] = {.lex_state = 63},
  [1600] = {.lex_state = 63},
  [1601] = {.lex_state = 63, .external_lex_state = 2},
  [1602] = {.lex_state = 63},
  [1603] = {.lex_state = 63},
  [1604] = {.lex_state = 63},
  [1605] = {.lex_state = 63},
  [1606] = {.lex_state = 63, .external_lex_state = 2},
  [1607] = {.lex_state = 63},
  [1608] = {.lex_state = 63},
  [1609] = {.lex_state = 63},
  [1610] = {.lex_state = 63},
  [1611] = {.lex_state = 63},
  [1612] = {.lex_state = 63},
  [1613] = {.lex_state = 63},
  [1614] = {.lex_state = 17},
  [1615] = {.lex_state = 63},
  [1616] = {.lex_state = 63},
  [1617] = {.lex_state = 63},
  [1618] = {.lex_state = 63},
  [1619] = {.lex_state = 10},
  [1620] = {.lex_state = 63},
  [1621] = {.lex_state = 63},
  [1622] = {.lex_state = 63},
  [1623] = {.lex_state = 63},
  [1624] = {.lex_state = 63},
  [1625] = {.lex_state = 63},
  [1626] = {.lex_state = 3, .external_lex_state = 3},
  [1627] = {.lex_state = 63},
  [1628] = {.lex_state = 3, .external_lex_state = 3},
  [1629] = {.lex_state = 63, .external_lex_state = 2},
  [1630] = {.lex_state = 3, .external_lex_state = 3},
  [1631] = {.lex_state = 3, .external_lex_state = 3},
  [1632] = {.lex_state = 63},
  [1633] = {.lex_state = 63},
  [1634] = {.lex_state = 3, .external_lex_state = 3},
  [1635] = {.lex_state = 63},
  [1636] = {.lex_state = 3, .external_lex_state = 3},
  [1637] = {.lex_state = 63},
  [1638] = {.lex_state = 64},
  [1639] = {.lex_state = 10},
  [1640] = {.lex_state = 63},
  [1641] = {.lex_state = 3, .external_lex_state = 3},
  [1642] = {.lex_state = 63},
  [1643] = {.lex_state = 3, .external_lex_state = 3},
  [1644] = {.lex_state = 3, .external_lex_state = 3},
  [1645] = {.lex_state = 63},
  [1646] = {.lex_state = 3, .external_lex_state = 3},
  [1647] = {.lex_state = 63},
  [1648] = {.lex_state = 63},
  [1649] = {.lex_state = 63},
  [1650] = {.lex_state = 63},
  [1651] = {.lex_state = 63},
  [1652] = {.lex_state = 63},
  [1653] = {.lex_state = 10},
  [1654] = {.lex_state = 63},
  [1655] = {.lex_state = 63},
  [1656] = {.lex_state = 63},
  [1657] = {.lex_state = 63, .external_lex_state = 2},
  [1658] = {.lex_state = 63},
  [1659] = {.lex_state = 8, .external_lex_state = 5},
  [1660] = {.lex_state = 63, .external_lex_state = 2},
  [1661] = {.lex_state = 63},
  [1662] = {.lex_state = 63},
  [1663] = {.lex_state = 8, .external_lex_state = 6},
  [1664] = {.lex_state = 8, .external_lex_state = 6},
  [1665] = {.lex_state = 63},
  [1666] = {.lex_state = 63},
  [1667] = {.lex_state = 63},
  [1668] = {.lex_state = 63},
  [1669] = {.lex_state = 63},
  [1670] = {.lex_state = 63},
  [1671] = {.lex_state = 63},
  [1672] = {.lex_state = 63},
  [1673] = {.lex_state = 63},
  [1674] = {.lex_state = 63},
  [1675] = {.lex_state = 63},
  [1676] = {.lex_state = 8, .external_lex_state = 6},
  [1677] = {.lex_state = 8, .external_lex_state = 5},
  [1678] = {.lex_state = 63},
  [1679] = {.lex_state = 63},
  [1680] = {.lex_state = 8, .external_lex_state = 6},
  [1681] = {.lex_state = 63},
  [1682] = {.lex_state = 63},
  [1683] = {.lex_state = 63},
  [1684] = {.lex_state = 63},
  [1685] = {.lex_state = 63},
  [1686] = {.lex_state = 63},
  [1687] = {.lex_state = 8, .external_lex_state = 5},
  [1688] = {.lex_state = 63},
  [1689] = {.lex_state = 65, .external_lex_state = 10},
  [1690] = {.lex_state = 63},
  [1691] = {.lex_state = 8, .external_lex_state = 5},
  [1692] = {.lex_state = 8, .external_lex_state = 5},
  [1693] = {.lex_state = 63},
  [1694] = {.lex_state = 63},
  [1695] = {.lex_state = 63},
  [1696] = {.lex_state = 8, .external_lex_state = 5},
  [1697] = {.lex_state = 63},
  [1698] = {.lex_state = 8, .external_lex_state = 6},
  [1699] = {.lex_state = 63},
  [1700] = {.lex_state = 8, .external_lex_state = 6},
  [1701] = {.lex_state = 63},
  [1702] = {.lex_state = 63, .external_lex_state = 2},
  [1703] = {.lex_state = 63},
  [1704] = {.lex_state = 18},
  [1705] = {.lex_state = 63},
  [1706] = {.lex_state = 63},
  [1707] = {.lex_state = 63},
  [1708] = {.lex_state = 8, .external_lex_state = 6},
  [1709] = {.lex_state = 18},
  [1710] = {.lex_state = 63},
  [1711] = {.lex_state = 63},
  [1712] = {.lex_state = 8, .external_lex_state = 6},
  [1713] = {.lex_state = 63},
  [1714] = {.lex_state = 63},
  [1715] = {.lex_state = 63},
  [1716] = {.lex_state = 63},
  [1717] = {.lex_state = 63},
  [1718] = {.lex_state = 63},
  [1719] = {.lex_state = 63, .external_lex_state = 2},
  [1720] = {.lex_state = 63},
  [1721] = {.lex_state = 63},
  [1722] = {.lex_state = 63},
  [1723] = {.lex_state = 8, .external_lex_state = 6},
  [1724] = {.lex_state = 8, .external_lex_state = 5},
  [1725] = {.lex_state = 63},
  [1726] = {.lex_state = 63},
  [1727] = {.lex_state = 63},
  [1728] = {.lex_state = 8, .external_lex_state = 6},
  [1729] = {.lex_state = 63},
  [1730] = {.lex_state = 63},
  [1731] = {.lex_state = 18},
  [1732] = {.lex_state = 63},
  [1733] = {.lex_state = 8, .external_lex_state = 5},
  [1734] = {.lex_state = 18},
  [1735] = {.lex_state = 8, .external_lex_state = 5},
  [1736] = {.lex_state = 8, .external_lex_state = 5},
  [1737] = {.lex_state = 18},
  [1738] = {.lex_state = 63},
  [1739] = {.lex_state = 63},
  [1740] = {.lex_state = 63},
  [1741] = {.lex_state = 63},
  [1742] = {.lex_state = 63},
  [1743] = {.lex_state = 65},
  [1744] = {.lex_state = 63},
  [1745] = {.lex_state = 63, .external_lex_state = 2},
  [1746] = {.lex_state = 63},
  [1747] = {.lex_state = 63},
  [1748] = {.lex_state = 63},
  [1749] = {.lex_state = 63, .external_lex_state = 2},
  [1750] = {.lex_state = 63, .external_lex_state = 2},
  [1751] = {.lex_state = 63},
  [1752] = {.lex_state = 63, .external_lex_state = 2},
  [1753] = {.lex_state = 63},
  [1754] = {.lex_state = 63},
  [1755] = {.lex_state = 64},
  [1756] = {.lex_state = 63, .external_lex_state = 2},
  [1757] = {.lex_state = 63, .external_lex_state = 2},
  [1758] = {.lex_state = 63},
  [1759] = {.lex_state = 63},
  [1760] = {.lex_state = 63, .external_lex_state = 2},
  [1761] = {.lex_state = 63},
  [1762] = {.lex_state = 63},
  [1763] = {.lex_state = 63},
  [1764] = {.lex_state = 64},
  [1765] = {.lex_state = 63, .external_lex_state = 2},
  [1766] = {.lex_state = 63},
  [1767] = {.lex_state = 64},
  [1768] = {.lex_state = 64},
  [1769] = {.lex_state = 63},
  [1770] = {.lex_state = 63},
  [1771] = {.lex_state = 63},
  [1772] = {.lex_state = 63, .external_lex_state = 2},
  [1773] = {.lex_state = 63, .external_lex_state = 2},
  [1774] = {.lex_state = 63, .external_lex_state = 2},
  [1775] = {.lex_state = 63, .external_lex_state = 2},
  [1776] = {.lex_state = 63},
  [1777] = {.lex_state = 63},
  [1778] = {.lex_state = 63, .external_lex_state = 2},
  [1779] = {.lex_state = 63, .external_lex_state = 2},
  [1780] = {.lex_state = 63},
  [1781] = {.lex_state = 63},
  [1782] = {.lex_state = 63, .external_lex_state = 2},
  [1783] = {.lex_state = 63},
  [1784] = {.lex_state = 63},
  [1785] = {.lex_state = 63},
  [1786] = {.lex_state = 63},
  [1787] = {.lex_state = 63, .external_lex_state = 2},
  [1788] = {.lex_state = 63, .external_lex_state = 2},
  [1789] = {.lex_state = 64},
  [1790] = {.lex_state = 63},
  [1791] = {.lex_state = 63, .external_lex_state = 2},
  [1792] = {.lex_state = 63},
  [1793] = {.lex_state = 63},
  [1794] = {.lex_state = 63},
  [1795] = {.lex_state = 63},
  [1796] = {.lex_state = 63, .external_lex_state = 2},
  [1797] = {.lex_state = 63},
  [1798] = {.lex_state = 63, .external_lex_state = 2},
  [1799] = {.lex_state = 63},
  [1800] = {.lex_state = 63, .external_lex_state = 2},
  [1801] = {.lex_state = 63},
  [1802] = {.lex_state = 63, .external_lex_state = 2},
  [1803] = {.lex_state = 65, .external_lex_state = 10},
  [1804] = {.lex_state = 63},
  [1805] = {.lex_state = 63},
  [1806] = {.lex_state = 63},
  [1807] = {.lex_state = 63},
  [1808] = {.lex_state = 63},
  [1809] = {.lex_state = 63},
  [1810] = {.lex_state = 63},
  [1811] = {.lex_state = 63},
  [1812] = {.lex_state = 63},
  [1813] = {.lex_state = 65},
  [1814] = {.lex_state = 63, .external_lex_state = 2},
  [1815] = {.lex_state = 64},
  [1816] = {.lex_state = 64},
  [1817] = {.lex_state = 63, .external_lex_state = 2},
  [1818] = {.lex_state = 63},
  [1819] = {.lex_state = 63, .external_lex_state = 2},
  [1820] = {.lex_state = 63},
  [1821] = {.lex_state = 63},
  [1822] = {.lex_state = 63, .external_lex_state = 2},
  [1823] = {.lex_state = 63, .external_lex_state = 2},
  [1824] = {.lex_state = 63, .external_lex_state = 2},
  [1825] = {.lex_state = 63, .external_lex_state = 2},
  [1826] = {.lex_state = 63},
  [1827] = {.lex_state = 63, .external_lex_state = 2},
  [1828] = {.lex_state = 64},
  [1829] = {.lex_state = 63, .external_lex_state = 2},
  [1830] = {.lex_state = 65, .external_lex_state = 10},
  [1831] = {.lex_state = 63, .external_lex_state = 2},
  [1832] = {.lex_state = 63, .external_lex_state = 2},
  [1833] = {.lex_state = 63},
  [1834] = {.lex_state = 63},
  [1835] = {.lex_state = 63, .external_lex_state = 2},
  [1836] = {.lex_state = 63, .external_lex_state = 2},
  [1837] = {.lex_state = 63},
  [1838] = {.lex_state = 63, .external_lex_state = 2},
  [1839] = {.lex_state = 63},
  [1840] = {.lex_state = 63, .external_lex_state = 2},
  [1841] = {.lex_state = 63, .external_lex_state = 2},
  [1842] = {.lex_state = 63, .external_lex_state = 2},
  [1843] = {.lex_state = 63, .external_lex_state = 2},
  [1844] = {.lex_state = 65, .external_lex_state = 10},
  [1845] = {.lex_state = 63},
  [1846] = {.lex_state = 63, .external_lex_state = 2},
  [1847] = {.lex_state = 63, .external_lex_state = 2},
  [1848] = {.lex_state = 63},
  [1849] = {.lex_state = 64},
  [1850] = {.lex_state = 63, .external_lex_state = 2},
  [1851] = {.lex_state = 63, .external_lex_state = 2},
  [1852] = {.lex_state = 63},
  [1853] = {.lex_state = 63, .external_lex_state = 2},
  [1854] = {.lex_state = 63, .external_lex_state = 2},
  [1855] = {.lex_state = 63, .external_lex_state = 2},
  [1856] = {.lex_state = 63},
  [1857] = {.lex_state = 63},
  [1858] = {.lex_state = 63},
  [1859] = {.lex_state = 63},
  [1860] = {.lex_state = 63},
  [1861] = {.lex_state = 63},
  [1862] = {.lex_state = 63},
  [1863] = {.lex_state = 18},
  [1864] = {.lex_state = 63},
  [1865] = {.lex_state = 63},
  [1866] = {.lex_state = 63, .external_lex_state = 2},
  [1867] = {.lex_state = 63},
  [1868] = {.lex_state = 63},
  [1869] = {.lex_state = 63},
  [1870] = {.lex_state = 63},
  [1871] = {.lex_state = 63, .external_lex_state = 2},
  [1872] = {.lex_state = 63, .external_lex_state = 2},
  [1873] = {.lex_state = 63},
  [1874] = {.lex_state = 63, .external_lex_state = 2},
  [1875] = {.lex_state = 63},
  [1876] = {.lex_state = 63},
  [1877] = {.lex_state = 63},
  [1878] = {.lex_state = 63},
  [1879] = {.lex_state = 63},
  [1880] = {.lex_state = 63},
  [1881] = {.lex_state = 63, .external_lex_state = 2},
  [1882] = {.lex_state = 63},
  [1883] = {.lex_state = 63},
  [1884] = {.lex_state = 63, .external_lex_state = 2},
  [1885] = {.lex_state = 63, .external_lex_state = 2},
  [1886] = {.lex_state = 63, .external_lex_state = 2},
  [1887] = {.lex_state = 63},
  [1888] = {.lex_state = 63, .external_lex_state = 2},
  [1889] = {.lex_state = 63},
  [1890] = {.lex_state = 63},
  [1891] = {.lex_state = 63},
  [1892] = {.lex_state = 63},
  [1893] = {.lex_state = 63, .external_lex_state = 2},
  [1894] = {.lex_state = 63, .external_lex_state = 2},
  [1895] = {.lex_state = 63},
  [1896] = {.lex_state = 65},
  [1897] = {.lex_state = 63, .external_lex_state = 2},
  [1898] = {.lex_state = 63, .external_lex_state = 2},
  [1899] = {.lex_state = 63, .external_lex_state = 2},
  [1900] = {.lex_state = 63, .external_lex_state = 2},
  [1901] = {.lex_state = 63, .external_lex_state = 2},
  [1902] = {.lex_state = 63, .external_lex_state = 2},
  [1903] = {.lex_state = 63},
  [1904] = {.lex_state = 3, .external_lex_state = 11},
  [1905] = {.lex_state = 63, .external_lex_state = 2},
  [1906] = {.lex_state = 63},
  [1907] = {.lex_state = 63},
  [1908] = {.lex_state = 63},
  [1909] = {.lex_state = 63},
  [1910] = {.lex_state = 63},
  [1911] = {.lex_state = 63},
  [1912] = {.lex_state = 63},
  [1913] = {.lex_state = 63, .external_lex_state = 2},
  [1914] = {.lex_state = 63, .external_lex_state = 2},
  [1915] = {.lex_state = 63},
  [1916] = {.lex_state = 63},
  [1917] = {.lex_state = 63},
  [1918] = {.lex_state = 63},
  [1919] = {.lex_state = 63},
  [1920] = {.lex_state = 63, .external_lex_state = 2},
  [1921] = {.lex_state = 63, .external_lex_state = 2},
  [1922] = {.lex_state = 63, .external_lex_state = 2},
  [1923] = {.lex_state = 63, .external_lex_state = 2},
  [1924] = {.lex_state = 63},
  [1925] = {.lex_state = 63, .external_lex_state = 2},
  [1926] = {.lex_state = 63, .external_lex_state = 2},
  [1927] = {.lex_state = 63},
  [1928] = {.lex_state = 63},
  [1929] = {.lex_state = 63},
  [1930] = {.lex_state = 63},
  [1931] = {.lex_state = 63, .external_lex_state = 2},
  [1932] = {.lex_state = 63, .external_lex_state = 2},
  [1933] = {.lex_state = 63},
  [1934] = {.lex_state = 63, .external_lex_state = 2},
  [1935] = {.lex_state = 63},
  [1936] = {.lex_state = 63},
  [1937] = {.lex_state = 63},
  [1938] = {.lex_state = 63, .external_lex_state = 2},
  [1939] = {.lex_state = 63},
  [1940] = {.lex_state = 63, .external_lex_state = 2},
  [1941] = {.lex_state = 63},
  [1942] = {.lex_state = 63, .external_lex_state = 2},
  [1943] = {.lex_state = 63, .external_lex_state = 2},
  [1944] = {.lex_state = 63},
  [1945] = {.lex_state = 63},
  [1946] = {.lex_state = 63},
  [1947] = {.lex_state = 63},
  [1948] = {.lex_state = 63, .external_lex_state = 2},
  [1949] = {.lex_state = 3, .external_lex_state = 12},
  [1950] = {.lex_state = 63, .external_lex_state = 2},
  [1951] = {.lex_state = 64},
  [1952] = {.lex_state = 63, .external_lex_state = 2},
  [1953] = {.lex_state = 63, .external_lex_state = 2},
  [1954] = {.lex_state = 63, .external_lex_state = 2},
  [1955] = {.lex_state = 63},
  [1956] = {.lex_state = 63, .external_lex_state = 2},
  [1957] = {.lex_state = 63},
  [1958] = {.lex_state = 63, .external_lex_state = 2},
  [1959] = {.lex_state = 63},
  [1960] = {.lex_state = 3, .external_lex_state = 12},
  [1961] = {.lex_state = 63},
  [1962] = {.lex_state = 63},
  [1963] = {.lex_state = 64},
  [1964] = {.lex_state = 63},
  [1965] = {.lex_state = 63},
  [1966] = {.lex_state = 63},
  [1967] = {.lex_state = 63},
  [1968] = {.lex_state = 63},
  [1969] = {.lex_state = 3, .external_lex_state = 12},
  [1970] = {.lex_state = 63},
  [1971] = {.lex_state = 63, .external_lex_state = 2},
  [1972] = {.lex_state = 63},
  [1973] = {.lex_state = 18},
  [1974] = {.lex_state = 3, .external_lex_state = 11},
  [1975] = {.lex_state = 63},
  [1976] = {.lex_state = 3, .external_lex_state = 12},
  [1977] = {.lex_state = 63, .external_lex_state = 2},
  [1978] = {.lex_state = 63},
  [1979] = {.lex_state = 63, .external_lex_state = 2},
  [1980] = {.lex_state = 63, .external_lex_state = 2},
  [1981] = {.lex_state = 63, .external_lex_state = 2},
  [1982] = {.lex_state = 63},
  [1983] = {.lex_state = 63, .external_lex_state = 2},
  [1984] = {.lex_state = 63, .external_lex_state = 2},
  [1985] = {.lex_state = 63, .external_lex_state = 2},
  [1986] = {.lex_state = 63},
  [1987] = {.lex_state = 63},
  [1988] = {.lex_state = 63},
  [1989] = {.lex_state = 63},
  [1990] = {.lex_state = 63},
  [1991] = {.lex_state = 63},
  [1992] = {.lex_state = 63},
  [1993] = {.lex_state = 63},
  [1994] = {.lex_state = 63},
  [1995] = {.lex_state = 63},
  [1996] = {.lex_state = 3, .external_lex_state = 11},
  [1997] = {.lex_state = 63},
  [1998] = {.lex_state = 63},
  [1999] = {.lex_state = 63},
  [2000] = {.lex_state = 63},
  [2001] = {.lex_state = 63},
  [2002] = {.lex_state = 63},
  [2003] = {.lex_state = 63, .external_lex_state = 2},
  [2004] = {.lex_state = 3, .external_lex_state = 12},
  [2005] = {.lex_state = 63},
  [2006] = {.lex_state = 63, .external_lex_state = 2},
  [2007] = {.lex_state = 63},
  [2008] = {.lex_state = 63},
  [2009] = {.lex_state = 63, .external_lex_state = 2},
  [2010] = {.lex_state = 63},
  [2011] = {.lex_state = 63, .external_lex_state = 2},
  [2012] = {.lex_state = 63},
  [2013] = {.lex_state = 63},
  [2014] = {.lex_state = 63},
  [2015] = {.lex_state = 63, .external_lex_state = 13},
  [2016] = {.lex_state = 3, .external_lex_state = 12},
  [2017] = {.lex_state = 63},
  [2018] = {.lex_state = 63},
  [2019] = {.lex_state = 63},
  [2020] = {.lex_state = 63},
  [2021] = {.lex_state = 63},
  [2022] = {.lex_state = 63},
  [2023] = {.lex_state = 63},
  [2024] = {.lex_state = 63},
  [2025] = {.lex_state = 63},
  [2026] = {.lex_state = 63},
  [2027] = {.lex_state = 63},
  [2028] = {.lex_state = 63, .external_lex_state = 2},
  [2029] = {.lex_state = 63},
  [2030] = {.lex_state = 63},
  [2031] = {.lex_state = 63},
  [2032] = {.lex_state = 63, .external_lex_state = 2},
  [2033] = {.lex_state = 63},
  [2034] = {.lex_state = 63},
  [2035] = {.lex_state = 63},
  [2036] = {.lex_state = 63},
  [2037] = {.lex_state = 63},
  [2038] = {.lex_state = 63},
  [2039] = {.lex_state = 63},
  [2040] = {.lex_state = 63, .external_lex_state = 2},
  [2041] = {.lex_state = 63},
  [2042] = {.lex_state = 63},
  [2043] = {.lex_state = 63},
  [2044] = {.lex_state = 63},
  [2045] = {.lex_state = 63},
  [2046] = {.lex_state = 63},
  [2047] = {.lex_state = 63, .external_lex_state = 2},
  [2048] = {.lex_state = 63},
  [2049] = {.lex_state = 63},
  [2050] = {.lex_state = 63},
  [2051] = {.lex_state = 63},
  [2052] = {.lex_state = 63},
  [2053] = {.lex_state = 63},
  [2054] = {.lex_state = 63},
  [2055] = {.lex_state = 63},
  [2056] = {.lex_state = 63},
  [2057] = {.lex_state = 63},
  [2058] = {.lex_state = 63},
  [2059] = {.lex_state = 63},
  [2060] = {.lex_state = 63, .external_lex_state = 2},
  [2061] = {.lex_state = 63},
  [2062] = {.lex_state = 63},
  [2063] = {.lex_state = 63},
  [2064] = {.lex_state = 63},
  [2065] = {.lex_state = 63},
  [2066] = {.lex_state = 63},
  [2067] = {.lex_state = 3, .external_lex_state = 12},
  [2068] = {.lex_state = 63},
  [2069] = {.lex_state = 3, .external_lex_state = 12},
  [2070] = {.lex_state = 63},
  [2071] = {.lex_state = 63},
  [2072] = {.lex_state = 63, .external_lex_state = 2},
  [2073] = {.lex_state = 63},
  [2074] = {.lex_state = 63, .external_lex_state = 2},
  [2075] = {.lex_state = 63},
  [2076] = {.lex_state = 63},
  [2077] = {.lex_state = 63},
  [2078] = {.lex_state = 63},
  [2079] = {.lex_state = 63},
  [2080] = {.lex_state = 63, .external_lex_state = 2},
  [2081] = {.lex_state = 63},
  [2082] = {.lex_state = 63, .external_lex_state = 2},
  [2083] = {.lex_state = 63},
  [2084] = {.lex_state = 63},
  [2085] = {.lex_state = 63},
  [2086] = {.lex_state = 63},
  [2087] = {.lex_state = 63},
  [2088] = {.lex_state = 63},
  [2089] = {.lex_state = 63},
  [2090] = {.lex_state = 63},
  [2091] = {.lex_state = 63},
  [2092] = {.lex_state = 63},
  [2093] = {.lex_state = 63},
  [2094] = {.lex_state = 63},
  [2095] = {.lex_state = 63},
  [2096] = {.lex_state = 63},
  [2097] = {.lex_state = 63},
  [2098] = {.lex_state = 63},
  [2099] = {.lex_state = 63},
  [2100] = {.lex_state = 63},
  [2101] = {.lex_state = 63},
  [2102] = {.lex_state = 63},
  [2103] = {.lex_state = 18},
  [2104] = {.lex_state = 18},
  [2105] = {.lex_state = 63},
  [2106] = {.lex_state = 64},
  [2107] = {.lex_state = 63},
  [2108] = {.lex_state = 63},
  [2109] = {.lex_state = 63},
  [2110] = {.lex_state = 63},
  [2111] = {.lex_state = 63},
  [2112] = {.lex_state = 64},
  [2113] = {.lex_state = 63},
  [2114] = {.lex_state = 63},
  [2115] = {.lex_state = 63},
  [2116] = {.lex_state = 63},
  [2117] = {.lex_state = 63},
  [2118] = {.lex_state = 63},
  [2119] = {.lex_state = 63},
  [2120] = {.lex_state = 64},
  [2121] = {.lex_state = 63},
  [2122] = {.lex_state = 63},
  [2123] = {.lex_state = 63},
  [2124] = {.lex_state = 63},
  [2125] = {.lex_state = 63},
  [2126] = {.lex_state = 63},
  [2127] = {.lex_state = 63},
  [2128] = {.lex_state = 63},
  [2129] = {.lex_state = 63},
  [2130] = {.lex_state = 63},
  [2131] = {.lex_state = 63, .external_lex_state = 2},
  [2132] = {.lex_state = 63},
  [2133] = {.lex_state = 63},
  [2134] = {.lex_state = 63},
  [2135] = {.lex_state = 63},
  [2136] = {.lex_state = 63, .external_lex_state = 2},
  [2137] = {.lex_state = 63},
  [2138] = {.lex_state = 63},
  [2139] = {.lex_state = 63},
  [2140] = {.lex_state = 63},
  [2141] = {.lex_state = 63},
  [2142] = {.lex_state = 63},
  [2143] = {.lex_state = 63},
  [2144] = {.lex_state = 63, .external_lex_state = 2},
  [2145] = {.lex_state = 63},
  [2146] = {.lex_state = 63},
  [2147] = {.lex_state = 63},
  [2148] = {.lex_state = 63},
  [2149] = {.lex_state = 63},
  [2150] = {.lex_state = 63, .external_lex_state = 2},
  [2151] = {.lex_state = 63},
  [2152] = {.lex_state = 63},
  [2153] = {.lex_state = 63},
  [2154] = {.lex_state = 63},
  [2155] = {.lex_state = 3, .external_lex_state = 12},
  [2156] = {.lex_state = 3, .external_lex_state = 12},
  [2157] = {.lex_state = 63},
  [2158] = {.lex_state = 63},
  [2159] = {.lex_state = 63},
  [2160] = {.lex_state = 63, .external_lex_state = 13},
  [2161] = {.lex_state = 63, .external_lex_state = 2},
  [2162] = {.lex_state = 63},
  [2163] = {.lex_state = 63},
  [2164] = {.lex_state = 63},
  [2165] = {.lex_state = 63},
  [2166] = {.lex_state = 63},
  [2167] = {.lex_state = 63},
  [2168] = {.lex_state = 63},
  [2169] = {.lex_state = 63},
  [2170] = {.lex_state = 63},
  [2171] = {.lex_state = 63},
  [2172] = {.lex_state = 63},
  [2173] = {.lex_state = 63},
  [2174] = {.lex_state = 63},
  [2175] = {.lex_state = 63},
  [2176] = {.lex_state = 63},
  [2177] = {.lex_state = 63},
  [2178] = {.lex_state = 63},
  [2179] = {.lex_state = 63},
  [2180] = {.lex_state = 63},
  [2181] = {.lex_state = 63},
  [2182] = {.lex_state = 63},
  [2183] = {.lex_state = 63},
  [2184] = {.lex_state = 63},
  [2185] = {.lex_state = 63},
  [2186] = {.lex_state = 63},
  [2187] = {.lex_state = 63},
  [2188] = {.lex_state = 63},
  [2189] = {.lex_state = 63},
  [2190] = {.lex_state = 64},
  [2191] = {.lex_state = 63},
  [2192] = {.lex_state = 63},
  [2193] = {.lex_state = 63},
  [2194] = {.lex_state = 63},
  [2195] = {.lex_state = 63},
  [2196] = {.lex_state = 63},
  [2197] = {.lex_state = 63},
  [2198] = {.lex_state = 63},
  [2199] = {.lex_state = 63},
  [2200] = {.lex_state = 63},
  [2201] = {.lex_state = 63},
  [2202] = {.lex_state = 63},
  [2203] = {.lex_state = 63},
  [2204] = {.lex_state = 63},
  [2205] = {.lex_state = 63},
  [2206] = {.lex_state = 63},
  [2207] = {.lex_state = 63},
  [2208] = {.lex_state = 63},
  [2209] = {.lex_state = 63},
  [2210] = {.lex_state = 63},
  [2211] = {.lex_state = 63},
  [2212] = {.lex_state = 63},
  [2213] = {.lex_state = 63},
  [2214] = {.lex_state = 63},
  [2215] = {.lex_state = 63},
  [2216] = {.lex_state = 63},
  [2217] = {.lex_state = 63},
  [2218] = {.lex_state = 63},
  [2219] = {.lex_state = 63},
  [2220] = {.lex_state = 63},
  [2221] = {.lex_state = 63},
  [2222] = {.lex_state = 63},
  [2223] = {.lex_state = 63},
  [2224] = {.lex_state = 63},
  [2225] = {.lex_state = 63},
  [2226] = {.lex_state = 63},
  [2227] = {.lex_state = 63},
  [2228] = {.lex_state = 63},
  [2229] = {.lex_state = 63},
  [2230] = {.lex_state = 63},
  [2231] = {.lex_state = 63},
  [2232] = {.lex_state = 63},
  [2233] = {.lex_state = 63},
  [2234] = {.lex_state = 63},
  [2235] = {.lex_state = 63},
  [2236] = {.lex_state = 63},
  [2237] = {.lex_state = 63},
  [2238] = {.lex_state = 63},
  [2239] = {.lex_state = 63},
  [2240] = {.lex_state = 63},
  [2241] = {.lex_state = 63},
  [2242] = {.lex_state = 63},
  [2243] = {.lex_state = 63},
  [2244] = {.lex_state = 63},
  [2245] = {.lex_state = 63},
  [2246] = {.lex_state = 63},
  [2247] = {.lex_state = 63},
  [2248] = {.lex_state = 63},
  [2249] = {.lex_state = 63},
  [2250] = {.lex_state = 63},
  [2251] = {.lex_state = 63},
  [2252] = {.lex_state = 63},
  [2253] = {.lex_state = 63},
  [2254] = {.lex_state = 63},
  [2255] = {.lex_state = 63},
  [2256] = {.lex_state = 63},
  [2257] = {.lex_state = 63},
  [2258] = {.lex_state = 63},
  [2259] = {.lex_state = 63},
  [2260] = {.lex_state = 63},
  [2261] = {.lex_state = 63},
  [2262] = {.lex_state = 63},
  [2263] = {.lex_state = 63},
  [2264] = {.lex_state = 63},
  [2265] = {.lex_state = 63},
  [2266] = {.lex_state = 63},
  [2267] = {.lex_state = 63},
  [2268] = {.lex_state = 63},
  [2269] = {.lex_state = 63},
  [2270] = {.lex_state = 63},
  [2271] = {.lex_state = 63},
  [2272] = {.lex_state = 63},
  [2273] = {.lex_state = 63},
  [2274] = {.lex_state = 63},
  [2275] = {.lex_state = 63},
  [2276] = {.lex_state = 63},
  [2277] = {.lex_state = 63},
  [2278] = {.lex_state = 63},
  [2279] = {.lex_state = 63},
  [2280] = {.lex_state = 63},
  [2281] = {.lex_state = 63},
  [2282] = {.lex_state = 63},
  [2283] = {.lex_state = 63},
  [2284] = {.lex_state = 63},
  [2285] = {.lex_state = 64},
  [2286] = {.lex_state = 63},
  [2287] = {.lex_state = 63},
  [2288] = {.lex_state = 63},
  [2289] = {.lex_state = 63, .external_lex_state = 2},
  [2290] = {.lex_state = 63},
  [2291] = {.lex_state = 63},
  [2292] = {.lex_state = 63},
  [2293] = {.lex_state = 63},
  [2294] = {.lex_state = 63, .external_lex_state = 2},
  [2295] = {.lex_state = 63, .external_lex_state = 2},
  [2296] = {.lex_state = 64, .external_lex_state = 10},
  [2297] = {.lex_state = 63},
  [2298] = {.lex_state = 63},
  [2299] = {.lex_state = 63},
  [2300] = {.lex_state = 63},
  [2301] = {.lex_state = 63},
  [2302] = {.lex_state = 63},
  [2303] = {.lex_state = 63},
  [2304] = {.lex_state = 63},
  [2305] = {.lex_state = 63, .external_lex_state = 2},
  [2306] = {.lex_state = 63, .external_lex_state = 2},
  [2307] = {.lex_state = 63},
  [2308] = {.lex_state = 63, .external_lex_state = 2},
  [2309] = {.lex_state = 63},
  [2310] = {.lex_state = 63, .external_lex_state = 2},
  [2311] = {.lex_state = 63},
  [2312] = {.lex_state = 63},
  [2313] = {.lex_state = 63},
  [2314] = {.lex_state = 63},
  [2315] = {.lex_state = 63},
  [2316] = {.lex_state = 63},
  [2317] = {.lex_state = 63},
  [2318] = {.lex_state = 63},
  [2319] = {.lex_state = 63},
  [2320] = {.lex_state = 63},
  [2321] = {.lex_state = 63},
  [2322] = {.lex_state = 63},
  [2323] = {.lex_state = 63},
  [2324] = {.lex_state = 63},
  [2325] = {.lex_state = 63},
  [2326] = {.lex_state = 63},
  [2327] = {.lex_state = 63, .external_lex_state = 2},
  [2328] = {.lex_state = 63, .external_lex_state = 2},
  [2329] = {.lex_state = 63},
  [2330] = {.lex_state = 63},
  [2331] = {.lex_state = 63},
  [2332] = {.lex_state = 63},
  [2333] = {.lex_state = 63},
  [2334] = {.lex_state = 63, .external_lex_state = 2},
  [2335] = {.lex_state = 63, .external_lex_state = 2},
  [2336] = {.lex_state = 63},
  [2337] = {.lex_state = 63},
  [2338] = {.lex_state = 63},
  [2339] = {.lex_state = 63},
  [2340] = {.lex_state = 63},
  [2341] = {.lex_state = 63},
  [2342] = {.lex_state = 63},
  [2343] = {.lex_state = 63},
  [2344] = {.lex_state = 63},
  [2345] = {.lex_state = 63},
  [2346] = {.lex_state = 63},
  [2347] = {.lex_state = 63},
  [2348] = {.lex_state = 63},
  [2349] = {.lex_state = 63, .external_lex_state = 2},
  [2350] = {.lex_state = 63},
  [2351] = {.lex_state = 63, .external_lex_state = 2},
  [2352] = {.lex_state = 63, .external_lex_state = 2},
  [2353] = {.lex_state = 63, .external_lex_state = 2},
  [2354] = {.lex_state = 63, .external_lex_state = 2},
  [2355] = {.lex_state = 63},
  [2356] = {.lex_state = 63, .external_lex_state = 2},
  [2357] = {.lex_state = 63, .external_lex_state = 2},
  [2358] = {.lex_state = 63, .external_lex_state = 2},
  [2359] = {.lex_state = 63, .external_lex_state = 2},
  [2360] = {.lex_state = 63, .external_lex_state = 2},
  [2361] = {.lex_state = 63, .external_lex_state = 2},
  [2362] = {.lex_state = 63, .external_lex_state = 2},
  [2363] = {.lex_state = 3, .external_lex_state = 12},
  [2364] = {.lex_state = 3, .external_lex_state = 12},
  [2365] = {.lex_state = 63},
  [2366] = {.lex_state = 63},
  [2367] = {.lex_state = 63, .external_lex_state = 2},
  [2368] = {.lex_state = 63, .external_lex_state = 2},
  [2369] = {.lex_state = 63},
  [2370] = {.lex_state = 63, .external_lex_state = 2},
  [2371] = {.lex_state = 63},
  [2372] = {.lex_state = 63},
  [2373] = {.lex_state = 63},
  [2374] = {.lex_state = 63},
  [2375] = {.lex_state = 63},
  [2376] = {.lex_state = 63, .external_lex_state = 2},
  [2377] = {.lex_state = 63},
  [2378] = {.lex_state = 63, .external_lex_state = 2},
  [2379] = {.lex_state = 63, .external_lex_state = 2},
  [2380] = {.lex_state = 63},
  [2381] = {.lex_state = 63, .external_lex_state = 2},
  [2382] = {.lex_state = 3, .external_lex_state = 12},
  [2383] = {.lex_state = 63, .external_lex_state = 2},
  [2384] = {.lex_state = 63, .external_lex_state = 2},
  [2385] = {.lex_state = 63},
  [2386] = {.lex_state = 63, .external_lex_state = 2},
  [2387] = {.lex_state = 63},
  [2388] = {.lex_state = 63},
  [2389] = {.lex_state = 63},
  [2390] = {.lex_state = 63},
  [2391] = {.lex_state = 63},
  [2392] = {.lex_state = 63},
  [2393] = {.lex_state = 63},
  [2394] = {.lex_state = 63},
  [2395] = {.lex_state = 3, .external_lex_state = 12},
  [2396] = {.lex_state = 63},
  [2397] = {.lex_state = 63, .external_lex_state = 2},
  [2398] = {.lex_state = 63, .external_lex_state = 2},
  [2399] = {.lex_state = 63, .external_lex_state = 2},
  [2400] = {.lex_state = 63},
  [2401] = {.lex_state = 63, .external_lex_state = 2},
  [2402] = {.lex_state = 63},
  [2403] = {.lex_state = 63},
  [2404] = {.lex_state = 63},
  [2405] = {.lex_state = 63},
  [2406] = {.lex_state = 63},
  [2407] = {.lex_state = 63},
  [2408] = {.lex_state = 63},
  [2409] = {.lex_state = 63},
  [2410] = {.lex_state = 63},
  [2411] = {.lex_state = 63},
  [2412] = {.lex_state = 63},
  [2413] = {.lex_state = 63},
  [2414] = {.lex_state = 63},
  [2415] = {.lex_state = 63},
  [2416] = {.lex_state = 63},
  [2417] = {.lex_state = 63},
  [2418] = {.lex_state = 63, .external_lex_state = 2},
  [2419] = {.lex_state = 63},
  [2420] = {.lex_state = 63},
  [2421] = {.lex_state = 63, .external_lex_state = 2},
  [2422] = {.lex_state = 63},
  [2423] = {.lex_state = 63},
  [2424] = {.lex_state = 63, .external_lex_state = 2},
  [2425] = {.lex_state = 63},
  [2426] = {.lex_state = 63},
  [2427] = {.lex_state = 63},
  [2428] = {.lex_state = 63},
  [2429] = {.lex_state = 63},
  [2430] = {.lex_state = 63, .external_lex_state = 2},
  [2431] = {.lex_state = 63},
  [2432] = {.lex_state = 63, .external_lex_state = 2},
  [2433] = {.lex_state = 63, .external_lex_state = 2},
  [2434] = {.lex_state = 63},
  [2435] = {.lex_state = 63},
  [2436] = {.lex_state = 63, .external_lex_state = 2},
  [2437] = {.lex_state = 63},
  [2438] = {.lex_state = 63, .external_lex_state = 2},
  [2439] = {.lex_state = 63},
  [2440] = {.lex_state = 63},
  [2441] = {.lex_state = 63},
  [2442] = {.lex_state = 63},
  [2443] = {.lex_state = 63},
  [2444] = {.lex_state = 63, .external_lex_state = 2},
  [2445] = {.lex_state = 63},
  [2446] = {.lex_state = 63},
  [2447] = {.lex_state = 63},
  [2448] = {.lex_state = 63},
  [2449] = {.lex_state = 63},
  [2450] = {.lex_state = 63, .external_lex_state = 2},
  [2451] = {.lex_state = 63},
  [2452] = {.lex_state = 63},
  [2453] = {.lex_state = 63, .external_lex_state = 2},
  [2454] = {.lex_state = 63},
  [2455] = {.lex_state = 63},
  [2456] = {.lex_state = 63},
  [2457] = {.lex_state = 63},
  [2458] = {.lex_state = 63},
  [2459] = {.lex_state = 63, .external_lex_state = 2},
  [2460] = {.lex_state = 63, .external_lex_state = 2},
  [2461] = {.lex_state = 63},
  [2462] = {.lex_state = 63},
  [2463] = {.lex_state = 63, .external_lex_state = 2},
  [2464] = {.lex_state = 63},
  [2465] = {.lex_state = 63, .external_lex_state = 2},
  [2466] = {.lex_state = 63},
  [2467] = {.lex_state = 63},
  [2468] = {.lex_state = 63},
  [2469] = {.lex_state = 63},
  [2470] = {.lex_state = 63},
  [2471] = {.lex_state = 63, .external_lex_state = 2},
  [2472] = {.lex_state = 63},
  [2473] = {.lex_state = 63},
  [2474] = {.lex_state = 63},
  [2475] = {.lex_state = 63, .external_lex_state = 2},
  [2476] = {.lex_state = 63, .external_lex_state = 2},
  [2477] = {.lex_state = 63},
  [2478] = {.lex_state = 63},
  [2479] = {.lex_state = 63},
  [2480] = {.lex_state = 63},
  [2481] = {.lex_state = 3, .external_lex_state = 12},
  [2482] = {.lex_state = 63},
  [2483] = {.lex_state = 63},
  [2484] = {.lex_state = 63, .external_lex_state = 2},
  [2485] = {.lex_state = 63, .external_lex_state = 2},
  [2486] = {.lex_state = 63},
  [2487] = {.lex_state = 3, .external_lex_state = 12},
  [2488] = {.lex_state = 63, .external_lex_state = 2},
  [2489] = {.lex_state = 63},
  [2490] = {.lex_state = 63},
  [2491] = {.lex_state = 63},
  [2492] = {.lex_state = 63},
  [2493] = {.lex_state = 63, .external_lex_state = 2},
  [2494] = {.lex_state = 63, .external_lex_state = 2},
  [2495] = {.lex_state = 63, .external_lex_state = 2},
  [2496] = {.lex_state = 63, .external_lex_state = 2},
  [2497] = {.lex_state = 63},
  [2498] = {.lex_state = 63},
  [2499] = {.lex_state = 63},
  [2500] = {.lex_state = 63, .external_lex_state = 2},
  [2501] = {.lex_state = 63},
  [2502] = {.lex_state = 63},
  [2503] = {.lex_state = 63},
  [2504] = {.lex_state = 63},
  [2505] = {.lex_state = 63},
  [2506] = {.lex_state = 63},
  [2507] = {.lex_state = 63, .external_lex_state = 2},
  [2508] = {.lex_state = 63},
  [2509] = {.lex_state = 63, .external_lex_state = 2},
  [2510] = {.lex_state = 63},
  [2511] = {.lex_state = 63},
  [2512] = {.lex_state = 63},
  [2513] = {.lex_state = 63},
  [2514] = {.lex_state = 63, .external_lex_state = 2},
  [2515] = {.lex_state = 63},
  [2516] = {.lex_state = 63},
  [2517] = {.lex_state = 63},
  [2518] = {.lex_state = 3, .external_lex_state = 12},
  [2519] = {.lex_state = 63, .external_lex_state = 2},
  [2520] = {.lex_state = 3, .external_lex_state = 12},
  [2521] = {.lex_state = 63, .external_lex_state = 2},
  [2522] = {.lex_state = 63, .external_lex_state = 2},
  [2523] = {.lex_state = 63, .external_lex_state = 2},
  [2524] = {.lex_state = 63},
  [2525] = {.lex_state = 63},
  [2526] = {.lex_state = 63},
  [2527] = {.lex_state = 63},
  [2528] = {.lex_state = 63},
  [2529] = {.lex_state = 63},
  [2530] = {.lex_state = 63},
  [2531] = {.lex_state = 63, .external_lex_state = 2},
  [2532] = {.lex_state = 63},
  [2533] = {.lex_state = 63, .external_lex_state = 2},
  [2534] = {.lex_state = 63},
  [2535] = {.lex_state = 63},
  [2536] = {.lex_state = 63},
  [2537] = {.lex_state = 63, .external_lex_state = 2},
  [2538] = {.lex_state = 63},
  [2539] = {.lex_state = 63},
  [2540] = {.lex_state = 63, .external_lex_state = 2},
  [2541] = {.lex_state = 63, .external_lex_state = 2},
  [2542] = {.lex_state = 63},
  [2543] = {.lex_state = 63, .external_lex_state = 2},
  [2544] = {.lex_state = 63},
  [2545] = {.lex_state = 63},
  [2546] = {.lex_state = 63, .external_lex_state = 2},
  [2547] = {.lex_state = 63},
  [2548] = {.lex_state = 63, .external_lex_state = 2},
  [2549] = {.lex_state = 63, .external_lex_state = 2},
  [2550] = {.lex_state = 63, .external_lex_state = 2},
  [2551] = {.lex_state = 63},
  [2552] = {.lex_state = 63, .external_lex_state = 2},
  [2553] = {.lex_state = 63},
  [2554] = {.lex_state = 3, .external_lex_state = 12},
  [2555] = {.lex_state = 63, .external_lex_state = 14},
  [2556] = {.lex_state = 3, .external_lex_state = 12},
  [2557] = {.lex_state = 63},
  [2558] = {.lex_state = 63, .external_lex_state = 2},
  [2559] = {.lex_state = 63},
  [2560] = {.lex_state = 63},
  [2561] = {.lex_state = 63},
  [2562] = {.lex_state = 63},
  [2563] = {.lex_state = 63},
  [2564] = {.lex_state = 63},
  [2565] = {.lex_state = 63},
  [2566] = {.lex_state = 63, .external_lex_state = 2},
  [2567] = {.lex_state = 63},
  [2568] = {.lex_state = 63},
  [2569] = {.lex_state = 63},
  [2570] = {.lex_state = 63},
  [2571] = {.lex_state = 63, .external_lex_state = 2},
  [2572] = {.lex_state = 63},
  [2573] = {.lex_state = 63},
  [2574] = {.lex_state = 63},
  [2575] = {.lex_state = 63},
  [2576] = {.lex_state = 63},
  [2577] = {.lex_state = 63, .external_lex_state = 13},
  [2578] = {.lex_state = 63, .external_lex_state = 12},
  [2579] = {.lex_state = 63},
  [2580] = {.lex_state = 63},
  [2581] = {.lex_state = 63},
  [2582] = {.lex_state = 63},
  [2583] = {.lex_state = 63},
  [2584] = {.lex_state = 63},
  [2585] = {.lex_state = 63},
  [2586] = {.lex_state = 63},
  [2587] = {.lex_state = 63},
  [2588] = {.lex_state = 63},
  [2589] = {.lex_state = 63},
  [2590] = {.lex_state = 63, .external_lex_state = 12},
  [2591] = {.lex_state = 63},
  [2592] = {.lex_state = 63, .external_lex_state = 12},
  [2593] = {.lex_state = 63},
  [2594] = {.lex_state = 63},
  [2595] = {.lex_state = 63},
  [2596] = {.lex_state = 63},
  [2597] = {.lex_state = 63},
  [2598] = {.lex_state = 63},
  [2599] = {.lex_state = 63},
  [2600] = {.lex_state = 63},
  [2601] = {.lex_state = 63},
  [2602] = {.lex_state = 63},
  [2603] = {.lex_state = 63},
  [2604] = {.lex_state = 63},
  [2605] = {.lex_state = 63},
  [2606] = {.lex_state = 63},
  [2607] = {.lex_state = 63},
  [2608] = {.lex_state = 63},
  [2609] = {.lex_state = 63, .external_lex_state = 12},
  [2610] = {.lex_state = 63},
  [2611] = {.lex_state = 63},
  [2612] = {.lex_state = 63},
  [2613] = {.lex_state = 63},
  [2614] = {.lex_state = 63},
  [2615] = {.lex_state = 63},
  [2616] = {.lex_state = 63},
  [2617] = {.lex_state = 63},
  [2618] = {.lex_state = 63},
  [2619] = {.lex_state = 63},
  [2620] = {.lex_state = 63},
  [2621] = {.lex_state = 63, .external_lex_state = 13},
  [2622] = {.lex_state = 63, .external_lex_state = 13},
  [2623] = {.lex_state = 63, .external_lex_state = 12},
  [2624] = {.lex_state = 63},
  [2625] = {.lex_state = 63},
  [2626] = {.lex_state = 63},
  [2627] = {.lex_state = 63},
  [2628] = {.lex_state = 63},
  [2629] = {.lex_state = 63},
  [2630] = {.lex_state = 63},
  [2631] = {.lex_state = 63},
  [2632] = {.lex_state = 63},
  [2633] = {.lex_state = 63},
  [2634] = {.lex_state = 63},
  [2635] = {.lex_state = 63},
  [2636] = {.lex_state = 63},
  [2637] = {.lex_state = 63},
  [2638] = {.lex_state = 63},
  [2639] = {.lex_state = 63},
  [2640] = {.lex_state = 63},
  [2641] = {.lex_state = 63},
  [2642] = {.lex_state = 63},
  [2643] = {.lex_state = 63},
  [2644] = {.lex_state = 63},
  [2645] = {.lex_state = 63},
  [2646] = {.lex_state = 63},
  [2647] = {.lex_state = 63},
  [2648] = {.lex_state = 63},
  [2649] = {.lex_state = 63, .external_lex_state = 12},
  [2650] = {.lex_state = 63},
  [2651] = {.lex_state = 63},
  [2652] = {.lex_state = 63},
  [2653] = {.lex_state = 63},
  [2654] = {.lex_state = 63, .external_lex_state = 12},
  [2655] = {.lex_state = 63},
  [2656] = {.lex_state = 63},
  [2657] = {.lex_state = 63},
  [2658] = {.lex_state = 63},
  [2659] = {.lex_state = 63},
  [2660] = {.lex_state = 10},
  [2661] = {.lex_state = 63},
  [2662] = {.lex_state = 63},
  [2663] = {.lex_state = 63},
  [2664] = {.lex_state = 63},
  [2665] = {.lex_state = 63},
  [2666] = {.lex_state = 63},
  [2667] = {.lex_state = 63},
  [2668] = {.lex_state = 63},
  [2669] = {.lex_state = 63},
  [2670] = {.lex_state = 63},
  [2671] = {.lex_state = 63},
  [2672] = {.lex_state = 63},
  [2673] = {.lex_state = 63},
  [2674] = {.lex_state = 63},
  [2675] = {.lex_state = 63},
  [2676] = {.lex_state = 63},
  [2677] = {.lex_state = 63},
  [2678] = {.lex_state = 63},
  [2679] = {.lex_state = 63},
  [2680] = {.lex_state = 63},
  [2681] = {.lex_state = 63},
  [2682] = {.lex_state = 63},
  [2683] = {.lex_state = 63},
  [2684] = {.lex_state = 63},
  [2685] = {.lex_state = 63},
  [2686] = {.lex_state = 63},
  [2687] = {.lex_state = 63, .external_lex_state = 12},
  [2688] = {.lex_state = 63},
  [2689] = {.lex_state = 63},
  [2690] = {.lex_state = 63},
  [2691] = {.lex_state = 63},
  [2692] = {.lex_state = 10},
  [2693] = {.lex_state = 63},
  [2694] = {.lex_state = 63},
  [2695] = {.lex_state = 63, .external_lex_state = 13},
  [2696] = {.lex_state = 63},
  [2697] = {.lex_state = 63},
  [2698] = {.lex_state = 63},
  [2699] = {.lex_state = 63},
  [2700] = {.lex_state = 63},
  [2701] = {.lex_state = 63},
  [2702] = {.lex_state = 63},
  [2703] = {.lex_state = 63},
  [2704] = {.lex_state = 63},
  [2705] = {.lex_state = 63},
  [2706] = {.lex_state = 63},
  [2707] = {.lex_state = 63},
  [2708] = {.lex_state = 63},
  [2709] = {.lex_state = 63},
  [2710] = {.lex_state = 63},
  [2711] = {.lex_state = 63},
  [2712] = {.lex_state = 63},
  [2713] = {.lex_state = 63},
  [2714] = {.lex_state = 63},
  [2715] = {.lex_state = 63},
  [2716] = {.lex_state = 63},
  [2717] = {.lex_state = 63},
  [2718] = {.lex_state = 63},
  [2719] = {.lex_state = 63},
  [2720] = {.lex_state = 63},
  [2721] = {.lex_state = 63},
  [2722] = {.lex_state = 63},
  [2723] = {.lex_state = 63},
  [2724] = {.lex_state = 63},
  [2725] = {.lex_state = 63},
  [2726] = {.lex_state = 63},
  [2727] = {.lex_state = 63},
  [2728] = {.lex_state = 63},
  [2729] = {.lex_state = 63},
  [2730] = {.lex_state = 63},
  [2731] = {.lex_state = 63},
  [2732] = {.lex_state = 63},
  [2733] = {.lex_state = 63},
  [2734] = {.lex_state = 63},
  [2735] = {.lex_state = 63},
  [2736] = {.lex_state = 63},
  [2737] = {.lex_state = 63},
  [2738] = {.lex_state = 63},
  [2739] = {.lex_state = 63},
  [2740] = {.lex_state = 63},
  [2741] = {.lex_state = 63},
  [2742] = {.lex_state = 63},
  [2743] = {.lex_state = 63},
  [2744] = {.lex_state = 63},
  [2745] = {.lex_state = 63},
  [2746] = {.lex_state = 63},
  [2747] = {.lex_state = 63},
  [2748] = {.lex_state = 63},
  [2749] = {.lex_state = 63},
  [2750] = {.lex_state = 63},
  [2751] = {.lex_state = 63},
  [2752] = {.lex_state = 63},
  [2753] = {.lex_state = 63},
  [2754] = {.lex_state = 63},
  [2755] = {.lex_state = 63, .external_lex_state = 12},
  [2756] = {.lex_state = 63},
  [2757] = {.lex_state = 63},
  [2758] = {.lex_state = 63},
  [2759] = {.lex_state = 63},
  [2760] = {.lex_state = 63, .external_lex_state = 12},
  [2761] = {.lex_state = 63},
  [2762] = {.lex_state = 63},
  [2763] = {.lex_state = 63},
  [2764] = {.lex_state = 63},
  [2765] = {.lex_state = 63},
  [2766] = {.lex_state = 63},
  [2767] = {.lex_state = 63},
  [2768] = {.lex_state = 63},
  [2769] = {.lex_state = 63},
  [2770] = {.lex_state = 63},
  [2771] = {.lex_state = 63},
  [2772] = {.lex_state = 63},
  [2773] = {.lex_state = 63},
  [2774] = {.lex_state = 63},
  [2775] = {.lex_state = 63},
  [2776] = {.lex_state = 63},
  [2777] = {.lex_state = 63},
  [2778] = {.lex_state = 63},
  [2779] = {.lex_state = 63},
  [2780] = {.lex_state = 63},
  [2781] = {.lex_state = 63},
  [2782] = {.lex_state = 63},
  [2783] = {.lex_state = 63},
  [2784] = {.lex_state = 63},
  [2785] = {.lex_state = 63},
  [2786] = {.lex_state = 63},
  [2787] = {.lex_state = 63},
  [2788] = {(TSStateId)(-1)},
  [2789] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2784),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2285),
    [aux_sym_text_repeat1] = STATE(1743),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(11),
    [aux_sym_text_token1] = ACTIONS(13),
    [aux_sym_text_token2] = ACTIONS(15),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [ts_builtin_sym_end] = ACTIONS(17),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(37),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [anon_sym_RBRACE] = ACTIONS(17),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_enum_case_token1] = ACTIONS(58),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [aux_sym__arrow_function_header_token1] = ACTIONS(78),
    [anon_sym_LPAREN] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(96),
    [aux_sym_declare_statement_token2] = ACTIONS(58),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(120),
    [aux_sym_while_statement_token2] = ACTIONS(58),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(126),
    [aux_sym_for_statement_token2] = ACTIONS(58),
    [aux_sym_foreach_statement_token1] = ACTIONS(129),
    [aux_sym_foreach_statement_token2] = ACTIONS(58),
    [aux_sym_if_statement_token1] = ACTIONS(132),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_match_default_expression_token1] = ACTIONS(58),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [aux_sym_switch_block_token1] = ACTIONS(58),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym_object_creation_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(230),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(238),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(340),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(342),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(342),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(344),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(346),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(346),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(348),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(350),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(350),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(350),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_if_statement_token2] = ACTIONS(362),
    [aux_sym_else_if_clause_token1] = ACTIONS(362),
    [aux_sym_else_clause_token1] = ACTIONS(362),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_if_statement_token2] = ACTIONS(364),
    [aux_sym_else_if_clause_token1] = ACTIONS(364),
    [aux_sym_else_clause_token1] = ACTIONS(364),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(37),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [aux_sym__arrow_function_header_token1] = ACTIONS(78),
    [anon_sym_LPAREN] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(366),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(372),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(378),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_else_if_clause_token1] = ACTIONS(58),
    [aux_sym_else_clause_token1] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym_object_creation_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(364),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(364),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(364),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(362),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(362),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(362),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_statement] = STATE(570),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_colon_block] = STATE(2677),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_statement] = STATE(570),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_colon_block] = STATE(2677),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_statement] = STATE(2248),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_colon_block] = STATE(2624),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_statement] = STATE(2248),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_colon_block] = STATE(2624),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_statement] = STATE(2197),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_statement] = STATE(465),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_colon_block] = STATE(1730),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(461),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_statement] = STATE(603),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(467),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_statement] = STATE(627),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(86),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(475),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_statement] = STATE(2197),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_statement] = STATE(609),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_colon_block] = STATE(2673),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(83),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(477),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(103),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [ts_builtin_sym_end] = ACTIONS(479),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(481),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(483),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_statement] = STATE(2213),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(485),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(489),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(38),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(491),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_statement] = STATE(2219),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(493),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(495),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(499),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(39),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(501),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_statement] = STATE(500),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(503),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(505),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(507),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(44),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(509),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_statement] = STATE(2222),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(511),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(513),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(515),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_statement] = STATE(503),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_statement] = STATE(511),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(523),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(525),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(527),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(529),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(531),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_statement] = STATE(2252),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(533),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(535),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(537),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_statement] = STATE(517),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(539),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(541),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(543),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(48),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(545),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_statement] = STATE(2255),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(547),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(549),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(551),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(553),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(51),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(555),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(52),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(557),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_statement] = STATE(527),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(559),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(561),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(563),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(565),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_statement] = STATE(2258),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(567),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(569),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(571),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_statement] = STATE(599),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(573),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(575),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(577),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(579),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(581),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(105),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(583),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_statement] = STATE(517),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(539),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(541),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(543),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(585),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(587),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_statement] = STATE(2270),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(589),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(591),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(593),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(595),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_statement] = STATE(627),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_statement] = STATE(2169),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(597),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(599),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(601),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_statement] = STATE(1732),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_colon_block] = STATE(1672),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(603),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_statement] = STATE(2099),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_colon_block] = STATE(2666),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(603),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(605),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(607),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(609),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(611),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(613),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(615),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(80),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(617),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(619),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(621),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_statement] = STATE(527),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(559),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(561),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(563),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(623),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(625),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(627),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(78),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(629),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(631),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(633),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_statement] = STATE(603),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(467),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(635),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [ts_builtin_sym_end] = ACTIONS(637),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(90),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(639),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(641),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_statement] = STATE(599),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(573),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(575),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(577),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_statement] = STATE(500),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(503),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(505),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(507),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(643),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_statement] = STATE(609),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_colon_block] = STATE(2673),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_statement] = STATE(1703),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_colon_block] = STATE(1672),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(603),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_statement] = STATE(2099),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_colon_block] = STATE(2666),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(603),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(645),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(75),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(647),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_statement] = STATE(463),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_colon_block] = STATE(1730),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_statement] = STATE(503),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_statement] = STATE(581),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(649),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(651),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(653),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_statement] = STATE(2213),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(485),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(489),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_statement] = STATE(511),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(523),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(525),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(527),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_statement] = STATE(2219),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(493),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(495),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_statement] = STATE(2222),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(511),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(513),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(515),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_statement] = STATE(2252),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(533),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(535),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(537),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_statement] = STATE(2255),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(547),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(549),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(551),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_statement] = STATE(2258),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(567),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(569),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(571),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_statement] = STATE(581),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(649),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(651),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(653),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [ts_builtin_sym_end] = ACTIONS(655),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_statement] = STATE(2270),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(589),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(591),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(593),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(657),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_statement] = STATE(509),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_program_repeat1] = STATE(81),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [ts_builtin_sym_end] = ACTIONS(655),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_statement] = STATE(2169),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(597),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(599),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(601),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_statement] = STATE(585),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_statement] = STATE(585),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_statement] = STATE(2271),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(603),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_statement] = STATE(2173),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(603),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_statement] = STATE(2173),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(603),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_statement] = STATE(2610),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(603),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_statement] = STATE(555),
    [sym_empty_statement] = STATE(502),
    [sym_function_static_declaration] = STATE(502),
    [sym_global_declaration] = STATE(502),
    [sym_namespace_definition] = STATE(502),
    [sym_namespace_use_declaration] = STATE(502),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(502),
    [sym_interface_declaration] = STATE(502),
    [sym_enum_declaration] = STATE(502),
    [sym_class_declaration] = STATE(502),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(502),
    [sym__const_declaration] = STATE(497),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(502),
    [sym__function_definition_header] = STATE(2413),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(502),
    [sym_exit_statement] = STATE(502),
    [sym_unset_statement] = STATE(502),
    [sym_declare_statement] = STATE(502),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_foreach_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(502),
    [sym_compound_statement] = STATE(502),
    [sym_named_label_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1429),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1435),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_statement] = STATE(2693),
    [sym_empty_statement] = STATE(2036),
    [sym_function_static_declaration] = STATE(2036),
    [sym_global_declaration] = STATE(2036),
    [sym_namespace_definition] = STATE(2036),
    [sym_namespace_use_declaration] = STATE(2036),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_trait_declaration] = STATE(2036),
    [sym_interface_declaration] = STATE(2036),
    [sym_enum_declaration] = STATE(2036),
    [sym_class_declaration] = STATE(2036),
    [sym_final_modifier] = STATE(1402),
    [sym_abstract_modifier] = STATE(1402),
    [sym_readonly_modifier] = STATE(1402),
    [sym_const_declaration] = STATE(2036),
    [sym__const_declaration] = STATE(2037),
    [sym__modifier] = STATE(1406),
    [sym_static_modifier] = STATE(1501),
    [sym_visibility_modifier] = STATE(1402),
    [sym_function_definition] = STATE(2036),
    [sym__function_definition_header] = STATE(2469),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_echo_statement] = STATE(2036),
    [sym_exit_statement] = STATE(2036),
    [sym_unset_statement] = STATE(2036),
    [sym_declare_statement] = STATE(2036),
    [sym_literal] = STATE(1224),
    [sym_try_statement] = STATE(2036),
    [sym_goto_statement] = STATE(2036),
    [sym_continue_statement] = STATE(2036),
    [sym_break_statement] = STATE(2036),
    [sym_return_statement] = STATE(2036),
    [sym_throw_expression] = STATE(1224),
    [sym_while_statement] = STATE(2036),
    [sym_do_statement] = STATE(2036),
    [sym_for_statement] = STATE(2036),
    [sym_foreach_statement] = STATE(2036),
    [sym_if_statement] = STATE(2036),
    [sym_match_expression] = STATE(1186),
    [sym_switch_statement] = STATE(2036),
    [sym_compound_statement] = STATE(2036),
    [sym_named_label_statement] = STATE(2036),
    [sym_expression_statement] = STATE(2036),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1431),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(1436),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(603),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(1016),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(661),
    [anon_sym_COLON] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [anon_sym_QMARK] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_yield_expression_token2] = ACTIONS(717),
    [aux_sym_binary_expression_token1] = ACTIONS(671),
    [anon_sym_QMARK_QMARK] = ACTIONS(661),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [aux_sym_binary_expression_token2] = ACTIONS(671),
    [aux_sym_binary_expression_token3] = ACTIONS(671),
    [aux_sym_binary_expression_token4] = ACTIONS(671),
    [anon_sym_PIPE_PIPE] = ACTIONS(661),
    [anon_sym_AMP_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(661),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(661),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT_EQ] = ACTIONS(661),
    [anon_sym_LT_EQ_GT] = ACTIONS(661),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(661),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1125),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(1016),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(661),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(661),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [anon_sym_QMARK] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_yield_expression_token2] = ACTIONS(747),
    [aux_sym_binary_expression_token1] = ACTIONS(671),
    [anon_sym_QMARK_QMARK] = ACTIONS(661),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [aux_sym_binary_expression_token2] = ACTIONS(671),
    [aux_sym_binary_expression_token3] = ACTIONS(671),
    [aux_sym_binary_expression_token4] = ACTIONS(671),
    [anon_sym_PIPE_PIPE] = ACTIONS(661),
    [anon_sym_AMP_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(661),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(661),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT_EQ] = ACTIONS(661),
    [anon_sym_LT_EQ_GT] = ACTIONS(661),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(661),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1128),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(1203),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_by_ref] = STATE(1203),
    [sym_yield_expression] = STATE(1186),
    [sym_array_element_initializer] = STATE(1204),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_AMP] = ACTIONS(759),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(661),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(763),
    [anon_sym_QMARK] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_yield_expression_token2] = ACTIONS(765),
    [aux_sym_binary_expression_token1] = ACTIONS(671),
    [anon_sym_QMARK_QMARK] = ACTIONS(661),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [aux_sym_binary_expression_token2] = ACTIONS(671),
    [aux_sym_binary_expression_token3] = ACTIONS(671),
    [aux_sym_binary_expression_token4] = ACTIONS(671),
    [anon_sym_PIPE_PIPE] = ACTIONS(661),
    [anon_sym_AMP_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(661),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(661),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT_EQ] = ACTIONS(661),
    [anon_sym_LT_EQ_GT] = ACTIONS(661),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(661),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(661),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(1016),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(661),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [anon_sym_QMARK] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_yield_expression_token2] = ACTIONS(787),
    [aux_sym_binary_expression_token1] = ACTIONS(671),
    [anon_sym_QMARK_QMARK] = ACTIONS(661),
    [anon_sym_STAR_STAR] = ACTIONS(661),
    [aux_sym_binary_expression_token2] = ACTIONS(671),
    [aux_sym_binary_expression_token3] = ACTIONS(671),
    [aux_sym_binary_expression_token4] = ACTIONS(671),
    [anon_sym_PIPE_PIPE] = ACTIONS(661),
    [anon_sym_AMP_AMP] = ACTIONS(661),
    [anon_sym_CARET] = ACTIONS(661),
    [anon_sym_EQ_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_LT_GT] = ACTIONS(661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(661),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(671),
    [anon_sym_LT_EQ] = ACTIONS(671),
    [anon_sym_GT_EQ] = ACTIONS(661),
    [anon_sym_LT_EQ_GT] = ACTIONS(661),
    [anon_sym_LT_LT] = ACTIONS(671),
    [anon_sym_GT_GT] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(661),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_cast_type] = STATE(2665),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_cast_type] = STATE(2589),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_cast_type] = STATE(2663),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_cast_type] = STATE(2665),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1358),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_cast_type] = STATE(2726),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_cast_type] = STATE(2587),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1358),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_cast_type] = STATE(2726),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1358),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_cast_type] = STATE(2655),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_cast_type] = STATE(2662),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_cast_type] = STATE(2648),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_cast_type] = STATE(2743),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_cast_type] = STATE(2683),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(797),
    [aux_sym_cast_type_token2] = ACTIONS(799),
    [aux_sym_cast_type_token3] = ACTIONS(799),
    [aux_sym_cast_type_token4] = ACTIONS(799),
    [aux_sym_cast_type_token5] = ACTIONS(799),
    [aux_sym_cast_type_token6] = ACTIONS(799),
    [aux_sym_cast_type_token7] = ACTIONS(799),
    [aux_sym_cast_type_token8] = ACTIONS(799),
    [aux_sym_cast_type_token9] = ACTIONS(799),
    [aux_sym_cast_type_token10] = ACTIONS(799),
    [aux_sym_cast_type_token11] = ACTIONS(799),
    [aux_sym_cast_type_token12] = ACTIONS(799),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_variadic_placeholder] = STATE(2751),
    [sym_argument] = STATE(2218),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2085),
    [sym__array_destructing_element] = STATE(2086),
    [sym_function_call_expression] = STATE(679),
    [sym_scoped_call_expression] = STATE(679),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(679),
    [sym_nullsafe_member_call_expression] = STATE(679),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(679),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(679),
    [sym_variable_name] = STATE(679),
    [sym_by_ref] = STATE(2502),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2007),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym__array_destructing_repeat1] = STATE(2090),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(831),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(833),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2085),
    [sym__array_destructing_element] = STATE(2086),
    [sym_function_call_expression] = STATE(679),
    [sym_scoped_call_expression] = STATE(679),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(679),
    [sym_nullsafe_member_call_expression] = STATE(679),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(679),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(679),
    [sym_variable_name] = STATE(679),
    [sym_by_ref] = STATE(2502),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2007),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym__array_destructing_repeat1] = STATE(2090),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(831),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(835),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_variadic_placeholder] = STATE(2761),
    [sym_argument] = STATE(2262),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(837),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_variadic_placeholder] = STATE(2638),
    [sym_argument] = STATE(2041),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(841),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_variadic_placeholder] = STATE(2754),
    [sym_argument] = STATE(2237),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(845),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2085),
    [sym__array_destructing_element] = STATE(2086),
    [sym_function_call_expression] = STATE(679),
    [sym_scoped_call_expression] = STATE(679),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(679),
    [sym_nullsafe_member_call_expression] = STATE(679),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(679),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(679),
    [sym_variable_name] = STATE(679),
    [sym_by_ref] = STATE(2502),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2007),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym__array_destructing_repeat1] = STATE(2090),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(831),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(849),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_variadic_placeholder] = STATE(2746),
    [sym_argument] = STATE(2203),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_variadic_placeholder] = STATE(2779),
    [sym_argument] = STATE(2279),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(855),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_variadic_placeholder] = STATE(2671),
    [sym_argument] = STATE(2021),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(859),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2085),
    [sym__array_destructing_element] = STATE(2086),
    [sym_function_call_expression] = STATE(679),
    [sym_scoped_call_expression] = STATE(679),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(679),
    [sym_nullsafe_member_call_expression] = STATE(679),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(679),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(679),
    [sym_variable_name] = STATE(679),
    [sym_by_ref] = STATE(2502),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2089),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym__array_destructing_repeat1] = STATE(2090),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(863),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(865),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_variadic_placeholder] = STATE(2728),
    [sym_argument] = STATE(2176),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(867),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(817),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2085),
    [sym__array_destructing_element] = STATE(2086),
    [sym_function_call_expression] = STATE(679),
    [sym_scoped_call_expression] = STATE(679),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(679),
    [sym_nullsafe_member_call_expression] = STATE(679),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(679),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(679),
    [sym_variable_name] = STATE(679),
    [sym_by_ref] = STATE(2502),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2007),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym__array_destructing_repeat1] = STATE(2090),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(831),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_RBRACK] = ACTIONS(871),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(879),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2208),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(883),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2089),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(889),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(891),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(899),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2001),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(901),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2007),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(907),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(909),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2192),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2192),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(923),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2192),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2192),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(927),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2192),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(929),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2192),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(931),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2192),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_match_condition_list] = STATE(2782),
    [sym_match_conditional_expression] = STATE(2278),
    [sym_match_default_expression] = STATE(2278),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(935),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(937),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2192),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_argument] = STATE(2544),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2574),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1546),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(801),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_match_condition_list] = STATE(2782),
    [sym_match_conditional_expression] = STATE(2054),
    [sym_match_default_expression] = STATE(2054),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(943),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(945),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1343),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2085),
    [sym__array_destructing_element] = STATE(2468),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_by_ref] = STATE(2479),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(949),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_RBRACK] = ACTIONS(953),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1343),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2085),
    [sym__array_destructing_element] = STATE(2468),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_by_ref] = STATE(2479),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(949),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_RBRACK] = ACTIONS(947),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1334),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(691),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(691),
    [sym_nullsafe_member_access_expression] = STATE(691),
    [sym_scoped_property_access_expression] = STATE(691),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(1908),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(662),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(662),
    [sym_variable_name] = STATE(662),
    [sym_by_ref] = STATE(2134),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym__list_destructing_repeat1] = STATE(2133),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(956),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_RPAREN] = ACTIONS(958),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_match_condition_list] = STATE(2782),
    [sym_match_conditional_expression] = STATE(2427),
    [sym_match_default_expression] = STATE(2427),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(960),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2192),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_match_condition_list] = STATE(2782),
    [sym_match_conditional_expression] = STATE(2427),
    [sym_match_default_expression] = STATE(2427),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(962),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1343),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2085),
    [sym__array_destructing_element] = STATE(2468),
    [sym_function_call_expression] = STATE(672),
    [sym_scoped_call_expression] = STATE(672),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(672),
    [sym_nullsafe_member_call_expression] = STATE(672),
    [sym_subscript_expression] = STATE(672),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(672),
    [sym_variable_name] = STATE(672),
    [sym_by_ref] = STATE(2479),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(949),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_RBRACK] = ACTIONS(964),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_match_condition_list] = STATE(2782),
    [sym_match_conditional_expression] = STATE(2427),
    [sym_match_default_expression] = STATE(2427),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(967),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_match_condition_list] = STATE(2782),
    [sym_match_conditional_expression] = STATE(2427),
    [sym_match_default_expression] = STATE(2427),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(969),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_variadic_unpacking] = STATE(1030),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(1030),
    [sym_yield_expression] = STATE(986),
    [sym_array_element_initializer] = STATE(2192),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_match_condition_list] = STATE(2782),
    [sym_match_conditional_expression] = STATE(2427),
    [sym_match_default_expression] = STATE(2427),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [aux_sym_match_default_expression_token1] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2392),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1562),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(803),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1365),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(697),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(697),
    [sym_nullsafe_member_access_expression] = STATE(697),
    [sym_scoped_property_access_expression] = STATE(697),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2215),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(670),
    [sym_scoped_call_expression] = STATE(670),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(670),
    [sym_nullsafe_member_call_expression] = STATE(670),
    [sym_subscript_expression] = STATE(670),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(670),
    [sym_variable_name] = STATE(670),
    [sym_by_ref] = STATE(2320),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [anon_sym_COMMA] = ACTIONS(971),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_RPAREN] = ACTIONS(971),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2722),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(973),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2725),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(975),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2715),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(977),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_foreach_pair] = STATE(2598),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2538),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_by_ref] = STATE(2598),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2766),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(979),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2762),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(981),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_foreach_pair] = STATE(2635),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1294),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2455),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_by_ref] = STATE(2635),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2629),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(983),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2768),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(985),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2631),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(987),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2781),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(989),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2678),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(991),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2584),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(993),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2723),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(995),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2727),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(997),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2718),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2710),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2771),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1003),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2740),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1005),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2744),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1007),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2599),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1009),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2579),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1011),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2600),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1013),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2625),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1015),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2774),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1017),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_foreach_pair] = STATE(2684),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1322),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2568),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_by_ref] = STATE(2684),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2637),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1019),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2582),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1021),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2581),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1023),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_foreach_pair] = STATE(2719),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1313),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2347),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_by_ref] = STATE(2719),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2733),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1025),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__expressions] = STATE(2731),
    [sym_sequence_expression] = STATE(2559),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1029),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1368),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2394),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_by_ref] = STATE(2675),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2539),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1091),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(1033),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1031),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_by_ref] = STATE(1033),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1035),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1037),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1315),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_variadic_unpacking] = STATE(2385),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_by_ref] = STATE(1158),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1039),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1091),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(1033),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(1033),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym__expressions] = STATE(2398),
    [sym_sequence_expression] = STATE(2548),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1318),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1041),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1041),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym__expressions] = STATE(2550),
    [sym_sequence_expression] = STATE(2548),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1043),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1043),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(1033),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1091),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(700),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(700),
    [sym_nullsafe_member_access_expression] = STATE(700),
    [sym_scoped_property_access_expression] = STATE(700),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2193),
    [sym_function_call_expression] = STATE(692),
    [sym_scoped_call_expression] = STATE(692),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(692),
    [sym_nullsafe_member_call_expression] = STATE(692),
    [sym_subscript_expression] = STATE(692),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(692),
    [sym_variable_name] = STATE(692),
    [sym_by_ref] = STATE(2332),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_sequence_expression] = STATE(2310),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1370),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(1045),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_RPAREN] = ACTIONS(1047),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1347),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(1049),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1051),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1345),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(1053),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1335),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(1055),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1060),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1057),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(1059),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_sequence_expression] = STATE(2344),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1330),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(1061),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1356),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(1063),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_sequence_expression] = STATE(2344),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1324),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1394),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(1065),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1357),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(1067),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1332),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(1069),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1395),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(1073),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(1075),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1392),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(1077),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1124),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1079),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1081),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1340),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1144),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1139),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1138),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1135),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1129),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1154),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1206),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1057),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1148),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1346),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1393),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1386),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1384),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1337),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1126),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1363),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1348),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1352),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1353),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1118),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1327),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1338),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1342),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1117),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1355),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1116),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1094),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1061),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1095),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1098),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1101),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1375),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1102),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1103),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1104),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1063),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1153),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1109),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1122),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1111),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1374),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1378),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1331),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1121),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1379),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1110),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1366),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1351),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1120),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1304),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1380),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1369),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1329),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1328),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1360),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1350),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1349),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1344),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1336),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1359),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1381),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1391),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1326),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1389),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1377),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1155),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1156),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1167),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1364),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1390),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_match_expression] = STATE(1186),
    [sym_expression] = STATE(1142),
    [sym__unary_expression] = STATE(1179),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1186),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(693),
    [sym_assignment_expression] = STATE(1186),
    [sym_reference_assignment_expression] = STATE(1186),
    [sym_conditional_expression] = STATE(1186),
    [sym_augmented_assignment_expression] = STATE(1186),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_list_literal] = STATE(2656),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1186),
    [sym_binary_expression] = STATE(1186),
    [sym_include_expression] = STATE(1186),
    [sym_include_once_expression] = STATE(1186),
    [sym_require_expression] = STATE(1186),
    [sym_require_once_expression] = STATE(1186),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1361),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1383),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1385),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1387),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1388),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1339),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1056),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(677),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2593),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1362),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1382),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1310),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(696),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_list_literal] = STATE(2646),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(785),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [aux_sym_require_expression_token1] = ACTIONS(793),
    [aux_sym_require_once_expression_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1358),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1371),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1373),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_match_expression] = STATE(986),
    [sym_expression] = STATE(1087),
    [sym__unary_expression] = STATE(1018),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(986),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(986),
    [sym_reference_assignment_expression] = STATE(986),
    [sym_conditional_expression] = STATE(986),
    [sym_augmented_assignment_expression] = STATE(986),
    [sym_member_access_expression] = STATE(664),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2419),
    [sym__array_destructing] = STATE(2419),
    [sym_function_call_expression] = STATE(657),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(657),
    [sym_variable_name] = STATE(657),
    [sym_yield_expression] = STATE(986),
    [sym_binary_expression] = STATE(986),
    [sym_include_expression] = STATE(986),
    [sym_include_once_expression] = STATE(986),
    [sym_require_expression] = STATE(986),
    [sym_require_once_expression] = STATE(986),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_match_expression_token1] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [sym_catch_clause] = STATE(472),
    [sym_finally_clause] = STATE(472),
    [aux_sym_try_statement_repeat1] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym_name] = ACTIONS(1085),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1085),
    [aux_sym_global_declaration_token1] = ACTIONS(1085),
    [aux_sym_namespace_definition_token1] = ACTIONS(1085),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1085),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1085),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1085),
    [anon_sym_BSLASH] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [aux_sym_trait_declaration_token1] = ACTIONS(1085),
    [aux_sym_interface_declaration_token1] = ACTIONS(1085),
    [aux_sym_enum_declaration_token1] = ACTIONS(1085),
    [aux_sym_enum_case_token1] = ACTIONS(1085),
    [aux_sym_class_declaration_token1] = ACTIONS(1085),
    [aux_sym_final_modifier_token1] = ACTIONS(1085),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1085),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1085),
    [sym_var_modifier] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1085),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [aux_sym_cast_type_token1] = ACTIONS(1085),
    [aux_sym_echo_statement_token1] = ACTIONS(1085),
    [aux_sym_exit_statement_token1] = ACTIONS(1085),
    [anon_sym_unset] = ACTIONS(1085),
    [aux_sym_declare_statement_token1] = ACTIONS(1085),
    [aux_sym_declare_statement_token2] = ACTIONS(1085),
    [sym_float] = ACTIONS(1085),
    [aux_sym_try_statement_token1] = ACTIONS(1085),
    [aux_sym_catch_clause_token1] = ACTIONS(1087),
    [aux_sym_finally_clause_token1] = ACTIONS(1089),
    [aux_sym_goto_statement_token1] = ACTIONS(1085),
    [aux_sym_continue_statement_token1] = ACTIONS(1085),
    [aux_sym_break_statement_token1] = ACTIONS(1085),
    [sym_integer] = ACTIONS(1085),
    [aux_sym_return_statement_token1] = ACTIONS(1085),
    [aux_sym_throw_expression_token1] = ACTIONS(1085),
    [aux_sym_while_statement_token1] = ACTIONS(1085),
    [aux_sym_while_statement_token2] = ACTIONS(1085),
    [aux_sym_do_statement_token1] = ACTIONS(1085),
    [aux_sym_for_statement_token1] = ACTIONS(1085),
    [aux_sym_for_statement_token2] = ACTIONS(1085),
    [aux_sym_foreach_statement_token1] = ACTIONS(1085),
    [aux_sym_foreach_statement_token2] = ACTIONS(1085),
    [aux_sym_if_statement_token1] = ACTIONS(1085),
    [aux_sym_if_statement_token2] = ACTIONS(1085),
    [aux_sym_else_if_clause_token1] = ACTIONS(1085),
    [aux_sym_else_clause_token1] = ACTIONS(1085),
    [aux_sym_match_expression_token1] = ACTIONS(1085),
    [aux_sym_match_default_expression_token1] = ACTIONS(1085),
    [aux_sym_switch_statement_token1] = ACTIONS(1085),
    [aux_sym_switch_block_token1] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_AT] = ACTIONS(1083),
    [aux_sym_clone_expression_token1] = ACTIONS(1085),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1085),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1085),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [aux_sym__list_destructing_token1] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_self] = ACTIONS(1085),
    [anon_sym_parent] = ACTIONS(1085),
    [aux_sym__argument_name_token1] = ACTIONS(1085),
    [aux_sym__argument_name_token2] = ACTIONS(1085),
    [anon_sym_POUND_LBRACK] = ACTIONS(1083),
    [aux_sym_encapsed_string_token1] = ACTIONS(1083),
    [anon_sym_DQUOTE] = ACTIONS(1083),
    [aux_sym_string_token1] = ACTIONS(1083),
    [anon_sym_SQUOTE] = ACTIONS(1083),
    [anon_sym_LT_LT_LT] = ACTIONS(1083),
    [anon_sym_BQUOTE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1083),
    [aux_sym_yield_expression_token1] = ACTIONS(1085),
    [aux_sym_include_expression_token1] = ACTIONS(1085),
    [aux_sym_include_once_expression_token1] = ACTIONS(1085),
    [aux_sym_require_expression_token1] = ACTIONS(1085),
    [aux_sym_require_once_expression_token1] = ACTIONS(1085),
    [sym_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [sym_catch_clause] = STATE(472),
    [sym_finally_clause] = STATE(472),
    [aux_sym_try_statement_repeat1] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1091),
    [sym_name] = ACTIONS(1093),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1091),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1093),
    [aux_sym_global_declaration_token1] = ACTIONS(1093),
    [aux_sym_namespace_definition_token1] = ACTIONS(1093),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1093),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1093),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1093),
    [anon_sym_BSLASH] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [aux_sym_trait_declaration_token1] = ACTIONS(1093),
    [aux_sym_interface_declaration_token1] = ACTIONS(1093),
    [aux_sym_enum_declaration_token1] = ACTIONS(1093),
    [aux_sym_enum_case_token1] = ACTIONS(1093),
    [aux_sym_class_declaration_token1] = ACTIONS(1093),
    [aux_sym_final_modifier_token1] = ACTIONS(1093),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1093),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1093),
    [sym_var_modifier] = ACTIONS(1093),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1093),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1093),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1093),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_cast_type_token1] = ACTIONS(1093),
    [aux_sym_echo_statement_token1] = ACTIONS(1093),
    [aux_sym_exit_statement_token1] = ACTIONS(1093),
    [anon_sym_unset] = ACTIONS(1093),
    [aux_sym_declare_statement_token1] = ACTIONS(1093),
    [aux_sym_declare_statement_token2] = ACTIONS(1093),
    [sym_float] = ACTIONS(1093),
    [aux_sym_try_statement_token1] = ACTIONS(1093),
    [aux_sym_catch_clause_token1] = ACTIONS(1095),
    [aux_sym_finally_clause_token1] = ACTIONS(1098),
    [aux_sym_goto_statement_token1] = ACTIONS(1093),
    [aux_sym_continue_statement_token1] = ACTIONS(1093),
    [aux_sym_break_statement_token1] = ACTIONS(1093),
    [sym_integer] = ACTIONS(1093),
    [aux_sym_return_statement_token1] = ACTIONS(1093),
    [aux_sym_throw_expression_token1] = ACTIONS(1093),
    [aux_sym_while_statement_token1] = ACTIONS(1093),
    [aux_sym_while_statement_token2] = ACTIONS(1093),
    [aux_sym_do_statement_token1] = ACTIONS(1093),
    [aux_sym_for_statement_token1] = ACTIONS(1093),
    [aux_sym_for_statement_token2] = ACTIONS(1093),
    [aux_sym_foreach_statement_token1] = ACTIONS(1093),
    [aux_sym_foreach_statement_token2] = ACTIONS(1093),
    [aux_sym_if_statement_token1] = ACTIONS(1093),
    [aux_sym_if_statement_token2] = ACTIONS(1093),
    [aux_sym_else_if_clause_token1] = ACTIONS(1093),
    [aux_sym_else_clause_token1] = ACTIONS(1093),
    [aux_sym_match_expression_token1] = ACTIONS(1093),
    [aux_sym_match_default_expression_token1] = ACTIONS(1093),
    [aux_sym_switch_statement_token1] = ACTIONS(1093),
    [aux_sym_switch_block_token1] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_TILDE] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [aux_sym_clone_expression_token1] = ACTIONS(1093),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1093),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1093),
    [anon_sym_DASH_DASH] = ACTIONS(1091),
    [anon_sym_PLUS_PLUS] = ACTIONS(1091),
    [aux_sym__list_destructing_token1] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1091),
    [anon_sym_self] = ACTIONS(1093),
    [anon_sym_parent] = ACTIONS(1093),
    [aux_sym__argument_name_token1] = ACTIONS(1093),
    [aux_sym__argument_name_token2] = ACTIONS(1093),
    [anon_sym_POUND_LBRACK] = ACTIONS(1091),
    [aux_sym_encapsed_string_token1] = ACTIONS(1091),
    [anon_sym_DQUOTE] = ACTIONS(1091),
    [aux_sym_string_token1] = ACTIONS(1091),
    [anon_sym_SQUOTE] = ACTIONS(1091),
    [anon_sym_LT_LT_LT] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1091),
    [anon_sym_DOLLAR] = ACTIONS(1091),
    [aux_sym_yield_expression_token1] = ACTIONS(1093),
    [aux_sym_include_expression_token1] = ACTIONS(1093),
    [aux_sym_include_once_expression_token1] = ACTIONS(1093),
    [aux_sym_require_expression_token1] = ACTIONS(1093),
    [aux_sym_require_once_expression_token1] = ACTIONS(1093),
    [sym_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [sym_else_if_clause] = STATE(565),
    [sym_else_clause] = STATE(582),
    [aux_sym_if_statement_repeat1] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1101),
    [sym_name] = ACTIONS(1103),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1101),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1103),
    [aux_sym_global_declaration_token1] = ACTIONS(1103),
    [aux_sym_namespace_definition_token1] = ACTIONS(1103),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1103),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1103),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1103),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(1101),
    [aux_sym_trait_declaration_token1] = ACTIONS(1103),
    [aux_sym_interface_declaration_token1] = ACTIONS(1103),
    [aux_sym_enum_declaration_token1] = ACTIONS(1103),
    [aux_sym_enum_case_token1] = ACTIONS(1103),
    [aux_sym_class_declaration_token1] = ACTIONS(1103),
    [aux_sym_final_modifier_token1] = ACTIONS(1103),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1103),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1103),
    [sym_var_modifier] = ACTIONS(1103),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1103),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1103),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1103),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_cast_type_token1] = ACTIONS(1103),
    [aux_sym_echo_statement_token1] = ACTIONS(1103),
    [aux_sym_exit_statement_token1] = ACTIONS(1103),
    [anon_sym_unset] = ACTIONS(1103),
    [aux_sym_declare_statement_token1] = ACTIONS(1103),
    [aux_sym_declare_statement_token2] = ACTIONS(1103),
    [sym_float] = ACTIONS(1103),
    [aux_sym_try_statement_token1] = ACTIONS(1103),
    [aux_sym_goto_statement_token1] = ACTIONS(1103),
    [aux_sym_continue_statement_token1] = ACTIONS(1103),
    [aux_sym_break_statement_token1] = ACTIONS(1103),
    [sym_integer] = ACTIONS(1103),
    [aux_sym_return_statement_token1] = ACTIONS(1103),
    [aux_sym_throw_expression_token1] = ACTIONS(1103),
    [aux_sym_while_statement_token1] = ACTIONS(1103),
    [aux_sym_while_statement_token2] = ACTIONS(1103),
    [aux_sym_do_statement_token1] = ACTIONS(1103),
    [aux_sym_for_statement_token1] = ACTIONS(1103),
    [aux_sym_for_statement_token2] = ACTIONS(1103),
    [aux_sym_foreach_statement_token1] = ACTIONS(1103),
    [aux_sym_foreach_statement_token2] = ACTIONS(1103),
    [aux_sym_if_statement_token1] = ACTIONS(1103),
    [aux_sym_if_statement_token2] = ACTIONS(1103),
    [aux_sym_else_if_clause_token1] = ACTIONS(1105),
    [aux_sym_else_clause_token1] = ACTIONS(1107),
    [aux_sym_match_expression_token1] = ACTIONS(1103),
    [aux_sym_match_default_expression_token1] = ACTIONS(1103),
    [aux_sym_switch_statement_token1] = ACTIONS(1103),
    [aux_sym_switch_block_token1] = ACTIONS(1103),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AT] = ACTIONS(1101),
    [aux_sym_clone_expression_token1] = ACTIONS(1103),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1103),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(1101),
    [anon_sym_PLUS_PLUS] = ACTIONS(1101),
    [aux_sym__list_destructing_token1] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(1101),
    [anon_sym_self] = ACTIONS(1103),
    [anon_sym_parent] = ACTIONS(1103),
    [aux_sym__argument_name_token1] = ACTIONS(1103),
    [aux_sym__argument_name_token2] = ACTIONS(1103),
    [anon_sym_POUND_LBRACK] = ACTIONS(1101),
    [aux_sym_encapsed_string_token1] = ACTIONS(1101),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [aux_sym_string_token1] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1101),
    [anon_sym_LT_LT_LT] = ACTIONS(1101),
    [anon_sym_BQUOTE] = ACTIONS(1101),
    [anon_sym_DOLLAR] = ACTIONS(1101),
    [aux_sym_yield_expression_token1] = ACTIONS(1103),
    [aux_sym_include_expression_token1] = ACTIONS(1103),
    [aux_sym_include_once_expression_token1] = ACTIONS(1103),
    [aux_sym_require_expression_token1] = ACTIONS(1103),
    [aux_sym_require_once_expression_token1] = ACTIONS(1103),
    [sym_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [sym_else_if_clause] = STATE(565),
    [sym_else_clause] = STATE(558),
    [aux_sym_if_statement_repeat1] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1109),
    [sym_name] = ACTIONS(1111),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1109),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1111),
    [aux_sym_global_declaration_token1] = ACTIONS(1111),
    [aux_sym_namespace_definition_token1] = ACTIONS(1111),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1111),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1111),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1111),
    [anon_sym_BSLASH] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_RBRACE] = ACTIONS(1109),
    [aux_sym_trait_declaration_token1] = ACTIONS(1111),
    [aux_sym_interface_declaration_token1] = ACTIONS(1111),
    [aux_sym_enum_declaration_token1] = ACTIONS(1111),
    [aux_sym_enum_case_token1] = ACTIONS(1111),
    [aux_sym_class_declaration_token1] = ACTIONS(1111),
    [aux_sym_final_modifier_token1] = ACTIONS(1111),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1111),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1111),
    [sym_var_modifier] = ACTIONS(1111),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1111),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1111),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1111),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1111),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [aux_sym_cast_type_token1] = ACTIONS(1111),
    [aux_sym_echo_statement_token1] = ACTIONS(1111),
    [aux_sym_exit_statement_token1] = ACTIONS(1111),
    [anon_sym_unset] = ACTIONS(1111),
    [aux_sym_declare_statement_token1] = ACTIONS(1111),
    [aux_sym_declare_statement_token2] = ACTIONS(1111),
    [sym_float] = ACTIONS(1111),
    [aux_sym_try_statement_token1] = ACTIONS(1111),
    [aux_sym_goto_statement_token1] = ACTIONS(1111),
    [aux_sym_continue_statement_token1] = ACTIONS(1111),
    [aux_sym_break_statement_token1] = ACTIONS(1111),
    [sym_integer] = ACTIONS(1111),
    [aux_sym_return_statement_token1] = ACTIONS(1111),
    [aux_sym_throw_expression_token1] = ACTIONS(1111),
    [aux_sym_while_statement_token1] = ACTIONS(1111),
    [aux_sym_while_statement_token2] = ACTIONS(1111),
    [aux_sym_do_statement_token1] = ACTIONS(1111),
    [aux_sym_for_statement_token1] = ACTIONS(1111),
    [aux_sym_for_statement_token2] = ACTIONS(1111),
    [aux_sym_foreach_statement_token1] = ACTIONS(1111),
    [aux_sym_foreach_statement_token2] = ACTIONS(1111),
    [aux_sym_if_statement_token1] = ACTIONS(1111),
    [aux_sym_if_statement_token2] = ACTIONS(1111),
    [aux_sym_else_if_clause_token1] = ACTIONS(1105),
    [aux_sym_else_clause_token1] = ACTIONS(1107),
    [aux_sym_match_expression_token1] = ACTIONS(1111),
    [aux_sym_match_default_expression_token1] = ACTIONS(1111),
    [aux_sym_switch_statement_token1] = ACTIONS(1111),
    [aux_sym_switch_block_token1] = ACTIONS(1111),
    [anon_sym_PLUS] = ACTIONS(1111),
    [anon_sym_DASH] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(1109),
    [anon_sym_BANG] = ACTIONS(1109),
    [anon_sym_AT] = ACTIONS(1109),
    [aux_sym_clone_expression_token1] = ACTIONS(1111),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1111),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [aux_sym__list_destructing_token1] = ACTIONS(1111),
    [anon_sym_LBRACK] = ACTIONS(1109),
    [anon_sym_self] = ACTIONS(1111),
    [anon_sym_parent] = ACTIONS(1111),
    [aux_sym__argument_name_token1] = ACTIONS(1111),
    [aux_sym__argument_name_token2] = ACTIONS(1111),
    [anon_sym_POUND_LBRACK] = ACTIONS(1109),
    [aux_sym_encapsed_string_token1] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [aux_sym_string_token1] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_LT_LT_LT] = ACTIONS(1109),
    [anon_sym_BQUOTE] = ACTIONS(1109),
    [anon_sym_DOLLAR] = ACTIONS(1109),
    [aux_sym_yield_expression_token1] = ACTIONS(1111),
    [aux_sym_include_expression_token1] = ACTIONS(1111),
    [aux_sym_include_once_expression_token1] = ACTIONS(1111),
    [aux_sym_require_expression_token1] = ACTIONS(1111),
    [aux_sym_require_once_expression_token1] = ACTIONS(1111),
    [sym_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [sym_else_if_clause] = STATE(565),
    [sym_else_clause] = STATE(582),
    [aux_sym_if_statement_repeat1] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1101),
    [sym_name] = ACTIONS(1103),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1101),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1103),
    [aux_sym_global_declaration_token1] = ACTIONS(1103),
    [aux_sym_namespace_definition_token1] = ACTIONS(1103),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1103),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1103),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1103),
    [anon_sym_BSLASH] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(1101),
    [aux_sym_trait_declaration_token1] = ACTIONS(1103),
    [aux_sym_interface_declaration_token1] = ACTIONS(1103),
    [aux_sym_enum_declaration_token1] = ACTIONS(1103),
    [aux_sym_enum_case_token1] = ACTIONS(1103),
    [aux_sym_class_declaration_token1] = ACTIONS(1103),
    [aux_sym_final_modifier_token1] = ACTIONS(1103),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1103),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1103),
    [sym_var_modifier] = ACTIONS(1103),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1103),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1103),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1103),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [aux_sym_cast_type_token1] = ACTIONS(1103),
    [aux_sym_echo_statement_token1] = ACTIONS(1103),
    [aux_sym_exit_statement_token1] = ACTIONS(1103),
    [anon_sym_unset] = ACTIONS(1103),
    [aux_sym_declare_statement_token1] = ACTIONS(1103),
    [aux_sym_declare_statement_token2] = ACTIONS(1103),
    [sym_float] = ACTIONS(1103),
    [aux_sym_try_statement_token1] = ACTIONS(1103),
    [aux_sym_goto_statement_token1] = ACTIONS(1103),
    [aux_sym_continue_statement_token1] = ACTIONS(1103),
    [aux_sym_break_statement_token1] = ACTIONS(1103),
    [sym_integer] = ACTIONS(1103),
    [aux_sym_return_statement_token1] = ACTIONS(1103),
    [aux_sym_throw_expression_token1] = ACTIONS(1103),
    [aux_sym_while_statement_token1] = ACTIONS(1103),
    [aux_sym_while_statement_token2] = ACTIONS(1103),
    [aux_sym_do_statement_token1] = ACTIONS(1103),
    [aux_sym_for_statement_token1] = ACTIONS(1103),
    [aux_sym_for_statement_token2] = ACTIONS(1103),
    [aux_sym_foreach_statement_token1] = ACTIONS(1103),
    [aux_sym_foreach_statement_token2] = ACTIONS(1103),
    [aux_sym_if_statement_token1] = ACTIONS(1103),
    [aux_sym_if_statement_token2] = ACTIONS(1103),
    [aux_sym_else_if_clause_token1] = ACTIONS(1113),
    [aux_sym_else_clause_token1] = ACTIONS(1116),
    [aux_sym_match_expression_token1] = ACTIONS(1103),
    [aux_sym_match_default_expression_token1] = ACTIONS(1103),
    [aux_sym_switch_statement_token1] = ACTIONS(1103),
    [aux_sym_switch_block_token1] = ACTIONS(1103),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AT] = ACTIONS(1101),
    [aux_sym_clone_expression_token1] = ACTIONS(1103),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1103),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(1101),
    [anon_sym_PLUS_PLUS] = ACTIONS(1101),
    [aux_sym__list_destructing_token1] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(1101),
    [anon_sym_self] = ACTIONS(1103),
    [anon_sym_parent] = ACTIONS(1103),
    [aux_sym__argument_name_token1] = ACTIONS(1103),
    [aux_sym__argument_name_token2] = ACTIONS(1103),
    [anon_sym_POUND_LBRACK] = ACTIONS(1101),
    [aux_sym_encapsed_string_token1] = ACTIONS(1101),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [aux_sym_string_token1] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1101),
    [anon_sym_LT_LT_LT] = ACTIONS(1101),
    [anon_sym_BQUOTE] = ACTIONS(1101),
    [anon_sym_DOLLAR] = ACTIONS(1101),
    [aux_sym_yield_expression_token1] = ACTIONS(1103),
    [aux_sym_include_expression_token1] = ACTIONS(1103),
    [aux_sym_include_once_expression_token1] = ACTIONS(1103),
    [aux_sym_require_expression_token1] = ACTIONS(1103),
    [aux_sym_require_once_expression_token1] = ACTIONS(1103),
    [sym_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [sym_else_if_clause] = STATE(565),
    [sym_else_clause] = STATE(558),
    [aux_sym_if_statement_repeat1] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1109),
    [sym_name] = ACTIONS(1111),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1109),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1111),
    [aux_sym_global_declaration_token1] = ACTIONS(1111),
    [aux_sym_namespace_definition_token1] = ACTIONS(1111),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1111),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1111),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1111),
    [anon_sym_BSLASH] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_RBRACE] = ACTIONS(1109),
    [aux_sym_trait_declaration_token1] = ACTIONS(1111),
    [aux_sym_interface_declaration_token1] = ACTIONS(1111),
    [aux_sym_enum_declaration_token1] = ACTIONS(1111),
    [aux_sym_enum_case_token1] = ACTIONS(1111),
    [aux_sym_class_declaration_token1] = ACTIONS(1111),
    [aux_sym_final_modifier_token1] = ACTIONS(1111),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1111),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1111),
    [sym_var_modifier] = ACTIONS(1111),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1111),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1111),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1111),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1111),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [aux_sym_cast_type_token1] = ACTIONS(1111),
    [aux_sym_echo_statement_token1] = ACTIONS(1111),
    [aux_sym_exit_statement_token1] = ACTIONS(1111),
    [anon_sym_unset] = ACTIONS(1111),
    [aux_sym_declare_statement_token1] = ACTIONS(1111),
    [aux_sym_declare_statement_token2] = ACTIONS(1111),
    [sym_float] = ACTIONS(1111),
    [aux_sym_try_statement_token1] = ACTIONS(1111),
    [aux_sym_goto_statement_token1] = ACTIONS(1111),
    [aux_sym_continue_statement_token1] = ACTIONS(1111),
    [aux_sym_break_statement_token1] = ACTIONS(1111),
    [sym_integer] = ACTIONS(1111),
    [aux_sym_return_statement_token1] = ACTIONS(1111),
    [aux_sym_throw_expression_token1] = ACTIONS(1111),
    [aux_sym_while_statement_token1] = ACTIONS(1111),
    [aux_sym_while_statement_token2] = ACTIONS(1111),
    [aux_sym_do_statement_token1] = ACTIONS(1111),
    [aux_sym_for_statement_token1] = ACTIONS(1111),
    [aux_sym_for_statement_token2] = ACTIONS(1111),
    [aux_sym_foreach_statement_token1] = ACTIONS(1111),
    [aux_sym_foreach_statement_token2] = ACTIONS(1111),
    [aux_sym_if_statement_token1] = ACTIONS(1111),
    [aux_sym_if_statement_token2] = ACTIONS(1111),
    [aux_sym_else_if_clause_token1] = ACTIONS(1119),
    [aux_sym_else_clause_token1] = ACTIONS(1122),
    [aux_sym_match_expression_token1] = ACTIONS(1111),
    [aux_sym_match_default_expression_token1] = ACTIONS(1111),
    [aux_sym_switch_statement_token1] = ACTIONS(1111),
    [aux_sym_switch_block_token1] = ACTIONS(1111),
    [anon_sym_PLUS] = ACTIONS(1111),
    [anon_sym_DASH] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(1109),
    [anon_sym_BANG] = ACTIONS(1109),
    [anon_sym_AT] = ACTIONS(1109),
    [aux_sym_clone_expression_token1] = ACTIONS(1111),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1111),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [aux_sym__list_destructing_token1] = ACTIONS(1111),
    [anon_sym_LBRACK] = ACTIONS(1109),
    [anon_sym_self] = ACTIONS(1111),
    [anon_sym_parent] = ACTIONS(1111),
    [aux_sym__argument_name_token1] = ACTIONS(1111),
    [aux_sym__argument_name_token2] = ACTIONS(1111),
    [anon_sym_POUND_LBRACK] = ACTIONS(1109),
    [aux_sym_encapsed_string_token1] = ACTIONS(1109),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [aux_sym_string_token1] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [anon_sym_LT_LT_LT] = ACTIONS(1109),
    [anon_sym_BQUOTE] = ACTIONS(1109),
    [anon_sym_DOLLAR] = ACTIONS(1109),
    [aux_sym_yield_expression_token1] = ACTIONS(1111),
    [aux_sym_include_expression_token1] = ACTIONS(1111),
    [aux_sym_include_once_expression_token1] = ACTIONS(1111),
    [aux_sym_require_expression_token1] = ACTIONS(1111),
    [aux_sym_require_once_expression_token1] = ACTIONS(1111),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1125),
    [sym_name] = ACTIONS(1127),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1125),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1127),
    [aux_sym_global_declaration_token1] = ACTIONS(1127),
    [aux_sym_namespace_definition_token1] = ACTIONS(1127),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1127),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1127),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1127),
    [anon_sym_BSLASH] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_RBRACE] = ACTIONS(1125),
    [aux_sym_trait_declaration_token1] = ACTIONS(1127),
    [aux_sym_interface_declaration_token1] = ACTIONS(1127),
    [aux_sym_enum_declaration_token1] = ACTIONS(1127),
    [aux_sym_enum_case_token1] = ACTIONS(1127),
    [aux_sym_class_declaration_token1] = ACTIONS(1127),
    [aux_sym_final_modifier_token1] = ACTIONS(1127),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1127),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1127),
    [sym_var_modifier] = ACTIONS(1127),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1127),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1127),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1127),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1127),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [aux_sym_cast_type_token1] = ACTIONS(1127),
    [aux_sym_echo_statement_token1] = ACTIONS(1127),
    [aux_sym_exit_statement_token1] = ACTIONS(1127),
    [anon_sym_unset] = ACTIONS(1127),
    [aux_sym_declare_statement_token1] = ACTIONS(1127),
    [aux_sym_declare_statement_token2] = ACTIONS(1127),
    [sym_float] = ACTIONS(1127),
    [aux_sym_try_statement_token1] = ACTIONS(1127),
    [aux_sym_catch_clause_token1] = ACTIONS(1127),
    [aux_sym_finally_clause_token1] = ACTIONS(1127),
    [aux_sym_goto_statement_token1] = ACTIONS(1127),
    [aux_sym_continue_statement_token1] = ACTIONS(1127),
    [aux_sym_break_statement_token1] = ACTIONS(1127),
    [sym_integer] = ACTIONS(1127),
    [aux_sym_return_statement_token1] = ACTIONS(1127),
    [aux_sym_throw_expression_token1] = ACTIONS(1127),
    [aux_sym_while_statement_token1] = ACTIONS(1127),
    [aux_sym_while_statement_token2] = ACTIONS(1127),
    [aux_sym_do_statement_token1] = ACTIONS(1127),
    [aux_sym_for_statement_token1] = ACTIONS(1127),
    [aux_sym_for_statement_token2] = ACTIONS(1127),
    [aux_sym_foreach_statement_token1] = ACTIONS(1127),
    [aux_sym_foreach_statement_token2] = ACTIONS(1127),
    [aux_sym_if_statement_token1] = ACTIONS(1127),
    [aux_sym_if_statement_token2] = ACTIONS(1127),
    [aux_sym_else_if_clause_token1] = ACTIONS(1127),
    [aux_sym_else_clause_token1] = ACTIONS(1127),
    [aux_sym_match_expression_token1] = ACTIONS(1127),
    [aux_sym_match_default_expression_token1] = ACTIONS(1127),
    [aux_sym_switch_statement_token1] = ACTIONS(1127),
    [aux_sym_switch_block_token1] = ACTIONS(1127),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1125),
    [aux_sym_clone_expression_token1] = ACTIONS(1127),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1127),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1125),
    [aux_sym__list_destructing_token1] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_self] = ACTIONS(1127),
    [anon_sym_parent] = ACTIONS(1127),
    [aux_sym__argument_name_token1] = ACTIONS(1127),
    [aux_sym__argument_name_token2] = ACTIONS(1127),
    [anon_sym_POUND_LBRACK] = ACTIONS(1125),
    [aux_sym_encapsed_string_token1] = ACTIONS(1125),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [aux_sym_string_token1] = ACTIONS(1125),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_LT_LT_LT] = ACTIONS(1125),
    [anon_sym_BQUOTE] = ACTIONS(1125),
    [anon_sym_DOLLAR] = ACTIONS(1125),
    [aux_sym_yield_expression_token1] = ACTIONS(1127),
    [aux_sym_include_expression_token1] = ACTIONS(1127),
    [aux_sym_include_once_expression_token1] = ACTIONS(1127),
    [aux_sym_require_expression_token1] = ACTIONS(1127),
    [aux_sym_require_once_expression_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1129),
    [sym_name] = ACTIONS(1131),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1129),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1131),
    [aux_sym_global_declaration_token1] = ACTIONS(1131),
    [aux_sym_namespace_definition_token1] = ACTIONS(1131),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1131),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1131),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1131),
    [anon_sym_BSLASH] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_RBRACE] = ACTIONS(1129),
    [aux_sym_trait_declaration_token1] = ACTIONS(1131),
    [aux_sym_interface_declaration_token1] = ACTIONS(1131),
    [aux_sym_enum_declaration_token1] = ACTIONS(1131),
    [aux_sym_enum_case_token1] = ACTIONS(1131),
    [aux_sym_class_declaration_token1] = ACTIONS(1131),
    [aux_sym_final_modifier_token1] = ACTIONS(1131),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1131),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1131),
    [sym_var_modifier] = ACTIONS(1131),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1131),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1131),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1131),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1129),
    [aux_sym_cast_type_token1] = ACTIONS(1131),
    [aux_sym_echo_statement_token1] = ACTIONS(1131),
    [aux_sym_exit_statement_token1] = ACTIONS(1131),
    [anon_sym_unset] = ACTIONS(1131),
    [aux_sym_declare_statement_token1] = ACTIONS(1131),
    [aux_sym_declare_statement_token2] = ACTIONS(1131),
    [sym_float] = ACTIONS(1131),
    [aux_sym_try_statement_token1] = ACTIONS(1131),
    [aux_sym_catch_clause_token1] = ACTIONS(1131),
    [aux_sym_finally_clause_token1] = ACTIONS(1131),
    [aux_sym_goto_statement_token1] = ACTIONS(1131),
    [aux_sym_continue_statement_token1] = ACTIONS(1131),
    [aux_sym_break_statement_token1] = ACTIONS(1131),
    [sym_integer] = ACTIONS(1131),
    [aux_sym_return_statement_token1] = ACTIONS(1131),
    [aux_sym_throw_expression_token1] = ACTIONS(1131),
    [aux_sym_while_statement_token1] = ACTIONS(1131),
    [aux_sym_while_statement_token2] = ACTIONS(1131),
    [aux_sym_do_statement_token1] = ACTIONS(1131),
    [aux_sym_for_statement_token1] = ACTIONS(1131),
    [aux_sym_for_statement_token2] = ACTIONS(1131),
    [aux_sym_foreach_statement_token1] = ACTIONS(1131),
    [aux_sym_foreach_statement_token2] = ACTIONS(1131),
    [aux_sym_if_statement_token1] = ACTIONS(1131),
    [aux_sym_if_statement_token2] = ACTIONS(1131),
    [aux_sym_else_if_clause_token1] = ACTIONS(1131),
    [aux_sym_else_clause_token1] = ACTIONS(1131),
    [aux_sym_match_expression_token1] = ACTIONS(1131),
    [aux_sym_match_default_expression_token1] = ACTIONS(1131),
    [aux_sym_switch_statement_token1] = ACTIONS(1131),
    [aux_sym_switch_block_token1] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_TILDE] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_AT] = ACTIONS(1129),
    [aux_sym_clone_expression_token1] = ACTIONS(1131),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1131),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1129),
    [aux_sym__list_destructing_token1] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_self] = ACTIONS(1131),
    [anon_sym_parent] = ACTIONS(1131),
    [aux_sym__argument_name_token1] = ACTIONS(1131),
    [aux_sym__argument_name_token2] = ACTIONS(1131),
    [anon_sym_POUND_LBRACK] = ACTIONS(1129),
    [aux_sym_encapsed_string_token1] = ACTIONS(1129),
    [anon_sym_DQUOTE] = ACTIONS(1129),
    [aux_sym_string_token1] = ACTIONS(1129),
    [anon_sym_SQUOTE] = ACTIONS(1129),
    [anon_sym_LT_LT_LT] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(1129),
    [anon_sym_DOLLAR] = ACTIONS(1129),
    [aux_sym_yield_expression_token1] = ACTIONS(1131),
    [aux_sym_include_expression_token1] = ACTIONS(1131),
    [aux_sym_include_once_expression_token1] = ACTIONS(1131),
    [aux_sym_require_expression_token1] = ACTIONS(1131),
    [aux_sym_require_once_expression_token1] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [sym_else_if_clause] = STATE(565),
    [aux_sym_if_statement_repeat1] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1133),
    [sym_name] = ACTIONS(1135),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1133),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1135),
    [aux_sym_global_declaration_token1] = ACTIONS(1135),
    [aux_sym_namespace_definition_token1] = ACTIONS(1135),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1135),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1135),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1135),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [aux_sym_trait_declaration_token1] = ACTIONS(1135),
    [aux_sym_interface_declaration_token1] = ACTIONS(1135),
    [aux_sym_enum_declaration_token1] = ACTIONS(1135),
    [aux_sym_enum_case_token1] = ACTIONS(1135),
    [aux_sym_class_declaration_token1] = ACTIONS(1135),
    [aux_sym_final_modifier_token1] = ACTIONS(1135),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1135),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1135),
    [sym_var_modifier] = ACTIONS(1135),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1135),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1135),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1135),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1135),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [aux_sym_cast_type_token1] = ACTIONS(1135),
    [aux_sym_echo_statement_token1] = ACTIONS(1135),
    [aux_sym_exit_statement_token1] = ACTIONS(1135),
    [anon_sym_unset] = ACTIONS(1135),
    [aux_sym_declare_statement_token1] = ACTIONS(1135),
    [aux_sym_declare_statement_token2] = ACTIONS(1135),
    [sym_float] = ACTIONS(1135),
    [aux_sym_try_statement_token1] = ACTIONS(1135),
    [aux_sym_goto_statement_token1] = ACTIONS(1135),
    [aux_sym_continue_statement_token1] = ACTIONS(1135),
    [aux_sym_break_statement_token1] = ACTIONS(1135),
    [sym_integer] = ACTIONS(1135),
    [aux_sym_return_statement_token1] = ACTIONS(1135),
    [aux_sym_throw_expression_token1] = ACTIONS(1135),
    [aux_sym_while_statement_token1] = ACTIONS(1135),
    [aux_sym_while_statement_token2] = ACTIONS(1135),
    [aux_sym_do_statement_token1] = ACTIONS(1135),
    [aux_sym_for_statement_token1] = ACTIONS(1135),
    [aux_sym_for_statement_token2] = ACTIONS(1135),
    [aux_sym_foreach_statement_token1] = ACTIONS(1135),
    [aux_sym_foreach_statement_token2] = ACTIONS(1135),
    [aux_sym_if_statement_token1] = ACTIONS(1135),
    [aux_sym_if_statement_token2] = ACTIONS(1135),
    [aux_sym_else_if_clause_token1] = ACTIONS(1137),
    [aux_sym_else_clause_token1] = ACTIONS(1135),
    [aux_sym_match_expression_token1] = ACTIONS(1135),
    [aux_sym_match_default_expression_token1] = ACTIONS(1135),
    [aux_sym_switch_statement_token1] = ACTIONS(1135),
    [aux_sym_switch_block_token1] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(1133),
    [aux_sym_clone_expression_token1] = ACTIONS(1135),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1135),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [aux_sym__list_destructing_token1] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1133),
    [anon_sym_self] = ACTIONS(1135),
    [anon_sym_parent] = ACTIONS(1135),
    [aux_sym__argument_name_token1] = ACTIONS(1135),
    [aux_sym__argument_name_token2] = ACTIONS(1135),
    [anon_sym_POUND_LBRACK] = ACTIONS(1133),
    [aux_sym_encapsed_string_token1] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [aux_sym_string_token1] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_LT_LT_LT] = ACTIONS(1133),
    [anon_sym_BQUOTE] = ACTIONS(1133),
    [anon_sym_DOLLAR] = ACTIONS(1133),
    [aux_sym_yield_expression_token1] = ACTIONS(1135),
    [aux_sym_include_expression_token1] = ACTIONS(1135),
    [aux_sym_include_once_expression_token1] = ACTIONS(1135),
    [aux_sym_require_expression_token1] = ACTIONS(1135),
    [aux_sym_require_once_expression_token1] = ACTIONS(1135),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [sym_var_modifier] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [aux_sym_exit_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_catch_clause_token1] = ACTIONS(1142),
    [aux_sym_finally_clause_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [aux_sym__argument_name_token1] = ACTIONS(1142),
    [aux_sym__argument_name_token2] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [sym_var_modifier] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [aux_sym_exit_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_catch_clause_token1] = ACTIONS(1146),
    [aux_sym_finally_clause_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1148),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [sym_var_modifier] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [aux_sym_exit_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_catch_clause_token1] = ACTIONS(1150),
    [aux_sym_finally_clause_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [aux_sym__argument_name_token1] = ACTIONS(1150),
    [aux_sym__argument_name_token2] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_name] = ACTIONS(1154),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1154),
    [aux_sym_global_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_definition_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1154),
    [anon_sym_BSLASH] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym_trait_declaration_token1] = ACTIONS(1154),
    [aux_sym_interface_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_case_token1] = ACTIONS(1154),
    [aux_sym_class_declaration_token1] = ACTIONS(1154),
    [aux_sym_final_modifier_token1] = ACTIONS(1154),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1154),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1154),
    [sym_var_modifier] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1154),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1152),
    [aux_sym_cast_type_token1] = ACTIONS(1154),
    [aux_sym_echo_statement_token1] = ACTIONS(1154),
    [aux_sym_exit_statement_token1] = ACTIONS(1154),
    [anon_sym_unset] = ACTIONS(1154),
    [aux_sym_declare_statement_token1] = ACTIONS(1154),
    [aux_sym_declare_statement_token2] = ACTIONS(1154),
    [sym_float] = ACTIONS(1154),
    [aux_sym_try_statement_token1] = ACTIONS(1154),
    [aux_sym_catch_clause_token1] = ACTIONS(1154),
    [aux_sym_finally_clause_token1] = ACTIONS(1154),
    [aux_sym_goto_statement_token1] = ACTIONS(1154),
    [aux_sym_continue_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1154),
    [sym_integer] = ACTIONS(1154),
    [aux_sym_return_statement_token1] = ACTIONS(1154),
    [aux_sym_throw_expression_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token2] = ACTIONS(1154),
    [aux_sym_do_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token2] = ACTIONS(1154),
    [aux_sym_foreach_statement_token1] = ACTIONS(1154),
    [aux_sym_foreach_statement_token2] = ACTIONS(1154),
    [aux_sym_if_statement_token1] = ACTIONS(1154),
    [aux_sym_if_statement_token2] = ACTIONS(1154),
    [aux_sym_else_if_clause_token1] = ACTIONS(1154),
    [aux_sym_else_clause_token1] = ACTIONS(1154),
    [aux_sym_match_expression_token1] = ACTIONS(1154),
    [aux_sym_match_default_expression_token1] = ACTIONS(1154),
    [aux_sym_switch_statement_token1] = ACTIONS(1154),
    [aux_sym_switch_block_token1] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1152),
    [aux_sym_clone_expression_token1] = ACTIONS(1154),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1154),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [aux_sym__list_destructing_token1] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_self] = ACTIONS(1154),
    [anon_sym_parent] = ACTIONS(1154),
    [aux_sym__argument_name_token1] = ACTIONS(1154),
    [aux_sym__argument_name_token2] = ACTIONS(1154),
    [anon_sym_POUND_LBRACK] = ACTIONS(1152),
    [aux_sym_encapsed_string_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_string_token1] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_LT_LT_LT] = ACTIONS(1152),
    [anon_sym_BQUOTE] = ACTIONS(1152),
    [anon_sym_DOLLAR] = ACTIONS(1152),
    [aux_sym_yield_expression_token1] = ACTIONS(1154),
    [aux_sym_include_expression_token1] = ACTIONS(1154),
    [aux_sym_include_once_expression_token1] = ACTIONS(1154),
    [aux_sym_require_expression_token1] = ACTIONS(1154),
    [aux_sym_require_once_expression_token1] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(1040),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(694),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_function_call_expression] = STATE(663),
    [sym_scoped_call_expression] = STATE(663),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(663),
    [sym_nullsafe_member_call_expression] = STATE(663),
    [sym_subscript_expression] = STATE(663),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(663),
    [sym_variable_name] = STATE(663),
    [sym_include_expression] = STATE(1040),
    [sym_include_once_expression] = STATE(1040),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(949),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1158),
    [sym_name] = ACTIONS(1160),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1162),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1160),
    [aux_sym_global_declaration_token1] = ACTIONS(1160),
    [aux_sym_namespace_definition_token1] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1160),
    [anon_sym_BSLASH] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [aux_sym_trait_declaration_token1] = ACTIONS(1160),
    [aux_sym_interface_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_case_token1] = ACTIONS(1160),
    [aux_sym_class_declaration_token1] = ACTIONS(1160),
    [aux_sym_final_modifier_token1] = ACTIONS(1160),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1160),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1160),
    [sym_var_modifier] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1160),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(1158),
    [aux_sym_cast_type_token1] = ACTIONS(1160),
    [aux_sym_echo_statement_token1] = ACTIONS(1160),
    [aux_sym_exit_statement_token1] = ACTIONS(1160),
    [anon_sym_unset] = ACTIONS(1160),
    [aux_sym_declare_statement_token1] = ACTIONS(1160),
    [aux_sym_declare_statement_token2] = ACTIONS(1160),
    [sym_float] = ACTIONS(1160),
    [aux_sym_try_statement_token1] = ACTIONS(1160),
    [aux_sym_goto_statement_token1] = ACTIONS(1160),
    [aux_sym_continue_statement_token1] = ACTIONS(1160),
    [aux_sym_break_statement_token1] = ACTIONS(1160),
    [sym_integer] = ACTIONS(1160),
    [aux_sym_return_statement_token1] = ACTIONS(1160),
    [aux_sym_throw_expression_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token2] = ACTIONS(1160),
    [aux_sym_do_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token2] = ACTIONS(1160),
    [aux_sym_foreach_statement_token1] = ACTIONS(1160),
    [aux_sym_foreach_statement_token2] = ACTIONS(1160),
    [aux_sym_if_statement_token1] = ACTIONS(1160),
    [aux_sym_if_statement_token2] = ACTIONS(1160),
    [aux_sym_else_if_clause_token1] = ACTIONS(1160),
    [aux_sym_else_clause_token1] = ACTIONS(1160),
    [aux_sym_match_expression_token1] = ACTIONS(1160),
    [aux_sym_match_default_expression_token1] = ACTIONS(1160),
    [aux_sym_switch_statement_token1] = ACTIONS(1160),
    [aux_sym_switch_block_token1] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1158),
    [aux_sym_clone_expression_token1] = ACTIONS(1160),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1160),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [aux_sym__list_destructing_token1] = ACTIONS(1160),
    [anon_sym_LBRACK] = ACTIONS(1158),
    [anon_sym_self] = ACTIONS(1160),
    [anon_sym_parent] = ACTIONS(1160),
    [aux_sym__argument_name_token1] = ACTIONS(1160),
    [aux_sym__argument_name_token2] = ACTIONS(1160),
    [anon_sym_POUND_LBRACK] = ACTIONS(1158),
    [aux_sym_encapsed_string_token1] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [aux_sym_string_token1] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [anon_sym_LT_LT_LT] = ACTIONS(1158),
    [anon_sym_BQUOTE] = ACTIONS(1158),
    [anon_sym_DOLLAR] = ACTIONS(1158),
    [aux_sym_yield_expression_token1] = ACTIONS(1160),
    [aux_sym_include_expression_token1] = ACTIONS(1160),
    [aux_sym_include_once_expression_token1] = ACTIONS(1160),
    [aux_sym_require_expression_token1] = ACTIONS(1160),
    [aux_sym_require_once_expression_token1] = ACTIONS(1160),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1162),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(1040),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(656),
    [sym_member_access_expression] = STATE(656),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_function_call_expression] = STATE(637),
    [sym_scoped_call_expression] = STATE(637),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(637),
    [sym_nullsafe_member_call_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(637),
    [sym_variable_name] = STATE(637),
    [sym_include_expression] = STATE(1040),
    [sym_include_once_expression] = STATE(1040),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AT] = ACTIONS(777),
    [aux_sym_clone_expression_token1] = ACTIONS(779),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(789),
    [aux_sym_include_once_expression_token1] = ACTIONS(791),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [sym_var_modifier] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [aux_sym_exit_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [aux_sym__argument_name_token1] = ACTIONS(1166),
    [aux_sym__argument_name_token2] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1168),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_name] = ACTIONS(1172),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1174),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1172),
    [aux_sym_global_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_definition_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1172),
    [anon_sym_BSLASH] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [aux_sym_trait_declaration_token1] = ACTIONS(1172),
    [aux_sym_interface_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_case_token1] = ACTIONS(1172),
    [aux_sym_class_declaration_token1] = ACTIONS(1172),
    [aux_sym_final_modifier_token1] = ACTIONS(1172),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1172),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1172),
    [sym_var_modifier] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1172),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1172),
    [anon_sym_LPAREN] = ACTIONS(1170),
    [aux_sym_cast_type_token1] = ACTIONS(1172),
    [aux_sym_echo_statement_token1] = ACTIONS(1172),
    [aux_sym_exit_statement_token1] = ACTIONS(1172),
    [anon_sym_unset] = ACTIONS(1172),
    [aux_sym_declare_statement_token1] = ACTIONS(1172),
    [aux_sym_declare_statement_token2] = ACTIONS(1172),
    [sym_float] = ACTIONS(1172),
    [aux_sym_try_statement_token1] = ACTIONS(1172),
    [aux_sym_goto_statement_token1] = ACTIONS(1172),
    [aux_sym_continue_statement_token1] = ACTIONS(1172),
    [aux_sym_break_statement_token1] = ACTIONS(1172),
    [sym_integer] = ACTIONS(1172),
    [aux_sym_return_statement_token1] = ACTIONS(1172),
    [aux_sym_throw_expression_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token2] = ACTIONS(1172),
    [aux_sym_do_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token2] = ACTIONS(1172),
    [aux_sym_foreach_statement_token1] = ACTIONS(1172),
    [aux_sym_foreach_statement_token2] = ACTIONS(1172),
    [aux_sym_if_statement_token1] = ACTIONS(1172),
    [aux_sym_if_statement_token2] = ACTIONS(1172),
    [aux_sym_else_if_clause_token1] = ACTIONS(1172),
    [aux_sym_else_clause_token1] = ACTIONS(1172),
    [aux_sym_match_expression_token1] = ACTIONS(1172),
    [aux_sym_match_default_expression_token1] = ACTIONS(1172),
    [aux_sym_switch_statement_token1] = ACTIONS(1172),
    [aux_sym_switch_block_token1] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1170),
    [aux_sym_clone_expression_token1] = ACTIONS(1172),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1172),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [aux_sym__list_destructing_token1] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [anon_sym_self] = ACTIONS(1172),
    [anon_sym_parent] = ACTIONS(1172),
    [aux_sym__argument_name_token1] = ACTIONS(1172),
    [aux_sym__argument_name_token2] = ACTIONS(1172),
    [anon_sym_POUND_LBRACK] = ACTIONS(1170),
    [aux_sym_encapsed_string_token1] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [aux_sym_string_token1] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_LT_LT_LT] = ACTIONS(1170),
    [anon_sym_BQUOTE] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1170),
    [aux_sym_yield_expression_token1] = ACTIONS(1172),
    [aux_sym_include_expression_token1] = ACTIONS(1172),
    [aux_sym_include_once_expression_token1] = ACTIONS(1172),
    [aux_sym_require_expression_token1] = ACTIONS(1172),
    [aux_sym_require_once_expression_token1] = ACTIONS(1172),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1174),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [sym_qualified_name] = STATE(926),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1160),
    [sym_unary_op_expression] = STATE(1178),
    [sym_error_suppression_expression] = STATE(1160),
    [sym_clone_expression] = STATE(1178),
    [sym_primary_expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(925),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_expression] = STATE(1178),
    [sym_cast_variable] = STATE(695),
    [sym_member_access_expression] = STATE(695),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_function_call_expression] = STATE(668),
    [sym_scoped_call_expression] = STATE(668),
    [sym__scope_resolution_qualifier] = STATE(2653),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(668),
    [sym_nullsafe_member_call_expression] = STATE(668),
    [sym_subscript_expression] = STATE(668),
    [sym__dereferencable_expression] = STATE(1810),
    [sym_array_creation_expression] = STATE(925),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(921),
    [sym_dynamic_variable_name] = STATE(668),
    [sym_variable_name] = STATE(668),
    [sym_include_expression] = STATE(1160),
    [sym_include_once_expression] = STATE(1160),
    [sym__reserved_identifier] = STATE(1615),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(757),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [sym_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(1040),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(656),
    [sym_member_access_expression] = STATE(656),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_function_call_expression] = STATE(637),
    [sym_scoped_call_expression] = STATE(637),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(637),
    [sym_nullsafe_member_call_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(637),
    [sym_variable_name] = STATE(637),
    [sym_include_expression] = STATE(1040),
    [sym_include_once_expression] = STATE(1040),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_name] = ACTIONS(1180),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1182),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1180),
    [aux_sym_global_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_definition_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1180),
    [anon_sym_BSLASH] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [aux_sym_trait_declaration_token1] = ACTIONS(1180),
    [aux_sym_interface_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_case_token1] = ACTIONS(1180),
    [aux_sym_class_declaration_token1] = ACTIONS(1180),
    [aux_sym_final_modifier_token1] = ACTIONS(1180),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1180),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1180),
    [sym_var_modifier] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1180),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [aux_sym_cast_type_token1] = ACTIONS(1180),
    [aux_sym_echo_statement_token1] = ACTIONS(1180),
    [aux_sym_exit_statement_token1] = ACTIONS(1180),
    [anon_sym_unset] = ACTIONS(1180),
    [aux_sym_declare_statement_token1] = ACTIONS(1180),
    [aux_sym_declare_statement_token2] = ACTIONS(1180),
    [sym_float] = ACTIONS(1180),
    [aux_sym_try_statement_token1] = ACTIONS(1180),
    [aux_sym_goto_statement_token1] = ACTIONS(1180),
    [aux_sym_continue_statement_token1] = ACTIONS(1180),
    [aux_sym_break_statement_token1] = ACTIONS(1180),
    [sym_integer] = ACTIONS(1180),
    [aux_sym_return_statement_token1] = ACTIONS(1180),
    [aux_sym_throw_expression_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token2] = ACTIONS(1180),
    [aux_sym_do_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token2] = ACTIONS(1180),
    [aux_sym_foreach_statement_token1] = ACTIONS(1180),
    [aux_sym_foreach_statement_token2] = ACTIONS(1180),
    [aux_sym_if_statement_token1] = ACTIONS(1180),
    [aux_sym_if_statement_token2] = ACTIONS(1180),
    [aux_sym_else_if_clause_token1] = ACTIONS(1180),
    [aux_sym_else_clause_token1] = ACTIONS(1180),
    [aux_sym_match_expression_token1] = ACTIONS(1180),
    [aux_sym_match_default_expression_token1] = ACTIONS(1180),
    [aux_sym_switch_statement_token1] = ACTIONS(1180),
    [aux_sym_switch_block_token1] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(1178),
    [aux_sym_clone_expression_token1] = ACTIONS(1180),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1180),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [aux_sym__list_destructing_token1] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_self] = ACTIONS(1180),
    [anon_sym_parent] = ACTIONS(1180),
    [aux_sym__argument_name_token1] = ACTIONS(1180),
    [aux_sym__argument_name_token2] = ACTIONS(1180),
    [anon_sym_POUND_LBRACK] = ACTIONS(1178),
    [aux_sym_encapsed_string_token1] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [aux_sym_string_token1] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [anon_sym_LT_LT_LT] = ACTIONS(1178),
    [anon_sym_BQUOTE] = ACTIONS(1178),
    [anon_sym_DOLLAR] = ACTIONS(1178),
    [aux_sym_yield_expression_token1] = ACTIONS(1180),
    [aux_sym_include_expression_token1] = ACTIONS(1180),
    [aux_sym_include_once_expression_token1] = ACTIONS(1180),
    [aux_sym_require_expression_token1] = ACTIONS(1180),
    [aux_sym_require_once_expression_token1] = ACTIONS(1180),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1182),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [sym_var_modifier] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [aux_sym_exit_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [aux_sym__argument_name_token1] = ACTIONS(1186),
    [aux_sym__argument_name_token2] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1188),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_name] = ACTIONS(1192),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1192),
    [aux_sym_global_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_definition_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1192),
    [anon_sym_BSLASH] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [aux_sym_trait_declaration_token1] = ACTIONS(1192),
    [aux_sym_interface_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_case_token1] = ACTIONS(1192),
    [aux_sym_class_declaration_token1] = ACTIONS(1192),
    [aux_sym_final_modifier_token1] = ACTIONS(1192),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1192),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1192),
    [sym_var_modifier] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1192),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1192),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [aux_sym_cast_type_token1] = ACTIONS(1192),
    [aux_sym_echo_statement_token1] = ACTIONS(1192),
    [aux_sym_exit_statement_token1] = ACTIONS(1192),
    [anon_sym_unset] = ACTIONS(1192),
    [aux_sym_declare_statement_token1] = ACTIONS(1192),
    [aux_sym_declare_statement_token2] = ACTIONS(1192),
    [sym_float] = ACTIONS(1192),
    [aux_sym_try_statement_token1] = ACTIONS(1192),
    [aux_sym_goto_statement_token1] = ACTIONS(1192),
    [aux_sym_continue_statement_token1] = ACTIONS(1192),
    [aux_sym_break_statement_token1] = ACTIONS(1192),
    [sym_integer] = ACTIONS(1192),
    [aux_sym_return_statement_token1] = ACTIONS(1192),
    [aux_sym_throw_expression_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token2] = ACTIONS(1192),
    [aux_sym_do_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token2] = ACTIONS(1192),
    [aux_sym_foreach_statement_token1] = ACTIONS(1192),
    [aux_sym_foreach_statement_token2] = ACTIONS(1192),
    [aux_sym_if_statement_token1] = ACTIONS(1192),
    [aux_sym_if_statement_token2] = ACTIONS(1192),
    [aux_sym_else_if_clause_token1] = ACTIONS(1192),
    [aux_sym_else_clause_token1] = ACTIONS(1192),
    [aux_sym_match_expression_token1] = ACTIONS(1192),
    [aux_sym_match_default_expression_token1] = ACTIONS(1192),
    [aux_sym_switch_statement_token1] = ACTIONS(1192),
    [aux_sym_switch_block_token1] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [aux_sym_clone_expression_token1] = ACTIONS(1192),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1192),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [aux_sym__list_destructing_token1] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_self] = ACTIONS(1192),
    [anon_sym_parent] = ACTIONS(1192),
    [aux_sym__argument_name_token1] = ACTIONS(1192),
    [aux_sym__argument_name_token2] = ACTIONS(1192),
    [anon_sym_POUND_LBRACK] = ACTIONS(1190),
    [aux_sym_encapsed_string_token1] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [aux_sym_string_token1] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [anon_sym_LT_LT_LT] = ACTIONS(1190),
    [anon_sym_BQUOTE] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [aux_sym_yield_expression_token1] = ACTIONS(1192),
    [aux_sym_include_expression_token1] = ACTIONS(1192),
    [aux_sym_include_once_expression_token1] = ACTIONS(1192),
    [aux_sym_require_expression_token1] = ACTIONS(1192),
    [aux_sym_require_once_expression_token1] = ACTIONS(1192),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1194),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1200),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_name] = ACTIONS(1204),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1206),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1204),
    [aux_sym_global_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_definition_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1204),
    [anon_sym_BSLASH] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [aux_sym_trait_declaration_token1] = ACTIONS(1204),
    [aux_sym_interface_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_case_token1] = ACTIONS(1204),
    [aux_sym_class_declaration_token1] = ACTIONS(1204),
    [aux_sym_final_modifier_token1] = ACTIONS(1204),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1204),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1204),
    [sym_var_modifier] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1204),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1204),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [aux_sym_cast_type_token1] = ACTIONS(1204),
    [aux_sym_echo_statement_token1] = ACTIONS(1204),
    [aux_sym_exit_statement_token1] = ACTIONS(1204),
    [anon_sym_unset] = ACTIONS(1204),
    [aux_sym_declare_statement_token1] = ACTIONS(1204),
    [aux_sym_declare_statement_token2] = ACTIONS(1204),
    [sym_float] = ACTIONS(1204),
    [aux_sym_try_statement_token1] = ACTIONS(1204),
    [aux_sym_goto_statement_token1] = ACTIONS(1204),
    [aux_sym_continue_statement_token1] = ACTIONS(1204),
    [aux_sym_break_statement_token1] = ACTIONS(1204),
    [sym_integer] = ACTIONS(1204),
    [aux_sym_return_statement_token1] = ACTIONS(1204),
    [aux_sym_throw_expression_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token2] = ACTIONS(1204),
    [aux_sym_do_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token2] = ACTIONS(1204),
    [aux_sym_foreach_statement_token1] = ACTIONS(1204),
    [aux_sym_foreach_statement_token2] = ACTIONS(1204),
    [aux_sym_if_statement_token1] = ACTIONS(1204),
    [aux_sym_if_statement_token2] = ACTIONS(1204),
    [aux_sym_else_if_clause_token1] = ACTIONS(1204),
    [aux_sym_else_clause_token1] = ACTIONS(1204),
    [aux_sym_match_expression_token1] = ACTIONS(1204),
    [aux_sym_match_default_expression_token1] = ACTIONS(1204),
    [aux_sym_switch_statement_token1] = ACTIONS(1204),
    [aux_sym_switch_block_token1] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [aux_sym_clone_expression_token1] = ACTIONS(1204),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1204),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [aux_sym__list_destructing_token1] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_self] = ACTIONS(1204),
    [anon_sym_parent] = ACTIONS(1204),
    [aux_sym__argument_name_token1] = ACTIONS(1204),
    [aux_sym__argument_name_token2] = ACTIONS(1204),
    [anon_sym_POUND_LBRACK] = ACTIONS(1202),
    [aux_sym_encapsed_string_token1] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [aux_sym_string_token1] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_LT_LT_LT] = ACTIONS(1202),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [aux_sym_yield_expression_token1] = ACTIONS(1204),
    [aux_sym_include_expression_token1] = ACTIONS(1204),
    [aux_sym_include_once_expression_token1] = ACTIONS(1204),
    [aux_sym_require_expression_token1] = ACTIONS(1204),
    [aux_sym_require_once_expression_token1] = ACTIONS(1204),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1206),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1212),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [sym_qualified_name] = STATE(740),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1015),
    [sym_error_suppression_expression] = STATE(1040),
    [sym_clone_expression] = STATE(1015),
    [sym_primary_expression] = STATE(1015),
    [sym_parenthesized_expression] = STATE(760),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_expression] = STATE(1015),
    [sym_cast_variable] = STATE(656),
    [sym_member_access_expression] = STATE(656),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_function_call_expression] = STATE(637),
    [sym_scoped_call_expression] = STATE(637),
    [sym__scope_resolution_qualifier] = STATE(2650),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(637),
    [sym_nullsafe_member_call_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym__dereferencable_expression] = STATE(1799),
    [sym_array_creation_expression] = STATE(760),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(741),
    [sym_dynamic_variable_name] = STATE(637),
    [sym_variable_name] = STATE(637),
    [sym_include_expression] = STATE(1040),
    [sym_include_once_expression] = STATE(1040),
    [sym__reserved_identifier] = STATE(1633),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_AT] = ACTIONS(689),
    [aux_sym_clone_expression_token1] = ACTIONS(691),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_name] = ACTIONS(1216),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1218),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1216),
    [aux_sym_global_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_definition_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1216),
    [anon_sym_BSLASH] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [aux_sym_trait_declaration_token1] = ACTIONS(1216),
    [aux_sym_interface_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_case_token1] = ACTIONS(1216),
    [aux_sym_class_declaration_token1] = ACTIONS(1216),
    [aux_sym_final_modifier_token1] = ACTIONS(1216),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1216),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1216),
    [sym_var_modifier] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1216),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1214),
    [aux_sym_cast_type_token1] = ACTIONS(1216),
    [aux_sym_echo_statement_token1] = ACTIONS(1216),
    [aux_sym_exit_statement_token1] = ACTIONS(1216),
    [anon_sym_unset] = ACTIONS(1216),
    [aux_sym_declare_statement_token1] = ACTIONS(1216),
    [aux_sym_declare_statement_token2] = ACTIONS(1216),
    [sym_float] = ACTIONS(1216),
    [aux_sym_try_statement_token1] = ACTIONS(1216),
    [aux_sym_goto_statement_token1] = ACTIONS(1216),
    [aux_sym_continue_statement_token1] = ACTIONS(1216),
    [aux_sym_break_statement_token1] = ACTIONS(1216),
    [sym_integer] = ACTIONS(1216),
    [aux_sym_return_statement_token1] = ACTIONS(1216),
    [aux_sym_throw_expression_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token2] = ACTIONS(1216),
    [aux_sym_do_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token2] = ACTIONS(1216),
    [aux_sym_foreach_statement_token1] = ACTIONS(1216),
    [aux_sym_foreach_statement_token2] = ACTIONS(1216),
    [aux_sym_if_statement_token1] = ACTIONS(1216),
    [aux_sym_if_statement_token2] = ACTIONS(1216),
    [aux_sym_else_if_clause_token1] = ACTIONS(1216),
    [aux_sym_else_clause_token1] = ACTIONS(1216),
    [aux_sym_match_expression_token1] = ACTIONS(1216),
    [aux_sym_match_default_expression_token1] = ACTIONS(1216),
    [aux_sym_switch_statement_token1] = ACTIONS(1216),
    [aux_sym_switch_block_token1] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [aux_sym_clone_expression_token1] = ACTIONS(1216),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1216),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [aux_sym__list_destructing_token1] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_self] = ACTIONS(1216),
    [anon_sym_parent] = ACTIONS(1216),
    [aux_sym__argument_name_token1] = ACTIONS(1216),
    [aux_sym__argument_name_token2] = ACTIONS(1216),
    [anon_sym_POUND_LBRACK] = ACTIONS(1214),
    [aux_sym_encapsed_string_token1] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [aux_sym_string_token1] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_LT_LT_LT] = ACTIONS(1214),
    [anon_sym_BQUOTE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [aux_sym_yield_expression_token1] = ACTIONS(1216),
    [aux_sym_include_expression_token1] = ACTIONS(1216),
    [aux_sym_include_once_expression_token1] = ACTIONS(1216),
    [aux_sym_require_expression_token1] = ACTIONS(1216),
    [aux_sym_require_once_expression_token1] = ACTIONS(1216),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1218),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [sym_var_modifier] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [aux_sym_exit_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [aux_sym__argument_name_token1] = ACTIONS(1222),
    [aux_sym__argument_name_token2] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1224),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_name] = ACTIONS(1228),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1230),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1228),
    [aux_sym_global_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_definition_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1228),
    [anon_sym_BSLASH] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [aux_sym_trait_declaration_token1] = ACTIONS(1228),
    [aux_sym_interface_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_case_token1] = ACTIONS(1228),
    [aux_sym_class_declaration_token1] = ACTIONS(1228),
    [aux_sym_final_modifier_token1] = ACTIONS(1228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1228),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1228),
    [sym_var_modifier] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1228),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1226),
    [aux_sym_cast_type_token1] = ACTIONS(1228),
    [aux_sym_echo_statement_token1] = ACTIONS(1228),
    [aux_sym_exit_statement_token1] = ACTIONS(1228),
    [anon_sym_unset] = ACTIONS(1228),
    [aux_sym_declare_statement_token1] = ACTIONS(1228),
    [aux_sym_declare_statement_token2] = ACTIONS(1228),
    [sym_float] = ACTIONS(1228),
    [aux_sym_try_statement_token1] = ACTIONS(1228),
    [aux_sym_goto_statement_token1] = ACTIONS(1228),
    [aux_sym_continue_statement_token1] = ACTIONS(1228),
    [aux_sym_break_statement_token1] = ACTIONS(1228),
    [sym_integer] = ACTIONS(1228),
    [aux_sym_return_statement_token1] = ACTIONS(1228),
    [aux_sym_throw_expression_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token2] = ACTIONS(1228),
    [aux_sym_do_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token2] = ACTIONS(1228),
    [aux_sym_foreach_statement_token1] = ACTIONS(1228),
    [aux_sym_foreach_statement_token2] = ACTIONS(1228),
    [aux_sym_if_statement_token1] = ACTIONS(1228),
    [aux_sym_if_statement_token2] = ACTIONS(1228),
    [aux_sym_else_if_clause_token1] = ACTIONS(1228),
    [aux_sym_else_clause_token1] = ACTIONS(1228),
    [aux_sym_match_expression_token1] = ACTIONS(1228),
    [aux_sym_match_default_expression_token1] = ACTIONS(1228),
    [aux_sym_switch_statement_token1] = ACTIONS(1228),
    [aux_sym_switch_block_token1] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1226),
    [aux_sym_clone_expression_token1] = ACTIONS(1228),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1228),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [aux_sym__list_destructing_token1] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_self] = ACTIONS(1228),
    [anon_sym_parent] = ACTIONS(1228),
    [aux_sym__argument_name_token1] = ACTIONS(1228),
    [aux_sym__argument_name_token2] = ACTIONS(1228),
    [anon_sym_POUND_LBRACK] = ACTIONS(1226),
    [aux_sym_encapsed_string_token1] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [aux_sym_string_token1] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1226),
    [anon_sym_BQUOTE] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [aux_sym_yield_expression_token1] = ACTIONS(1228),
    [aux_sym_include_expression_token1] = ACTIONS(1228),
    [aux_sym_include_once_expression_token1] = ACTIONS(1228),
    [aux_sym_require_expression_token1] = ACTIONS(1228),
    [aux_sym_require_once_expression_token1] = ACTIONS(1228),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1230),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1232),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [sym_var_modifier] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [aux_sym_exit_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [aux_sym__argument_name_token1] = ACTIONS(1238),
    [aux_sym__argument_name_token2] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1236),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [sym_var_modifier] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [aux_sym_exit_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [aux_sym__argument_name_token1] = ACTIONS(1242),
    [aux_sym__argument_name_token2] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [sym_var_modifier] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [aux_sym_exit_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [aux_sym__argument_name_token1] = ACTIONS(1246),
    [aux_sym__argument_name_token2] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [sym_var_modifier] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [aux_sym_exit_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [aux_sym__argument_name_token1] = ACTIONS(1270),
    [aux_sym__argument_name_token2] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [sym_var_modifier] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [aux_sym_exit_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [aux_sym__argument_name_token1] = ACTIONS(1242),
    [aux_sym__argument_name_token2] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [sym_var_modifier] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [aux_sym_exit_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [aux_sym__argument_name_token1] = ACTIONS(1274),
    [aux_sym__argument_name_token2] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [sym_var_modifier] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [aux_sym_exit_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [aux_sym__argument_name_token1] = ACTIONS(1278),
    [aux_sym__argument_name_token2] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [sym_var_modifier] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [aux_sym_exit_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [aux_sym__argument_name_token1] = ACTIONS(1290),
    [aux_sym__argument_name_token2] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [sym_var_modifier] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [aux_sym_exit_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [aux_sym__argument_name_token1] = ACTIONS(1294),
    [aux_sym__argument_name_token2] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [sym_var_modifier] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [aux_sym_exit_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [aux_sym__argument_name_token1] = ACTIONS(1302),
    [aux_sym__argument_name_token2] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [sym_var_modifier] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [aux_sym_exit_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [aux_sym__argument_name_token1] = ACTIONS(1310),
    [aux_sym__argument_name_token2] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [sym_var_modifier] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [aux_sym_exit_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [aux_sym__argument_name_token1] = ACTIONS(1314),
    [aux_sym__argument_name_token2] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [sym_var_modifier] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [aux_sym_exit_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [aux_sym__argument_name_token1] = ACTIONS(1318),
    [aux_sym__argument_name_token2] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [sym_var_modifier] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [aux_sym_exit_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [aux_sym__argument_name_token1] = ACTIONS(1322),
    [aux_sym__argument_name_token2] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [sym_var_modifier] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [aux_sym_exit_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [aux_sym__argument_name_token1] = ACTIONS(1326),
    [aux_sym__argument_name_token2] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [sym_var_modifier] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [aux_sym_exit_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [aux_sym__argument_name_token1] = ACTIONS(1330),
    [aux_sym__argument_name_token2] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [sym_var_modifier] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [aux_sym_exit_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [aux_sym__argument_name_token1] = ACTIONS(1334),
    [aux_sym__argument_name_token2] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [sym_var_modifier] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [aux_sym_exit_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [aux_sym__argument_name_token1] = ACTIONS(1338),
    [aux_sym__argument_name_token2] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [sym_var_modifier] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [aux_sym_exit_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [aux_sym__argument_name_token1] = ACTIONS(1342),
    [aux_sym__argument_name_token2] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [sym_var_modifier] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [aux_sym_exit_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [aux_sym__argument_name_token1] = ACTIONS(1346),
    [aux_sym__argument_name_token2] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [sym_var_modifier] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [aux_sym_exit_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [aux_sym__argument_name_token1] = ACTIONS(1350),
    [aux_sym__argument_name_token2] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [sym_var_modifier] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [aux_sym_exit_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [aux_sym__argument_name_token1] = ACTIONS(1354),
    [aux_sym__argument_name_token2] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [sym_var_modifier] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [aux_sym_exit_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_AT] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [aux_sym__argument_name_token1] = ACTIONS(1358),
    [aux_sym__argument_name_token2] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [sym_var_modifier] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [aux_sym_exit_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [aux_sym__argument_name_token1] = ACTIONS(1362),
    [aux_sym__argument_name_token2] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [sym_var_modifier] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [aux_sym_exit_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [aux_sym__argument_name_token1] = ACTIONS(1362),
    [aux_sym__argument_name_token2] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [sym_var_modifier] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [aux_sym_exit_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_AT] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [aux_sym__argument_name_token1] = ACTIONS(1366),
    [aux_sym__argument_name_token2] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [sym_var_modifier] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [aux_sym_exit_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [aux_sym__argument_name_token1] = ACTIONS(1350),
    [aux_sym__argument_name_token2] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [sym_var_modifier] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [aux_sym_exit_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [aux_sym__argument_name_token1] = ACTIONS(1370),
    [aux_sym__argument_name_token2] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [sym_var_modifier] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [aux_sym_exit_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [aux_sym__argument_name_token1] = ACTIONS(1374),
    [aux_sym__argument_name_token2] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [sym_var_modifier] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [aux_sym_exit_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_AT] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [aux_sym__argument_name_token1] = ACTIONS(1378),
    [aux_sym__argument_name_token2] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [sym_var_modifier] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [aux_sym_exit_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_AT] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [aux_sym__argument_name_token1] = ACTIONS(1382),
    [aux_sym__argument_name_token2] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [sym_var_modifier] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [aux_sym_exit_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [aux_sym__argument_name_token1] = ACTIONS(1386),
    [aux_sym__argument_name_token2] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [sym_var_modifier] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [aux_sym_exit_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [aux_sym__argument_name_token1] = ACTIONS(1390),
    [aux_sym__argument_name_token2] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [sym_var_modifier] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [aux_sym_exit_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [aux_sym__argument_name_token1] = ACTIONS(1394),
    [aux_sym__argument_name_token2] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [sym_var_modifier] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [aux_sym_exit_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [aux_sym__argument_name_token1] = ACTIONS(1398),
    [aux_sym__argument_name_token2] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [sym_var_modifier] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [aux_sym_exit_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [aux_sym__argument_name_token1] = ACTIONS(1402),
    [aux_sym__argument_name_token2] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [sym_var_modifier] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [aux_sym_exit_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [aux_sym__argument_name_token1] = ACTIONS(1406),
    [aux_sym__argument_name_token2] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [sym_var_modifier] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [aux_sym_exit_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [aux_sym__argument_name_token1] = ACTIONS(1410),
    [aux_sym__argument_name_token2] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [sym_var_modifier] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [aux_sym_exit_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [aux_sym__argument_name_token1] = ACTIONS(1414),
    [aux_sym__argument_name_token2] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [sym_var_modifier] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [aux_sym_exit_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [aux_sym__argument_name_token1] = ACTIONS(1418),
    [aux_sym__argument_name_token2] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [sym_var_modifier] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [aux_sym_exit_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [aux_sym__argument_name_token1] = ACTIONS(1422),
    [aux_sym__argument_name_token2] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [sym_var_modifier] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [aux_sym_exit_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [aux_sym__argument_name_token1] = ACTIONS(1426),
    [aux_sym__argument_name_token2] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [sym_var_modifier] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [aux_sym_exit_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [aux_sym__argument_name_token1] = ACTIONS(1430),
    [aux_sym__argument_name_token2] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [sym_var_modifier] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [aux_sym_exit_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [aux_sym__argument_name_token1] = ACTIONS(1434),
    [aux_sym__argument_name_token2] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [sym_var_modifier] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [aux_sym_exit_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [aux_sym__argument_name_token1] = ACTIONS(1438),
    [aux_sym__argument_name_token2] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [sym_var_modifier] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [aux_sym_exit_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [aux_sym__argument_name_token1] = ACTIONS(1442),
    [aux_sym__argument_name_token2] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [sym_var_modifier] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [aux_sym_exit_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_AT] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [aux_sym__argument_name_token1] = ACTIONS(1446),
    [aux_sym__argument_name_token2] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [sym_var_modifier] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [aux_sym_exit_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [aux_sym__argument_name_token1] = ACTIONS(1450),
    [aux_sym__argument_name_token2] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [sym_var_modifier] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [aux_sym_exit_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [aux_sym__argument_name_token1] = ACTIONS(1454),
    [aux_sym__argument_name_token2] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [sym_var_modifier] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [aux_sym_exit_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [aux_sym__argument_name_token1] = ACTIONS(1458),
    [aux_sym__argument_name_token2] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [sym_var_modifier] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [aux_sym_exit_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [aux_sym__argument_name_token1] = ACTIONS(1462),
    [aux_sym__argument_name_token2] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [sym_var_modifier] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [aux_sym_exit_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [aux_sym__argument_name_token1] = ACTIONS(1466),
    [aux_sym__argument_name_token2] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [sym_var_modifier] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [aux_sym_exit_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [aux_sym__argument_name_token1] = ACTIONS(1470),
    [aux_sym__argument_name_token2] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [sym_var_modifier] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [aux_sym_exit_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [aux_sym__argument_name_token1] = ACTIONS(1474),
    [aux_sym__argument_name_token2] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [sym_var_modifier] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [aux_sym_exit_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [aux_sym__argument_name_token1] = ACTIONS(1478),
    [aux_sym__argument_name_token2] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [sym_var_modifier] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [aux_sym_exit_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [aux_sym__argument_name_token1] = ACTIONS(1482),
    [aux_sym__argument_name_token2] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [sym_var_modifier] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [aux_sym_exit_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [aux_sym__argument_name_token1] = ACTIONS(1486),
    [aux_sym__argument_name_token2] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [sym_var_modifier] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [aux_sym_exit_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_AT] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [aux_sym__argument_name_token1] = ACTIONS(1490),
    [aux_sym__argument_name_token2] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [sym_var_modifier] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [aux_sym_exit_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [aux_sym__argument_name_token1] = ACTIONS(1494),
    [aux_sym__argument_name_token2] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym_name] = ACTIONS(1498),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1498),
    [aux_sym_global_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_definition_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1498),
    [anon_sym_BSLASH] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [aux_sym_trait_declaration_token1] = ACTIONS(1498),
    [aux_sym_interface_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_case_token1] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1498),
    [aux_sym_final_modifier_token1] = ACTIONS(1498),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1498),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1498),
    [sym_var_modifier] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1498),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_cast_type_token1] = ACTIONS(1498),
    [aux_sym_echo_statement_token1] = ACTIONS(1498),
    [aux_sym_exit_statement_token1] = ACTIONS(1498),
    [anon_sym_unset] = ACTIONS(1498),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [aux_sym_declare_statement_token2] = ACTIONS(1498),
    [sym_float] = ACTIONS(1498),
    [aux_sym_try_statement_token1] = ACTIONS(1498),
    [aux_sym_goto_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [sym_integer] = ACTIONS(1498),
    [aux_sym_return_statement_token1] = ACTIONS(1498),
    [aux_sym_throw_expression_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token2] = ACTIONS(1498),
    [aux_sym_do_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token2] = ACTIONS(1498),
    [aux_sym_foreach_statement_token1] = ACTIONS(1498),
    [aux_sym_foreach_statement_token2] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token2] = ACTIONS(1498),
    [aux_sym_else_if_clause_token1] = ACTIONS(1498),
    [aux_sym_else_clause_token1] = ACTIONS(1498),
    [aux_sym_match_expression_token1] = ACTIONS(1498),
    [aux_sym_match_default_expression_token1] = ACTIONS(1498),
    [aux_sym_switch_statement_token1] = ACTIONS(1498),
    [aux_sym_switch_block_token1] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1496),
    [aux_sym_clone_expression_token1] = ACTIONS(1498),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1498),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [aux_sym__list_destructing_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_self] = ACTIONS(1498),
    [anon_sym_parent] = ACTIONS(1498),
    [aux_sym__argument_name_token1] = ACTIONS(1498),
    [aux_sym__argument_name_token2] = ACTIONS(1498),
    [anon_sym_POUND_LBRACK] = ACTIONS(1496),
    [aux_sym_encapsed_string_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [aux_sym_string_token1] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [anon_sym_LT_LT_LT] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1496),
    [aux_sym_yield_expression_token1] = ACTIONS(1498),
    [aux_sym_include_expression_token1] = ACTIONS(1498),
    [aux_sym_include_once_expression_token1] = ACTIONS(1498),
    [aux_sym_require_expression_token1] = ACTIONS(1498),
    [aux_sym_require_once_expression_token1] = ACTIONS(1498),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_name] = ACTIONS(1502),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1502),
    [aux_sym_global_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_definition_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1502),
    [anon_sym_BSLASH] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [aux_sym_trait_declaration_token1] = ACTIONS(1502),
    [aux_sym_interface_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_case_token1] = ACTIONS(1502),
    [aux_sym_class_declaration_token1] = ACTIONS(1502),
    [aux_sym_final_modifier_token1] = ACTIONS(1502),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1502),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1502),
    [sym_var_modifier] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1502),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_cast_type_token1] = ACTIONS(1502),
    [aux_sym_echo_statement_token1] = ACTIONS(1502),
    [aux_sym_exit_statement_token1] = ACTIONS(1502),
    [anon_sym_unset] = ACTIONS(1502),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [aux_sym_declare_statement_token2] = ACTIONS(1502),
    [sym_float] = ACTIONS(1502),
    [aux_sym_try_statement_token1] = ACTIONS(1502),
    [aux_sym_goto_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [sym_integer] = ACTIONS(1502),
    [aux_sym_return_statement_token1] = ACTIONS(1502),
    [aux_sym_throw_expression_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token2] = ACTIONS(1502),
    [aux_sym_do_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token2] = ACTIONS(1502),
    [aux_sym_foreach_statement_token1] = ACTIONS(1502),
    [aux_sym_foreach_statement_token2] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token2] = ACTIONS(1502),
    [aux_sym_else_if_clause_token1] = ACTIONS(1502),
    [aux_sym_else_clause_token1] = ACTIONS(1502),
    [aux_sym_match_expression_token1] = ACTIONS(1502),
    [aux_sym_match_default_expression_token1] = ACTIONS(1502),
    [aux_sym_switch_statement_token1] = ACTIONS(1502),
    [aux_sym_switch_block_token1] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1500),
    [aux_sym_clone_expression_token1] = ACTIONS(1502),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1502),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [aux_sym__list_destructing_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_self] = ACTIONS(1502),
    [anon_sym_parent] = ACTIONS(1502),
    [aux_sym__argument_name_token1] = ACTIONS(1502),
    [aux_sym__argument_name_token2] = ACTIONS(1502),
    [anon_sym_POUND_LBRACK] = ACTIONS(1500),
    [aux_sym_encapsed_string_token1] = ACTIONS(1500),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1500),
    [anon_sym_SQUOTE] = ACTIONS(1500),
    [anon_sym_LT_LT_LT] = ACTIONS(1500),
    [anon_sym_BQUOTE] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1500),
    [aux_sym_yield_expression_token1] = ACTIONS(1502),
    [aux_sym_include_expression_token1] = ACTIONS(1502),
    [aux_sym_include_once_expression_token1] = ACTIONS(1502),
    [aux_sym_require_expression_token1] = ACTIONS(1502),
    [aux_sym_require_once_expression_token1] = ACTIONS(1502),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [sym_var_modifier] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [aux_sym_exit_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [sym_var_modifier] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [aux_sym_exit_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_AT] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_name] = ACTIONS(1514),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1514),
    [aux_sym_global_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_definition_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1514),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1514),
    [aux_sym_interface_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_case_token1] = ACTIONS(1514),
    [aux_sym_class_declaration_token1] = ACTIONS(1514),
    [aux_sym_final_modifier_token1] = ACTIONS(1514),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1514),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1514),
    [sym_var_modifier] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1514),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1514),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1514),
    [aux_sym_echo_statement_token1] = ACTIONS(1514),
    [aux_sym_exit_statement_token1] = ACTIONS(1514),
    [anon_sym_unset] = ACTIONS(1514),
    [aux_sym_declare_statement_token1] = ACTIONS(1514),
    [aux_sym_declare_statement_token2] = ACTIONS(1514),
    [sym_float] = ACTIONS(1514),
    [aux_sym_try_statement_token1] = ACTIONS(1514),
    [aux_sym_goto_statement_token1] = ACTIONS(1514),
    [aux_sym_continue_statement_token1] = ACTIONS(1514),
    [aux_sym_break_statement_token1] = ACTIONS(1514),
    [sym_integer] = ACTIONS(1514),
    [aux_sym_return_statement_token1] = ACTIONS(1514),
    [aux_sym_throw_expression_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token2] = ACTIONS(1514),
    [aux_sym_do_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token2] = ACTIONS(1514),
    [aux_sym_foreach_statement_token1] = ACTIONS(1514),
    [aux_sym_foreach_statement_token2] = ACTIONS(1514),
    [aux_sym_if_statement_token1] = ACTIONS(1514),
    [aux_sym_if_statement_token2] = ACTIONS(1514),
    [aux_sym_else_if_clause_token1] = ACTIONS(1514),
    [aux_sym_else_clause_token1] = ACTIONS(1514),
    [aux_sym_match_expression_token1] = ACTIONS(1514),
    [aux_sym_match_default_expression_token1] = ACTIONS(1514),
    [aux_sym_switch_statement_token1] = ACTIONS(1514),
    [aux_sym_switch_block_token1] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1514),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1514),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1514),
    [anon_sym_parent] = ACTIONS(1514),
    [aux_sym__argument_name_token1] = ACTIONS(1514),
    [aux_sym__argument_name_token2] = ACTIONS(1514),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1514),
    [aux_sym_include_expression_token1] = ACTIONS(1514),
    [aux_sym_include_once_expression_token1] = ACTIONS(1514),
    [aux_sym_require_expression_token1] = ACTIONS(1514),
    [aux_sym_require_once_expression_token1] = ACTIONS(1514),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [sym_var_modifier] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [aux_sym_exit_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [aux_sym__argument_name_token1] = ACTIONS(1482),
    [aux_sym__argument_name_token2] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym_name] = ACTIONS(1518),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1518),
    [aux_sym_global_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_definition_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1518),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [aux_sym_trait_declaration_token1] = ACTIONS(1518),
    [aux_sym_interface_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_case_token1] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1518),
    [aux_sym_final_modifier_token1] = ACTIONS(1518),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1518),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1518),
    [sym_var_modifier] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1518),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(1518),
    [aux_sym_echo_statement_token1] = ACTIONS(1518),
    [aux_sym_exit_statement_token1] = ACTIONS(1518),
    [anon_sym_unset] = ACTIONS(1518),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [aux_sym_declare_statement_token2] = ACTIONS(1518),
    [sym_float] = ACTIONS(1518),
    [aux_sym_try_statement_token1] = ACTIONS(1518),
    [aux_sym_goto_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [sym_integer] = ACTIONS(1518),
    [aux_sym_return_statement_token1] = ACTIONS(1518),
    [aux_sym_throw_expression_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token2] = ACTIONS(1518),
    [aux_sym_do_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token2] = ACTIONS(1518),
    [aux_sym_foreach_statement_token1] = ACTIONS(1518),
    [aux_sym_foreach_statement_token2] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token2] = ACTIONS(1518),
    [aux_sym_else_if_clause_token1] = ACTIONS(1518),
    [aux_sym_else_clause_token1] = ACTIONS(1518),
    [aux_sym_match_expression_token1] = ACTIONS(1518),
    [aux_sym_match_default_expression_token1] = ACTIONS(1518),
    [aux_sym_switch_statement_token1] = ACTIONS(1518),
    [aux_sym_switch_block_token1] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [aux_sym_clone_expression_token1] = ACTIONS(1518),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1518),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [aux_sym__list_destructing_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_self] = ACTIONS(1518),
    [anon_sym_parent] = ACTIONS(1518),
    [aux_sym__argument_name_token1] = ACTIONS(1518),
    [aux_sym__argument_name_token2] = ACTIONS(1518),
    [anon_sym_POUND_LBRACK] = ACTIONS(1516),
    [aux_sym_encapsed_string_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_LT_LT_LT] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [aux_sym_yield_expression_token1] = ACTIONS(1518),
    [aux_sym_include_expression_token1] = ACTIONS(1518),
    [aux_sym_include_once_expression_token1] = ACTIONS(1518),
    [aux_sym_require_expression_token1] = ACTIONS(1518),
    [aux_sym_require_once_expression_token1] = ACTIONS(1518),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [sym_var_modifier] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [aux_sym_exit_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [ts_builtin_sym_end] = ACTIONS(1520),
    [sym_name] = ACTIONS(1522),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1520),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1522),
    [aux_sym_global_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_definition_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1522),
    [anon_sym_BSLASH] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [aux_sym_trait_declaration_token1] = ACTIONS(1522),
    [aux_sym_interface_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_case_token1] = ACTIONS(1522),
    [aux_sym_class_declaration_token1] = ACTIONS(1522),
    [aux_sym_final_modifier_token1] = ACTIONS(1522),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1522),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1522),
    [sym_var_modifier] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1522),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1520),
    [aux_sym_cast_type_token1] = ACTIONS(1522),
    [aux_sym_echo_statement_token1] = ACTIONS(1522),
    [aux_sym_exit_statement_token1] = ACTIONS(1522),
    [anon_sym_unset] = ACTIONS(1522),
    [aux_sym_declare_statement_token1] = ACTIONS(1522),
    [aux_sym_declare_statement_token2] = ACTIONS(1522),
    [sym_float] = ACTIONS(1522),
    [aux_sym_try_statement_token1] = ACTIONS(1522),
    [aux_sym_goto_statement_token1] = ACTIONS(1522),
    [aux_sym_continue_statement_token1] = ACTIONS(1522),
    [aux_sym_break_statement_token1] = ACTIONS(1522),
    [sym_integer] = ACTIONS(1522),
    [aux_sym_return_statement_token1] = ACTIONS(1522),
    [aux_sym_throw_expression_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token2] = ACTIONS(1522),
    [aux_sym_do_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token2] = ACTIONS(1522),
    [aux_sym_foreach_statement_token1] = ACTIONS(1522),
    [aux_sym_foreach_statement_token2] = ACTIONS(1522),
    [aux_sym_if_statement_token1] = ACTIONS(1522),
    [aux_sym_if_statement_token2] = ACTIONS(1522),
    [aux_sym_else_if_clause_token1] = ACTIONS(1522),
    [aux_sym_else_clause_token1] = ACTIONS(1522),
    [aux_sym_match_expression_token1] = ACTIONS(1522),
    [aux_sym_match_default_expression_token1] = ACTIONS(1522),
    [aux_sym_switch_statement_token1] = ACTIONS(1522),
    [aux_sym_switch_block_token1] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [aux_sym_clone_expression_token1] = ACTIONS(1522),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1522),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1520),
    [aux_sym__list_destructing_token1] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_self] = ACTIONS(1522),
    [anon_sym_parent] = ACTIONS(1522),
    [aux_sym__argument_name_token1] = ACTIONS(1522),
    [aux_sym__argument_name_token2] = ACTIONS(1522),
    [anon_sym_POUND_LBRACK] = ACTIONS(1520),
    [aux_sym_encapsed_string_token1] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1520),
    [aux_sym_string_token1] = ACTIONS(1520),
    [anon_sym_SQUOTE] = ACTIONS(1520),
    [anon_sym_LT_LT_LT] = ACTIONS(1520),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [aux_sym_yield_expression_token1] = ACTIONS(1522),
    [aux_sym_include_expression_token1] = ACTIONS(1522),
    [aux_sym_include_once_expression_token1] = ACTIONS(1522),
    [aux_sym_require_expression_token1] = ACTIONS(1522),
    [aux_sym_require_once_expression_token1] = ACTIONS(1522),
    [sym_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [ts_builtin_sym_end] = ACTIONS(1524),
    [sym_name] = ACTIONS(1526),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1526),
    [aux_sym_global_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_definition_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1526),
    [anon_sym_BSLASH] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [aux_sym_trait_declaration_token1] = ACTIONS(1526),
    [aux_sym_interface_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_case_token1] = ACTIONS(1526),
    [aux_sym_class_declaration_token1] = ACTIONS(1526),
    [aux_sym_final_modifier_token1] = ACTIONS(1526),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1526),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1526),
    [sym_var_modifier] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1526),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_cast_type_token1] = ACTIONS(1526),
    [aux_sym_echo_statement_token1] = ACTIONS(1526),
    [aux_sym_exit_statement_token1] = ACTIONS(1526),
    [anon_sym_unset] = ACTIONS(1526),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [aux_sym_declare_statement_token2] = ACTIONS(1526),
    [sym_float] = ACTIONS(1526),
    [aux_sym_try_statement_token1] = ACTIONS(1526),
    [aux_sym_goto_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [sym_integer] = ACTIONS(1526),
    [aux_sym_return_statement_token1] = ACTIONS(1526),
    [aux_sym_throw_expression_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token2] = ACTIONS(1526),
    [aux_sym_do_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token2] = ACTIONS(1526),
    [aux_sym_foreach_statement_token1] = ACTIONS(1526),
    [aux_sym_foreach_statement_token2] = ACTIONS(1526),
    [aux_sym_if_statement_token1] = ACTIONS(1526),
    [aux_sym_if_statement_token2] = ACTIONS(1526),
    [aux_sym_else_if_clause_token1] = ACTIONS(1526),
    [aux_sym_else_clause_token1] = ACTIONS(1526),
    [aux_sym_match_expression_token1] = ACTIONS(1526),
    [aux_sym_match_default_expression_token1] = ACTIONS(1526),
    [aux_sym_switch_statement_token1] = ACTIONS(1526),
    [aux_sym_switch_block_token1] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [aux_sym_clone_expression_token1] = ACTIONS(1526),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1526),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [aux_sym__list_destructing_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_self] = ACTIONS(1526),
    [anon_sym_parent] = ACTIONS(1526),
    [aux_sym__argument_name_token1] = ACTIONS(1526),
    [aux_sym__argument_name_token2] = ACTIONS(1526),
    [anon_sym_POUND_LBRACK] = ACTIONS(1524),
    [aux_sym_encapsed_string_token1] = ACTIONS(1524),
    [anon_sym_DQUOTE] = ACTIONS(1524),
    [aux_sym_string_token1] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1524),
    [anon_sym_LT_LT_LT] = ACTIONS(1524),
    [anon_sym_BQUOTE] = ACTIONS(1524),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [aux_sym_yield_expression_token1] = ACTIONS(1526),
    [aux_sym_include_expression_token1] = ACTIONS(1526),
    [aux_sym_include_once_expression_token1] = ACTIONS(1526),
    [aux_sym_require_expression_token1] = ACTIONS(1526),
    [aux_sym_require_once_expression_token1] = ACTIONS(1526),
    [sym_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(1528),
    [sym_name] = ACTIONS(1530),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1528),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1530),
    [aux_sym_global_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_definition_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1530),
    [anon_sym_BSLASH] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [aux_sym_trait_declaration_token1] = ACTIONS(1530),
    [aux_sym_interface_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_case_token1] = ACTIONS(1530),
    [aux_sym_class_declaration_token1] = ACTIONS(1530),
    [aux_sym_final_modifier_token1] = ACTIONS(1530),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1530),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1530),
    [sym_var_modifier] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1530),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [aux_sym_cast_type_token1] = ACTIONS(1530),
    [aux_sym_echo_statement_token1] = ACTIONS(1530),
    [aux_sym_exit_statement_token1] = ACTIONS(1530),
    [anon_sym_unset] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [aux_sym_declare_statement_token2] = ACTIONS(1530),
    [sym_float] = ACTIONS(1530),
    [aux_sym_try_statement_token1] = ACTIONS(1530),
    [aux_sym_goto_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [sym_integer] = ACTIONS(1530),
    [aux_sym_return_statement_token1] = ACTIONS(1530),
    [aux_sym_throw_expression_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token2] = ACTIONS(1530),
    [aux_sym_do_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token2] = ACTIONS(1530),
    [aux_sym_foreach_statement_token1] = ACTIONS(1530),
    [aux_sym_foreach_statement_token2] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token2] = ACTIONS(1530),
    [aux_sym_else_if_clause_token1] = ACTIONS(1530),
    [aux_sym_else_clause_token1] = ACTIONS(1530),
    [aux_sym_match_expression_token1] = ACTIONS(1530),
    [aux_sym_match_default_expression_token1] = ACTIONS(1530),
    [aux_sym_switch_statement_token1] = ACTIONS(1530),
    [aux_sym_switch_block_token1] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [aux_sym_clone_expression_token1] = ACTIONS(1530),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1530),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [aux_sym__list_destructing_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_self] = ACTIONS(1530),
    [anon_sym_parent] = ACTIONS(1530),
    [aux_sym__argument_name_token1] = ACTIONS(1530),
    [aux_sym__argument_name_token2] = ACTIONS(1530),
    [anon_sym_POUND_LBRACK] = ACTIONS(1528),
    [aux_sym_encapsed_string_token1] = ACTIONS(1528),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [aux_sym_string_token1] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [anon_sym_LT_LT_LT] = ACTIONS(1528),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [aux_sym_yield_expression_token1] = ACTIONS(1530),
    [aux_sym_include_expression_token1] = ACTIONS(1530),
    [aux_sym_include_once_expression_token1] = ACTIONS(1530),
    [aux_sym_require_expression_token1] = ACTIONS(1530),
    [aux_sym_require_once_expression_token1] = ACTIONS(1530),
    [sym_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_text_interpolation] = STATE(572),
    [ts_builtin_sym_end] = ACTIONS(1532),
    [sym_name] = ACTIONS(1534),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1532),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1534),
    [aux_sym_global_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_definition_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1534),
    [anon_sym_BSLASH] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [aux_sym_trait_declaration_token1] = ACTIONS(1534),
    [aux_sym_interface_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_case_token1] = ACTIONS(1534),
    [aux_sym_class_declaration_token1] = ACTIONS(1534),
    [aux_sym_final_modifier_token1] = ACTIONS(1534),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1534),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1534),
    [sym_var_modifier] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1534),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [aux_sym_cast_type_token1] = ACTIONS(1534),
    [aux_sym_echo_statement_token1] = ACTIONS(1534),
    [aux_sym_exit_statement_token1] = ACTIONS(1534),
    [anon_sym_unset] = ACTIONS(1534),
    [aux_sym_declare_statement_token1] = ACTIONS(1534),
    [aux_sym_declare_statement_token2] = ACTIONS(1534),
    [sym_float] = ACTIONS(1534),
    [aux_sym_try_statement_token1] = ACTIONS(1534),
    [aux_sym_goto_statement_token1] = ACTIONS(1534),
    [aux_sym_continue_statement_token1] = ACTIONS(1534),
    [aux_sym_break_statement_token1] = ACTIONS(1534),
    [sym_integer] = ACTIONS(1534),
    [aux_sym_return_statement_token1] = ACTIONS(1534),
    [aux_sym_throw_expression_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token2] = ACTIONS(1534),
    [aux_sym_do_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token2] = ACTIONS(1534),
    [aux_sym_foreach_statement_token1] = ACTIONS(1534),
    [aux_sym_foreach_statement_token2] = ACTIONS(1534),
    [aux_sym_if_statement_token1] = ACTIONS(1534),
    [aux_sym_if_statement_token2] = ACTIONS(1534),
    [aux_sym_else_if_clause_token1] = ACTIONS(1534),
    [aux_sym_else_clause_token1] = ACTIONS(1534),
    [aux_sym_match_expression_token1] = ACTIONS(1534),
    [aux_sym_match_default_expression_token1] = ACTIONS(1534),
    [aux_sym_switch_statement_token1] = ACTIONS(1534),
    [aux_sym_switch_block_token1] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1532),
    [anon_sym_AT] = ACTIONS(1532),
    [aux_sym_clone_expression_token1] = ACTIONS(1534),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1534),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [aux_sym__list_destructing_token1] = ACTIONS(1534),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_self] = ACTIONS(1534),
    [anon_sym_parent] = ACTIONS(1534),
    [aux_sym__argument_name_token1] = ACTIONS(1534),
    [aux_sym__argument_name_token2] = ACTIONS(1534),
    [anon_sym_POUND_LBRACK] = ACTIONS(1532),
    [aux_sym_encapsed_string_token1] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [aux_sym_string_token1] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [anon_sym_LT_LT_LT] = ACTIONS(1532),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1532),
    [aux_sym_yield_expression_token1] = ACTIONS(1534),
    [aux_sym_include_expression_token1] = ACTIONS(1534),
    [aux_sym_include_once_expression_token1] = ACTIONS(1534),
    [aux_sym_require_expression_token1] = ACTIONS(1534),
    [aux_sym_require_once_expression_token1] = ACTIONS(1534),
    [sym_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_text_interpolation] = STATE(573),
    [ts_builtin_sym_end] = ACTIONS(1532),
    [sym_name] = ACTIONS(1534),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1532),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1534),
    [aux_sym_global_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_definition_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1534),
    [anon_sym_BSLASH] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [aux_sym_trait_declaration_token1] = ACTIONS(1534),
    [aux_sym_interface_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_case_token1] = ACTIONS(1534),
    [aux_sym_class_declaration_token1] = ACTIONS(1534),
    [aux_sym_final_modifier_token1] = ACTIONS(1534),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1534),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1534),
    [sym_var_modifier] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1534),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [aux_sym_cast_type_token1] = ACTIONS(1534),
    [aux_sym_echo_statement_token1] = ACTIONS(1534),
    [aux_sym_exit_statement_token1] = ACTIONS(1534),
    [anon_sym_unset] = ACTIONS(1534),
    [aux_sym_declare_statement_token1] = ACTIONS(1534),
    [aux_sym_declare_statement_token2] = ACTIONS(1534),
    [sym_float] = ACTIONS(1534),
    [aux_sym_try_statement_token1] = ACTIONS(1534),
    [aux_sym_goto_statement_token1] = ACTIONS(1534),
    [aux_sym_continue_statement_token1] = ACTIONS(1534),
    [aux_sym_break_statement_token1] = ACTIONS(1534),
    [sym_integer] = ACTIONS(1534),
    [aux_sym_return_statement_token1] = ACTIONS(1534),
    [aux_sym_throw_expression_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token2] = ACTIONS(1534),
    [aux_sym_do_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token2] = ACTIONS(1534),
    [aux_sym_foreach_statement_token1] = ACTIONS(1534),
    [aux_sym_foreach_statement_token2] = ACTIONS(1534),
    [aux_sym_if_statement_token1] = ACTIONS(1534),
    [aux_sym_if_statement_token2] = ACTIONS(1534),
    [aux_sym_else_if_clause_token1] = ACTIONS(1534),
    [aux_sym_else_clause_token1] = ACTIONS(1534),
    [aux_sym_match_expression_token1] = ACTIONS(1534),
    [aux_sym_match_default_expression_token1] = ACTIONS(1534),
    [aux_sym_switch_statement_token1] = ACTIONS(1534),
    [aux_sym_switch_block_token1] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1532),
    [anon_sym_AT] = ACTIONS(1532),
    [aux_sym_clone_expression_token1] = ACTIONS(1534),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1534),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [aux_sym__list_destructing_token1] = ACTIONS(1534),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_self] = ACTIONS(1534),
    [anon_sym_parent] = ACTIONS(1534),
    [aux_sym__argument_name_token1] = ACTIONS(1534),
    [aux_sym__argument_name_token2] = ACTIONS(1534),
    [anon_sym_POUND_LBRACK] = ACTIONS(1532),
    [aux_sym_encapsed_string_token1] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [aux_sym_string_token1] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [anon_sym_LT_LT_LT] = ACTIONS(1532),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1532),
    [aux_sym_yield_expression_token1] = ACTIONS(1534),
    [aux_sym_include_expression_token1] = ACTIONS(1534),
    [aux_sym_include_once_expression_token1] = ACTIONS(1534),
    [aux_sym_require_expression_token1] = ACTIONS(1534),
    [aux_sym_require_once_expression_token1] = ACTIONS(1534),
    [sym_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_text_interpolation] = STATE(574),
    [ts_builtin_sym_end] = ACTIONS(1536),
    [sym_name] = ACTIONS(1538),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1536),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1538),
    [aux_sym_global_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_definition_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1538),
    [anon_sym_BSLASH] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_trait_declaration_token1] = ACTIONS(1538),
    [aux_sym_interface_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_case_token1] = ACTIONS(1538),
    [aux_sym_class_declaration_token1] = ACTIONS(1538),
    [aux_sym_final_modifier_token1] = ACTIONS(1538),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1538),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1538),
    [sym_var_modifier] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1538),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [aux_sym_cast_type_token1] = ACTIONS(1538),
    [aux_sym_echo_statement_token1] = ACTIONS(1538),
    [aux_sym_exit_statement_token1] = ACTIONS(1538),
    [anon_sym_unset] = ACTIONS(1538),
    [aux_sym_declare_statement_token1] = ACTIONS(1538),
    [aux_sym_declare_statement_token2] = ACTIONS(1538),
    [sym_float] = ACTIONS(1538),
    [aux_sym_try_statement_token1] = ACTIONS(1538),
    [aux_sym_goto_statement_token1] = ACTIONS(1538),
    [aux_sym_continue_statement_token1] = ACTIONS(1538),
    [aux_sym_break_statement_token1] = ACTIONS(1538),
    [sym_integer] = ACTIONS(1538),
    [aux_sym_return_statement_token1] = ACTIONS(1538),
    [aux_sym_throw_expression_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token2] = ACTIONS(1538),
    [aux_sym_do_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token2] = ACTIONS(1538),
    [aux_sym_foreach_statement_token1] = ACTIONS(1538),
    [aux_sym_foreach_statement_token2] = ACTIONS(1538),
    [aux_sym_if_statement_token1] = ACTIONS(1538),
    [aux_sym_if_statement_token2] = ACTIONS(1538),
    [aux_sym_else_if_clause_token1] = ACTIONS(1538),
    [aux_sym_else_clause_token1] = ACTIONS(1538),
    [aux_sym_match_expression_token1] = ACTIONS(1538),
    [aux_sym_match_default_expression_token1] = ACTIONS(1538),
    [aux_sym_switch_statement_token1] = ACTIONS(1538),
    [aux_sym_switch_block_token1] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1536),
    [aux_sym_clone_expression_token1] = ACTIONS(1538),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1538),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [aux_sym__list_destructing_token1] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_self] = ACTIONS(1538),
    [anon_sym_parent] = ACTIONS(1538),
    [aux_sym__argument_name_token1] = ACTIONS(1538),
    [aux_sym__argument_name_token2] = ACTIONS(1538),
    [anon_sym_POUND_LBRACK] = ACTIONS(1536),
    [aux_sym_encapsed_string_token1] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [aux_sym_string_token1] = ACTIONS(1536),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [anon_sym_LT_LT_LT] = ACTIONS(1536),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [aux_sym_yield_expression_token1] = ACTIONS(1538),
    [aux_sym_include_expression_token1] = ACTIONS(1538),
    [aux_sym_include_once_expression_token1] = ACTIONS(1538),
    [aux_sym_require_expression_token1] = ACTIONS(1538),
    [aux_sym_require_once_expression_token1] = ACTIONS(1538),
    [sym_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_text_interpolation] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_name] = ACTIONS(1542),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1542),
    [aux_sym_global_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_definition_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1542),
    [anon_sym_BSLASH] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [aux_sym_trait_declaration_token1] = ACTIONS(1542),
    [aux_sym_interface_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_case_token1] = ACTIONS(1542),
    [aux_sym_class_declaration_token1] = ACTIONS(1542),
    [aux_sym_final_modifier_token1] = ACTIONS(1542),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1542),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1542),
    [sym_var_modifier] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1542),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_cast_type_token1] = ACTIONS(1542),
    [aux_sym_echo_statement_token1] = ACTIONS(1542),
    [aux_sym_exit_statement_token1] = ACTIONS(1542),
    [anon_sym_unset] = ACTIONS(1542),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [aux_sym_declare_statement_token2] = ACTIONS(1542),
    [sym_float] = ACTIONS(1542),
    [aux_sym_try_statement_token1] = ACTIONS(1542),
    [aux_sym_goto_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [sym_integer] = ACTIONS(1542),
    [aux_sym_return_statement_token1] = ACTIONS(1542),
    [aux_sym_throw_expression_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token2] = ACTIONS(1542),
    [aux_sym_do_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token2] = ACTIONS(1542),
    [aux_sym_foreach_statement_token1] = ACTIONS(1542),
    [aux_sym_foreach_statement_token2] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token2] = ACTIONS(1542),
    [aux_sym_else_if_clause_token1] = ACTIONS(1542),
    [aux_sym_else_clause_token1] = ACTIONS(1542),
    [aux_sym_match_expression_token1] = ACTIONS(1542),
    [aux_sym_match_default_expression_token1] = ACTIONS(1542),
    [aux_sym_switch_statement_token1] = ACTIONS(1542),
    [aux_sym_switch_block_token1] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1540),
    [aux_sym_clone_expression_token1] = ACTIONS(1542),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1542),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [aux_sym__list_destructing_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_self] = ACTIONS(1542),
    [anon_sym_parent] = ACTIONS(1542),
    [aux_sym__argument_name_token1] = ACTIONS(1542),
    [aux_sym__argument_name_token2] = ACTIONS(1542),
    [anon_sym_POUND_LBRACK] = ACTIONS(1540),
    [aux_sym_encapsed_string_token1] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [aux_sym_string_token1] = ACTIONS(1540),
    [anon_sym_SQUOTE] = ACTIONS(1540),
    [anon_sym_LT_LT_LT] = ACTIONS(1540),
    [anon_sym_BQUOTE] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1540),
    [aux_sym_yield_expression_token1] = ACTIONS(1542),
    [aux_sym_include_expression_token1] = ACTIONS(1542),
    [aux_sym_include_once_expression_token1] = ACTIONS(1542),
    [aux_sym_require_expression_token1] = ACTIONS(1542),
    [aux_sym_require_once_expression_token1] = ACTIONS(1542),
    [sym_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_text_interpolation] = STATE(576),
    [ts_builtin_sym_end] = ACTIONS(1544),
    [sym_name] = ACTIONS(1546),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1544),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1546),
    [aux_sym_global_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_definition_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1546),
    [anon_sym_BSLASH] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [aux_sym_trait_declaration_token1] = ACTIONS(1546),
    [aux_sym_interface_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_case_token1] = ACTIONS(1546),
    [aux_sym_class_declaration_token1] = ACTIONS(1546),
    [aux_sym_final_modifier_token1] = ACTIONS(1546),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1546),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1546),
    [sym_var_modifier] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1546),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [aux_sym_cast_type_token1] = ACTIONS(1546),
    [aux_sym_echo_statement_token1] = ACTIONS(1546),
    [aux_sym_exit_statement_token1] = ACTIONS(1546),
    [anon_sym_unset] = ACTIONS(1546),
    [aux_sym_declare_statement_token1] = ACTIONS(1546),
    [aux_sym_declare_statement_token2] = ACTIONS(1546),
    [sym_float] = ACTIONS(1546),
    [aux_sym_try_statement_token1] = ACTIONS(1546),
    [aux_sym_goto_statement_token1] = ACTIONS(1546),
    [aux_sym_continue_statement_token1] = ACTIONS(1546),
    [aux_sym_break_statement_token1] = ACTIONS(1546),
    [sym_integer] = ACTIONS(1546),
    [aux_sym_return_statement_token1] = ACTIONS(1546),
    [aux_sym_throw_expression_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token2] = ACTIONS(1546),
    [aux_sym_do_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token2] = ACTIONS(1546),
    [aux_sym_foreach_statement_token1] = ACTIONS(1546),
    [aux_sym_foreach_statement_token2] = ACTIONS(1546),
    [aux_sym_if_statement_token1] = ACTIONS(1546),
    [aux_sym_if_statement_token2] = ACTIONS(1546),
    [aux_sym_else_if_clause_token1] = ACTIONS(1546),
    [aux_sym_else_clause_token1] = ACTIONS(1546),
    [aux_sym_match_expression_token1] = ACTIONS(1546),
    [aux_sym_match_default_expression_token1] = ACTIONS(1546),
    [aux_sym_switch_statement_token1] = ACTIONS(1546),
    [aux_sym_switch_block_token1] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1544),
    [aux_sym_clone_expression_token1] = ACTIONS(1546),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1546),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [aux_sym__list_destructing_token1] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_self] = ACTIONS(1546),
    [anon_sym_parent] = ACTIONS(1546),
    [aux_sym__argument_name_token1] = ACTIONS(1546),
    [aux_sym__argument_name_token2] = ACTIONS(1546),
    [anon_sym_POUND_LBRACK] = ACTIONS(1544),
    [aux_sym_encapsed_string_token1] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [aux_sym_string_token1] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_LT_LT_LT] = ACTIONS(1544),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [aux_sym_yield_expression_token1] = ACTIONS(1546),
    [aux_sym_include_expression_token1] = ACTIONS(1546),
    [aux_sym_include_once_expression_token1] = ACTIONS(1546),
    [aux_sym_require_expression_token1] = ACTIONS(1546),
    [aux_sym_require_once_expression_token1] = ACTIONS(1546),
    [sym_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_text_interpolation] = STATE(577),
    [ts_builtin_sym_end] = ACTIONS(1548),
    [sym_name] = ACTIONS(1550),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1548),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1550),
    [aux_sym_global_declaration_token1] = ACTIONS(1550),
    [aux_sym_namespace_definition_token1] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1550),
    [anon_sym_BSLASH] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [aux_sym_trait_declaration_token1] = ACTIONS(1550),
    [aux_sym_interface_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_case_token1] = ACTIONS(1550),
    [aux_sym_class_declaration_token1] = ACTIONS(1550),
    [aux_sym_final_modifier_token1] = ACTIONS(1550),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1550),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1550),
    [sym_var_modifier] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1550),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [aux_sym_cast_type_token1] = ACTIONS(1550),
    [aux_sym_echo_statement_token1] = ACTIONS(1550),
    [aux_sym_exit_statement_token1] = ACTIONS(1550),
    [anon_sym_unset] = ACTIONS(1550),
    [aux_sym_declare_statement_token1] = ACTIONS(1550),
    [aux_sym_declare_statement_token2] = ACTIONS(1550),
    [sym_float] = ACTIONS(1550),
    [aux_sym_try_statement_token1] = ACTIONS(1550),
    [aux_sym_goto_statement_token1] = ACTIONS(1550),
    [aux_sym_continue_statement_token1] = ACTIONS(1550),
    [aux_sym_break_statement_token1] = ACTIONS(1550),
    [sym_integer] = ACTIONS(1550),
    [aux_sym_return_statement_token1] = ACTIONS(1550),
    [aux_sym_throw_expression_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token2] = ACTIONS(1550),
    [aux_sym_do_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token2] = ACTIONS(1550),
    [aux_sym_foreach_statement_token1] = ACTIONS(1550),
    [aux_sym_foreach_statement_token2] = ACTIONS(1550),
    [aux_sym_if_statement_token1] = ACTIONS(1550),
    [aux_sym_if_statement_token2] = ACTIONS(1550),
    [aux_sym_else_if_clause_token1] = ACTIONS(1550),
    [aux_sym_else_clause_token1] = ACTIONS(1550),
    [aux_sym_match_expression_token1] = ACTIONS(1550),
    [aux_sym_match_default_expression_token1] = ACTIONS(1550),
    [aux_sym_switch_statement_token1] = ACTIONS(1550),
    [aux_sym_switch_block_token1] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(1548),
    [aux_sym_clone_expression_token1] = ACTIONS(1550),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1550),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [aux_sym__list_destructing_token1] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_self] = ACTIONS(1550),
    [anon_sym_parent] = ACTIONS(1550),
    [aux_sym__argument_name_token1] = ACTIONS(1550),
    [aux_sym__argument_name_token2] = ACTIONS(1550),
    [anon_sym_POUND_LBRACK] = ACTIONS(1548),
    [aux_sym_encapsed_string_token1] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [aux_sym_string_token1] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_LT_LT_LT] = ACTIONS(1548),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1548),
    [aux_sym_yield_expression_token1] = ACTIONS(1550),
    [aux_sym_include_expression_token1] = ACTIONS(1550),
    [aux_sym_include_once_expression_token1] = ACTIONS(1550),
    [aux_sym_require_expression_token1] = ACTIONS(1550),
    [aux_sym_require_once_expression_token1] = ACTIONS(1550),
    [sym_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_text_interpolation] = STATE(578),
    [ts_builtin_sym_end] = ACTIONS(1552),
    [sym_name] = ACTIONS(1554),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1552),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1554),
    [aux_sym_global_declaration_token1] = ACTIONS(1554),
    [aux_sym_namespace_definition_token1] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1554),
    [anon_sym_BSLASH] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [aux_sym_trait_declaration_token1] = ACTIONS(1554),
    [aux_sym_interface_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_case_token1] = ACTIONS(1554),
    [aux_sym_class_declaration_token1] = ACTIONS(1554),
    [aux_sym_final_modifier_token1] = ACTIONS(1554),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1554),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1554),
    [sym_var_modifier] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1554),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1552),
    [aux_sym_cast_type_token1] = ACTIONS(1554),
    [aux_sym_echo_statement_token1] = ACTIONS(1554),
    [aux_sym_exit_statement_token1] = ACTIONS(1554),
    [anon_sym_unset] = ACTIONS(1554),
    [aux_sym_declare_statement_token1] = ACTIONS(1554),
    [aux_sym_declare_statement_token2] = ACTIONS(1554),
    [sym_float] = ACTIONS(1554),
    [aux_sym_try_statement_token1] = ACTIONS(1554),
    [aux_sym_goto_statement_token1] = ACTIONS(1554),
    [aux_sym_continue_statement_token1] = ACTIONS(1554),
    [aux_sym_break_statement_token1] = ACTIONS(1554),
    [sym_integer] = ACTIONS(1554),
    [aux_sym_return_statement_token1] = ACTIONS(1554),
    [aux_sym_throw_expression_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token2] = ACTIONS(1554),
    [aux_sym_do_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token2] = ACTIONS(1554),
    [aux_sym_foreach_statement_token1] = ACTIONS(1554),
    [aux_sym_foreach_statement_token2] = ACTIONS(1554),
    [aux_sym_if_statement_token1] = ACTIONS(1554),
    [aux_sym_if_statement_token2] = ACTIONS(1554),
    [aux_sym_else_if_clause_token1] = ACTIONS(1554),
    [aux_sym_else_clause_token1] = ACTIONS(1554),
    [aux_sym_match_expression_token1] = ACTIONS(1554),
    [aux_sym_match_default_expression_token1] = ACTIONS(1554),
    [aux_sym_switch_statement_token1] = ACTIONS(1554),
    [aux_sym_switch_block_token1] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_AT] = ACTIONS(1552),
    [aux_sym_clone_expression_token1] = ACTIONS(1554),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1554),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1554),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [aux_sym__list_destructing_token1] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_self] = ACTIONS(1554),
    [anon_sym_parent] = ACTIONS(1554),
    [aux_sym__argument_name_token1] = ACTIONS(1554),
    [aux_sym__argument_name_token2] = ACTIONS(1554),
    [anon_sym_POUND_LBRACK] = ACTIONS(1552),
    [aux_sym_encapsed_string_token1] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [aux_sym_string_token1] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1552),
    [anon_sym_LT_LT_LT] = ACTIONS(1552),
    [anon_sym_BQUOTE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1552),
    [aux_sym_yield_expression_token1] = ACTIONS(1554),
    [aux_sym_include_expression_token1] = ACTIONS(1554),
    [aux_sym_include_once_expression_token1] = ACTIONS(1554),
    [aux_sym_require_expression_token1] = ACTIONS(1554),
    [aux_sym_require_once_expression_token1] = ACTIONS(1554),
    [sym_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_text_interpolation] = STATE(579),
    [ts_builtin_sym_end] = ACTIONS(1125),
    [sym_name] = ACTIONS(1127),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1125),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1127),
    [aux_sym_global_declaration_token1] = ACTIONS(1127),
    [aux_sym_namespace_definition_token1] = ACTIONS(1127),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1127),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1127),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1127),
    [anon_sym_BSLASH] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_RBRACE] = ACTIONS(1125),
    [aux_sym_trait_declaration_token1] = ACTIONS(1127),
    [aux_sym_interface_declaration_token1] = ACTIONS(1127),
    [aux_sym_enum_declaration_token1] = ACTIONS(1127),
    [aux_sym_enum_case_token1] = ACTIONS(1127),
    [aux_sym_class_declaration_token1] = ACTIONS(1127),
    [aux_sym_final_modifier_token1] = ACTIONS(1127),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1127),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1127),
    [sym_var_modifier] = ACTIONS(1127),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1127),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1127),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1127),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1127),
    [anon_sym_LPAREN] = ACTIONS(1125),
    [aux_sym_cast_type_token1] = ACTIONS(1127),
    [aux_sym_echo_statement_token1] = ACTIONS(1127),
    [aux_sym_exit_statement_token1] = ACTIONS(1127),
    [anon_sym_unset] = ACTIONS(1127),
    [aux_sym_declare_statement_token1] = ACTIONS(1127),
    [aux_sym_declare_statement_token2] = ACTIONS(1127),
    [sym_float] = ACTIONS(1127),
    [aux_sym_try_statement_token1] = ACTIONS(1127),
    [aux_sym_goto_statement_token1] = ACTIONS(1127),
    [aux_sym_continue_statement_token1] = ACTIONS(1127),
    [aux_sym_break_statement_token1] = ACTIONS(1127),
    [sym_integer] = ACTIONS(1127),
    [aux_sym_return_statement_token1] = ACTIONS(1127),
    [aux_sym_throw_expression_token1] = ACTIONS(1127),
    [aux_sym_while_statement_token1] = ACTIONS(1127),
    [aux_sym_while_statement_token2] = ACTIONS(1127),
    [aux_sym_do_statement_token1] = ACTIONS(1127),
    [aux_sym_for_statement_token1] = ACTIONS(1127),
    [aux_sym_for_statement_token2] = ACTIONS(1127),
    [aux_sym_foreach_statement_token1] = ACTIONS(1127),
    [aux_sym_foreach_statement_token2] = ACTIONS(1127),
    [aux_sym_if_statement_token1] = ACTIONS(1127),
    [aux_sym_if_statement_token2] = ACTIONS(1127),
    [aux_sym_else_if_clause_token1] = ACTIONS(1127),
    [aux_sym_else_clause_token1] = ACTIONS(1127),
    [aux_sym_match_expression_token1] = ACTIONS(1127),
    [aux_sym_match_default_expression_token1] = ACTIONS(1127),
    [aux_sym_switch_statement_token1] = ACTIONS(1127),
    [aux_sym_switch_block_token1] = ACTIONS(1127),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1125),
    [aux_sym_clone_expression_token1] = ACTIONS(1127),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1127),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1125),
    [aux_sym__list_destructing_token1] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_self] = ACTIONS(1127),
    [anon_sym_parent] = ACTIONS(1127),
    [aux_sym__argument_name_token1] = ACTIONS(1127),
    [aux_sym__argument_name_token2] = ACTIONS(1127),
    [anon_sym_POUND_LBRACK] = ACTIONS(1125),
    [aux_sym_encapsed_string_token1] = ACTIONS(1125),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [aux_sym_string_token1] = ACTIONS(1125),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_LT_LT_LT] = ACTIONS(1125),
    [anon_sym_BQUOTE] = ACTIONS(1125),
    [anon_sym_DOLLAR] = ACTIONS(1125),
    [aux_sym_yield_expression_token1] = ACTIONS(1127),
    [aux_sym_include_expression_token1] = ACTIONS(1127),
    [aux_sym_include_once_expression_token1] = ACTIONS(1127),
    [aux_sym_require_expression_token1] = ACTIONS(1127),
    [aux_sym_require_once_expression_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_text_interpolation] = STATE(580),
    [ts_builtin_sym_end] = ACTIONS(1556),
    [sym_name] = ACTIONS(1558),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1556),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1558),
    [aux_sym_global_declaration_token1] = ACTIONS(1558),
    [aux_sym_namespace_definition_token1] = ACTIONS(1558),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1558),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1558),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1558),
    [anon_sym_BSLASH] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1556),
    [anon_sym_RBRACE] = ACTIONS(1556),
    [aux_sym_trait_declaration_token1] = ACTIONS(1558),
    [aux_sym_interface_declaration_token1] = ACTIONS(1558),
    [aux_sym_enum_declaration_token1] = ACTIONS(1558),
    [aux_sym_enum_case_token1] = ACTIONS(1558),
    [aux_sym_class_declaration_token1] = ACTIONS(1558),
    [aux_sym_final_modifier_token1] = ACTIONS(1558),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1558),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1558),
    [sym_var_modifier] = ACTIONS(1558),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1558),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1558),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1558),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1556),
    [aux_sym_cast_type_token1] = ACTIONS(1558),
    [aux_sym_echo_statement_token1] = ACTIONS(1558),
    [aux_sym_exit_statement_token1] = ACTIONS(1558),
    [anon_sym_unset] = ACTIONS(1558),
    [aux_sym_declare_statement_token1] = ACTIONS(1558),
    [aux_sym_declare_statement_token2] = ACTIONS(1558),
    [sym_float] = ACTIONS(1558),
    [aux_sym_try_statement_token1] = ACTIONS(1558),
    [aux_sym_goto_statement_token1] = ACTIONS(1558),
    [aux_sym_continue_statement_token1] = ACTIONS(1558),
    [aux_sym_break_statement_token1] = ACTIONS(1558),
    [sym_integer] = ACTIONS(1558),
    [aux_sym_return_statement_token1] = ACTIONS(1558),
    [aux_sym_throw_expression_token1] = ACTIONS(1558),
    [aux_sym_while_statement_token1] = ACTIONS(1558),
    [aux_sym_while_statement_token2] = ACTIONS(1558),
    [aux_sym_do_statement_token1] = ACTIONS(1558),
    [aux_sym_for_statement_token1] = ACTIONS(1558),
    [aux_sym_for_statement_token2] = ACTIONS(1558),
    [aux_sym_foreach_statement_token1] = ACTIONS(1558),
    [aux_sym_foreach_statement_token2] = ACTIONS(1558),
    [aux_sym_if_statement_token1] = ACTIONS(1558),
    [aux_sym_if_statement_token2] = ACTIONS(1558),
    [aux_sym_else_if_clause_token1] = ACTIONS(1558),
    [aux_sym_else_clause_token1] = ACTIONS(1558),
    [aux_sym_match_expression_token1] = ACTIONS(1558),
    [aux_sym_match_default_expression_token1] = ACTIONS(1558),
    [aux_sym_switch_statement_token1] = ACTIONS(1558),
    [aux_sym_switch_block_token1] = ACTIONS(1558),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1556),
    [aux_sym_clone_expression_token1] = ACTIONS(1558),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1558),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1558),
    [anon_sym_DASH_DASH] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1556),
    [aux_sym__list_destructing_token1] = ACTIONS(1558),
    [anon_sym_LBRACK] = ACTIONS(1556),
    [anon_sym_self] = ACTIONS(1558),
    [anon_sym_parent] = ACTIONS(1558),
    [aux_sym__argument_name_token1] = ACTIONS(1558),
    [aux_sym__argument_name_token2] = ACTIONS(1558),
    [anon_sym_POUND_LBRACK] = ACTIONS(1556),
    [aux_sym_encapsed_string_token1] = ACTIONS(1556),
    [anon_sym_DQUOTE] = ACTIONS(1556),
    [aux_sym_string_token1] = ACTIONS(1556),
    [anon_sym_SQUOTE] = ACTIONS(1556),
    [anon_sym_LT_LT_LT] = ACTIONS(1556),
    [anon_sym_BQUOTE] = ACTIONS(1556),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [aux_sym_yield_expression_token1] = ACTIONS(1558),
    [aux_sym_include_expression_token1] = ACTIONS(1558),
    [aux_sym_include_once_expression_token1] = ACTIONS(1558),
    [aux_sym_require_expression_token1] = ACTIONS(1558),
    [aux_sym_require_once_expression_token1] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_text_interpolation] = STATE(581),
    [ts_builtin_sym_end] = ACTIONS(1560),
    [sym_name] = ACTIONS(1562),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1560),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1562),
    [aux_sym_global_declaration_token1] = ACTIONS(1562),
    [aux_sym_namespace_definition_token1] = ACTIONS(1562),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1562),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1562),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1562),
    [anon_sym_BSLASH] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [aux_sym_trait_declaration_token1] = ACTIONS(1562),
    [aux_sym_interface_declaration_token1] = ACTIONS(1562),
    [aux_sym_enum_declaration_token1] = ACTIONS(1562),
    [aux_sym_enum_case_token1] = ACTIONS(1562),
    [aux_sym_class_declaration_token1] = ACTIONS(1562),
    [aux_sym_final_modifier_token1] = ACTIONS(1562),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1562),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1562),
    [sym_var_modifier] = ACTIONS(1562),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1562),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1562),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1562),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [aux_sym_cast_type_token1] = ACTIONS(1562),
    [aux_sym_echo_statement_token1] = ACTIONS(1562),
    [aux_sym_exit_statement_token1] = ACTIONS(1562),
    [anon_sym_unset] = ACTIONS(1562),
    [aux_sym_declare_statement_token1] = ACTIONS(1562),
    [aux_sym_declare_statement_token2] = ACTIONS(1562),
    [sym_float] = ACTIONS(1562),
    [aux_sym_try_statement_token1] = ACTIONS(1562),
    [aux_sym_goto_statement_token1] = ACTIONS(1562),
    [aux_sym_continue_statement_token1] = ACTIONS(1562),
    [aux_sym_break_statement_token1] = ACTIONS(1562),
    [sym_integer] = ACTIONS(1562),
    [aux_sym_return_statement_token1] = ACTIONS(1562),
    [aux_sym_throw_expression_token1] = ACTIONS(1562),
    [aux_sym_while_statement_token1] = ACTIONS(1562),
    [aux_sym_while_statement_token2] = ACTIONS(1562),
    [aux_sym_do_statement_token1] = ACTIONS(1562),
    [aux_sym_for_statement_token1] = ACTIONS(1562),
    [aux_sym_for_statement_token2] = ACTIONS(1562),
    [aux_sym_foreach_statement_token1] = ACTIONS(1562),
    [aux_sym_foreach_statement_token2] = ACTIONS(1562),
    [aux_sym_if_statement_token1] = ACTIONS(1562),
    [aux_sym_if_statement_token2] = ACTIONS(1562),
    [aux_sym_else_if_clause_token1] = ACTIONS(1562),
    [aux_sym_else_clause_token1] = ACTIONS(1562),
    [aux_sym_match_expression_token1] = ACTIONS(1562),
    [aux_sym_match_default_expression_token1] = ACTIONS(1562),
    [aux_sym_switch_statement_token1] = ACTIONS(1562),
    [aux_sym_switch_block_token1] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_AT] = ACTIONS(1560),
    [aux_sym_clone_expression_token1] = ACTIONS(1562),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1562),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1562),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [aux_sym__list_destructing_token1] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_self] = ACTIONS(1562),
    [anon_sym_parent] = ACTIONS(1562),
    [aux_sym__argument_name_token1] = ACTIONS(1562),
    [aux_sym__argument_name_token2] = ACTIONS(1562),
    [anon_sym_POUND_LBRACK] = ACTIONS(1560),
    [aux_sym_encapsed_string_token1] = ACTIONS(1560),
    [anon_sym_DQUOTE] = ACTIONS(1560),
    [aux_sym_string_token1] = ACTIONS(1560),
    [anon_sym_SQUOTE] = ACTIONS(1560),
    [anon_sym_LT_LT_LT] = ACTIONS(1560),
    [anon_sym_BQUOTE] = ACTIONS(1560),
    [anon_sym_DOLLAR] = ACTIONS(1560),
    [aux_sym_yield_expression_token1] = ACTIONS(1562),
    [aux_sym_include_expression_token1] = ACTIONS(1562),
    [aux_sym_include_once_expression_token1] = ACTIONS(1562),
    [aux_sym_require_expression_token1] = ACTIONS(1562),
    [aux_sym_require_once_expression_token1] = ACTIONS(1562),
    [sym_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_text_interpolation] = STATE(582),
    [ts_builtin_sym_end] = ACTIONS(1564),
    [sym_name] = ACTIONS(1566),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1564),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1566),
    [aux_sym_global_declaration_token1] = ACTIONS(1566),
    [aux_sym_namespace_definition_token1] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1566),
    [anon_sym_BSLASH] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [aux_sym_trait_declaration_token1] = ACTIONS(1566),
    [aux_sym_interface_declaration_token1] = ACTIONS(1566),
    [aux_sym_enum_declaration_token1] = ACTIONS(1566),
    [aux_sym_enum_case_token1] = ACTIONS(1566),
    [aux_sym_class_declaration_token1] = ACTIONS(1566),
    [aux_sym_final_modifier_token1] = ACTIONS(1566),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1566),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1566),
    [sym_var_modifier] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1566),
    [aux_sym_echo_statement_token1] = ACTIONS(1566),
    [aux_sym_exit_statement_token1] = ACTIONS(1566),
    [anon_sym_unset] = ACTIONS(1566),
    [aux_sym_declare_statement_token1] = ACTIONS(1566),
    [aux_sym_declare_statement_token2] = ACTIONS(1566),
    [sym_float] = ACTIONS(1566),
    [aux_sym_try_statement_token1] = ACTIONS(1566),
    [aux_sym_goto_statement_token1] = ACTIONS(1566),
    [aux_sym_continue_statement_token1] = ACTIONS(1566),
    [aux_sym_break_statement_token1] = ACTIONS(1566),
    [sym_integer] = ACTIONS(1566),
    [aux_sym_return_statement_token1] = ACTIONS(1566),
    [aux_sym_throw_expression_token1] = ACTIONS(1566),
    [aux_sym_while_statement_token1] = ACTIONS(1566),
    [aux_sym_while_statement_token2] = ACTIONS(1566),
    [aux_sym_do_statement_token1] = ACTIONS(1566),
    [aux_sym_for_statement_token1] = ACTIONS(1566),
    [aux_sym_for_statement_token2] = ACTIONS(1566),
    [aux_sym_foreach_statement_token1] = ACTIONS(1566),
    [aux_sym_foreach_statement_token2] = ACTIONS(1566),
    [aux_sym_if_statement_token1] = ACTIONS(1566),
    [aux_sym_if_statement_token2] = ACTIONS(1566),
    [aux_sym_else_if_clause_token1] = ACTIONS(1566),
    [aux_sym_else_clause_token1] = ACTIONS(1566),
    [aux_sym_match_expression_token1] = ACTIONS(1566),
    [aux_sym_match_default_expression_token1] = ACTIONS(1566),
    [aux_sym_switch_statement_token1] = ACTIONS(1566),
    [aux_sym_switch_block_token1] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(1564),
    [aux_sym_clone_expression_token1] = ACTIONS(1566),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1566),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1566),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [aux_sym__list_destructing_token1] = ACTIONS(1566),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_self] = ACTIONS(1566),
    [anon_sym_parent] = ACTIONS(1566),
    [aux_sym__argument_name_token1] = ACTIONS(1566),
    [aux_sym__argument_name_token2] = ACTIONS(1566),
    [anon_sym_POUND_LBRACK] = ACTIONS(1564),
    [aux_sym_encapsed_string_token1] = ACTIONS(1564),
    [anon_sym_DQUOTE] = ACTIONS(1564),
    [aux_sym_string_token1] = ACTIONS(1564),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [anon_sym_LT_LT_LT] = ACTIONS(1564),
    [anon_sym_BQUOTE] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1564),
    [aux_sym_yield_expression_token1] = ACTIONS(1566),
    [aux_sym_include_expression_token1] = ACTIONS(1566),
    [aux_sym_include_once_expression_token1] = ACTIONS(1566),
    [aux_sym_require_expression_token1] = ACTIONS(1566),
    [aux_sym_require_once_expression_token1] = ACTIONS(1566),
    [sym_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_text_interpolation] = STATE(583),
    [ts_builtin_sym_end] = ACTIONS(1568),
    [sym_name] = ACTIONS(1570),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1568),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1570),
    [aux_sym_global_declaration_token1] = ACTIONS(1570),
    [aux_sym_namespace_definition_token1] = ACTIONS(1570),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1570),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1570),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1570),
    [anon_sym_BSLASH] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [aux_sym_trait_declaration_token1] = ACTIONS(1570),
    [aux_sym_interface_declaration_token1] = ACTIONS(1570),
    [aux_sym_enum_declaration_token1] = ACTIONS(1570),
    [aux_sym_enum_case_token1] = ACTIONS(1570),
    [aux_sym_class_declaration_token1] = ACTIONS(1570),
    [aux_sym_final_modifier_token1] = ACTIONS(1570),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1570),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1570),
    [sym_var_modifier] = ACTIONS(1570),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1570),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1570),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1570),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [aux_sym_cast_type_token1] = ACTIONS(1570),
    [aux_sym_echo_statement_token1] = ACTIONS(1570),
    [aux_sym_exit_statement_token1] = ACTIONS(1570),
    [anon_sym_unset] = ACTIONS(1570),
    [aux_sym_declare_statement_token1] = ACTIONS(1570),
    [aux_sym_declare_statement_token2] = ACTIONS(1570),
    [sym_float] = ACTIONS(1570),
    [aux_sym_try_statement_token1] = ACTIONS(1570),
    [aux_sym_goto_statement_token1] = ACTIONS(1570),
    [aux_sym_continue_statement_token1] = ACTIONS(1570),
    [aux_sym_break_statement_token1] = ACTIONS(1570),
    [sym_integer] = ACTIONS(1570),
    [aux_sym_return_statement_token1] = ACTIONS(1570),
    [aux_sym_throw_expression_token1] = ACTIONS(1570),
    [aux_sym_while_statement_token1] = ACTIONS(1570),
    [aux_sym_while_statement_token2] = ACTIONS(1570),
    [aux_sym_do_statement_token1] = ACTIONS(1570),
    [aux_sym_for_statement_token1] = ACTIONS(1570),
    [aux_sym_for_statement_token2] = ACTIONS(1570),
    [aux_sym_foreach_statement_token1] = ACTIONS(1570),
    [aux_sym_foreach_statement_token2] = ACTIONS(1570),
    [aux_sym_if_statement_token1] = ACTIONS(1570),
    [aux_sym_if_statement_token2] = ACTIONS(1570),
    [aux_sym_else_if_clause_token1] = ACTIONS(1570),
    [aux_sym_else_clause_token1] = ACTIONS(1570),
    [aux_sym_match_expression_token1] = ACTIONS(1570),
    [aux_sym_match_default_expression_token1] = ACTIONS(1570),
    [aux_sym_switch_statement_token1] = ACTIONS(1570),
    [aux_sym_switch_block_token1] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_AT] = ACTIONS(1568),
    [aux_sym_clone_expression_token1] = ACTIONS(1570),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1570),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1570),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [aux_sym__list_destructing_token1] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_self] = ACTIONS(1570),
    [anon_sym_parent] = ACTIONS(1570),
    [aux_sym__argument_name_token1] = ACTIONS(1570),
    [aux_sym__argument_name_token2] = ACTIONS(1570),
    [anon_sym_POUND_LBRACK] = ACTIONS(1568),
    [aux_sym_encapsed_string_token1] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [aux_sym_string_token1] = ACTIONS(1568),
    [anon_sym_SQUOTE] = ACTIONS(1568),
    [anon_sym_LT_LT_LT] = ACTIONS(1568),
    [anon_sym_BQUOTE] = ACTIONS(1568),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [aux_sym_yield_expression_token1] = ACTIONS(1570),
    [aux_sym_include_expression_token1] = ACTIONS(1570),
    [aux_sym_include_once_expression_token1] = ACTIONS(1570),
    [aux_sym_require_expression_token1] = ACTIONS(1570),
    [aux_sym_require_once_expression_token1] = ACTIONS(1570),
    [sym_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_text_interpolation] = STATE(584),
    [ts_builtin_sym_end] = ACTIONS(1572),
    [sym_name] = ACTIONS(1574),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1572),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1574),
    [aux_sym_global_declaration_token1] = ACTIONS(1574),
    [aux_sym_namespace_definition_token1] = ACTIONS(1574),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1574),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1574),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1574),
    [anon_sym_BSLASH] = ACTIONS(1572),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [aux_sym_trait_declaration_token1] = ACTIONS(1574),
    [aux_sym_interface_declaration_token1] = ACTIONS(1574),
    [aux_sym_enum_declaration_token1] = ACTIONS(1574),
    [aux_sym_enum_case_token1] = ACTIONS(1574),
    [aux_sym_class_declaration_token1] = ACTIONS(1574),
    [aux_sym_final_modifier_token1] = ACTIONS(1574),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1574),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1574),
    [sym_var_modifier] = ACTIONS(1574),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1574),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1574),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1574),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1574),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [aux_sym_cast_type_token1] = ACTIONS(1574),
    [aux_sym_echo_statement_token1] = ACTIONS(1574),
    [aux_sym_exit_statement_token1] = ACTIONS(1574),
    [anon_sym_unset] = ACTIONS(1574),
    [aux_sym_declare_statement_token1] = ACTIONS(1574),
    [aux_sym_declare_statement_token2] = ACTIONS(1574),
    [sym_float] = ACTIONS(1574),
    [aux_sym_try_statement_token1] = ACTIONS(1574),
    [aux_sym_goto_statement_token1] = ACTIONS(1574),
    [aux_sym_continue_statement_token1] = ACTIONS(1574),
    [aux_sym_break_statement_token1] = ACTIONS(1574),
    [sym_integer] = ACTIONS(1574),
    [aux_sym_return_statement_token1] = ACTIONS(1574),
    [aux_sym_throw_expression_token1] = ACTIONS(1574),
    [aux_sym_while_statement_token1] = ACTIONS(1574),
    [aux_sym_while_statement_token2] = ACTIONS(1574),
    [aux_sym_do_statement_token1] = ACTIONS(1574),
    [aux_sym_for_statement_token1] = ACTIONS(1574),
    [aux_sym_for_statement_token2] = ACTIONS(1574),
    [aux_sym_foreach_statement_token1] = ACTIONS(1574),
    [aux_sym_foreach_statement_token2] = ACTIONS(1574),
    [aux_sym_if_statement_token1] = ACTIONS(1574),
    [aux_sym_if_statement_token2] = ACTIONS(1574),
    [aux_sym_else_if_clause_token1] = ACTIONS(1574),
    [aux_sym_else_clause_token1] = ACTIONS(1574),
    [aux_sym_match_expression_token1] = ACTIONS(1574),
    [aux_sym_match_default_expression_token1] = ACTIONS(1574),
    [aux_sym_switch_statement_token1] = ACTIONS(1574),
    [aux_sym_switch_block_token1] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(1572),
    [aux_sym_clone_expression_token1] = ACTIONS(1574),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1574),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1574),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [aux_sym__list_destructing_token1] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_self] = ACTIONS(1574),
    [anon_sym_parent] = ACTIONS(1574),
    [aux_sym__argument_name_token1] = ACTIONS(1574),
    [aux_sym__argument_name_token2] = ACTIONS(1574),
    [anon_sym_POUND_LBRACK] = ACTIONS(1572),
    [aux_sym_encapsed_string_token1] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [aux_sym_string_token1] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1572),
    [anon_sym_LT_LT_LT] = ACTIONS(1572),
    [anon_sym_BQUOTE] = ACTIONS(1572),
    [anon_sym_DOLLAR] = ACTIONS(1572),
    [aux_sym_yield_expression_token1] = ACTIONS(1574),
    [aux_sym_include_expression_token1] = ACTIONS(1574),
    [aux_sym_include_once_expression_token1] = ACTIONS(1574),
    [aux_sym_require_expression_token1] = ACTIONS(1574),
    [aux_sym_require_once_expression_token1] = ACTIONS(1574),
    [sym_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_text_interpolation] = STATE(585),
    [ts_builtin_sym_end] = ACTIONS(1576),
    [sym_name] = ACTIONS(1578),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1576),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1578),
    [aux_sym_global_declaration_token1] = ACTIONS(1578),
    [aux_sym_namespace_definition_token1] = ACTIONS(1578),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1578),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1578),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1578),
    [anon_sym_BSLASH] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [aux_sym_trait_declaration_token1] = ACTIONS(1578),
    [aux_sym_interface_declaration_token1] = ACTIONS(1578),
    [aux_sym_enum_declaration_token1] = ACTIONS(1578),
    [aux_sym_enum_case_token1] = ACTIONS(1578),
    [aux_sym_class_declaration_token1] = ACTIONS(1578),
    [aux_sym_final_modifier_token1] = ACTIONS(1578),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1578),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1578),
    [sym_var_modifier] = ACTIONS(1578),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1578),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1578),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1578),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [aux_sym_cast_type_token1] = ACTIONS(1578),
    [aux_sym_echo_statement_token1] = ACTIONS(1578),
    [aux_sym_exit_statement_token1] = ACTIONS(1578),
    [anon_sym_unset] = ACTIONS(1578),
    [aux_sym_declare_statement_token1] = ACTIONS(1578),
    [aux_sym_declare_statement_token2] = ACTIONS(1578),
    [sym_float] = ACTIONS(1578),
    [aux_sym_try_statement_token1] = ACTIONS(1578),
    [aux_sym_goto_statement_token1] = ACTIONS(1578),
    [aux_sym_continue_statement_token1] = ACTIONS(1578),
    [aux_sym_break_statement_token1] = ACTIONS(1578),
    [sym_integer] = ACTIONS(1578),
    [aux_sym_return_statement_token1] = ACTIONS(1578),
    [aux_sym_throw_expression_token1] = ACTIONS(1578),
    [aux_sym_while_statement_token1] = ACTIONS(1578),
    [aux_sym_while_statement_token2] = ACTIONS(1578),
    [aux_sym_do_statement_token1] = ACTIONS(1578),
    [aux_sym_for_statement_token1] = ACTIONS(1578),
    [aux_sym_for_statement_token2] = ACTIONS(1578),
    [aux_sym_foreach_statement_token1] = ACTIONS(1578),
    [aux_sym_foreach_statement_token2] = ACTIONS(1578),
    [aux_sym_if_statement_token1] = ACTIONS(1578),
    [aux_sym_if_statement_token2] = ACTIONS(1578),
    [aux_sym_else_if_clause_token1] = ACTIONS(1578),
    [aux_sym_else_clause_token1] = ACTIONS(1578),
    [aux_sym_match_expression_token1] = ACTIONS(1578),
    [aux_sym_match_default_expression_token1] = ACTIONS(1578),
    [aux_sym_switch_statement_token1] = ACTIONS(1578),
    [aux_sym_switch_block_token1] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_TILDE] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_AT] = ACTIONS(1576),
    [aux_sym_clone_expression_token1] = ACTIONS(1578),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1578),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [aux_sym__list_destructing_token1] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_self] = ACTIONS(1578),
    [anon_sym_parent] = ACTIONS(1578),
    [aux_sym__argument_name_token1] = ACTIONS(1578),
    [aux_sym__argument_name_token2] = ACTIONS(1578),
    [anon_sym_POUND_LBRACK] = ACTIONS(1576),
    [aux_sym_encapsed_string_token1] = ACTIONS(1576),
    [anon_sym_DQUOTE] = ACTIONS(1576),
    [aux_sym_string_token1] = ACTIONS(1576),
    [anon_sym_SQUOTE] = ACTIONS(1576),
    [anon_sym_LT_LT_LT] = ACTIONS(1576),
    [anon_sym_BQUOTE] = ACTIONS(1576),
    [anon_sym_DOLLAR] = ACTIONS(1576),
    [aux_sym_yield_expression_token1] = ACTIONS(1578),
    [aux_sym_include_expression_token1] = ACTIONS(1578),
    [aux_sym_include_once_expression_token1] = ACTIONS(1578),
    [aux_sym_require_expression_token1] = ACTIONS(1578),
    [aux_sym_require_once_expression_token1] = ACTIONS(1578),
    [sym_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_text_interpolation] = STATE(586),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [sym_var_modifier] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [aux_sym_exit_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [aux_sym__argument_name_token1] = ACTIONS(1434),
    [aux_sym__argument_name_token2] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_text_interpolation] = STATE(587),
    [ts_builtin_sym_end] = ACTIONS(1580),
    [sym_name] = ACTIONS(1582),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1580),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1582),
    [aux_sym_global_declaration_token1] = ACTIONS(1582),
    [aux_sym_namespace_definition_token1] = ACTIONS(1582),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1582),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1582),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1582),
    [anon_sym_BSLASH] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_RBRACE] = ACTIONS(1580),
    [aux_sym_trait_declaration_token1] = ACTIONS(1582),
    [aux_sym_interface_declaration_token1] = ACTIONS(1582),
    [aux_sym_enum_declaration_token1] = ACTIONS(1582),
    [aux_sym_enum_case_token1] = ACTIONS(1582),
    [aux_sym_class_declaration_token1] = ACTIONS(1582),
    [aux_sym_final_modifier_token1] = ACTIONS(1582),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1582),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1582),
    [sym_var_modifier] = ACTIONS(1582),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1582),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1582),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1582),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1582),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [aux_sym_cast_type_token1] = ACTIONS(1582),
    [aux_sym_echo_statement_token1] = ACTIONS(1582),
    [aux_sym_exit_statement_token1] = ACTIONS(1582),
    [anon_sym_unset] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1582),
    [aux_sym_declare_statement_token2] = ACTIONS(1582),
    [sym_float] = ACTIONS(1582),
    [aux_sym_try_statement_token1] = ACTIONS(1582),
    [aux_sym_goto_statement_token1] = ACTIONS(1582),
    [aux_sym_continue_statement_token1] = ACTIONS(1582),
    [aux_sym_break_statement_token1] = ACTIONS(1582),
    [sym_integer] = ACTIONS(1582),
    [aux_sym_return_statement_token1] = ACTIONS(1582),
    [aux_sym_throw_expression_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token2] = ACTIONS(1582),
    [aux_sym_do_statement_token1] = ACTIONS(1582),
    [aux_sym_for_statement_token1] = ACTIONS(1582),
    [aux_sym_for_statement_token2] = ACTIONS(1582),
    [aux_sym_foreach_statement_token1] = ACTIONS(1582),
    [aux_sym_foreach_statement_token2] = ACTIONS(1582),
    [aux_sym_if_statement_token1] = ACTIONS(1582),
    [aux_sym_if_statement_token2] = ACTIONS(1582),
    [aux_sym_else_if_clause_token1] = ACTIONS(1582),
    [aux_sym_else_clause_token1] = ACTIONS(1582),
    [aux_sym_match_expression_token1] = ACTIONS(1582),
    [aux_sym_match_default_expression_token1] = ACTIONS(1582),
    [aux_sym_switch_statement_token1] = ACTIONS(1582),
    [aux_sym_switch_block_token1] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_TILDE] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1580),
    [aux_sym_clone_expression_token1] = ACTIONS(1582),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1582),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1580),
    [aux_sym__list_destructing_token1] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1580),
    [anon_sym_self] = ACTIONS(1582),
    [anon_sym_parent] = ACTIONS(1582),
    [aux_sym__argument_name_token1] = ACTIONS(1582),
    [aux_sym__argument_name_token2] = ACTIONS(1582),
    [anon_sym_POUND_LBRACK] = ACTIONS(1580),
    [aux_sym_encapsed_string_token1] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(1580),
    [aux_sym_string_token1] = ACTIONS(1580),
    [anon_sym_SQUOTE] = ACTIONS(1580),
    [anon_sym_LT_LT_LT] = ACTIONS(1580),
    [anon_sym_BQUOTE] = ACTIONS(1580),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [aux_sym_yield_expression_token1] = ACTIONS(1582),
    [aux_sym_include_expression_token1] = ACTIONS(1582),
    [aux_sym_include_once_expression_token1] = ACTIONS(1582),
    [aux_sym_require_expression_token1] = ACTIONS(1582),
    [aux_sym_require_once_expression_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_text_interpolation] = STATE(588),
    [ts_builtin_sym_end] = ACTIONS(1584),
    [sym_name] = ACTIONS(1586),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1584),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1586),
    [aux_sym_global_declaration_token1] = ACTIONS(1586),
    [aux_sym_namespace_definition_token1] = ACTIONS(1586),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1586),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1586),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1586),
    [anon_sym_BSLASH] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym_RBRACE] = ACTIONS(1584),
    [aux_sym_trait_declaration_token1] = ACTIONS(1586),
    [aux_sym_interface_declaration_token1] = ACTIONS(1586),
    [aux_sym_enum_declaration_token1] = ACTIONS(1586),
    [aux_sym_enum_case_token1] = ACTIONS(1586),
    [aux_sym_class_declaration_token1] = ACTIONS(1586),
    [aux_sym_final_modifier_token1] = ACTIONS(1586),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1586),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1586),
    [sym_var_modifier] = ACTIONS(1586),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1586),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1586),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1586),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [aux_sym_cast_type_token1] = ACTIONS(1586),
    [aux_sym_echo_statement_token1] = ACTIONS(1586),
    [aux_sym_exit_statement_token1] = ACTIONS(1586),
    [anon_sym_unset] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1586),
    [aux_sym_declare_statement_token2] = ACTIONS(1586),
    [sym_float] = ACTIONS(1586),
    [aux_sym_try_statement_token1] = ACTIONS(1586),
    [aux_sym_goto_statement_token1] = ACTIONS(1586),
    [aux_sym_continue_statement_token1] = ACTIONS(1586),
    [aux_sym_break_statement_token1] = ACTIONS(1586),
    [sym_integer] = ACTIONS(1586),
    [aux_sym_return_statement_token1] = ACTIONS(1586),
    [aux_sym_throw_expression_token1] = ACTIONS(1586),
    [aux_sym_while_statement_token1] = ACTIONS(1586),
    [aux_sym_while_statement_token2] = ACTIONS(1586),
    [aux_sym_do_statement_token1] = ACTIONS(1586),
    [aux_sym_for_statement_token1] = ACTIONS(1586),
    [aux_sym_for_statement_token2] = ACTIONS(1586),
    [aux_sym_foreach_statement_token1] = ACTIONS(1586),
    [aux_sym_foreach_statement_token2] = ACTIONS(1586),
    [aux_sym_if_statement_token1] = ACTIONS(1586),
    [aux_sym_if_statement_token2] = ACTIONS(1586),
    [aux_sym_else_if_clause_token1] = ACTIONS(1586),
    [aux_sym_else_clause_token1] = ACTIONS(1586),
    [aux_sym_match_expression_token1] = ACTIONS(1586),
    [aux_sym_match_default_expression_token1] = ACTIONS(1586),
    [aux_sym_switch_statement_token1] = ACTIONS(1586),
    [aux_sym_switch_block_token1] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1586),
    [anon_sym_TILDE] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1584),
    [aux_sym_clone_expression_token1] = ACTIONS(1586),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1586),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [aux_sym__list_destructing_token1] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_self] = ACTIONS(1586),
    [anon_sym_parent] = ACTIONS(1586),
    [aux_sym__argument_name_token1] = ACTIONS(1586),
    [aux_sym__argument_name_token2] = ACTIONS(1586),
    [anon_sym_POUND_LBRACK] = ACTIONS(1584),
    [aux_sym_encapsed_string_token1] = ACTIONS(1584),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [aux_sym_string_token1] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1584),
    [anon_sym_LT_LT_LT] = ACTIONS(1584),
    [anon_sym_BQUOTE] = ACTIONS(1584),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [aux_sym_yield_expression_token1] = ACTIONS(1586),
    [aux_sym_include_expression_token1] = ACTIONS(1586),
    [aux_sym_include_once_expression_token1] = ACTIONS(1586),
    [aux_sym_require_expression_token1] = ACTIONS(1586),
    [aux_sym_require_once_expression_token1] = ACTIONS(1586),
    [sym_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_text_interpolation] = STATE(589),
    [ts_builtin_sym_end] = ACTIONS(1588),
    [sym_name] = ACTIONS(1590),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1588),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1590),
    [aux_sym_global_declaration_token1] = ACTIONS(1590),
    [aux_sym_namespace_definition_token1] = ACTIONS(1590),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1590),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1590),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1590),
    [anon_sym_BSLASH] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1588),
    [anon_sym_RBRACE] = ACTIONS(1588),
    [aux_sym_trait_declaration_token1] = ACTIONS(1590),
    [aux_sym_interface_declaration_token1] = ACTIONS(1590),
    [aux_sym_enum_declaration_token1] = ACTIONS(1590),
    [aux_sym_enum_case_token1] = ACTIONS(1590),
    [aux_sym_class_declaration_token1] = ACTIONS(1590),
    [aux_sym_final_modifier_token1] = ACTIONS(1590),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1590),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1590),
    [sym_var_modifier] = ACTIONS(1590),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1590),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1590),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1588),
    [aux_sym_cast_type_token1] = ACTIONS(1590),
    [aux_sym_echo_statement_token1] = ACTIONS(1590),
    [aux_sym_exit_statement_token1] = ACTIONS(1590),
    [anon_sym_unset] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1590),
    [aux_sym_declare_statement_token2] = ACTIONS(1590),
    [sym_float] = ACTIONS(1590),
    [aux_sym_try_statement_token1] = ACTIONS(1590),
    [aux_sym_goto_statement_token1] = ACTIONS(1590),
    [aux_sym_continue_statement_token1] = ACTIONS(1590),
    [aux_sym_break_statement_token1] = ACTIONS(1590),
    [sym_integer] = ACTIONS(1590),
    [aux_sym_return_statement_token1] = ACTIONS(1590),
    [aux_sym_throw_expression_token1] = ACTIONS(1590),
    [aux_sym_while_statement_token1] = ACTIONS(1590),
    [aux_sym_while_statement_token2] = ACTIONS(1590),
    [aux_sym_do_statement_token1] = ACTIONS(1590),
    [aux_sym_for_statement_token1] = ACTIONS(1590),
    [aux_sym_for_statement_token2] = ACTIONS(1590),
    [aux_sym_foreach_statement_token1] = ACTIONS(1590),
    [aux_sym_foreach_statement_token2] = ACTIONS(1590),
    [aux_sym_if_statement_token1] = ACTIONS(1590),
    [aux_sym_if_statement_token2] = ACTIONS(1590),
    [aux_sym_else_if_clause_token1] = ACTIONS(1590),
    [aux_sym_else_clause_token1] = ACTIONS(1590),
    [aux_sym_match_expression_token1] = ACTIONS(1590),
    [aux_sym_match_default_expression_token1] = ACTIONS(1590),
    [aux_sym_switch_statement_token1] = ACTIONS(1590),
    [aux_sym_switch_block_token1] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1588),
    [aux_sym_clone_expression_token1] = ACTIONS(1590),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1590),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1590),
    [anon_sym_DASH_DASH] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(1588),
    [aux_sym__list_destructing_token1] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1588),
    [anon_sym_self] = ACTIONS(1590),
    [anon_sym_parent] = ACTIONS(1590),
    [aux_sym__argument_name_token1] = ACTIONS(1590),
    [aux_sym__argument_name_token2] = ACTIONS(1590),
    [anon_sym_POUND_LBRACK] = ACTIONS(1588),
    [aux_sym_encapsed_string_token1] = ACTIONS(1588),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [aux_sym_string_token1] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1588),
    [anon_sym_LT_LT_LT] = ACTIONS(1588),
    [anon_sym_BQUOTE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [aux_sym_yield_expression_token1] = ACTIONS(1590),
    [aux_sym_include_expression_token1] = ACTIONS(1590),
    [aux_sym_include_once_expression_token1] = ACTIONS(1590),
    [aux_sym_require_expression_token1] = ACTIONS(1590),
    [aux_sym_require_once_expression_token1] = ACTIONS(1590),
    [sym_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_text_interpolation] = STATE(590),
    [ts_builtin_sym_end] = ACTIONS(1592),
    [sym_name] = ACTIONS(1594),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1592),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1594),
    [aux_sym_global_declaration_token1] = ACTIONS(1594),
    [aux_sym_namespace_definition_token1] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1594),
    [anon_sym_BSLASH] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1592),
    [anon_sym_RBRACE] = ACTIONS(1592),
    [aux_sym_trait_declaration_token1] = ACTIONS(1594),
    [aux_sym_interface_declaration_token1] = ACTIONS(1594),
    [aux_sym_enum_declaration_token1] = ACTIONS(1594),
    [aux_sym_enum_case_token1] = ACTIONS(1594),
    [aux_sym_class_declaration_token1] = ACTIONS(1594),
    [aux_sym_final_modifier_token1] = ACTIONS(1594),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1594),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1594),
    [sym_var_modifier] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1594),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1592),
    [aux_sym_cast_type_token1] = ACTIONS(1594),
    [aux_sym_echo_statement_token1] = ACTIONS(1594),
    [aux_sym_exit_statement_token1] = ACTIONS(1594),
    [anon_sym_unset] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1594),
    [aux_sym_declare_statement_token2] = ACTIONS(1594),
    [sym_float] = ACTIONS(1594),
    [aux_sym_try_statement_token1] = ACTIONS(1594),
    [aux_sym_goto_statement_token1] = ACTIONS(1594),
    [aux_sym_continue_statement_token1] = ACTIONS(1594),
    [aux_sym_break_statement_token1] = ACTIONS(1594),
    [sym_integer] = ACTIONS(1594),
    [aux_sym_return_statement_token1] = ACTIONS(1594),
    [aux_sym_throw_expression_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token2] = ACTIONS(1594),
    [aux_sym_do_statement_token1] = ACTIONS(1594),
    [aux_sym_for_statement_token1] = ACTIONS(1594),
    [aux_sym_for_statement_token2] = ACTIONS(1594),
    [aux_sym_foreach_statement_token1] = ACTIONS(1594),
    [aux_sym_foreach_statement_token2] = ACTIONS(1594),
    [aux_sym_if_statement_token1] = ACTIONS(1594),
    [aux_sym_if_statement_token2] = ACTIONS(1594),
    [aux_sym_else_if_clause_token1] = ACTIONS(1594),
    [aux_sym_else_clause_token1] = ACTIONS(1594),
    [aux_sym_match_expression_token1] = ACTIONS(1594),
    [aux_sym_match_default_expression_token1] = ACTIONS(1594),
    [aux_sym_switch_statement_token1] = ACTIONS(1594),
    [aux_sym_switch_block_token1] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_TILDE] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1592),
    [aux_sym_clone_expression_token1] = ACTIONS(1594),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1594),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1592),
    [aux_sym__list_destructing_token1] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1592),
    [anon_sym_self] = ACTIONS(1594),
    [anon_sym_parent] = ACTIONS(1594),
    [aux_sym__argument_name_token1] = ACTIONS(1594),
    [aux_sym__argument_name_token2] = ACTIONS(1594),
    [anon_sym_POUND_LBRACK] = ACTIONS(1592),
    [aux_sym_encapsed_string_token1] = ACTIONS(1592),
    [anon_sym_DQUOTE] = ACTIONS(1592),
    [aux_sym_string_token1] = ACTIONS(1592),
    [anon_sym_SQUOTE] = ACTIONS(1592),
    [anon_sym_LT_LT_LT] = ACTIONS(1592),
    [anon_sym_BQUOTE] = ACTIONS(1592),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [aux_sym_yield_expression_token1] = ACTIONS(1594),
    [aux_sym_include_expression_token1] = ACTIONS(1594),
    [aux_sym_include_once_expression_token1] = ACTIONS(1594),
    [aux_sym_require_expression_token1] = ACTIONS(1594),
    [aux_sym_require_once_expression_token1] = ACTIONS(1594),
    [sym_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_text_interpolation] = STATE(591),
    [ts_builtin_sym_end] = ACTIONS(1596),
    [sym_name] = ACTIONS(1598),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1596),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1598),
    [aux_sym_global_declaration_token1] = ACTIONS(1598),
    [aux_sym_namespace_definition_token1] = ACTIONS(1598),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1598),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1598),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1598),
    [anon_sym_BSLASH] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [anon_sym_RBRACE] = ACTIONS(1596),
    [aux_sym_trait_declaration_token1] = ACTIONS(1598),
    [aux_sym_interface_declaration_token1] = ACTIONS(1598),
    [aux_sym_enum_declaration_token1] = ACTIONS(1598),
    [aux_sym_enum_case_token1] = ACTIONS(1598),
    [aux_sym_class_declaration_token1] = ACTIONS(1598),
    [aux_sym_final_modifier_token1] = ACTIONS(1598),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1598),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1598),
    [sym_var_modifier] = ACTIONS(1598),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1598),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1598),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1598),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [aux_sym_cast_type_token1] = ACTIONS(1598),
    [aux_sym_echo_statement_token1] = ACTIONS(1598),
    [aux_sym_exit_statement_token1] = ACTIONS(1598),
    [anon_sym_unset] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1598),
    [aux_sym_declare_statement_token2] = ACTIONS(1598),
    [sym_float] = ACTIONS(1598),
    [aux_sym_try_statement_token1] = ACTIONS(1598),
    [aux_sym_goto_statement_token1] = ACTIONS(1598),
    [aux_sym_continue_statement_token1] = ACTIONS(1598),
    [aux_sym_break_statement_token1] = ACTIONS(1598),
    [sym_integer] = ACTIONS(1598),
    [aux_sym_return_statement_token1] = ACTIONS(1598),
    [aux_sym_throw_expression_token1] = ACTIONS(1598),
    [aux_sym_while_statement_token1] = ACTIONS(1598),
    [aux_sym_while_statement_token2] = ACTIONS(1598),
    [aux_sym_do_statement_token1] = ACTIONS(1598),
    [aux_sym_for_statement_token1] = ACTIONS(1598),
    [aux_sym_for_statement_token2] = ACTIONS(1598),
    [aux_sym_foreach_statement_token1] = ACTIONS(1598),
    [aux_sym_foreach_statement_token2] = ACTIONS(1598),
    [aux_sym_if_statement_token1] = ACTIONS(1598),
    [aux_sym_if_statement_token2] = ACTIONS(1598),
    [aux_sym_else_if_clause_token1] = ACTIONS(1598),
    [aux_sym_else_clause_token1] = ACTIONS(1598),
    [aux_sym_match_expression_token1] = ACTIONS(1598),
    [aux_sym_match_default_expression_token1] = ACTIONS(1598),
    [aux_sym_switch_statement_token1] = ACTIONS(1598),
    [aux_sym_switch_block_token1] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_TILDE] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [aux_sym_clone_expression_token1] = ACTIONS(1598),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1598),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1596),
    [aux_sym__list_destructing_token1] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_self] = ACTIONS(1598),
    [anon_sym_parent] = ACTIONS(1598),
    [aux_sym__argument_name_token1] = ACTIONS(1598),
    [aux_sym__argument_name_token2] = ACTIONS(1598),
    [anon_sym_POUND_LBRACK] = ACTIONS(1596),
    [aux_sym_encapsed_string_token1] = ACTIONS(1596),
    [anon_sym_DQUOTE] = ACTIONS(1596),
    [aux_sym_string_token1] = ACTIONS(1596),
    [anon_sym_SQUOTE] = ACTIONS(1596),
    [anon_sym_LT_LT_LT] = ACTIONS(1596),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [aux_sym_yield_expression_token1] = ACTIONS(1598),
    [aux_sym_include_expression_token1] = ACTIONS(1598),
    [aux_sym_include_once_expression_token1] = ACTIONS(1598),
    [aux_sym_require_expression_token1] = ACTIONS(1598),
    [aux_sym_require_once_expression_token1] = ACTIONS(1598),
    [sym_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_text_interpolation] = STATE(592),
    [ts_builtin_sym_end] = ACTIONS(1600),
    [sym_name] = ACTIONS(1602),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1600),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1602),
    [aux_sym_global_declaration_token1] = ACTIONS(1602),
    [aux_sym_namespace_definition_token1] = ACTIONS(1602),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1602),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1602),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1602),
    [anon_sym_BSLASH] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [aux_sym_trait_declaration_token1] = ACTIONS(1602),
    [aux_sym_interface_declaration_token1] = ACTIONS(1602),
    [aux_sym_enum_declaration_token1] = ACTIONS(1602),
    [aux_sym_enum_case_token1] = ACTIONS(1602),
    [aux_sym_class_declaration_token1] = ACTIONS(1602),
    [aux_sym_final_modifier_token1] = ACTIONS(1602),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1602),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1602),
    [sym_var_modifier] = ACTIONS(1602),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1602),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1602),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1602),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [aux_sym_cast_type_token1] = ACTIONS(1602),
    [aux_sym_echo_statement_token1] = ACTIONS(1602),
    [aux_sym_exit_statement_token1] = ACTIONS(1602),
    [anon_sym_unset] = ACTIONS(1602),
    [aux_sym_declare_statement_token1] = ACTIONS(1602),
    [aux_sym_declare_statement_token2] = ACTIONS(1602),
    [sym_float] = ACTIONS(1602),
    [aux_sym_try_statement_token1] = ACTIONS(1602),
    [aux_sym_goto_statement_token1] = ACTIONS(1602),
    [aux_sym_continue_statement_token1] = ACTIONS(1602),
    [aux_sym_break_statement_token1] = ACTIONS(1602),
    [sym_integer] = ACTIONS(1602),
    [aux_sym_return_statement_token1] = ACTIONS(1602),
    [aux_sym_throw_expression_token1] = ACTIONS(1602),
    [aux_sym_while_statement_token1] = ACTIONS(1602),
    [aux_sym_while_statement_token2] = ACTIONS(1602),
    [aux_sym_do_statement_token1] = ACTIONS(1602),
    [aux_sym_for_statement_token1] = ACTIONS(1602),
    [aux_sym_for_statement_token2] = ACTIONS(1602),
    [aux_sym_foreach_statement_token1] = ACTIONS(1602),
    [aux_sym_foreach_statement_token2] = ACTIONS(1602),
    [aux_sym_if_statement_token1] = ACTIONS(1602),
    [aux_sym_if_statement_token2] = ACTIONS(1602),
    [aux_sym_else_if_clause_token1] = ACTIONS(1602),
    [aux_sym_else_clause_token1] = ACTIONS(1602),
    [aux_sym_match_expression_token1] = ACTIONS(1602),
    [aux_sym_match_default_expression_token1] = ACTIONS(1602),
    [aux_sym_switch_statement_token1] = ACTIONS(1602),
    [aux_sym_switch_block_token1] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1600),
    [aux_sym_clone_expression_token1] = ACTIONS(1602),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1602),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1602),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [aux_sym__list_destructing_token1] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_self] = ACTIONS(1602),
    [anon_sym_parent] = ACTIONS(1602),
    [aux_sym__argument_name_token1] = ACTIONS(1602),
    [aux_sym__argument_name_token2] = ACTIONS(1602),
    [anon_sym_POUND_LBRACK] = ACTIONS(1600),
    [aux_sym_encapsed_string_token1] = ACTIONS(1600),
    [anon_sym_DQUOTE] = ACTIONS(1600),
    [aux_sym_string_token1] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [anon_sym_LT_LT_LT] = ACTIONS(1600),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [aux_sym_yield_expression_token1] = ACTIONS(1602),
    [aux_sym_include_expression_token1] = ACTIONS(1602),
    [aux_sym_include_once_expression_token1] = ACTIONS(1602),
    [aux_sym_require_expression_token1] = ACTIONS(1602),
    [aux_sym_require_once_expression_token1] = ACTIONS(1602),
    [sym_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_text_interpolation] = STATE(593),
    [ts_builtin_sym_end] = ACTIONS(1604),
    [sym_name] = ACTIONS(1606),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1604),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1606),
    [aux_sym_global_declaration_token1] = ACTIONS(1606),
    [aux_sym_namespace_definition_token1] = ACTIONS(1606),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1606),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1606),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1606),
    [anon_sym_BSLASH] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(1604),
    [aux_sym_trait_declaration_token1] = ACTIONS(1606),
    [aux_sym_interface_declaration_token1] = ACTIONS(1606),
    [aux_sym_enum_declaration_token1] = ACTIONS(1606),
    [aux_sym_enum_case_token1] = ACTIONS(1606),
    [aux_sym_class_declaration_token1] = ACTIONS(1606),
    [aux_sym_final_modifier_token1] = ACTIONS(1606),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1606),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1606),
    [sym_var_modifier] = ACTIONS(1606),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1606),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1606),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1606),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1606),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [aux_sym_cast_type_token1] = ACTIONS(1606),
    [aux_sym_echo_statement_token1] = ACTIONS(1606),
    [aux_sym_exit_statement_token1] = ACTIONS(1606),
    [anon_sym_unset] = ACTIONS(1606),
    [aux_sym_declare_statement_token1] = ACTIONS(1606),
    [aux_sym_declare_statement_token2] = ACTIONS(1606),
    [sym_float] = ACTIONS(1606),
    [aux_sym_try_statement_token1] = ACTIONS(1606),
    [aux_sym_goto_statement_token1] = ACTIONS(1606),
    [aux_sym_continue_statement_token1] = ACTIONS(1606),
    [aux_sym_break_statement_token1] = ACTIONS(1606),
    [sym_integer] = ACTIONS(1606),
    [aux_sym_return_statement_token1] = ACTIONS(1606),
    [aux_sym_throw_expression_token1] = ACTIONS(1606),
    [aux_sym_while_statement_token1] = ACTIONS(1606),
    [aux_sym_while_statement_token2] = ACTIONS(1606),
    [aux_sym_do_statement_token1] = ACTIONS(1606),
    [aux_sym_for_statement_token1] = ACTIONS(1606),
    [aux_sym_for_statement_token2] = ACTIONS(1606),
    [aux_sym_foreach_statement_token1] = ACTIONS(1606),
    [aux_sym_foreach_statement_token2] = ACTIONS(1606),
    [aux_sym_if_statement_token1] = ACTIONS(1606),
    [aux_sym_if_statement_token2] = ACTIONS(1606),
    [aux_sym_else_if_clause_token1] = ACTIONS(1606),
    [aux_sym_else_clause_token1] = ACTIONS(1606),
    [aux_sym_match_expression_token1] = ACTIONS(1606),
    [aux_sym_match_default_expression_token1] = ACTIONS(1606),
    [aux_sym_switch_statement_token1] = ACTIONS(1606),
    [aux_sym_switch_block_token1] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [aux_sym_clone_expression_token1] = ACTIONS(1606),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1606),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [aux_sym__list_destructing_token1] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_self] = ACTIONS(1606),
    [anon_sym_parent] = ACTIONS(1606),
    [aux_sym__argument_name_token1] = ACTIONS(1606),
    [aux_sym__argument_name_token2] = ACTIONS(1606),
    [anon_sym_POUND_LBRACK] = ACTIONS(1604),
    [aux_sym_encapsed_string_token1] = ACTIONS(1604),
    [anon_sym_DQUOTE] = ACTIONS(1604),
    [aux_sym_string_token1] = ACTIONS(1604),
    [anon_sym_SQUOTE] = ACTIONS(1604),
    [anon_sym_LT_LT_LT] = ACTIONS(1604),
    [anon_sym_BQUOTE] = ACTIONS(1604),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [aux_sym_yield_expression_token1] = ACTIONS(1606),
    [aux_sym_include_expression_token1] = ACTIONS(1606),
    [aux_sym_include_once_expression_token1] = ACTIONS(1606),
    [aux_sym_require_expression_token1] = ACTIONS(1606),
    [aux_sym_require_once_expression_token1] = ACTIONS(1606),
    [sym_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_text_interpolation] = STATE(594),
    [ts_builtin_sym_end] = ACTIONS(1608),
    [sym_name] = ACTIONS(1610),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1608),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1610),
    [aux_sym_global_declaration_token1] = ACTIONS(1610),
    [aux_sym_namespace_definition_token1] = ACTIONS(1610),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1610),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1610),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1610),
    [anon_sym_BSLASH] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1608),
    [anon_sym_RBRACE] = ACTIONS(1608),
    [aux_sym_trait_declaration_token1] = ACTIONS(1610),
    [aux_sym_interface_declaration_token1] = ACTIONS(1610),
    [aux_sym_enum_declaration_token1] = ACTIONS(1610),
    [aux_sym_enum_case_token1] = ACTIONS(1610),
    [aux_sym_class_declaration_token1] = ACTIONS(1610),
    [aux_sym_final_modifier_token1] = ACTIONS(1610),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1610),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1610),
    [sym_var_modifier] = ACTIONS(1610),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1610),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1610),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1610),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1608),
    [aux_sym_cast_type_token1] = ACTIONS(1610),
    [aux_sym_echo_statement_token1] = ACTIONS(1610),
    [aux_sym_exit_statement_token1] = ACTIONS(1610),
    [anon_sym_unset] = ACTIONS(1610),
    [aux_sym_declare_statement_token1] = ACTIONS(1610),
    [aux_sym_declare_statement_token2] = ACTIONS(1610),
    [sym_float] = ACTIONS(1610),
    [aux_sym_try_statement_token1] = ACTIONS(1610),
    [aux_sym_goto_statement_token1] = ACTIONS(1610),
    [aux_sym_continue_statement_token1] = ACTIONS(1610),
    [aux_sym_break_statement_token1] = ACTIONS(1610),
    [sym_integer] = ACTIONS(1610),
    [aux_sym_return_statement_token1] = ACTIONS(1610),
    [aux_sym_throw_expression_token1] = ACTIONS(1610),
    [aux_sym_while_statement_token1] = ACTIONS(1610),
    [aux_sym_while_statement_token2] = ACTIONS(1610),
    [aux_sym_do_statement_token1] = ACTIONS(1610),
    [aux_sym_for_statement_token1] = ACTIONS(1610),
    [aux_sym_for_statement_token2] = ACTIONS(1610),
    [aux_sym_foreach_statement_token1] = ACTIONS(1610),
    [aux_sym_foreach_statement_token2] = ACTIONS(1610),
    [aux_sym_if_statement_token1] = ACTIONS(1610),
    [aux_sym_if_statement_token2] = ACTIONS(1610),
    [aux_sym_else_if_clause_token1] = ACTIONS(1610),
    [aux_sym_else_clause_token1] = ACTIONS(1610),
    [aux_sym_match_expression_token1] = ACTIONS(1610),
    [aux_sym_match_default_expression_token1] = ACTIONS(1610),
    [aux_sym_switch_statement_token1] = ACTIONS(1610),
    [aux_sym_switch_block_token1] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1610),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1608),
    [aux_sym_clone_expression_token1] = ACTIONS(1610),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1610),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1610),
    [anon_sym_DASH_DASH] = ACTIONS(1608),
    [anon_sym_PLUS_PLUS] = ACTIONS(1608),
    [aux_sym__list_destructing_token1] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_self] = ACTIONS(1610),
    [anon_sym_parent] = ACTIONS(1610),
    [aux_sym__argument_name_token1] = ACTIONS(1610),
    [aux_sym__argument_name_token2] = ACTIONS(1610),
    [anon_sym_POUND_LBRACK] = ACTIONS(1608),
    [aux_sym_encapsed_string_token1] = ACTIONS(1608),
    [anon_sym_DQUOTE] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1608),
    [anon_sym_SQUOTE] = ACTIONS(1608),
    [anon_sym_LT_LT_LT] = ACTIONS(1608),
    [anon_sym_BQUOTE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [aux_sym_yield_expression_token1] = ACTIONS(1610),
    [aux_sym_include_expression_token1] = ACTIONS(1610),
    [aux_sym_include_once_expression_token1] = ACTIONS(1610),
    [aux_sym_require_expression_token1] = ACTIONS(1610),
    [aux_sym_require_once_expression_token1] = ACTIONS(1610),
    [sym_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_text_interpolation] = STATE(595),
    [ts_builtin_sym_end] = ACTIONS(1612),
    [sym_name] = ACTIONS(1614),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1612),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1614),
    [aux_sym_global_declaration_token1] = ACTIONS(1614),
    [aux_sym_namespace_definition_token1] = ACTIONS(1614),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1614),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1614),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1614),
    [anon_sym_BSLASH] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(1612),
    [aux_sym_trait_declaration_token1] = ACTIONS(1614),
    [aux_sym_interface_declaration_token1] = ACTIONS(1614),
    [aux_sym_enum_declaration_token1] = ACTIONS(1614),
    [aux_sym_enum_case_token1] = ACTIONS(1614),
    [aux_sym_class_declaration_token1] = ACTIONS(1614),
    [aux_sym_final_modifier_token1] = ACTIONS(1614),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1614),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1614),
    [sym_var_modifier] = ACTIONS(1614),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1614),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1614),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1614),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1612),
    [aux_sym_cast_type_token1] = ACTIONS(1614),
    [aux_sym_echo_statement_token1] = ACTIONS(1614),
    [aux_sym_exit_statement_token1] = ACTIONS(1614),
    [anon_sym_unset] = ACTIONS(1614),
    [aux_sym_declare_statement_token1] = ACTIONS(1614),
    [aux_sym_declare_statement_token2] = ACTIONS(1614),
    [sym_float] = ACTIONS(1614),
    [aux_sym_try_statement_token1] = ACTIONS(1614),
    [aux_sym_goto_statement_token1] = ACTIONS(1614),
    [aux_sym_continue_statement_token1] = ACTIONS(1614),
    [aux_sym_break_statement_token1] = ACTIONS(1614),
    [sym_integer] = ACTIONS(1614),
    [aux_sym_return_statement_token1] = ACTIONS(1614),
    [aux_sym_throw_expression_token1] = ACTIONS(1614),
    [aux_sym_while_statement_token1] = ACTIONS(1614),
    [aux_sym_while_statement_token2] = ACTIONS(1614),
    [aux_sym_do_statement_token1] = ACTIONS(1614),
    [aux_sym_for_statement_token1] = ACTIONS(1614),
    [aux_sym_for_statement_token2] = ACTIONS(1614),
    [aux_sym_foreach_statement_token1] = ACTIONS(1614),
    [aux_sym_foreach_statement_token2] = ACTIONS(1614),
    [aux_sym_if_statement_token1] = ACTIONS(1614),
    [aux_sym_if_statement_token2] = ACTIONS(1614),
    [aux_sym_else_if_clause_token1] = ACTIONS(1614),
    [aux_sym_else_clause_token1] = ACTIONS(1614),
    [aux_sym_match_expression_token1] = ACTIONS(1614),
    [aux_sym_match_default_expression_token1] = ACTIONS(1614),
    [aux_sym_switch_statement_token1] = ACTIONS(1614),
    [aux_sym_switch_block_token1] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_TILDE] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [aux_sym_clone_expression_token1] = ACTIONS(1614),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1614),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1614),
    [anon_sym_DASH_DASH] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1612),
    [aux_sym__list_destructing_token1] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1612),
    [anon_sym_self] = ACTIONS(1614),
    [anon_sym_parent] = ACTIONS(1614),
    [aux_sym__argument_name_token1] = ACTIONS(1614),
    [aux_sym__argument_name_token2] = ACTIONS(1614),
    [anon_sym_POUND_LBRACK] = ACTIONS(1612),
    [aux_sym_encapsed_string_token1] = ACTIONS(1612),
    [anon_sym_DQUOTE] = ACTIONS(1612),
    [aux_sym_string_token1] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_LT_LT_LT] = ACTIONS(1612),
    [anon_sym_BQUOTE] = ACTIONS(1612),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [aux_sym_yield_expression_token1] = ACTIONS(1614),
    [aux_sym_include_expression_token1] = ACTIONS(1614),
    [aux_sym_include_once_expression_token1] = ACTIONS(1614),
    [aux_sym_require_expression_token1] = ACTIONS(1614),
    [aux_sym_require_once_expression_token1] = ACTIONS(1614),
    [sym_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_text_interpolation] = STATE(596),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [sym_var_modifier] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [aux_sym_exit_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_text_interpolation] = STATE(597),
    [ts_builtin_sym_end] = ACTIONS(1616),
    [sym_name] = ACTIONS(1618),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1616),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1618),
    [aux_sym_global_declaration_token1] = ACTIONS(1618),
    [aux_sym_namespace_definition_token1] = ACTIONS(1618),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1618),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1618),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1618),
    [anon_sym_BSLASH] = ACTIONS(1616),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [aux_sym_trait_declaration_token1] = ACTIONS(1618),
    [aux_sym_interface_declaration_token1] = ACTIONS(1618),
    [aux_sym_enum_declaration_token1] = ACTIONS(1618),
    [aux_sym_enum_case_token1] = ACTIONS(1618),
    [aux_sym_class_declaration_token1] = ACTIONS(1618),
    [aux_sym_final_modifier_token1] = ACTIONS(1618),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1618),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1618),
    [sym_var_modifier] = ACTIONS(1618),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1618),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1618),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1618),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [aux_sym_cast_type_token1] = ACTIONS(1618),
    [aux_sym_echo_statement_token1] = ACTIONS(1618),
    [aux_sym_exit_statement_token1] = ACTIONS(1618),
    [anon_sym_unset] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1618),
    [aux_sym_declare_statement_token2] = ACTIONS(1618),
    [sym_float] = ACTIONS(1618),
    [aux_sym_try_statement_token1] = ACTIONS(1618),
    [aux_sym_goto_statement_token1] = ACTIONS(1618),
    [aux_sym_continue_statement_token1] = ACTIONS(1618),
    [aux_sym_break_statement_token1] = ACTIONS(1618),
    [sym_integer] = ACTIONS(1618),
    [aux_sym_return_statement_token1] = ACTIONS(1618),
    [aux_sym_throw_expression_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token2] = ACTIONS(1618),
    [aux_sym_do_statement_token1] = ACTIONS(1618),
    [aux_sym_for_statement_token1] = ACTIONS(1618),
    [aux_sym_for_statement_token2] = ACTIONS(1618),
    [aux_sym_foreach_statement_token1] = ACTIONS(1618),
    [aux_sym_foreach_statement_token2] = ACTIONS(1618),
    [aux_sym_if_statement_token1] = ACTIONS(1618),
    [aux_sym_if_statement_token2] = ACTIONS(1618),
    [aux_sym_else_if_clause_token1] = ACTIONS(1618),
    [aux_sym_else_clause_token1] = ACTIONS(1618),
    [aux_sym_match_expression_token1] = ACTIONS(1618),
    [aux_sym_match_default_expression_token1] = ACTIONS(1618),
    [aux_sym_switch_statement_token1] = ACTIONS(1618),
    [aux_sym_switch_block_token1] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1618),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_BANG] = ACTIONS(1616),
    [anon_sym_AT] = ACTIONS(1616),
    [aux_sym_clone_expression_token1] = ACTIONS(1618),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1618),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1618),
    [anon_sym_DASH_DASH] = ACTIONS(1616),
    [anon_sym_PLUS_PLUS] = ACTIONS(1616),
    [aux_sym__list_destructing_token1] = ACTIONS(1618),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_self] = ACTIONS(1618),
    [anon_sym_parent] = ACTIONS(1618),
    [aux_sym__argument_name_token1] = ACTIONS(1618),
    [aux_sym__argument_name_token2] = ACTIONS(1618),
    [anon_sym_POUND_LBRACK] = ACTIONS(1616),
    [aux_sym_encapsed_string_token1] = ACTIONS(1616),
    [anon_sym_DQUOTE] = ACTIONS(1616),
    [aux_sym_string_token1] = ACTIONS(1616),
    [anon_sym_SQUOTE] = ACTIONS(1616),
    [anon_sym_LT_LT_LT] = ACTIONS(1616),
    [anon_sym_BQUOTE] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1616),
    [aux_sym_yield_expression_token1] = ACTIONS(1618),
    [aux_sym_include_expression_token1] = ACTIONS(1618),
    [aux_sym_include_once_expression_token1] = ACTIONS(1618),
    [aux_sym_require_expression_token1] = ACTIONS(1618),
    [aux_sym_require_once_expression_token1] = ACTIONS(1618),
    [sym_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_text_interpolation] = STATE(598),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_text_interpolation] = STATE(599),
    [ts_builtin_sym_end] = ACTIONS(1616),
    [sym_name] = ACTIONS(1618),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1616),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1618),
    [aux_sym_global_declaration_token1] = ACTIONS(1618),
    [aux_sym_namespace_definition_token1] = ACTIONS(1618),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1618),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1618),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1618),
    [anon_sym_BSLASH] = ACTIONS(1616),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [aux_sym_trait_declaration_token1] = ACTIONS(1618),
    [aux_sym_interface_declaration_token1] = ACTIONS(1618),
    [aux_sym_enum_declaration_token1] = ACTIONS(1618),
    [aux_sym_enum_case_token1] = ACTIONS(1618),
    [aux_sym_class_declaration_token1] = ACTIONS(1618),
    [aux_sym_final_modifier_token1] = ACTIONS(1618),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1618),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1618),
    [sym_var_modifier] = ACTIONS(1618),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1618),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1618),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1618),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [aux_sym_cast_type_token1] = ACTIONS(1618),
    [aux_sym_echo_statement_token1] = ACTIONS(1618),
    [aux_sym_exit_statement_token1] = ACTIONS(1618),
    [anon_sym_unset] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1618),
    [aux_sym_declare_statement_token2] = ACTIONS(1618),
    [sym_float] = ACTIONS(1618),
    [aux_sym_try_statement_token1] = ACTIONS(1618),
    [aux_sym_goto_statement_token1] = ACTIONS(1618),
    [aux_sym_continue_statement_token1] = ACTIONS(1618),
    [aux_sym_break_statement_token1] = ACTIONS(1618),
    [sym_integer] = ACTIONS(1618),
    [aux_sym_return_statement_token1] = ACTIONS(1618),
    [aux_sym_throw_expression_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token2] = ACTIONS(1618),
    [aux_sym_do_statement_token1] = ACTIONS(1618),
    [aux_sym_for_statement_token1] = ACTIONS(1618),
    [aux_sym_for_statement_token2] = ACTIONS(1618),
    [aux_sym_foreach_statement_token1] = ACTIONS(1618),
    [aux_sym_foreach_statement_token2] = ACTIONS(1618),
    [aux_sym_if_statement_token1] = ACTIONS(1618),
    [aux_sym_if_statement_token2] = ACTIONS(1618),
    [aux_sym_else_if_clause_token1] = ACTIONS(1618),
    [aux_sym_else_clause_token1] = ACTIONS(1618),
    [aux_sym_match_expression_token1] = ACTIONS(1618),
    [aux_sym_match_default_expression_token1] = ACTIONS(1618),
    [aux_sym_switch_statement_token1] = ACTIONS(1618),
    [aux_sym_switch_block_token1] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1618),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_BANG] = ACTIONS(1616),
    [anon_sym_AT] = ACTIONS(1616),
    [aux_sym_clone_expression_token1] = ACTIONS(1618),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1618),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1618),
    [anon_sym_DASH_DASH] = ACTIONS(1616),
    [anon_sym_PLUS_PLUS] = ACTIONS(1616),
    [aux_sym__list_destructing_token1] = ACTIONS(1618),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_self] = ACTIONS(1618),
    [anon_sym_parent] = ACTIONS(1618),
    [aux_sym__argument_name_token1] = ACTIONS(1618),
    [aux_sym__argument_name_token2] = ACTIONS(1618),
    [anon_sym_POUND_LBRACK] = ACTIONS(1616),
    [aux_sym_encapsed_string_token1] = ACTIONS(1616),
    [anon_sym_DQUOTE] = ACTIONS(1616),
    [aux_sym_string_token1] = ACTIONS(1616),
    [anon_sym_SQUOTE] = ACTIONS(1616),
    [anon_sym_LT_LT_LT] = ACTIONS(1616),
    [anon_sym_BQUOTE] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1616),
    [aux_sym_yield_expression_token1] = ACTIONS(1618),
    [aux_sym_include_expression_token1] = ACTIONS(1618),
    [aux_sym_include_once_expression_token1] = ACTIONS(1618),
    [aux_sym_require_expression_token1] = ACTIONS(1618),
    [aux_sym_require_once_expression_token1] = ACTIONS(1618),
    [sym_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_text_interpolation] = STATE(600),
    [ts_builtin_sym_end] = ACTIONS(1620),
    [sym_name] = ACTIONS(1622),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1620),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1622),
    [aux_sym_global_declaration_token1] = ACTIONS(1622),
    [aux_sym_namespace_definition_token1] = ACTIONS(1622),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1622),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1622),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1622),
    [anon_sym_BSLASH] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_RBRACE] = ACTIONS(1620),
    [aux_sym_trait_declaration_token1] = ACTIONS(1622),
    [aux_sym_interface_declaration_token1] = ACTIONS(1622),
    [aux_sym_enum_declaration_token1] = ACTIONS(1622),
    [aux_sym_enum_case_token1] = ACTIONS(1622),
    [aux_sym_class_declaration_token1] = ACTIONS(1622),
    [aux_sym_final_modifier_token1] = ACTIONS(1622),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1622),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1622),
    [sym_var_modifier] = ACTIONS(1622),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1622),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1622),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1622),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1620),
    [aux_sym_cast_type_token1] = ACTIONS(1622),
    [aux_sym_echo_statement_token1] = ACTIONS(1622),
    [aux_sym_exit_statement_token1] = ACTIONS(1622),
    [anon_sym_unset] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [aux_sym_declare_statement_token2] = ACTIONS(1622),
    [sym_float] = ACTIONS(1622),
    [aux_sym_try_statement_token1] = ACTIONS(1622),
    [aux_sym_goto_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [sym_integer] = ACTIONS(1622),
    [aux_sym_return_statement_token1] = ACTIONS(1622),
    [aux_sym_throw_expression_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token2] = ACTIONS(1622),
    [aux_sym_do_statement_token1] = ACTIONS(1622),
    [aux_sym_for_statement_token1] = ACTIONS(1622),
    [aux_sym_for_statement_token2] = ACTIONS(1622),
    [aux_sym_foreach_statement_token1] = ACTIONS(1622),
    [aux_sym_foreach_statement_token2] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token2] = ACTIONS(1622),
    [aux_sym_else_if_clause_token1] = ACTIONS(1622),
    [aux_sym_else_clause_token1] = ACTIONS(1622),
    [aux_sym_match_expression_token1] = ACTIONS(1622),
    [aux_sym_match_default_expression_token1] = ACTIONS(1622),
    [aux_sym_switch_statement_token1] = ACTIONS(1622),
    [aux_sym_switch_block_token1] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1620),
    [anon_sym_BANG] = ACTIONS(1620),
    [anon_sym_AT] = ACTIONS(1620),
    [aux_sym_clone_expression_token1] = ACTIONS(1622),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1622),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1622),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [aux_sym__list_destructing_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1620),
    [anon_sym_self] = ACTIONS(1622),
    [anon_sym_parent] = ACTIONS(1622),
    [aux_sym__argument_name_token1] = ACTIONS(1622),
    [aux_sym__argument_name_token2] = ACTIONS(1622),
    [anon_sym_POUND_LBRACK] = ACTIONS(1620),
    [aux_sym_encapsed_string_token1] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(1620),
    [aux_sym_string_token1] = ACTIONS(1620),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [anon_sym_LT_LT_LT] = ACTIONS(1620),
    [anon_sym_BQUOTE] = ACTIONS(1620),
    [anon_sym_DOLLAR] = ACTIONS(1620),
    [aux_sym_yield_expression_token1] = ACTIONS(1622),
    [aux_sym_include_expression_token1] = ACTIONS(1622),
    [aux_sym_include_once_expression_token1] = ACTIONS(1622),
    [aux_sym_require_expression_token1] = ACTIONS(1622),
    [aux_sym_require_once_expression_token1] = ACTIONS(1622),
    [sym_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_text_interpolation] = STATE(601),
    [ts_builtin_sym_end] = ACTIONS(1624),
    [sym_name] = ACTIONS(1626),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1624),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1626),
    [aux_sym_global_declaration_token1] = ACTIONS(1626),
    [aux_sym_namespace_definition_token1] = ACTIONS(1626),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1626),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1626),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1626),
    [anon_sym_BSLASH] = ACTIONS(1624),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_RBRACE] = ACTIONS(1624),
    [aux_sym_trait_declaration_token1] = ACTIONS(1626),
    [aux_sym_interface_declaration_token1] = ACTIONS(1626),
    [aux_sym_enum_declaration_token1] = ACTIONS(1626),
    [aux_sym_enum_case_token1] = ACTIONS(1626),
    [aux_sym_class_declaration_token1] = ACTIONS(1626),
    [aux_sym_final_modifier_token1] = ACTIONS(1626),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1626),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1626),
    [sym_var_modifier] = ACTIONS(1626),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1626),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1626),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1626),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1626),
    [anon_sym_LPAREN] = ACTIONS(1624),
    [aux_sym_cast_type_token1] = ACTIONS(1626),
    [aux_sym_echo_statement_token1] = ACTIONS(1626),
    [aux_sym_exit_statement_token1] = ACTIONS(1626),
    [anon_sym_unset] = ACTIONS(1626),
    [aux_sym_declare_statement_token1] = ACTIONS(1626),
    [aux_sym_declare_statement_token2] = ACTIONS(1626),
    [sym_float] = ACTIONS(1626),
    [aux_sym_try_statement_token1] = ACTIONS(1626),
    [aux_sym_goto_statement_token1] = ACTIONS(1626),
    [aux_sym_continue_statement_token1] = ACTIONS(1626),
    [aux_sym_break_statement_token1] = ACTIONS(1626),
    [sym_integer] = ACTIONS(1626),
    [aux_sym_return_statement_token1] = ACTIONS(1626),
    [aux_sym_throw_expression_token1] = ACTIONS(1626),
    [aux_sym_while_statement_token1] = ACTIONS(1626),
    [aux_sym_while_statement_token2] = ACTIONS(1626),
    [aux_sym_do_statement_token1] = ACTIONS(1626),
    [aux_sym_for_statement_token1] = ACTIONS(1626),
    [aux_sym_for_statement_token2] = ACTIONS(1626),
    [aux_sym_foreach_statement_token1] = ACTIONS(1626),
    [aux_sym_foreach_statement_token2] = ACTIONS(1626),
    [aux_sym_if_statement_token1] = ACTIONS(1626),
    [aux_sym_if_statement_token2] = ACTIONS(1626),
    [aux_sym_else_if_clause_token1] = ACTIONS(1626),
    [aux_sym_else_clause_token1] = ACTIONS(1626),
    [aux_sym_match_expression_token1] = ACTIONS(1626),
    [aux_sym_match_default_expression_token1] = ACTIONS(1626),
    [aux_sym_switch_statement_token1] = ACTIONS(1626),
    [aux_sym_switch_block_token1] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(1624),
    [aux_sym_clone_expression_token1] = ACTIONS(1626),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1626),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1626),
    [anon_sym_DASH_DASH] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1624),
    [aux_sym__list_destructing_token1] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1624),
    [anon_sym_self] = ACTIONS(1626),
    [anon_sym_parent] = ACTIONS(1626),
    [aux_sym__argument_name_token1] = ACTIONS(1626),
    [aux_sym__argument_name_token2] = ACTIONS(1626),
    [anon_sym_POUND_LBRACK] = ACTIONS(1624),
    [aux_sym_encapsed_string_token1] = ACTIONS(1624),
    [anon_sym_DQUOTE] = ACTIONS(1624),
    [aux_sym_string_token1] = ACTIONS(1624),
    [anon_sym_SQUOTE] = ACTIONS(1624),
    [anon_sym_LT_LT_LT] = ACTIONS(1624),
    [anon_sym_BQUOTE] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(1624),
    [aux_sym_yield_expression_token1] = ACTIONS(1626),
    [aux_sym_include_expression_token1] = ACTIONS(1626),
    [aux_sym_include_once_expression_token1] = ACTIONS(1626),
    [aux_sym_require_expression_token1] = ACTIONS(1626),
    [aux_sym_require_once_expression_token1] = ACTIONS(1626),
    [sym_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_text_interpolation] = STATE(602),
    [ts_builtin_sym_end] = ACTIONS(1628),
    [sym_name] = ACTIONS(1630),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1628),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1630),
    [aux_sym_global_declaration_token1] = ACTIONS(1630),
    [aux_sym_namespace_definition_token1] = ACTIONS(1630),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1630),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1630),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1630),
    [anon_sym_BSLASH] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(1628),
    [anon_sym_RBRACE] = ACTIONS(1628),
    [aux_sym_trait_declaration_token1] = ACTIONS(1630),
    [aux_sym_interface_declaration_token1] = ACTIONS(1630),
    [aux_sym_enum_declaration_token1] = ACTIONS(1630),
    [aux_sym_enum_case_token1] = ACTIONS(1630),
    [aux_sym_class_declaration_token1] = ACTIONS(1630),
    [aux_sym_final_modifier_token1] = ACTIONS(1630),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1630),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1630),
    [sym_var_modifier] = ACTIONS(1630),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1630),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1630),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1630),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1628),
    [aux_sym_cast_type_token1] = ACTIONS(1630),
    [aux_sym_echo_statement_token1] = ACTIONS(1630),
    [aux_sym_exit_statement_token1] = ACTIONS(1630),
    [anon_sym_unset] = ACTIONS(1630),
    [aux_sym_declare_statement_token1] = ACTIONS(1630),
    [aux_sym_declare_statement_token2] = ACTIONS(1630),
    [sym_float] = ACTIONS(1630),
    [aux_sym_try_statement_token1] = ACTIONS(1630),
    [aux_sym_goto_statement_token1] = ACTIONS(1630),
    [aux_sym_continue_statement_token1] = ACTIONS(1630),
    [aux_sym_break_statement_token1] = ACTIONS(1630),
    [sym_integer] = ACTIONS(1630),
    [aux_sym_return_statement_token1] = ACTIONS(1630),
    [aux_sym_throw_expression_token1] = ACTIONS(1630),
    [aux_sym_while_statement_token1] = ACTIONS(1630),
    [aux_sym_while_statement_token2] = ACTIONS(1630),
    [aux_sym_do_statement_token1] = ACTIONS(1630),
    [aux_sym_for_statement_token1] = ACTIONS(1630),
    [aux_sym_for_statement_token2] = ACTIONS(1630),
    [aux_sym_foreach_statement_token1] = ACTIONS(1630),
    [aux_sym_foreach_statement_token2] = ACTIONS(1630),
    [aux_sym_if_statement_token1] = ACTIONS(1630),
    [aux_sym_if_statement_token2] = ACTIONS(1630),
    [aux_sym_else_if_clause_token1] = ACTIONS(1630),
    [aux_sym_else_clause_token1] = ACTIONS(1630),
    [aux_sym_match_expression_token1] = ACTIONS(1630),
    [aux_sym_match_default_expression_token1] = ACTIONS(1630),
    [aux_sym_switch_statement_token1] = ACTIONS(1630),
    [aux_sym_switch_block_token1] = ACTIONS(1630),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_TILDE] = ACTIONS(1628),
    [anon_sym_BANG] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(1628),
    [aux_sym_clone_expression_token1] = ACTIONS(1630),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1630),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1630),
    [anon_sym_DASH_DASH] = ACTIONS(1628),
    [anon_sym_PLUS_PLUS] = ACTIONS(1628),
    [aux_sym__list_destructing_token1] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(1628),
    [anon_sym_self] = ACTIONS(1630),
    [anon_sym_parent] = ACTIONS(1630),
    [aux_sym__argument_name_token1] = ACTIONS(1630),
    [aux_sym__argument_name_token2] = ACTIONS(1630),
    [anon_sym_POUND_LBRACK] = ACTIONS(1628),
    [aux_sym_encapsed_string_token1] = ACTIONS(1628),
    [anon_sym_DQUOTE] = ACTIONS(1628),
    [aux_sym_string_token1] = ACTIONS(1628),
    [anon_sym_SQUOTE] = ACTIONS(1628),
    [anon_sym_LT_LT_LT] = ACTIONS(1628),
    [anon_sym_BQUOTE] = ACTIONS(1628),
    [anon_sym_DOLLAR] = ACTIONS(1628),
    [aux_sym_yield_expression_token1] = ACTIONS(1630),
    [aux_sym_include_expression_token1] = ACTIONS(1630),
    [aux_sym_include_once_expression_token1] = ACTIONS(1630),
    [aux_sym_require_expression_token1] = ACTIONS(1630),
    [aux_sym_require_once_expression_token1] = ACTIONS(1630),
    [sym_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_text_interpolation] = STATE(603),
    [ts_builtin_sym_end] = ACTIONS(1632),
    [sym_name] = ACTIONS(1634),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1632),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1634),
    [aux_sym_global_declaration_token1] = ACTIONS(1634),
    [aux_sym_namespace_definition_token1] = ACTIONS(1634),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1634),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1634),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1634),
    [anon_sym_BSLASH] = ACTIONS(1632),
    [anon_sym_LBRACE] = ACTIONS(1632),
    [anon_sym_RBRACE] = ACTIONS(1632),
    [aux_sym_trait_declaration_token1] = ACTIONS(1634),
    [aux_sym_interface_declaration_token1] = ACTIONS(1634),
    [aux_sym_enum_declaration_token1] = ACTIONS(1634),
    [aux_sym_enum_case_token1] = ACTIONS(1634),
    [aux_sym_class_declaration_token1] = ACTIONS(1634),
    [aux_sym_final_modifier_token1] = ACTIONS(1634),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1634),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1634),
    [sym_var_modifier] = ACTIONS(1634),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1634),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1634),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1634),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1634),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [aux_sym_cast_type_token1] = ACTIONS(1634),
    [aux_sym_echo_statement_token1] = ACTIONS(1634),
    [aux_sym_exit_statement_token1] = ACTIONS(1634),
    [anon_sym_unset] = ACTIONS(1634),
    [aux_sym_declare_statement_token1] = ACTIONS(1634),
    [aux_sym_declare_statement_token2] = ACTIONS(1634),
    [sym_float] = ACTIONS(1634),
    [aux_sym_try_statement_token1] = ACTIONS(1634),
    [aux_sym_goto_statement_token1] = ACTIONS(1634),
    [aux_sym_continue_statement_token1] = ACTIONS(1634),
    [aux_sym_break_statement_token1] = ACTIONS(1634),
    [sym_integer] = ACTIONS(1634),
    [aux_sym_return_statement_token1] = ACTIONS(1634),
    [aux_sym_throw_expression_token1] = ACTIONS(1634),
    [aux_sym_while_statement_token1] = ACTIONS(1634),
    [aux_sym_while_statement_token2] = ACTIONS(1634),
    [aux_sym_do_statement_token1] = ACTIONS(1634),
    [aux_sym_for_statement_token1] = ACTIONS(1634),
    [aux_sym_for_statement_token2] = ACTIONS(1634),
    [aux_sym_foreach_statement_token1] = ACTIONS(1634),
    [aux_sym_foreach_statement_token2] = ACTIONS(1634),
    [aux_sym_if_statement_token1] = ACTIONS(1634),
    [aux_sym_if_statement_token2] = ACTIONS(1634),
    [aux_sym_else_if_clause_token1] = ACTIONS(1634),
    [aux_sym_else_clause_token1] = ACTIONS(1634),
    [aux_sym_match_expression_token1] = ACTIONS(1634),
    [aux_sym_match_default_expression_token1] = ACTIONS(1634),
    [aux_sym_switch_statement_token1] = ACTIONS(1634),
    [aux_sym_switch_block_token1] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1634),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_TILDE] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_AT] = ACTIONS(1632),
    [aux_sym_clone_expression_token1] = ACTIONS(1634),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1634),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1634),
    [anon_sym_DASH_DASH] = ACTIONS(1632),
    [anon_sym_PLUS_PLUS] = ACTIONS(1632),
    [aux_sym__list_destructing_token1] = ACTIONS(1634),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [anon_sym_self] = ACTIONS(1634),
    [anon_sym_parent] = ACTIONS(1634),
    [aux_sym__argument_name_token1] = ACTIONS(1634),
    [aux_sym__argument_name_token2] = ACTIONS(1634),
    [anon_sym_POUND_LBRACK] = ACTIONS(1632),
    [aux_sym_encapsed_string_token1] = ACTIONS(1632),
    [anon_sym_DQUOTE] = ACTIONS(1632),
    [aux_sym_string_token1] = ACTIONS(1632),
    [anon_sym_SQUOTE] = ACTIONS(1632),
    [anon_sym_LT_LT_LT] = ACTIONS(1632),
    [anon_sym_BQUOTE] = ACTIONS(1632),
    [anon_sym_DOLLAR] = ACTIONS(1632),
    [aux_sym_yield_expression_token1] = ACTIONS(1634),
    [aux_sym_include_expression_token1] = ACTIONS(1634),
    [aux_sym_include_once_expression_token1] = ACTIONS(1634),
    [aux_sym_require_expression_token1] = ACTIONS(1634),
    [aux_sym_require_once_expression_token1] = ACTIONS(1634),
    [sym_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_text_interpolation] = STATE(604),
    [ts_builtin_sym_end] = ACTIONS(1636),
    [sym_name] = ACTIONS(1638),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1638),
    [aux_sym_global_declaration_token1] = ACTIONS(1638),
    [aux_sym_namespace_definition_token1] = ACTIONS(1638),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1638),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1638),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1638),
    [anon_sym_BSLASH] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_RBRACE] = ACTIONS(1636),
    [aux_sym_trait_declaration_token1] = ACTIONS(1638),
    [aux_sym_interface_declaration_token1] = ACTIONS(1638),
    [aux_sym_enum_declaration_token1] = ACTIONS(1638),
    [aux_sym_enum_case_token1] = ACTIONS(1638),
    [aux_sym_class_declaration_token1] = ACTIONS(1638),
    [aux_sym_final_modifier_token1] = ACTIONS(1638),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1638),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1638),
    [sym_var_modifier] = ACTIONS(1638),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1638),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1638),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1638),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_cast_type_token1] = ACTIONS(1638),
    [aux_sym_echo_statement_token1] = ACTIONS(1638),
    [aux_sym_exit_statement_token1] = ACTIONS(1638),
    [anon_sym_unset] = ACTIONS(1638),
    [aux_sym_declare_statement_token1] = ACTIONS(1638),
    [aux_sym_declare_statement_token2] = ACTIONS(1638),
    [sym_float] = ACTIONS(1638),
    [aux_sym_try_statement_token1] = ACTIONS(1638),
    [aux_sym_goto_statement_token1] = ACTIONS(1638),
    [aux_sym_continue_statement_token1] = ACTIONS(1638),
    [aux_sym_break_statement_token1] = ACTIONS(1638),
    [sym_integer] = ACTIONS(1638),
    [aux_sym_return_statement_token1] = ACTIONS(1638),
    [aux_sym_throw_expression_token1] = ACTIONS(1638),
    [aux_sym_while_statement_token1] = ACTIONS(1638),
    [aux_sym_while_statement_token2] = ACTIONS(1638),
    [aux_sym_do_statement_token1] = ACTIONS(1638),
    [aux_sym_for_statement_token1] = ACTIONS(1638),
    [aux_sym_for_statement_token2] = ACTIONS(1638),
    [aux_sym_foreach_statement_token1] = ACTIONS(1638),
    [aux_sym_foreach_statement_token2] = ACTIONS(1638),
    [aux_sym_if_statement_token1] = ACTIONS(1638),
    [aux_sym_if_statement_token2] = ACTIONS(1638),
    [aux_sym_else_if_clause_token1] = ACTIONS(1638),
    [aux_sym_else_clause_token1] = ACTIONS(1638),
    [aux_sym_match_expression_token1] = ACTIONS(1638),
    [aux_sym_match_default_expression_token1] = ACTIONS(1638),
    [aux_sym_switch_statement_token1] = ACTIONS(1638),
    [aux_sym_switch_block_token1] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_TILDE] = ACTIONS(1636),
    [anon_sym_BANG] = ACTIONS(1636),
    [anon_sym_AT] = ACTIONS(1636),
    [aux_sym_clone_expression_token1] = ACTIONS(1638),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1638),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1638),
    [anon_sym_DASH_DASH] = ACTIONS(1636),
    [anon_sym_PLUS_PLUS] = ACTIONS(1636),
    [aux_sym__list_destructing_token1] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [anon_sym_self] = ACTIONS(1638),
    [anon_sym_parent] = ACTIONS(1638),
    [aux_sym__argument_name_token1] = ACTIONS(1638),
    [aux_sym__argument_name_token2] = ACTIONS(1638),
    [anon_sym_POUND_LBRACK] = ACTIONS(1636),
    [aux_sym_encapsed_string_token1] = ACTIONS(1636),
    [anon_sym_DQUOTE] = ACTIONS(1636),
    [aux_sym_string_token1] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1636),
    [anon_sym_LT_LT_LT] = ACTIONS(1636),
    [anon_sym_BQUOTE] = ACTIONS(1636),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [aux_sym_yield_expression_token1] = ACTIONS(1638),
    [aux_sym_include_expression_token1] = ACTIONS(1638),
    [aux_sym_include_once_expression_token1] = ACTIONS(1638),
    [aux_sym_require_expression_token1] = ACTIONS(1638),
    [aux_sym_require_once_expression_token1] = ACTIONS(1638),
    [sym_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_text_interpolation] = STATE(605),
    [ts_builtin_sym_end] = ACTIONS(1640),
    [sym_name] = ACTIONS(1642),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1642),
    [aux_sym_global_declaration_token1] = ACTIONS(1642),
    [aux_sym_namespace_definition_token1] = ACTIONS(1642),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1642),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1642),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1642),
    [anon_sym_BSLASH] = ACTIONS(1640),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_RBRACE] = ACTIONS(1640),
    [aux_sym_trait_declaration_token1] = ACTIONS(1642),
    [aux_sym_interface_declaration_token1] = ACTIONS(1642),
    [aux_sym_enum_declaration_token1] = ACTIONS(1642),
    [aux_sym_enum_case_token1] = ACTIONS(1642),
    [aux_sym_class_declaration_token1] = ACTIONS(1642),
    [aux_sym_final_modifier_token1] = ACTIONS(1642),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1642),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1642),
    [sym_var_modifier] = ACTIONS(1642),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1642),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1642),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1642),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_cast_type_token1] = ACTIONS(1642),
    [aux_sym_echo_statement_token1] = ACTIONS(1642),
    [aux_sym_exit_statement_token1] = ACTIONS(1642),
    [anon_sym_unset] = ACTIONS(1642),
    [aux_sym_declare_statement_token1] = ACTIONS(1642),
    [aux_sym_declare_statement_token2] = ACTIONS(1642),
    [sym_float] = ACTIONS(1642),
    [aux_sym_try_statement_token1] = ACTIONS(1642),
    [aux_sym_goto_statement_token1] = ACTIONS(1642),
    [aux_sym_continue_statement_token1] = ACTIONS(1642),
    [aux_sym_break_statement_token1] = ACTIONS(1642),
    [sym_integer] = ACTIONS(1642),
    [aux_sym_return_statement_token1] = ACTIONS(1642),
    [aux_sym_throw_expression_token1] = ACTIONS(1642),
    [aux_sym_while_statement_token1] = ACTIONS(1642),
    [aux_sym_while_statement_token2] = ACTIONS(1642),
    [aux_sym_do_statement_token1] = ACTIONS(1642),
    [aux_sym_for_statement_token1] = ACTIONS(1642),
    [aux_sym_for_statement_token2] = ACTIONS(1642),
    [aux_sym_foreach_statement_token1] = ACTIONS(1642),
    [aux_sym_foreach_statement_token2] = ACTIONS(1642),
    [aux_sym_if_statement_token1] = ACTIONS(1642),
    [aux_sym_if_statement_token2] = ACTIONS(1642),
    [aux_sym_else_if_clause_token1] = ACTIONS(1642),
    [aux_sym_else_clause_token1] = ACTIONS(1642),
    [aux_sym_match_expression_token1] = ACTIONS(1642),
    [aux_sym_match_default_expression_token1] = ACTIONS(1642),
    [aux_sym_switch_statement_token1] = ACTIONS(1642),
    [aux_sym_switch_block_token1] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1640),
    [anon_sym_BANG] = ACTIONS(1640),
    [anon_sym_AT] = ACTIONS(1640),
    [aux_sym_clone_expression_token1] = ACTIONS(1642),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1642),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1642),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [aux_sym__list_destructing_token1] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [anon_sym_self] = ACTIONS(1642),
    [anon_sym_parent] = ACTIONS(1642),
    [aux_sym__argument_name_token1] = ACTIONS(1642),
    [aux_sym__argument_name_token2] = ACTIONS(1642),
    [anon_sym_POUND_LBRACK] = ACTIONS(1640),
    [aux_sym_encapsed_string_token1] = ACTIONS(1640),
    [anon_sym_DQUOTE] = ACTIONS(1640),
    [aux_sym_string_token1] = ACTIONS(1640),
    [anon_sym_SQUOTE] = ACTIONS(1640),
    [anon_sym_LT_LT_LT] = ACTIONS(1640),
    [anon_sym_BQUOTE] = ACTIONS(1640),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [aux_sym_yield_expression_token1] = ACTIONS(1642),
    [aux_sym_include_expression_token1] = ACTIONS(1642),
    [aux_sym_include_once_expression_token1] = ACTIONS(1642),
    [aux_sym_require_expression_token1] = ACTIONS(1642),
    [aux_sym_require_once_expression_token1] = ACTIONS(1642),
    [sym_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_text_interpolation] = STATE(606),
    [ts_builtin_sym_end] = ACTIONS(1644),
    [sym_name] = ACTIONS(1646),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1646),
    [aux_sym_global_declaration_token1] = ACTIONS(1646),
    [aux_sym_namespace_definition_token1] = ACTIONS(1646),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1646),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1646),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1646),
    [anon_sym_BSLASH] = ACTIONS(1644),
    [anon_sym_LBRACE] = ACTIONS(1644),
    [anon_sym_RBRACE] = ACTIONS(1644),
    [aux_sym_trait_declaration_token1] = ACTIONS(1646),
    [aux_sym_interface_declaration_token1] = ACTIONS(1646),
    [aux_sym_enum_declaration_token1] = ACTIONS(1646),
    [aux_sym_enum_case_token1] = ACTIONS(1646),
    [aux_sym_class_declaration_token1] = ACTIONS(1646),
    [aux_sym_final_modifier_token1] = ACTIONS(1646),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1646),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1646),
    [sym_var_modifier] = ACTIONS(1646),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1646),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1646),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1646),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [aux_sym_cast_type_token1] = ACTIONS(1646),
    [aux_sym_echo_statement_token1] = ACTIONS(1646),
    [aux_sym_exit_statement_token1] = ACTIONS(1646),
    [anon_sym_unset] = ACTIONS(1646),
    [aux_sym_declare_statement_token1] = ACTIONS(1646),
    [aux_sym_declare_statement_token2] = ACTIONS(1646),
    [sym_float] = ACTIONS(1646),
    [aux_sym_try_statement_token1] = ACTIONS(1646),
    [aux_sym_goto_statement_token1] = ACTIONS(1646),
    [aux_sym_continue_statement_token1] = ACTIONS(1646),
    [aux_sym_break_statement_token1] = ACTIONS(1646),
    [sym_integer] = ACTIONS(1646),
    [aux_sym_return_statement_token1] = ACTIONS(1646),
    [aux_sym_throw_expression_token1] = ACTIONS(1646),
    [aux_sym_while_statement_token1] = ACTIONS(1646),
    [aux_sym_while_statement_token2] = ACTIONS(1646),
    [aux_sym_do_statement_token1] = ACTIONS(1646),
    [aux_sym_for_statement_token1] = ACTIONS(1646),
    [aux_sym_for_statement_token2] = ACTIONS(1646),
    [aux_sym_foreach_statement_token1] = ACTIONS(1646),
    [aux_sym_foreach_statement_token2] = ACTIONS(1646),
    [aux_sym_if_statement_token1] = ACTIONS(1646),
    [aux_sym_if_statement_token2] = ACTIONS(1646),
    [aux_sym_else_if_clause_token1] = ACTIONS(1646),
    [aux_sym_else_clause_token1] = ACTIONS(1646),
    [aux_sym_match_expression_token1] = ACTIONS(1646),
    [aux_sym_match_default_expression_token1] = ACTIONS(1646),
    [aux_sym_switch_statement_token1] = ACTIONS(1646),
    [aux_sym_switch_block_token1] = ACTIONS(1646),
    [anon_sym_PLUS] = ACTIONS(1646),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_AT] = ACTIONS(1644),
    [aux_sym_clone_expression_token1] = ACTIONS(1646),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1646),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1646),
    [anon_sym_DASH_DASH] = ACTIONS(1644),
    [anon_sym_PLUS_PLUS] = ACTIONS(1644),
    [aux_sym__list_destructing_token1] = ACTIONS(1646),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_self] = ACTIONS(1646),
    [anon_sym_parent] = ACTIONS(1646),
    [aux_sym__argument_name_token1] = ACTIONS(1646),
    [aux_sym__argument_name_token2] = ACTIONS(1646),
    [anon_sym_POUND_LBRACK] = ACTIONS(1644),
    [aux_sym_encapsed_string_token1] = ACTIONS(1644),
    [anon_sym_DQUOTE] = ACTIONS(1644),
    [aux_sym_string_token1] = ACTIONS(1644),
    [anon_sym_SQUOTE] = ACTIONS(1644),
    [anon_sym_LT_LT_LT] = ACTIONS(1644),
    [anon_sym_BQUOTE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1644),
    [aux_sym_yield_expression_token1] = ACTIONS(1646),
    [aux_sym_include_expression_token1] = ACTIONS(1646),
    [aux_sym_include_once_expression_token1] = ACTIONS(1646),
    [aux_sym_require_expression_token1] = ACTIONS(1646),
    [aux_sym_require_once_expression_token1] = ACTIONS(1646),
    [sym_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_text_interpolation] = STATE(607),
    [ts_builtin_sym_end] = ACTIONS(1648),
    [sym_name] = ACTIONS(1650),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1648),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1650),
    [aux_sym_global_declaration_token1] = ACTIONS(1650),
    [aux_sym_namespace_definition_token1] = ACTIONS(1650),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1650),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1650),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1650),
    [anon_sym_BSLASH] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [aux_sym_trait_declaration_token1] = ACTIONS(1650),
    [aux_sym_interface_declaration_token1] = ACTIONS(1650),
    [aux_sym_enum_declaration_token1] = ACTIONS(1650),
    [aux_sym_enum_case_token1] = ACTIONS(1650),
    [aux_sym_class_declaration_token1] = ACTIONS(1650),
    [aux_sym_final_modifier_token1] = ACTIONS(1650),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1650),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1650),
    [sym_var_modifier] = ACTIONS(1650),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1650),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1650),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1650),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [aux_sym_cast_type_token1] = ACTIONS(1650),
    [aux_sym_echo_statement_token1] = ACTIONS(1650),
    [aux_sym_exit_statement_token1] = ACTIONS(1650),
    [anon_sym_unset] = ACTIONS(1650),
    [aux_sym_declare_statement_token1] = ACTIONS(1650),
    [aux_sym_declare_statement_token2] = ACTIONS(1650),
    [sym_float] = ACTIONS(1650),
    [aux_sym_try_statement_token1] = ACTIONS(1650),
    [aux_sym_goto_statement_token1] = ACTIONS(1650),
    [aux_sym_continue_statement_token1] = ACTIONS(1650),
    [aux_sym_break_statement_token1] = ACTIONS(1650),
    [sym_integer] = ACTIONS(1650),
    [aux_sym_return_statement_token1] = ACTIONS(1650),
    [aux_sym_throw_expression_token1] = ACTIONS(1650),
    [aux_sym_while_statement_token1] = ACTIONS(1650),
    [aux_sym_while_statement_token2] = ACTIONS(1650),
    [aux_sym_do_statement_token1] = ACTIONS(1650),
    [aux_sym_for_statement_token1] = ACTIONS(1650),
    [aux_sym_for_statement_token2] = ACTIONS(1650),
    [aux_sym_foreach_statement_token1] = ACTIONS(1650),
    [aux_sym_foreach_statement_token2] = ACTIONS(1650),
    [aux_sym_if_statement_token1] = ACTIONS(1650),
    [aux_sym_if_statement_token2] = ACTIONS(1650),
    [aux_sym_else_if_clause_token1] = ACTIONS(1650),
    [aux_sym_else_clause_token1] = ACTIONS(1650),
    [aux_sym_match_expression_token1] = ACTIONS(1650),
    [aux_sym_match_default_expression_token1] = ACTIONS(1650),
    [aux_sym_switch_statement_token1] = ACTIONS(1650),
    [aux_sym_switch_block_token1] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_AT] = ACTIONS(1648),
    [aux_sym_clone_expression_token1] = ACTIONS(1650),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1650),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1650),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [aux_sym__list_destructing_token1] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_self] = ACTIONS(1650),
    [anon_sym_parent] = ACTIONS(1650),
    [aux_sym__argument_name_token1] = ACTIONS(1650),
    [aux_sym__argument_name_token2] = ACTIONS(1650),
    [anon_sym_POUND_LBRACK] = ACTIONS(1648),
    [aux_sym_encapsed_string_token1] = ACTIONS(1648),
    [anon_sym_DQUOTE] = ACTIONS(1648),
    [aux_sym_string_token1] = ACTIONS(1648),
    [anon_sym_SQUOTE] = ACTIONS(1648),
    [anon_sym_LT_LT_LT] = ACTIONS(1648),
    [anon_sym_BQUOTE] = ACTIONS(1648),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [aux_sym_yield_expression_token1] = ACTIONS(1650),
    [aux_sym_include_expression_token1] = ACTIONS(1650),
    [aux_sym_include_once_expression_token1] = ACTIONS(1650),
    [aux_sym_require_expression_token1] = ACTIONS(1650),
    [aux_sym_require_once_expression_token1] = ACTIONS(1650),
    [sym_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_text_interpolation] = STATE(608),
    [ts_builtin_sym_end] = ACTIONS(1652),
    [sym_name] = ACTIONS(1654),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1654),
    [aux_sym_global_declaration_token1] = ACTIONS(1654),
    [aux_sym_namespace_definition_token1] = ACTIONS(1654),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1654),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1654),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1654),
    [anon_sym_BSLASH] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_RBRACE] = ACTIONS(1652),
    [aux_sym_trait_declaration_token1] = ACTIONS(1654),
    [aux_sym_interface_declaration_token1] = ACTIONS(1654),
    [aux_sym_enum_declaration_token1] = ACTIONS(1654),
    [aux_sym_enum_case_token1] = ACTIONS(1654),
    [aux_sym_class_declaration_token1] = ACTIONS(1654),
    [aux_sym_final_modifier_token1] = ACTIONS(1654),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1654),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1654),
    [sym_var_modifier] = ACTIONS(1654),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1654),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1654),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1654),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1654),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [aux_sym_cast_type_token1] = ACTIONS(1654),
    [aux_sym_echo_statement_token1] = ACTIONS(1654),
    [aux_sym_exit_statement_token1] = ACTIONS(1654),
    [anon_sym_unset] = ACTIONS(1654),
    [aux_sym_declare_statement_token1] = ACTIONS(1654),
    [aux_sym_declare_statement_token2] = ACTIONS(1654),
    [sym_float] = ACTIONS(1654),
    [aux_sym_try_statement_token1] = ACTIONS(1654),
    [aux_sym_goto_statement_token1] = ACTIONS(1654),
    [aux_sym_continue_statement_token1] = ACTIONS(1654),
    [aux_sym_break_statement_token1] = ACTIONS(1654),
    [sym_integer] = ACTIONS(1654),
    [aux_sym_return_statement_token1] = ACTIONS(1654),
    [aux_sym_throw_expression_token1] = ACTIONS(1654),
    [aux_sym_while_statement_token1] = ACTIONS(1654),
    [aux_sym_while_statement_token2] = ACTIONS(1654),
    [aux_sym_do_statement_token1] = ACTIONS(1654),
    [aux_sym_for_statement_token1] = ACTIONS(1654),
    [aux_sym_for_statement_token2] = ACTIONS(1654),
    [aux_sym_foreach_statement_token1] = ACTIONS(1654),
    [aux_sym_foreach_statement_token2] = ACTIONS(1654),
    [aux_sym_if_statement_token1] = ACTIONS(1654),
    [aux_sym_if_statement_token2] = ACTIONS(1654),
    [aux_sym_else_if_clause_token1] = ACTIONS(1654),
    [aux_sym_else_clause_token1] = ACTIONS(1654),
    [aux_sym_match_expression_token1] = ACTIONS(1654),
    [aux_sym_match_default_expression_token1] = ACTIONS(1654),
    [aux_sym_switch_statement_token1] = ACTIONS(1654),
    [aux_sym_switch_block_token1] = ACTIONS(1654),
    [anon_sym_PLUS] = ACTIONS(1654),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_TILDE] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1652),
    [anon_sym_AT] = ACTIONS(1652),
    [aux_sym_clone_expression_token1] = ACTIONS(1654),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1654),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1652),
    [anon_sym_PLUS_PLUS] = ACTIONS(1652),
    [aux_sym__list_destructing_token1] = ACTIONS(1654),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [anon_sym_self] = ACTIONS(1654),
    [anon_sym_parent] = ACTIONS(1654),
    [aux_sym__argument_name_token1] = ACTIONS(1654),
    [aux_sym__argument_name_token2] = ACTIONS(1654),
    [anon_sym_POUND_LBRACK] = ACTIONS(1652),
    [aux_sym_encapsed_string_token1] = ACTIONS(1652),
    [anon_sym_DQUOTE] = ACTIONS(1652),
    [aux_sym_string_token1] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1652),
    [anon_sym_LT_LT_LT] = ACTIONS(1652),
    [anon_sym_BQUOTE] = ACTIONS(1652),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [aux_sym_yield_expression_token1] = ACTIONS(1654),
    [aux_sym_include_expression_token1] = ACTIONS(1654),
    [aux_sym_include_once_expression_token1] = ACTIONS(1654),
    [aux_sym_require_expression_token1] = ACTIONS(1654),
    [aux_sym_require_once_expression_token1] = ACTIONS(1654),
    [sym_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_text_interpolation] = STATE(609),
    [ts_builtin_sym_end] = ACTIONS(1656),
    [sym_name] = ACTIONS(1658),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1656),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1658),
    [aux_sym_global_declaration_token1] = ACTIONS(1658),
    [aux_sym_namespace_definition_token1] = ACTIONS(1658),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1658),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1658),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1658),
    [anon_sym_BSLASH] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [aux_sym_trait_declaration_token1] = ACTIONS(1658),
    [aux_sym_interface_declaration_token1] = ACTIONS(1658),
    [aux_sym_enum_declaration_token1] = ACTIONS(1658),
    [aux_sym_enum_case_token1] = ACTIONS(1658),
    [aux_sym_class_declaration_token1] = ACTIONS(1658),
    [aux_sym_final_modifier_token1] = ACTIONS(1658),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1658),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1658),
    [sym_var_modifier] = ACTIONS(1658),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1658),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1658),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1658),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [aux_sym_cast_type_token1] = ACTIONS(1658),
    [aux_sym_echo_statement_token1] = ACTIONS(1658),
    [aux_sym_exit_statement_token1] = ACTIONS(1658),
    [anon_sym_unset] = ACTIONS(1658),
    [aux_sym_declare_statement_token1] = ACTIONS(1658),
    [aux_sym_declare_statement_token2] = ACTIONS(1658),
    [sym_float] = ACTIONS(1658),
    [aux_sym_try_statement_token1] = ACTIONS(1658),
    [aux_sym_goto_statement_token1] = ACTIONS(1658),
    [aux_sym_continue_statement_token1] = ACTIONS(1658),
    [aux_sym_break_statement_token1] = ACTIONS(1658),
    [sym_integer] = ACTIONS(1658),
    [aux_sym_return_statement_token1] = ACTIONS(1658),
    [aux_sym_throw_expression_token1] = ACTIONS(1658),
    [aux_sym_while_statement_token1] = ACTIONS(1658),
    [aux_sym_while_statement_token2] = ACTIONS(1658),
    [aux_sym_do_statement_token1] = ACTIONS(1658),
    [aux_sym_for_statement_token1] = ACTIONS(1658),
    [aux_sym_for_statement_token2] = ACTIONS(1658),
    [aux_sym_foreach_statement_token1] = ACTIONS(1658),
    [aux_sym_foreach_statement_token2] = ACTIONS(1658),
    [aux_sym_if_statement_token1] = ACTIONS(1658),
    [aux_sym_if_statement_token2] = ACTIONS(1658),
    [aux_sym_else_if_clause_token1] = ACTIONS(1658),
    [aux_sym_else_clause_token1] = ACTIONS(1658),
    [aux_sym_match_expression_token1] = ACTIONS(1658),
    [aux_sym_match_default_expression_token1] = ACTIONS(1658),
    [aux_sym_switch_statement_token1] = ACTIONS(1658),
    [aux_sym_switch_block_token1] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_AT] = ACTIONS(1656),
    [aux_sym_clone_expression_token1] = ACTIONS(1658),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1658),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1658),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [aux_sym__list_destructing_token1] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_self] = ACTIONS(1658),
    [anon_sym_parent] = ACTIONS(1658),
    [aux_sym__argument_name_token1] = ACTIONS(1658),
    [aux_sym__argument_name_token2] = ACTIONS(1658),
    [anon_sym_POUND_LBRACK] = ACTIONS(1656),
    [aux_sym_encapsed_string_token1] = ACTIONS(1656),
    [anon_sym_DQUOTE] = ACTIONS(1656),
    [aux_sym_string_token1] = ACTIONS(1656),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [anon_sym_LT_LT_LT] = ACTIONS(1656),
    [anon_sym_BQUOTE] = ACTIONS(1656),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [aux_sym_yield_expression_token1] = ACTIONS(1658),
    [aux_sym_include_expression_token1] = ACTIONS(1658),
    [aux_sym_include_once_expression_token1] = ACTIONS(1658),
    [aux_sym_require_expression_token1] = ACTIONS(1658),
    [aux_sym_require_once_expression_token1] = ACTIONS(1658),
    [sym_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_text_interpolation] = STATE(610),
    [ts_builtin_sym_end] = ACTIONS(1660),
    [sym_name] = ACTIONS(1662),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1660),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1662),
    [aux_sym_global_declaration_token1] = ACTIONS(1662),
    [aux_sym_namespace_definition_token1] = ACTIONS(1662),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1662),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1662),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1662),
    [anon_sym_BSLASH] = ACTIONS(1660),
    [anon_sym_LBRACE] = ACTIONS(1660),
    [anon_sym_RBRACE] = ACTIONS(1660),
    [aux_sym_trait_declaration_token1] = ACTIONS(1662),
    [aux_sym_interface_declaration_token1] = ACTIONS(1662),
    [aux_sym_enum_declaration_token1] = ACTIONS(1662),
    [aux_sym_enum_case_token1] = ACTIONS(1662),
    [aux_sym_class_declaration_token1] = ACTIONS(1662),
    [aux_sym_final_modifier_token1] = ACTIONS(1662),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1662),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1662),
    [sym_var_modifier] = ACTIONS(1662),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1662),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1662),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1662),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [aux_sym_cast_type_token1] = ACTIONS(1662),
    [aux_sym_echo_statement_token1] = ACTIONS(1662),
    [aux_sym_exit_statement_token1] = ACTIONS(1662),
    [anon_sym_unset] = ACTIONS(1662),
    [aux_sym_declare_statement_token1] = ACTIONS(1662),
    [aux_sym_declare_statement_token2] = ACTIONS(1662),
    [sym_float] = ACTIONS(1662),
    [aux_sym_try_statement_token1] = ACTIONS(1662),
    [aux_sym_goto_statement_token1] = ACTIONS(1662),
    [aux_sym_continue_statement_token1] = ACTIONS(1662),
    [aux_sym_break_statement_token1] = ACTIONS(1662),
    [sym_integer] = ACTIONS(1662),
    [aux_sym_return_statement_token1] = ACTIONS(1662),
    [aux_sym_throw_expression_token1] = ACTIONS(1662),
    [aux_sym_while_statement_token1] = ACTIONS(1662),
    [aux_sym_while_statement_token2] = ACTIONS(1662),
    [aux_sym_do_statement_token1] = ACTIONS(1662),
    [aux_sym_for_statement_token1] = ACTIONS(1662),
    [aux_sym_for_statement_token2] = ACTIONS(1662),
    [aux_sym_foreach_statement_token1] = ACTIONS(1662),
    [aux_sym_foreach_statement_token2] = ACTIONS(1662),
    [aux_sym_if_statement_token1] = ACTIONS(1662),
    [aux_sym_if_statement_token2] = ACTIONS(1662),
    [aux_sym_else_if_clause_token1] = ACTIONS(1662),
    [aux_sym_else_clause_token1] = ACTIONS(1662),
    [aux_sym_match_expression_token1] = ACTIONS(1662),
    [aux_sym_match_default_expression_token1] = ACTIONS(1662),
    [aux_sym_switch_statement_token1] = ACTIONS(1662),
    [aux_sym_switch_block_token1] = ACTIONS(1662),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_AT] = ACTIONS(1660),
    [aux_sym_clone_expression_token1] = ACTIONS(1662),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1662),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1662),
    [anon_sym_DASH_DASH] = ACTIONS(1660),
    [anon_sym_PLUS_PLUS] = ACTIONS(1660),
    [aux_sym__list_destructing_token1] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [anon_sym_self] = ACTIONS(1662),
    [anon_sym_parent] = ACTIONS(1662),
    [aux_sym__argument_name_token1] = ACTIONS(1662),
    [aux_sym__argument_name_token2] = ACTIONS(1662),
    [anon_sym_POUND_LBRACK] = ACTIONS(1660),
    [aux_sym_encapsed_string_token1] = ACTIONS(1660),
    [anon_sym_DQUOTE] = ACTIONS(1660),
    [aux_sym_string_token1] = ACTIONS(1660),
    [anon_sym_SQUOTE] = ACTIONS(1660),
    [anon_sym_LT_LT_LT] = ACTIONS(1660),
    [anon_sym_BQUOTE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1660),
    [aux_sym_yield_expression_token1] = ACTIONS(1662),
    [aux_sym_include_expression_token1] = ACTIONS(1662),
    [aux_sym_include_once_expression_token1] = ACTIONS(1662),
    [aux_sym_require_expression_token1] = ACTIONS(1662),
    [aux_sym_require_once_expression_token1] = ACTIONS(1662),
    [sym_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_text_interpolation] = STATE(611),
    [ts_builtin_sym_end] = ACTIONS(1664),
    [sym_name] = ACTIONS(1666),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1666),
    [aux_sym_global_declaration_token1] = ACTIONS(1666),
    [aux_sym_namespace_definition_token1] = ACTIONS(1666),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1666),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1666),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1666),
    [anon_sym_BSLASH] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [aux_sym_trait_declaration_token1] = ACTIONS(1666),
    [aux_sym_interface_declaration_token1] = ACTIONS(1666),
    [aux_sym_enum_declaration_token1] = ACTIONS(1666),
    [aux_sym_enum_case_token1] = ACTIONS(1666),
    [aux_sym_class_declaration_token1] = ACTIONS(1666),
    [aux_sym_final_modifier_token1] = ACTIONS(1666),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1666),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1666),
    [sym_var_modifier] = ACTIONS(1666),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1666),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1666),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1666),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [aux_sym_cast_type_token1] = ACTIONS(1666),
    [aux_sym_echo_statement_token1] = ACTIONS(1666),
    [aux_sym_exit_statement_token1] = ACTIONS(1666),
    [anon_sym_unset] = ACTIONS(1666),
    [aux_sym_declare_statement_token1] = ACTIONS(1666),
    [aux_sym_declare_statement_token2] = ACTIONS(1666),
    [sym_float] = ACTIONS(1666),
    [aux_sym_try_statement_token1] = ACTIONS(1666),
    [aux_sym_goto_statement_token1] = ACTIONS(1666),
    [aux_sym_continue_statement_token1] = ACTIONS(1666),
    [aux_sym_break_statement_token1] = ACTIONS(1666),
    [sym_integer] = ACTIONS(1666),
    [aux_sym_return_statement_token1] = ACTIONS(1666),
    [aux_sym_throw_expression_token1] = ACTIONS(1666),
    [aux_sym_while_statement_token1] = ACTIONS(1666),
    [aux_sym_while_statement_token2] = ACTIONS(1666),
    [aux_sym_do_statement_token1] = ACTIONS(1666),
    [aux_sym_for_statement_token1] = ACTIONS(1666),
    [aux_sym_for_statement_token2] = ACTIONS(1666),
    [aux_sym_foreach_statement_token1] = ACTIONS(1666),
    [aux_sym_foreach_statement_token2] = ACTIONS(1666),
    [aux_sym_if_statement_token1] = ACTIONS(1666),
    [aux_sym_if_statement_token2] = ACTIONS(1666),
    [aux_sym_else_if_clause_token1] = ACTIONS(1666),
    [aux_sym_else_clause_token1] = ACTIONS(1666),
    [aux_sym_match_expression_token1] = ACTIONS(1666),
    [aux_sym_match_default_expression_token1] = ACTIONS(1666),
    [aux_sym_switch_statement_token1] = ACTIONS(1666),
    [aux_sym_switch_block_token1] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_AT] = ACTIONS(1664),
    [aux_sym_clone_expression_token1] = ACTIONS(1666),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1666),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1666),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [aux_sym__list_destructing_token1] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_self] = ACTIONS(1666),
    [anon_sym_parent] = ACTIONS(1666),
    [aux_sym__argument_name_token1] = ACTIONS(1666),
    [aux_sym__argument_name_token2] = ACTIONS(1666),
    [anon_sym_POUND_LBRACK] = ACTIONS(1664),
    [aux_sym_encapsed_string_token1] = ACTIONS(1664),
    [anon_sym_DQUOTE] = ACTIONS(1664),
    [aux_sym_string_token1] = ACTIONS(1664),
    [anon_sym_SQUOTE] = ACTIONS(1664),
    [anon_sym_LT_LT_LT] = ACTIONS(1664),
    [anon_sym_BQUOTE] = ACTIONS(1664),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [aux_sym_yield_expression_token1] = ACTIONS(1666),
    [aux_sym_include_expression_token1] = ACTIONS(1666),
    [aux_sym_include_once_expression_token1] = ACTIONS(1666),
    [aux_sym_require_expression_token1] = ACTIONS(1666),
    [aux_sym_require_once_expression_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_text_interpolation] = STATE(612),
    [ts_builtin_sym_end] = ACTIONS(1668),
    [sym_name] = ACTIONS(1670),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1668),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1670),
    [aux_sym_global_declaration_token1] = ACTIONS(1670),
    [aux_sym_namespace_definition_token1] = ACTIONS(1670),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1670),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1670),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1670),
    [anon_sym_BSLASH] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [aux_sym_trait_declaration_token1] = ACTIONS(1670),
    [aux_sym_interface_declaration_token1] = ACTIONS(1670),
    [aux_sym_enum_declaration_token1] = ACTIONS(1670),
    [aux_sym_enum_case_token1] = ACTIONS(1670),
    [aux_sym_class_declaration_token1] = ACTIONS(1670),
    [aux_sym_final_modifier_token1] = ACTIONS(1670),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1670),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1670),
    [sym_var_modifier] = ACTIONS(1670),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1670),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1670),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1670),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [aux_sym_cast_type_token1] = ACTIONS(1670),
    [aux_sym_echo_statement_token1] = ACTIONS(1670),
    [aux_sym_exit_statement_token1] = ACTIONS(1670),
    [anon_sym_unset] = ACTIONS(1670),
    [aux_sym_declare_statement_token1] = ACTIONS(1670),
    [aux_sym_declare_statement_token2] = ACTIONS(1670),
    [sym_float] = ACTIONS(1670),
    [aux_sym_try_statement_token1] = ACTIONS(1670),
    [aux_sym_goto_statement_token1] = ACTIONS(1670),
    [aux_sym_continue_statement_token1] = ACTIONS(1670),
    [aux_sym_break_statement_token1] = ACTIONS(1670),
    [sym_integer] = ACTIONS(1670),
    [aux_sym_return_statement_token1] = ACTIONS(1670),
    [aux_sym_throw_expression_token1] = ACTIONS(1670),
    [aux_sym_while_statement_token1] = ACTIONS(1670),
    [aux_sym_while_statement_token2] = ACTIONS(1670),
    [aux_sym_do_statement_token1] = ACTIONS(1670),
    [aux_sym_for_statement_token1] = ACTIONS(1670),
    [aux_sym_for_statement_token2] = ACTIONS(1670),
    [aux_sym_foreach_statement_token1] = ACTIONS(1670),
    [aux_sym_foreach_statement_token2] = ACTIONS(1670),
    [aux_sym_if_statement_token1] = ACTIONS(1670),
    [aux_sym_if_statement_token2] = ACTIONS(1670),
    [aux_sym_else_if_clause_token1] = ACTIONS(1670),
    [aux_sym_else_clause_token1] = ACTIONS(1670),
    [aux_sym_match_expression_token1] = ACTIONS(1670),
    [aux_sym_match_default_expression_token1] = ACTIONS(1670),
    [aux_sym_switch_statement_token1] = ACTIONS(1670),
    [aux_sym_switch_block_token1] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1668),
    [aux_sym_clone_expression_token1] = ACTIONS(1670),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1670),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1670),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [aux_sym__list_destructing_token1] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_self] = ACTIONS(1670),
    [anon_sym_parent] = ACTIONS(1670),
    [aux_sym__argument_name_token1] = ACTIONS(1670),
    [aux_sym__argument_name_token2] = ACTIONS(1670),
    [anon_sym_POUND_LBRACK] = ACTIONS(1668),
    [aux_sym_encapsed_string_token1] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(1668),
    [aux_sym_string_token1] = ACTIONS(1668),
    [anon_sym_SQUOTE] = ACTIONS(1668),
    [anon_sym_LT_LT_LT] = ACTIONS(1668),
    [anon_sym_BQUOTE] = ACTIONS(1668),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [aux_sym_yield_expression_token1] = ACTIONS(1670),
    [aux_sym_include_expression_token1] = ACTIONS(1670),
    [aux_sym_include_once_expression_token1] = ACTIONS(1670),
    [aux_sym_require_expression_token1] = ACTIONS(1670),
    [aux_sym_require_once_expression_token1] = ACTIONS(1670),
    [sym_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_text_interpolation] = STATE(613),
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym_name] = ACTIONS(1674),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1672),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1674),
    [aux_sym_global_declaration_token1] = ACTIONS(1674),
    [aux_sym_namespace_definition_token1] = ACTIONS(1674),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1674),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1674),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1674),
    [anon_sym_BSLASH] = ACTIONS(1672),
    [anon_sym_LBRACE] = ACTIONS(1672),
    [anon_sym_RBRACE] = ACTIONS(1672),
    [aux_sym_trait_declaration_token1] = ACTIONS(1674),
    [aux_sym_interface_declaration_token1] = ACTIONS(1674),
    [aux_sym_enum_declaration_token1] = ACTIONS(1674),
    [aux_sym_enum_case_token1] = ACTIONS(1674),
    [aux_sym_class_declaration_token1] = ACTIONS(1674),
    [aux_sym_final_modifier_token1] = ACTIONS(1674),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1674),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1674),
    [sym_var_modifier] = ACTIONS(1674),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1674),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1674),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1674),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [aux_sym_cast_type_token1] = ACTIONS(1674),
    [aux_sym_echo_statement_token1] = ACTIONS(1674),
    [aux_sym_exit_statement_token1] = ACTIONS(1674),
    [anon_sym_unset] = ACTIONS(1674),
    [aux_sym_declare_statement_token1] = ACTIONS(1674),
    [aux_sym_declare_statement_token2] = ACTIONS(1674),
    [sym_float] = ACTIONS(1674),
    [aux_sym_try_statement_token1] = ACTIONS(1674),
    [aux_sym_goto_statement_token1] = ACTIONS(1674),
    [aux_sym_continue_statement_token1] = ACTIONS(1674),
    [aux_sym_break_statement_token1] = ACTIONS(1674),
    [sym_integer] = ACTIONS(1674),
    [aux_sym_return_statement_token1] = ACTIONS(1674),
    [aux_sym_throw_expression_token1] = ACTIONS(1674),
    [aux_sym_while_statement_token1] = ACTIONS(1674),
    [aux_sym_while_statement_token2] = ACTIONS(1674),
    [aux_sym_do_statement_token1] = ACTIONS(1674),
    [aux_sym_for_statement_token1] = ACTIONS(1674),
    [aux_sym_for_statement_token2] = ACTIONS(1674),
    [aux_sym_foreach_statement_token1] = ACTIONS(1674),
    [aux_sym_foreach_statement_token2] = ACTIONS(1674),
    [aux_sym_if_statement_token1] = ACTIONS(1674),
    [aux_sym_if_statement_token2] = ACTIONS(1674),
    [aux_sym_else_if_clause_token1] = ACTIONS(1674),
    [aux_sym_else_clause_token1] = ACTIONS(1674),
    [aux_sym_match_expression_token1] = ACTIONS(1674),
    [aux_sym_match_default_expression_token1] = ACTIONS(1674),
    [aux_sym_switch_statement_token1] = ACTIONS(1674),
    [aux_sym_switch_block_token1] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1672),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_AT] = ACTIONS(1672),
    [aux_sym_clone_expression_token1] = ACTIONS(1674),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1674),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [aux_sym__list_destructing_token1] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [anon_sym_self] = ACTIONS(1674),
    [anon_sym_parent] = ACTIONS(1674),
    [aux_sym__argument_name_token1] = ACTIONS(1674),
    [aux_sym__argument_name_token2] = ACTIONS(1674),
    [anon_sym_POUND_LBRACK] = ACTIONS(1672),
    [aux_sym_encapsed_string_token1] = ACTIONS(1672),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [aux_sym_string_token1] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [anon_sym_LT_LT_LT] = ACTIONS(1672),
    [anon_sym_BQUOTE] = ACTIONS(1672),
    [anon_sym_DOLLAR] = ACTIONS(1672),
    [aux_sym_yield_expression_token1] = ACTIONS(1674),
    [aux_sym_include_expression_token1] = ACTIONS(1674),
    [aux_sym_include_once_expression_token1] = ACTIONS(1674),
    [aux_sym_require_expression_token1] = ACTIONS(1674),
    [aux_sym_require_once_expression_token1] = ACTIONS(1674),
    [sym_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_text_interpolation] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(1676),
    [sym_name] = ACTIONS(1678),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1678),
    [aux_sym_global_declaration_token1] = ACTIONS(1678),
    [aux_sym_namespace_definition_token1] = ACTIONS(1678),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1678),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1678),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1678),
    [anon_sym_BSLASH] = ACTIONS(1676),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_RBRACE] = ACTIONS(1676),
    [aux_sym_trait_declaration_token1] = ACTIONS(1678),
    [aux_sym_interface_declaration_token1] = ACTIONS(1678),
    [aux_sym_enum_declaration_token1] = ACTIONS(1678),
    [aux_sym_enum_case_token1] = ACTIONS(1678),
    [aux_sym_class_declaration_token1] = ACTIONS(1678),
    [aux_sym_final_modifier_token1] = ACTIONS(1678),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1678),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1678),
    [sym_var_modifier] = ACTIONS(1678),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1678),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1678),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1678),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [aux_sym_cast_type_token1] = ACTIONS(1678),
    [aux_sym_echo_statement_token1] = ACTIONS(1678),
    [aux_sym_exit_statement_token1] = ACTIONS(1678),
    [anon_sym_unset] = ACTIONS(1678),
    [aux_sym_declare_statement_token1] = ACTIONS(1678),
    [aux_sym_declare_statement_token2] = ACTIONS(1678),
    [sym_float] = ACTIONS(1678),
    [aux_sym_try_statement_token1] = ACTIONS(1678),
    [aux_sym_goto_statement_token1] = ACTIONS(1678),
    [aux_sym_continue_statement_token1] = ACTIONS(1678),
    [aux_sym_break_statement_token1] = ACTIONS(1678),
    [sym_integer] = ACTIONS(1678),
    [aux_sym_return_statement_token1] = ACTIONS(1678),
    [aux_sym_throw_expression_token1] = ACTIONS(1678),
    [aux_sym_while_statement_token1] = ACTIONS(1678),
    [aux_sym_while_statement_token2] = ACTIONS(1678),
    [aux_sym_do_statement_token1] = ACTIONS(1678),
    [aux_sym_for_statement_token1] = ACTIONS(1678),
    [aux_sym_for_statement_token2] = ACTIONS(1678),
    [aux_sym_foreach_statement_token1] = ACTIONS(1678),
    [aux_sym_foreach_statement_token2] = ACTIONS(1678),
    [aux_sym_if_statement_token1] = ACTIONS(1678),
    [aux_sym_if_statement_token2] = ACTIONS(1678),
    [aux_sym_else_if_clause_token1] = ACTIONS(1678),
    [aux_sym_else_clause_token1] = ACTIONS(1678),
    [aux_sym_match_expression_token1] = ACTIONS(1678),
    [aux_sym_match_default_expression_token1] = ACTIONS(1678),
    [aux_sym_switch_statement_token1] = ACTIONS(1678),
    [aux_sym_switch_block_token1] = ACTIONS(1678),
    [anon_sym_PLUS] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1676),
    [anon_sym_BANG] = ACTIONS(1676),
    [anon_sym_AT] = ACTIONS(1676),
    [aux_sym_clone_expression_token1] = ACTIONS(1678),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1678),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1676),
    [anon_sym_PLUS_PLUS] = ACTIONS(1676),
    [aux_sym__list_destructing_token1] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [anon_sym_self] = ACTIONS(1678),
    [anon_sym_parent] = ACTIONS(1678),
    [aux_sym__argument_name_token1] = ACTIONS(1678),
    [aux_sym__argument_name_token2] = ACTIONS(1678),
    [anon_sym_POUND_LBRACK] = ACTIONS(1676),
    [aux_sym_encapsed_string_token1] = ACTIONS(1676),
    [anon_sym_DQUOTE] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1676),
    [anon_sym_SQUOTE] = ACTIONS(1676),
    [anon_sym_LT_LT_LT] = ACTIONS(1676),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1676),
    [aux_sym_yield_expression_token1] = ACTIONS(1678),
    [aux_sym_include_expression_token1] = ACTIONS(1678),
    [aux_sym_include_once_expression_token1] = ACTIONS(1678),
    [aux_sym_require_expression_token1] = ACTIONS(1678),
    [aux_sym_require_once_expression_token1] = ACTIONS(1678),
    [sym_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_text_interpolation] = STATE(615),
    [ts_builtin_sym_end] = ACTIONS(1680),
    [sym_name] = ACTIONS(1682),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1682),
    [aux_sym_global_declaration_token1] = ACTIONS(1682),
    [aux_sym_namespace_definition_token1] = ACTIONS(1682),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1682),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1682),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1682),
    [anon_sym_BSLASH] = ACTIONS(1680),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [aux_sym_trait_declaration_token1] = ACTIONS(1682),
    [aux_sym_interface_declaration_token1] = ACTIONS(1682),
    [aux_sym_enum_declaration_token1] = ACTIONS(1682),
    [aux_sym_enum_case_token1] = ACTIONS(1682),
    [aux_sym_class_declaration_token1] = ACTIONS(1682),
    [aux_sym_final_modifier_token1] = ACTIONS(1682),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1682),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1682),
    [sym_var_modifier] = ACTIONS(1682),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1682),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1682),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1682),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_cast_type_token1] = ACTIONS(1682),
    [aux_sym_echo_statement_token1] = ACTIONS(1682),
    [aux_sym_exit_statement_token1] = ACTIONS(1682),
    [anon_sym_unset] = ACTIONS(1682),
    [aux_sym_declare_statement_token1] = ACTIONS(1682),
    [aux_sym_declare_statement_token2] = ACTIONS(1682),
    [sym_float] = ACTIONS(1682),
    [aux_sym_try_statement_token1] = ACTIONS(1682),
    [aux_sym_goto_statement_token1] = ACTIONS(1682),
    [aux_sym_continue_statement_token1] = ACTIONS(1682),
    [aux_sym_break_statement_token1] = ACTIONS(1682),
    [sym_integer] = ACTIONS(1682),
    [aux_sym_return_statement_token1] = ACTIONS(1682),
    [aux_sym_throw_expression_token1] = ACTIONS(1682),
    [aux_sym_while_statement_token1] = ACTIONS(1682),
    [aux_sym_while_statement_token2] = ACTIONS(1682),
    [aux_sym_do_statement_token1] = ACTIONS(1682),
    [aux_sym_for_statement_token1] = ACTIONS(1682),
    [aux_sym_for_statement_token2] = ACTIONS(1682),
    [aux_sym_foreach_statement_token1] = ACTIONS(1682),
    [aux_sym_foreach_statement_token2] = ACTIONS(1682),
    [aux_sym_if_statement_token1] = ACTIONS(1682),
    [aux_sym_if_statement_token2] = ACTIONS(1682),
    [aux_sym_else_if_clause_token1] = ACTIONS(1682),
    [aux_sym_else_clause_token1] = ACTIONS(1682),
    [aux_sym_match_expression_token1] = ACTIONS(1682),
    [aux_sym_match_default_expression_token1] = ACTIONS(1682),
    [aux_sym_switch_statement_token1] = ACTIONS(1682),
    [aux_sym_switch_block_token1] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1680),
    [anon_sym_AT] = ACTIONS(1680),
    [aux_sym_clone_expression_token1] = ACTIONS(1682),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1682),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [aux_sym__list_destructing_token1] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [anon_sym_self] = ACTIONS(1682),
    [anon_sym_parent] = ACTIONS(1682),
    [aux_sym__argument_name_token1] = ACTIONS(1682),
    [aux_sym__argument_name_token2] = ACTIONS(1682),
    [anon_sym_POUND_LBRACK] = ACTIONS(1680),
    [aux_sym_encapsed_string_token1] = ACTIONS(1680),
    [anon_sym_DQUOTE] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1680),
    [anon_sym_SQUOTE] = ACTIONS(1680),
    [anon_sym_LT_LT_LT] = ACTIONS(1680),
    [anon_sym_BQUOTE] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1680),
    [aux_sym_yield_expression_token1] = ACTIONS(1682),
    [aux_sym_include_expression_token1] = ACTIONS(1682),
    [aux_sym_include_once_expression_token1] = ACTIONS(1682),
    [aux_sym_require_expression_token1] = ACTIONS(1682),
    [aux_sym_require_once_expression_token1] = ACTIONS(1682),
    [sym_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_text_interpolation] = STATE(616),
    [ts_builtin_sym_end] = ACTIONS(1684),
    [sym_name] = ACTIONS(1686),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1686),
    [aux_sym_global_declaration_token1] = ACTIONS(1686),
    [aux_sym_namespace_definition_token1] = ACTIONS(1686),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1686),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1686),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1686),
    [anon_sym_BSLASH] = ACTIONS(1684),
    [anon_sym_LBRACE] = ACTIONS(1684),
    [anon_sym_RBRACE] = ACTIONS(1684),
    [aux_sym_trait_declaration_token1] = ACTIONS(1686),
    [aux_sym_interface_declaration_token1] = ACTIONS(1686),
    [aux_sym_enum_declaration_token1] = ACTIONS(1686),
    [aux_sym_enum_case_token1] = ACTIONS(1686),
    [aux_sym_class_declaration_token1] = ACTIONS(1686),
    [aux_sym_final_modifier_token1] = ACTIONS(1686),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1686),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1686),
    [sym_var_modifier] = ACTIONS(1686),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1686),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1686),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1686),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_cast_type_token1] = ACTIONS(1686),
    [aux_sym_echo_statement_token1] = ACTIONS(1686),
    [aux_sym_exit_statement_token1] = ACTIONS(1686),
    [anon_sym_unset] = ACTIONS(1686),
    [aux_sym_declare_statement_token1] = ACTIONS(1686),
    [aux_sym_declare_statement_token2] = ACTIONS(1686),
    [sym_float] = ACTIONS(1686),
    [aux_sym_try_statement_token1] = ACTIONS(1686),
    [aux_sym_goto_statement_token1] = ACTIONS(1686),
    [aux_sym_continue_statement_token1] = ACTIONS(1686),
    [aux_sym_break_statement_token1] = ACTIONS(1686),
    [sym_integer] = ACTIONS(1686),
    [aux_sym_return_statement_token1] = ACTIONS(1686),
    [aux_sym_throw_expression_token1] = ACTIONS(1686),
    [aux_sym_while_statement_token1] = ACTIONS(1686),
    [aux_sym_while_statement_token2] = ACTIONS(1686),
    [aux_sym_do_statement_token1] = ACTIONS(1686),
    [aux_sym_for_statement_token1] = ACTIONS(1686),
    [aux_sym_for_statement_token2] = ACTIONS(1686),
    [aux_sym_foreach_statement_token1] = ACTIONS(1686),
    [aux_sym_foreach_statement_token2] = ACTIONS(1686),
    [aux_sym_if_statement_token1] = ACTIONS(1686),
    [aux_sym_if_statement_token2] = ACTIONS(1686),
    [aux_sym_else_if_clause_token1] = ACTIONS(1686),
    [aux_sym_else_clause_token1] = ACTIONS(1686),
    [aux_sym_match_expression_token1] = ACTIONS(1686),
    [aux_sym_match_default_expression_token1] = ACTIONS(1686),
    [aux_sym_switch_statement_token1] = ACTIONS(1686),
    [aux_sym_switch_block_token1] = ACTIONS(1686),
    [anon_sym_PLUS] = ACTIONS(1686),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_TILDE] = ACTIONS(1684),
    [anon_sym_BANG] = ACTIONS(1684),
    [anon_sym_AT] = ACTIONS(1684),
    [aux_sym_clone_expression_token1] = ACTIONS(1686),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1686),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1686),
    [anon_sym_DASH_DASH] = ACTIONS(1684),
    [anon_sym_PLUS_PLUS] = ACTIONS(1684),
    [aux_sym__list_destructing_token1] = ACTIONS(1686),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [anon_sym_self] = ACTIONS(1686),
    [anon_sym_parent] = ACTIONS(1686),
    [aux_sym__argument_name_token1] = ACTIONS(1686),
    [aux_sym__argument_name_token2] = ACTIONS(1686),
    [anon_sym_POUND_LBRACK] = ACTIONS(1684),
    [aux_sym_encapsed_string_token1] = ACTIONS(1684),
    [anon_sym_DQUOTE] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1684),
    [anon_sym_SQUOTE] = ACTIONS(1684),
    [anon_sym_LT_LT_LT] = ACTIONS(1684),
    [anon_sym_BQUOTE] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1684),
    [aux_sym_yield_expression_token1] = ACTIONS(1686),
    [aux_sym_include_expression_token1] = ACTIONS(1686),
    [aux_sym_include_once_expression_token1] = ACTIONS(1686),
    [aux_sym_require_expression_token1] = ACTIONS(1686),
    [aux_sym_require_once_expression_token1] = ACTIONS(1686),
    [sym_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_text_interpolation] = STATE(617),
    [ts_builtin_sym_end] = ACTIONS(1688),
    [sym_name] = ACTIONS(1690),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1690),
    [aux_sym_global_declaration_token1] = ACTIONS(1690),
    [aux_sym_namespace_definition_token1] = ACTIONS(1690),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1690),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1690),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1690),
    [anon_sym_BSLASH] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1688),
    [anon_sym_RBRACE] = ACTIONS(1688),
    [aux_sym_trait_declaration_token1] = ACTIONS(1690),
    [aux_sym_interface_declaration_token1] = ACTIONS(1690),
    [aux_sym_enum_declaration_token1] = ACTIONS(1690),
    [aux_sym_enum_case_token1] = ACTIONS(1690),
    [aux_sym_class_declaration_token1] = ACTIONS(1690),
    [aux_sym_final_modifier_token1] = ACTIONS(1690),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1690),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1690),
    [sym_var_modifier] = ACTIONS(1690),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1690),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1690),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1690),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1690),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [aux_sym_cast_type_token1] = ACTIONS(1690),
    [aux_sym_echo_statement_token1] = ACTIONS(1690),
    [aux_sym_exit_statement_token1] = ACTIONS(1690),
    [anon_sym_unset] = ACTIONS(1690),
    [aux_sym_declare_statement_token1] = ACTIONS(1690),
    [aux_sym_declare_statement_token2] = ACTIONS(1690),
    [sym_float] = ACTIONS(1690),
    [aux_sym_try_statement_token1] = ACTIONS(1690),
    [aux_sym_goto_statement_token1] = ACTIONS(1690),
    [aux_sym_continue_statement_token1] = ACTIONS(1690),
    [aux_sym_break_statement_token1] = ACTIONS(1690),
    [sym_integer] = ACTIONS(1690),
    [aux_sym_return_statement_token1] = ACTIONS(1690),
    [aux_sym_throw_expression_token1] = ACTIONS(1690),
    [aux_sym_while_statement_token1] = ACTIONS(1690),
    [aux_sym_while_statement_token2] = ACTIONS(1690),
    [aux_sym_do_statement_token1] = ACTIONS(1690),
    [aux_sym_for_statement_token1] = ACTIONS(1690),
    [aux_sym_for_statement_token2] = ACTIONS(1690),
    [aux_sym_foreach_statement_token1] = ACTIONS(1690),
    [aux_sym_foreach_statement_token2] = ACTIONS(1690),
    [aux_sym_if_statement_token1] = ACTIONS(1690),
    [aux_sym_if_statement_token2] = ACTIONS(1690),
    [aux_sym_else_if_clause_token1] = ACTIONS(1690),
    [aux_sym_else_clause_token1] = ACTIONS(1690),
    [aux_sym_match_expression_token1] = ACTIONS(1690),
    [aux_sym_match_default_expression_token1] = ACTIONS(1690),
    [aux_sym_switch_statement_token1] = ACTIONS(1690),
    [aux_sym_switch_block_token1] = ACTIONS(1690),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1688),
    [anon_sym_AT] = ACTIONS(1688),
    [aux_sym_clone_expression_token1] = ACTIONS(1690),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1690),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1688),
    [anon_sym_PLUS_PLUS] = ACTIONS(1688),
    [aux_sym__list_destructing_token1] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_self] = ACTIONS(1690),
    [anon_sym_parent] = ACTIONS(1690),
    [aux_sym__argument_name_token1] = ACTIONS(1690),
    [aux_sym__argument_name_token2] = ACTIONS(1690),
    [anon_sym_POUND_LBRACK] = ACTIONS(1688),
    [aux_sym_encapsed_string_token1] = ACTIONS(1688),
    [anon_sym_DQUOTE] = ACTIONS(1688),
    [aux_sym_string_token1] = ACTIONS(1688),
    [anon_sym_SQUOTE] = ACTIONS(1688),
    [anon_sym_LT_LT_LT] = ACTIONS(1688),
    [anon_sym_BQUOTE] = ACTIONS(1688),
    [anon_sym_DOLLAR] = ACTIONS(1688),
    [aux_sym_yield_expression_token1] = ACTIONS(1690),
    [aux_sym_include_expression_token1] = ACTIONS(1690),
    [aux_sym_include_once_expression_token1] = ACTIONS(1690),
    [aux_sym_require_expression_token1] = ACTIONS(1690),
    [aux_sym_require_once_expression_token1] = ACTIONS(1690),
    [sym_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_text_interpolation] = STATE(618),
    [ts_builtin_sym_end] = ACTIONS(1692),
    [sym_name] = ACTIONS(1694),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1692),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1694),
    [aux_sym_global_declaration_token1] = ACTIONS(1694),
    [aux_sym_namespace_definition_token1] = ACTIONS(1694),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1694),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1694),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1694),
    [anon_sym_BSLASH] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [aux_sym_trait_declaration_token1] = ACTIONS(1694),
    [aux_sym_interface_declaration_token1] = ACTIONS(1694),
    [aux_sym_enum_declaration_token1] = ACTIONS(1694),
    [aux_sym_enum_case_token1] = ACTIONS(1694),
    [aux_sym_class_declaration_token1] = ACTIONS(1694),
    [aux_sym_final_modifier_token1] = ACTIONS(1694),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1694),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1694),
    [sym_var_modifier] = ACTIONS(1694),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1694),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1694),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1694),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [aux_sym_cast_type_token1] = ACTIONS(1694),
    [aux_sym_echo_statement_token1] = ACTIONS(1694),
    [aux_sym_exit_statement_token1] = ACTIONS(1694),
    [anon_sym_unset] = ACTIONS(1694),
    [aux_sym_declare_statement_token1] = ACTIONS(1694),
    [aux_sym_declare_statement_token2] = ACTIONS(1694),
    [sym_float] = ACTIONS(1694),
    [aux_sym_try_statement_token1] = ACTIONS(1694),
    [aux_sym_goto_statement_token1] = ACTIONS(1694),
    [aux_sym_continue_statement_token1] = ACTIONS(1694),
    [aux_sym_break_statement_token1] = ACTIONS(1694),
    [sym_integer] = ACTIONS(1694),
    [aux_sym_return_statement_token1] = ACTIONS(1694),
    [aux_sym_throw_expression_token1] = ACTIONS(1694),
    [aux_sym_while_statement_token1] = ACTIONS(1694),
    [aux_sym_while_statement_token2] = ACTIONS(1694),
    [aux_sym_do_statement_token1] = ACTIONS(1694),
    [aux_sym_for_statement_token1] = ACTIONS(1694),
    [aux_sym_for_statement_token2] = ACTIONS(1694),
    [aux_sym_foreach_statement_token1] = ACTIONS(1694),
    [aux_sym_foreach_statement_token2] = ACTIONS(1694),
    [aux_sym_if_statement_token1] = ACTIONS(1694),
    [aux_sym_if_statement_token2] = ACTIONS(1694),
    [aux_sym_else_if_clause_token1] = ACTIONS(1694),
    [aux_sym_else_clause_token1] = ACTIONS(1694),
    [aux_sym_match_expression_token1] = ACTIONS(1694),
    [aux_sym_match_default_expression_token1] = ACTIONS(1694),
    [aux_sym_switch_statement_token1] = ACTIONS(1694),
    [aux_sym_switch_block_token1] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_AT] = ACTIONS(1692),
    [aux_sym_clone_expression_token1] = ACTIONS(1694),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1694),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1694),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [aux_sym__list_destructing_token1] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_self] = ACTIONS(1694),
    [anon_sym_parent] = ACTIONS(1694),
    [aux_sym__argument_name_token1] = ACTIONS(1694),
    [aux_sym__argument_name_token2] = ACTIONS(1694),
    [anon_sym_POUND_LBRACK] = ACTIONS(1692),
    [aux_sym_encapsed_string_token1] = ACTIONS(1692),
    [anon_sym_DQUOTE] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1692),
    [anon_sym_LT_LT_LT] = ACTIONS(1692),
    [anon_sym_BQUOTE] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [aux_sym_yield_expression_token1] = ACTIONS(1694),
    [aux_sym_include_expression_token1] = ACTIONS(1694),
    [aux_sym_include_once_expression_token1] = ACTIONS(1694),
    [aux_sym_require_expression_token1] = ACTIONS(1694),
    [aux_sym_require_once_expression_token1] = ACTIONS(1694),
    [sym_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_text_interpolation] = STATE(619),
    [ts_builtin_sym_end] = ACTIONS(1696),
    [sym_name] = ACTIONS(1698),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1698),
    [aux_sym_global_declaration_token1] = ACTIONS(1698),
    [aux_sym_namespace_definition_token1] = ACTIONS(1698),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1698),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1698),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1698),
    [anon_sym_BSLASH] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [aux_sym_trait_declaration_token1] = ACTIONS(1698),
    [aux_sym_interface_declaration_token1] = ACTIONS(1698),
    [aux_sym_enum_declaration_token1] = ACTIONS(1698),
    [aux_sym_enum_case_token1] = ACTIONS(1698),
    [aux_sym_class_declaration_token1] = ACTIONS(1698),
    [aux_sym_final_modifier_token1] = ACTIONS(1698),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1698),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1698),
    [sym_var_modifier] = ACTIONS(1698),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1698),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1698),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1698),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_cast_type_token1] = ACTIONS(1698),
    [aux_sym_echo_statement_token1] = ACTIONS(1698),
    [aux_sym_exit_statement_token1] = ACTIONS(1698),
    [anon_sym_unset] = ACTIONS(1698),
    [aux_sym_declare_statement_token1] = ACTIONS(1698),
    [aux_sym_declare_statement_token2] = ACTIONS(1698),
    [sym_float] = ACTIONS(1698),
    [aux_sym_try_statement_token1] = ACTIONS(1698),
    [aux_sym_goto_statement_token1] = ACTIONS(1698),
    [aux_sym_continue_statement_token1] = ACTIONS(1698),
    [aux_sym_break_statement_token1] = ACTIONS(1698),
    [sym_integer] = ACTIONS(1698),
    [aux_sym_return_statement_token1] = ACTIONS(1698),
    [aux_sym_throw_expression_token1] = ACTIONS(1698),
    [aux_sym_while_statement_token1] = ACTIONS(1698),
    [aux_sym_while_statement_token2] = ACTIONS(1698),
    [aux_sym_do_statement_token1] = ACTIONS(1698),
    [aux_sym_for_statement_token1] = ACTIONS(1698),
    [aux_sym_for_statement_token2] = ACTIONS(1698),
    [aux_sym_foreach_statement_token1] = ACTIONS(1698),
    [aux_sym_foreach_statement_token2] = ACTIONS(1698),
    [aux_sym_if_statement_token1] = ACTIONS(1698),
    [aux_sym_if_statement_token2] = ACTIONS(1698),
    [aux_sym_else_if_clause_token1] = ACTIONS(1698),
    [aux_sym_else_clause_token1] = ACTIONS(1698),
    [aux_sym_match_expression_token1] = ACTIONS(1698),
    [aux_sym_match_default_expression_token1] = ACTIONS(1698),
    [aux_sym_switch_statement_token1] = ACTIONS(1698),
    [aux_sym_switch_block_token1] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_AT] = ACTIONS(1696),
    [aux_sym_clone_expression_token1] = ACTIONS(1698),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1698),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [aux_sym__list_destructing_token1] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_self] = ACTIONS(1698),
    [anon_sym_parent] = ACTIONS(1698),
    [aux_sym__argument_name_token1] = ACTIONS(1698),
    [aux_sym__argument_name_token2] = ACTIONS(1698),
    [anon_sym_POUND_LBRACK] = ACTIONS(1696),
    [aux_sym_encapsed_string_token1] = ACTIONS(1696),
    [anon_sym_DQUOTE] = ACTIONS(1696),
    [aux_sym_string_token1] = ACTIONS(1696),
    [anon_sym_SQUOTE] = ACTIONS(1696),
    [anon_sym_LT_LT_LT] = ACTIONS(1696),
    [anon_sym_BQUOTE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [aux_sym_yield_expression_token1] = ACTIONS(1698),
    [aux_sym_include_expression_token1] = ACTIONS(1698),
    [aux_sym_include_once_expression_token1] = ACTIONS(1698),
    [aux_sym_require_expression_token1] = ACTIONS(1698),
    [aux_sym_require_once_expression_token1] = ACTIONS(1698),
    [sym_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_text_interpolation] = STATE(620),
    [ts_builtin_sym_end] = ACTIONS(1700),
    [sym_name] = ACTIONS(1702),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1700),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1702),
    [aux_sym_global_declaration_token1] = ACTIONS(1702),
    [aux_sym_namespace_definition_token1] = ACTIONS(1702),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1702),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1702),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1702),
    [anon_sym_BSLASH] = ACTIONS(1700),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_RBRACE] = ACTIONS(1700),
    [aux_sym_trait_declaration_token1] = ACTIONS(1702),
    [aux_sym_interface_declaration_token1] = ACTIONS(1702),
    [aux_sym_enum_declaration_token1] = ACTIONS(1702),
    [aux_sym_enum_case_token1] = ACTIONS(1702),
    [aux_sym_class_declaration_token1] = ACTIONS(1702),
    [aux_sym_final_modifier_token1] = ACTIONS(1702),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1702),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1702),
    [sym_var_modifier] = ACTIONS(1702),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1702),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1702),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1702),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [aux_sym_cast_type_token1] = ACTIONS(1702),
    [aux_sym_echo_statement_token1] = ACTIONS(1702),
    [aux_sym_exit_statement_token1] = ACTIONS(1702),
    [anon_sym_unset] = ACTIONS(1702),
    [aux_sym_declare_statement_token1] = ACTIONS(1702),
    [aux_sym_declare_statement_token2] = ACTIONS(1702),
    [sym_float] = ACTIONS(1702),
    [aux_sym_try_statement_token1] = ACTIONS(1702),
    [aux_sym_goto_statement_token1] = ACTIONS(1702),
    [aux_sym_continue_statement_token1] = ACTIONS(1702),
    [aux_sym_break_statement_token1] = ACTIONS(1702),
    [sym_integer] = ACTIONS(1702),
    [aux_sym_return_statement_token1] = ACTIONS(1702),
    [aux_sym_throw_expression_token1] = ACTIONS(1702),
    [aux_sym_while_statement_token1] = ACTIONS(1702),
    [aux_sym_while_statement_token2] = ACTIONS(1702),
    [aux_sym_do_statement_token1] = ACTIONS(1702),
    [aux_sym_for_statement_token1] = ACTIONS(1702),
    [aux_sym_for_statement_token2] = ACTIONS(1702),
    [aux_sym_foreach_statement_token1] = ACTIONS(1702),
    [aux_sym_foreach_statement_token2] = ACTIONS(1702),
    [aux_sym_if_statement_token1] = ACTIONS(1702),
    [aux_sym_if_statement_token2] = ACTIONS(1702),
    [aux_sym_else_if_clause_token1] = ACTIONS(1702),
    [aux_sym_else_clause_token1] = ACTIONS(1702),
    [aux_sym_match_expression_token1] = ACTIONS(1702),
    [aux_sym_match_default_expression_token1] = ACTIONS(1702),
    [aux_sym_switch_statement_token1] = ACTIONS(1702),
    [aux_sym_switch_block_token1] = ACTIONS(1702),
    [anon_sym_PLUS] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_AT] = ACTIONS(1700),
    [aux_sym_clone_expression_token1] = ACTIONS(1702),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1702),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1700),
    [anon_sym_PLUS_PLUS] = ACTIONS(1700),
    [aux_sym__list_destructing_token1] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [anon_sym_self] = ACTIONS(1702),
    [anon_sym_parent] = ACTIONS(1702),
    [aux_sym__argument_name_token1] = ACTIONS(1702),
    [aux_sym__argument_name_token2] = ACTIONS(1702),
    [anon_sym_POUND_LBRACK] = ACTIONS(1700),
    [aux_sym_encapsed_string_token1] = ACTIONS(1700),
    [anon_sym_DQUOTE] = ACTIONS(1700),
    [aux_sym_string_token1] = ACTIONS(1700),
    [anon_sym_SQUOTE] = ACTIONS(1700),
    [anon_sym_LT_LT_LT] = ACTIONS(1700),
    [anon_sym_BQUOTE] = ACTIONS(1700),
    [anon_sym_DOLLAR] = ACTIONS(1700),
    [aux_sym_yield_expression_token1] = ACTIONS(1702),
    [aux_sym_include_expression_token1] = ACTIONS(1702),
    [aux_sym_include_once_expression_token1] = ACTIONS(1702),
    [aux_sym_require_expression_token1] = ACTIONS(1702),
    [aux_sym_require_once_expression_token1] = ACTIONS(1702),
    [sym_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_text_interpolation] = STATE(621),
    [ts_builtin_sym_end] = ACTIONS(1704),
    [sym_name] = ACTIONS(1706),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1704),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1706),
    [aux_sym_global_declaration_token1] = ACTIONS(1706),
    [aux_sym_namespace_definition_token1] = ACTIONS(1706),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1706),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1706),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1706),
    [anon_sym_BSLASH] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1704),
    [anon_sym_RBRACE] = ACTIONS(1704),
    [aux_sym_trait_declaration_token1] = ACTIONS(1706),
    [aux_sym_interface_declaration_token1] = ACTIONS(1706),
    [aux_sym_enum_declaration_token1] = ACTIONS(1706),
    [aux_sym_enum_case_token1] = ACTIONS(1706),
    [aux_sym_class_declaration_token1] = ACTIONS(1706),
    [aux_sym_final_modifier_token1] = ACTIONS(1706),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1706),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1706),
    [sym_var_modifier] = ACTIONS(1706),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1706),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1706),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1706),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1706),
    [anon_sym_LPAREN] = ACTIONS(1704),
    [aux_sym_cast_type_token1] = ACTIONS(1706),
    [aux_sym_echo_statement_token1] = ACTIONS(1706),
    [aux_sym_exit_statement_token1] = ACTIONS(1706),
    [anon_sym_unset] = ACTIONS(1706),
    [aux_sym_declare_statement_token1] = ACTIONS(1706),
    [aux_sym_declare_statement_token2] = ACTIONS(1706),
    [sym_float] = ACTIONS(1706),
    [aux_sym_try_statement_token1] = ACTIONS(1706),
    [aux_sym_goto_statement_token1] = ACTIONS(1706),
    [aux_sym_continue_statement_token1] = ACTIONS(1706),
    [aux_sym_break_statement_token1] = ACTIONS(1706),
    [sym_integer] = ACTIONS(1706),
    [aux_sym_return_statement_token1] = ACTIONS(1706),
    [aux_sym_throw_expression_token1] = ACTIONS(1706),
    [aux_sym_while_statement_token1] = ACTIONS(1706),
    [aux_sym_while_statement_token2] = ACTIONS(1706),
    [aux_sym_do_statement_token1] = ACTIONS(1706),
    [aux_sym_for_statement_token1] = ACTIONS(1706),
    [aux_sym_for_statement_token2] = ACTIONS(1706),
    [aux_sym_foreach_statement_token1] = ACTIONS(1706),
    [aux_sym_foreach_statement_token2] = ACTIONS(1706),
    [aux_sym_if_statement_token1] = ACTIONS(1706),
    [aux_sym_if_statement_token2] = ACTIONS(1706),
    [aux_sym_else_if_clause_token1] = ACTIONS(1706),
    [aux_sym_else_clause_token1] = ACTIONS(1706),
    [aux_sym_match_expression_token1] = ACTIONS(1706),
    [aux_sym_match_default_expression_token1] = ACTIONS(1706),
    [aux_sym_switch_statement_token1] = ACTIONS(1706),
    [aux_sym_switch_block_token1] = ACTIONS(1706),
    [anon_sym_PLUS] = ACTIONS(1706),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(1704),
    [anon_sym_AT] = ACTIONS(1704),
    [aux_sym_clone_expression_token1] = ACTIONS(1706),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1706),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1706),
    [anon_sym_DASH_DASH] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1704),
    [aux_sym__list_destructing_token1] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1704),
    [anon_sym_self] = ACTIONS(1706),
    [anon_sym_parent] = ACTIONS(1706),
    [aux_sym__argument_name_token1] = ACTIONS(1706),
    [aux_sym__argument_name_token2] = ACTIONS(1706),
    [anon_sym_POUND_LBRACK] = ACTIONS(1704),
    [aux_sym_encapsed_string_token1] = ACTIONS(1704),
    [anon_sym_DQUOTE] = ACTIONS(1704),
    [aux_sym_string_token1] = ACTIONS(1704),
    [anon_sym_SQUOTE] = ACTIONS(1704),
    [anon_sym_LT_LT_LT] = ACTIONS(1704),
    [anon_sym_BQUOTE] = ACTIONS(1704),
    [anon_sym_DOLLAR] = ACTIONS(1704),
    [aux_sym_yield_expression_token1] = ACTIONS(1706),
    [aux_sym_include_expression_token1] = ACTIONS(1706),
    [aux_sym_include_once_expression_token1] = ACTIONS(1706),
    [aux_sym_require_expression_token1] = ACTIONS(1706),
    [aux_sym_require_once_expression_token1] = ACTIONS(1706),
    [sym_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_text_interpolation] = STATE(622),
    [ts_builtin_sym_end] = ACTIONS(1708),
    [sym_name] = ACTIONS(1710),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1708),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1710),
    [aux_sym_global_declaration_token1] = ACTIONS(1710),
    [aux_sym_namespace_definition_token1] = ACTIONS(1710),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1710),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1710),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1710),
    [anon_sym_BSLASH] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1708),
    [anon_sym_RBRACE] = ACTIONS(1708),
    [aux_sym_trait_declaration_token1] = ACTIONS(1710),
    [aux_sym_interface_declaration_token1] = ACTIONS(1710),
    [aux_sym_enum_declaration_token1] = ACTIONS(1710),
    [aux_sym_enum_case_token1] = ACTIONS(1710),
    [aux_sym_class_declaration_token1] = ACTIONS(1710),
    [aux_sym_final_modifier_token1] = ACTIONS(1710),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1710),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1710),
    [sym_var_modifier] = ACTIONS(1710),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1710),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1710),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1710),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1710),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [aux_sym_cast_type_token1] = ACTIONS(1710),
    [aux_sym_echo_statement_token1] = ACTIONS(1710),
    [aux_sym_exit_statement_token1] = ACTIONS(1710),
    [anon_sym_unset] = ACTIONS(1710),
    [aux_sym_declare_statement_token1] = ACTIONS(1710),
    [aux_sym_declare_statement_token2] = ACTIONS(1710),
    [sym_float] = ACTIONS(1710),
    [aux_sym_try_statement_token1] = ACTIONS(1710),
    [aux_sym_goto_statement_token1] = ACTIONS(1710),
    [aux_sym_continue_statement_token1] = ACTIONS(1710),
    [aux_sym_break_statement_token1] = ACTIONS(1710),
    [sym_integer] = ACTIONS(1710),
    [aux_sym_return_statement_token1] = ACTIONS(1710),
    [aux_sym_throw_expression_token1] = ACTIONS(1710),
    [aux_sym_while_statement_token1] = ACTIONS(1710),
    [aux_sym_while_statement_token2] = ACTIONS(1710),
    [aux_sym_do_statement_token1] = ACTIONS(1710),
    [aux_sym_for_statement_token1] = ACTIONS(1710),
    [aux_sym_for_statement_token2] = ACTIONS(1710),
    [aux_sym_foreach_statement_token1] = ACTIONS(1710),
    [aux_sym_foreach_statement_token2] = ACTIONS(1710),
    [aux_sym_if_statement_token1] = ACTIONS(1710),
    [aux_sym_if_statement_token2] = ACTIONS(1710),
    [aux_sym_else_if_clause_token1] = ACTIONS(1710),
    [aux_sym_else_clause_token1] = ACTIONS(1710),
    [aux_sym_match_expression_token1] = ACTIONS(1710),
    [aux_sym_match_default_expression_token1] = ACTIONS(1710),
    [aux_sym_switch_statement_token1] = ACTIONS(1710),
    [aux_sym_switch_block_token1] = ACTIONS(1710),
    [anon_sym_PLUS] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_TILDE] = ACTIONS(1708),
    [anon_sym_BANG] = ACTIONS(1708),
    [anon_sym_AT] = ACTIONS(1708),
    [aux_sym_clone_expression_token1] = ACTIONS(1710),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1710),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1710),
    [anon_sym_DASH_DASH] = ACTIONS(1708),
    [anon_sym_PLUS_PLUS] = ACTIONS(1708),
    [aux_sym__list_destructing_token1] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1708),
    [anon_sym_self] = ACTIONS(1710),
    [anon_sym_parent] = ACTIONS(1710),
    [aux_sym__argument_name_token1] = ACTIONS(1710),
    [aux_sym__argument_name_token2] = ACTIONS(1710),
    [anon_sym_POUND_LBRACK] = ACTIONS(1708),
    [aux_sym_encapsed_string_token1] = ACTIONS(1708),
    [anon_sym_DQUOTE] = ACTIONS(1708),
    [aux_sym_string_token1] = ACTIONS(1708),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [anon_sym_LT_LT_LT] = ACTIONS(1708),
    [anon_sym_BQUOTE] = ACTIONS(1708),
    [anon_sym_DOLLAR] = ACTIONS(1708),
    [aux_sym_yield_expression_token1] = ACTIONS(1710),
    [aux_sym_include_expression_token1] = ACTIONS(1710),
    [aux_sym_include_once_expression_token1] = ACTIONS(1710),
    [aux_sym_require_expression_token1] = ACTIONS(1710),
    [aux_sym_require_once_expression_token1] = ACTIONS(1710),
    [sym_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_text_interpolation] = STATE(623),
    [ts_builtin_sym_end] = ACTIONS(1640),
    [sym_name] = ACTIONS(1642),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1642),
    [aux_sym_global_declaration_token1] = ACTIONS(1642),
    [aux_sym_namespace_definition_token1] = ACTIONS(1642),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1642),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1642),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1642),
    [anon_sym_BSLASH] = ACTIONS(1640),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_RBRACE] = ACTIONS(1640),
    [aux_sym_trait_declaration_token1] = ACTIONS(1642),
    [aux_sym_interface_declaration_token1] = ACTIONS(1642),
    [aux_sym_enum_declaration_token1] = ACTIONS(1642),
    [aux_sym_enum_case_token1] = ACTIONS(1642),
    [aux_sym_class_declaration_token1] = ACTIONS(1642),
    [aux_sym_final_modifier_token1] = ACTIONS(1642),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1642),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1642),
    [sym_var_modifier] = ACTIONS(1642),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1642),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1642),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1642),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_cast_type_token1] = ACTIONS(1642),
    [aux_sym_echo_statement_token1] = ACTIONS(1642),
    [aux_sym_exit_statement_token1] = ACTIONS(1642),
    [anon_sym_unset] = ACTIONS(1642),
    [aux_sym_declare_statement_token1] = ACTIONS(1642),
    [aux_sym_declare_statement_token2] = ACTIONS(1642),
    [sym_float] = ACTIONS(1642),
    [aux_sym_try_statement_token1] = ACTIONS(1642),
    [aux_sym_goto_statement_token1] = ACTIONS(1642),
    [aux_sym_continue_statement_token1] = ACTIONS(1642),
    [aux_sym_break_statement_token1] = ACTIONS(1642),
    [sym_integer] = ACTIONS(1642),
    [aux_sym_return_statement_token1] = ACTIONS(1642),
    [aux_sym_throw_expression_token1] = ACTIONS(1642),
    [aux_sym_while_statement_token1] = ACTIONS(1642),
    [aux_sym_while_statement_token2] = ACTIONS(1642),
    [aux_sym_do_statement_token1] = ACTIONS(1642),
    [aux_sym_for_statement_token1] = ACTIONS(1642),
    [aux_sym_for_statement_token2] = ACTIONS(1642),
    [aux_sym_foreach_statement_token1] = ACTIONS(1642),
    [aux_sym_foreach_statement_token2] = ACTIONS(1642),
    [aux_sym_if_statement_token1] = ACTIONS(1642),
    [aux_sym_if_statement_token2] = ACTIONS(1642),
    [aux_sym_else_if_clause_token1] = ACTIONS(1642),
    [aux_sym_else_clause_token1] = ACTIONS(1642),
    [aux_sym_match_expression_token1] = ACTIONS(1642),
    [aux_sym_match_default_expression_token1] = ACTIONS(1642),
    [aux_sym_switch_statement_token1] = ACTIONS(1642),
    [aux_sym_switch_block_token1] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1640),
    [anon_sym_BANG] = ACTIONS(1640),
    [anon_sym_AT] = ACTIONS(1640),
    [aux_sym_clone_expression_token1] = ACTIONS(1642),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1642),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1642),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [aux_sym__list_destructing_token1] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [anon_sym_self] = ACTIONS(1642),
    [anon_sym_parent] = ACTIONS(1642),
    [aux_sym__argument_name_token1] = ACTIONS(1642),
    [aux_sym__argument_name_token2] = ACTIONS(1642),
    [anon_sym_POUND_LBRACK] = ACTIONS(1640),
    [aux_sym_encapsed_string_token1] = ACTIONS(1640),
    [anon_sym_DQUOTE] = ACTIONS(1640),
    [aux_sym_string_token1] = ACTIONS(1640),
    [anon_sym_SQUOTE] = ACTIONS(1640),
    [anon_sym_LT_LT_LT] = ACTIONS(1640),
    [anon_sym_BQUOTE] = ACTIONS(1640),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [aux_sym_yield_expression_token1] = ACTIONS(1642),
    [aux_sym_include_expression_token1] = ACTIONS(1642),
    [aux_sym_include_once_expression_token1] = ACTIONS(1642),
    [aux_sym_require_expression_token1] = ACTIONS(1642),
    [aux_sym_require_once_expression_token1] = ACTIONS(1642),
    [sym_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_text_interpolation] = STATE(624),
    [ts_builtin_sym_end] = ACTIONS(1712),
    [sym_name] = ACTIONS(1714),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1714),
    [aux_sym_global_declaration_token1] = ACTIONS(1714),
    [aux_sym_namespace_definition_token1] = ACTIONS(1714),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1714),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1714),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1714),
    [anon_sym_BSLASH] = ACTIONS(1712),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_RBRACE] = ACTIONS(1712),
    [aux_sym_trait_declaration_token1] = ACTIONS(1714),
    [aux_sym_interface_declaration_token1] = ACTIONS(1714),
    [aux_sym_enum_declaration_token1] = ACTIONS(1714),
    [aux_sym_enum_case_token1] = ACTIONS(1714),
    [aux_sym_class_declaration_token1] = ACTIONS(1714),
    [aux_sym_final_modifier_token1] = ACTIONS(1714),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1714),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1714),
    [sym_var_modifier] = ACTIONS(1714),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1714),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1714),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1714),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1712),
    [aux_sym_cast_type_token1] = ACTIONS(1714),
    [aux_sym_echo_statement_token1] = ACTIONS(1714),
    [aux_sym_exit_statement_token1] = ACTIONS(1714),
    [anon_sym_unset] = ACTIONS(1714),
    [aux_sym_declare_statement_token1] = ACTIONS(1714),
    [aux_sym_declare_statement_token2] = ACTIONS(1714),
    [sym_float] = ACTIONS(1714),
    [aux_sym_try_statement_token1] = ACTIONS(1714),
    [aux_sym_goto_statement_token1] = ACTIONS(1714),
    [aux_sym_continue_statement_token1] = ACTIONS(1714),
    [aux_sym_break_statement_token1] = ACTIONS(1714),
    [sym_integer] = ACTIONS(1714),
    [aux_sym_return_statement_token1] = ACTIONS(1714),
    [aux_sym_throw_expression_token1] = ACTIONS(1714),
    [aux_sym_while_statement_token1] = ACTIONS(1714),
    [aux_sym_while_statement_token2] = ACTIONS(1714),
    [aux_sym_do_statement_token1] = ACTIONS(1714),
    [aux_sym_for_statement_token1] = ACTIONS(1714),
    [aux_sym_for_statement_token2] = ACTIONS(1714),
    [aux_sym_foreach_statement_token1] = ACTIONS(1714),
    [aux_sym_foreach_statement_token2] = ACTIONS(1714),
    [aux_sym_if_statement_token1] = ACTIONS(1714),
    [aux_sym_if_statement_token2] = ACTIONS(1714),
    [aux_sym_else_if_clause_token1] = ACTIONS(1714),
    [aux_sym_else_clause_token1] = ACTIONS(1714),
    [aux_sym_match_expression_token1] = ACTIONS(1714),
    [aux_sym_match_default_expression_token1] = ACTIONS(1714),
    [aux_sym_switch_statement_token1] = ACTIONS(1714),
    [aux_sym_switch_block_token1] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1714),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_TILDE] = ACTIONS(1712),
    [anon_sym_BANG] = ACTIONS(1712),
    [anon_sym_AT] = ACTIONS(1712),
    [aux_sym_clone_expression_token1] = ACTIONS(1714),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1714),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1712),
    [anon_sym_PLUS_PLUS] = ACTIONS(1712),
    [aux_sym__list_destructing_token1] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1712),
    [anon_sym_self] = ACTIONS(1714),
    [anon_sym_parent] = ACTIONS(1714),
    [aux_sym__argument_name_token1] = ACTIONS(1714),
    [aux_sym__argument_name_token2] = ACTIONS(1714),
    [anon_sym_POUND_LBRACK] = ACTIONS(1712),
    [aux_sym_encapsed_string_token1] = ACTIONS(1712),
    [anon_sym_DQUOTE] = ACTIONS(1712),
    [aux_sym_string_token1] = ACTIONS(1712),
    [anon_sym_SQUOTE] = ACTIONS(1712),
    [anon_sym_LT_LT_LT] = ACTIONS(1712),
    [anon_sym_BQUOTE] = ACTIONS(1712),
    [anon_sym_DOLLAR] = ACTIONS(1712),
    [aux_sym_yield_expression_token1] = ACTIONS(1714),
    [aux_sym_include_expression_token1] = ACTIONS(1714),
    [aux_sym_include_once_expression_token1] = ACTIONS(1714),
    [aux_sym_require_expression_token1] = ACTIONS(1714),
    [aux_sym_require_once_expression_token1] = ACTIONS(1714),
    [sym_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_text_interpolation] = STATE(625),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [sym_var_modifier] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [aux_sym_exit_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [aux_sym__argument_name_token1] = ACTIONS(1238),
    [aux_sym__argument_name_token2] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_text_interpolation] = STATE(626),
    [ts_builtin_sym_end] = ACTIONS(1696),
    [sym_name] = ACTIONS(1698),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1698),
    [aux_sym_global_declaration_token1] = ACTIONS(1698),
    [aux_sym_namespace_definition_token1] = ACTIONS(1698),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1698),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1698),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1698),
    [anon_sym_BSLASH] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [aux_sym_trait_declaration_token1] = ACTIONS(1698),
    [aux_sym_interface_declaration_token1] = ACTIONS(1698),
    [aux_sym_enum_declaration_token1] = ACTIONS(1698),
    [aux_sym_enum_case_token1] = ACTIONS(1698),
    [aux_sym_class_declaration_token1] = ACTIONS(1698),
    [aux_sym_final_modifier_token1] = ACTIONS(1698),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1698),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1698),
    [sym_var_modifier] = ACTIONS(1698),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1698),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1698),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1698),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_cast_type_token1] = ACTIONS(1698),
    [aux_sym_echo_statement_token1] = ACTIONS(1698),
    [aux_sym_exit_statement_token1] = ACTIONS(1698),
    [anon_sym_unset] = ACTIONS(1698),
    [aux_sym_declare_statement_token1] = ACTIONS(1698),
    [aux_sym_declare_statement_token2] = ACTIONS(1698),
    [sym_float] = ACTIONS(1698),
    [aux_sym_try_statement_token1] = ACTIONS(1698),
    [aux_sym_goto_statement_token1] = ACTIONS(1698),
    [aux_sym_continue_statement_token1] = ACTIONS(1698),
    [aux_sym_break_statement_token1] = ACTIONS(1698),
    [sym_integer] = ACTIONS(1698),
    [aux_sym_return_statement_token1] = ACTIONS(1698),
    [aux_sym_throw_expression_token1] = ACTIONS(1698),
    [aux_sym_while_statement_token1] = ACTIONS(1698),
    [aux_sym_while_statement_token2] = ACTIONS(1698),
    [aux_sym_do_statement_token1] = ACTIONS(1698),
    [aux_sym_for_statement_token1] = ACTIONS(1698),
    [aux_sym_for_statement_token2] = ACTIONS(1698),
    [aux_sym_foreach_statement_token1] = ACTIONS(1698),
    [aux_sym_foreach_statement_token2] = ACTIONS(1698),
    [aux_sym_if_statement_token1] = ACTIONS(1698),
    [aux_sym_if_statement_token2] = ACTIONS(1698),
    [aux_sym_else_if_clause_token1] = ACTIONS(1698),
    [aux_sym_else_clause_token1] = ACTIONS(1698),
    [aux_sym_match_expression_token1] = ACTIONS(1698),
    [aux_sym_match_default_expression_token1] = ACTIONS(1698),
    [aux_sym_switch_statement_token1] = ACTIONS(1698),
    [aux_sym_switch_block_token1] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_AT] = ACTIONS(1696),
    [aux_sym_clone_expression_token1] = ACTIONS(1698),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1698),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [aux_sym__list_destructing_token1] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_self] = ACTIONS(1698),
    [anon_sym_parent] = ACTIONS(1698),
    [aux_sym__argument_name_token1] = ACTIONS(1698),
    [aux_sym__argument_name_token2] = ACTIONS(1698),
    [anon_sym_POUND_LBRACK] = ACTIONS(1696),
    [aux_sym_encapsed_string_token1] = ACTIONS(1696),
    [anon_sym_DQUOTE] = ACTIONS(1696),
    [aux_sym_string_token1] = ACTIONS(1696),
    [anon_sym_SQUOTE] = ACTIONS(1696),
    [anon_sym_LT_LT_LT] = ACTIONS(1696),
    [anon_sym_BQUOTE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [aux_sym_yield_expression_token1] = ACTIONS(1698),
    [aux_sym_include_expression_token1] = ACTIONS(1698),
    [aux_sym_include_once_expression_token1] = ACTIONS(1698),
    [aux_sym_require_expression_token1] = ACTIONS(1698),
    [aux_sym_require_once_expression_token1] = ACTIONS(1698),
    [sym_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_text_interpolation] = STATE(627),
    [ts_builtin_sym_end] = ACTIONS(1716),
    [sym_name] = ACTIONS(1718),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1716),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1718),
    [aux_sym_global_declaration_token1] = ACTIONS(1718),
    [aux_sym_namespace_definition_token1] = ACTIONS(1718),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1718),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1718),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1718),
    [anon_sym_BSLASH] = ACTIONS(1716),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_RBRACE] = ACTIONS(1716),
    [aux_sym_trait_declaration_token1] = ACTIONS(1718),
    [aux_sym_interface_declaration_token1] = ACTIONS(1718),
    [aux_sym_enum_declaration_token1] = ACTIONS(1718),
    [aux_sym_enum_case_token1] = ACTIONS(1718),
    [aux_sym_class_declaration_token1] = ACTIONS(1718),
    [aux_sym_final_modifier_token1] = ACTIONS(1718),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1718),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1718),
    [sym_var_modifier] = ACTIONS(1718),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1718),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1718),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1718),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1716),
    [aux_sym_cast_type_token1] = ACTIONS(1718),
    [aux_sym_echo_statement_token1] = ACTIONS(1718),
    [aux_sym_exit_statement_token1] = ACTIONS(1718),
    [anon_sym_unset] = ACTIONS(1718),
    [aux_sym_declare_statement_token1] = ACTIONS(1718),
    [aux_sym_declare_statement_token2] = ACTIONS(1718),
    [sym_float] = ACTIONS(1718),
    [aux_sym_try_statement_token1] = ACTIONS(1718),
    [aux_sym_goto_statement_token1] = ACTIONS(1718),
    [aux_sym_continue_statement_token1] = ACTIONS(1718),
    [aux_sym_break_statement_token1] = ACTIONS(1718),
    [sym_integer] = ACTIONS(1718),
    [aux_sym_return_statement_token1] = ACTIONS(1718),
    [aux_sym_throw_expression_token1] = ACTIONS(1718),
    [aux_sym_while_statement_token1] = ACTIONS(1718),
    [aux_sym_while_statement_token2] = ACTIONS(1718),
    [aux_sym_do_statement_token1] = ACTIONS(1718),
    [aux_sym_for_statement_token1] = ACTIONS(1718),
    [aux_sym_for_statement_token2] = ACTIONS(1718),
    [aux_sym_foreach_statement_token1] = ACTIONS(1718),
    [aux_sym_foreach_statement_token2] = ACTIONS(1718),
    [aux_sym_if_statement_token1] = ACTIONS(1718),
    [aux_sym_if_statement_token2] = ACTIONS(1718),
    [aux_sym_else_if_clause_token1] = ACTIONS(1718),
    [aux_sym_else_clause_token1] = ACTIONS(1718),
    [aux_sym_match_expression_token1] = ACTIONS(1718),
    [aux_sym_match_default_expression_token1] = ACTIONS(1718),
    [aux_sym_switch_statement_token1] = ACTIONS(1718),
    [aux_sym_switch_block_token1] = ACTIONS(1718),
    [anon_sym_PLUS] = ACTIONS(1718),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_AT] = ACTIONS(1716),
    [aux_sym_clone_expression_token1] = ACTIONS(1718),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1718),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1718),
    [anon_sym_DASH_DASH] = ACTIONS(1716),
    [anon_sym_PLUS_PLUS] = ACTIONS(1716),
    [aux_sym__list_destructing_token1] = ACTIONS(1718),
    [anon_sym_LBRACK] = ACTIONS(1716),
    [anon_sym_self] = ACTIONS(1718),
    [anon_sym_parent] = ACTIONS(1718),
    [aux_sym__argument_name_token1] = ACTIONS(1718),
    [aux_sym__argument_name_token2] = ACTIONS(1718),
    [anon_sym_POUND_LBRACK] = ACTIONS(1716),
    [aux_sym_encapsed_string_token1] = ACTIONS(1716),
    [anon_sym_DQUOTE] = ACTIONS(1716),
    [aux_sym_string_token1] = ACTIONS(1716),
    [anon_sym_SQUOTE] = ACTIONS(1716),
    [anon_sym_LT_LT_LT] = ACTIONS(1716),
    [anon_sym_BQUOTE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1716),
    [aux_sym_yield_expression_token1] = ACTIONS(1718),
    [aux_sym_include_expression_token1] = ACTIONS(1718),
    [aux_sym_include_once_expression_token1] = ACTIONS(1718),
    [aux_sym_require_expression_token1] = ACTIONS(1718),
    [aux_sym_require_once_expression_token1] = ACTIONS(1718),
    [sym_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_text_interpolation] = STATE(628),
    [sym_name] = ACTIONS(1720),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1722),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1720),
    [aux_sym_global_declaration_token1] = ACTIONS(1720),
    [aux_sym_namespace_definition_token1] = ACTIONS(1720),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1720),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1720),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1720),
    [anon_sym_BSLASH] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [aux_sym_trait_declaration_token1] = ACTIONS(1720),
    [aux_sym_interface_declaration_token1] = ACTIONS(1720),
    [aux_sym_enum_declaration_token1] = ACTIONS(1720),
    [anon_sym_COLON] = ACTIONS(1722),
    [aux_sym_class_declaration_token1] = ACTIONS(1720),
    [aux_sym_final_modifier_token1] = ACTIONS(1720),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1720),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1720),
    [sym_var_modifier] = ACTIONS(1720),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1720),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1720),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1720),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [aux_sym_cast_type_token1] = ACTIONS(1720),
    [aux_sym_echo_statement_token1] = ACTIONS(1720),
    [aux_sym_exit_statement_token1] = ACTIONS(1720),
    [anon_sym_unset] = ACTIONS(1720),
    [aux_sym_declare_statement_token1] = ACTIONS(1720),
    [sym_float] = ACTIONS(1720),
    [aux_sym_try_statement_token1] = ACTIONS(1720),
    [aux_sym_goto_statement_token1] = ACTIONS(1720),
    [aux_sym_continue_statement_token1] = ACTIONS(1720),
    [aux_sym_break_statement_token1] = ACTIONS(1720),
    [sym_integer] = ACTIONS(1720),
    [aux_sym_return_statement_token1] = ACTIONS(1720),
    [aux_sym_throw_expression_token1] = ACTIONS(1720),
    [aux_sym_while_statement_token1] = ACTIONS(1720),
    [aux_sym_do_statement_token1] = ACTIONS(1720),
    [aux_sym_for_statement_token1] = ACTIONS(1720),
    [aux_sym_foreach_statement_token1] = ACTIONS(1720),
    [aux_sym_if_statement_token1] = ACTIONS(1720),
    [aux_sym_match_expression_token1] = ACTIONS(1720),
    [aux_sym_switch_statement_token1] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_AT] = ACTIONS(1722),
    [aux_sym_clone_expression_token1] = ACTIONS(1720),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1720),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1720),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [aux_sym__list_destructing_token1] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_self] = ACTIONS(1720),
    [anon_sym_parent] = ACTIONS(1720),
    [aux_sym__argument_name_token1] = ACTIONS(1720),
    [aux_sym__argument_name_token2] = ACTIONS(1720),
    [anon_sym_POUND_LBRACK] = ACTIONS(1722),
    [aux_sym_encapsed_string_token1] = ACTIONS(1722),
    [anon_sym_DQUOTE] = ACTIONS(1722),
    [aux_sym_string_token1] = ACTIONS(1722),
    [anon_sym_SQUOTE] = ACTIONS(1722),
    [anon_sym_LT_LT_LT] = ACTIONS(1722),
    [anon_sym_BQUOTE] = ACTIONS(1722),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [aux_sym_yield_expression_token1] = ACTIONS(1720),
    [aux_sym_include_expression_token1] = ACTIONS(1720),
    [aux_sym_include_once_expression_token1] = ACTIONS(1720),
    [aux_sym_require_expression_token1] = ACTIONS(1720),
    [aux_sym_require_once_expression_token1] = ACTIONS(1720),
    [sym_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_text_interpolation] = STATE(629),
    [sym_qualified_name] = STATE(895),
    [sym_namespace_name_as_prefix] = STATE(2670),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2377),
    [sym__arrow_function_header] = STATE(2664),
    [sym_arrow_function] = STATE(1224),
    [sym_literal] = STATE(1224),
    [sym_throw_expression] = STATE(1224),
    [sym_primary_expression] = STATE(1157),
    [sym_parenthesized_expression] = STATE(901),
    [sym_class_constant_access_expression] = STATE(984),
    [sym_print_intrinsic] = STATE(1224),
    [sym_anonymous_function_creation_expression] = STATE(1224),
    [sym_object_creation_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_cast_variable] = STATE(914),
    [sym_member_access_expression] = STATE(914),
    [sym_nullsafe_member_access_expression] = STATE(914),
    [sym_scoped_property_access_expression] = STATE(914),
    [sym_function_call_expression] = STATE(844),
    [sym_scoped_call_expression] = STATE(844),
    [sym__scope_resolution_qualifier] = STATE(2689),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(844),
    [sym_nullsafe_member_call_expression] = STATE(844),
    [sym_subscript_expression] = STATE(844),
    [sym__dereferencable_expression] = STATE(1801),
    [sym_array_creation_expression] = STATE(901),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1936),
    [sym_encapsed_string] = STATE(948),
    [sym_string] = STATE(948),
    [sym_heredoc] = STATE(948),
    [sym_nowdoc] = STATE(948),
    [sym_shell_command_expression] = STATE(1224),
    [sym_boolean] = STATE(1177),
    [sym_null] = STATE(1177),
    [sym__string] = STATE(902),
    [sym_dynamic_variable_name] = STATE(844),
    [sym_variable_name] = STATE(844),
    [sym__reserved_identifier] = STATE(1618),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(1724),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(761),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(1728),
    [sym_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_text_interpolation] = STATE(630),
    [sym_qualified_name] = STATE(764),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2594),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(762),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_variable] = STATE(743),
    [sym_member_access_expression] = STATE(743),
    [sym_nullsafe_member_access_expression] = STATE(743),
    [sym_scoped_property_access_expression] = STATE(743),
    [sym_function_call_expression] = STATE(712),
    [sym_scoped_call_expression] = STATE(712),
    [sym__scope_resolution_qualifier] = STATE(2780),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(712),
    [sym_nullsafe_member_call_expression] = STATE(712),
    [sym_subscript_expression] = STATE(712),
    [sym__dereferencable_expression] = STATE(1808),
    [sym_array_creation_expression] = STATE(762),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(757),
    [sym_dynamic_variable_name] = STATE(712),
    [sym_variable_name] = STATE(712),
    [sym__reserved_identifier] = STATE(1656),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(1730),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1734),
    [sym_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_text_interpolation] = STATE(631),
    [sym_qualified_name] = STATE(764),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(762),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_variable] = STATE(743),
    [sym_member_access_expression] = STATE(743),
    [sym_nullsafe_member_access_expression] = STATE(743),
    [sym_scoped_property_access_expression] = STATE(743),
    [sym_function_call_expression] = STATE(712),
    [sym_scoped_call_expression] = STATE(712),
    [sym__scope_resolution_qualifier] = STATE(2780),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(712),
    [sym_nullsafe_member_call_expression] = STATE(712),
    [sym_subscript_expression] = STATE(712),
    [sym__dereferencable_expression] = STATE(1808),
    [sym_array_creation_expression] = STATE(762),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(757),
    [sym_dynamic_variable_name] = STATE(712),
    [sym_variable_name] = STATE(712),
    [sym__reserved_identifier] = STATE(1656),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(1730),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(681),
    [aux_sym_print_intrinsic_token1] = ACTIONS(693),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1734),
    [sym_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_text_interpolation] = STATE(632),
    [sym_qualified_name] = STATE(764),
    [sym_namespace_name_as_prefix] = STATE(2607),
    [sym_namespace_name] = STATE(2669),
    [sym_static_modifier] = STATE(2562),
    [sym__arrow_function_header] = STATE(2645),
    [sym_arrow_function] = STATE(1025),
    [sym_literal] = STATE(1025),
    [sym_throw_expression] = STATE(1025),
    [sym_primary_expression] = STATE(1042),
    [sym_parenthesized_expression] = STATE(762),
    [sym_class_constant_access_expression] = STATE(845),
    [sym_print_intrinsic] = STATE(1025),
    [sym_anonymous_function_creation_expression] = STATE(1025),
    [sym_object_creation_expression] = STATE(1025),
    [sym_update_expression] = STATE(1025),
    [sym_cast_variable] = STATE(743),
    [sym_member_access_expression] = STATE(743),
    [sym_nullsafe_member_access_expression] = STATE(743),
    [sym_scoped_property_access_expression] = STATE(743),
    [sym_function_call_expression] = STATE(712),
    [sym_scoped_call_expression] = STATE(712),
    [sym__scope_resolution_qualifier] = STATE(2780),
    [sym_relative_scope] = STATE(2651),
    [sym_member_call_expression] = STATE(712),
    [sym_nullsafe_member_call_expression] = STATE(712),
    [sym_subscript_expression] = STATE(712),
    [sym__dereferencable_expression] = STATE(1808),
    [sym_array_creation_expression] = STATE(762),
    [sym_attribute_group] = STATE(1093),
    [sym_attribute_list] = STATE(1906),
    [sym_encapsed_string] = STATE(796),
    [sym_string] = STATE(796),
    [sym_heredoc] = STATE(796),
    [sym_nowdoc] = STATE(796),
    [sym_shell_command_expression] = STATE(1025),
    [sym_boolean] = STATE(1031),
    [sym_null] = STATE(1031),
    [sym__string] = STATE(757),
    [sym_dynamic_variable_name] = STATE(712),
    [sym_variable_name] = STATE(712),
    [sym__reserved_identifier] = STATE(1656),
    [aux_sym_attribute_list_repeat1] = STATE(1054),
    [sym_name] = ACTIONS(1730),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(665),
    [aux_sym_namespace_definition_token1] = ACTIONS(667),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_cast_type_token1] = ACTIONS(677),
    [sym_float] = ACTIONS(679),
    [sym_integer] = ACTIONS(679),
    [aux_sym_throw_expression_token1] = ACTIONS(771),
    [aux_sym_print_intrinsic_token1] = ACTIONS(781),
    [aux_sym_object_creation_expression_token1] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(701),
    [aux_sym__argument_name_token2] = ACTIONS(703),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(705),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [aux_sym_string_token1] = ACTIONS(707),
    [anon_sym_SQUOTE] = ACTIONS(707),
    [anon_sym_LT_LT_LT] = ACTIONS(709),
    [anon_sym_BQUOTE] = ACTIONS(711),
    [anon_sym_DOLLAR] = ACTIONS(1734),
    [sym_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_text_interpolation] = STATE(633),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1736),
    [anon_sym_EQ] = ACTIONS(1738),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(1736),
    [anon_sym_RBRACE] = ACTIONS(1736),
    [aux_sym_base_clause_token1] = ACTIONS(1736),
    [anon_sym_COLON] = ACTIONS(1738),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1736),
    [anon_sym_EQ_GT] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [anon_sym_RPAREN] = ACTIONS(1736),
    [anon_sym_QMARK] = ACTIONS(1738),
    [anon_sym_PIPE] = ACTIONS(1738),
    [anon_sym_PLUS] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_COLON_COLON] = ACTIONS(1736),
    [anon_sym_DASH_DASH] = ACTIONS(1736),
    [anon_sym_PLUS_PLUS] = ACTIONS(1736),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1736),
    [anon_sym_STAR_EQ] = ACTIONS(1736),
    [anon_sym_SLASH_EQ] = ACTIONS(1736),
    [anon_sym_PERCENT_EQ] = ACTIONS(1736),
    [anon_sym_PLUS_EQ] = ACTIONS(1736),
    [anon_sym_DASH_EQ] = ACTIONS(1736),
    [anon_sym_DOT_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_GT_EQ] = ACTIONS(1736),
    [anon_sym_AMP_EQ] = ACTIONS(1736),
    [anon_sym_CARET_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_EQ] = ACTIONS(1736),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1736),
    [anon_sym_DASH_GT] = ACTIONS(1736),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [anon_sym_RBRACK] = ACTIONS(1736),
    [aux_sym_binary_expression_token1] = ACTIONS(1736),
    [anon_sym_QMARK_QMARK] = ACTIONS(1738),
    [anon_sym_STAR_STAR] = ACTIONS(1738),
    [aux_sym_binary_expression_token2] = ACTIONS(1736),
    [aux_sym_binary_expression_token3] = ACTIONS(1736),
    [aux_sym_binary_expression_token4] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_AMP_AMP] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1738),
    [anon_sym_EQ_EQ] = ACTIONS(1738),
    [anon_sym_BANG_EQ] = ACTIONS(1738),
    [anon_sym_LT_GT] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [anon_sym_LT_EQ] = ACTIONS(1738),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_LT_EQ_GT] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1738),
    [anon_sym_GT_GT] = ACTIONS(1738),
    [anon_sym_DOT] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1738),
    [sym_comment] = ACTIONS(1740),
  },
  [634] = {
    [sym_text_interpolation] = STATE(634),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_COMMA] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1744),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1742),
    [anon_sym_LBRACE] = ACTIONS(1742),
    [anon_sym_RBRACE] = ACTIONS(1742),
    [aux_sym_base_clause_token1] = ACTIONS(1742),
    [anon_sym_COLON] = ACTIONS(1744),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1742),
    [anon_sym_EQ_GT] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1742),
    [anon_sym_RPAREN] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1744),
    [anon_sym_COLON_COLON] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1742),
    [anon_sym_PLUS_PLUS] = ACTIONS(1742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1742),
    [anon_sym_STAR_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_PERCENT_EQ] = ACTIONS(1742),
    [anon_sym_PLUS_EQ] = ACTIONS(1742),
    [anon_sym_DASH_EQ] = ACTIONS(1742),
    [anon_sym_DOT_EQ] = ACTIONS(1742),
    [anon_sym_LT_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_GT_EQ] = ACTIONS(1742),
    [anon_sym_AMP_EQ] = ACTIONS(1742),
    [anon_sym_CARET_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1742),
    [anon_sym_DASH_GT] = ACTIONS(1742),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1742),
    [anon_sym_RBRACK] = ACTIONS(1742),
    [aux_sym_binary_expression_token1] = ACTIONS(1742),
    [anon_sym_QMARK_QMARK] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [aux_sym_binary_expression_token2] = ACTIONS(1742),
    [aux_sym_binary_expression_token3] = ACTIONS(1742),
    [aux_sym_binary_expression_token4] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1742),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_LT_GT] = ACTIONS(1742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1744),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1742),
    [anon_sym_LT_EQ_GT] = ACTIONS(1742),
    [anon_sym_LT_LT] = ACTIONS(1744),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [sym_comment] = ACTIONS(1740),
  },
  [635] = {
    [sym_text_interpolation] = STATE(635),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1746),
    [anon_sym_AMP] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1746),
    [anon_sym_EQ] = ACTIONS(1748),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1746),
    [anon_sym_LBRACE] = ACTIONS(1746),
    [anon_sym_RBRACE] = ACTIONS(1746),
    [aux_sym_base_clause_token1] = ACTIONS(1746),
    [anon_sym_COLON] = ACTIONS(1748),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1746),
    [anon_sym_EQ_GT] = ACTIONS(1746),
    [anon_sym_LPAREN] = ACTIONS(1746),
    [anon_sym_RPAREN] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1748),
    [anon_sym_PIPE] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1748),
    [anon_sym_COLON_COLON] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1746),
    [anon_sym_STAR_EQ] = ACTIONS(1746),
    [anon_sym_SLASH_EQ] = ACTIONS(1746),
    [anon_sym_PERCENT_EQ] = ACTIONS(1746),
    [anon_sym_PLUS_EQ] = ACTIONS(1746),
    [anon_sym_DASH_EQ] = ACTIONS(1746),
    [anon_sym_DOT_EQ] = ACTIONS(1746),
    [anon_sym_LT_LT_EQ] = ACTIONS(1746),
    [anon_sym_GT_GT_EQ] = ACTIONS(1746),
    [anon_sym_AMP_EQ] = ACTIONS(1746),
    [anon_sym_CARET_EQ] = ACTIONS(1746),
    [anon_sym_PIPE_EQ] = ACTIONS(1746),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1746),
    [anon_sym_DASH_GT] = ACTIONS(1746),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1746),
    [anon_sym_LBRACK] = ACTIONS(1746),
    [anon_sym_RBRACK] = ACTIONS(1746),
    [aux_sym_binary_expression_token1] = ACTIONS(1746),
    [anon_sym_QMARK_QMARK] = ACTIONS(1748),
    [anon_sym_STAR_STAR] = ACTIONS(1748),
    [aux_sym_binary_expression_token2] = ACTIONS(1746),
    [aux_sym_binary_expression_token3] = ACTIONS(1746),
    [aux_sym_binary_expression_token4] = ACTIONS(1746),
    [anon_sym_PIPE_PIPE] = ACTIONS(1746),
    [anon_sym_AMP_AMP] = ACTIONS(1746),
    [anon_sym_CARET] = ACTIONS(1748),
    [anon_sym_EQ_EQ] = ACTIONS(1748),
    [anon_sym_BANG_EQ] = ACTIONS(1748),
    [anon_sym_LT_GT] = ACTIONS(1746),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1746),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1748),
    [anon_sym_GT] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1746),
    [anon_sym_LT_EQ_GT] = ACTIONS(1746),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_GT_GT] = ACTIONS(1748),
    [anon_sym_DOT] = ACTIONS(1748),
    [anon_sym_STAR] = ACTIONS(1748),
    [anon_sym_SLASH] = ACTIONS(1748),
    [anon_sym_PERCENT] = ACTIONS(1748),
    [sym_comment] = ACTIONS(1740),
  },
  [636] = {
    [sym_text_interpolation] = STATE(636),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1750),
    [anon_sym_AMP] = ACTIONS(1752),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_EQ] = ACTIONS(1752),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1750),
    [anon_sym_LBRACE] = ACTIONS(1750),
    [anon_sym_RBRACE] = ACTIONS(1750),
    [aux_sym_base_clause_token1] = ACTIONS(1750),
    [anon_sym_COLON] = ACTIONS(1752),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1750),
    [anon_sym_EQ_GT] = ACTIONS(1750),
    [anon_sym_LPAREN] = ACTIONS(1750),
    [anon_sym_RPAREN] = ACTIONS(1750),
    [anon_sym_QMARK] = ACTIONS(1752),
    [anon_sym_PIPE] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_COLON_COLON] = ACTIONS(1750),
    [anon_sym_DASH_DASH] = ACTIONS(1750),
    [anon_sym_PLUS_PLUS] = ACTIONS(1750),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1750),
    [anon_sym_STAR_EQ] = ACTIONS(1750),
    [anon_sym_SLASH_EQ] = ACTIONS(1750),
    [anon_sym_PERCENT_EQ] = ACTIONS(1750),
    [anon_sym_PLUS_EQ] = ACTIONS(1750),
    [anon_sym_DASH_EQ] = ACTIONS(1750),
    [anon_sym_DOT_EQ] = ACTIONS(1750),
    [anon_sym_LT_LT_EQ] = ACTIONS(1750),
    [anon_sym_GT_GT_EQ] = ACTIONS(1750),
    [anon_sym_AMP_EQ] = ACTIONS(1750),
    [anon_sym_CARET_EQ] = ACTIONS(1750),
    [anon_sym_PIPE_EQ] = ACTIONS(1750),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1750),
    [anon_sym_DASH_GT] = ACTIONS(1750),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1750),
    [anon_sym_LBRACK] = ACTIONS(1750),
    [anon_sym_RBRACK] = ACTIONS(1750),
    [aux_sym_binary_expression_token1] = ACTIONS(1750),
    [anon_sym_QMARK_QMARK] = ACTIONS(1752),
    [anon_sym_STAR_STAR] = ACTIONS(1752),
    [aux_sym_binary_expression_token2] = ACTIONS(1750),
    [aux_sym_binary_expression_token3] = ACTIONS(1750),
    [aux_sym_binary_expression_token4] = ACTIONS(1750),
    [anon_sym_PIPE_PIPE] = ACTIONS(1750),
    [anon_sym_AMP_AMP] = ACTIONS(1750),
    [anon_sym_CARET] = ACTIONS(1752),
    [anon_sym_EQ_EQ] = ACTIONS(1752),
    [anon_sym_BANG_EQ] = ACTIONS(1752),
    [anon_sym_LT_GT] = ACTIONS(1750),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1750),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(1752),
    [anon_sym_LT_EQ] = ACTIONS(1752),
    [anon_sym_GT_EQ] = ACTIONS(1750),
    [anon_sym_LT_EQ_GT] = ACTIONS(1750),
    [anon_sym_LT_LT] = ACTIONS(1752),
    [anon_sym_GT_GT] = ACTIONS(1752),
    [anon_sym_DOT] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1752),
    [anon_sym_PERCENT] = ACTIONS(1752),
    [sym_comment] = ACTIONS(1740),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_EQ,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(637), 1,
      sym_text_interpolation,
    STATE(647), 1,
      sym_arguments,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1754), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1756), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [87] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(638), 1,
      sym_text_interpolation,
    STATE(643), 1,
      sym_arguments,
    ACTIONS(1770), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1768), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [166] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(639), 1,
      sym_text_interpolation,
    STATE(654), 1,
      sym_arguments,
    ACTIONS(1774), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1772), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [245] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(640), 1,
      sym_text_interpolation,
    STATE(653), 1,
      sym_arguments,
    ACTIONS(1778), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1776), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [324] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(641), 1,
      sym_text_interpolation,
    STATE(652), 1,
      sym_arguments,
    ACTIONS(1782), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1780), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [403] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(642), 1,
      sym_text_interpolation,
    STATE(646), 1,
      sym_arguments,
    ACTIONS(1786), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1784), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [482] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(643), 1,
      sym_text_interpolation,
    ACTIONS(1790), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1788), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(644), 1,
      sym_text_interpolation,
    ACTIONS(1794), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1792), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(645), 1,
      sym_text_interpolation,
    ACTIONS(1798), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1796), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [704] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(646), 1,
      sym_text_interpolation,
    ACTIONS(1802), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1800), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [778] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(647), 1,
      sym_text_interpolation,
    ACTIONS(1806), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1804), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [852] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(648), 1,
      sym_text_interpolation,
    ACTIONS(1810), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1808), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(649), 1,
      sym_text_interpolation,
    ACTIONS(1814), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1812), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1000] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(650), 1,
      sym_text_interpolation,
    ACTIONS(1818), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1816), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1074] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(651), 1,
      sym_text_interpolation,
    ACTIONS(1822), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1820), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1148] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(652), 1,
      sym_text_interpolation,
    ACTIONS(1826), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1824), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(653), 1,
      sym_text_interpolation,
    ACTIONS(1830), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1828), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(654), 1,
      sym_text_interpolation,
    ACTIONS(1834), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1832), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1370] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(655), 1,
      sym_text_interpolation,
    ACTIONS(1838), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1444] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1754), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1756), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1525] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    STATE(647), 1,
      sym_arguments,
    STATE(657), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1842), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1754), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1756), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1610] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1844), 1,
      anon_sym_EQ,
    STATE(647), 1,
      sym_arguments,
    STATE(658), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1846), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1754), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1694] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    STATE(659), 1,
      sym_text_interpolation,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(1786), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1784), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1769] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    STATE(660), 1,
      sym_text_interpolation,
    STATE(678), 1,
      sym_arguments,
    ACTIONS(1778), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1776), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1844] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    ACTIONS(1850), 1,
      anon_sym_EQ,
    STATE(661), 1,
      sym_text_interpolation,
    STATE(669), 1,
      sym_arguments,
    ACTIONS(1852), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1854), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1754), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1927] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(662), 1,
      sym_text_interpolation,
    STATE(2210), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1754), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1842), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2016] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_EQ,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1754), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1766), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2099] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    STATE(664), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1842), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1754), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1756), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2178] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    STATE(665), 1,
      sym_text_interpolation,
    STATE(686), 1,
      sym_arguments,
    ACTIONS(1774), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1772), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2253] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    STATE(666), 1,
      sym_text_interpolation,
    STATE(685), 1,
      sym_arguments,
    ACTIONS(1770), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1768), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2328] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    STATE(667), 1,
      sym_text_interpolation,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(1782), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1780), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2403] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_EQ,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    STATE(668), 1,
      sym_text_interpolation,
    STATE(669), 1,
      sym_arguments,
    ACTIONS(1852), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1754), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2486] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(669), 1,
      sym_text_interpolation,
    ACTIONS(1806), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1804), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2556] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    STATE(647), 1,
      sym_arguments,
    STATE(670), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1858), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1754), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1842), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2640] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1752), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1750), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2710] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    STATE(647), 1,
      sym_arguments,
    STATE(672), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1860), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1754), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1842), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2794] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1798), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1796), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2864] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(674), 1,
      sym_text_interpolation,
    ACTIONS(1838), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2934] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(675), 1,
      sym_text_interpolation,
    ACTIONS(1738), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1736), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3004] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(676), 1,
      sym_text_interpolation,
    ACTIONS(1822), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1820), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3074] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_EQ,
    STATE(677), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1846), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1754), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3152] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(678), 1,
      sym_text_interpolation,
    ACTIONS(1830), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1828), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3222] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1844), 1,
      anon_sym_EQ,
    STATE(647), 1,
      sym_arguments,
    STATE(679), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1862), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1754), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1846), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(680), 1,
      sym_text_interpolation,
    ACTIONS(1794), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1792), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3376] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(681), 1,
      sym_text_interpolation,
    ACTIONS(1748), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1746), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3446] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(682), 1,
      sym_text_interpolation,
    ACTIONS(1826), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1824), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3516] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1865), 1,
      anon_sym_EQ,
    STATE(647), 1,
      sym_arguments,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1867), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1754), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3598] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(684), 1,
      sym_text_interpolation,
    ACTIONS(1744), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1742), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3668] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(685), 1,
      sym_text_interpolation,
    ACTIONS(1790), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1788), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3738] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(686), 1,
      sym_text_interpolation,
    ACTIONS(1834), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1832), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3808] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(687), 1,
      sym_text_interpolation,
    ACTIONS(1814), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1812), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3878] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(688), 1,
      sym_text_interpolation,
    ACTIONS(1810), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1808), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(689), 1,
      sym_text_interpolation,
    ACTIONS(1802), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1800), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4018] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(690), 1,
      sym_text_interpolation,
    ACTIONS(1818), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1816), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4088] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    STATE(691), 1,
      sym_text_interpolation,
    STATE(2210), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1754), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1842), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4171] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1844), 1,
      anon_sym_EQ,
    STATE(647), 1,
      sym_arguments,
    STATE(692), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1869), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1754), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1846), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4254] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_EQ,
    STATE(693), 1,
      sym_text_interpolation,
    ACTIONS(1852), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1854), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1754), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4331] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_EQ,
    STATE(694), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1754), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1766), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4408] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_EQ,
    STATE(695), 1,
      sym_text_interpolation,
    ACTIONS(1852), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1766), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1754), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4485] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_EQ,
    STATE(696), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1867), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1754), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4561] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    STATE(697), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1858), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1754), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1842), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4639] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    STATE(698), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1860), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1754), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1842), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4717] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_EQ,
    STATE(699), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1862), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1754), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1846), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4795] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_EQ,
    STATE(700), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1869), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1754), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1846), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1756), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(701), 1,
      sym_text_interpolation,
    ACTIONS(1872), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1874), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [4936] = 31,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1878), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1880), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1882), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(1890), 1,
      anon_sym_DOLLAR,
    STATE(702), 1,
      sym_text_interpolation,
    STATE(1062), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1500), 1,
      sym__types,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1773), 1,
      sym_variable_name,
    STATE(1940), 1,
      sym__function_definition_header,
    STATE(1942), 1,
      sym_property_element,
    STATE(2063), 1,
      sym_type,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5051] = 31,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1878), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1880), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1882), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(1890), 1,
      anon_sym_DOLLAR,
    STATE(703), 1,
      sym_text_interpolation,
    STATE(1062), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1500), 1,
      sym__types,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1773), 1,
      sym_variable_name,
    STATE(1914), 1,
      sym_property_element,
    STATE(1923), 1,
      sym__function_definition_header,
    STATE(1997), 1,
      sym_type,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5166] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(704), 1,
      sym_text_interpolation,
    STATE(734), 1,
      sym_arguments,
    ACTIONS(1778), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5231] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(647), 1,
      sym_arguments,
    STATE(705), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1896), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5302] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(706), 1,
      sym_text_interpolation,
    STATE(718), 1,
      sym_arguments,
    ACTIONS(1770), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5367] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(707), 1,
      sym_text_interpolation,
    STATE(722), 1,
      sym_arguments,
    ACTIONS(1786), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5432] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(708), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym_arguments,
    ACTIONS(1774), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5497] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(709), 1,
      sym_text_interpolation,
    STATE(727), 1,
      sym_arguments,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5568] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(710), 1,
      sym_text_interpolation,
    ACTIONS(1794), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5629] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(711), 1,
      sym_text_interpolation,
    STATE(732), 1,
      sym_arguments,
    ACTIONS(1782), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5694] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(712), 1,
      sym_text_interpolation,
    STATE(727), 1,
      sym_arguments,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5763] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(713), 1,
      sym_text_interpolation,
    STATE(810), 1,
      sym_arguments,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1903), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5834] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(714), 1,
      sym_text_interpolation,
    STATE(727), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1758), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5901] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(647), 1,
      sym_arguments,
    STATE(715), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5972] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(716), 1,
      sym_text_interpolation,
    ACTIONS(1834), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6032] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(717), 1,
      sym_text_interpolation,
    ACTIONS(1738), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1736), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6092] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(718), 1,
      sym_text_interpolation,
    ACTIONS(1790), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1788), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6152] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1907), 1,
      sym_name,
    ACTIONS(1911), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    STATE(719), 1,
      sym_text_interpolation,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1777), 1,
      sym__dereferencable_expression,
    STATE(2616), 1,
      sym_attribute_list,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(2739), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(887), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1751), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1909), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(884), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(885), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1625), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [6262] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(720), 1,
      sym_text_interpolation,
    ACTIONS(1814), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6322] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1917), 1,
      sym_name,
    ACTIONS(1919), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(721), 1,
      sym_text_interpolation,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1805), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2686), 1,
      sym_attribute_list,
    STATE(2758), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(744), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1751), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(746), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(745), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1625), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [6432] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(722), 1,
      sym_text_interpolation,
    ACTIONS(1802), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6492] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(646), 1,
      sym_arguments,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1927), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1798), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1796), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6616] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(655), 1,
      sym_arguments,
    STATE(725), 1,
      sym_text_interpolation,
    ACTIONS(1931), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1929), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6680] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1810), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1808), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6740] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1806), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1748), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1746), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6860] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(1935), 1,
      anon_sym_COMMA,
    ACTIONS(1937), 1,
      anon_sym_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_RPAREN,
    ACTIONS(1941), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1943), 1,
      anon_sym_QMARK,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(729), 1,
      sym_text_interpolation,
    STATE(1052), 1,
      sym_attribute_list,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1270), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1638), 1,
      sym__types,
    STATE(1755), 1,
      sym_type,
    STATE(2190), 1,
      sym_reference_modifier,
    STATE(2217), 1,
      sym_variable_name,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2200), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6970] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1818), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1816), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7030] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1794), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7090] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1826), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7150] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(1937), 1,
      anon_sym_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1943), 1,
      anon_sym_QMARK,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(1947), 1,
      anon_sym_COMMA,
    ACTIONS(1949), 1,
      anon_sym_RPAREN,
    STATE(733), 1,
      sym_text_interpolation,
    STATE(1052), 1,
      sym_attribute_list,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1270), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1638), 1,
      sym__types,
    STATE(1755), 1,
      sym_type,
    STATE(2190), 1,
      sym_reference_modifier,
    STATE(2217), 1,
      sym_variable_name,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1992), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7260] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1830), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1828), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7320] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(735), 1,
      sym_text_interpolation,
    ACTIONS(1822), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1820), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1838), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1836), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7440] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1744), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7500] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1752), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7560] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(654), 1,
      sym_arguments,
    STATE(739), 1,
      sym_text_interpolation,
    ACTIONS(1774), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7621] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7686] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(741), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1953), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7751] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      sym_name,
    STATE(742), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2287), 1,
      sym__list_destructing,
    STATE(2292), 1,
      sym_by_ref,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1625), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1617), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1560), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [7858] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(743), 1,
      sym_text_interpolation,
    ACTIONS(1764), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7921] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(744), 1,
      sym_text_interpolation,
    STATE(810), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1903), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7986] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(745), 1,
      sym_text_interpolation,
    STATE(810), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1903), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8051] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    STATE(746), 1,
      sym_text_interpolation,
    STATE(1010), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1903), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8116] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(747), 1,
      sym_text_interpolation,
    STATE(790), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1961), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1959), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8181] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1967), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1965), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 30,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8244] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(646), 1,
      sym_arguments,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1786), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8305] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(643), 1,
      sym_arguments,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1770), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8366] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(751), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1758), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8427] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(653), 1,
      sym_arguments,
    STATE(752), 1,
      sym_text_interpolation,
    ACTIONS(1778), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8488] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(652), 1,
      sym_arguments,
    STATE(753), 1,
      sym_text_interpolation,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8549] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(754), 1,
      sym_text_interpolation,
    STATE(783), 1,
      sym_arguments,
    ACTIONS(1786), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8612] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(755), 1,
      sym_text_interpolation,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(1774), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8675] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(756), 1,
      sym_text_interpolation,
    STATE(821), 1,
      sym_arguments,
    ACTIONS(1770), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8738] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(727), 1,
      sym_arguments,
    STATE(757), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1953), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8803] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      sym_name,
    STATE(758), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2042), 1,
      sym_by_ref,
    STATE(2046), 1,
      sym__list_destructing,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1625), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1605), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1536), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8910] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1972), 1,
      sym_name,
    ACTIONS(1974), 1,
      anon_sym_RBRACE,
    STATE(759), 1,
      sym_text_interpolation,
    STATE(770), 1,
      aux_sym_use_list_repeat1,
    STATE(1623), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2349), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1751), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1625), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9013] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(760), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9078] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(761), 1,
      sym_text_interpolation,
    STATE(790), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1758), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9143] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(727), 1,
      sym_arguments,
    STATE(762), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9208] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(736), 1,
      sym_arguments,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1931), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1929), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9271] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(727), 1,
      sym_arguments,
    STATE(764), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9336] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(722), 1,
      sym_arguments,
    STATE(765), 1,
      sym_text_interpolation,
    ACTIONS(1927), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9399] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(766), 1,
      sym_text_interpolation,
    STATE(789), 1,
      sym_arguments,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9462] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(767), 1,
      sym_text_interpolation,
    STATE(790), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1978), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1976), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9527] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(768), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1896), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9592] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(769), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1896), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9657] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1980), 1,
      sym_name,
    ACTIONS(1986), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1989), 1,
      anon_sym_BSLASH,
    ACTIONS(1992), 1,
      anon_sym_RBRACE,
    ACTIONS(1994), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      aux_sym_cast_type_token1,
    ACTIONS(2000), 1,
      anon_sym_LBRACK,
    ACTIONS(2009), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2012), 1,
      anon_sym_DOLLAR,
    STATE(1623), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(2003), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(2006), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(770), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2349), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1983), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1751), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1625), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9758] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(652), 1,
      sym_arguments,
    STATE(771), 1,
      sym_text_interpolation,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9821] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_arguments,
    STATE(772), 1,
      sym_text_interpolation,
    ACTIONS(1778), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9884] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(643), 1,
      sym_arguments,
    STATE(773), 1,
      sym_text_interpolation,
    ACTIONS(1770), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9947] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_arguments,
    STATE(774), 1,
      sym_text_interpolation,
    ACTIONS(1774), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10010] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(646), 1,
      sym_arguments,
    STATE(775), 1,
      sym_text_interpolation,
    ACTIONS(1786), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10073] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(776), 1,
      sym_text_interpolation,
    STATE(798), 1,
      sym_arguments,
    ACTIONS(1778), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10136] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(1937), 1,
      anon_sym_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1943), 1,
      anon_sym_QMARK,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(2015), 1,
      anon_sym_RPAREN,
    STATE(777), 1,
      sym_text_interpolation,
    STATE(1052), 1,
      sym_attribute_list,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1270), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1638), 1,
      sym__types,
    STATE(1755), 1,
      sym_type,
    STATE(2190), 1,
      sym_reference_modifier,
    STATE(2217), 1,
      sym_variable_name,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2472), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10243] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(1937), 1,
      anon_sym_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1943), 1,
      anon_sym_QMARK,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(2017), 1,
      anon_sym_RPAREN,
    STATE(778), 1,
      sym_text_interpolation,
    STATE(1052), 1,
      sym_attribute_list,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1270), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1638), 1,
      sym__types,
    STATE(1755), 1,
      sym_type,
    STATE(2190), 1,
      sym_reference_modifier,
    STATE(2217), 1,
      sym_variable_name,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2472), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10350] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(1937), 1,
      anon_sym_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1943), 1,
      anon_sym_QMARK,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(2019), 1,
      anon_sym_RPAREN,
    STATE(779), 1,
      sym_text_interpolation,
    STATE(1052), 1,
      sym_attribute_list,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1270), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1638), 1,
      sym__types,
    STATE(1755), 1,
      sym_type,
    STATE(2190), 1,
      sym_reference_modifier,
    STATE(2217), 1,
      sym_variable_name,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2472), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10457] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(1937), 1,
      anon_sym_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1943), 1,
      anon_sym_QMARK,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(2021), 1,
      anon_sym_RPAREN,
    STATE(780), 1,
      sym_text_interpolation,
    STATE(1052), 1,
      sym_attribute_list,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1270), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1638), 1,
      sym__types,
    STATE(1755), 1,
      sym_type,
    STATE(2190), 1,
      sym_reference_modifier,
    STATE(2217), 1,
      sym_variable_name,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2472), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10564] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1972), 1,
      sym_name,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    STATE(759), 1,
      aux_sym_use_list_repeat1,
    STATE(781), 1,
      sym_text_interpolation,
    STATE(1623), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2349), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1751), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1625), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10667] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(1937), 1,
      anon_sym_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1943), 1,
      anon_sym_QMARK,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(782), 1,
      sym_text_interpolation,
    STATE(1052), 1,
      sym_attribute_list,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1270), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1638), 1,
      sym__types,
    STATE(1755), 1,
      sym_type,
    STATE(2190), 1,
      sym_reference_modifier,
    STATE(2217), 1,
      sym_variable_name,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2472), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10771] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(783), 1,
      sym_text_interpolation,
    ACTIONS(1802), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10829] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(784), 1,
      sym_text_interpolation,
    ACTIONS(2027), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10887] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2029), 1,
      anon_sym_COLON_COLON,
    STATE(785), 1,
      sym_text_interpolation,
    ACTIONS(1794), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10947] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(786), 1,
      sym_text_interpolation,
    ACTIONS(1748), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1746), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11005] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(787), 1,
      sym_text_interpolation,
    ACTIONS(2033), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2031), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11063] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(1798), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1796), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11121] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(789), 1,
      sym_text_interpolation,
    ACTIONS(1826), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11179] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(790), 1,
      sym_text_interpolation,
    ACTIONS(1806), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11237] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(2037), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2035), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11295] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(951), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      sym_name,
    STATE(792), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2564), 1,
      sym_by_ref,
    STATE(2569), 1,
      sym__array_destructing,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1625), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1645), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1564), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [11399] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(793), 1,
      sym_text_interpolation,
    ACTIONS(2041), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11457] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(794), 1,
      sym_text_interpolation,
    ACTIONS(2045), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2043), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11515] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(2049), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2047), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11573] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(2053), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2051), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11631] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(2057), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2055), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11689] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(798), 1,
      sym_text_interpolation,
    ACTIONS(1830), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1828), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11747] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(1838), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1836), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11805] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(2061), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2059), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11863] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(801), 1,
      sym_text_interpolation,
    ACTIONS(2065), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2063), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(802), 1,
      sym_text_interpolation,
    ACTIONS(2069), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2067), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11979] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(803), 1,
      sym_text_interpolation,
    ACTIONS(2073), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2071), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12037] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(804), 1,
      sym_text_interpolation,
    ACTIONS(2077), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2075), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12095] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(805), 1,
      sym_text_interpolation,
    ACTIONS(2081), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2079), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12153] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(806), 1,
      sym_text_interpolation,
    ACTIONS(2085), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2083), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12211] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(807), 1,
      sym_text_interpolation,
    ACTIONS(2089), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2087), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12269] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(808), 1,
      sym_text_interpolation,
    ACTIONS(1744), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12327] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(809), 1,
      sym_text_interpolation,
    ACTIONS(2093), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2091), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12385] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(810), 1,
      sym_text_interpolation,
    ACTIONS(1804), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2097), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2095), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12445] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(811), 1,
      sym_text_interpolation,
    ACTIONS(1965), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12503] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(812), 1,
      sym_text_interpolation,
    ACTIONS(1738), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1736), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12561] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(813), 1,
      sym_text_interpolation,
    ACTIONS(2101), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2099), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12619] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(814), 1,
      sym_text_interpolation,
    ACTIONS(2105), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12677] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(815), 1,
      sym_text_interpolation,
    ACTIONS(2109), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2107), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12735] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(816), 1,
      sym_text_interpolation,
    ACTIONS(1720), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12793] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(817), 1,
      sym_text_interpolation,
    ACTIONS(2113), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2111), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12851] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(818), 1,
      sym_text_interpolation,
    ACTIONS(1752), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(819), 1,
      sym_text_interpolation,
    ACTIONS(2117), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2115), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(820), 1,
      sym_text_interpolation,
    ACTIONS(1834), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13025] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(821), 1,
      sym_text_interpolation,
    ACTIONS(1790), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1788), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13083] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(822), 1,
      sym_text_interpolation,
    ACTIONS(2121), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2119), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13141] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(823), 1,
      sym_text_interpolation,
    ACTIONS(1814), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13199] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(824), 1,
      sym_text_interpolation,
    ACTIONS(1810), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1808), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13257] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(825), 1,
      sym_text_interpolation,
    ACTIONS(1822), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1820), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13315] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(826), 1,
      sym_text_interpolation,
    ACTIONS(2125), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2123), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(2129), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2127), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13431] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(828), 1,
      sym_text_interpolation,
    ACTIONS(2133), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2131), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13489] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(2137), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2135), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13547] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(830), 1,
      sym_text_interpolation,
    ACTIONS(1818), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1816), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13605] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(831), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1961), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1959), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13664] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(832), 1,
      sym_text_interpolation,
    STATE(871), 1,
      sym_arguments,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13725] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(833), 1,
      sym_text_interpolation,
    ACTIONS(1127), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1125), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13782] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(834), 1,
      sym_text_interpolation,
    STATE(869), 1,
      sym_arguments,
    ACTIONS(1778), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13843] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(647), 1,
      sym_arguments,
    STATE(835), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1896), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13910] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(836), 1,
      sym_text_interpolation,
    STATE(864), 1,
      sym_arguments,
    ACTIONS(1770), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13971] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(837), 1,
      sym_text_interpolation,
    STATE(863), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1758), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14034] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(669), 1,
      sym_arguments,
    STATE(838), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14101] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_RPAREN,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    STATE(839), 1,
      sym_text_interpolation,
    ACTIONS(1965), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14162] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(840), 1,
      sym_text_interpolation,
    ACTIONS(1146), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1144), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14219] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(841), 1,
      sym_text_interpolation,
    STATE(963), 1,
      sym_arguments,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1903), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14286] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(842), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1978), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1976), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14345] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(843), 1,
      sym_text_interpolation,
    STATE(863), 1,
      sym_arguments,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14412] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(844), 1,
      sym_text_interpolation,
    STATE(863), 1,
      sym_arguments,
    ACTIONS(1852), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14477] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(845), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14536] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(846), 1,
      sym_text_interpolation,
    ACTIONS(2145), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2143), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [14593] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_text_interpolation,
    STATE(858), 1,
      sym_arguments,
    ACTIONS(1786), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14654] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(848), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1896), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14713] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(849), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1758), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14772] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(850), 1,
      sym_text_interpolation,
    STATE(862), 1,
      sym_arguments,
    ACTIONS(1774), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14833] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(2147), 1,
      anon_sym_COLON,
    STATE(647), 1,
      sym_arguments,
    STATE(851), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14901] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      sym_name,
    ACTIONS(2149), 1,
      anon_sym_RPAREN,
    STATE(852), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1625), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1632), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1579), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [14999] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(2151), 1,
      anon_sym_COLON,
    STATE(669), 1,
      sym_arguments,
    STATE(853), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15067] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(854), 1,
      sym_text_interpolation,
    ACTIONS(1798), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1796), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15123] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      sym_name,
    ACTIONS(2153), 1,
      anon_sym_RPAREN,
    STATE(855), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1625), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1632), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1579), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [15221] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(856), 1,
      sym_text_interpolation,
    ACTIONS(1810), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1808), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15277] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(857), 1,
      sym_text_interpolation,
    ACTIONS(1744), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15333] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(858), 1,
      sym_text_interpolation,
    ACTIONS(1802), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15389] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      sym_name,
    ACTIONS(2155), 1,
      anon_sym_RPAREN,
    STATE(859), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1625), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1632), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1579), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [15487] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(860), 1,
      sym_text_interpolation,
    ACTIONS(1814), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15543] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(861), 1,
      sym_text_interpolation,
    ACTIONS(2159), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2157), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [15599] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(862), 1,
      sym_text_interpolation,
    ACTIONS(1834), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15655] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(863), 1,
      sym_text_interpolation,
    ACTIONS(1806), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15711] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(864), 1,
      sym_text_interpolation,
    ACTIONS(1790), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1788), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15767] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(865), 1,
      sym_text_interpolation,
    ACTIONS(1818), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1816), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15823] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1822), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1820), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15879] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(2161), 1,
      anon_sym_COLON,
    STATE(669), 1,
      sym_arguments,
    STATE(867), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15947] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1748), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1746), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16003] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(1830), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1828), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16059] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(870), 1,
      sym_text_interpolation,
    ACTIONS(1738), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1736), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16115] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(871), 1,
      sym_text_interpolation,
    ACTIONS(1826), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16171] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(872), 1,
      sym_text_interpolation,
    ACTIONS(1794), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16227] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1752), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16283] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      sym_name,
    ACTIONS(2163), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1625), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1632), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1579), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16381] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1838), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1836), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16437] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(646), 1,
      sym_arguments,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1786), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16494] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(652), 1,
      sym_arguments,
    STATE(877), 1,
      sym_text_interpolation,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16551] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(878), 1,
      sym_text_interpolation,
    STATE(957), 1,
      sym_arguments,
    ACTIONS(1778), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16610] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(2165), 1,
      sym_name,
    STATE(879), 1,
      sym_text_interpolation,
    STATE(1811), 1,
      sym__dereferencable_expression,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(2732), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(894), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1751), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1909), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(982), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(881), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1625), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [16705] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(880), 1,
      sym_text_interpolation,
    STATE(966), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1961), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1959), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16766] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1896), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16827] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      sym_name,
    STATE(882), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1625), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1609), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1537), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16922] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      sym_name,
    STATE(883), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1625), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1613), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1535), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17017] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2167), 1,
      anon_sym_LPAREN,
    STATE(884), 1,
      sym_text_interpolation,
    STATE(1159), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1903), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17078] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(885), 1,
      sym_text_interpolation,
    STATE(963), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1903), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17139] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    STATE(689), 1,
      sym_arguments,
    STATE(886), 1,
      sym_text_interpolation,
    ACTIONS(1927), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17198] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(887), 1,
      sym_text_interpolation,
    STATE(963), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1903), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17259] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(2169), 1,
      sym_name,
    STATE(888), 1,
      sym_text_interpolation,
    STATE(1785), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2720), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(769), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1751), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(848), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(768), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1625), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [17354] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(2171), 1,
      sym_name,
    ACTIONS(2173), 1,
      anon_sym_LPAREN,
    STATE(889), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1797), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2750), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1649), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1620), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(849), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(761), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17449] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    STATE(890), 1,
      sym_text_interpolation,
    ACTIONS(1965), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17506] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(654), 1,
      sym_arguments,
    STATE(891), 1,
      sym_text_interpolation,
    ACTIONS(1774), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17563] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(2171), 1,
      sym_name,
    ACTIONS(2173), 1,
      anon_sym_LPAREN,
    STATE(892), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1797), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2750), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1649), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1620), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(831), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(747), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17658] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(643), 1,
      sym_arguments,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(1770), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17715] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(894), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1896), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17776] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17837] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(896), 1,
      sym_text_interpolation,
    STATE(932), 1,
      sym_arguments,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17896] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(897), 1,
      sym_text_interpolation,
    ACTIONS(1234), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1232), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17951] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    STATE(674), 1,
      sym_arguments,
    STATE(898), 1,
      sym_text_interpolation,
    ACTIONS(1931), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1929), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18010] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(653), 1,
      sym_arguments,
    STATE(899), 1,
      sym_text_interpolation,
    ACTIONS(1778), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18067] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(900), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1758), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18124] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    STATE(901), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18185] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    STATE(902), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1953), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18246] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(903), 1,
      sym_text_interpolation,
    STATE(966), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1758), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18307] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(2175), 1,
      sym_name,
    STATE(904), 1,
      sym_text_interpolation,
    STATE(1741), 1,
      sym__dereferencable_expression,
    STATE(2591), 1,
      sym__scope_resolution_qualifier,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(980), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1640), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1624), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1751), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(905), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18402] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(905), 1,
      sym_text_interpolation,
    STATE(966), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1978), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1976), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18463] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1872), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1874), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18518] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(858), 1,
      sym_arguments,
    STATE(907), 1,
      sym_text_interpolation,
    ACTIONS(1927), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18577] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      sym_name,
    STATE(908), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1625), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(751), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1526), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18672] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(875), 1,
      sym_arguments,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(1931), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1929), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18731] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1732), 1,
      anon_sym_LPAREN,
    ACTIONS(1734), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2177), 1,
      sym_name,
    STATE(910), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1808), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2780), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1656), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1655), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(751), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(714), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18826] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1728), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2179), 1,
      sym_name,
    ACTIONS(2181), 1,
      anon_sym_LPAREN,
    STATE(911), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1801), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2712), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1618), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1642), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(900), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(837), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18921] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(646), 1,
      sym_arguments,
    STATE(912), 1,
      sym_text_interpolation,
    ACTIONS(1786), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18980] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_arguments,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1774), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19039] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(914), 1,
      sym_text_interpolation,
    ACTIONS(1852), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19098] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(643), 1,
      sym_arguments,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(1770), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19157] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_arguments,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(1778), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19216] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(652), 1,
      sym_arguments,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19275] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(1794), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19330] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(919), 1,
      sym_text_interpolation,
    STATE(937), 1,
      sym_arguments,
    ACTIONS(1786), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19389] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(920), 1,
      sym_text_interpolation,
    STATE(939), 1,
      sym_arguments,
    ACTIONS(1774), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19448] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    STATE(669), 1,
      sym_arguments,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1953), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(922), 1,
      sym_text_interpolation,
    ACTIONS(1238), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19564] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(2171), 1,
      sym_name,
    STATE(923), 1,
      sym_text_interpolation,
    STATE(1797), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2647), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(842), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1649), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1620), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1751), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(767), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19659] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(924), 1,
      sym_text_interpolation,
    STATE(944), 1,
      sym_arguments,
    ACTIONS(1770), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19718] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    STATE(669), 1,
      sym_arguments,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19779] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    STATE(669), 1,
      sym_arguments,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19840] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      sym_name,
    STATE(927), 1,
      sym_text_interpolation,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(842), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1625), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1751), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1538), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19935] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(2175), 1,
      sym_name,
    ACTIONS(2183), 1,
      anon_sym_LPAREN,
    STATE(928), 1,
      sym_text_interpolation,
    STATE(1741), 1,
      sym__dereferencable_expression,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2759), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1640), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1624), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(981), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(903), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [20030] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(2175), 1,
      sym_name,
    ACTIONS(2183), 1,
      anon_sym_LPAREN,
    STATE(929), 1,
      sym_text_interpolation,
    STATE(1741), 1,
      sym__dereferencable_expression,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2759), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1640), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1624), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(983), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(880), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [20125] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(677), 1,
      aux_sym_cast_type_token1,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1156), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1955), 1,
      sym_name,
    STATE(930), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      sym_class_constant_access_expression,
    STATE(1790), 1,
      sym__dereferencable_expression,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2651), 1,
      sym_relative_scope,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1633), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1625), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1632), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1579), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [20220] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(1744), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20274] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(1826), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20328] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(2105), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20382] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(1810), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1808), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20436] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(2061), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2059), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20490] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(2045), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2043), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20544] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(1802), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20598] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(1814), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20652] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(1834), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20706] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(2073), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2071), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20760] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(2057), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2055), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20814] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(942), 1,
      sym_text_interpolation,
    ACTIONS(2065), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2063), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20868] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(2093), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2091), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20922] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(1790), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1788), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20976] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(1798), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1796), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21030] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(2121), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2119), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21084] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(1738), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1736), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21138] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(2053), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2051), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21192] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(2101), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2099), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21246] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(2129), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2127), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21300] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(951), 1,
      sym_text_interpolation,
    ACTIONS(2037), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2035), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21354] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2029), 1,
      anon_sym_COLON_COLON,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(1794), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1792), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21410] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(2033), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2031), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21464] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(2049), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2047), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21518] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(1752), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21572] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(956), 1,
      sym_text_interpolation,
    ACTIONS(1838), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1836), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21626] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(1830), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1828), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21680] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(2125), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2123), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21734] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(2185), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1965), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 26,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21792] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(2117), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2115), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21846] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(2077), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2075), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21900] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(2113), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2111), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21954] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(1804), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2097), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2095), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22010] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(964), 1,
      sym_text_interpolation,
    ACTIONS(2069), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2067), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22064] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(1748), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1746), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22118] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(1806), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22172] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(2041), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22226] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(1818), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1816), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22280] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(2081), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2079), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22334] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(970), 1,
      sym_text_interpolation,
    ACTIONS(1822), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1820), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22388] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(1965), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22444] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(2137), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2135), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22498] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(973), 1,
      sym_text_interpolation,
    ACTIONS(1720), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22552] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(974), 1,
      sym_text_interpolation,
    ACTIONS(2109), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2107), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22606] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(975), 1,
      sym_text_interpolation,
    ACTIONS(1965), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22660] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(976), 1,
      sym_text_interpolation,
    ACTIONS(2089), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2087), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22714] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(2085), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2083), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22768] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(2027), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2025), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22822] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(2133), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2131), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22876] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1978), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1976), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22931] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1758), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22986] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1896), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23041] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1961), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1959), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23096] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1756), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23151] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(985), 1,
      sym_text_interpolation,
    ACTIONS(2189), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2187), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(986), 1,
      sym_text_interpolation,
    ACTIONS(2193), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2191), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23255] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(2197), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2195), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23307] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(2201), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2199), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23359] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(989), 1,
      sym_text_interpolation,
    ACTIONS(2205), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23411] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(990), 1,
      sym_text_interpolation,
    ACTIONS(2209), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2207), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23463] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(1748), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1746), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23515] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(992), 1,
      sym_text_interpolation,
    ACTIONS(2213), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2211), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23567] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(993), 1,
      sym_text_interpolation,
    ACTIONS(2217), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2215), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23619] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(2221), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2219), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(2225), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2223), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23723] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(1744), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23775] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(997), 1,
      sym_text_interpolation,
    ACTIONS(2229), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2227), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23827] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(1738), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1736), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(999), 1,
      sym_text_interpolation,
    ACTIONS(2233), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2231), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23931] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1000), 1,
      sym_text_interpolation,
    ACTIONS(2237), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23983] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(1752), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(2241), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24087] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(2245), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2243), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1004), 1,
      sym_text_interpolation,
    ACTIONS(2249), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2247), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(2253), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24243] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(2257), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24295] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(2261), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2259), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24347] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(2265), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2263), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24399] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1009), 1,
      sym_text_interpolation,
    ACTIONS(2269), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2267), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24451] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(2097), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2095), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24503] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(2273), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2271), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24555] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1012), 1,
      sym_text_interpolation,
    ACTIONS(2277), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2275), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24607] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(2281), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2279), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24659] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(2285), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2283), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24711] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(2289), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2287), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24763] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(2293), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2291), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24815] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1017), 1,
      sym_text_interpolation,
    ACTIONS(2297), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24867] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2299), 1,
      aux_sym_binary_expression_token1,
    STATE(1018), 1,
      sym_text_interpolation,
    ACTIONS(2193), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2191), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(2303), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24973] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(2307), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2305), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25025] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1021), 1,
      sym_text_interpolation,
    ACTIONS(2311), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2309), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25077] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(2315), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2313), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25129] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(2319), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2317), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25181] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(2323), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2321), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25233] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(1756), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25285] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(2327), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2325), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25337] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(2331), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2329), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(2335), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2333), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25441] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(2339), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2337), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25493] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(2343), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2341), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25545] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(1953), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25597] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(2347), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2345), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25649] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(2351), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2349), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25701] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(2355), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2353), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25753] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(2359), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2357), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25805] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(2363), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25857] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(2367), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2365), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(2371), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2369), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25961] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(2375), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26013] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(2379), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2377), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26065] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(2383), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2381), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26117] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(2387), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2385), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26169] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1043), 1,
      sym_text_interpolation,
    ACTIONS(2391), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2389), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26221] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(2395), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2393), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26273] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1045), 1,
      sym_text_interpolation,
    ACTIONS(2399), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2397), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26325] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(2403), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2401), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(2407), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2405), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26429] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1048), 1,
      sym_text_interpolation,
    ACTIONS(2411), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2409), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26481] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2415), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26533] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1050), 1,
      sym_text_interpolation,
    ACTIONS(2419), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2417), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26585] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_POUND_LBRACK,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1051), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2423), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2421), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [26640] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(1937), 1,
      anon_sym_LPAREN,
    ACTIONS(1943), 1,
      anon_sym_QMARK,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(2428), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1052), 1,
      sym_text_interpolation,
    STATE(1267), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1638), 1,
      sym__types,
    STATE(1815), 1,
      sym_type,
    STATE(2120), 1,
      sym_reference_modifier,
    STATE(2122), 1,
      sym_variable_name,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [26727] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(1238), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1236), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26778] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    STATE(1051), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1054), 1,
      sym_text_interpolation,
    STATE(1093), 1,
      sym_attribute_group,
    ACTIONS(2432), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2430), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [26835] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1055), 1,
      sym_text_interpolation,
    ACTIONS(1234), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1232), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26886] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1056), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2434), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26974] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2478), 1,
      anon_sym_QMARK,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2476), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27056] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1058), 1,
      sym_text_interpolation,
    STATE(1406), 1,
      sym__modifier,
    STATE(1440), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1498), 1,
      sym__const_declaration,
    ACTIONS(2482), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2480), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [27114] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2484), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27202] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2486), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27284] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1061), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2488), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27366] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2492), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2497), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2500), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2503), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2506), 1,
      sym_var_modifier,
    STATE(1406), 1,
      sym__modifier,
    STATE(1062), 2,
      sym_text_interpolation,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2495), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2509), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2490), 18,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [27432] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    STATE(1063), 1,
      sym_text_interpolation,
    ACTIONS(1896), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27484] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1064), 1,
      sym_text_interpolation,
    STATE(1406), 1,
      sym__modifier,
    STATE(1440), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1470), 1,
      sym__const_declaration,
    ACTIONS(2482), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2480), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [27542] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1065), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [27602] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2512), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27690] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 22,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27748] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [27810] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1896), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 18,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27876] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(1896), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27948] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28024] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1072), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2349), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28112] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 12,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [28190] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28274] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1075), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [28360] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28442] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(1896), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28494] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2514), 1,
      anon_sym_EQ_GT,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2341), 6,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28584] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28666] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 24,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [28722] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2518), 1,
      anon_sym_QMARK,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2516), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28804] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(1896), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28878] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28948] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2520), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [29036] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2522), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29118] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2524), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [29206] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2526), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [29294] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2528), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [29382] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2530), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [29470] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2532), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [29558] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1091), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2349), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29645] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2526), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29732] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(2576), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2574), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [29781] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1094), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2524), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29868] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2520), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29955] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2580), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2578), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [30004] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2532), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30091] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30160] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(2584), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2582), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [30209] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2588), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2586), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [30258] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(1896), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30331] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30386] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30467] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(1896), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30518] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30599] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [30684] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2522), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30765] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30848] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [30925] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1110), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2488), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31006] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(1896), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [31077] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1896), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31142] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2478), 1,
      anon_sym_QMARK,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2476), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31223] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [31284] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [31341] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2434), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31428] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2530), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31515] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2512), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31602] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2528), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31689] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_QMARK,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2516), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31770] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [31829] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1122), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [31904] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(1896), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31955] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2486), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32036] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2590), 1,
      anon_sym_EQ_GT,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2341), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32125] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2484), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32212] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(1748), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1746), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32260] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2594), 1,
      anon_sym_EQ_GT,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2341), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_binary_expression_token1,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32348] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32430] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(2265), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2263), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32478] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(2277), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2275), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32526] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(2257), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32574] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(2249), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2247), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32622] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1134), 1,
      sym_text_interpolation,
    ACTIONS(2245), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2243), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32670] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [32754] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1136), 1,
      sym_text_interpolation,
    ACTIONS(2241), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2239), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32802] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1137), 1,
      sym_text_interpolation,
    ACTIONS(2237), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2235), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32850] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1138), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32930] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(1896), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32980] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(2233), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2231), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33028] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1141), 1,
      sym_text_interpolation,
    ACTIONS(2229), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2227), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33076] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2530), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33162] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1143), 1,
      sym_text_interpolation,
    ACTIONS(2225), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2223), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33210] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33290] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [33344] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1146), 1,
      sym_text_interpolation,
    ACTIONS(2315), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2313), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33392] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2323), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2321), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33440] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(1896), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33512] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2285), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2283), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33560] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2281), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2279), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33608] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(2355), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2353), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33656] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2363), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2361), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33704] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1153), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2526), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33790] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 10,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [33866] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(2273), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2271), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33914] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(2375), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33962] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(2387), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2385), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34010] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1158), 1,
      sym_text_interpolation,
    ACTIONS(2351), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2349), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34058] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(2097), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2095), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34106] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(2379), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2377), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34154] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2297), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34202] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1162), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2434), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34288] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1163), 1,
      sym_text_interpolation,
    ACTIONS(2311), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2309), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34336] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2349), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34422] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1165), 1,
      sym_text_interpolation,
    ACTIONS(1146), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1144), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34470] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1166), 1,
      sym_text_interpolation,
    ACTIONS(2307), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2305), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34518] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1167), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2484), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34604] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2269), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2267), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34652] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(2327), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2325), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34700] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2319), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2317), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34748] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34816] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2367), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2365), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34864] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1173), 1,
      sym_text_interpolation,
    ACTIONS(2391), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2389), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34912] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1174), 1,
      sym_text_interpolation,
    ACTIONS(2415), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34960] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1175), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35034] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1176), 1,
      sym_text_interpolation,
    ACTIONS(1127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1125), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35082] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1177), 1,
      sym_text_interpolation,
    ACTIONS(1953), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35130] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(2289), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2287), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35178] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2634), 1,
      aux_sym_binary_expression_token1,
    STATE(1179), 1,
      sym_text_interpolation,
    ACTIONS(2193), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2191), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35228] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1180), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2524), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [35314] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(2339), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2337), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35362] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1182), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2520), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [35448] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1183), 1,
      sym_text_interpolation,
    ACTIONS(2347), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2345), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35496] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1184), 1,
      sym_text_interpolation,
    ACTIONS(2303), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2301), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35544] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1185), 1,
      sym_text_interpolation,
    ACTIONS(2261), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2259), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35592] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1186), 1,
      sym_text_interpolation,
    ACTIONS(2193), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2191), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35640] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_QMARK,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1187), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35720] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1188), 1,
      sym_text_interpolation,
    ACTIONS(2383), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2381), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35768] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(2335), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2333), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35816] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(1896), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35886] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1191), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2522), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35966] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1192), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2512), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36052] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1193), 1,
      sym_text_interpolation,
    ACTIONS(2253), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2251), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36100] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(1744), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36148] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1195), 1,
      sym_text_interpolation,
    ACTIONS(2331), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2329), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36196] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1196), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2532), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36282] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1197), 1,
      sym_text_interpolation,
    ACTIONS(2371), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2369), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36330] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1198), 1,
      sym_text_interpolation,
    ACTIONS(1738), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1736), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36378] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(1752), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1750), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36426] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1200), 1,
      sym_text_interpolation,
    ACTIONS(2407), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2405), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36474] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1201), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1896), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36538] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2419), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2417), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36586] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1203), 1,
      sym_text_interpolation,
    ACTIONS(2343), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2341), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36634] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2293), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2291), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36682] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1205), 1,
      sym_text_interpolation,
    ACTIONS(2411), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2409), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36730] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1206), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [36790] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2488), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36870] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2478), 1,
      anon_sym_QMARK,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1208), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2476), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36950] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1209), 1,
      sym_text_interpolation,
    ACTIONS(2221), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2219), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36998] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1210), 1,
      sym_text_interpolation,
    ACTIONS(2395), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2393), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37046] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1211), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2486), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37126] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    STATE(1212), 1,
      sym_text_interpolation,
    ACTIONS(1896), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37176] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1213), 1,
      sym_text_interpolation,
    ACTIONS(2217), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2215), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37224] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1214), 1,
      sym_text_interpolation,
    ACTIONS(2213), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2211), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37272] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1215), 1,
      sym_text_interpolation,
    ACTIONS(2403), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2401), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37320] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(2359), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2357), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37368] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1217), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [37426] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1218), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 20,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [37482] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1219), 1,
      sym_text_interpolation,
    ACTIONS(2209), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2207), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37530] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1220), 1,
      sym_text_interpolation,
    ACTIONS(2205), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2203), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37578] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1221), 1,
      sym_text_interpolation,
    ACTIONS(2399), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2397), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37626] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1222), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2528), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [37712] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1223), 1,
      sym_text_interpolation,
    ACTIONS(2201), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2199), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37760] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1224), 1,
      sym_text_interpolation,
    ACTIONS(1756), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1754), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37808] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1225), 1,
      sym_text_interpolation,
    ACTIONS(2189), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2187), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37856] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1226), 1,
      sym_text_interpolation,
    ACTIONS(2197), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2195), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37904] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    STATE(1227), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [37961] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1228), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2528), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38046] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1229), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38127] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_COLON,
    STATE(1230), 1,
      sym_text_interpolation,
    ACTIONS(2335), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2333), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38176] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1231), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 9,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [38251] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1232), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2524), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38336] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(2678), 1,
      sym_name,
    STATE(1233), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym__types,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym_type,
    STATE(1853), 1,
      sym_const_element,
    STATE(2585), 1,
      sym__reserved_identifier,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38411] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1234), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2434), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38496] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1235), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2520), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38581] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1236), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [38664] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1237), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [38737] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1238), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1896), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [38804] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1239), 1,
      sym_text_interpolation,
    ACTIONS(1896), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [38873] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1240), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2530), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38958] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1241), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39043] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1242), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [39102] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(2678), 1,
      sym_name,
    STATE(1243), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym__types,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1693), 1,
      sym_type,
    STATE(1920), 1,
      sym_const_element,
    STATE(2585), 1,
      sym__reserved_identifier,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39177] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1244), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2512), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39262] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1245), 1,
      sym_text_interpolation,
    ACTIONS(1896), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [39333] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    STATE(1246), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 19,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [39388] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    STATE(1247), 1,
      sym_text_interpolation,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1894), 21,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [39441] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(2678), 1,
      sym_name,
    STATE(1248), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym__types,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1661), 1,
      sym_type,
    STATE(1938), 1,
      sym_const_element,
    STATE(2585), 1,
      sym__reserved_identifier,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39516] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1249), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2532), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39601] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2478), 1,
      anon_sym_QMARK,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1250), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2476), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39680] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_COLON,
    STATE(1251), 1,
      sym_text_interpolation,
    ACTIONS(2331), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2329), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [39729] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1252), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1896), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 15,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39792] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1253), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2522), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39871] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_QMARK,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2516), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39950] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1255), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40029] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1256), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2488), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40108] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2484), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40193] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    STATE(1258), 1,
      sym_text_interpolation,
    ACTIONS(1896), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [40242] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1259), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2486), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40321] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1894), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40400] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    ACTIONS(2682), 1,
      anon_sym_EQ_GT,
    STATE(1261), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2341), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40487] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    STATE(1262), 1,
      sym_text_interpolation,
    ACTIONS(1896), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1894), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [40536] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(2678), 1,
      sym_name,
    STATE(1263), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym__types,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1678), 1,
      sym_type,
    STATE(1855), 1,
      sym_const_element,
    STATE(2585), 1,
      sym__reserved_identifier,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40611] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1264), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2526), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40696] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2684), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40780] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1266), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2686), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40864] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(1267), 1,
      sym_text_interpolation,
    STATE(1367), 1,
      sym_readonly_modifier,
    STATE(1500), 1,
      sym__types,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2107), 1,
      sym_variable_name,
    STATE(2482), 1,
      sym_type,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40940] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2688), 1,
      anon_sym_EQ_GT,
    STATE(1268), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41026] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    ACTIONS(2692), 1,
      anon_sym_COMMA,
    STATE(1269), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2690), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41112] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(1270), 1,
      sym_text_interpolation,
    STATE(1333), 1,
      sym_readonly_modifier,
    STATE(1500), 1,
      sym__types,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2097), 1,
      sym_variable_name,
    STATE(2503), 1,
      sym_type,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [41188] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    ACTIONS(2694), 1,
      anon_sym_EQ_GT,
    STATE(1271), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41274] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2696), 1,
      anon_sym_EQ_GT,
    STATE(1272), 1,
      sym_text_interpolation,
    ACTIONS(2341), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41360] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2698), 1,
      anon_sym_COMMA,
    ACTIONS(2700), 1,
      anon_sym_EQ_GT,
    STATE(1273), 1,
      sym_text_interpolation,
    STATE(2052), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41448] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2702), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41532] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    ACTIONS(2692), 1,
      anon_sym_COMMA,
    STATE(1275), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2704), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41618] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2706), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41701] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1277), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2708), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41784] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2710), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41867] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2712), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41950] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2714), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42033] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2722), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    STATE(702), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1058), 1,
      sym_final_modifier,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1281), 1,
      sym_text_interpolation,
    STATE(1284), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1433), 1,
      sym_attribute_list,
    STATE(1472), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__member_declaration,
    STATE(1494), 1,
      sym__const_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [42122] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1282), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2736), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42205] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1283), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2738), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42288] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2740), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2743), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2746), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2749), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2752), 1,
      anon_sym_RBRACE,
    ACTIONS(2754), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2757), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2760), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2763), 1,
      sym_var_modifier,
    ACTIONS(2769), 1,
      anon_sym_POUND_LBRACK,
    STATE(702), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1058), 1,
      sym_final_modifier,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1406), 1,
      sym__modifier,
    STATE(1433), 1,
      sym_attribute_list,
    STATE(1472), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__member_declaration,
    STATE(1494), 1,
      sym__const_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    STATE(1284), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2766), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [42375] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2772), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42458] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2722), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(2774), 1,
      anon_sym_RBRACE,
    STATE(702), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1058), 1,
      sym_final_modifier,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1284), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1286), 1,
      sym_text_interpolation,
    STATE(1406), 1,
      sym__modifier,
    STATE(1433), 1,
      sym_attribute_list,
    STATE(1472), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__member_declaration,
    STATE(1494), 1,
      sym__const_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [42547] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2776), 1,
      anon_sym_EQ_GT,
    ACTIONS(2778), 1,
      anon_sym_RPAREN,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42632] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1288), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2780), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42715] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    STATE(1289), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2782), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42798] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2784), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42881] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1291), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2786), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42964] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1292), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2788), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43047] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2790), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43130] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2776), 1,
      anon_sym_EQ_GT,
    ACTIONS(2792), 1,
      anon_sym_RPAREN,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43215] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1295), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2794), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43298] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43381] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2722), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(2798), 1,
      anon_sym_RBRACE,
    STATE(702), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1058), 1,
      sym_final_modifier,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1286), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1297), 1,
      sym_text_interpolation,
    STATE(1406), 1,
      sym__modifier,
    STATE(1433), 1,
      sym_attribute_list,
    STATE(1472), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__member_declaration,
    STATE(1494), 1,
      sym__const_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43470] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2722), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(2800), 1,
      anon_sym_RBRACE,
    STATE(702), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1058), 1,
      sym_final_modifier,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1298), 1,
      sym_text_interpolation,
    STATE(1299), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1433), 1,
      sym_attribute_list,
    STATE(1472), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__member_declaration,
    STATE(1494), 1,
      sym__const_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43559] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2722), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(2802), 1,
      anon_sym_RBRACE,
    STATE(702), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1058), 1,
      sym_final_modifier,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1284), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1299), 1,
      sym_text_interpolation,
    STATE(1406), 1,
      sym__modifier,
    STATE(1433), 1,
      sym_attribute_list,
    STATE(1472), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__member_declaration,
    STATE(1494), 1,
      sym__const_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43648] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2804), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43731] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2806), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43814] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2722), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(2808), 1,
      anon_sym_RBRACE,
    STATE(702), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1058), 1,
      sym_final_modifier,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1302), 1,
      sym_text_interpolation,
    STATE(1311), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1433), 1,
      sym_attribute_list,
    STATE(1472), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__member_declaration,
    STATE(1494), 1,
      sym__const_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43903] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2810), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43986] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2812), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44069] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1305), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2814), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44152] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1306), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2816), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44235] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2818), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44318] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1308), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2820), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44401] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
    ACTIONS(2822), 1,
      anon_sym_COMMA,
    STATE(1309), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44486] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1310), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2824), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44569] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2722), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(2826), 1,
      anon_sym_RBRACE,
    STATE(702), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1058), 1,
      sym_final_modifier,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1284), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1311), 1,
      sym_text_interpolation,
    STATE(1406), 1,
      sym__modifier,
    STATE(1433), 1,
      sym_attribute_list,
    STATE(1472), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__member_declaration,
    STATE(1494), 1,
      sym__const_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [44658] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    ACTIONS(2704), 1,
      anon_sym_RPAREN,
    ACTIONS(2822), 1,
      anon_sym_COMMA,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44743] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2776), 1,
      anon_sym_EQ_GT,
    ACTIONS(2828), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44828] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2690), 1,
      anon_sym_SEMI,
    ACTIONS(2830), 1,
      anon_sym_COMMA,
    STATE(1314), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44913] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1315), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2832), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44996] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1316), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2834), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45079] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2836), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45162] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1318), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2838), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45245] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1319), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2840), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45328] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_AMP,
    ACTIONS(2596), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_PIPE,
    ACTIONS(2602), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2604), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2608), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2616), 1,
      anon_sym_CARET,
    ACTIONS(2624), 1,
      anon_sym_GT_EQ,
    ACTIONS(2628), 1,
      anon_sym_DOT,
    ACTIONS(2632), 1,
      anon_sym_PERCENT,
    STATE(1320), 1,
      sym_text_interpolation,
    ACTIONS(2600), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2618), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2626), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2630), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2842), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2622), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2620), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45411] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_AMP,
    ACTIONS(2648), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_PIPE,
    ACTIONS(2652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2654), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2656), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2662), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2664), 1,
      anon_sym_CARET,
    ACTIONS(2672), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_DOT,
    STATE(1321), 1,
      sym_text_interpolation,
    ACTIONS(2636), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2640), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2844), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2670), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2668), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45494] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2776), 1,
      anon_sym_EQ_GT,
    ACTIONS(2846), 1,
      anon_sym_RPAREN,
    STATE(1322), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45579] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2722), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(2848), 1,
      anon_sym_RBRACE,
    STATE(702), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1058), 1,
      sym_final_modifier,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1281), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1323), 1,
      sym_text_interpolation,
    STATE(1406), 1,
      sym__modifier,
    STATE(1433), 1,
      sym_attribute_list,
    STATE(1472), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__member_declaration,
    STATE(1494), 1,
      sym__const_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45668] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2704), 1,
      anon_sym_SEMI,
    ACTIONS(2830), 1,
      anon_sym_COMMA,
    STATE(1324), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45753] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2850), 1,
      anon_sym_RBRACK,
    STATE(1325), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45835] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2852), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45917] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2854), 1,
      anon_sym_RBRACE,
    STATE(1327), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45999] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2856), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46081] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2858), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46163] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2860), 1,
      anon_sym_RPAREN,
    STATE(1330), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46245] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2862), 1,
      anon_sym_RPAREN,
    STATE(1331), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46327] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2864), 1,
      anon_sym_RPAREN,
    STATE(1332), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46409] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(1333), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym__types,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2114), 1,
      sym_variable_name,
    STATE(2466), 1,
      sym_type,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46479] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2866), 1,
      anon_sym_EQ_GT,
    STATE(1334), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46561] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2868), 1,
      anon_sym_COLON,
    STATE(1335), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46643] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2870), 1,
      anon_sym_RBRACE,
    STATE(1336), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46725] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2872), 1,
      anon_sym_RBRACE,
    STATE(1337), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46807] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2874), 1,
      anon_sym_RBRACE,
    STATE(1338), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46889] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2876), 1,
      anon_sym_RBRACE,
    STATE(1339), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46971] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2878), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1340), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47053] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2880), 1,
      anon_sym_RPAREN,
    STATE(1341), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47135] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2882), 1,
      anon_sym_RBRACE,
    STATE(1342), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47217] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2884), 1,
      anon_sym_EQ_GT,
    STATE(1343), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47299] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2886), 1,
      anon_sym_RBRACE,
    STATE(1344), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47381] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2854), 1,
      anon_sym_RBRACK,
    STATE(1345), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47463] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2888), 1,
      anon_sym_RBRACE,
    STATE(1346), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47545] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2886), 1,
      anon_sym_RBRACK,
    STATE(1347), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47627] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2890), 1,
      anon_sym_RBRACE,
    STATE(1348), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47709] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2892), 1,
      anon_sym_RBRACE,
    STATE(1349), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47791] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2894), 1,
      anon_sym_RBRACE,
    STATE(1350), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47873] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2896), 1,
      anon_sym_RBRACE,
    STATE(1351), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47955] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2898), 1,
      anon_sym_RBRACE,
    STATE(1352), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48037] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2900), 1,
      anon_sym_RBRACE,
    STATE(1353), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48119] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2902), 1,
      anon_sym_RBRACE,
    STATE(1354), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48201] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2904), 1,
      anon_sym_RBRACE,
    STATE(1355), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48283] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2904), 1,
      anon_sym_RBRACK,
    STATE(1356), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48365] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2906), 1,
      anon_sym_COLON,
    STATE(1357), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48447] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2908), 1,
      anon_sym_RPAREN,
    STATE(1358), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48529] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2910), 1,
      anon_sym_RBRACE,
    STATE(1359), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48611] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2912), 1,
      anon_sym_RBRACE,
    STATE(1360), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48693] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2914), 1,
      anon_sym_RBRACE,
    STATE(1361), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48775] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2916), 1,
      anon_sym_RBRACE,
    STATE(1362), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48857] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2918), 1,
      anon_sym_RBRACE,
    STATE(1363), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48939] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2920), 1,
      anon_sym_RBRACE,
    STATE(1364), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49021] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2922), 1,
      anon_sym_EQ_GT,
    STATE(1365), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49103] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2924), 1,
      anon_sym_RBRACE,
    STATE(1366), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49185] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(1367), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym__types,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2025), 1,
      sym_variable_name,
    STATE(2420), 1,
      sym_type,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [49255] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2926), 1,
      anon_sym_RPAREN,
    STATE(1368), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49337] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2928), 1,
      anon_sym_RBRACE,
    STATE(1369), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49419] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2930), 1,
      anon_sym_RBRACK,
    STATE(1370), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49501] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2850), 1,
      anon_sym_RBRACE,
    STATE(1371), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49583] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2932), 1,
      anon_sym_RBRACE,
    STATE(1372), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49665] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2934), 1,
      anon_sym_RBRACE,
    STATE(1373), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49747] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2936), 1,
      anon_sym_RBRACE,
    STATE(1374), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49829] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2938), 1,
      anon_sym_RBRACE,
    STATE(1375), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49911] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1376), 1,
      sym_text_interpolation,
    ACTIONS(2942), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2940), 27,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49955] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2944), 1,
      anon_sym_RBRACE,
    STATE(1377), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50037] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2946), 1,
      anon_sym_RBRACE,
    STATE(1378), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50119] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2948), 1,
      anon_sym_RBRACE,
    STATE(1379), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50201] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2950), 1,
      anon_sym_RBRACE,
    STATE(1380), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50283] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2952), 1,
      anon_sym_RBRACE,
    STATE(1381), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50365] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2954), 1,
      anon_sym_RBRACE,
    STATE(1382), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50447] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2956), 1,
      anon_sym_RBRACE,
    STATE(1383), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50529] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2958), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1384), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50611] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2960), 1,
      anon_sym_RBRACE,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50693] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2962), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1386), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50775] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2964), 1,
      anon_sym_RBRACE,
    STATE(1387), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50857] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2966), 1,
      anon_sym_RBRACE,
    STATE(1388), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50939] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2968), 1,
      anon_sym_RBRACE,
    STATE(1389), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51021] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2970), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1390), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51103] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2972), 1,
      anon_sym_RBRACE,
    STATE(1391), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51185] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2974), 1,
      anon_sym_COLON,
    STATE(1392), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51267] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2930), 1,
      anon_sym_RBRACE,
    STATE(1393), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51349] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_PIPE,
    ACTIONS(2444), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2446), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2450), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2454), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2458), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_GT_EQ,
    ACTIONS(2470), 1,
      anon_sym_DOT,
    ACTIONS(2474), 1,
      anon_sym_PERCENT,
    ACTIONS(2976), 1,
      anon_sym_COLON,
    STATE(1394), 1,
      sym_text_interpolation,
    ACTIONS(2442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2468), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2462), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51431] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_AMP,
    ACTIONS(2536), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_PIPE,
    ACTIONS(2542), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2548), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2550), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2554), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2556), 1,
      anon_sym_CARET,
    ACTIONS(2564), 1,
      anon_sym_GT_EQ,
    ACTIONS(2568), 1,
      anon_sym_DOT,
    ACTIONS(2572), 1,
      anon_sym_PERCENT,
    ACTIONS(2912), 1,
      anon_sym_RBRACK,
    STATE(1395), 1,
      sym_text_interpolation,
    ACTIONS(2540), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2566), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2560), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51513] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(2978), 1,
      anon_sym_RBRACE,
    ACTIONS(2980), 1,
      aux_sym_enum_case_token1,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1396), 1,
      sym_text_interpolation,
    STATE(1398), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1434), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1473), 1,
      sym__enum_member_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51594] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(2980), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2982), 1,
      anon_sym_RBRACE,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1396), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1397), 1,
      sym_text_interpolation,
    STATE(1406), 1,
      sym__modifier,
    STATE(1434), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1473), 1,
      sym__enum_member_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51675] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2984), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2987), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2990), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    ACTIONS(2995), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2998), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(3001), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(3004), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3007), 1,
      sym_var_modifier,
    ACTIONS(3013), 1,
      anon_sym_POUND_LBRACK,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1406), 1,
      sym__modifier,
    STATE(1434), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1473), 1,
      sym__enum_member_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    STATE(1398), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(3010), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51754] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1886), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(3016), 1,
      sym_bottom_type,
    STATE(1399), 1,
      sym_text_interpolation,
    STATE(1500), 1,
      sym__types,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2425), 1,
      sym_type,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1563), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51821] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3018), 1,
      sym_name,
    ACTIONS(3022), 1,
      anon_sym_LPAREN,
    ACTIONS(3024), 1,
      anon_sym_QMARK,
    ACTIONS(3026), 1,
      sym_bottom_type,
    STATE(1400), 1,
      sym_text_interpolation,
    STATE(1606), 1,
      sym__types,
    STATE(1798), 1,
      sym_qualified_name,
    STATE(2136), 1,
      sym_type,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(1796), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2047), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(3020), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51888] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1401), 1,
      sym_text_interpolation,
    ACTIONS(3030), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(3028), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51931] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1402), 1,
      sym_text_interpolation,
    ACTIONS(2482), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2480), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51974] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1403), 1,
      sym_text_interpolation,
    ACTIONS(3034), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(3032), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1404), 1,
      sym_text_interpolation,
    ACTIONS(3038), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(3036), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52060] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1405), 1,
      sym_text_interpolation,
    ACTIONS(3042), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(3040), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52103] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1406), 1,
      sym_text_interpolation,
    ACTIONS(3046), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(3044), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52146] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(2980), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3048), 1,
      anon_sym_RBRACE,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1406), 1,
      sym__modifier,
    STATE(1407), 1,
      sym_text_interpolation,
    STATE(1408), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1434), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1473), 1,
      sym__enum_member_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52227] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2718), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(2980), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3050), 1,
      anon_sym_RBRACE,
    STATE(1054), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1093), 1,
      sym_attribute_group,
    STATE(1398), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1408), 1,
      sym_text_interpolation,
    STATE(1434), 1,
      sym_attribute_list,
    STATE(1439), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1473), 1,
      sym__enum_member_declaration,
    STATE(1922), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1476), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52308] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3018), 1,
      sym_name,
    ACTIONS(3024), 1,
      anon_sym_QMARK,
    ACTIONS(3052), 1,
      anon_sym_LPAREN,
    STATE(1409), 1,
      sym_text_interpolation,
    STATE(1798), 1,
      sym_qualified_name,
    STATE(1952), 1,
      sym__types,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(1796), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(3020), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52364] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    STATE(1410), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2189), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym_intersection_type,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52420] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3018), 1,
      sym_name,
    ACTIONS(3024), 1,
      anon_sym_QMARK,
    ACTIONS(3052), 1,
      anon_sym_LPAREN,
    STATE(1411), 1,
      sym_text_interpolation,
    STATE(1798), 1,
      sym_qualified_name,
    STATE(1977), 1,
      sym__types,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(1796), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(3020), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52476] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(3054), 1,
      anon_sym_LPAREN,
    STATE(1412), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1527), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52532] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    ACTIONS(3054), 1,
      anon_sym_LPAREN,
    STATE(1413), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1530), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52588] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1943), 1,
      anon_sym_QMARK,
    ACTIONS(3054), 1,
      anon_sym_LPAREN,
    STATE(1414), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1530), 1,
      sym__types,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52644] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    STATE(1415), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2189), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2770), 1,
      sym_intersection_type,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52700] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    STATE(1416), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2189), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2617), 1,
      sym_intersection_type,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52756] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    STATE(1417), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2189), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2787), 1,
      sym_intersection_type,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52812] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    STATE(1418), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2189), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2763), 1,
      sym_intersection_type,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52868] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1943), 1,
      anon_sym_QMARK,
    ACTIONS(3054), 1,
      anon_sym_LPAREN,
    STATE(1419), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1527), 1,
      sym__types,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52924] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3018), 1,
      sym_name,
    ACTIONS(3024), 1,
      anon_sym_QMARK,
    STATE(1420), 1,
      sym_text_interpolation,
    STATE(1798), 1,
      sym_qualified_name,
    STATE(1948), 1,
      sym__types,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(1796), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(3020), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52977] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1943), 1,
      anon_sym_QMARK,
    STATE(1421), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1528), 1,
      sym__types,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53030] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    STATE(1422), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1528), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53083] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1888), 1,
      anon_sym_QMARK,
    STATE(1423), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1532), 1,
      sym__types,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53136] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    ACTIONS(1943), 1,
      anon_sym_QMARK,
    STATE(1424), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1532), 1,
      sym__types,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    STATE(1506), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53189] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3018), 1,
      sym_name,
    ACTIONS(3024), 1,
      anon_sym_QMARK,
    STATE(1425), 1,
      sym_text_interpolation,
    STATE(1798), 1,
      sym_qualified_name,
    STATE(1847), 1,
      sym__types,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(1796), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(3020), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53242] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_DOLLAR,
    ACTIONS(2029), 1,
      anon_sym_COLON_COLON,
    STATE(1426), 1,
      sym_text_interpolation,
    STATE(1872), 1,
      sym_variable_name,
    STATE(1931), 1,
      sym_static_variable_declaration,
    ACTIONS(1792), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2942), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53285] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_DOLLAR,
    ACTIONS(2029), 1,
      anon_sym_COLON_COLON,
    STATE(1427), 1,
      sym_text_interpolation,
    STATE(1872), 1,
      sym_variable_name,
    STATE(1874), 1,
      sym_static_variable_declaration,
    ACTIONS(1792), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2942), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53328] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    STATE(1428), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_namespace_name_as_prefix,
    STATE(1509), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53374] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(3056), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3058), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3060), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(3062), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1429), 1,
      sym_text_interpolation,
    STATE(1442), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1505), 1,
      sym_static_modifier,
    STATE(2447), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1402), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [53434] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    STATE(1430), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1509), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1884), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53480] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(3056), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3062), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3064), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3066), 1,
      aux_sym_class_declaration_token1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1431), 1,
      sym_text_interpolation,
    STATE(1441), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1505), 1,
      sym_static_modifier,
    STATE(2302), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1402), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [53540] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3018), 1,
      sym_name,
    STATE(1432), 1,
      sym_text_interpolation,
    STATE(1798), 1,
      sym_qualified_name,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(1757), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(3020), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53586] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2722), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    STATE(703), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1064), 1,
      sym_final_modifier,
    STATE(1406), 1,
      sym__modifier,
    STATE(1433), 1,
      sym_text_interpolation,
    STATE(1480), 1,
      sym__const_declaration,
    STATE(1943), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1402), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53643] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(3068), 1,
      aux_sym_enum_case_token1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1434), 1,
      sym_text_interpolation,
    STATE(1437), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1943), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53695] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(3070), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(3072), 1,
      aux_sym_class_declaration_token1,
    STATE(1062), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1435), 1,
      sym_text_interpolation,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53744] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(3074), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(3076), 1,
      aux_sym_class_declaration_token1,
    STATE(1062), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1436), 1,
      sym_text_interpolation,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53793] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    STATE(1062), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1437), 1,
      sym_text_interpolation,
    STATE(1923), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53842] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(679), 1,
      sym_integer,
    ACTIONS(709), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_float,
    ACTIONS(3080), 1,
      aux_sym__argument_name_token1,
    ACTIONS(3082), 1,
      aux_sym__argument_name_token2,
    STATE(1438), 1,
      sym_text_interpolation,
    STATE(2602), 1,
      sym_literal,
    ACTIONS(705), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(707), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1031), 3,
      sym_boolean,
      sym_null,
      sym__string,
    STATE(796), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [53889] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2720), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    STATE(1062), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1439), 1,
      sym_text_interpolation,
    STATE(1940), 1,
      sym__function_definition_header,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53938] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(3070), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1062), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1440), 1,
      sym_text_interpolation,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53984] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(3084), 1,
      aux_sym_class_declaration_token1,
    STATE(1062), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1441), 1,
      sym_text_interpolation,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54030] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2726), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2728), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      sym_var_modifier,
    ACTIONS(3086), 1,
      aux_sym_class_declaration_token1,
    STATE(1062), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1406), 1,
      sym__modifier,
    STATE(1442), 1,
      sym_text_interpolation,
    ACTIONS(2734), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1402), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54076] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1443), 1,
      sym_text_interpolation,
    ACTIONS(3088), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1992), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [54106] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3090), 1,
      anon_sym_LBRACE,
    ACTIONS(3096), 1,
      anon_sym_BSLASHu,
    ACTIONS(3099), 1,
      sym__new_line,
    ACTIONS(3102), 1,
      anon_sym_DOLLAR,
    ACTIONS(3105), 1,
      sym_heredoc_end,
    STATE(1465), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1533), 1,
      sym_variable_name,
    STATE(1626), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3093), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1444), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1628), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1634), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54153] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3107), 1,
      anon_sym_LBRACE,
    ACTIONS(3111), 1,
      anon_sym_BSLASHu,
    ACTIONS(3113), 1,
      sym__new_line,
    ACTIONS(3116), 1,
      anon_sym_DOLLAR,
    ACTIONS(3118), 1,
      sym_heredoc_end,
    STATE(1444), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1445), 1,
      sym_text_interpolation,
    STATE(1465), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1533), 1,
      sym_variable_name,
    STATE(1626), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3109), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1628), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1634), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54202] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1446), 1,
      sym_text_interpolation,
    ACTIONS(3120), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54228] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3122), 1,
      anon_sym_LBRACE,
    ACTIONS(3128), 1,
      anon_sym_BSLASHu,
    ACTIONS(3133), 1,
      anon_sym_DOLLAR,
    STATE(1533), 1,
      sym_variable_name,
    STATE(1626), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3125), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(3131), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1447), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1628), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1634), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54270] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1448), 1,
      sym_text_interpolation,
    ACTIONS(3136), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54296] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1449), 1,
      sym_text_interpolation,
    ACTIONS(3138), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54322] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1450), 1,
      sym_text_interpolation,
    ACTIONS(3140), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54348] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1451), 1,
      sym_text_interpolation,
    ACTIONS(3138), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54374] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1452), 1,
      sym_text_interpolation,
    ACTIONS(3142), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54400] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1453), 1,
      sym_text_interpolation,
    ACTIONS(3144), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54426] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1454), 1,
      sym_text_interpolation,
    ACTIONS(3136), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54452] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1455), 1,
      sym_text_interpolation,
    ACTIONS(3146), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54478] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1456), 1,
      sym_text_interpolation,
    ACTIONS(3148), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54504] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1457), 1,
      sym_text_interpolation,
    ACTIONS(3148), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54530] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1458), 1,
      sym_text_interpolation,
    ACTIONS(3150), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54556] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1459), 1,
      sym_text_interpolation,
    ACTIONS(3120), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54582] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3107), 1,
      anon_sym_LBRACE,
    ACTIONS(3111), 1,
      anon_sym_BSLASHu,
    ACTIONS(3116), 1,
      anon_sym_DOLLAR,
    STATE(1447), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1460), 1,
      sym_text_interpolation,
    STATE(1533), 1,
      sym_variable_name,
    STATE(1626), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3105), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(3109), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1628), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1634), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54626] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1461), 1,
      sym_text_interpolation,
    ACTIONS(3152), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54652] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1462), 1,
      sym_text_interpolation,
    ACTIONS(3154), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54678] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1463), 1,
      sym_text_interpolation,
    ACTIONS(3156), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54704] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3107), 1,
      anon_sym_LBRACE,
    ACTIONS(3111), 1,
      anon_sym_BSLASHu,
    ACTIONS(3116), 1,
      anon_sym_DOLLAR,
    ACTIONS(3158), 1,
      sym__new_line,
    STATE(1445), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1464), 1,
      sym_text_interpolation,
    STATE(1465), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1533), 1,
      sym_variable_name,
    STATE(1626), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3109), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1628), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1634), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54750] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3107), 1,
      anon_sym_LBRACE,
    ACTIONS(3111), 1,
      anon_sym_BSLASHu,
    ACTIONS(3116), 1,
      anon_sym_DOLLAR,
    STATE(1447), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1465), 1,
      sym_text_interpolation,
    STATE(1533), 1,
      sym_variable_name,
    STATE(1626), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3109), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(3160), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1628), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1634), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54794] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1466), 1,
      sym_text_interpolation,
    ACTIONS(3162), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54819] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3164), 1,
      anon_sym_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_BSLASHu,
    ACTIONS(3170), 1,
      anon_sym_DQUOTE,
    ACTIONS(3172), 1,
      anon_sym_DOLLAR,
    STATE(1467), 1,
      sym_text_interpolation,
    STATE(1496), 1,
      aux_sym__interpolated_string_body,
    STATE(1555), 1,
      sym_variable_name,
    STATE(1735), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3166), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1696), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1733), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54862] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3164), 1,
      anon_sym_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_BSLASHu,
    ACTIONS(3172), 1,
      anon_sym_DOLLAR,
    ACTIONS(3174), 1,
      anon_sym_DQUOTE,
    STATE(1468), 1,
      sym_text_interpolation,
    STATE(1469), 1,
      aux_sym__interpolated_string_body,
    STATE(1555), 1,
      sym_variable_name,
    STATE(1735), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3166), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1696), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1733), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54905] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3164), 1,
      anon_sym_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_BSLASHu,
    ACTIONS(3172), 1,
      anon_sym_DOLLAR,
    ACTIONS(3176), 1,
      anon_sym_DQUOTE,
    STATE(1469), 1,
      sym_text_interpolation,
    STATE(1496), 1,
      aux_sym__interpolated_string_body,
    STATE(1555), 1,
      sym_variable_name,
    STATE(1735), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3166), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1696), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1733), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54948] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1470), 1,
      sym_text_interpolation,
    ACTIONS(3178), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54973] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3180), 1,
      anon_sym_LBRACE,
    ACTIONS(3184), 1,
      anon_sym_BSLASHu,
    ACTIONS(3186), 1,
      anon_sym_BQUOTE,
    ACTIONS(3188), 1,
      anon_sym_DOLLAR,
    STATE(1471), 1,
      sym_text_interpolation,
    STATE(1475), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1550), 1,
      sym_variable_name,
    STATE(1708), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3182), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1712), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1728), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55016] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1472), 1,
      sym_text_interpolation,
    ACTIONS(3190), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55041] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1473), 1,
      sym_text_interpolation,
    ACTIONS(3192), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55066] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1474), 1,
      sym_text_interpolation,
    ACTIONS(3194), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55091] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3180), 1,
      anon_sym_LBRACE,
    ACTIONS(3184), 1,
      anon_sym_BSLASHu,
    ACTIONS(3188), 1,
      anon_sym_DOLLAR,
    ACTIONS(3196), 1,
      anon_sym_BQUOTE,
    STATE(1475), 1,
      sym_text_interpolation,
    STATE(1488), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1550), 1,
      sym_variable_name,
    STATE(1708), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3182), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1712), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1728), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55134] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1476), 1,
      sym_text_interpolation,
    ACTIONS(3198), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55159] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1477), 1,
      sym_text_interpolation,
    ACTIONS(3200), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55184] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(1478), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3202), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3204), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55215] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3206), 1,
      sym_name,
    ACTIONS(3212), 1,
      anon_sym_BSLASH,
    STATE(1479), 1,
      sym_text_interpolation,
    STATE(1934), 1,
      sym_namespace_use_clause,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(2688), 1,
      sym_namespace_name,
    ACTIONS(3210), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1827), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55256] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1480), 1,
      sym_text_interpolation,
    ACTIONS(3214), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55281] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1481), 1,
      sym_text_interpolation,
    ACTIONS(3216), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55306] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1482), 1,
      sym_text_interpolation,
    ACTIONS(3218), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55331] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1483), 1,
      sym_text_interpolation,
    ACTIONS(3220), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55356] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1484), 1,
      sym_text_interpolation,
    ACTIONS(3222), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55381] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1485), 1,
      sym_text_interpolation,
    ACTIONS(3224), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55406] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1486), 1,
      sym_text_interpolation,
    ACTIONS(3226), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55431] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1487), 1,
      sym_text_interpolation,
    ACTIONS(3228), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55456] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3230), 1,
      anon_sym_LBRACE,
    ACTIONS(3236), 1,
      anon_sym_BSLASHu,
    ACTIONS(3239), 1,
      anon_sym_BQUOTE,
    ACTIONS(3241), 1,
      anon_sym_DOLLAR,
    STATE(1550), 1,
      sym_variable_name,
    STATE(1708), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3233), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1488), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1712), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1728), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55497] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1489), 1,
      sym_text_interpolation,
    ACTIONS(3244), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55522] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1490), 1,
      sym_text_interpolation,
    ACTIONS(3246), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55547] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3180), 1,
      anon_sym_LBRACE,
    ACTIONS(3184), 1,
      anon_sym_BSLASHu,
    ACTIONS(3188), 1,
      anon_sym_DOLLAR,
    ACTIONS(3248), 1,
      anon_sym_BQUOTE,
    STATE(1491), 1,
      sym_text_interpolation,
    STATE(1493), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1550), 1,
      sym_variable_name,
    STATE(1708), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3182), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1712), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1728), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55590] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1492), 1,
      sym_text_interpolation,
    ACTIONS(3250), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55615] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3180), 1,
      anon_sym_LBRACE,
    ACTIONS(3184), 1,
      anon_sym_BSLASHu,
    ACTIONS(3188), 1,
      anon_sym_DOLLAR,
    ACTIONS(3252), 1,
      anon_sym_BQUOTE,
    STATE(1488), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1493), 1,
      sym_text_interpolation,
    STATE(1550), 1,
      sym_variable_name,
    STATE(1708), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3182), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1712), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1728), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55658] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1494), 1,
      sym_text_interpolation,
    ACTIONS(3254), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55683] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3206), 1,
      sym_name,
    ACTIONS(3258), 1,
      anon_sym_BSLASH,
    STATE(1495), 1,
      sym_text_interpolation,
    STATE(1897), 1,
      sym_namespace_use_clause,
    STATE(2601), 1,
      sym_namespace_name,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3256), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1827), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55724] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3260), 1,
      anon_sym_LBRACE,
    ACTIONS(3266), 1,
      anon_sym_BSLASHu,
    ACTIONS(3269), 1,
      anon_sym_DQUOTE,
    ACTIONS(3271), 1,
      anon_sym_DOLLAR,
    STATE(1555), 1,
      sym_variable_name,
    STATE(1735), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3263), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1496), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1696), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1733), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [55765] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3164), 1,
      anon_sym_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_BSLASHu,
    ACTIONS(3172), 1,
      anon_sym_DOLLAR,
    ACTIONS(3274), 1,
      anon_sym_DQUOTE,
    STATE(1467), 1,
      aux_sym__interpolated_string_body,
    STATE(1497), 1,
      sym_text_interpolation,
    STATE(1555), 1,
      sym_variable_name,
    STATE(1735), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3166), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1696), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1733), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [55808] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1498), 1,
      sym_text_interpolation,
    ACTIONS(3276), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55833] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1499), 1,
      sym_text_interpolation,
    ACTIONS(3278), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55858] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3285), 1,
      anon_sym_AMP,
    ACTIONS(3292), 1,
      anon_sym_PIPE,
    STATE(1500), 1,
      sym_text_interpolation,
    STATE(1520), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1570), 1,
      aux_sym_union_type_repeat1,
    STATE(1597), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3287), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3280), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [55894] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3294), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3296), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1501), 1,
      sym_text_interpolation,
    ACTIONS(2482), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55922] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3298), 1,
      sym_name,
    ACTIONS(3300), 1,
      anon_sym_RBRACK,
    STATE(1502), 1,
      sym_text_interpolation,
    STATE(2337), 1,
      sym_attribute,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1982), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55962] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3298), 1,
      sym_name,
    ACTIONS(3302), 1,
      anon_sym_RBRACK,
    STATE(1503), 1,
      sym_text_interpolation,
    STATE(2337), 1,
      sym_attribute,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1982), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56002] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3111), 1,
      anon_sym_BSLASHu,
    ACTIONS(3304), 1,
      anon_sym_LBRACE,
    ACTIONS(3306), 1,
      anon_sym_DOLLAR,
    STATE(1460), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1504), 1,
      sym_text_interpolation,
    STATE(1533), 1,
      sym_variable_name,
    STATE(1626), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3109), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1628), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1634), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [56042] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3308), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3310), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1505), 1,
      sym_text_interpolation,
    ACTIONS(2482), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56069] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1506), 1,
      sym_text_interpolation,
    ACTIONS(3312), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3314), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56094] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3316), 1,
      sym_integer,
    STATE(1507), 1,
      sym_text_interpolation,
    STATE(2418), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(948), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [56127] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3298), 1,
      sym_name,
    STATE(1508), 1,
      sym_text_interpolation,
    STATE(2094), 1,
      sym_attribute,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1982), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56164] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1509), 1,
      sym_text_interpolation,
    ACTIONS(3318), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3320), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56189] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3206), 1,
      sym_name,
    ACTIONS(3322), 1,
      anon_sym_BSLASH,
    STATE(1510), 1,
      sym_text_interpolation,
    STATE(1885), 1,
      sym_namespace_use_clause,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(2679), 1,
      sym_namespace_name,
    STATE(1827), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56226] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2029), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2147), 1,
      anon_sym_COLON,
    STATE(1511), 1,
      sym_text_interpolation,
    ACTIONS(2942), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1792), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56255] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1512), 1,
      sym_text_interpolation,
    ACTIONS(3324), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3326), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56280] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1513), 1,
      sym_text_interpolation,
    ACTIONS(3202), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3204), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56305] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3298), 1,
      sym_name,
    STATE(1514), 1,
      sym_text_interpolation,
    STATE(2337), 1,
      sym_attribute,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1982), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56342] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3328), 1,
      sym_integer,
    STATE(1515), 1,
      sym_text_interpolation,
    STATE(2354), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(948), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [56375] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3206), 1,
      sym_name,
    STATE(1516), 1,
      sym_text_interpolation,
    STATE(2082), 1,
      sym_namespace_use_clause,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(1827), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56412] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3206), 1,
      sym_name,
    ACTIONS(3330), 1,
      anon_sym_BSLASH,
    STATE(1517), 1,
      sym_text_interpolation,
    STATE(1981), 1,
      sym_namespace_use_clause,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(2697), 1,
      sym_namespace_name,
    STATE(1827), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56449] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1518), 1,
      sym_text_interpolation,
    ACTIONS(1820), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1822), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [56473] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1519), 1,
      sym_text_interpolation,
    ACTIONS(3332), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3334), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56497] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3285), 1,
      anon_sym_AMP,
    STATE(1520), 1,
      sym_text_interpolation,
    STATE(1524), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3336), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3338), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56525] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3340), 1,
      sym_name,
    STATE(1521), 1,
      sym_text_interpolation,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(1719), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56559] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3342), 1,
      sym_name,
    STATE(1522), 1,
      sym_text_interpolation,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(1933), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56593] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3344), 1,
      sym_name,
    STATE(1523), 1,
      sym_text_interpolation,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2158), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56627] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3348), 1,
      anon_sym_AMP,
    STATE(1524), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3346), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3351), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56653] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3353), 1,
      sym_name,
    STATE(1525), 1,
      sym_text_interpolation,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2010), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56687] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1526), 1,
      sym_text_interpolation,
    ACTIONS(1766), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56715] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1527), 1,
      sym_text_interpolation,
    ACTIONS(3355), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3357), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56739] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1528), 1,
      sym_text_interpolation,
    ACTIONS(3359), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3361), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56763] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3363), 1,
      sym_name,
    STATE(1529), 1,
      sym_text_interpolation,
    STATE(2669), 1,
      sym_namespace_name,
    STATE(2670), 1,
      sym_namespace_name_as_prefix,
    STATE(1898), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56797] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1530), 1,
      sym_text_interpolation,
    ACTIONS(3365), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3368), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56821] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(3371), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(647), 1,
      sym_arguments,
    STATE(1531), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56853] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1532), 1,
      sym_text_interpolation,
    ACTIONS(3346), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3351), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56877] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3375), 1,
      anon_sym_DASH_GT,
    ACTIONS(3377), 1,
      anon_sym_LBRACK,
    ACTIONS(3381), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1533), 1,
      sym_text_interpolation,
    ACTIONS(3373), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3379), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [56907] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2029), 1,
      anon_sym_COLON_COLON,
    STATE(1534), 1,
      sym_text_interpolation,
    ACTIONS(2942), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1792), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56933] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3385), 1,
      anon_sym_RPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1535), 1,
      sym_text_interpolation,
    STATE(2126), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56965] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(3387), 1,
      anon_sym_RPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1536), 1,
      sym_text_interpolation,
    STATE(1991), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56997] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(3389), 1,
      anon_sym_COMMA,
    ACTIONS(3391), 1,
      anon_sym_RPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1537), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57029] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1538), 1,
      sym_text_interpolation,
    ACTIONS(1976), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57057] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1539), 1,
      sym_text_interpolation,
    ACTIONS(2832), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57084] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3393), 1,
      sym_name,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1540), 1,
      sym_text_interpolation,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(755), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57113] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3397), 1,
      sym_name,
    ACTIONS(3399), 1,
      anon_sym_LBRACE,
    STATE(1541), 1,
      sym_text_interpolation,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(739), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57142] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3401), 1,
      sym_name,
    ACTIONS(3403), 1,
      anon_sym_LBRACE,
    STATE(1542), 1,
      sym_text_interpolation,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(750), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57171] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3405), 1,
      sym_name,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    STATE(1543), 1,
      sym_text_interpolation,
    ACTIONS(3407), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(666), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57200] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3411), 1,
      sym_name,
    ACTIONS(3413), 1,
      anon_sym_LBRACE,
    STATE(1544), 1,
      sym_text_interpolation,
    ACTIONS(3407), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(665), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57229] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3415), 1,
      sym_name,
    ACTIONS(3417), 1,
      anon_sym_LBRACE,
    STATE(886), 1,
      sym__reserved_identifier,
    STATE(1545), 1,
      sym_text_interpolation,
    STATE(659), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57260] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1546), 1,
      sym_text_interpolation,
    ACTIONS(2806), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57287] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3419), 1,
      sym_name,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1547), 1,
      sym_text_interpolation,
    ACTIONS(3421), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(638), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57316] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3425), 1,
      sym_name,
    ACTIONS(3427), 1,
      anon_sym_LBRACE,
    STATE(1548), 1,
      sym_text_interpolation,
    STATE(1648), 1,
      sym__reserved_identifier,
    STATE(1637), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57347] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_BSLASHu,
    STATE(1549), 1,
      sym_text_interpolation,
    ACTIONS(1820), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [57370] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_BSLASHu,
    ACTIONS(3429), 1,
      anon_sym_DASH_GT,
    ACTIONS(3431), 1,
      anon_sym_LBRACK,
    ACTIONS(3433), 1,
      sym_execution_string_chars_after_variable,
    STATE(1550), 1,
      sym_text_interpolation,
    ACTIONS(3379), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [57399] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1551), 1,
      sym_text_interpolation,
    ACTIONS(2844), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57426] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(3435), 1,
      anon_sym_EQ,
    STATE(1552), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3204), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3202), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57455] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1734), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3437), 1,
      sym_name,
    ACTIONS(3441), 1,
      anon_sym_LBRACE,
    STATE(1553), 1,
      sym_text_interpolation,
    ACTIONS(3439), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(708), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57484] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_BSLASHu,
    STATE(1554), 1,
      sym_text_interpolation,
    ACTIONS(1820), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57507] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_BSLASHu,
    ACTIONS(3443), 1,
      anon_sym_DASH_GT,
    ACTIONS(3445), 1,
      anon_sym_LBRACK,
    ACTIONS(3447), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1555), 1,
      sym_text_interpolation,
    ACTIONS(3379), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57536] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1728), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3449), 1,
      sym_name,
    ACTIONS(3453), 1,
      anon_sym_LBRACE,
    STATE(1556), 1,
      sym_text_interpolation,
    ACTIONS(3451), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(836), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57565] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1728), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3455), 1,
      sym_name,
    ACTIONS(3457), 1,
      anon_sym_LBRACE,
    STATE(1557), 1,
      sym_text_interpolation,
    ACTIONS(3451), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(850), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57594] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(3459), 1,
      sym_name,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(723), 1,
      sym__reserved_identifier,
    STATE(1558), 1,
      sym_text_interpolation,
    STATE(912), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57625] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(647), 1,
      sym_arguments,
    STATE(1559), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57654] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1560), 1,
      sym_text_interpolation,
    ACTIONS(3463), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57681] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1734), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3465), 1,
      sym_name,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1561), 1,
      sym_text_interpolation,
    ACTIONS(3439), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(706), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57710] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1562), 1,
      sym_text_interpolation,
    ACTIONS(2834), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57737] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1563), 1,
      sym_text_interpolation,
    ACTIONS(3469), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3471), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [57760] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1564), 1,
      sym_text_interpolation,
    ACTIONS(3473), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57787] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(966), 1,
      sym_arguments,
    STATE(1565), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57816] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3459), 1,
      sym_name,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(723), 1,
      sym__reserved_identifier,
    STATE(1566), 1,
      sym_text_interpolation,
    STATE(749), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57847] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    STATE(1567), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57876] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(3475), 1,
      sym_name,
    ACTIONS(3477), 1,
      anon_sym_LBRACE,
    STATE(1568), 1,
      sym_text_interpolation,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(924), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57905] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3479), 1,
      sym_name,
    ACTIONS(3481), 1,
      anon_sym_LBRACE,
    STATE(1569), 1,
      sym_text_interpolation,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(774), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57934] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3487), 1,
      anon_sym_PIPE,
    STATE(1570), 1,
      sym_text_interpolation,
    STATE(1585), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3485), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3483), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57961] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(3489), 1,
      sym_name,
    ACTIONS(3491), 1,
      anon_sym_LBRACE,
    STATE(1571), 1,
      sym_text_interpolation,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(920), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57990] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(3459), 1,
      sym_name,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(723), 1,
      sym__reserved_identifier,
    STATE(1572), 1,
      sym_text_interpolation,
    STATE(876), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58021] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3493), 1,
      sym_name,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(1573), 1,
      sym_text_interpolation,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(773), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58050] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(727), 1,
      sym_arguments,
    STATE(1574), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58079] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_PIPE,
    STATE(1575), 1,
      sym_text_interpolation,
    STATE(1592), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3499), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3497), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58106] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3503), 1,
      sym_name,
    ACTIONS(3505), 1,
      anon_sym_LBRACE,
    STATE(1576), 1,
      sym_text_interpolation,
    STATE(1622), 1,
      sym__reserved_identifier,
    STATE(1621), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58137] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3507), 1,
      sym_name,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1577), 1,
      sym_text_interpolation,
    STATE(1650), 1,
      sym_reference_modifier,
    STATE(1671), 1,
      sym_formal_parameters,
    STATE(2536), 1,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58170] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3511), 1,
      sym_name,
    ACTIONS(3513), 1,
      anon_sym_LBRACE,
    STATE(1578), 1,
      sym_text_interpolation,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(756), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58199] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1579), 1,
      sym_text_interpolation,
    ACTIONS(3515), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58226] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3517), 1,
      sym_name,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(1580), 1,
      sym_text_interpolation,
    ACTIONS(3421), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(639), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58255] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1734), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3521), 1,
      sym_name,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    STATE(765), 1,
      sym__reserved_identifier,
    STATE(1581), 1,
      sym_text_interpolation,
    STATE(707), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58286] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(3503), 1,
      sym_name,
    ACTIONS(3505), 1,
      anon_sym_LBRACE,
    STATE(1582), 1,
      sym_text_interpolation,
    STATE(1622), 1,
      sym__reserved_identifier,
    STATE(919), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58317] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1728), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3525), 1,
      sym_name,
    ACTIONS(3527), 1,
      anon_sym_LBRACE,
    STATE(907), 1,
      sym__reserved_identifier,
    STATE(1583), 1,
      sym_text_interpolation,
    STATE(847), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58348] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(3529), 1,
      sym_name,
    ACTIONS(3531), 1,
      anon_sym_LBRACE,
    STATE(1584), 1,
      sym_text_interpolation,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(913), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58377] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_PIPE,
    STATE(1585), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3361), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3359), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58402] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(790), 1,
      sym_arguments,
    STATE(1586), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58431] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(3536), 1,
      sym_name,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(1587), 1,
      sym_text_interpolation,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(893), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58460] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(3540), 1,
      sym_name,
    ACTIONS(3542), 1,
      anon_sym_LBRACE,
    STATE(1588), 1,
      sym_text_interpolation,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(891), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58489] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3459), 1,
      sym_name,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(723), 1,
      sym__reserved_identifier,
    STATE(1589), 1,
      sym_text_interpolation,
    STATE(642), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58520] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3425), 1,
      sym_name,
    ACTIONS(3427), 1,
      anon_sym_LBRACE,
    STATE(1590), 1,
      sym_text_interpolation,
    STATE(1648), 1,
      sym__reserved_identifier,
    STATE(754), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58551] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(3544), 1,
      sym_name,
    ACTIONS(3546), 1,
      anon_sym_LBRACE,
    STATE(1591), 1,
      sym_text_interpolation,
    ACTIONS(3208), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(915), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58580] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_PIPE,
    STATE(1592), 1,
      sym_text_interpolation,
    STATE(1593), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3550), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3548), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58607] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_PIPE,
    STATE(1593), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3357), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3355), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58632] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3517), 1,
      sym_name,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    STATE(1594), 1,
      sym_text_interpolation,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(639), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58661] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3419), 1,
      sym_name,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1595), 1,
      sym_text_interpolation,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(638), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58690] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1728), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3555), 1,
      sym_name,
    ACTIONS(3557), 1,
      anon_sym_LBRACE,
    STATE(1596), 1,
      sym_text_interpolation,
    STATE(1652), 1,
      sym__reserved_identifier,
    STATE(847), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58721] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_PIPE,
    STATE(1593), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1597), 1,
      sym_text_interpolation,
    ACTIONS(3561), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3559), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58748] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2029), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2147), 1,
      anon_sym_COLON,
    STATE(1598), 1,
      sym_text_interpolation,
    ACTIONS(1792), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58773] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3507), 1,
      sym_name,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1599), 1,
      sym_text_interpolation,
    STATE(1647), 1,
      sym_reference_modifier,
    STATE(1685), 1,
      sym_formal_parameters,
    STATE(2536), 1,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58806] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3459), 1,
      sym_name,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(723), 1,
      sym__reserved_identifier,
    STATE(1600), 1,
      sym_text_interpolation,
    STATE(775), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58837] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(3565), 1,
      anon_sym_COMMA,
    ACTIONS(3567), 1,
      anon_sym_LBRACE,
    STATE(1450), 1,
      sym_use_list,
    STATE(1601), 1,
      sym_text_interpolation,
    STATE(1702), 1,
      aux_sym_base_clause_repeat1,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3563), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58869] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1152), 1,
      sym_declaration_list,
    STATE(1602), 1,
      sym_text_interpolation,
    STATE(1722), 1,
      sym_arguments,
    STATE(1929), 1,
      sym_base_clause,
    STATE(2317), 1,
      sym_class_interface_clause,
  [58903] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1010), 1,
      sym_declaration_list,
    STATE(1603), 1,
      sym_text_interpolation,
    STATE(1727), 1,
      sym_arguments,
    STATE(1964), 1,
      sym_base_clause,
    STATE(2355), 1,
      sym_class_interface_clause,
  [58937] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1036), 1,
      sym_declaration_list,
    STATE(1604), 1,
      sym_text_interpolation,
    STATE(1681), 1,
      sym_arguments,
    STATE(1857), 1,
      sym_base_clause,
    STATE(2526), 1,
      sym_class_interface_clause,
  [58971] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      sym_text_interpolation,
    STATE(1991), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58997] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3577), 1,
      anon_sym_AMP,
    ACTIONS(3579), 1,
      anon_sym_PIPE,
    STATE(1606), 1,
      sym_text_interpolation,
    STATE(1752), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1756), 1,
      aux_sym_union_type_repeat1,
    STATE(1765), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3287), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59027] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1159), 1,
      sym_declaration_list,
    STATE(1607), 1,
      sym_text_interpolation,
    STATE(1721), 1,
      sym_arguments,
    STATE(1965), 1,
      sym_base_clause,
    STATE(2350), 1,
      sym_class_interface_clause,
  [59061] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1608), 1,
      sym_text_interpolation,
    STATE(1916), 1,
      sym_named_type,
    STATE(2056), 1,
      sym_type_list,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
  [59095] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3389), 1,
      anon_sym_COMMA,
    ACTIONS(3391), 1,
      anon_sym_RPAREN,
    STATE(1609), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59121] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1085), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3581), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3583), 1,
      aux_sym_finally_clause_token1,
    STATE(1610), 1,
      sym_text_interpolation,
    STATE(1612), 1,
      aux_sym_try_statement_repeat1,
    ACTIONS(1083), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1744), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59151] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1611), 1,
      sym_text_interpolation,
    STATE(1916), 1,
      sym_named_type,
    STATE(2119), 1,
      sym_type_list,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
  [59185] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1093), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3585), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3588), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1091), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1612), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1744), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59213] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_COMMA,
    ACTIONS(3385), 1,
      anon_sym_RPAREN,
    STATE(1613), 1,
      sym_text_interpolation,
    STATE(2126), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59239] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1614), 1,
      sym_text_interpolation,
    ACTIONS(2159), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2157), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [59260] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN,
    STATE(669), 1,
      sym_arguments,
    STATE(1615), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59283] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(956), 1,
      sym_arguments,
    STATE(1616), 1,
      sym_text_interpolation,
    ACTIONS(1929), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1617), 1,
      sym_text_interpolation,
    ACTIONS(3463), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59327] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    STATE(1618), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59350] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3593), 1,
      anon_sym_DASH,
    STATE(1619), 1,
      sym_text_interpolation,
    STATE(2707), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3591), 2,
      sym_integer,
      sym_name,
    STATE(2716), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [59377] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(790), 1,
      sym_arguments,
    STATE(1620), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59400] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(937), 1,
      sym_arguments,
    STATE(1621), 1,
      sym_text_interpolation,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59423] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(937), 1,
      sym_arguments,
    STATE(1622), 1,
      sym_text_interpolation,
    ACTIONS(1925), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59446] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3595), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1623), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59469] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(966), 1,
      sym_arguments,
    STATE(1624), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59492] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1625), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59515] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1626), 1,
      sym_text_interpolation,
    ACTIONS(3597), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3599), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59536] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(667), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_name,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1627), 1,
      sym_text_interpolation,
    STATE(2008), 1,
      sym_named_type,
    STATE(2607), 1,
      sym_namespace_name_as_prefix,
    STATE(2669), 1,
      sym_namespace_name,
  [59567] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1628), 1,
      sym_text_interpolation,
    ACTIONS(3373), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3379), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59588] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(1629), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3204), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [59611] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1630), 1,
      sym_text_interpolation,
    ACTIONS(3601), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3603), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59632] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1631), 1,
      sym_text_interpolation,
    ACTIONS(3605), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3607), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59653] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1632), 1,
      sym_text_interpolation,
    ACTIONS(3515), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59674] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    STATE(1633), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59697] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1634), 1,
      sym_text_interpolation,
    ACTIONS(3609), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3611), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59718] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3613), 1,
      sym_name,
    STATE(1635), 1,
      sym_text_interpolation,
    STATE(1769), 1,
      sym_reference_modifier,
    STATE(2532), 1,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59745] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1636), 1,
      sym_text_interpolation,
    ACTIONS(3615), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3617), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59766] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(783), 1,
      sym_arguments,
    STATE(1637), 1,
      sym_text_interpolation,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59789] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_AMP,
    ACTIONS(3625), 1,
      anon_sym_PIPE,
    STATE(1638), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1768), 1,
      aux_sym_union_type_repeat1,
    STATE(1963), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3287), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [59818] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3593), 1,
      anon_sym_DASH,
    STATE(1639), 1,
      sym_text_interpolation,
    STATE(2752), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3591), 2,
      sym_integer,
      sym_name,
    STATE(2716), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [59845] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    STATE(966), 1,
      sym_arguments,
    STATE(1640), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59868] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1641), 1,
      sym_text_interpolation,
    ACTIONS(1822), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1820), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59889] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    STATE(1642), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59912] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1643), 1,
      sym_text_interpolation,
    ACTIONS(1810), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1808), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59933] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1644), 1,
      sym_text_interpolation,
    ACTIONS(1818), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1816), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59954] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1645), 1,
      sym_text_interpolation,
    ACTIONS(3473), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59975] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1646), 1,
      sym_text_interpolation,
    ACTIONS(3627), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3131), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59996] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    ACTIONS(3629), 1,
      sym_name,
    STATE(1647), 1,
      sym_text_interpolation,
    STATE(1684), 1,
      sym_formal_parameters,
    STATE(2307), 1,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60023] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(783), 1,
      sym_arguments,
    STATE(1648), 1,
      sym_text_interpolation,
    ACTIONS(1925), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60046] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(790), 1,
      sym_arguments,
    STATE(1649), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60069] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    ACTIONS(3629), 1,
      sym_name,
    STATE(1650), 1,
      sym_text_interpolation,
    STATE(1690), 1,
      sym_formal_parameters,
    STATE(2307), 1,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60096] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(875), 1,
      sym_arguments,
    STATE(1651), 1,
      sym_text_interpolation,
    ACTIONS(1929), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60119] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    STATE(858), 1,
      sym_arguments,
    STATE(1652), 1,
      sym_text_interpolation,
    ACTIONS(1925), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60142] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3593), 1,
      anon_sym_DASH,
    STATE(1653), 1,
      sym_text_interpolation,
    STATE(2606), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3591), 2,
      sym_integer,
      sym_name,
    STATE(2716), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [60169] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(799), 1,
      sym_arguments,
    STATE(1654), 1,
      sym_text_interpolation,
    ACTIONS(1929), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60192] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(727), 1,
      sym_arguments,
    STATE(1655), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60215] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_LPAREN,
    STATE(727), 1,
      sym_arguments,
    STATE(1656), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60238] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(3633), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1657), 1,
      sym_text_interpolation,
    STATE(2150), 1,
      sym_namespace_aliasing_clause,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3631), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60265] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3637), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3640), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3635), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1658), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1877), 2,
      sym_case_statement,
      sym_default_statement,
  [60290] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_BSLASHu,
    STATE(1659), 1,
      sym_text_interpolation,
    ACTIONS(1820), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60310] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(1660), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3643), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [60332] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3645), 1,
      sym_name,
    STATE(1661), 1,
      sym_text_interpolation,
    STATE(1985), 1,
      sym_const_element,
    STATE(2585), 1,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60356] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1169), 1,
      sym_compound_statement,
    STATE(1662), 1,
      sym_text_interpolation,
    STATE(1878), 1,
      sym_anonymous_function_use_clause,
    STATE(2396), 1,
      sym__return_type,
  [60384] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3605), 1,
      anon_sym_BSLASHu,
    STATE(1663), 1,
      sym_text_interpolation,
    ACTIONS(3607), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60404] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3601), 1,
      anon_sym_BSLASHu,
    STATE(1664), 1,
      sym_text_interpolation,
    ACTIONS(3603), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60424] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1200), 1,
      sym_compound_statement,
    STATE(1665), 1,
      sym_text_interpolation,
    STATE(1852), 1,
      sym_anonymous_function_use_clause,
    STATE(2528), 1,
      sym__return_type,
  [60452] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1101), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3653), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3655), 1,
      aux_sym_else_clause_token1,
    STATE(1666), 1,
      sym_text_interpolation,
    STATE(1826), 1,
      aux_sym_if_statement_repeat1,
    STATE(2146), 1,
      sym_else_if_clause,
    STATE(2276), 1,
      sym_else_clause,
  [60480] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3659), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3661), 1,
      aux_sym_switch_block_token1,
    STATE(1658), 1,
      aux_sym_switch_block_repeat1,
    STATE(1667), 1,
      sym_text_interpolation,
    STATE(1877), 2,
      sym_case_statement,
      sym_default_statement,
  [60506] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1140), 1,
      sym_compound_statement,
    STATE(1668), 1,
      sym_text_interpolation,
    STATE(1970), 1,
      sym_anonymous_function_use_clause,
    STATE(2319), 1,
      sym__return_type,
  [60534] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3659), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3663), 1,
      anon_sym_RBRACE,
    STATE(1658), 1,
      aux_sym_switch_block_repeat1,
    STATE(1669), 1,
      sym_text_interpolation,
    STATE(1877), 2,
      sym_case_statement,
      sym_default_statement,
  [60560] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3659), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3665), 1,
      anon_sym_RBRACE,
    STATE(1658), 1,
      aux_sym_switch_block_repeat1,
    STATE(1670), 1,
      sym_text_interpolation,
    STATE(1877), 2,
      sym_case_statement,
      sym_default_statement,
  [60586] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1214), 1,
      sym_compound_statement,
    STATE(1671), 1,
      sym_text_interpolation,
    STATE(1870), 1,
      sym_anonymous_function_use_clause,
    STATE(2434), 1,
      sym__return_type,
  [60614] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3667), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3669), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3671), 1,
      aux_sym_else_clause_token1,
    STATE(1672), 1,
      sym_text_interpolation,
    STATE(1710), 1,
      aux_sym_if_statement_repeat2,
    STATE(2277), 1,
      sym_else_if_clause_2,
    STATE(2642), 1,
      sym_else_clause_2,
  [60642] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(488), 1,
      sym_declaration_list,
    STATE(1673), 1,
      sym_text_interpolation,
    STATE(1907), 1,
      sym_base_clause,
    STATE(2439), 1,
      sym_class_interface_clause,
  [60670] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3659), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3675), 1,
      aux_sym_switch_block_token1,
    STATE(1674), 1,
      sym_text_interpolation,
    STATE(1711), 1,
      aux_sym_switch_block_repeat1,
    STATE(1877), 2,
      sym_case_statement,
      sym_default_statement,
  [60696] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3671), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3677), 1,
      aux_sym_if_statement_token2,
    STATE(1675), 1,
      sym_text_interpolation,
    STATE(1793), 1,
      aux_sym_if_statement_repeat2,
    STATE(2277), 1,
      sym_else_if_clause_2,
    STATE(2596), 1,
      sym_else_clause_2,
  [60724] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1810), 1,
      anon_sym_BSLASHu,
    STATE(1676), 1,
      sym_text_interpolation,
    ACTIONS(1808), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60744] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3601), 1,
      anon_sym_BSLASHu,
    STATE(1677), 1,
      sym_text_interpolation,
    ACTIONS(3603), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60764] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3645), 1,
      sym_name,
    STATE(1678), 1,
      sym_text_interpolation,
    STATE(1884), 1,
      sym_const_element,
    STATE(2585), 1,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60788] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(487), 1,
      sym_declaration_list,
    STATE(1679), 1,
      sym_text_interpolation,
    STATE(1917), 1,
      sym_base_clause,
    STATE(2454), 1,
      sym_class_interface_clause,
  [60816] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_BSLASHu,
    STATE(1680), 1,
      sym_text_interpolation,
    ACTIONS(1816), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60836] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1034), 1,
      sym_declaration_list,
    STATE(1681), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym_base_clause,
    STATE(2490), 1,
      sym_class_interface_clause,
  [60864] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1047), 1,
      sym_compound_statement,
    STATE(1682), 1,
      sym_text_interpolation,
    STATE(1837), 1,
      sym_anonymous_function_use_clause,
    STATE(2478), 1,
      sym__return_type,
  [60892] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1049), 1,
      sym_compound_statement,
    STATE(1683), 1,
      sym_text_interpolation,
    STATE(1909), 1,
      sym_anonymous_function_use_clause,
    STATE(2542), 1,
      sym__return_type,
  [60920] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1174), 1,
      sym_compound_statement,
    STATE(1684), 1,
      sym_text_interpolation,
    STATE(1887), 1,
      sym_anonymous_function_use_clause,
    STATE(2428), 1,
      sym__return_type,
  [60948] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1185), 1,
      sym_compound_statement,
    STATE(1685), 1,
      sym_text_interpolation,
    STATE(1865), 1,
      sym_anonymous_function_use_clause,
    STATE(2291), 1,
      sym__return_type,
  [60976] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3645), 1,
      sym_name,
    STATE(1686), 1,
      sym_text_interpolation,
    STATE(1841), 1,
      sym_const_element,
    STATE(2585), 1,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61000] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1810), 1,
      anon_sym_BSLASHu,
    STATE(1687), 1,
      sym_text_interpolation,
    ACTIONS(1808), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61020] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1046), 1,
      sym_compound_statement,
    STATE(1688), 1,
      sym_text_interpolation,
    STATE(1868), 1,
      sym_anonymous_function_use_clause,
    STATE(2467), 1,
      sym__return_type,
  [61048] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3679), 1,
      sym_php_tag,
    ACTIONS(3681), 1,
      aux_sym_text_token1,
    ACTIONS(3683), 1,
      aux_sym_text_token2,
    ACTIONS(3685), 1,
      sym__eof,
    STATE(1689), 1,
      sym_text_interpolation,
    STATE(1830), 1,
      aux_sym_text_repeat1,
    STATE(2296), 1,
      sym_text,
  [61076] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1215), 1,
      sym_compound_statement,
    STATE(1690), 1,
      sym_text_interpolation,
    STATE(1873), 1,
      sym_anonymous_function_use_clause,
    STATE(2513), 1,
      sym__return_type,
  [61104] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_BSLASHu,
    STATE(1691), 1,
      sym_text_interpolation,
    ACTIONS(1816), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61124] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3615), 1,
      anon_sym_BSLASHu,
    STATE(1692), 1,
      sym_text_interpolation,
    ACTIONS(3617), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61144] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3645), 1,
      sym_name,
    STATE(1693), 1,
      sym_text_interpolation,
    STATE(1851), 1,
      sym_const_element,
    STATE(2585), 1,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61168] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1043), 1,
      sym_compound_statement,
    STATE(1694), 1,
      sym_text_interpolation,
    STATE(1876), 1,
      sym_anonymous_function_use_clause,
    STATE(2448), 1,
      sym__return_type,
  [61196] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1695), 1,
      sym_text_interpolation,
    STATE(1779), 1,
      sym_declaration_list,
    STATE(1883), 1,
      sym_base_clause,
    STATE(2440), 1,
      sym_class_interface_clause,
  [61224] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3689), 1,
      anon_sym_BSLASHu,
    STATE(1696), 1,
      sym_text_interpolation,
    ACTIONS(3687), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61244] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(999), 1,
      sym_compound_statement,
    STATE(1697), 1,
      sym_text_interpolation,
    STATE(1937), 1,
      sym_anonymous_function_use_clause,
    STATE(2408), 1,
      sym__return_type,
  [61272] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3615), 1,
      anon_sym_BSLASHu,
    STATE(1698), 1,
      sym_text_interpolation,
    ACTIONS(3617), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61292] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1101), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3691), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3694), 1,
      aux_sym_else_clause_token1,
    STATE(1699), 1,
      sym_text_interpolation,
    STATE(1826), 1,
      aux_sym_if_statement_repeat1,
    STATE(2146), 1,
      sym_else_if_clause,
    STATE(2276), 1,
      sym_else_clause,
  [61320] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_BSLASHu,
    STATE(1700), 1,
      sym_text_interpolation,
    ACTIONS(1820), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61340] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_declaration_list,
    STATE(1701), 1,
      sym_text_interpolation,
    STATE(1928), 1,
      sym_base_clause,
    STATE(2314), 1,
      sym_class_interface_clause,
  [61368] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COMMA,
    ACTIONS(3567), 1,
      anon_sym_LBRACE,
    STATE(1462), 1,
      sym_use_list,
    STATE(1702), 1,
      sym_text_interpolation,
    STATE(1802), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61394] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1109), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3699), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3702), 1,
      aux_sym_else_clause_token1,
    STATE(1699), 1,
      aux_sym_if_statement_repeat1,
    STATE(1703), 1,
      sym_text_interpolation,
    STATE(2146), 1,
      sym_else_if_clause,
    STATE(2147), 1,
      sym_else_clause,
  [61422] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3705), 1,
      anon_sym_SQUOTE,
    ACTIONS(3707), 1,
      aux_sym_string_token2,
    ACTIONS(3709), 1,
      aux_sym_string_content_token1,
    STATE(1704), 1,
      sym_text_interpolation,
    STATE(1731), 1,
      aux_sym_string_repeat1,
    STATE(1863), 1,
      aux_sym_string_content_repeat1,
    STATE(2103), 1,
      sym_string_content,
  [61450] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3645), 1,
      sym_name,
    STATE(1705), 1,
      sym_text_interpolation,
    STATE(2144), 1,
      sym_const_element,
    STATE(2585), 1,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61474] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1706), 1,
      sym_text_interpolation,
    STATE(1788), 1,
      sym_declaration_list,
    STATE(1856), 1,
      sym_base_clause,
    STATE(2501), 1,
      sym_class_interface_clause,
  [61502] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1173), 1,
      sym_compound_statement,
    STATE(1707), 1,
      sym_text_interpolation,
    STATE(1879), 1,
      sym_anonymous_function_use_clause,
    STATE(2483), 1,
      sym__return_type,
  [61530] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3597), 1,
      anon_sym_BSLASHu,
    STATE(1708), 1,
      sym_text_interpolation,
    ACTIONS(3599), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61550] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3707), 1,
      aux_sym_string_token2,
    ACTIONS(3709), 1,
      aux_sym_string_content_token1,
    ACTIONS(3711), 1,
      anon_sym_SQUOTE,
    STATE(1709), 1,
      sym_text_interpolation,
    STATE(1734), 1,
      aux_sym_string_repeat1,
    STATE(1863), 1,
      aux_sym_string_content_repeat1,
    STATE(2103), 1,
      sym_string_content,
  [61578] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3671), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3713), 1,
      aux_sym_if_statement_token2,
    STATE(1710), 1,
      sym_text_interpolation,
    STATE(1793), 1,
      aux_sym_if_statement_repeat2,
    STATE(2277), 1,
      sym_else_if_clause_2,
    STATE(2634), 1,
      sym_else_clause_2,
  [61606] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3659), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3715), 1,
      aux_sym_switch_block_token1,
    STATE(1658), 1,
      aux_sym_switch_block_repeat1,
    STATE(1711), 1,
      sym_text_interpolation,
    STATE(1877), 2,
      sym_case_statement,
      sym_default_statement,
  [61632] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_BSLASHu,
    STATE(1712), 1,
      sym_text_interpolation,
    ACTIONS(3379), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61652] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_declaration_list,
    STATE(1713), 1,
      sym_text_interpolation,
    STATE(1880), 1,
      sym_base_clause,
    STATE(2457), 1,
      sym_class_interface_clause,
  [61680] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1714), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym_declaration_list,
    STATE(1839), 1,
      sym_base_clause,
    STATE(2510), 1,
      sym_class_interface_clause,
  [61708] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_compound_statement,
    STATE(1715), 1,
      sym_text_interpolation,
    STATE(1860), 1,
      sym_anonymous_function_use_clause,
    STATE(2512), 1,
      sym__return_type,
  [61736] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1007), 1,
      sym_compound_statement,
    STATE(1716), 1,
      sym_text_interpolation,
    STATE(1986), 1,
      sym_anonymous_function_use_clause,
    STATE(2339), 1,
      sym__return_type,
  [61764] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3647), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1026), 1,
      sym_compound_statement,
    STATE(1717), 1,
      sym_text_interpolation,
    STATE(1845), 1,
      sym_anonymous_function_use_clause,
    STATE(2515), 1,
      sym__return_type,
  [61792] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(3717), 1,
      anon_sym_COMMA,
    STATE(1718), 1,
      sym_text_interpolation,
    STATE(1927), 1,
      aux_sym_base_clause_repeat1,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3719), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [61818] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COMMA,
    ACTIONS(3567), 1,
      anon_sym_LBRACE,
    STATE(1450), 1,
      sym_use_list,
    STATE(1702), 1,
      aux_sym_base_clause_repeat1,
    STATE(1719), 1,
      sym_text_interpolation,
    ACTIONS(3563), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61844] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1720), 1,
      sym_text_interpolation,
    STATE(1745), 1,
      sym_declaration_list,
    STATE(1972), 1,
      sym_base_clause,
    STATE(2322), 1,
      sym_class_interface_clause,
  [61872] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1172), 1,
      sym_declaration_list,
    STATE(1721), 1,
      sym_text_interpolation,
    STATE(1895), 1,
      sym_base_clause,
    STATE(2303), 1,
      sym_class_interface_clause,
  [61900] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1151), 1,
      sym_declaration_list,
    STATE(1722), 1,
      sym_text_interpolation,
    STATE(1903), 1,
      sym_base_clause,
    STATE(2560), 1,
      sym_class_interface_clause,
  [61928] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3721), 1,
      anon_sym_BSLASHu,
    STATE(1723), 1,
      sym_text_interpolation,
    ACTIONS(3239), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3723), 1,
      anon_sym_BSLASHu,
    STATE(1724), 1,
      sym_text_interpolation,
    ACTIONS(3269), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61968] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3659), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3725), 1,
      aux_sym_switch_block_token1,
    STATE(1667), 1,
      aux_sym_switch_block_repeat1,
    STATE(1725), 1,
      sym_text_interpolation,
    STATE(1877), 2,
      sym_case_statement,
      sym_default_statement,
  [61994] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3659), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3727), 1,
      anon_sym_RBRACE,
    STATE(1669), 1,
      aux_sym_switch_block_repeat1,
    STATE(1726), 1,
      sym_text_interpolation,
    STATE(1877), 2,
      sym_case_statement,
      sym_default_statement,
  [62020] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1037), 1,
      sym_declaration_list,
    STATE(1727), 1,
      sym_text_interpolation,
    STATE(1861), 1,
      sym_base_clause,
    STATE(2462), 1,
      sym_class_interface_clause,
  [62048] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3731), 1,
      anon_sym_BSLASHu,
    STATE(1728), 1,
      sym_text_interpolation,
    ACTIONS(3729), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62068] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3657), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3659), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3733), 1,
      anon_sym_RBRACE,
    STATE(1670), 1,
      aux_sym_switch_block_repeat1,
    STATE(1729), 1,
      sym_text_interpolation,
    STATE(1877), 2,
      sym_case_statement,
      sym_default_statement,
  [62094] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3669), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3671), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3735), 1,
      aux_sym_if_statement_token2,
    STATE(1675), 1,
      aux_sym_if_statement_repeat2,
    STATE(1730), 1,
      sym_text_interpolation,
    STATE(2277), 1,
      sym_else_if_clause_2,
    STATE(2778), 1,
      sym_else_clause_2,
  [62122] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3707), 1,
      aux_sym_string_token2,
    ACTIONS(3709), 1,
      aux_sym_string_content_token1,
    ACTIONS(3737), 1,
      anon_sym_SQUOTE,
    STATE(1731), 1,
      sym_text_interpolation,
    STATE(1737), 1,
      aux_sym_string_repeat1,
    STATE(1863), 1,
      aux_sym_string_content_repeat1,
    STATE(2103), 1,
      sym_string_content,
  [62150] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1109), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3653), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3655), 1,
      aux_sym_else_clause_token1,
    STATE(1666), 1,
      aux_sym_if_statement_repeat1,
    STATE(1732), 1,
      sym_text_interpolation,
    STATE(2146), 1,
      sym_else_if_clause,
    STATE(2147), 1,
      sym_else_clause,
  [62178] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_BSLASHu,
    STATE(1733), 1,
      sym_text_interpolation,
    ACTIONS(3379), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62198] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3707), 1,
      aux_sym_string_token2,
    ACTIONS(3709), 1,
      aux_sym_string_content_token1,
    ACTIONS(3739), 1,
      anon_sym_SQUOTE,
    STATE(1734), 1,
      sym_text_interpolation,
    STATE(1737), 1,
      aux_sym_string_repeat1,
    STATE(1863), 1,
      aux_sym_string_content_repeat1,
    STATE(2103), 1,
      sym_string_content,
  [62226] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3597), 1,
      anon_sym_BSLASHu,
    STATE(1735), 1,
      sym_text_interpolation,
    ACTIONS(3599), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62246] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3605), 1,
      anon_sym_BSLASHu,
    STATE(1736), 1,
      sym_text_interpolation,
    ACTIONS(3607), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62266] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3741), 1,
      anon_sym_SQUOTE,
    ACTIONS(3743), 1,
      aux_sym_string_token2,
    ACTIONS(3746), 1,
      aux_sym_string_content_token1,
    STATE(1863), 1,
      aux_sym_string_content_repeat1,
    STATE(2103), 1,
      sym_string_content,
    STATE(1737), 2,
      sym_text_interpolation,
      aux_sym_string_repeat1,
  [62292] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(1738), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2524), 1,
      sym_arguments,
    ACTIONS(3749), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62318] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3753), 1,
      anon_sym_BSLASH,
    STATE(1739), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3751), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [62337] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3756), 1,
      sym_name,
    ACTIONS(3758), 1,
      anon_sym_LBRACE,
    ACTIONS(3760), 1,
      anon_sym_DOLLAR,
    STATE(1740), 1,
      sym_text_interpolation,
    STATE(1691), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62360] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3762), 1,
      anon_sym_LBRACE,
    ACTIONS(3764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3766), 1,
      anon_sym_DASH_GT,
    ACTIONS(3768), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3770), 1,
      anon_sym_LBRACK,
    STATE(1741), 1,
      sym_text_interpolation,
  [62385] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1728), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3772), 1,
      sym_name,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    STATE(1742), 1,
      sym_text_interpolation,
    STATE(865), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62408] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 1,
      aux_sym_text_token2,
    ACTIONS(3776), 1,
      ts_builtin_sym_end,
    ACTIONS(3778), 1,
      sym_php_tag,
    STATE(1743), 1,
      sym_text_interpolation,
    STATE(1813), 1,
      aux_sym_text_repeat1,
  [62433] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1154), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1744), 1,
      sym_text_interpolation,
    ACTIONS(1152), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62452] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1180), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1745), 1,
      sym_text_interpolation,
    ACTIONS(1178), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3780), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62473] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3782), 1,
      sym_name,
    ACTIONS(3784), 1,
      anon_sym_LBRACE,
    STATE(1746), 1,
      sym_text_interpolation,
    STATE(830), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62496] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3786), 1,
      sym_name,
    ACTIONS(3788), 1,
      anon_sym_BSLASH,
    STATE(564), 1,
      sym_compound_statement,
    STATE(1747), 1,
      sym_text_interpolation,
    STATE(1817), 1,
      sym_namespace_name,
  [62521] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3758), 1,
      anon_sym_LBRACE,
    ACTIONS(3760), 1,
      anon_sym_DOLLAR,
    ACTIONS(3790), 1,
      sym_name,
    STATE(1748), 1,
      sym_text_interpolation,
    STATE(1691), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62544] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3792), 1,
      anon_sym_BSLASH,
    STATE(1749), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3751), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62563] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1172), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1750), 1,
      sym_text_interpolation,
    ACTIONS(1170), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3795), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62584] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1751), 1,
      sym_text_interpolation,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62601] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_PIPE,
    STATE(1752), 1,
      sym_text_interpolation,
    STATE(1822), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3561), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62622] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_BSLASH,
    STATE(1753), 1,
      sym_text_interpolation,
    STATE(1763), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3799), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [62643] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3803), 1,
      anon_sym_AMP,
    ACTIONS(3805), 1,
      anon_sym_RPAREN,
    STATE(1754), 1,
      sym_text_interpolation,
    STATE(2343), 2,
      sym_variable_name,
      sym_variable_reference,
  [62666] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3807), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1755), 1,
      sym_text_interpolation,
    STATE(2112), 1,
      sym_reference_modifier,
    STATE(2116), 1,
      sym_variable_name,
  [62691] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_PIPE,
    STATE(1756), 1,
      sym_text_interpolation,
    STATE(1825), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3485), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62712] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1757), 1,
      sym_text_interpolation,
    ACTIONS(3320), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [62729] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1734), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3811), 1,
      sym_name,
    ACTIONS(3813), 1,
      anon_sym_LBRACE,
    STATE(1758), 1,
      sym_text_interpolation,
    STATE(730), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62752] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3815), 1,
      sym_name,
    ACTIONS(3817), 1,
      anon_sym_LBRACE,
    ACTIONS(3819), 1,
      anon_sym_DOLLAR,
    STATE(1759), 1,
      sym_text_interpolation,
    STATE(1680), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62775] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COLON,
    STATE(1760), 1,
      sym_text_interpolation,
    STATE(2131), 1,
      sym__return_type,
    ACTIONS(3821), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62796] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3825), 1,
      sym_name,
    ACTIONS(3827), 1,
      anon_sym_LBRACE,
    ACTIONS(3829), 1,
      anon_sym_DOLLAR,
    STATE(1761), 1,
      sym_text_interpolation,
    STATE(1644), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62819] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1762), 1,
      sym_text_interpolation,
    ACTIONS(1140), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62838] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_BSLASH,
    STATE(1739), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1763), 1,
      sym_text_interpolation,
    ACTIONS(3831), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [62859] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3833), 1,
      anon_sym_PIPE,
    STATE(1764), 1,
      sym_text_interpolation,
    STATE(1789), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3499), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62880] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3577), 1,
      anon_sym_AMP,
    STATE(1765), 1,
      sym_text_interpolation,
    STATE(1824), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3338), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62901] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3581), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3583), 1,
      aux_sym_finally_clause_token1,
    STATE(1610), 1,
      aux_sym_try_statement_repeat1,
    STATE(1766), 1,
      sym_text_interpolation,
    STATE(1744), 2,
      sym_catch_clause,
      sym_finally_clause,
  [62924] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3833), 1,
      anon_sym_PIPE,
    STATE(1767), 1,
      sym_text_interpolation,
    STATE(1816), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3561), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62945] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_PIPE,
    STATE(1768), 1,
      sym_text_interpolation,
    STATE(1828), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3485), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62966] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3837), 1,
      sym_name,
    STATE(1769), 1,
      sym_text_interpolation,
    STATE(2293), 1,
      sym__reserved_identifier,
    ACTIONS(2680), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [62987] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3827), 1,
      anon_sym_LBRACE,
    ACTIONS(3829), 1,
      anon_sym_DOLLAR,
    ACTIONS(3839), 1,
      sym_name,
    STATE(1770), 1,
      sym_text_interpolation,
    STATE(1644), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63010] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_COLON,
    STATE(1771), 1,
      sym_text_interpolation,
    STATE(2084), 1,
      sym_enum_declaration_list,
    STATE(2300), 1,
      sym_class_interface_clause,
  [63035] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_PIPE,
    STATE(1772), 1,
      sym_text_interpolation,
    STATE(1822), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3550), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63056] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3847), 1,
      anon_sym_EQ,
    STATE(1773), 1,
      sym_text_interpolation,
    STATE(2011), 1,
      sym_property_initializer,
    ACTIONS(3845), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [63077] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1192), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1774), 1,
      sym_text_interpolation,
    ACTIONS(1190), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3849), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63098] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_BSLASH,
    STATE(1775), 1,
      sym_text_interpolation,
    STATE(2073), 1,
      sym_compound_statement,
    ACTIONS(3851), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63121] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(1776), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3643), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [63142] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3762), 1,
      anon_sym_LBRACE,
    ACTIONS(3764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3770), 1,
      anon_sym_LBRACK,
    ACTIONS(3855), 1,
      anon_sym_DASH_GT,
    ACTIONS(3857), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1777), 1,
      sym_text_interpolation,
  [63167] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1778), 1,
      sym_text_interpolation,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3859), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63188] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1228), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1779), 1,
      sym_text_interpolation,
    ACTIONS(1226), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63209] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3863), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3865), 1,
      aux_sym_finally_clause_token1,
    STATE(460), 1,
      aux_sym_try_statement_repeat1,
    STATE(1780), 1,
      sym_text_interpolation,
    STATE(472), 2,
      sym_catch_clause,
      sym_finally_clause,
  [63232] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    ACTIONS(3867), 1,
      anon_sym_COLON,
    STATE(1781), 1,
      sym_text_interpolation,
    STATE(2157), 1,
      sym_enum_declaration_list,
    STATE(2511), 1,
      sym_class_interface_clause,
  [63257] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3869), 1,
      anon_sym_BSLASH,
    STATE(1749), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1782), 1,
      sym_text_interpolation,
    ACTIONS(3831), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63278] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(2676), 1,
      anon_sym_COLON,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1716), 1,
      sym_formal_parameters,
    STATE(1783), 1,
      sym_text_interpolation,
    STATE(2318), 1,
      sym_reference_modifier,
  [63303] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(713), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3872), 1,
      sym_name,
    ACTIONS(3874), 1,
      anon_sym_LBRACE,
    STATE(1784), 1,
      sym_text_interpolation,
    STATE(650), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63326] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(3878), 1,
      anon_sym_DASH_GT,
    ACTIONS(3880), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3882), 1,
      anon_sym_LBRACK,
    STATE(1785), 1,
      sym_text_interpolation,
  [63351] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(2676), 1,
      anon_sym_COLON,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1786), 1,
      sym_text_interpolation,
    STATE(2043), 1,
      sym_formal_parameters,
    STATE(2572), 1,
      sym_reference_modifier,
  [63376] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1160), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1787), 1,
      sym_text_interpolation,
    ACTIONS(1158), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3884), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63397] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1216), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1788), 1,
      sym_text_interpolation,
    ACTIONS(1214), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3886), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63418] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3833), 1,
      anon_sym_PIPE,
    STATE(1789), 1,
      sym_text_interpolation,
    STATE(1816), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3550), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63439] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3888), 1,
      anon_sym_LBRACE,
    ACTIONS(3890), 1,
      anon_sym_DASH_GT,
    ACTIONS(3892), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3894), 1,
      anon_sym_LBRACK,
    STATE(1790), 1,
      sym_text_interpolation,
  [63464] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1791), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3896), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63485] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    ACTIONS(3717), 1,
      anon_sym_COMMA,
    ACTIONS(3898), 1,
      anon_sym_LBRACE,
    STATE(1792), 1,
      sym_text_interpolation,
    STATE(2058), 1,
      aux_sym_base_clause_repeat1,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
  [63510] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3900), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3902), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3905), 1,
      aux_sym_else_clause_token1,
    STATE(2277), 1,
      sym_else_if_clause_2,
    STATE(1793), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [63533] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3907), 1,
      sym_name,
    ACTIONS(3909), 1,
      anon_sym_LBRACE,
    STATE(1794), 1,
      sym_text_interpolation,
    STATE(690), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63556] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3786), 1,
      sym_name,
    ACTIONS(3788), 1,
      anon_sym_BSLASH,
    STATE(1775), 1,
      sym_namespace_name,
    STATE(1795), 1,
      sym_text_interpolation,
    STATE(2057), 1,
      sym_compound_statement,
  [63581] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1796), 1,
      sym_text_interpolation,
    ACTIONS(3314), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [63598] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(3882), 1,
      anon_sym_LBRACK,
    ACTIONS(3911), 1,
      anon_sym_DASH_GT,
    ACTIONS(3913), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1797), 1,
      sym_text_interpolation,
  [63623] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1798), 1,
      sym_text_interpolation,
    ACTIONS(3204), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [63640] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3888), 1,
      anon_sym_LBRACE,
    ACTIONS(3894), 1,
      anon_sym_LBRACK,
    ACTIONS(3915), 1,
      anon_sym_DASH_GT,
    ACTIONS(3917), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1799), 1,
      sym_text_interpolation,
  [63665] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1800), 1,
      sym_text_interpolation,
    ACTIONS(3326), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [63682] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3919), 1,
      anon_sym_LBRACE,
    ACTIONS(3921), 1,
      anon_sym_DASH_GT,
    ACTIONS(3923), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3925), 1,
      anon_sym_LBRACK,
    STATE(1801), 1,
      sym_text_interpolation,
  [63707] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3927), 1,
      anon_sym_COMMA,
    STATE(1802), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3643), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63726] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3930), 1,
      sym_php_tag,
    ACTIONS(3932), 1,
      aux_sym_text_token1,
    ACTIONS(3935), 1,
      aux_sym_text_token2,
    ACTIONS(3938), 1,
      sym__eof,
    STATE(1803), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [63749] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_LBRACE,
    ACTIONS(3819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3940), 1,
      sym_name,
    STATE(1804), 1,
      sym_text_interpolation,
    STATE(1680), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63772] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3876), 1,
      anon_sym_LBRACE,
    ACTIONS(3882), 1,
      anon_sym_LBRACK,
    ACTIONS(3942), 1,
      anon_sym_DASH_GT,
    ACTIONS(3944), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1805), 1,
      sym_text_interpolation,
  [63797] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_DOLLAR,
    ACTIONS(3946), 1,
      sym_name,
    ACTIONS(3948), 1,
      anon_sym_LBRACE,
    STATE(1806), 1,
      sym_text_interpolation,
    STATE(968), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63820] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3950), 1,
      sym_name,
    STATE(1807), 1,
      sym_text_interpolation,
    STATE(2028), 1,
      sym_visibility_modifier,
    ACTIONS(3952), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [63841] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3954), 1,
      anon_sym_LBRACE,
    ACTIONS(3956), 1,
      anon_sym_DASH_GT,
    ACTIONS(3958), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3960), 1,
      anon_sym_LBRACK,
    STATE(1808), 1,
      sym_text_interpolation,
  [63866] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3962), 1,
      anon_sym_LBRACE,
    ACTIONS(3964), 1,
      anon_sym_COLON,
    STATE(592), 1,
      sym_enum_declaration_list,
    STATE(1809), 1,
      sym_text_interpolation,
    STATE(2313), 1,
      sym_class_interface_clause,
  [63891] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3966), 1,
      anon_sym_LBRACE,
    ACTIONS(3968), 1,
      anon_sym_DASH_GT,
    ACTIONS(3970), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3972), 1,
      anon_sym_LBRACK,
    STATE(1810), 1,
      sym_text_interpolation,
  [63916] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3762), 1,
      anon_sym_LBRACE,
    ACTIONS(3764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3770), 1,
      anon_sym_LBRACK,
    ACTIONS(3974), 1,
      anon_sym_DASH_GT,
    ACTIONS(3976), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1811), 1,
      sym_text_interpolation,
  [63941] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3978), 1,
      sym_name,
    STATE(1812), 1,
      sym_text_interpolation,
    STATE(1947), 1,
      sym_namespace_name,
    STATE(2333), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3980), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [63964] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3930), 1,
      sym_php_tag,
    ACTIONS(3938), 1,
      ts_builtin_sym_end,
    ACTIONS(3982), 1,
      aux_sym_text_token1,
    ACTIONS(3985), 1,
      aux_sym_text_token2,
    STATE(1813), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [63987] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3988), 1,
      anon_sym_BSLASH,
    STATE(1782), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1814), 1,
      sym_text_interpolation,
    ACTIONS(3799), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64008] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3991), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1815), 1,
      sym_text_interpolation,
    STATE(2105), 1,
      sym_variable_name,
    STATE(2106), 1,
      sym_reference_modifier,
  [64033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3993), 1,
      anon_sym_PIPE,
    STATE(1816), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3357), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64052] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_BSLASH,
    STATE(543), 1,
      sym_compound_statement,
    STATE(1817), 1,
      sym_text_interpolation,
    ACTIONS(3996), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1131), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1818), 1,
      sym_text_interpolation,
    ACTIONS(1129), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [64094] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1819), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3998), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64115] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3962), 1,
      anon_sym_LBRACE,
    ACTIONS(4000), 1,
      anon_sym_COLON,
    STATE(521), 1,
      sym_enum_declaration_list,
    STATE(1820), 1,
      sym_text_interpolation,
    STATE(2446), 1,
      sym_class_interface_clause,
  [64140] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3803), 1,
      anon_sym_AMP,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    STATE(1821), 1,
      sym_text_interpolation,
    STATE(2343), 2,
      sym_variable_name,
      sym_variable_reference,
  [64163] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_PIPE,
    STATE(1822), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3357), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64182] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1823), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4007), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4009), 1,
      anon_sym_AMP,
    STATE(1824), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3351), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4012), 1,
      anon_sym_PIPE,
    STATE(1825), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3361), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64241] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1133), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1135), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4015), 1,
      aux_sym_else_if_clause_token1,
    STATE(2146), 1,
      sym_else_if_clause,
    STATE(1826), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [64264] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3633), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1827), 1,
      sym_text_interpolation,
    STATE(2150), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3631), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [64285] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_PIPE,
    STATE(1828), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3361), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64304] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1204), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1829), 1,
      sym_text_interpolation,
    ACTIONS(1202), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4021), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64325] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3681), 1,
      aux_sym_text_token1,
    ACTIONS(3683), 1,
      aux_sym_text_token2,
    ACTIONS(3776), 1,
      sym__eof,
    ACTIONS(3778), 1,
      sym_php_tag,
    STATE(1803), 1,
      aux_sym_text_repeat1,
    STATE(1830), 1,
      sym_text_interpolation,
  [64350] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COLON,
    STATE(1831), 1,
      sym_text_interpolation,
    STATE(2161), 1,
      sym__return_type,
    ACTIONS(4023), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64371] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1832), 1,
      sym_text_interpolation,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4025), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64392] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1833), 1,
      sym_text_interpolation,
    ACTIONS(1148), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [64411] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3978), 1,
      sym_name,
    STATE(1834), 1,
      sym_text_interpolation,
    STATE(1947), 1,
      sym_namespace_name,
    STATE(2115), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3980), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [64434] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_PIPE,
    STATE(1772), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1835), 1,
      sym_text_interpolation,
    ACTIONS(3499), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64455] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4029), 1,
      anon_sym_COMMA,
    ACTIONS(4027), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1836), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [64473] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1006), 1,
      sym_compound_statement,
    STATE(1837), 1,
      sym_text_interpolation,
    STATE(2414), 1,
      sym__return_type,
  [64495] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_COMMA,
    ACTIONS(4032), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1838), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [64513] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1774), 1,
      sym_declaration_list,
    STATE(1839), 1,
      sym_text_interpolation,
    STATE(2451), 1,
      sym_class_interface_clause,
  [64535] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4039), 1,
      anon_sym_COMMA,
    STATE(1840), 1,
      sym_text_interpolation,
    STATE(1846), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4037), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64555] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      sym_text_interpolation,
    STATE(1900), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4041), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64575] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    STATE(1838), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1842), 1,
      sym_text_interpolation,
    ACTIONS(4045), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64595] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1843), 1,
      sym_text_interpolation,
    ACTIONS(4049), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64611] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1844), 1,
      sym_text_interpolation,
    ACTIONS(4051), 2,
      sym_php_tag,
      aux_sym_text_token1,
    ACTIONS(4053), 2,
      sym__eof,
      aux_sym_text_token2,
  [64629] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1048), 1,
      sym_compound_statement,
    STATE(1845), 1,
      sym_text_interpolation,
    STATE(2473), 1,
      sym__return_type,
  [64651] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_COMMA,
    ACTIONS(4055), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1846), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [64669] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1847), 1,
      sym_text_interpolation,
    ACTIONS(3351), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [64685] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1848), 1,
      sym_text_interpolation,
    ACTIONS(4049), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64701] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4060), 1,
      anon_sym_AMP,
    ACTIONS(3351), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1849), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [64719] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4065), 1,
      anon_sym_COMMA,
    ACTIONS(4063), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1850), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [64737] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1851), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4068), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64757] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1132), 1,
      sym_compound_statement,
    STATE(1852), 1,
      sym_text_interpolation,
    STATE(2309), 1,
      sym__return_type,
  [64779] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1853), 1,
      sym_text_interpolation,
    STATE(1901), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4070), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64799] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1854), 1,
      sym_text_interpolation,
    ACTIONS(4072), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64819] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1855), 1,
      sym_text_interpolation,
    STATE(1913), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4074), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64839] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1787), 1,
      sym_declaration_list,
    STATE(1856), 1,
      sym_text_interpolation,
    STATE(2435), 1,
      sym_class_interface_clause,
  [64861] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1034), 1,
      sym_declaration_list,
    STATE(1857), 1,
      sym_text_interpolation,
    STATE(2490), 1,
      sym_class_interface_clause,
  [64883] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1858), 1,
      sym_text_interpolation,
    STATE(2118), 1,
      sym_formal_parameters,
    STATE(2449), 1,
      sym_reference_modifier,
  [64905] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1707), 1,
      sym_formal_parameters,
    STATE(1859), 1,
      sym_text_interpolation,
    STATE(2445), 1,
      sym_reference_modifier,
  [64927] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1044), 1,
      sym_compound_statement,
    STATE(1860), 1,
      sym_text_interpolation,
    STATE(2405), 1,
      sym__return_type,
  [64949] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1013), 1,
      sym_declaration_list,
    STATE(1861), 1,
      sym_text_interpolation,
    STATE(2491), 1,
      sym_class_interface_clause,
  [64971] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(588), 1,
      sym_declaration_list,
    STATE(1862), 1,
      sym_text_interpolation,
    STATE(2311), 1,
      sym_base_clause,
  [64993] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3709), 1,
      aux_sym_string_content_token1,
    STATE(1863), 1,
      sym_text_interpolation,
    STATE(1973), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(4078), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [65013] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1019), 1,
      sym_declaration_list,
    STATE(1864), 1,
      sym_text_interpolation,
    STATE(2422), 1,
      sym_class_interface_clause,
  [65035] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1166), 1,
      sym_compound_statement,
    STATE(1865), 1,
      sym_text_interpolation,
    STATE(2423), 1,
      sym__return_type,
  [65057] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    STATE(1838), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1866), 1,
      sym_text_interpolation,
    ACTIONS(4080), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65077] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1671), 1,
      sym_formal_parameters,
    STATE(1867), 1,
      sym_text_interpolation,
    STATE(2431), 1,
      sym_reference_modifier,
  [65099] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1002), 1,
      sym_compound_statement,
    STATE(1868), 1,
      sym_text_interpolation,
    STATE(2412), 1,
      sym__return_type,
  [65121] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    STATE(1869), 1,
      sym_text_interpolation,
    STATE(2275), 1,
      sym_enum_declaration_list,
    STATE(2411), 1,
      sym_class_interface_clause,
  [65143] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1210), 1,
      sym_compound_statement,
    STATE(1870), 1,
      sym_text_interpolation,
    STATE(2498), 1,
      sym__return_type,
  [65165] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4039), 1,
      anon_sym_COMMA,
    STATE(1840), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1871), 1,
      sym_text_interpolation,
    ACTIONS(4082), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65185] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_EQ,
    STATE(1872), 1,
      sym_text_interpolation,
    ACTIONS(4084), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65203] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1136), 1,
      sym_compound_statement,
    STATE(1873), 1,
      sym_text_interpolation,
    STATE(2315), 1,
      sym__return_type,
  [65225] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_COMMA,
    STATE(1874), 1,
      sym_text_interpolation,
    STATE(1894), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4088), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65245] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3962), 1,
      anon_sym_LBRACE,
    STATE(559), 1,
      sym_enum_declaration_list,
    STATE(1875), 1,
      sym_text_interpolation,
    STATE(2316), 1,
      sym_class_interface_clause,
  [65267] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(995), 1,
      sym_compound_statement,
    STATE(1876), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      sym__return_type,
  [65289] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1877), 1,
      sym_text_interpolation,
    ACTIONS(4092), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [65305] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1205), 1,
      sym_compound_statement,
    STATE(1878), 1,
      sym_text_interpolation,
    STATE(2527), 1,
      sym__return_type,
  [65327] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1143), 1,
      sym_compound_statement,
    STATE(1879), 1,
      sym_text_interpolation,
    STATE(2321), 1,
      sym__return_type,
  [65349] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_declaration_list,
    STATE(1880), 1,
      sym_text_interpolation,
    STATE(2325), 1,
      sym_class_interface_clause,
  [65371] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1881), 1,
      sym_text_interpolation,
    ACTIONS(4094), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65391] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4098), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1882), 1,
      sym_text_interpolation,
    STATE(2330), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(4096), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [65411] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1829), 1,
      sym_declaration_list,
    STATE(1883), 1,
      sym_text_interpolation,
    STATE(2403), 1,
      sym_class_interface_clause,
  [65433] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1881), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1884), 1,
      sym_text_interpolation,
    ACTIONS(4100), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65453] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    STATE(1842), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1885), 1,
      sym_text_interpolation,
    ACTIONS(4102), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65473] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1886), 1,
      sym_text_interpolation,
    ACTIONS(4104), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65493] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1181), 1,
      sym_compound_statement,
    STATE(1887), 1,
      sym_text_interpolation,
    STATE(2505), 1,
      sym__return_type,
  [65515] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    STATE(1888), 1,
      sym_text_interpolation,
    STATE(1954), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4106), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65535] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3803), 1,
      anon_sym_AMP,
    STATE(1889), 1,
      sym_text_interpolation,
    STATE(2079), 2,
      sym_variable_name,
      sym_variable_reference,
  [65555] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    STATE(1890), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      sym_enum_declaration_list,
    STATE(2497), 1,
      sym_class_interface_clause,
  [65577] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1717), 1,
      sym_formal_parameters,
    STATE(1891), 1,
      sym_text_interpolation,
    STATE(2416), 1,
      sym_reference_modifier,
  [65599] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(3803), 1,
      anon_sym_AMP,
    STATE(1892), 1,
      sym_text_interpolation,
    STATE(2343), 2,
      sym_variable_name,
      sym_variable_reference,
  [65619] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    STATE(1838), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1893), 1,
      sym_text_interpolation,
    ACTIONS(4102), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65639] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1894), 1,
      sym_text_interpolation,
    ACTIONS(4110), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65659] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1150), 1,
      sym_declaration_list,
    STATE(1895), 1,
      sym_text_interpolation,
    STATE(2547), 1,
      sym_class_interface_clause,
  [65681] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1896), 1,
      sym_text_interpolation,
    ACTIONS(4051), 2,
      sym_php_tag,
      aux_sym_text_token1,
    ACTIONS(4053), 2,
      ts_builtin_sym_end,
      aux_sym_text_token2,
  [65699] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1897), 1,
      sym_text_interpolation,
    ACTIONS(4112), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65719] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1898), 1,
      sym_text_interpolation,
    ACTIONS(3643), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [65735] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1899), 1,
      sym_text_interpolation,
    ACTIONS(3334), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [65751] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1900), 1,
      sym_text_interpolation,
    ACTIONS(4114), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65771] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1901), 1,
      sym_text_interpolation,
    ACTIONS(4074), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65791] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1902), 1,
      sym_text_interpolation,
    ACTIONS(4116), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [65807] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1184), 1,
      sym_declaration_list,
    STATE(1903), 1,
      sym_text_interpolation,
    STATE(2284), 1,
      sym_class_interface_clause,
  [65829] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4120), 1,
      sym_nowdoc_string,
    ACTIONS(4118), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1904), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [65847] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1905), 1,
      sym_text_interpolation,
    ACTIONS(4123), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65867] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3062), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4125), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1906), 1,
      sym_text_interpolation,
    STATE(2323), 1,
      sym_static_modifier,
  [65889] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_declaration_list,
    STATE(1907), 1,
      sym_text_interpolation,
    STATE(2492), 1,
      sym_class_interface_clause,
  [65911] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_EQ,
    ACTIONS(4129), 1,
      anon_sym_RPAREN,
    STATE(1908), 1,
      sym_text_interpolation,
    STATE(2204), 1,
      aux_sym__list_destructing_repeat1,
  [65933] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1029), 1,
      sym_compound_statement,
    STATE(1909), 1,
      sym_text_interpolation,
    STATE(2499), 1,
      sym__return_type,
  [65955] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1910), 1,
      sym_text_interpolation,
    ACTIONS(4131), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [65971] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1694), 1,
      sym_formal_parameters,
    STATE(1911), 1,
      sym_text_interpolation,
    STATE(2443), 1,
      sym_reference_modifier,
  [65993] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1912), 1,
      sym_text_interpolation,
    ACTIONS(4116), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66009] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1913), 1,
      sym_text_interpolation,
    ACTIONS(4133), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66029] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    STATE(1914), 1,
      sym_text_interpolation,
    STATE(1958), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4135), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66049] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1915), 1,
      sym_text_interpolation,
    ACTIONS(4137), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66065] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_PIPE,
    STATE(1916), 1,
      sym_text_interpolation,
    STATE(1961), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4139), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [66085] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(474), 1,
      sym_declaration_list,
    STATE(1917), 1,
      sym_text_interpolation,
    STATE(2456), 1,
      sym_class_interface_clause,
  [66107] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1918), 1,
      sym_text_interpolation,
    STATE(2735), 1,
      sym_declare_directive,
    ACTIONS(4143), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [66125] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_COLON,
    ACTIONS(3788), 1,
      anon_sym_BSLASH,
    ACTIONS(4145), 1,
      sym_name,
    STATE(1919), 1,
      sym_text_interpolation,
    STATE(2583), 1,
      sym_namespace_name,
  [66147] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1854), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1920), 1,
      sym_text_interpolation,
    ACTIONS(4147), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66167] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1921), 1,
      sym_text_interpolation,
    ACTIONS(4149), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [66183] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4151), 1,
      anon_sym_SEMI,
    ACTIONS(4153), 1,
      sym__automatic_semicolon,
    STATE(1453), 1,
      sym_compound_statement,
    STATE(1922), 1,
      sym_text_interpolation,
  [66205] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4155), 1,
      anon_sym_SEMI,
    ACTIONS(4157), 1,
      sym__automatic_semicolon,
    STATE(1452), 1,
      sym_compound_statement,
    STATE(1923), 1,
      sym_text_interpolation,
  [66227] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1924), 1,
      sym_text_interpolation,
    STATE(2022), 1,
      sym_formal_parameters,
    STATE(2530), 1,
      sym_reference_modifier,
  [66249] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    STATE(1925), 1,
      sym_text_interpolation,
    STATE(1954), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4159), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66269] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    STATE(1926), 1,
      sym_text_interpolation,
    STATE(1953), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4161), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66289] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3717), 1,
      anon_sym_COMMA,
    STATE(1927), 1,
      sym_text_interpolation,
    STATE(1930), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(4163), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [66309] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(476), 1,
      sym_declaration_list,
    STATE(1928), 1,
      sym_text_interpolation,
    STATE(2348), 1,
      sym_class_interface_clause,
  [66331] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1151), 1,
      sym_declaration_list,
    STATE(1929), 1,
      sym_text_interpolation,
    STATE(2560), 1,
      sym_class_interface_clause,
  [66353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4165), 1,
      anon_sym_COMMA,
    ACTIONS(3643), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1930), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [66371] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_COMMA,
    STATE(1931), 1,
      sym_text_interpolation,
    STATE(1979), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4168), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66391] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4039), 1,
      anon_sym_COMMA,
    STATE(1932), 1,
      sym_text_interpolation,
    STATE(1980), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4170), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66411] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3717), 1,
      anon_sym_COMMA,
    STATE(1927), 1,
      aux_sym_base_clause_repeat1,
    STATE(1933), 1,
      sym_text_interpolation,
    ACTIONS(3719), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [66431] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      sym_text_interpolation,
    STATE(1983), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4172), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66451] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1935), 1,
      sym_text_interpolation,
    ACTIONS(3751), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [66467] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2716), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3062), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4174), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1936), 1,
      sym_text_interpolation,
    STATE(2366), 1,
      sym_static_modifier,
  [66489] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(985), 1,
      sym_compound_statement,
    STATE(1937), 1,
      sym_text_interpolation,
    STATE(2388), 1,
      sym__return_type,
  [66511] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1938), 1,
      sym_text_interpolation,
    STATE(1984), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4176), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66531] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1939), 1,
      sym_text_interpolation,
    STATE(2667), 1,
      sym_declare_directive,
    ACTIONS(4143), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [66549] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_SEMI,
    ACTIONS(4180), 1,
      sym__automatic_semicolon,
    STATE(1463), 1,
      sym_compound_statement,
    STATE(1940), 1,
      sym_text_interpolation,
  [66571] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1941), 1,
      sym_text_interpolation,
    STATE(2083), 1,
      sym_declaration_list,
    STATE(2297), 1,
      sym_base_clause,
  [66593] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    STATE(1925), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1942), 1,
      sym_text_interpolation,
    ACTIONS(4182), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66613] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_SEMI,
    ACTIONS(4186), 1,
      sym__automatic_semicolon,
    STATE(1455), 1,
      sym_compound_statement,
    STATE(1943), 1,
      sym_text_interpolation,
  [66635] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1685), 1,
      sym_formal_parameters,
    STATE(1944), 1,
      sym_text_interpolation,
    STATE(2329), 1,
      sym_reference_modifier,
  [66657] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3962), 1,
      anon_sym_LBRACE,
    STATE(614), 1,
      sym_enum_declaration_list,
    STATE(1945), 1,
      sym_text_interpolation,
    STATE(2529), 1,
      sym_class_interface_clause,
  [66679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_PIPE,
    ACTIONS(4188), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
    STATE(1946), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [66697] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4098), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1947), 1,
      sym_text_interpolation,
    STATE(2452), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(4193), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [66717] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1948), 1,
      sym_text_interpolation,
    ACTIONS(3361), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66733] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4195), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4197), 1,
      sym__new_line,
    ACTIONS(4199), 1,
      sym_heredoc_end,
    STATE(1949), 1,
      sym_text_interpolation,
    STATE(2518), 1,
      sym_heredoc_body,
  [66755] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1950), 1,
      sym_text_interpolation,
    ACTIONS(4137), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [66771] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1951), 1,
      sym_text_interpolation,
    ACTIONS(1874), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [66787] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1952), 1,
      sym_text_interpolation,
    ACTIONS(3357), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66803] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    STATE(1953), 1,
      sym_text_interpolation,
    STATE(1954), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66823] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_COMMA,
    ACTIONS(4203), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1954), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
  [66841] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1955), 1,
      sym_text_interpolation,
    STATE(2043), 1,
      sym_formal_parameters,
    STATE(2572), 1,
      sym_reference_modifier,
  [66863] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    STATE(1888), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1956), 1,
      sym_text_interpolation,
    ACTIONS(4208), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66883] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_text_interpolation,
    STATE(2055), 1,
      sym_formal_parameters,
    STATE(2563), 1,
      sym_reference_modifier,
  [66905] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    STATE(1954), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1958), 1,
      sym_text_interpolation,
    ACTIONS(4210), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66925] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1959), 1,
      sym_text_interpolation,
    ACTIONS(4149), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66941] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4197), 1,
      sym__new_line,
    ACTIONS(4212), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4214), 1,
      sym_heredoc_end,
    STATE(1960), 1,
      sym_text_interpolation,
    STATE(2382), 1,
      sym_heredoc_body,
  [66963] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_PIPE,
    STATE(1946), 1,
      aux_sym_type_list_repeat1,
    STATE(1961), 1,
      sym_text_interpolation,
    ACTIONS(4216), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [66983] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1715), 1,
      sym_formal_parameters,
    STATE(1962), 1,
      sym_text_interpolation,
    STATE(2342), 1,
      sym_reference_modifier,
  [67005] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym_AMP,
    STATE(1849), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1963), 1,
      sym_text_interpolation,
    ACTIONS(3338), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [67025] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1037), 1,
      sym_declaration_list,
    STATE(1964), 1,
      sym_text_interpolation,
    STATE(2462), 1,
      sym_class_interface_clause,
  [67047] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1172), 1,
      sym_declaration_list,
    STATE(1965), 1,
      sym_text_interpolation,
    STATE(2303), 1,
      sym_class_interface_clause,
  [67069] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1662), 1,
      sym_formal_parameters,
    STATE(1966), 1,
      sym_text_interpolation,
    STATE(2534), 1,
      sym_reference_modifier,
  [67091] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1967), 1,
      sym_text_interpolation,
    STATE(2580), 1,
      sym_declare_directive,
    ACTIONS(4143), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [67109] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1716), 1,
      sym_formal_parameters,
    STATE(1968), 1,
      sym_text_interpolation,
    STATE(2318), 1,
      sym_reference_modifier,
  [67131] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4197), 1,
      sym__new_line,
    ACTIONS(4221), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4223), 1,
      sym_heredoc_end,
    STATE(1969), 1,
      sym_text_interpolation,
    STATE(2395), 1,
      sym_heredoc_body,
  [67153] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1225), 1,
      sym_compound_statement,
    STATE(1970), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      sym__return_type,
  [67175] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1971), 1,
      sym_text_interpolation,
    ACTIONS(3751), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [67191] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    ACTIONS(3573), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1819), 1,
      sym_declaration_list,
    STATE(1972), 1,
      sym_text_interpolation,
    STATE(2573), 1,
      sym_class_interface_clause,
  [67213] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4227), 1,
      aux_sym_string_content_token1,
    ACTIONS(4225), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
    STATE(1973), 2,
      sym_text_interpolation,
      aux_sym_string_content_repeat1,
  [67231] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4232), 1,
      sym_nowdoc_string,
    STATE(1904), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(1974), 1,
      sym_text_interpolation,
    ACTIONS(4230), 2,
      sym_heredoc_end,
      sym__new_line,
  [67251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1975), 1,
      sym_text_interpolation,
    STATE(2702), 1,
      sym_declare_directive,
    ACTIONS(4143), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [67269] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4197), 1,
      sym__new_line,
    ACTIONS(4234), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4236), 1,
      sym_heredoc_end,
    STATE(1976), 1,
      sym_text_interpolation,
    STATE(2364), 1,
      sym_heredoc_body,
  [67291] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1977), 1,
      sym_text_interpolation,
    ACTIONS(3368), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [67307] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1978), 1,
      sym_text_interpolation,
    ACTIONS(4238), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [67323] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_COMMA,
    STATE(1850), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1979), 1,
      sym_text_interpolation,
    ACTIONS(4240), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67343] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4039), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1980), 1,
      sym_text_interpolation,
    ACTIONS(4242), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67363] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1981), 1,
      sym_text_interpolation,
    ACTIONS(4244), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67383] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(1982), 1,
      sym_text_interpolation,
    STATE(2524), 1,
      sym_arguments,
    ACTIONS(3749), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [67403] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    STATE(1838), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1983), 1,
      sym_text_interpolation,
    ACTIONS(4244), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67423] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1984), 1,
      sym_text_interpolation,
    ACTIONS(4147), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67443] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(1905), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1985), 1,
      sym_text_interpolation,
    ACTIONS(4246), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67463] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    STATE(1020), 1,
      sym_compound_statement,
    STATE(1986), 1,
      sym_text_interpolation,
    STATE(2561), 1,
      sym__return_type,
  [67485] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1987), 1,
      sym_text_interpolation,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67502] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(915), 1,
      anon_sym_RPAREN,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_COMMA,
    STATE(1988), 1,
      sym_text_interpolation,
    STATE(2033), 1,
      aux_sym_arguments_repeat1,
  [67521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2712), 1,
      anon_sym_EQ_GT,
    ACTIONS(4250), 1,
      anon_sym_COMMA,
    STATE(1989), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [67538] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1990), 1,
      sym_text_interpolation,
    ACTIONS(4253), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [67553] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4255), 1,
      anon_sym_RPAREN,
    STATE(1991), 1,
      sym_text_interpolation,
    STATE(2196), 1,
      aux_sym__list_destructing_repeat1,
  [67572] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_COMMA,
    ACTIONS(4259), 1,
      anon_sym_RPAREN,
    STATE(1992), 1,
      sym_text_interpolation,
    STATE(2035), 1,
      aux_sym_formal_parameters_repeat1,
  [67591] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1993), 1,
      sym_text_interpolation,
    ACTIONS(4261), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [67606] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1994), 1,
      sym_text_interpolation,
    STATE(1871), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67623] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_RPAREN,
    STATE(1995), 1,
      sym_text_interpolation,
    STATE(2196), 1,
      aux_sym__list_destructing_repeat1,
  [67642] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1996), 1,
      sym_text_interpolation,
    ACTIONS(4265), 3,
      sym_heredoc_end,
      sym_nowdoc_string,
      sym__new_line,
  [67657] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_DOLLAR,
    STATE(1773), 1,
      sym_variable_name,
    STATE(1956), 1,
      sym_property_element,
    STATE(1997), 1,
      sym_text_interpolation,
  [67676] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4269), 1,
      aux_sym_else_clause_token1,
    STATE(1998), 1,
      sym_text_interpolation,
    ACTIONS(4267), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [67693] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_COMMA,
    ACTIONS(4274), 1,
      anon_sym_RBRACE,
    STATE(1999), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_group_repeat1,
  [67710] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4278), 1,
      anon_sym_EQ,
    STATE(2000), 1,
      sym_text_interpolation,
    ACTIONS(4276), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67727] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4280), 1,
      anon_sym_COMMA,
    ACTIONS(4282), 1,
      anon_sym_RPAREN,
    STATE(2001), 1,
      sym_text_interpolation,
    STATE(2045), 1,
      aux_sym_array_creation_expression_repeat1,
  [67746] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_COMMA,
    ACTIONS(4287), 1,
      anon_sym_RPAREN,
    STATE(2002), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [67763] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2003), 1,
      sym_text_interpolation,
    ACTIONS(4203), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [67778] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4197), 1,
      sym__new_line,
    ACTIONS(4289), 1,
      sym_heredoc_end,
    STATE(2004), 1,
      sym_text_interpolation,
    STATE(2363), 1,
      sym_heredoc_body,
  [67797] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_COMMA,
    ACTIONS(4294), 1,
      anon_sym_RPAREN,
    STATE(2005), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [67814] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    STATE(2006), 1,
      sym_text_interpolation,
    ACTIONS(4296), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67831] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_COMMA,
    ACTIONS(4302), 1,
      anon_sym_RBRACK,
    STATE(2007), 1,
      sym_text_interpolation,
    STATE(2013), 1,
      aux_sym_array_creation_expression_repeat1,
  [67850] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2008), 1,
      sym_text_interpolation,
    ACTIONS(4188), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [67865] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_EQ,
    STATE(2009), 1,
      sym_text_interpolation,
    ACTIONS(4304), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67882] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2010), 1,
      sym_text_interpolation,
    ACTIONS(3643), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [67897] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2011), 1,
      sym_text_interpolation,
    ACTIONS(4308), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [67912] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_LBRACE,
    ACTIONS(4312), 1,
      anon_sym_COLON,
    STATE(2012), 1,
      sym_text_interpolation,
    STATE(2102), 1,
      sym_switch_block,
  [67931] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(923), 1,
      anon_sym_RBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4314), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      sym_text_interpolation,
    STATE(2191), 1,
      aux_sym_array_creation_expression_repeat1,
  [67950] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_DOLLAR,
    STATE(1773), 1,
      sym_variable_name,
    STATE(2003), 1,
      sym_property_element,
    STATE(2014), 1,
      sym_text_interpolation,
  [67969] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_DQUOTE,
    ACTIONS(4318), 1,
      anon_sym_SQUOTE,
    ACTIONS(4320), 1,
      sym_heredoc_start,
    STATE(2015), 1,
      sym_text_interpolation,
  [67988] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4197), 1,
      sym__new_line,
    ACTIONS(4322), 1,
      sym_heredoc_end,
    STATE(2016), 1,
      sym_text_interpolation,
    STATE(2520), 1,
      sym_heredoc_body,
  [68007] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2017), 1,
      sym_text_interpolation,
    ACTIONS(4324), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [68022] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2018), 1,
      sym_text_interpolation,
    ACTIONS(4326), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [68037] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_RPAREN,
    ACTIONS(4328), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2019), 1,
      sym_text_interpolation,
  [68056] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_COMMA,
    ACTIONS(4333), 1,
      anon_sym_RBRACE,
    STATE(2020), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [68073] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4335), 1,
      anon_sym_COMMA,
    ACTIONS(4337), 1,
      anon_sym_RPAREN,
    STATE(2021), 1,
      sym_text_interpolation,
    STATE(2071), 1,
      aux_sym_arguments_repeat1,
  [68092] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    ACTIONS(4339), 1,
      anon_sym_EQ_GT,
    STATE(2022), 1,
      sym_text_interpolation,
    STATE(2641), 1,
      sym__return_type,
  [68111] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4343), 1,
      anon_sym_EQ,
    STATE(2023), 1,
      sym_text_interpolation,
    ACTIONS(4341), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68128] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_EQ,
    STATE(2024), 1,
      sym_text_interpolation,
    ACTIONS(4345), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68145] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    STATE(2025), 1,
      sym_text_interpolation,
    ACTIONS(4349), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68162] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4355), 1,
      anon_sym_EQ,
    STATE(2026), 1,
      sym_text_interpolation,
    ACTIONS(4353), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68179] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4357), 1,
      anon_sym_COMMA,
    ACTIONS(4359), 1,
      anon_sym_RBRACE,
    STATE(1999), 1,
      aux_sym_namespace_use_group_repeat1,
    STATE(2027), 1,
      sym_text_interpolation,
  [68198] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4361), 1,
      sym_name,
    STATE(2028), 1,
      sym_text_interpolation,
    ACTIONS(4363), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68215] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    ACTIONS(4365), 1,
      anon_sym_EQ_GT,
    STATE(2029), 1,
      sym_text_interpolation,
    STATE(2749), 1,
      sym__return_type,
  [68234] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_BSLASH,
    ACTIONS(4145), 1,
      sym_name,
    STATE(2030), 1,
      sym_text_interpolation,
    STATE(2583), 1,
      sym_namespace_name,
  [68253] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2031), 1,
      sym_text_interpolation,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68270] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2032), 1,
      sym_text_interpolation,
    ACTIONS(3030), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [68285] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    ACTIONS(4370), 1,
      anon_sym_RPAREN,
    STATE(2033), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [68302] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_COLON,
    ACTIONS(4372), 1,
      anon_sym_LPAREN,
    STATE(2034), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      sym_parenthesized_expression,
  [68321] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2019), 1,
      anon_sym_RPAREN,
    ACTIONS(4374), 1,
      anon_sym_COMMA,
    STATE(2035), 1,
      sym_text_interpolation,
    STATE(2111), 1,
      aux_sym_formal_parameters_repeat1,
  [68340] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2036), 1,
      sym_text_interpolation,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2037), 1,
      sym_text_interpolation,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68374] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2038), 1,
      sym_text_interpolation,
    ACTIONS(4376), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [68389] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2039), 1,
      sym_text_interpolation,
    ACTIONS(4378), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [68404] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4382), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_text_interpolation,
    ACTIONS(4380), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68421] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4384), 1,
      anon_sym_COMMA,
    ACTIONS(4386), 1,
      anon_sym_RPAREN,
    STATE(2041), 1,
      sym_text_interpolation,
    STATE(2153), 1,
      aux_sym_arguments_repeat1,
  [68440] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_RPAREN,
    STATE(1991), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2042), 1,
      sym_text_interpolation,
  [68459] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    ACTIONS(4388), 1,
      anon_sym_EQ_GT,
    STATE(2043), 1,
      sym_text_interpolation,
    STATE(2753), 1,
      sym__return_type,
  [68478] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_RBRACK,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    STATE(2044), 1,
      sym_text_interpolation,
    STATE(2188), 1,
      aux_sym_attribute_group_repeat1,
  [68497] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(921), 1,
      anon_sym_RPAREN,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4392), 1,
      anon_sym_COMMA,
    STATE(2005), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2045), 1,
      sym_text_interpolation,
  [68516] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4394), 1,
      anon_sym_RPAREN,
    STATE(1995), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2046), 1,
      sym_text_interpolation,
  [68535] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2047), 1,
      sym_text_interpolation,
    ACTIONS(3471), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68550] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1650), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(1648), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68567] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1622), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2049), 1,
      sym_text_interpolation,
    ACTIONS(1620), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68584] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1598), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2050), 1,
      sym_text_interpolation,
    ACTIONS(1596), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68601] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1594), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2051), 1,
      sym_text_interpolation,
    ACTIONS(1592), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68618] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1071), 1,
      anon_sym_EQ_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    STATE(1989), 1,
      aux_sym_match_condition_list_repeat1,
    STATE(2052), 1,
      sym_text_interpolation,
  [68637] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(960), 1,
      anon_sym_RBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4398), 1,
      anon_sym_COMMA,
    STATE(2020), 1,
      aux_sym_match_block_repeat1,
    STATE(2053), 1,
      sym_text_interpolation,
  [68656] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_COMMA,
    ACTIONS(4402), 1,
      anon_sym_RBRACE,
    STATE(2054), 1,
      sym_text_interpolation,
    STATE(2101), 1,
      aux_sym_match_block_repeat1,
  [68675] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    ACTIONS(4404), 1,
      anon_sym_EQ_GT,
    STATE(2055), 1,
      sym_text_interpolation,
    STATE(2668), 1,
      sym__return_type,
  [68694] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(4406), 1,
      anon_sym_RPAREN,
    STATE(2056), 1,
      sym_text_interpolation,
    STATE(2730), 1,
      sym_variable_name,
  [68713] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2057), 1,
      sym_text_interpolation,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68730] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3717), 1,
      anon_sym_COMMA,
    ACTIONS(4408), 1,
      anon_sym_LBRACE,
    STATE(1930), 1,
      aux_sym_base_clause_repeat1,
    STATE(2058), 1,
      sym_text_interpolation,
  [68749] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2059), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68766] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4412), 1,
      anon_sym_EQ,
    STATE(2060), 1,
      sym_text_interpolation,
    ACTIONS(4410), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2061), 1,
      sym_text_interpolation,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1582), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2062), 1,
      sym_text_interpolation,
    ACTIONS(1580), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68817] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_DOLLAR,
    STATE(1773), 1,
      sym_variable_name,
    STATE(1926), 1,
      sym_property_element,
    STATE(2063), 1,
      sym_text_interpolation,
  [68836] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2064), 1,
      sym_text_interpolation,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68853] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2065), 1,
      sym_text_interpolation,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68870] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2066), 1,
      sym_text_interpolation,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68887] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4197), 1,
      sym__new_line,
    ACTIONS(4414), 1,
      sym_heredoc_end,
    STATE(2067), 1,
      sym_text_interpolation,
    STATE(2487), 1,
      sym_heredoc_body,
  [68906] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4416), 1,
      anon_sym_LBRACE,
    ACTIONS(4418), 1,
      anon_sym_COLON,
    STATE(589), 1,
      sym_switch_block,
    STATE(2068), 1,
      sym_text_interpolation,
  [68925] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4420), 1,
      sym__new_line,
    ACTIONS(4422), 1,
      sym_heredoc_end,
    STATE(2069), 1,
      sym_text_interpolation,
    STATE(2481), 1,
      sym_nowdoc_body,
  [68944] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_COMMA,
    ACTIONS(4427), 1,
      anon_sym_RBRACK,
    STATE(2070), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [68961] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(913), 1,
      anon_sym_RPAREN,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_COMMA,
    STATE(2033), 1,
      aux_sym_arguments_repeat1,
    STATE(2071), 1,
      sym_text_interpolation,
  [68980] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2072), 1,
      sym_text_interpolation,
    ACTIONS(4063), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68995] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1426), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2073), 1,
      sym_text_interpolation,
    ACTIONS(1424), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69012] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2074), 1,
      sym_text_interpolation,
    ACTIONS(4055), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69027] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2075), 1,
      sym_text_interpolation,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69044] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1550), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2076), 1,
      sym_text_interpolation,
    ACTIONS(1548), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69061] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4431), 1,
      sym_name,
    ACTIONS(4433), 1,
      anon_sym_LBRACE,
    STATE(2077), 1,
      sym_text_interpolation,
    STATE(2460), 1,
      sym_namespace_use_group,
  [69080] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4433), 1,
      anon_sym_LBRACE,
    ACTIONS(4435), 1,
      sym_name,
    STATE(2078), 1,
      sym_text_interpolation,
    STATE(2460), 1,
      sym_namespace_use_group,
  [69099] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4437), 1,
      anon_sym_COMMA,
    ACTIONS(4439), 1,
      anon_sym_RPAREN,
    STATE(2019), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2079), 1,
      sym_text_interpolation,
  [69118] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2080), 1,
      sym_text_interpolation,
    ACTIONS(4441), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1574), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2081), 1,
      sym_text_interpolation,
    ACTIONS(1572), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69150] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2082), 1,
      sym_text_interpolation,
    ACTIONS(4032), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1586), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2083), 1,
      sym_text_interpolation,
    ACTIONS(1584), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69182] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1602), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2084), 1,
      sym_text_interpolation,
    ACTIONS(1600), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69199] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_EQ,
    STATE(2085), 1,
      sym_text_interpolation,
    ACTIONS(4443), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [69216] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_COMMA,
    ACTIONS(4447), 1,
      anon_sym_RBRACK,
    STATE(2086), 1,
      sym_text_interpolation,
    STATE(2095), 1,
      aux_sym__array_destructing_repeat1,
  [69235] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_EQ,
    STATE(2087), 1,
      sym_text_interpolation,
    ACTIONS(4449), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69252] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1694), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2088), 1,
      sym_text_interpolation,
    ACTIONS(1692), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69269] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(4455), 1,
      anon_sym_RBRACK,
    STATE(2089), 1,
      sym_text_interpolation,
    STATE(2091), 1,
      aux_sym_array_creation_expression_repeat1,
  [69288] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_COMMA,
    ACTIONS(4447), 1,
      anon_sym_RBRACK,
    STATE(2070), 1,
      aux_sym__array_destructing_repeat1,
    STATE(2090), 1,
      sym_text_interpolation,
  [69307] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(927), 1,
      anon_sym_RBRACK,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_COMMA,
    STATE(2091), 1,
      sym_text_interpolation,
    STATE(2191), 1,
      aux_sym_array_creation_expression_repeat1,
  [69326] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1710), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2092), 1,
      sym_text_interpolation,
    ACTIONS(1708), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69343] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1702), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2093), 1,
      sym_text_interpolation,
    ACTIONS(1700), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69360] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(4461), 1,
      anon_sym_RBRACK,
    STATE(2044), 1,
      aux_sym_attribute_group_repeat1,
    STATE(2094), 1,
      sym_text_interpolation,
  [69379] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_COMMA,
    ACTIONS(4463), 1,
      anon_sym_RBRACK,
    STATE(2070), 1,
      aux_sym__array_destructing_repeat1,
    STATE(2095), 1,
      sym_text_interpolation,
  [69398] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1690), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2096), 1,
      sym_text_interpolation,
    ACTIONS(1688), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69415] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_EQ,
    STATE(2097), 1,
      sym_text_interpolation,
    ACTIONS(4465), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69432] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1670), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2098), 1,
      sym_text_interpolation,
    ACTIONS(1668), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69449] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1658), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2099), 1,
      sym_text_interpolation,
    ACTIONS(1656), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69466] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2017), 1,
      anon_sym_RPAREN,
    ACTIONS(4469), 1,
      anon_sym_COMMA,
    STATE(2100), 1,
      sym_text_interpolation,
    STATE(2111), 1,
      aux_sym_formal_parameters_repeat1,
  [69485] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(969), 1,
      anon_sym_RBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym_COMMA,
    STATE(2020), 1,
      aux_sym_match_block_repeat1,
    STATE(2101), 1,
      sym_text_interpolation,
  [69504] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1590), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2102), 1,
      sym_text_interpolation,
    ACTIONS(1588), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69521] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4475), 1,
      aux_sym_string_content_token1,
    STATE(2103), 1,
      sym_text_interpolation,
    ACTIONS(4473), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [69538] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4479), 1,
      aux_sym_string_content_token1,
    STATE(2104), 1,
      sym_text_interpolation,
    ACTIONS(4477), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [69555] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4483), 1,
      anon_sym_EQ,
    STATE(2105), 1,
      sym_text_interpolation,
    ACTIONS(4481), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69572] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(4485), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2023), 1,
      sym_variable_name,
    STATE(2106), 1,
      sym_text_interpolation,
  [69591] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4489), 1,
      anon_sym_EQ,
    STATE(2107), 1,
      sym_text_interpolation,
    ACTIONS(4487), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69608] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4493), 1,
      anon_sym_EQ,
    STATE(2108), 1,
      sym_text_interpolation,
    ACTIONS(4491), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69625] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_RPAREN,
    ACTIONS(4495), 1,
      anon_sym_COMMA,
    STATE(2109), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [69642] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4500), 1,
      anon_sym_EQ,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69659] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_COMMA,
    ACTIONS(4505), 1,
      anon_sym_RPAREN,
    STATE(2111), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [69676] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(4507), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2110), 1,
      sym_variable_name,
    STATE(2112), 1,
      sym_text_interpolation,
  [69695] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4511), 1,
      anon_sym_EQ,
    STATE(2113), 1,
      sym_text_interpolation,
    ACTIONS(4509), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69712] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4515), 1,
      anon_sym_EQ,
    STATE(2114), 1,
      sym_text_interpolation,
    ACTIONS(4513), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69729] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4357), 1,
      anon_sym_COMMA,
    ACTIONS(4517), 1,
      anon_sym_RBRACE,
    STATE(2027), 1,
      aux_sym_namespace_use_group_repeat1,
    STATE(2115), 1,
      sym_text_interpolation,
  [69748] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_EQ,
    STATE(2116), 1,
      sym_text_interpolation,
    ACTIONS(4519), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69765] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4433), 1,
      anon_sym_LBRACE,
    ACTIONS(4435), 1,
      sym_name,
    STATE(2117), 1,
      sym_text_interpolation,
    STATE(2453), 1,
      sym_namespace_use_group,
  [69784] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    ACTIONS(4523), 1,
      anon_sym_EQ_GT,
    STATE(2118), 1,
      sym_text_interpolation,
    STATE(2628), 1,
      sym__return_type,
  [69803] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(4525), 1,
      anon_sym_RPAREN,
    STATE(2119), 1,
      sym_text_interpolation,
    STATE(2632), 1,
      sym_variable_name,
  [69822] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(4527), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2108), 1,
      sym_variable_name,
    STATE(2120), 1,
      sym_text_interpolation,
  [69841] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4433), 1,
      anon_sym_LBRACE,
    ACTIONS(4435), 1,
      sym_name,
    STATE(2121), 1,
      sym_text_interpolation,
    STATE(2433), 1,
      sym_namespace_use_group,
  [69860] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_EQ,
    STATE(2122), 1,
      sym_text_interpolation,
    ACTIONS(4529), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69877] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    ACTIONS(4533), 1,
      anon_sym_EQ_GT,
    STATE(2123), 1,
      sym_text_interpolation,
    STATE(2619), 1,
      sym__return_type,
  [69896] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_DOLLAR,
    STATE(1872), 1,
      sym_variable_name,
    STATE(2072), 1,
      sym_static_variable_declaration,
    STATE(2124), 1,
      sym_text_interpolation,
  [69915] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    ACTIONS(4023), 1,
      anon_sym_LBRACE,
    STATE(2125), 1,
      sym_text_interpolation,
    STATE(2618), 1,
      sym__return_type,
  [69934] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_RPAREN,
    ACTIONS(4535), 1,
      anon_sym_COMMA,
    STATE(2109), 1,
      aux_sym_unset_statement_repeat1,
    STATE(2126), 1,
      sym_text_interpolation,
  [69953] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2127), 1,
      sym_text_interpolation,
    STATE(2074), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [69970] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2128), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69987] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2129), 1,
      sym_text_interpolation,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70004] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1414), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2130), 1,
      sym_text_interpolation,
    ACTIONS(1412), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70021] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2131), 1,
      sym_text_interpolation,
    ACTIONS(4537), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [70036] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4433), 1,
      anon_sym_LBRACE,
    ACTIONS(4435), 1,
      sym_name,
    STATE(2132), 1,
      sym_text_interpolation,
    STATE(2500), 1,
      sym_namespace_use_group,
  [70055] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    STATE(2133), 1,
      sym_text_interpolation,
    STATE(2196), 1,
      aux_sym__list_destructing_repeat1,
  [70074] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    STATE(2134), 1,
      sym_text_interpolation,
    STATE(2210), 1,
      aux_sym__list_destructing_repeat1,
  [70093] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4431), 1,
      sym_name,
    ACTIONS(4433), 1,
      anon_sym_LBRACE,
    STATE(2135), 1,
      sym_text_interpolation,
    STATE(2500), 1,
      sym_namespace_use_group,
  [70112] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2136), 1,
      sym_text_interpolation,
    ACTIONS(4539), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [70127] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1570), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2137), 1,
      sym_text_interpolation,
    ACTIONS(1568), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70144] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1610), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2138), 1,
      sym_text_interpolation,
    ACTIONS(1608), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70161] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1662), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2139), 1,
      sym_text_interpolation,
    ACTIONS(1660), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70178] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1666), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2140), 1,
      sym_text_interpolation,
    ACTIONS(1664), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70195] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1706), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2141), 1,
      sym_text_interpolation,
    ACTIONS(1704), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70212] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1714), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2142), 1,
      sym_text_interpolation,
    ACTIONS(1712), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70229] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    ACTIONS(4541), 1,
      anon_sym_EQ_GT,
    STATE(2143), 1,
      sym_text_interpolation,
    STATE(2611), 1,
      sym__return_type,
  [70248] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2144), 1,
      sym_text_interpolation,
    ACTIONS(4027), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70263] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1686), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2145), 1,
      sym_text_interpolation,
    ACTIONS(1684), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70280] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1514), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2146), 1,
      sym_text_interpolation,
    ACTIONS(1512), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70297] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2147), 1,
      sym_text_interpolation,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70314] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4431), 1,
      sym_name,
    ACTIONS(4433), 1,
      anon_sym_LBRACE,
    STATE(2148), 1,
      sym_text_interpolation,
    STATE(2537), 1,
      sym_namespace_use_group,
  [70333] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2149), 1,
      sym_text_interpolation,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70350] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2150), 1,
      sym_text_interpolation,
    ACTIONS(4543), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70365] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2151), 1,
      sym_text_interpolation,
    ACTIONS(4545), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2152), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70397] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(911), 1,
      anon_sym_RPAREN,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4547), 1,
      anon_sym_COMMA,
    STATE(2033), 1,
      aux_sym_arguments_repeat1,
    STATE(2153), 1,
      sym_text_interpolation,
  [70416] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4431), 1,
      sym_name,
    ACTIONS(4433), 1,
      anon_sym_LBRACE,
    STATE(2154), 1,
      sym_text_interpolation,
    STATE(2509), 1,
      sym_namespace_use_group,
  [70435] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4420), 1,
      sym__new_line,
    ACTIONS(4549), 1,
      sym_heredoc_end,
    STATE(2155), 1,
      sym_text_interpolation,
    STATE(2554), 1,
      sym_nowdoc_body,
  [70454] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4197), 1,
      sym__new_line,
    ACTIONS(4551), 1,
      sym_heredoc_end,
    STATE(2156), 1,
      sym_text_interpolation,
    STATE(2556), 1,
      sym_heredoc_body,
  [70473] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2157), 1,
      sym_text_interpolation,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70490] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3717), 1,
      anon_sym_COMMA,
    ACTIONS(3898), 1,
      anon_sym_LBRACE,
    STATE(2058), 1,
      aux_sym_base_clause_repeat1,
    STATE(2158), 1,
      sym_text_interpolation,
  [70509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2159), 1,
      sym_text_interpolation,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70526] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4553), 1,
      anon_sym_DQUOTE,
    ACTIONS(4555), 1,
      anon_sym_SQUOTE,
    ACTIONS(4557), 1,
      sym_heredoc_start,
    STATE(2160), 1,
      sym_text_interpolation,
  [70545] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2161), 1,
      sym_text_interpolation,
    ACTIONS(4559), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [70560] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2162), 1,
      sym_text_interpolation,
    STATE(1932), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [70577] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2163), 1,
      sym_text_interpolation,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70594] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1682), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2164), 1,
      sym_text_interpolation,
    ACTIONS(1680), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70611] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1678), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2165), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70628] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1674), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2166), 1,
      sym_text_interpolation,
    ACTIONS(1672), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70645] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2167), 1,
      sym_text_interpolation,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70662] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1626), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2168), 1,
      sym_text_interpolation,
    ACTIONS(1624), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1618), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2169), 1,
      sym_text_interpolation,
    ACTIONS(1616), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70696] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1618), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2170), 1,
      sym_text_interpolation,
    ACTIONS(1616), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70713] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1614), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2171), 1,
      sym_text_interpolation,
    ACTIONS(1612), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70730] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1606), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2172), 1,
      sym_text_interpolation,
    ACTIONS(1604), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70747] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1578), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2173), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70764] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(873), 1,
      anon_sym_RPAREN,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_COMMA,
    STATE(2033), 1,
      aux_sym_arguments_repeat1,
    STATE(2174), 1,
      sym_text_interpolation,
  [70783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2175), 1,
      sym_text_interpolation,
    ACTIONS(1556), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70800] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4563), 1,
      anon_sym_COMMA,
    ACTIONS(4565), 1,
      anon_sym_RPAREN,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2176), 1,
      sym_text_interpolation,
  [70819] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1454), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2177), 1,
      sym_text_interpolation,
    ACTIONS(1452), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70836] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2178), 1,
      sym_text_interpolation,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70853] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2179), 1,
      sym_text_interpolation,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70870] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2180), 1,
      sym_text_interpolation,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70887] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2181), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70904] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2182), 1,
      sym_text_interpolation,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2183), 1,
      sym_text_interpolation,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70938] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2184), 1,
      sym_text_interpolation,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70955] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2185), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70972] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2186), 1,
      sym_text_interpolation,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70989] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2187), 1,
      sym_text_interpolation,
    ACTIONS(1528), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71006] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4567), 1,
      anon_sym_COMMA,
    ACTIONS(4570), 1,
      anon_sym_RBRACK,
    STATE(2188), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [71023] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3285), 1,
      anon_sym_AMP,
    ACTIONS(4572), 1,
      anon_sym_RPAREN,
    STATE(1520), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2189), 1,
      sym_text_interpolation,
  [71042] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    ACTIONS(4574), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2087), 1,
      sym_variable_name,
    STATE(2190), 1,
      sym_text_interpolation,
  [71061] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_RBRACK,
    ACTIONS(4576), 1,
      anon_sym_COMMA,
    STATE(2191), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [71078] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2192), 1,
      sym_text_interpolation,
    ACTIONS(4294), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [71093] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_EQ,
    STATE(2193), 1,
      sym_text_interpolation,
    ACTIONS(4579), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [71110] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2194), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71127] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2195), 1,
      sym_text_interpolation,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71144] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1858), 1,
      anon_sym_RPAREN,
    ACTIONS(4581), 1,
      anon_sym_COMMA,
    STATE(2196), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [71161] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2197), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71178] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2198), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71195] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(895), 1,
      anon_sym_RPAREN,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_COMMA,
    STATE(2033), 1,
      aux_sym_arguments_repeat1,
    STATE(2199), 1,
      sym_text_interpolation,
  [71214] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    ACTIONS(4588), 1,
      anon_sym_RPAREN,
    STATE(2100), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(2200), 1,
      sym_text_interpolation,
  [71233] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2201), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71250] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2202), 1,
      sym_text_interpolation,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71267] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    ACTIONS(4592), 1,
      anon_sym_RPAREN,
    STATE(2199), 1,
      aux_sym_arguments_repeat1,
    STATE(2203), 1,
      sym_text_interpolation,
  [71286] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_RPAREN,
    STATE(2196), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2204), 1,
      sym_text_interpolation,
  [71305] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2205), 1,
      sym_text_interpolation,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71322] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2206), 1,
      sym_text_interpolation,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71339] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2207), 1,
      sym_text_interpolation,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71356] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_COMMA,
    ACTIONS(4598), 1,
      anon_sym_RPAREN,
    STATE(2208), 1,
      sym_text_interpolation,
    STATE(2211), 1,
      aux_sym_array_creation_expression_repeat1,
  [71375] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2209), 1,
      sym_text_interpolation,
    ACTIONS(4600), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71390] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_RPAREN,
    STATE(2196), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2210), 1,
      sym_text_interpolation,
  [71409] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(933), 1,
      anon_sym_RPAREN,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_COMMA,
    STATE(2005), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2211), 1,
      sym_text_interpolation,
  [71428] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2212), 1,
      sym_text_interpolation,
    ACTIONS(4606), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71443] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2213), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71460] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2214), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71477] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_EQ,
    STATE(2215), 1,
      sym_text_interpolation,
    ACTIONS(4608), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71494] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2216), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71511] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_EQ,
    STATE(2217), 1,
      sym_text_interpolation,
    ACTIONS(4610), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71528] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_COMMA,
    ACTIONS(4616), 1,
      anon_sym_RPAREN,
    STATE(2218), 1,
      sym_text_interpolation,
    STATE(2226), 1,
      aux_sym_arguments_repeat1,
  [71547] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2219), 1,
      sym_text_interpolation,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71564] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2220), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71581] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2221), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71598] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2222), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2223), 1,
      sym_text_interpolation,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71632] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2224), 1,
      sym_text_interpolation,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71649] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(881), 1,
      anon_sym_RPAREN,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_COMMA,
    STATE(2033), 1,
      aux_sym_arguments_repeat1,
    STATE(2225), 1,
      sym_text_interpolation,
  [71668] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(893), 1,
      anon_sym_RPAREN,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_COMMA,
    STATE(2033), 1,
      aux_sym_arguments_repeat1,
    STATE(2226), 1,
      sym_text_interpolation,
  [71687] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2227), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71704] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2228), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71721] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2229), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71738] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    ACTIONS(4622), 1,
      anon_sym_EQ_GT,
    STATE(2230), 1,
      sym_text_interpolation,
    STATE(2721), 1,
      sym__return_type,
  [71757] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COLON,
    ACTIONS(3821), 1,
      anon_sym_LBRACE,
    STATE(2231), 1,
      sym_text_interpolation,
    STATE(2639), 1,
      sym__return_type,
  [71776] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1638), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2232), 1,
      sym_text_interpolation,
    ACTIONS(1636), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71793] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2233), 1,
      sym_text_interpolation,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71810] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2234), 1,
      sym_text_interpolation,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71827] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2235), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71844] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2236), 1,
      sym_text_interpolation,
    ACTIONS(1492), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71861] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4624), 1,
      anon_sym_COMMA,
    ACTIONS(4626), 1,
      anon_sym_RPAREN,
    STATE(2225), 1,
      aux_sym_arguments_repeat1,
    STATE(2237), 1,
      sym_text_interpolation,
  [71880] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2238), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71897] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2239), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71914] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1498), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2240), 1,
      sym_text_interpolation,
    ACTIONS(1496), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71931] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1502), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2241), 1,
      sym_text_interpolation,
    ACTIONS(1500), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1654), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2242), 1,
      sym_text_interpolation,
    ACTIONS(1652), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71965] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_RPAREN,
    ACTIONS(4628), 1,
      anon_sym_COMMA,
    STATE(2109), 1,
      aux_sym_unset_statement_repeat1,
    STATE(2243), 1,
      sym_text_interpolation,
  [71984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2244), 1,
      sym_text_interpolation,
    ACTIONS(1644), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72001] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1554), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2245), 1,
      sym_text_interpolation,
    ACTIONS(1552), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72018] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2246), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2247), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72052] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1526), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2248), 1,
      sym_text_interpolation,
    ACTIONS(1524), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72069] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2249), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72086] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2250), 1,
      sym_text_interpolation,
    ACTIONS(1532), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72103] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2251), 1,
      sym_text_interpolation,
    ACTIONS(1532), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72120] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2252), 1,
      sym_text_interpolation,
    ACTIONS(1560), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72137] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2253), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72154] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2254), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72171] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1634), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2255), 1,
      sym_text_interpolation,
    ACTIONS(1632), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72188] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1642), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2256), 1,
      sym_text_interpolation,
    ACTIONS(1640), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72205] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1642), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2257), 1,
      sym_text_interpolation,
    ACTIONS(1640), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1718), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2258), 1,
      sym_text_interpolation,
    ACTIONS(1716), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72239] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2259), 1,
      sym_text_interpolation,
    ACTIONS(1696), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72256] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2260), 1,
      sym_text_interpolation,
    ACTIONS(1696), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72273] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2261), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72290] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4630), 1,
      anon_sym_COMMA,
    ACTIONS(4632), 1,
      anon_sym_RPAREN,
    STATE(2262), 1,
      sym_text_interpolation,
    STATE(2268), 1,
      aux_sym_arguments_repeat1,
  [72309] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1542), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2263), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72326] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2264), 1,
      sym_text_interpolation,
    ACTIONS(1516), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72343] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1466), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2265), 1,
      sym_text_interpolation,
    ACTIONS(1464), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72360] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1630), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2266), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1546), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2267), 1,
      sym_text_interpolation,
    ACTIONS(1544), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72394] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(887), 1,
      anon_sym_RPAREN,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_COMMA,
    STATE(2033), 1,
      aux_sym_arguments_repeat1,
    STATE(2268), 1,
      sym_text_interpolation,
  [72413] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1522), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2269), 1,
      sym_text_interpolation,
    ACTIONS(1520), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72430] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2270), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72447] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1474), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2271), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72464] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2272), 1,
      sym_text_interpolation,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72481] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2273), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72498] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2274), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72515] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2275), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72532] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1566), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2276), 1,
      sym_text_interpolation,
    ACTIONS(1564), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72549] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4638), 1,
      aux_sym_else_clause_token1,
    STATE(2277), 1,
      sym_text_interpolation,
    ACTIONS(4636), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [72566] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_COMMA,
    ACTIONS(4642), 1,
      anon_sym_RBRACE,
    STATE(2053), 1,
      aux_sym_match_block_repeat1,
    STATE(2278), 1,
      sym_text_interpolation,
  [72585] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_COMMA,
    ACTIONS(4646), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym_arguments_repeat1,
    STATE(2279), 1,
      sym_text_interpolation,
  [72604] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1538), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2280), 1,
      sym_text_interpolation,
    ACTIONS(1536), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72621] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2281), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72638] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4648), 1,
      anon_sym_LPAREN,
    STATE(2282), 1,
      sym_text_interpolation,
    STATE(2294), 1,
      sym_parenthesized_expression,
  [72654] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2283), 1,
      sym_text_interpolation,
    STATE(2336), 1,
      sym_variable_name,
  [72670] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1213), 1,
      sym_declaration_list,
    STATE(2284), 1,
      sym_text_interpolation,
  [72686] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(479), 1,
      ts_builtin_sym_end,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4650), 1,
      sym_php_tag,
    STATE(2285), 1,
      sym_text_interpolation,
  [72702] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2286), 1,
      sym_text_interpolation,
    ACTIONS(4652), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [72716] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2287), 1,
      sym_text_interpolation,
    ACTIONS(4654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72730] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(383), 1,
      anon_sym_COLON,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2288), 1,
      sym_text_interpolation,
    STATE(2597), 1,
      sym_colon_block,
  [72746] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2289), 1,
      sym_text_interpolation,
    ACTIONS(3663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72760] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4656), 1,
      sym_name,
    STATE(2290), 1,
      sym_text_interpolation,
    STATE(2613), 1,
      sym_namespace_name,
  [72776] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1170), 1,
      sym_compound_statement,
    STATE(2291), 1,
      sym_text_interpolation,
  [72792] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2292), 1,
      sym_text_interpolation,
    ACTIONS(3463), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72806] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4659), 1,
      anon_sym_LPAREN,
    STATE(1831), 1,
      sym_formal_parameters,
    STATE(2293), 1,
      sym_text_interpolation,
  [72822] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2294), 1,
      sym_text_interpolation,
    ACTIONS(4661), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72836] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2295), 1,
      sym_text_interpolation,
    ACTIONS(4663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72850] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2296), 1,
      sym_text_interpolation,
    ACTIONS(4665), 2,
      sym__eof,
      sym_php_tag,
  [72864] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(2139), 1,
      sym_declaration_list,
    STATE(2297), 1,
      sym_text_interpolation,
  [72880] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(114), 1,
      sym_parenthesized_expression,
    STATE(2298), 1,
      sym_text_interpolation,
  [72896] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4656), 1,
      sym_name,
    STATE(2299), 1,
      sym_text_interpolation,
    STATE(2706), 1,
      sym_namespace_name,
  [72912] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    STATE(2141), 1,
      sym_enum_declaration_list,
    STATE(2300), 1,
      sym_text_interpolation,
  [72928] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4656), 1,
      sym_name,
    STATE(2301), 1,
      sym_text_interpolation,
    STATE(2698), 1,
      sym_namespace_name,
  [72944] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2128), 1,
      sym_compound_statement,
    STATE(2302), 1,
      sym_text_interpolation,
  [72960] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1150), 1,
      sym_declaration_list,
    STATE(2303), 1,
      sym_text_interpolation,
  [72976] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(987), 1,
      sym_compound_statement,
    STATE(2304), 1,
      sym_text_interpolation,
  [72992] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2305), 1,
      sym_text_interpolation,
    ACTIONS(4669), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73006] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2306), 1,
      sym_text_interpolation,
    ACTIONS(4671), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73020] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(2125), 1,
      sym_formal_parameters,
    STATE(2307), 1,
      sym_text_interpolation,
  [73036] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2308), 1,
      sym_text_interpolation,
    ACTIONS(4673), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73050] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1219), 1,
      sym_compound_statement,
    STATE(2309), 1,
      sym_text_interpolation,
  [73066] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2310), 1,
      sym_text_interpolation,
    ACTIONS(2704), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73080] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(610), 1,
      sym_declaration_list,
    STATE(2311), 1,
      sym_text_interpolation,
  [73096] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2312), 1,
      sym_text_interpolation,
    ACTIONS(4675), 2,
      anon_sym_string,
      anon_sym_int,
  [73110] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_LBRACE,
    STATE(621), 1,
      sym_enum_declaration_list,
    STATE(2313), 1,
      sym_text_interpolation,
  [73126] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(476), 1,
      sym_declaration_list,
    STATE(2314), 1,
      sym_text_interpolation,
  [73142] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1220), 1,
      sym_compound_statement,
    STATE(2315), 1,
      sym_text_interpolation,
  [73158] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_LBRACE,
    STATE(562), 1,
      sym_enum_declaration_list,
    STATE(2316), 1,
      sym_text_interpolation,
  [73174] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1151), 1,
      sym_declaration_list,
    STATE(2317), 1,
      sym_text_interpolation,
  [73190] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1683), 1,
      sym_formal_parameters,
    STATE(2318), 1,
      sym_text_interpolation,
  [73206] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1223), 1,
      sym_compound_statement,
    STATE(2319), 1,
      sym_text_interpolation,
  [73222] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2320), 1,
      sym_text_interpolation,
    ACTIONS(1858), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73236] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1226), 1,
      sym_compound_statement,
    STATE(2321), 1,
      sym_text_interpolation,
  [73252] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1819), 1,
      sym_declaration_list,
    STATE(2322), 1,
      sym_text_interpolation,
  [73268] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3310), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4677), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2323), 1,
      sym_text_interpolation,
  [73284] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_LPAREN,
    STATE(2324), 1,
      sym_text_interpolation,
    STATE(2545), 1,
      sym_parenthesized_expression,
  [73300] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_declaration_list,
    STATE(2325), 1,
      sym_text_interpolation,
  [73316] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4656), 1,
      sym_name,
    STATE(2326), 1,
      sym_text_interpolation,
    STATE(2583), 1,
      sym_namespace_name,
  [73332] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4679), 1,
      anon_sym_SEMI,
    ACTIONS(4681), 1,
      sym__automatic_semicolon,
    STATE(2327), 1,
      sym_text_interpolation,
  [73348] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2328), 1,
      sym_text_interpolation,
    ACTIONS(4683), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73362] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1684), 1,
      sym_formal_parameters,
    STATE(2329), 1,
      sym_text_interpolation,
  [73378] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2330), 1,
      sym_text_interpolation,
    ACTIONS(4685), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73392] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(88), 1,
      sym_parenthesized_expression,
    STATE(2331), 1,
      sym_text_interpolation,
  [73408] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2332), 1,
      sym_text_interpolation,
    ACTIONS(4687), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73422] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2333), 1,
      sym_text_interpolation,
    ACTIONS(4274), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73436] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2334), 1,
      sym_text_interpolation,
    ACTIONS(4690), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73450] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2335), 1,
      sym_text_interpolation,
    ACTIONS(4692), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73464] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2336), 1,
      sym_text_interpolation,
    ACTIONS(4694), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73478] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2337), 1,
      sym_text_interpolation,
    ACTIONS(4570), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73492] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_compound_statement,
    STATE(2338), 1,
      sym_text_interpolation,
  [73508] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1023), 1,
      sym_compound_statement,
    STATE(2339), 1,
      sym_text_interpolation,
  [73524] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_compound_statement,
    STATE(2340), 1,
      sym_text_interpolation,
  [73540] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2341), 1,
      sym_text_interpolation,
    ACTIONS(4698), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [73554] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1688), 1,
      sym_formal_parameters,
    STATE(2342), 1,
      sym_text_interpolation,
  [73570] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2343), 1,
      sym_text_interpolation,
    ACTIONS(4287), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73584] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2344), 1,
      sym_text_interpolation,
    ACTIONS(2704), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [73598] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1818), 1,
      sym_compound_statement,
    STATE(2345), 1,
      sym_text_interpolation,
  [73614] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2346), 1,
      sym_text_interpolation,
    STATE(2508), 1,
      sym_variable_name,
  [73630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2828), 1,
      anon_sym_RPAREN,
    ACTIONS(4700), 1,
      anon_sym_EQ,
    STATE(2347), 1,
      sym_text_interpolation,
  [73646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(477), 1,
      sym_declaration_list,
    STATE(2348), 1,
      sym_text_interpolation,
  [73662] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2349), 1,
      sym_text_interpolation,
    ACTIONS(4702), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73676] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1172), 1,
      sym_declaration_list,
    STATE(2350), 1,
      sym_text_interpolation,
  [73692] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2351), 1,
      sym_text_interpolation,
    ACTIONS(4704), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73706] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2352), 1,
      sym_text_interpolation,
    ACTIONS(4706), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73720] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2353), 1,
      sym_text_interpolation,
    ACTIONS(4708), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73734] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2354), 1,
      sym_text_interpolation,
    ACTIONS(4710), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73748] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1037), 1,
      sym_declaration_list,
    STATE(2355), 1,
      sym_text_interpolation,
  [73764] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2356), 1,
      sym_text_interpolation,
    ACTIONS(4712), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73778] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2357), 1,
      sym_text_interpolation,
    ACTIONS(4714), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73792] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2358), 1,
      sym_text_interpolation,
    ACTIONS(4716), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73806] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2359), 1,
      sym_text_interpolation,
    ACTIONS(4718), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73820] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2360), 1,
      sym_text_interpolation,
    ACTIONS(4720), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73834] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2361), 1,
      sym_text_interpolation,
    ACTIONS(4722), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73848] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2362), 1,
      sym_text_interpolation,
    ACTIONS(4724), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73862] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4726), 1,
      sym__new_line,
    ACTIONS(4728), 1,
      sym_heredoc_end,
    STATE(2363), 1,
      sym_text_interpolation,
  [73878] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4730), 1,
      sym__new_line,
    ACTIONS(4732), 1,
      sym_heredoc_end,
    STATE(2364), 1,
      sym_text_interpolation,
  [73894] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1780), 1,
      sym_compound_statement,
    STATE(2365), 1,
      sym_text_interpolation,
  [73910] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3308), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3310), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2366), 1,
      sym_text_interpolation,
  [73926] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2367), 1,
      sym_text_interpolation,
    ACTIONS(4734), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73940] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2368), 1,
      sym_text_interpolation,
    ACTIONS(4736), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73954] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_LBRACE,
    STATE(469), 1,
      sym_compound_statement,
    STATE(2369), 1,
      sym_text_interpolation,
  [73970] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2370), 1,
      sym_text_interpolation,
    ACTIONS(4738), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1766), 1,
      sym_compound_statement,
    STATE(2371), 1,
      sym_text_interpolation,
  [74000] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(23), 1,
      sym_parenthesized_expression,
    STATE(2372), 1,
      sym_text_interpolation,
  [74016] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(17), 1,
      sym_parenthesized_expression,
    STATE(2373), 1,
      sym_text_interpolation,
  [74032] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_LPAREN,
    STATE(2374), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      sym_parenthesized_expression,
  [74048] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_LPAREN,
    STATE(2012), 1,
      sym_parenthesized_expression,
    STATE(2375), 1,
      sym_text_interpolation,
  [74064] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2376), 1,
      sym_text_interpolation,
    ACTIONS(4740), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74078] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3294), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3296), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2377), 1,
      sym_text_interpolation,
  [74094] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2378), 1,
      sym_text_interpolation,
    ACTIONS(4742), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74108] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2379), 1,
      sym_text_interpolation,
    ACTIONS(4744), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74122] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_LBRACE,
    STATE(1009), 1,
      sym_match_block,
    STATE(2380), 1,
      sym_text_interpolation,
  [74138] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2381), 1,
      sym_text_interpolation,
    ACTIONS(4748), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74152] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4750), 1,
      sym__new_line,
    ACTIONS(4752), 1,
      sym_heredoc_end,
    STATE(2382), 1,
      sym_text_interpolation,
  [74168] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2383), 1,
      sym_text_interpolation,
    ACTIONS(4754), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74182] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2384), 1,
      sym_text_interpolation,
    ACTIONS(4756), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74196] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2385), 1,
      sym_text_interpolation,
    ACTIONS(2832), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74210] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2386), 1,
      sym_text_interpolation,
    ACTIONS(4758), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74224] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(87), 1,
      sym_parenthesized_expression,
    STATE(2387), 1,
      sym_text_interpolation,
  [74240] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1012), 1,
      sym_compound_statement,
    STATE(2388), 1,
      sym_text_interpolation,
  [74256] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(92), 1,
      sym_parenthesized_expression,
    STATE(2389), 1,
      sym_text_interpolation,
  [74272] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_LPAREN,
    STATE(2390), 1,
      sym_text_interpolation,
    STATE(2516), 1,
      sym_parenthesized_expression,
  [74288] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_LPAREN,
    STATE(2068), 1,
      sym_parenthesized_expression,
    STATE(2391), 1,
      sym_text_interpolation,
  [74304] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2392), 1,
      sym_text_interpolation,
    ACTIONS(2834), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74318] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2393), 1,
      sym_text_interpolation,
    ACTIONS(4760), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74332] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym_RPAREN,
    ACTIONS(4700), 1,
      anon_sym_EQ,
    STATE(2394), 1,
      sym_text_interpolation,
  [74348] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4762), 1,
      sym__new_line,
    ACTIONS(4764), 1,
      sym_heredoc_end,
    STATE(2395), 1,
      sym_text_interpolation,
  [74364] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1202), 1,
      sym_compound_statement,
    STATE(2396), 1,
      sym_text_interpolation,
  [74380] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2397), 1,
      sym_text_interpolation,
    ACTIONS(4766), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74394] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2398), 1,
      sym_text_interpolation,
    ACTIONS(4768), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74408] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2399), 1,
      sym_text_interpolation,
    ACTIONS(4770), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74422] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1762), 1,
      sym_compound_statement,
    STATE(2400), 1,
      sym_text_interpolation,
  [74438] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2401), 1,
      sym_text_interpolation,
    ACTIONS(4772), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74452] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2402), 1,
      sym_text_interpolation,
    ACTIONS(4774), 2,
      anon_sym_string,
      anon_sym_int,
  [74466] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1778), 1,
      sym_declaration_list,
    STATE(2403), 1,
      sym_text_interpolation,
  [74482] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2404), 1,
      sym_text_interpolation,
    ACTIONS(4776), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74496] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1000), 1,
      sym_compound_statement,
    STATE(2405), 1,
      sym_text_interpolation,
  [74512] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2406), 1,
      sym_text_interpolation,
    ACTIONS(4778), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [74526] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(2081), 1,
      sym_declaration_list,
    STATE(2407), 1,
      sym_text_interpolation,
  [74542] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(988), 1,
      sym_compound_statement,
    STATE(2408), 1,
      sym_text_interpolation,
  [74558] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1131), 1,
      sym_compound_statement,
    STATE(2409), 1,
      sym_text_interpolation,
  [74574] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4648), 1,
      anon_sym_LPAREN,
    STATE(2410), 1,
      sym_text_interpolation,
    STATE(2552), 1,
      sym_parenthesized_expression,
  [74590] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    STATE(2241), 1,
      sym_enum_declaration_list,
    STATE(2411), 1,
      sym_text_interpolation,
  [74606] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(989), 1,
      sym_compound_statement,
    STATE(2412), 1,
      sym_text_interpolation,
  [74622] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(495), 1,
      sym_compound_statement,
    STATE(2413), 1,
      sym_text_interpolation,
  [74638] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(990), 1,
      sym_compound_statement,
    STATE(2414), 1,
      sym_text_interpolation,
  [74654] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2415), 1,
      sym_text_interpolation,
    ACTIONS(4780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74668] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1682), 1,
      sym_formal_parameters,
    STATE(2416), 1,
      sym_text_interpolation,
  [74684] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2417), 1,
      sym_text_interpolation,
    ACTIONS(4782), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74698] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2418), 1,
      sym_text_interpolation,
    ACTIONS(4784), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74712] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2419), 1,
      sym_text_interpolation,
    ACTIONS(4127), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [74726] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2000), 1,
      sym_variable_name,
    STATE(2420), 1,
      sym_text_interpolation,
  [74742] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2421), 1,
      sym_text_interpolation,
    ACTIONS(4786), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74756] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(993), 1,
      sym_declaration_list,
    STATE(2422), 1,
      sym_text_interpolation,
  [74772] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1163), 1,
      sym_compound_statement,
    STATE(2423), 1,
      sym_text_interpolation,
  [74788] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_SEMI,
    ACTIONS(4790), 1,
      sym__automatic_semicolon,
    STATE(2424), 1,
      sym_text_interpolation,
  [74804] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2425), 1,
      sym_text_interpolation,
    ACTIONS(4539), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [74818] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2426), 1,
      sym_text_interpolation,
    ACTIONS(4441), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74832] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2427), 1,
      sym_text_interpolation,
    ACTIONS(4333), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74846] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1183), 1,
      sym_compound_statement,
    STATE(2428), 1,
      sym_text_interpolation,
  [74862] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1833), 1,
      sym_compound_statement,
    STATE(2429), 1,
      sym_text_interpolation,
  [74878] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2430), 1,
      sym_text_interpolation,
    ACTIONS(4792), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74892] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1690), 1,
      sym_formal_parameters,
    STATE(2431), 1,
      sym_text_interpolation,
  [74908] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2432), 1,
      sym_text_interpolation,
    ACTIONS(4794), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74922] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2433), 1,
      sym_text_interpolation,
    ACTIONS(4796), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74936] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1221), 1,
      sym_compound_statement,
    STATE(2434), 1,
      sym_text_interpolation,
  [74952] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1832), 1,
      sym_declaration_list,
    STATE(2435), 1,
      sym_text_interpolation,
  [74968] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2436), 1,
      sym_text_interpolation,
    ACTIONS(4798), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74982] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2437), 1,
      sym_text_interpolation,
    ACTIONS(4800), 2,
      anon_sym_string,
      anon_sym_int,
  [74996] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2438), 1,
      sym_text_interpolation,
    ACTIONS(4802), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75010] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_declaration_list,
    STATE(2439), 1,
      sym_text_interpolation,
  [75026] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1829), 1,
      sym_declaration_list,
    STATE(2440), 1,
      sym_text_interpolation,
  [75042] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2441), 1,
      sym_text_interpolation,
    ACTIONS(4804), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75056] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2442), 1,
      sym_text_interpolation,
    ACTIONS(4806), 2,
      anon_sym_string,
      anon_sym_int,
  [75070] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1697), 1,
      sym_formal_parameters,
    STATE(2443), 1,
      sym_text_interpolation,
  [75086] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2444), 1,
      sym_text_interpolation,
    ACTIONS(4808), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75100] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1668), 1,
      sym_formal_parameters,
    STATE(2445), 1,
      sym_text_interpolation,
  [75116] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_LBRACE,
    STATE(524), 1,
      sym_enum_declaration_list,
    STATE(2446), 1,
      sym_text_interpolation,
  [75132] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(530), 1,
      sym_compound_statement,
    STATE(2447), 1,
      sym_text_interpolation,
  [75148] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(997), 1,
      sym_compound_statement,
    STATE(2448), 1,
      sym_text_interpolation,
  [75164] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(2029), 1,
      sym_formal_parameters,
    STATE(2449), 1,
      sym_text_interpolation,
  [75180] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2450), 1,
      sym_text_interpolation,
    ACTIONS(4810), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75194] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1823), 1,
      sym_declaration_list,
    STATE(2451), 1,
      sym_text_interpolation,
  [75210] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2452), 1,
      sym_text_interpolation,
    ACTIONS(4096), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [75224] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2453), 1,
      sym_text_interpolation,
    ACTIONS(4812), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75238] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(474), 1,
      sym_declaration_list,
    STATE(2454), 1,
      sym_text_interpolation,
  [75254] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_RPAREN,
    ACTIONS(4700), 1,
      anon_sym_EQ,
    STATE(2455), 1,
      sym_text_interpolation,
  [75270] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_declaration_list,
    STATE(2456), 1,
      sym_text_interpolation,
  [75286] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_declaration_list,
    STATE(2457), 1,
      sym_text_interpolation,
  [75302] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2404), 1,
      sym_variable_name,
    STATE(2458), 1,
      sym_text_interpolation,
  [75318] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2459), 1,
      sym_text_interpolation,
    ACTIONS(4814), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75332] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2460), 1,
      sym_text_interpolation,
    ACTIONS(4816), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75346] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4818), 1,
      sym_name,
    STATE(1882), 1,
      sym_namespace_name,
    STATE(2461), 1,
      sym_text_interpolation,
  [75362] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1013), 1,
      sym_declaration_list,
    STATE(2462), 1,
      sym_text_interpolation,
  [75378] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2463), 1,
      sym_text_interpolation,
    ACTIONS(4363), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75392] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2464), 1,
      sym_text_interpolation,
    ACTIONS(4820), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75406] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2465), 1,
      sym_text_interpolation,
    ACTIONS(4822), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75420] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2026), 1,
      sym_variable_name,
    STATE(2466), 1,
      sym_text_interpolation,
  [75436] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1003), 1,
      sym_compound_statement,
    STATE(2467), 1,
      sym_text_interpolation,
  [75452] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2468), 1,
      sym_text_interpolation,
    ACTIONS(4427), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75466] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2061), 1,
      sym_compound_statement,
    STATE(2469), 1,
      sym_text_interpolation,
  [75482] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_BSLASH,
    STATE(1739), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2470), 1,
      sym_text_interpolation,
  [75498] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2471), 1,
      sym_text_interpolation,
    ACTIONS(4827), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75512] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2472), 1,
      sym_text_interpolation,
    ACTIONS(4505), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75526] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1004), 1,
      sym_compound_statement,
    STATE(2473), 1,
      sym_text_interpolation,
  [75542] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2474), 1,
      sym_text_interpolation,
    ACTIONS(4829), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75556] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2475), 1,
      sym_text_interpolation,
    ACTIONS(4831), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75570] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2476), 1,
      sym_text_interpolation,
    ACTIONS(4833), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75584] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2441), 1,
      sym_variable_name,
    STATE(2477), 1,
      sym_text_interpolation,
  [75600] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1008), 1,
      sym_compound_statement,
    STATE(2478), 1,
      sym_text_interpolation,
  [75616] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2479), 1,
      sym_text_interpolation,
    ACTIONS(1860), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2393), 1,
      sym_variable_name,
    STATE(2480), 1,
      sym_text_interpolation,
  [75646] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4835), 1,
      sym__new_line,
    ACTIONS(4837), 1,
      sym_heredoc_end,
    STATE(2481), 1,
      sym_text_interpolation,
  [75662] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2024), 1,
      sym_variable_name,
    STATE(2482), 1,
      sym_text_interpolation,
  [75678] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1141), 1,
      sym_compound_statement,
    STATE(2483), 1,
      sym_text_interpolation,
  [75694] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2484), 1,
      sym_text_interpolation,
    ACTIONS(4839), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75708] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2485), 1,
      sym_text_interpolation,
    ACTIONS(4841), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75722] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2417), 1,
      sym_variable_name,
    STATE(2486), 1,
      sym_text_interpolation,
  [75738] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4843), 1,
      sym__new_line,
    ACTIONS(4845), 1,
      sym_heredoc_end,
    STATE(2487), 1,
      sym_text_interpolation,
  [75754] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2488), 1,
      sym_text_interpolation,
    ACTIONS(4847), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75768] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2474), 1,
      sym_variable_name,
    STATE(2489), 1,
      sym_text_interpolation,
  [75784] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1019), 1,
      sym_declaration_list,
    STATE(2490), 1,
      sym_text_interpolation,
  [75800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1022), 1,
      sym_declaration_list,
    STATE(2491), 1,
      sym_text_interpolation,
  [75816] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3673), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_declaration_list,
    STATE(2492), 1,
      sym_text_interpolation,
  [75832] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2493), 1,
      sym_text_interpolation,
    ACTIONS(4849), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75846] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4851), 1,
      anon_sym_SEMI,
    ACTIONS(4853), 1,
      sym__automatic_semicolon,
    STATE(2494), 1,
      sym_text_interpolation,
  [75862] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2495), 1,
      sym_text_interpolation,
    ACTIONS(4855), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75876] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2496), 1,
      sym_text_interpolation,
    ACTIONS(4857), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75890] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    STATE(2242), 1,
      sym_enum_declaration_list,
    STATE(2497), 1,
      sym_text_interpolation,
  [75906] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1137), 1,
      sym_compound_statement,
    STATE(2498), 1,
      sym_text_interpolation,
  [75922] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1035), 1,
      sym_compound_statement,
    STATE(2499), 1,
      sym_text_interpolation,
  [75938] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2500), 1,
      sym_text_interpolation,
    ACTIONS(4859), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75952] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1787), 1,
      sym_declaration_list,
    STATE(2501), 1,
      sym_text_interpolation,
  [75968] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2502), 1,
      sym_text_interpolation,
    ACTIONS(4861), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75982] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2113), 1,
      sym_variable_name,
    STATE(2503), 1,
      sym_text_interpolation,
  [75998] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2464), 1,
      sym_variable_name,
    STATE(2504), 1,
      sym_text_interpolation,
  [76014] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1216), 1,
      sym_compound_statement,
    STATE(2505), 1,
      sym_text_interpolation,
  [76030] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DOLLAR,
    STATE(2415), 1,
      sym_variable_name,
    STATE(2506), 1,
      sym_text_interpolation,
  [76046] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2507), 1,
      sym_text_interpolation,
    ACTIONS(4864), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76060] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2508), 1,
      sym_text_interpolation,
    ACTIONS(4866), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [76074] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2509), 1,
      sym_text_interpolation,
    ACTIONS(4045), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76088] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1774), 1,
      sym_declaration_list,
    STATE(2510), 1,
      sym_text_interpolation,
  [76104] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACE,
    STATE(2223), 1,
      sym_enum_declaration_list,
    STATE(2511), 1,
      sym_text_interpolation,
  [76120] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1045), 1,
      sym_compound_statement,
    STATE(2512), 1,
      sym_text_interpolation,
  [76136] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1134), 1,
      sym_compound_statement,
    STATE(2513), 1,
      sym_text_interpolation,
  [76152] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2514), 1,
      sym_text_interpolation,
    ACTIONS(4868), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76166] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1050), 1,
      sym_compound_statement,
    STATE(2515), 1,
      sym_text_interpolation,
  [76182] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    STATE(1168), 1,
      sym_match_block,
    STATE(2516), 1,
      sym_text_interpolation,
  [76198] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4872), 1,
      sym_name,
    STATE(2517), 1,
      sym_text_interpolation,
    STATE(2657), 1,
      sym_namespace_name,
  [76214] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4875), 1,
      sym__new_line,
    ACTIONS(4877), 1,
      sym_heredoc_end,
    STATE(2518), 1,
      sym_text_interpolation,
  [76230] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2519), 1,
      sym_text_interpolation,
    ACTIONS(4879), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76244] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4881), 1,
      sym__new_line,
    ACTIONS(4883), 1,
      sym_heredoc_end,
    STATE(2520), 1,
      sym_text_interpolation,
  [76260] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2521), 1,
      sym_text_interpolation,
    ACTIONS(4885), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76274] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2522), 1,
      sym_text_interpolation,
    ACTIONS(4887), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76288] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2523), 1,
      sym_text_interpolation,
    ACTIONS(4889), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76302] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2524), 1,
      sym_text_interpolation,
    ACTIONS(4891), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76316] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4656), 1,
      sym_name,
    STATE(2525), 1,
      sym_text_interpolation,
    STATE(2682), 1,
      sym_namespace_name,
  [76332] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    STATE(1034), 1,
      sym_declaration_list,
    STATE(2526), 1,
      sym_text_interpolation,
  [76348] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1133), 1,
      sym_compound_statement,
    STATE(2527), 1,
      sym_text_interpolation,
  [76364] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(1130), 1,
      sym_compound_statement,
    STATE(2528), 1,
      sym_text_interpolation,
  [76380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_LBRACE,
    STATE(608), 1,
      sym_enum_declaration_list,
    STATE(2529), 1,
      sym_text_interpolation,
  [76396] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(2123), 1,
      sym_formal_parameters,
    STATE(2530), 1,
      sym_text_interpolation,
  [76412] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2531), 1,
      sym_text_interpolation,
    ACTIONS(4893), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76426] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4659), 1,
      anon_sym_LPAREN,
    STATE(1760), 1,
      sym_formal_parameters,
    STATE(2532), 1,
      sym_text_interpolation,
  [76442] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2533), 1,
      sym_text_interpolation,
    ACTIONS(4895), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76456] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(1665), 1,
      sym_formal_parameters,
    STATE(2534), 1,
      sym_text_interpolation,
  [76472] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_COLON,
    ACTIONS(4897), 1,
      anon_sym_LPAREN,
    STATE(2535), 1,
      sym_text_interpolation,
  [76488] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(2231), 1,
      sym_formal_parameters,
    STATE(2536), 1,
      sym_text_interpolation,
  [76504] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2537), 1,
      sym_text_interpolation,
    ACTIONS(4080), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76518] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2778), 1,
      anon_sym_RPAREN,
    ACTIONS(4700), 1,
      anon_sym_EQ,
    STATE(2538), 1,
      sym_text_interpolation,
  [76534] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2539), 1,
      sym_text_interpolation,
    ACTIONS(2844), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [76548] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2540), 1,
      sym_text_interpolation,
    ACTIONS(4899), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76562] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4901), 1,
      anon_sym_SEMI,
    ACTIONS(4903), 1,
      sym__automatic_semicolon,
    STATE(2541), 1,
      sym_text_interpolation,
  [76578] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1032), 1,
      sym_compound_statement,
    STATE(2542), 1,
      sym_text_interpolation,
  [76594] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2543), 1,
      sym_text_interpolation,
    ACTIONS(3665), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76608] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2544), 1,
      sym_text_interpolation,
    ACTIONS(4370), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [76622] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(459), 1,
      anon_sym_COLON,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1998), 1,
      sym_colon_block,
    STATE(2545), 1,
      sym_text_interpolation,
  [76638] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2546), 1,
      sym_text_interpolation,
    ACTIONS(4905), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76652] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1146), 1,
      sym_declaration_list,
    STATE(2547), 1,
      sym_text_interpolation,
  [76668] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2548), 1,
      sym_text_interpolation,
    ACTIONS(2690), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76682] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2549), 1,
      sym_text_interpolation,
    ACTIONS(4907), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76696] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2550), 1,
      sym_text_interpolation,
    ACTIONS(4909), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76710] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(110), 1,
      sym_parenthesized_expression,
    STATE(2551), 1,
      sym_text_interpolation,
  [76726] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2552), 1,
      sym_text_interpolation,
    ACTIONS(4911), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76740] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(89), 1,
      sym_parenthesized_expression,
    STATE(2553), 1,
      sym_text_interpolation,
  [76756] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4913), 1,
      sym__new_line,
    ACTIONS(4915), 1,
      sym_heredoc_end,
    STATE(2554), 1,
      sym_text_interpolation,
  [76772] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym_nowdoc_string,
    STATE(1974), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2555), 1,
      sym_text_interpolation,
  [76788] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4917), 1,
      sym__new_line,
    ACTIONS(4919), 1,
      sym_heredoc_end,
    STATE(2556), 1,
      sym_text_interpolation,
  [76804] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(61), 1,
      sym_parenthesized_expression,
    STATE(2557), 1,
      sym_text_interpolation,
  [76820] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2558), 1,
      sym_text_interpolation,
    ACTIONS(4921), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76834] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2559), 1,
      sym_text_interpolation,
    ACTIONS(2690), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [76848] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1184), 1,
      sym_declaration_list,
    STATE(2560), 1,
      sym_text_interpolation,
  [76864] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(1021), 1,
      sym_compound_statement,
    STATE(2561), 1,
      sym_text_interpolation,
  [76880] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3296), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4923), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2562), 1,
      sym_text_interpolation,
  [76896] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(2143), 1,
      sym_formal_parameters,
    STATE(2563), 1,
      sym_text_interpolation,
  [76912] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2564), 1,
      sym_text_interpolation,
    ACTIONS(3473), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LPAREN,
    ACTIONS(4925), 1,
      anon_sym_RPAREN,
    STATE(2565), 1,
      sym_text_interpolation,
  [76942] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2566), 1,
      sym_text_interpolation,
    ACTIONS(4927), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76956] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2567), 1,
      sym_text_interpolation,
    ACTIONS(4929), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [76970] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_RPAREN,
    ACTIONS(4700), 1,
      anon_sym_EQ,
    STATE(2568), 1,
      sym_text_interpolation,
  [76986] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2569), 1,
      sym_text_interpolation,
    ACTIONS(4579), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77000] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_BSLASH,
    STATE(2470), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2570), 1,
      sym_text_interpolation,
  [77016] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2571), 1,
      sym_text_interpolation,
    ACTIONS(4931), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77030] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_LPAREN,
    STATE(2230), 1,
      sym_formal_parameters,
    STATE(2572), 1,
      sym_text_interpolation,
  [77046] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(1750), 1,
      sym_declaration_list,
    STATE(2573), 1,
      sym_text_interpolation,
  [77062] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    STATE(2574), 1,
      sym_text_interpolation,
    ACTIONS(2806), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [77076] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4076), 1,
      anon_sym_LBRACE,
    STATE(584), 1,
      sym_declaration_list,
    STATE(2575), 1,
      sym_text_interpolation,
  [77092] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(62), 1,
      sym_parenthesized_expression,
    STATE(2576), 1,
      sym_text_interpolation,
  [77108] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4933), 1,
      sym_heredoc_start,
    STATE(2577), 1,
      sym_text_interpolation,
  [77121] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4935), 1,
      sym_heredoc_end,
    STATE(2578), 1,
      sym_text_interpolation,
  [77134] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4937), 1,
      anon_sym_RPAREN,
    STATE(2579), 1,
      sym_text_interpolation,
  [77147] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4939), 1,
      anon_sym_RPAREN,
    STATE(2580), 1,
      sym_text_interpolation,
  [77160] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4941), 1,
      anon_sym_RPAREN,
    STATE(2581), 1,
      sym_text_interpolation,
  [77173] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4943), 1,
      anon_sym_RPAREN,
    STATE(2582), 1,
      sym_text_interpolation,
  [77186] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3853), 1,
      anon_sym_BSLASH,
    STATE(2583), 1,
      sym_text_interpolation,
  [77199] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_RPAREN,
    STATE(2584), 1,
      sym_text_interpolation,
  [77212] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_EQ,
    STATE(2585), 1,
      sym_text_interpolation,
  [77225] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4925), 1,
      anon_sym_RPAREN,
    STATE(2586), 1,
      sym_text_interpolation,
  [77238] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4947), 1,
      anon_sym_RPAREN,
    STATE(2587), 1,
      sym_text_interpolation,
  [77251] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4949), 1,
      anon_sym_RBRACK,
    STATE(2588), 1,
      sym_text_interpolation,
  [77264] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4951), 1,
      anon_sym_RPAREN,
    STATE(2589), 1,
      sym_text_interpolation,
  [77277] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4953), 1,
      sym_heredoc_end,
    STATE(2590), 1,
      sym_text_interpolation,
  [77290] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_COLON_COLON,
    STATE(2591), 1,
      sym_text_interpolation,
  [77303] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4957), 1,
      sym_heredoc_end,
    STATE(2592), 1,
      sym_text_interpolation,
  [77316] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_EQ,
    STATE(2593), 1,
      sym_text_interpolation,
  [77329] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_EQ_GT,
    STATE(2594), 1,
      sym_text_interpolation,
  [77342] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4402), 1,
      anon_sym_RBRACE,
    STATE(2595), 1,
      sym_text_interpolation,
  [77355] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4963), 1,
      aux_sym_if_statement_token2,
    STATE(2596), 1,
      sym_text_interpolation,
  [77368] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4965), 1,
      aux_sym_if_statement_token2,
    STATE(2597), 1,
      sym_text_interpolation,
  [77381] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2778), 1,
      anon_sym_RPAREN,
    STATE(2598), 1,
      sym_text_interpolation,
  [77394] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4967), 1,
      anon_sym_SEMI,
    STATE(2599), 1,
      sym_text_interpolation,
  [77407] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4969), 1,
      anon_sym_RPAREN,
    STATE(2600), 1,
      sym_text_interpolation,
  [77420] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4971), 1,
      anon_sym_BSLASH,
    STATE(2601), 1,
      sym_text_interpolation,
  [77433] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4973), 1,
      anon_sym_RPAREN,
    STATE(2602), 1,
      sym_text_interpolation,
  [77446] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4975), 1,
      sym_name,
    STATE(2603), 1,
      sym_text_interpolation,
  [77459] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4977), 1,
      sym_name,
    STATE(2604), 1,
      sym_text_interpolation,
  [77472] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4979), 1,
      sym_name,
    STATE(2605), 1,
      sym_text_interpolation,
  [77485] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4981), 1,
      anon_sym_RBRACK,
    STATE(2606), 1,
      sym_text_interpolation,
  [77498] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4983), 1,
      sym_name,
    STATE(2607), 1,
      sym_text_interpolation,
  [77511] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4985), 1,
      anon_sym_RPAREN,
    STATE(2608), 1,
      sym_text_interpolation,
  [77524] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4987), 1,
      sym_heredoc_end,
    STATE(2609), 1,
      sym_text_interpolation,
  [77537] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4989), 1,
      aux_sym_while_statement_token1,
    STATE(2610), 1,
      sym_text_interpolation,
  [77550] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_EQ_GT,
    STATE(2611), 1,
      sym_text_interpolation,
  [77563] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4993), 1,
      sym_name,
    STATE(2612), 1,
      sym_text_interpolation,
  [77576] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4995), 1,
      anon_sym_BSLASH,
    STATE(2613), 1,
      sym_text_interpolation,
  [77589] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3907), 1,
      sym_name,
    STATE(2614), 1,
      sym_text_interpolation,
  [77602] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym_LPAREN,
    STATE(2615), 1,
      sym_text_interpolation,
  [77615] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4999), 1,
      aux_sym_class_declaration_token1,
    STATE(2616), 1,
      sym_text_interpolation,
  [77628] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5001), 1,
      anon_sym_RPAREN,
    STATE(2617), 1,
      sym_text_interpolation,
  [77641] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4559), 1,
      anon_sym_LBRACE,
    STATE(2618), 1,
      sym_text_interpolation,
  [77654] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_EQ_GT,
    STATE(2619), 1,
      sym_text_interpolation,
  [77667] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5005), 1,
      sym_name,
    STATE(2620), 1,
      sym_text_interpolation,
  [77680] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5007), 1,
      sym_heredoc_start,
    STATE(2621), 1,
      sym_text_interpolation,
  [77693] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5009), 1,
      sym_heredoc_start,
    STATE(2622), 1,
      sym_text_interpolation,
  [77706] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5011), 1,
      sym_heredoc_end,
    STATE(2623), 1,
      sym_text_interpolation,
  [77719] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5013), 1,
      aux_sym_foreach_statement_token2,
    STATE(2624), 1,
      sym_text_interpolation,
  [77732] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5015), 1,
      anon_sym_RPAREN,
    STATE(2625), 1,
      sym_text_interpolation,
  [77745] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5017), 1,
      sym_name,
    STATE(2626), 1,
      sym_text_interpolation,
  [77758] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4431), 1,
      sym_name,
    STATE(2627), 1,
      sym_text_interpolation,
  [77771] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5019), 1,
      anon_sym_EQ_GT,
    STATE(2628), 1,
      sym_text_interpolation,
  [77784] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5021), 1,
      anon_sym_RPAREN,
    STATE(2629), 1,
      sym_text_interpolation,
  [77797] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5023), 1,
      anon_sym_EQ_GT,
    STATE(2630), 1,
      sym_text_interpolation,
  [77810] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5025), 1,
      anon_sym_RPAREN,
    STATE(2631), 1,
      sym_text_interpolation,
  [77823] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5027), 1,
      anon_sym_RPAREN,
    STATE(2632), 1,
      sym_text_interpolation,
  [77836] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5029), 1,
      sym_name,
    STATE(2633), 1,
      sym_text_interpolation,
  [77849] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5031), 1,
      aux_sym_if_statement_token2,
    STATE(2634), 1,
      sym_text_interpolation,
  [77862] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_RPAREN,
    STATE(2635), 1,
      sym_text_interpolation,
  [77875] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5033), 1,
      sym_name,
    STATE(2636), 1,
      sym_text_interpolation,
  [77888] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_text_interpolation,
  [77901] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_RPAREN,
    STATE(2638), 1,
      sym_text_interpolation,
  [77914] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4537), 1,
      anon_sym_LBRACE,
    STATE(2639), 1,
      sym_text_interpolation,
  [77927] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4700), 1,
      anon_sym_EQ,
    STATE(2640), 1,
      sym_text_interpolation,
  [77940] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5037), 1,
      anon_sym_EQ_GT,
    STATE(2641), 1,
      sym_text_interpolation,
  [77953] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5039), 1,
      aux_sym_if_statement_token2,
    STATE(2642), 1,
      sym_text_interpolation,
  [77966] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5041), 1,
      sym_name,
    STATE(2643), 1,
      sym_text_interpolation,
  [77979] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5043), 1,
      sym_name,
    STATE(2644), 1,
      sym_text_interpolation,
  [77992] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5045), 1,
      anon_sym_EQ_GT,
    STATE(2645), 1,
      sym_text_interpolation,
  [78005] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5047), 1,
      anon_sym_EQ,
    STATE(2646), 1,
      sym_text_interpolation,
  [78018] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5049), 1,
      anon_sym_COLON_COLON,
    STATE(2647), 1,
      sym_text_interpolation,
  [78031] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5051), 1,
      anon_sym_RPAREN,
    STATE(2648), 1,
      sym_text_interpolation,
  [78044] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5053), 1,
      sym_heredoc_end,
    STATE(2649), 1,
      sym_text_interpolation,
  [78057] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5055), 1,
      anon_sym_COLON_COLON,
    STATE(2650), 1,
      sym_text_interpolation,
  [78070] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COLON_COLON,
    STATE(2651), 1,
      sym_text_interpolation,
  [78083] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(3872), 1,
      sym_name,
    STATE(2652), 1,
      sym_text_interpolation,
  [78096] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5057), 1,
      anon_sym_COLON_COLON,
    STATE(2653), 1,
      sym_text_interpolation,
  [78109] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5059), 1,
      sym_heredoc_end,
    STATE(2654), 1,
      sym_text_interpolation,
  [78122] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5061), 1,
      anon_sym_RPAREN,
    STATE(2655), 1,
      sym_text_interpolation,
  [78135] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_EQ,
    STATE(2656), 1,
      sym_text_interpolation,
  [78148] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5065), 1,
      anon_sym_BSLASH,
    STATE(2657), 1,
      sym_text_interpolation,
  [78161] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4435), 1,
      sym_name,
    STATE(2658), 1,
      sym_text_interpolation,
  [78174] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5067), 1,
      sym_name,
    STATE(2659), 1,
      sym_text_interpolation,
  [78187] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_SQUOTE2,
    STATE(2660), 1,
      sym_text_interpolation,
  [78200] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5071), 1,
      anon_sym_EQ_GT,
    STATE(2661), 1,
      sym_text_interpolation,
  [78213] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5073), 1,
      anon_sym_RPAREN,
    STATE(2662), 1,
      sym_text_interpolation,
  [78226] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5075), 1,
      anon_sym_RPAREN,
    STATE(2663), 1,
      sym_text_interpolation,
  [78239] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5077), 1,
      anon_sym_EQ_GT,
    STATE(2664), 1,
      sym_text_interpolation,
  [78252] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5079), 1,
      anon_sym_RPAREN,
    STATE(2665), 1,
      sym_text_interpolation,
  [78265] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5081), 1,
      aux_sym_while_statement_token2,
    STATE(2666), 1,
      sym_text_interpolation,
  [78278] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_RPAREN,
    STATE(2667), 1,
      sym_text_interpolation,
  [78291] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_EQ_GT,
    STATE(2668), 1,
      sym_text_interpolation,
  [78304] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_BSLASH,
    STATE(2669), 1,
      sym_text_interpolation,
  [78317] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5089), 1,
      sym_name,
    STATE(2670), 1,
      sym_text_interpolation,
  [78330] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4337), 1,
      anon_sym_RPAREN,
    STATE(2671), 1,
      sym_text_interpolation,
  [78343] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5091), 1,
      sym_name,
    STATE(2672), 1,
      sym_text_interpolation,
  [78356] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5093), 1,
      aux_sym_while_statement_token2,
    STATE(2673), 1,
      sym_text_interpolation,
  [78369] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5095), 1,
      sym_name,
    STATE(2674), 1,
      sym_text_interpolation,
  [78382] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym_RPAREN,
    STATE(2675), 1,
      sym_text_interpolation,
  [78395] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5097), 1,
      sym_name,
    STATE(2676), 1,
      sym_text_interpolation,
  [78408] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5099), 1,
      aux_sym_foreach_statement_token2,
    STATE(2677), 1,
      sym_text_interpolation,
  [78421] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5101), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_text_interpolation,
  [78434] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5103), 1,
      anon_sym_BSLASH,
    STATE(2679), 1,
      sym_text_interpolation,
  [78447] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5105), 1,
      sym_name,
    STATE(2680), 1,
      sym_text_interpolation,
  [78460] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5107), 1,
      anon_sym_LPAREN,
    STATE(2681), 1,
      sym_text_interpolation,
  [78473] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5109), 1,
      anon_sym_BSLASH,
    STATE(2682), 1,
      sym_text_interpolation,
  [78486] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5111), 1,
      anon_sym_RPAREN,
    STATE(2683), 1,
      sym_text_interpolation,
  [78499] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_text_interpolation,
  [78512] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5113), 1,
      sym_name,
    STATE(2685), 1,
      sym_text_interpolation,
  [78525] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5115), 1,
      aux_sym_class_declaration_token1,
    STATE(2686), 1,
      sym_text_interpolation,
  [78538] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5117), 1,
      sym_heredoc_end,
    STATE(2687), 1,
      sym_text_interpolation,
  [78551] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_BSLASH,
    STATE(2688), 1,
      sym_text_interpolation,
  [78564] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_COLON_COLON,
    STATE(2689), 1,
      sym_text_interpolation,
  [78577] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5123), 1,
      sym_name,
    STATE(2690), 1,
      sym_text_interpolation,
  [78590] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5125), 1,
      anon_sym_LPAREN,
    STATE(2691), 1,
      sym_text_interpolation,
  [78603] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_SQUOTE2,
    STATE(2692), 1,
      sym_text_interpolation,
  [78616] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5129), 1,
      aux_sym_while_statement_token1,
    STATE(2693), 1,
      sym_text_interpolation,
  [78629] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5131), 1,
      sym_name,
    STATE(2694), 1,
      sym_text_interpolation,
  [78642] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5133), 1,
      sym_heredoc_start,
    STATE(2695), 1,
      sym_text_interpolation,
  [78655] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_RPAREN,
    STATE(2696), 1,
      sym_text_interpolation,
  [78668] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5135), 1,
      anon_sym_BSLASH,
    STATE(2697), 1,
      sym_text_interpolation,
  [78681] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5137), 1,
      anon_sym_BSLASH,
    STATE(2698), 1,
      sym_text_interpolation,
  [78694] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LPAREN,
    STATE(2699), 1,
      sym_text_interpolation,
  [78707] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5139), 1,
      sym_name,
    STATE(2700), 1,
      sym_text_interpolation,
  [78720] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5141), 1,
      sym_name,
    STATE(2701), 1,
      sym_text_interpolation,
  [78733] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5143), 1,
      anon_sym_RPAREN,
    STATE(2702), 1,
      sym_text_interpolation,
  [78746] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN,
    STATE(2703), 1,
      sym_text_interpolation,
  [78759] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5147), 1,
      sym_name,
    STATE(2704), 1,
      sym_text_interpolation,
  [78772] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5149), 1,
      sym_name,
    STATE(2705), 1,
      sym_text_interpolation,
  [78785] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5151), 1,
      anon_sym_BSLASH,
    STATE(2706), 1,
      sym_text_interpolation,
  [78798] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5153), 1,
      anon_sym_RBRACK,
    STATE(2707), 1,
      sym_text_interpolation,
  [78811] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5155), 1,
      sym_integer,
    STATE(2708), 1,
      sym_text_interpolation,
  [78824] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym_LPAREN,
    STATE(2709), 1,
      sym_text_interpolation,
  [78837] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_SEMI,
    STATE(2710), 1,
      sym_text_interpolation,
  [78850] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_LPAREN,
    STATE(2711), 1,
      sym_text_interpolation,
  [78863] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_COLON_COLON,
    STATE(2712), 1,
      sym_text_interpolation,
  [78876] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym_LPAREN,
    STATE(2713), 1,
      sym_text_interpolation,
  [78889] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_RBRACK,
    STATE(2714), 1,
      sym_text_interpolation,
  [78902] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_RPAREN,
    STATE(2715), 1,
      sym_text_interpolation,
  [78915] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_RBRACK,
    STATE(2716), 1,
      sym_text_interpolation,
  [78928] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5171), 1,
      sym_name,
    STATE(2717), 1,
      sym_text_interpolation,
  [78941] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5173), 1,
      anon_sym_SEMI,
    STATE(2718), 1,
      sym_text_interpolation,
  [78954] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(2828), 1,
      anon_sym_RPAREN,
    STATE(2719), 1,
      sym_text_interpolation,
  [78967] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym_COLON_COLON,
    STATE(2720), 1,
      sym_text_interpolation,
  [78980] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym_EQ_GT,
    STATE(2721), 1,
      sym_text_interpolation,
  [78993] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_RPAREN,
    STATE(2722), 1,
      sym_text_interpolation,
  [79006] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5181), 1,
      anon_sym_RPAREN,
    STATE(2723), 1,
      sym_text_interpolation,
  [79019] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_RBRACK,
    STATE(2724), 1,
      sym_text_interpolation,
  [79032] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5183), 1,
      anon_sym_RPAREN,
    STATE(2725), 1,
      sym_text_interpolation,
  [79045] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5185), 1,
      anon_sym_RPAREN,
    STATE(2726), 1,
      sym_text_interpolation,
  [79058] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5187), 1,
      anon_sym_SEMI,
    STATE(2727), 1,
      sym_text_interpolation,
  [79071] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4565), 1,
      anon_sym_RPAREN,
    STATE(2728), 1,
      sym_text_interpolation,
  [79084] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5189), 1,
      anon_sym_LPAREN,
    STATE(2729), 1,
      sym_text_interpolation,
  [79097] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5191), 1,
      anon_sym_RPAREN,
    STATE(2730), 1,
      sym_text_interpolation,
  [79110] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5193), 1,
      anon_sym_RPAREN,
    STATE(2731), 1,
      sym_text_interpolation,
  [79123] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    STATE(2732), 1,
      sym_text_interpolation,
  [79136] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_RPAREN,
    STATE(2733), 1,
      sym_text_interpolation,
  [79149] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4282), 1,
      anon_sym_RPAREN,
    STATE(2734), 1,
      sym_text_interpolation,
  [79162] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_RPAREN,
    STATE(2735), 1,
      sym_text_interpolation,
  [79175] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_EQ,
    STATE(2736), 1,
      sym_text_interpolation,
  [79188] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5203), 1,
      sym_name,
    STATE(2737), 1,
      sym_text_interpolation,
  [79201] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5205), 1,
      sym_name,
    STATE(2738), 1,
      sym_text_interpolation,
  [79214] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_COLON_COLON,
    STATE(2739), 1,
      sym_text_interpolation,
  [79227] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5209), 1,
      anon_sym_SEMI,
    STATE(2740), 1,
      sym_text_interpolation,
  [79240] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5211), 1,
      sym_name,
    STATE(2741), 1,
      sym_text_interpolation,
  [79253] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5213), 1,
      sym_name,
    STATE(2742), 1,
      sym_text_interpolation,
  [79266] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_RPAREN,
    STATE(2743), 1,
      sym_text_interpolation,
  [79279] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5217), 1,
      anon_sym_SEMI,
    STATE(2744), 1,
      sym_text_interpolation,
  [79292] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5219), 1,
      sym_name,
    STATE(2745), 1,
      sym_text_interpolation,
  [79305] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_RPAREN,
    STATE(2746), 1,
      sym_text_interpolation,
  [79318] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_RPAREN,
    STATE(2747), 1,
      sym_text_interpolation,
  [79331] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5221), 1,
      sym_name,
    STATE(2748), 1,
      sym_text_interpolation,
  [79344] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5223), 1,
      anon_sym_EQ_GT,
    STATE(2749), 1,
      sym_text_interpolation,
  [79357] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5225), 1,
      anon_sym_COLON_COLON,
    STATE(2750), 1,
      sym_text_interpolation,
  [79370] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_RPAREN,
    STATE(2751), 1,
      sym_text_interpolation,
  [79383] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5227), 1,
      anon_sym_RBRACK,
    STATE(2752), 1,
      sym_text_interpolation,
  [79396] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_EQ_GT,
    STATE(2753), 1,
      sym_text_interpolation,
  [79409] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_RPAREN,
    STATE(2754), 1,
      sym_text_interpolation,
  [79422] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5231), 1,
      sym_heredoc_end,
    STATE(2755), 1,
      sym_text_interpolation,
  [79435] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5233), 1,
      anon_sym_LPAREN,
    STATE(2756), 1,
      sym_text_interpolation,
  [79448] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_LPAREN,
    STATE(2757), 1,
      sym_text_interpolation,
  [79461] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5237), 1,
      anon_sym_COLON_COLON,
    STATE(2758), 1,
      sym_text_interpolation,
  [79474] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5239), 1,
      anon_sym_COLON_COLON,
    STATE(2759), 1,
      sym_text_interpolation,
  [79487] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5241), 1,
      sym_heredoc_end,
    STATE(2760), 1,
      sym_text_interpolation,
  [79500] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_RPAREN,
    STATE(2761), 1,
      sym_text_interpolation,
  [79513] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5243), 1,
      anon_sym_SEMI,
    STATE(2762), 1,
      sym_text_interpolation,
  [79526] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_RPAREN,
    STATE(2763), 1,
      sym_text_interpolation,
  [79539] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5247), 1,
      anon_sym_LPAREN,
    STATE(2764), 1,
      sym_text_interpolation,
  [79552] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5249), 1,
      sym_name,
    STATE(2765), 1,
      sym_text_interpolation,
  [79565] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5251), 1,
      anon_sym_SEMI,
    STATE(2766), 1,
      sym_text_interpolation,
  [79578] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_LPAREN,
    STATE(2767), 1,
      sym_text_interpolation,
  [79591] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_SEMI,
    STATE(2768), 1,
      sym_text_interpolation,
  [79604] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_RPAREN,
    STATE(2769), 1,
      sym_text_interpolation,
  [79617] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5257), 1,
      anon_sym_RPAREN,
    STATE(2770), 1,
      sym_text_interpolation,
  [79630] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5259), 1,
      anon_sym_SEMI,
    STATE(2771), 1,
      sym_text_interpolation,
  [79643] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5261), 1,
      anon_sym_LPAREN,
    STATE(2772), 1,
      sym_text_interpolation,
  [79656] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5263), 1,
      anon_sym_LPAREN,
    STATE(2773), 1,
      sym_text_interpolation,
  [79669] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_SEMI,
    STATE(2774), 1,
      sym_text_interpolation,
  [79682] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4642), 1,
      anon_sym_RBRACE,
    STATE(2775), 1,
      sym_text_interpolation,
  [79695] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_LPAREN,
    STATE(2776), 1,
      sym_text_interpolation,
  [79708] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5269), 1,
      anon_sym_LPAREN,
    STATE(2777), 1,
      sym_text_interpolation,
  [79721] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5271), 1,
      aux_sym_if_statement_token2,
    STATE(2778), 1,
      sym_text_interpolation,
  [79734] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(4646), 1,
      anon_sym_RPAREN,
    STATE(2779), 1,
      sym_text_interpolation,
  [79747] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5273), 1,
      anon_sym_COLON_COLON,
    STATE(2780), 1,
      sym_text_interpolation,
  [79760] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5275), 1,
      anon_sym_SEMI,
    STATE(2781), 1,
      sym_text_interpolation,
  [79773] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_EQ_GT,
    STATE(2782), 1,
      sym_text_interpolation,
  [79786] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LPAREN,
    STATE(2783), 1,
      sym_text_interpolation,
  [79799] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5281), 1,
      ts_builtin_sym_end,
    STATE(2784), 1,
      sym_text_interpolation,
  [79812] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_LPAREN,
    STATE(2785), 1,
      sym_text_interpolation,
  [79825] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_LPAREN,
    STATE(2786), 1,
      sym_text_interpolation,
  [79838] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1740), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_RPAREN,
    STATE(2787), 1,
      sym_text_interpolation,
  [79851] = 1,
    ACTIONS(5289), 1,
      ts_builtin_sym_end,
  [79855] = 1,
    ACTIONS(5291), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(637)] = 0,
  [SMALL_STATE(638)] = 87,
  [SMALL_STATE(639)] = 166,
  [SMALL_STATE(640)] = 245,
  [SMALL_STATE(641)] = 324,
  [SMALL_STATE(642)] = 403,
  [SMALL_STATE(643)] = 482,
  [SMALL_STATE(644)] = 556,
  [SMALL_STATE(645)] = 630,
  [SMALL_STATE(646)] = 704,
  [SMALL_STATE(647)] = 778,
  [SMALL_STATE(648)] = 852,
  [SMALL_STATE(649)] = 926,
  [SMALL_STATE(650)] = 1000,
  [SMALL_STATE(651)] = 1074,
  [SMALL_STATE(652)] = 1148,
  [SMALL_STATE(653)] = 1222,
  [SMALL_STATE(654)] = 1296,
  [SMALL_STATE(655)] = 1370,
  [SMALL_STATE(656)] = 1444,
  [SMALL_STATE(657)] = 1525,
  [SMALL_STATE(658)] = 1610,
  [SMALL_STATE(659)] = 1694,
  [SMALL_STATE(660)] = 1769,
  [SMALL_STATE(661)] = 1844,
  [SMALL_STATE(662)] = 1927,
  [SMALL_STATE(663)] = 2016,
  [SMALL_STATE(664)] = 2099,
  [SMALL_STATE(665)] = 2178,
  [SMALL_STATE(666)] = 2253,
  [SMALL_STATE(667)] = 2328,
  [SMALL_STATE(668)] = 2403,
  [SMALL_STATE(669)] = 2486,
  [SMALL_STATE(670)] = 2556,
  [SMALL_STATE(671)] = 2640,
  [SMALL_STATE(672)] = 2710,
  [SMALL_STATE(673)] = 2794,
  [SMALL_STATE(674)] = 2864,
  [SMALL_STATE(675)] = 2934,
  [SMALL_STATE(676)] = 3004,
  [SMALL_STATE(677)] = 3074,
  [SMALL_STATE(678)] = 3152,
  [SMALL_STATE(679)] = 3222,
  [SMALL_STATE(680)] = 3306,
  [SMALL_STATE(681)] = 3376,
  [SMALL_STATE(682)] = 3446,
  [SMALL_STATE(683)] = 3516,
  [SMALL_STATE(684)] = 3598,
  [SMALL_STATE(685)] = 3668,
  [SMALL_STATE(686)] = 3738,
  [SMALL_STATE(687)] = 3808,
  [SMALL_STATE(688)] = 3878,
  [SMALL_STATE(689)] = 3948,
  [SMALL_STATE(690)] = 4018,
  [SMALL_STATE(691)] = 4088,
  [SMALL_STATE(692)] = 4171,
  [SMALL_STATE(693)] = 4254,
  [SMALL_STATE(694)] = 4331,
  [SMALL_STATE(695)] = 4408,
  [SMALL_STATE(696)] = 4485,
  [SMALL_STATE(697)] = 4561,
  [SMALL_STATE(698)] = 4639,
  [SMALL_STATE(699)] = 4717,
  [SMALL_STATE(700)] = 4795,
  [SMALL_STATE(701)] = 4872,
  [SMALL_STATE(702)] = 4936,
  [SMALL_STATE(703)] = 5051,
  [SMALL_STATE(704)] = 5166,
  [SMALL_STATE(705)] = 5231,
  [SMALL_STATE(706)] = 5302,
  [SMALL_STATE(707)] = 5367,
  [SMALL_STATE(708)] = 5432,
  [SMALL_STATE(709)] = 5497,
  [SMALL_STATE(710)] = 5568,
  [SMALL_STATE(711)] = 5629,
  [SMALL_STATE(712)] = 5694,
  [SMALL_STATE(713)] = 5763,
  [SMALL_STATE(714)] = 5834,
  [SMALL_STATE(715)] = 5901,
  [SMALL_STATE(716)] = 5972,
  [SMALL_STATE(717)] = 6032,
  [SMALL_STATE(718)] = 6092,
  [SMALL_STATE(719)] = 6152,
  [SMALL_STATE(720)] = 6262,
  [SMALL_STATE(721)] = 6322,
  [SMALL_STATE(722)] = 6432,
  [SMALL_STATE(723)] = 6492,
  [SMALL_STATE(724)] = 6556,
  [SMALL_STATE(725)] = 6616,
  [SMALL_STATE(726)] = 6680,
  [SMALL_STATE(727)] = 6740,
  [SMALL_STATE(728)] = 6800,
  [SMALL_STATE(729)] = 6860,
  [SMALL_STATE(730)] = 6970,
  [SMALL_STATE(731)] = 7030,
  [SMALL_STATE(732)] = 7090,
  [SMALL_STATE(733)] = 7150,
  [SMALL_STATE(734)] = 7260,
  [SMALL_STATE(735)] = 7320,
  [SMALL_STATE(736)] = 7380,
  [SMALL_STATE(737)] = 7440,
  [SMALL_STATE(738)] = 7500,
  [SMALL_STATE(739)] = 7560,
  [SMALL_STATE(740)] = 7621,
  [SMALL_STATE(741)] = 7686,
  [SMALL_STATE(742)] = 7751,
  [SMALL_STATE(743)] = 7858,
  [SMALL_STATE(744)] = 7921,
  [SMALL_STATE(745)] = 7986,
  [SMALL_STATE(746)] = 8051,
  [SMALL_STATE(747)] = 8116,
  [SMALL_STATE(748)] = 8181,
  [SMALL_STATE(749)] = 8244,
  [SMALL_STATE(750)] = 8305,
  [SMALL_STATE(751)] = 8366,
  [SMALL_STATE(752)] = 8427,
  [SMALL_STATE(753)] = 8488,
  [SMALL_STATE(754)] = 8549,
  [SMALL_STATE(755)] = 8612,
  [SMALL_STATE(756)] = 8675,
  [SMALL_STATE(757)] = 8738,
  [SMALL_STATE(758)] = 8803,
  [SMALL_STATE(759)] = 8910,
  [SMALL_STATE(760)] = 9013,
  [SMALL_STATE(761)] = 9078,
  [SMALL_STATE(762)] = 9143,
  [SMALL_STATE(763)] = 9208,
  [SMALL_STATE(764)] = 9271,
  [SMALL_STATE(765)] = 9336,
  [SMALL_STATE(766)] = 9399,
  [SMALL_STATE(767)] = 9462,
  [SMALL_STATE(768)] = 9527,
  [SMALL_STATE(769)] = 9592,
  [SMALL_STATE(770)] = 9657,
  [SMALL_STATE(771)] = 9758,
  [SMALL_STATE(772)] = 9821,
  [SMALL_STATE(773)] = 9884,
  [SMALL_STATE(774)] = 9947,
  [SMALL_STATE(775)] = 10010,
  [SMALL_STATE(776)] = 10073,
  [SMALL_STATE(777)] = 10136,
  [SMALL_STATE(778)] = 10243,
  [SMALL_STATE(779)] = 10350,
  [SMALL_STATE(780)] = 10457,
  [SMALL_STATE(781)] = 10564,
  [SMALL_STATE(782)] = 10667,
  [SMALL_STATE(783)] = 10771,
  [SMALL_STATE(784)] = 10829,
  [SMALL_STATE(785)] = 10887,
  [SMALL_STATE(786)] = 10947,
  [SMALL_STATE(787)] = 11005,
  [SMALL_STATE(788)] = 11063,
  [SMALL_STATE(789)] = 11121,
  [SMALL_STATE(790)] = 11179,
  [SMALL_STATE(791)] = 11237,
  [SMALL_STATE(792)] = 11295,
  [SMALL_STATE(793)] = 11399,
  [SMALL_STATE(794)] = 11457,
  [SMALL_STATE(795)] = 11515,
  [SMALL_STATE(796)] = 11573,
  [SMALL_STATE(797)] = 11631,
  [SMALL_STATE(798)] = 11689,
  [SMALL_STATE(799)] = 11747,
  [SMALL_STATE(800)] = 11805,
  [SMALL_STATE(801)] = 11863,
  [SMALL_STATE(802)] = 11921,
  [SMALL_STATE(803)] = 11979,
  [SMALL_STATE(804)] = 12037,
  [SMALL_STATE(805)] = 12095,
  [SMALL_STATE(806)] = 12153,
  [SMALL_STATE(807)] = 12211,
  [SMALL_STATE(808)] = 12269,
  [SMALL_STATE(809)] = 12327,
  [SMALL_STATE(810)] = 12385,
  [SMALL_STATE(811)] = 12445,
  [SMALL_STATE(812)] = 12503,
  [SMALL_STATE(813)] = 12561,
  [SMALL_STATE(814)] = 12619,
  [SMALL_STATE(815)] = 12677,
  [SMALL_STATE(816)] = 12735,
  [SMALL_STATE(817)] = 12793,
  [SMALL_STATE(818)] = 12851,
  [SMALL_STATE(819)] = 12909,
  [SMALL_STATE(820)] = 12967,
  [SMALL_STATE(821)] = 13025,
  [SMALL_STATE(822)] = 13083,
  [SMALL_STATE(823)] = 13141,
  [SMALL_STATE(824)] = 13199,
  [SMALL_STATE(825)] = 13257,
  [SMALL_STATE(826)] = 13315,
  [SMALL_STATE(827)] = 13373,
  [SMALL_STATE(828)] = 13431,
  [SMALL_STATE(829)] = 13489,
  [SMALL_STATE(830)] = 13547,
  [SMALL_STATE(831)] = 13605,
  [SMALL_STATE(832)] = 13664,
  [SMALL_STATE(833)] = 13725,
  [SMALL_STATE(834)] = 13782,
  [SMALL_STATE(835)] = 13843,
  [SMALL_STATE(836)] = 13910,
  [SMALL_STATE(837)] = 13971,
  [SMALL_STATE(838)] = 14034,
  [SMALL_STATE(839)] = 14101,
  [SMALL_STATE(840)] = 14162,
  [SMALL_STATE(841)] = 14219,
  [SMALL_STATE(842)] = 14286,
  [SMALL_STATE(843)] = 14345,
  [SMALL_STATE(844)] = 14412,
  [SMALL_STATE(845)] = 14477,
  [SMALL_STATE(846)] = 14536,
  [SMALL_STATE(847)] = 14593,
  [SMALL_STATE(848)] = 14654,
  [SMALL_STATE(849)] = 14713,
  [SMALL_STATE(850)] = 14772,
  [SMALL_STATE(851)] = 14833,
  [SMALL_STATE(852)] = 14901,
  [SMALL_STATE(853)] = 14999,
  [SMALL_STATE(854)] = 15067,
  [SMALL_STATE(855)] = 15123,
  [SMALL_STATE(856)] = 15221,
  [SMALL_STATE(857)] = 15277,
  [SMALL_STATE(858)] = 15333,
  [SMALL_STATE(859)] = 15389,
  [SMALL_STATE(860)] = 15487,
  [SMALL_STATE(861)] = 15543,
  [SMALL_STATE(862)] = 15599,
  [SMALL_STATE(863)] = 15655,
  [SMALL_STATE(864)] = 15711,
  [SMALL_STATE(865)] = 15767,
  [SMALL_STATE(866)] = 15823,
  [SMALL_STATE(867)] = 15879,
  [SMALL_STATE(868)] = 15947,
  [SMALL_STATE(869)] = 16003,
  [SMALL_STATE(870)] = 16059,
  [SMALL_STATE(871)] = 16115,
  [SMALL_STATE(872)] = 16171,
  [SMALL_STATE(873)] = 16227,
  [SMALL_STATE(874)] = 16283,
  [SMALL_STATE(875)] = 16381,
  [SMALL_STATE(876)] = 16437,
  [SMALL_STATE(877)] = 16494,
  [SMALL_STATE(878)] = 16551,
  [SMALL_STATE(879)] = 16610,
  [SMALL_STATE(880)] = 16705,
  [SMALL_STATE(881)] = 16766,
  [SMALL_STATE(882)] = 16827,
  [SMALL_STATE(883)] = 16922,
  [SMALL_STATE(884)] = 17017,
  [SMALL_STATE(885)] = 17078,
  [SMALL_STATE(886)] = 17139,
  [SMALL_STATE(887)] = 17198,
  [SMALL_STATE(888)] = 17259,
  [SMALL_STATE(889)] = 17354,
  [SMALL_STATE(890)] = 17449,
  [SMALL_STATE(891)] = 17506,
  [SMALL_STATE(892)] = 17563,
  [SMALL_STATE(893)] = 17658,
  [SMALL_STATE(894)] = 17715,
  [SMALL_STATE(895)] = 17776,
  [SMALL_STATE(896)] = 17837,
  [SMALL_STATE(897)] = 17896,
  [SMALL_STATE(898)] = 17951,
  [SMALL_STATE(899)] = 18010,
  [SMALL_STATE(900)] = 18067,
  [SMALL_STATE(901)] = 18124,
  [SMALL_STATE(902)] = 18185,
  [SMALL_STATE(903)] = 18246,
  [SMALL_STATE(904)] = 18307,
  [SMALL_STATE(905)] = 18402,
  [SMALL_STATE(906)] = 18463,
  [SMALL_STATE(907)] = 18518,
  [SMALL_STATE(908)] = 18577,
  [SMALL_STATE(909)] = 18672,
  [SMALL_STATE(910)] = 18731,
  [SMALL_STATE(911)] = 18826,
  [SMALL_STATE(912)] = 18921,
  [SMALL_STATE(913)] = 18980,
  [SMALL_STATE(914)] = 19039,
  [SMALL_STATE(915)] = 19098,
  [SMALL_STATE(916)] = 19157,
  [SMALL_STATE(917)] = 19216,
  [SMALL_STATE(918)] = 19275,
  [SMALL_STATE(919)] = 19330,
  [SMALL_STATE(920)] = 19389,
  [SMALL_STATE(921)] = 19448,
  [SMALL_STATE(922)] = 19509,
  [SMALL_STATE(923)] = 19564,
  [SMALL_STATE(924)] = 19659,
  [SMALL_STATE(925)] = 19718,
  [SMALL_STATE(926)] = 19779,
  [SMALL_STATE(927)] = 19840,
  [SMALL_STATE(928)] = 19935,
  [SMALL_STATE(929)] = 20030,
  [SMALL_STATE(930)] = 20125,
  [SMALL_STATE(931)] = 20220,
  [SMALL_STATE(932)] = 20274,
  [SMALL_STATE(933)] = 20328,
  [SMALL_STATE(934)] = 20382,
  [SMALL_STATE(935)] = 20436,
  [SMALL_STATE(936)] = 20490,
  [SMALL_STATE(937)] = 20544,
  [SMALL_STATE(938)] = 20598,
  [SMALL_STATE(939)] = 20652,
  [SMALL_STATE(940)] = 20706,
  [SMALL_STATE(941)] = 20760,
  [SMALL_STATE(942)] = 20814,
  [SMALL_STATE(943)] = 20868,
  [SMALL_STATE(944)] = 20922,
  [SMALL_STATE(945)] = 20976,
  [SMALL_STATE(946)] = 21030,
  [SMALL_STATE(947)] = 21084,
  [SMALL_STATE(948)] = 21138,
  [SMALL_STATE(949)] = 21192,
  [SMALL_STATE(950)] = 21246,
  [SMALL_STATE(951)] = 21300,
  [SMALL_STATE(952)] = 21354,
  [SMALL_STATE(953)] = 21410,
  [SMALL_STATE(954)] = 21464,
  [SMALL_STATE(955)] = 21518,
  [SMALL_STATE(956)] = 21572,
  [SMALL_STATE(957)] = 21626,
  [SMALL_STATE(958)] = 21680,
  [SMALL_STATE(959)] = 21734,
  [SMALL_STATE(960)] = 21792,
  [SMALL_STATE(961)] = 21846,
  [SMALL_STATE(962)] = 21900,
  [SMALL_STATE(963)] = 21954,
  [SMALL_STATE(964)] = 22010,
  [SMALL_STATE(965)] = 22064,
  [SMALL_STATE(966)] = 22118,
  [SMALL_STATE(967)] = 22172,
  [SMALL_STATE(968)] = 22226,
  [SMALL_STATE(969)] = 22280,
  [SMALL_STATE(970)] = 22334,
  [SMALL_STATE(971)] = 22388,
  [SMALL_STATE(972)] = 22444,
  [SMALL_STATE(973)] = 22498,
  [SMALL_STATE(974)] = 22552,
  [SMALL_STATE(975)] = 22606,
  [SMALL_STATE(976)] = 22660,
  [SMALL_STATE(977)] = 22714,
  [SMALL_STATE(978)] = 22768,
  [SMALL_STATE(979)] = 22822,
  [SMALL_STATE(980)] = 22876,
  [SMALL_STATE(981)] = 22931,
  [SMALL_STATE(982)] = 22986,
  [SMALL_STATE(983)] = 23041,
  [SMALL_STATE(984)] = 23096,
  [SMALL_STATE(985)] = 23151,
  [SMALL_STATE(986)] = 23203,
  [SMALL_STATE(987)] = 23255,
  [SMALL_STATE(988)] = 23307,
  [SMALL_STATE(989)] = 23359,
  [SMALL_STATE(990)] = 23411,
  [SMALL_STATE(991)] = 23463,
  [SMALL_STATE(992)] = 23515,
  [SMALL_STATE(993)] = 23567,
  [SMALL_STATE(994)] = 23619,
  [SMALL_STATE(995)] = 23671,
  [SMALL_STATE(996)] = 23723,
  [SMALL_STATE(997)] = 23775,
  [SMALL_STATE(998)] = 23827,
  [SMALL_STATE(999)] = 23879,
  [SMALL_STATE(1000)] = 23931,
  [SMALL_STATE(1001)] = 23983,
  [SMALL_STATE(1002)] = 24035,
  [SMALL_STATE(1003)] = 24087,
  [SMALL_STATE(1004)] = 24139,
  [SMALL_STATE(1005)] = 24191,
  [SMALL_STATE(1006)] = 24243,
  [SMALL_STATE(1007)] = 24295,
  [SMALL_STATE(1008)] = 24347,
  [SMALL_STATE(1009)] = 24399,
  [SMALL_STATE(1010)] = 24451,
  [SMALL_STATE(1011)] = 24503,
  [SMALL_STATE(1012)] = 24555,
  [SMALL_STATE(1013)] = 24607,
  [SMALL_STATE(1014)] = 24659,
  [SMALL_STATE(1015)] = 24711,
  [SMALL_STATE(1016)] = 24763,
  [SMALL_STATE(1017)] = 24815,
  [SMALL_STATE(1018)] = 24867,
  [SMALL_STATE(1019)] = 24921,
  [SMALL_STATE(1020)] = 24973,
  [SMALL_STATE(1021)] = 25025,
  [SMALL_STATE(1022)] = 25077,
  [SMALL_STATE(1023)] = 25129,
  [SMALL_STATE(1024)] = 25181,
  [SMALL_STATE(1025)] = 25233,
  [SMALL_STATE(1026)] = 25285,
  [SMALL_STATE(1027)] = 25337,
  [SMALL_STATE(1028)] = 25389,
  [SMALL_STATE(1029)] = 25441,
  [SMALL_STATE(1030)] = 25493,
  [SMALL_STATE(1031)] = 25545,
  [SMALL_STATE(1032)] = 25597,
  [SMALL_STATE(1033)] = 25649,
  [SMALL_STATE(1034)] = 25701,
  [SMALL_STATE(1035)] = 25753,
  [SMALL_STATE(1036)] = 25805,
  [SMALL_STATE(1037)] = 25857,
  [SMALL_STATE(1038)] = 25909,
  [SMALL_STATE(1039)] = 25961,
  [SMALL_STATE(1040)] = 26013,
  [SMALL_STATE(1041)] = 26065,
  [SMALL_STATE(1042)] = 26117,
  [SMALL_STATE(1043)] = 26169,
  [SMALL_STATE(1044)] = 26221,
  [SMALL_STATE(1045)] = 26273,
  [SMALL_STATE(1046)] = 26325,
  [SMALL_STATE(1047)] = 26377,
  [SMALL_STATE(1048)] = 26429,
  [SMALL_STATE(1049)] = 26481,
  [SMALL_STATE(1050)] = 26533,
  [SMALL_STATE(1051)] = 26585,
  [SMALL_STATE(1052)] = 26640,
  [SMALL_STATE(1053)] = 26727,
  [SMALL_STATE(1054)] = 26778,
  [SMALL_STATE(1055)] = 26835,
  [SMALL_STATE(1056)] = 26886,
  [SMALL_STATE(1057)] = 26974,
  [SMALL_STATE(1058)] = 27056,
  [SMALL_STATE(1059)] = 27114,
  [SMALL_STATE(1060)] = 27202,
  [SMALL_STATE(1061)] = 27284,
  [SMALL_STATE(1062)] = 27366,
  [SMALL_STATE(1063)] = 27432,
  [SMALL_STATE(1064)] = 27484,
  [SMALL_STATE(1065)] = 27542,
  [SMALL_STATE(1066)] = 27602,
  [SMALL_STATE(1067)] = 27690,
  [SMALL_STATE(1068)] = 27748,
  [SMALL_STATE(1069)] = 27810,
  [SMALL_STATE(1070)] = 27876,
  [SMALL_STATE(1071)] = 27948,
  [SMALL_STATE(1072)] = 28024,
  [SMALL_STATE(1073)] = 28112,
  [SMALL_STATE(1074)] = 28190,
  [SMALL_STATE(1075)] = 28274,
  [SMALL_STATE(1076)] = 28360,
  [SMALL_STATE(1077)] = 28442,
  [SMALL_STATE(1078)] = 28494,
  [SMALL_STATE(1079)] = 28584,
  [SMALL_STATE(1080)] = 28666,
  [SMALL_STATE(1081)] = 28722,
  [SMALL_STATE(1082)] = 28804,
  [SMALL_STATE(1083)] = 28878,
  [SMALL_STATE(1084)] = 28948,
  [SMALL_STATE(1085)] = 29036,
  [SMALL_STATE(1086)] = 29118,
  [SMALL_STATE(1087)] = 29206,
  [SMALL_STATE(1088)] = 29294,
  [SMALL_STATE(1089)] = 29382,
  [SMALL_STATE(1090)] = 29470,
  [SMALL_STATE(1091)] = 29558,
  [SMALL_STATE(1092)] = 29645,
  [SMALL_STATE(1093)] = 29732,
  [SMALL_STATE(1094)] = 29781,
  [SMALL_STATE(1095)] = 29868,
  [SMALL_STATE(1096)] = 29955,
  [SMALL_STATE(1097)] = 30004,
  [SMALL_STATE(1098)] = 30091,
  [SMALL_STATE(1099)] = 30160,
  [SMALL_STATE(1100)] = 30209,
  [SMALL_STATE(1101)] = 30258,
  [SMALL_STATE(1102)] = 30331,
  [SMALL_STATE(1103)] = 30386,
  [SMALL_STATE(1104)] = 30467,
  [SMALL_STATE(1105)] = 30518,
  [SMALL_STATE(1106)] = 30599,
  [SMALL_STATE(1107)] = 30684,
  [SMALL_STATE(1108)] = 30765,
  [SMALL_STATE(1109)] = 30848,
  [SMALL_STATE(1110)] = 30925,
  [SMALL_STATE(1111)] = 31006,
  [SMALL_STATE(1112)] = 31077,
  [SMALL_STATE(1113)] = 31142,
  [SMALL_STATE(1114)] = 31223,
  [SMALL_STATE(1115)] = 31284,
  [SMALL_STATE(1116)] = 31341,
  [SMALL_STATE(1117)] = 31428,
  [SMALL_STATE(1118)] = 31515,
  [SMALL_STATE(1119)] = 31602,
  [SMALL_STATE(1120)] = 31689,
  [SMALL_STATE(1121)] = 31770,
  [SMALL_STATE(1122)] = 31829,
  [SMALL_STATE(1123)] = 31904,
  [SMALL_STATE(1124)] = 31955,
  [SMALL_STATE(1125)] = 32036,
  [SMALL_STATE(1126)] = 32125,
  [SMALL_STATE(1127)] = 32212,
  [SMALL_STATE(1128)] = 32260,
  [SMALL_STATE(1129)] = 32348,
  [SMALL_STATE(1130)] = 32430,
  [SMALL_STATE(1131)] = 32478,
  [SMALL_STATE(1132)] = 32526,
  [SMALL_STATE(1133)] = 32574,
  [SMALL_STATE(1134)] = 32622,
  [SMALL_STATE(1135)] = 32670,
  [SMALL_STATE(1136)] = 32754,
  [SMALL_STATE(1137)] = 32802,
  [SMALL_STATE(1138)] = 32850,
  [SMALL_STATE(1139)] = 32930,
  [SMALL_STATE(1140)] = 32980,
  [SMALL_STATE(1141)] = 33028,
  [SMALL_STATE(1142)] = 33076,
  [SMALL_STATE(1143)] = 33162,
  [SMALL_STATE(1144)] = 33210,
  [SMALL_STATE(1145)] = 33290,
  [SMALL_STATE(1146)] = 33344,
  [SMALL_STATE(1147)] = 33392,
  [SMALL_STATE(1148)] = 33440,
  [SMALL_STATE(1149)] = 33512,
  [SMALL_STATE(1150)] = 33560,
  [SMALL_STATE(1151)] = 33608,
  [SMALL_STATE(1152)] = 33656,
  [SMALL_STATE(1153)] = 33704,
  [SMALL_STATE(1154)] = 33790,
  [SMALL_STATE(1155)] = 33866,
  [SMALL_STATE(1156)] = 33914,
  [SMALL_STATE(1157)] = 33962,
  [SMALL_STATE(1158)] = 34010,
  [SMALL_STATE(1159)] = 34058,
  [SMALL_STATE(1160)] = 34106,
  [SMALL_STATE(1161)] = 34154,
  [SMALL_STATE(1162)] = 34202,
  [SMALL_STATE(1163)] = 34288,
  [SMALL_STATE(1164)] = 34336,
  [SMALL_STATE(1165)] = 34422,
  [SMALL_STATE(1166)] = 34470,
  [SMALL_STATE(1167)] = 34518,
  [SMALL_STATE(1168)] = 34604,
  [SMALL_STATE(1169)] = 34652,
  [SMALL_STATE(1170)] = 34700,
  [SMALL_STATE(1171)] = 34748,
  [SMALL_STATE(1172)] = 34816,
  [SMALL_STATE(1173)] = 34864,
  [SMALL_STATE(1174)] = 34912,
  [SMALL_STATE(1175)] = 34960,
  [SMALL_STATE(1176)] = 35034,
  [SMALL_STATE(1177)] = 35082,
  [SMALL_STATE(1178)] = 35130,
  [SMALL_STATE(1179)] = 35178,
  [SMALL_STATE(1180)] = 35228,
  [SMALL_STATE(1181)] = 35314,
  [SMALL_STATE(1182)] = 35362,
  [SMALL_STATE(1183)] = 35448,
  [SMALL_STATE(1184)] = 35496,
  [SMALL_STATE(1185)] = 35544,
  [SMALL_STATE(1186)] = 35592,
  [SMALL_STATE(1187)] = 35640,
  [SMALL_STATE(1188)] = 35720,
  [SMALL_STATE(1189)] = 35768,
  [SMALL_STATE(1190)] = 35816,
  [SMALL_STATE(1191)] = 35886,
  [SMALL_STATE(1192)] = 35966,
  [SMALL_STATE(1193)] = 36052,
  [SMALL_STATE(1194)] = 36100,
  [SMALL_STATE(1195)] = 36148,
  [SMALL_STATE(1196)] = 36196,
  [SMALL_STATE(1197)] = 36282,
  [SMALL_STATE(1198)] = 36330,
  [SMALL_STATE(1199)] = 36378,
  [SMALL_STATE(1200)] = 36426,
  [SMALL_STATE(1201)] = 36474,
  [SMALL_STATE(1202)] = 36538,
  [SMALL_STATE(1203)] = 36586,
  [SMALL_STATE(1204)] = 36634,
  [SMALL_STATE(1205)] = 36682,
  [SMALL_STATE(1206)] = 36730,
  [SMALL_STATE(1207)] = 36790,
  [SMALL_STATE(1208)] = 36870,
  [SMALL_STATE(1209)] = 36950,
  [SMALL_STATE(1210)] = 36998,
  [SMALL_STATE(1211)] = 37046,
  [SMALL_STATE(1212)] = 37126,
  [SMALL_STATE(1213)] = 37176,
  [SMALL_STATE(1214)] = 37224,
  [SMALL_STATE(1215)] = 37272,
  [SMALL_STATE(1216)] = 37320,
  [SMALL_STATE(1217)] = 37368,
  [SMALL_STATE(1218)] = 37426,
  [SMALL_STATE(1219)] = 37482,
  [SMALL_STATE(1220)] = 37530,
  [SMALL_STATE(1221)] = 37578,
  [SMALL_STATE(1222)] = 37626,
  [SMALL_STATE(1223)] = 37712,
  [SMALL_STATE(1224)] = 37760,
  [SMALL_STATE(1225)] = 37808,
  [SMALL_STATE(1226)] = 37856,
  [SMALL_STATE(1227)] = 37904,
  [SMALL_STATE(1228)] = 37961,
  [SMALL_STATE(1229)] = 38046,
  [SMALL_STATE(1230)] = 38127,
  [SMALL_STATE(1231)] = 38176,
  [SMALL_STATE(1232)] = 38251,
  [SMALL_STATE(1233)] = 38336,
  [SMALL_STATE(1234)] = 38411,
  [SMALL_STATE(1235)] = 38496,
  [SMALL_STATE(1236)] = 38581,
  [SMALL_STATE(1237)] = 38664,
  [SMALL_STATE(1238)] = 38737,
  [SMALL_STATE(1239)] = 38804,
  [SMALL_STATE(1240)] = 38873,
  [SMALL_STATE(1241)] = 38958,
  [SMALL_STATE(1242)] = 39043,
  [SMALL_STATE(1243)] = 39102,
  [SMALL_STATE(1244)] = 39177,
  [SMALL_STATE(1245)] = 39262,
  [SMALL_STATE(1246)] = 39333,
  [SMALL_STATE(1247)] = 39388,
  [SMALL_STATE(1248)] = 39441,
  [SMALL_STATE(1249)] = 39516,
  [SMALL_STATE(1250)] = 39601,
  [SMALL_STATE(1251)] = 39680,
  [SMALL_STATE(1252)] = 39729,
  [SMALL_STATE(1253)] = 39792,
  [SMALL_STATE(1254)] = 39871,
  [SMALL_STATE(1255)] = 39950,
  [SMALL_STATE(1256)] = 40029,
  [SMALL_STATE(1257)] = 40108,
  [SMALL_STATE(1258)] = 40193,
  [SMALL_STATE(1259)] = 40242,
  [SMALL_STATE(1260)] = 40321,
  [SMALL_STATE(1261)] = 40400,
  [SMALL_STATE(1262)] = 40487,
  [SMALL_STATE(1263)] = 40536,
  [SMALL_STATE(1264)] = 40611,
  [SMALL_STATE(1265)] = 40696,
  [SMALL_STATE(1266)] = 40780,
  [SMALL_STATE(1267)] = 40864,
  [SMALL_STATE(1268)] = 40940,
  [SMALL_STATE(1269)] = 41026,
  [SMALL_STATE(1270)] = 41112,
  [SMALL_STATE(1271)] = 41188,
  [SMALL_STATE(1272)] = 41274,
  [SMALL_STATE(1273)] = 41360,
  [SMALL_STATE(1274)] = 41448,
  [SMALL_STATE(1275)] = 41532,
  [SMALL_STATE(1276)] = 41618,
  [SMALL_STATE(1277)] = 41701,
  [SMALL_STATE(1278)] = 41784,
  [SMALL_STATE(1279)] = 41867,
  [SMALL_STATE(1280)] = 41950,
  [SMALL_STATE(1281)] = 42033,
  [SMALL_STATE(1282)] = 42122,
  [SMALL_STATE(1283)] = 42205,
  [SMALL_STATE(1284)] = 42288,
  [SMALL_STATE(1285)] = 42375,
  [SMALL_STATE(1286)] = 42458,
  [SMALL_STATE(1287)] = 42547,
  [SMALL_STATE(1288)] = 42632,
  [SMALL_STATE(1289)] = 42715,
  [SMALL_STATE(1290)] = 42798,
  [SMALL_STATE(1291)] = 42881,
  [SMALL_STATE(1292)] = 42964,
  [SMALL_STATE(1293)] = 43047,
  [SMALL_STATE(1294)] = 43130,
  [SMALL_STATE(1295)] = 43215,
  [SMALL_STATE(1296)] = 43298,
  [SMALL_STATE(1297)] = 43381,
  [SMALL_STATE(1298)] = 43470,
  [SMALL_STATE(1299)] = 43559,
  [SMALL_STATE(1300)] = 43648,
  [SMALL_STATE(1301)] = 43731,
  [SMALL_STATE(1302)] = 43814,
  [SMALL_STATE(1303)] = 43903,
  [SMALL_STATE(1304)] = 43986,
  [SMALL_STATE(1305)] = 44069,
  [SMALL_STATE(1306)] = 44152,
  [SMALL_STATE(1307)] = 44235,
  [SMALL_STATE(1308)] = 44318,
  [SMALL_STATE(1309)] = 44401,
  [SMALL_STATE(1310)] = 44486,
  [SMALL_STATE(1311)] = 44569,
  [SMALL_STATE(1312)] = 44658,
  [SMALL_STATE(1313)] = 44743,
  [SMALL_STATE(1314)] = 44828,
  [SMALL_STATE(1315)] = 44913,
  [SMALL_STATE(1316)] = 44996,
  [SMALL_STATE(1317)] = 45079,
  [SMALL_STATE(1318)] = 45162,
  [SMALL_STATE(1319)] = 45245,
  [SMALL_STATE(1320)] = 45328,
  [SMALL_STATE(1321)] = 45411,
  [SMALL_STATE(1322)] = 45494,
  [SMALL_STATE(1323)] = 45579,
  [SMALL_STATE(1324)] = 45668,
  [SMALL_STATE(1325)] = 45753,
  [SMALL_STATE(1326)] = 45835,
  [SMALL_STATE(1327)] = 45917,
  [SMALL_STATE(1328)] = 45999,
  [SMALL_STATE(1329)] = 46081,
  [SMALL_STATE(1330)] = 46163,
  [SMALL_STATE(1331)] = 46245,
  [SMALL_STATE(1332)] = 46327,
  [SMALL_STATE(1333)] = 46409,
  [SMALL_STATE(1334)] = 46479,
  [SMALL_STATE(1335)] = 46561,
  [SMALL_STATE(1336)] = 46643,
  [SMALL_STATE(1337)] = 46725,
  [SMALL_STATE(1338)] = 46807,
  [SMALL_STATE(1339)] = 46889,
  [SMALL_STATE(1340)] = 46971,
  [SMALL_STATE(1341)] = 47053,
  [SMALL_STATE(1342)] = 47135,
  [SMALL_STATE(1343)] = 47217,
  [SMALL_STATE(1344)] = 47299,
  [SMALL_STATE(1345)] = 47381,
  [SMALL_STATE(1346)] = 47463,
  [SMALL_STATE(1347)] = 47545,
  [SMALL_STATE(1348)] = 47627,
  [SMALL_STATE(1349)] = 47709,
  [SMALL_STATE(1350)] = 47791,
  [SMALL_STATE(1351)] = 47873,
  [SMALL_STATE(1352)] = 47955,
  [SMALL_STATE(1353)] = 48037,
  [SMALL_STATE(1354)] = 48119,
  [SMALL_STATE(1355)] = 48201,
  [SMALL_STATE(1356)] = 48283,
  [SMALL_STATE(1357)] = 48365,
  [SMALL_STATE(1358)] = 48447,
  [SMALL_STATE(1359)] = 48529,
  [SMALL_STATE(1360)] = 48611,
  [SMALL_STATE(1361)] = 48693,
  [SMALL_STATE(1362)] = 48775,
  [SMALL_STATE(1363)] = 48857,
  [SMALL_STATE(1364)] = 48939,
  [SMALL_STATE(1365)] = 49021,
  [SMALL_STATE(1366)] = 49103,
  [SMALL_STATE(1367)] = 49185,
  [SMALL_STATE(1368)] = 49255,
  [SMALL_STATE(1369)] = 49337,
  [SMALL_STATE(1370)] = 49419,
  [SMALL_STATE(1371)] = 49501,
  [SMALL_STATE(1372)] = 49583,
  [SMALL_STATE(1373)] = 49665,
  [SMALL_STATE(1374)] = 49747,
  [SMALL_STATE(1375)] = 49829,
  [SMALL_STATE(1376)] = 49911,
  [SMALL_STATE(1377)] = 49955,
  [SMALL_STATE(1378)] = 50037,
  [SMALL_STATE(1379)] = 50119,
  [SMALL_STATE(1380)] = 50201,
  [SMALL_STATE(1381)] = 50283,
  [SMALL_STATE(1382)] = 50365,
  [SMALL_STATE(1383)] = 50447,
  [SMALL_STATE(1384)] = 50529,
  [SMALL_STATE(1385)] = 50611,
  [SMALL_STATE(1386)] = 50693,
  [SMALL_STATE(1387)] = 50775,
  [SMALL_STATE(1388)] = 50857,
  [SMALL_STATE(1389)] = 50939,
  [SMALL_STATE(1390)] = 51021,
  [SMALL_STATE(1391)] = 51103,
  [SMALL_STATE(1392)] = 51185,
  [SMALL_STATE(1393)] = 51267,
  [SMALL_STATE(1394)] = 51349,
  [SMALL_STATE(1395)] = 51431,
  [SMALL_STATE(1396)] = 51513,
  [SMALL_STATE(1397)] = 51594,
  [SMALL_STATE(1398)] = 51675,
  [SMALL_STATE(1399)] = 51754,
  [SMALL_STATE(1400)] = 51821,
  [SMALL_STATE(1401)] = 51888,
  [SMALL_STATE(1402)] = 51931,
  [SMALL_STATE(1403)] = 51974,
  [SMALL_STATE(1404)] = 52017,
  [SMALL_STATE(1405)] = 52060,
  [SMALL_STATE(1406)] = 52103,
  [SMALL_STATE(1407)] = 52146,
  [SMALL_STATE(1408)] = 52227,
  [SMALL_STATE(1409)] = 52308,
  [SMALL_STATE(1410)] = 52364,
  [SMALL_STATE(1411)] = 52420,
  [SMALL_STATE(1412)] = 52476,
  [SMALL_STATE(1413)] = 52532,
  [SMALL_STATE(1414)] = 52588,
  [SMALL_STATE(1415)] = 52644,
  [SMALL_STATE(1416)] = 52700,
  [SMALL_STATE(1417)] = 52756,
  [SMALL_STATE(1418)] = 52812,
  [SMALL_STATE(1419)] = 52868,
  [SMALL_STATE(1420)] = 52924,
  [SMALL_STATE(1421)] = 52977,
  [SMALL_STATE(1422)] = 53030,
  [SMALL_STATE(1423)] = 53083,
  [SMALL_STATE(1424)] = 53136,
  [SMALL_STATE(1425)] = 53189,
  [SMALL_STATE(1426)] = 53242,
  [SMALL_STATE(1427)] = 53285,
  [SMALL_STATE(1428)] = 53328,
  [SMALL_STATE(1429)] = 53374,
  [SMALL_STATE(1430)] = 53434,
  [SMALL_STATE(1431)] = 53480,
  [SMALL_STATE(1432)] = 53540,
  [SMALL_STATE(1433)] = 53586,
  [SMALL_STATE(1434)] = 53643,
  [SMALL_STATE(1435)] = 53695,
  [SMALL_STATE(1436)] = 53744,
  [SMALL_STATE(1437)] = 53793,
  [SMALL_STATE(1438)] = 53842,
  [SMALL_STATE(1439)] = 53889,
  [SMALL_STATE(1440)] = 53938,
  [SMALL_STATE(1441)] = 53984,
  [SMALL_STATE(1442)] = 54030,
  [SMALL_STATE(1443)] = 54076,
  [SMALL_STATE(1444)] = 54106,
  [SMALL_STATE(1445)] = 54153,
  [SMALL_STATE(1446)] = 54202,
  [SMALL_STATE(1447)] = 54228,
  [SMALL_STATE(1448)] = 54270,
  [SMALL_STATE(1449)] = 54296,
  [SMALL_STATE(1450)] = 54322,
  [SMALL_STATE(1451)] = 54348,
  [SMALL_STATE(1452)] = 54374,
  [SMALL_STATE(1453)] = 54400,
  [SMALL_STATE(1454)] = 54426,
  [SMALL_STATE(1455)] = 54452,
  [SMALL_STATE(1456)] = 54478,
  [SMALL_STATE(1457)] = 54504,
  [SMALL_STATE(1458)] = 54530,
  [SMALL_STATE(1459)] = 54556,
  [SMALL_STATE(1460)] = 54582,
  [SMALL_STATE(1461)] = 54626,
  [SMALL_STATE(1462)] = 54652,
  [SMALL_STATE(1463)] = 54678,
  [SMALL_STATE(1464)] = 54704,
  [SMALL_STATE(1465)] = 54750,
  [SMALL_STATE(1466)] = 54794,
  [SMALL_STATE(1467)] = 54819,
  [SMALL_STATE(1468)] = 54862,
  [SMALL_STATE(1469)] = 54905,
  [SMALL_STATE(1470)] = 54948,
  [SMALL_STATE(1471)] = 54973,
  [SMALL_STATE(1472)] = 55016,
  [SMALL_STATE(1473)] = 55041,
  [SMALL_STATE(1474)] = 55066,
  [SMALL_STATE(1475)] = 55091,
  [SMALL_STATE(1476)] = 55134,
  [SMALL_STATE(1477)] = 55159,
  [SMALL_STATE(1478)] = 55184,
  [SMALL_STATE(1479)] = 55215,
  [SMALL_STATE(1480)] = 55256,
  [SMALL_STATE(1481)] = 55281,
  [SMALL_STATE(1482)] = 55306,
  [SMALL_STATE(1483)] = 55331,
  [SMALL_STATE(1484)] = 55356,
  [SMALL_STATE(1485)] = 55381,
  [SMALL_STATE(1486)] = 55406,
  [SMALL_STATE(1487)] = 55431,
  [SMALL_STATE(1488)] = 55456,
  [SMALL_STATE(1489)] = 55497,
  [SMALL_STATE(1490)] = 55522,
  [SMALL_STATE(1491)] = 55547,
  [SMALL_STATE(1492)] = 55590,
  [SMALL_STATE(1493)] = 55615,
  [SMALL_STATE(1494)] = 55658,
  [SMALL_STATE(1495)] = 55683,
  [SMALL_STATE(1496)] = 55724,
  [SMALL_STATE(1497)] = 55765,
  [SMALL_STATE(1498)] = 55808,
  [SMALL_STATE(1499)] = 55833,
  [SMALL_STATE(1500)] = 55858,
  [SMALL_STATE(1501)] = 55894,
  [SMALL_STATE(1502)] = 55922,
  [SMALL_STATE(1503)] = 55962,
  [SMALL_STATE(1504)] = 56002,
  [SMALL_STATE(1505)] = 56042,
  [SMALL_STATE(1506)] = 56069,
  [SMALL_STATE(1507)] = 56094,
  [SMALL_STATE(1508)] = 56127,
  [SMALL_STATE(1509)] = 56164,
  [SMALL_STATE(1510)] = 56189,
  [SMALL_STATE(1511)] = 56226,
  [SMALL_STATE(1512)] = 56255,
  [SMALL_STATE(1513)] = 56280,
  [SMALL_STATE(1514)] = 56305,
  [SMALL_STATE(1515)] = 56342,
  [SMALL_STATE(1516)] = 56375,
  [SMALL_STATE(1517)] = 56412,
  [SMALL_STATE(1518)] = 56449,
  [SMALL_STATE(1519)] = 56473,
  [SMALL_STATE(1520)] = 56497,
  [SMALL_STATE(1521)] = 56525,
  [SMALL_STATE(1522)] = 56559,
  [SMALL_STATE(1523)] = 56593,
  [SMALL_STATE(1524)] = 56627,
  [SMALL_STATE(1525)] = 56653,
  [SMALL_STATE(1526)] = 56687,
  [SMALL_STATE(1527)] = 56715,
  [SMALL_STATE(1528)] = 56739,
  [SMALL_STATE(1529)] = 56763,
  [SMALL_STATE(1530)] = 56797,
  [SMALL_STATE(1531)] = 56821,
  [SMALL_STATE(1532)] = 56853,
  [SMALL_STATE(1533)] = 56877,
  [SMALL_STATE(1534)] = 56907,
  [SMALL_STATE(1535)] = 56933,
  [SMALL_STATE(1536)] = 56965,
  [SMALL_STATE(1537)] = 56997,
  [SMALL_STATE(1538)] = 57029,
  [SMALL_STATE(1539)] = 57057,
  [SMALL_STATE(1540)] = 57084,
  [SMALL_STATE(1541)] = 57113,
  [SMALL_STATE(1542)] = 57142,
  [SMALL_STATE(1543)] = 57171,
  [SMALL_STATE(1544)] = 57200,
  [SMALL_STATE(1545)] = 57229,
  [SMALL_STATE(1546)] = 57260,
  [SMALL_STATE(1547)] = 57287,
  [SMALL_STATE(1548)] = 57316,
  [SMALL_STATE(1549)] = 57347,
  [SMALL_STATE(1550)] = 57370,
  [SMALL_STATE(1551)] = 57399,
  [SMALL_STATE(1552)] = 57426,
  [SMALL_STATE(1553)] = 57455,
  [SMALL_STATE(1554)] = 57484,
  [SMALL_STATE(1555)] = 57507,
  [SMALL_STATE(1556)] = 57536,
  [SMALL_STATE(1557)] = 57565,
  [SMALL_STATE(1558)] = 57594,
  [SMALL_STATE(1559)] = 57625,
  [SMALL_STATE(1560)] = 57654,
  [SMALL_STATE(1561)] = 57681,
  [SMALL_STATE(1562)] = 57710,
  [SMALL_STATE(1563)] = 57737,
  [SMALL_STATE(1564)] = 57760,
  [SMALL_STATE(1565)] = 57787,
  [SMALL_STATE(1566)] = 57816,
  [SMALL_STATE(1567)] = 57847,
  [SMALL_STATE(1568)] = 57876,
  [SMALL_STATE(1569)] = 57905,
  [SMALL_STATE(1570)] = 57934,
  [SMALL_STATE(1571)] = 57961,
  [SMALL_STATE(1572)] = 57990,
  [SMALL_STATE(1573)] = 58021,
  [SMALL_STATE(1574)] = 58050,
  [SMALL_STATE(1575)] = 58079,
  [SMALL_STATE(1576)] = 58106,
  [SMALL_STATE(1577)] = 58137,
  [SMALL_STATE(1578)] = 58170,
  [SMALL_STATE(1579)] = 58199,
  [SMALL_STATE(1580)] = 58226,
  [SMALL_STATE(1581)] = 58255,
  [SMALL_STATE(1582)] = 58286,
  [SMALL_STATE(1583)] = 58317,
  [SMALL_STATE(1584)] = 58348,
  [SMALL_STATE(1585)] = 58377,
  [SMALL_STATE(1586)] = 58402,
  [SMALL_STATE(1587)] = 58431,
  [SMALL_STATE(1588)] = 58460,
  [SMALL_STATE(1589)] = 58489,
  [SMALL_STATE(1590)] = 58520,
  [SMALL_STATE(1591)] = 58551,
  [SMALL_STATE(1592)] = 58580,
  [SMALL_STATE(1593)] = 58607,
  [SMALL_STATE(1594)] = 58632,
  [SMALL_STATE(1595)] = 58661,
  [SMALL_STATE(1596)] = 58690,
  [SMALL_STATE(1597)] = 58721,
  [SMALL_STATE(1598)] = 58748,
  [SMALL_STATE(1599)] = 58773,
  [SMALL_STATE(1600)] = 58806,
  [SMALL_STATE(1601)] = 58837,
  [SMALL_STATE(1602)] = 58869,
  [SMALL_STATE(1603)] = 58903,
  [SMALL_STATE(1604)] = 58937,
  [SMALL_STATE(1605)] = 58971,
  [SMALL_STATE(1606)] = 58997,
  [SMALL_STATE(1607)] = 59027,
  [SMALL_STATE(1608)] = 59061,
  [SMALL_STATE(1609)] = 59095,
  [SMALL_STATE(1610)] = 59121,
  [SMALL_STATE(1611)] = 59151,
  [SMALL_STATE(1612)] = 59185,
  [SMALL_STATE(1613)] = 59213,
  [SMALL_STATE(1614)] = 59239,
  [SMALL_STATE(1615)] = 59260,
  [SMALL_STATE(1616)] = 59283,
  [SMALL_STATE(1617)] = 59306,
  [SMALL_STATE(1618)] = 59327,
  [SMALL_STATE(1619)] = 59350,
  [SMALL_STATE(1620)] = 59377,
  [SMALL_STATE(1621)] = 59400,
  [SMALL_STATE(1622)] = 59423,
  [SMALL_STATE(1623)] = 59446,
  [SMALL_STATE(1624)] = 59469,
  [SMALL_STATE(1625)] = 59492,
  [SMALL_STATE(1626)] = 59515,
  [SMALL_STATE(1627)] = 59536,
  [SMALL_STATE(1628)] = 59567,
  [SMALL_STATE(1629)] = 59588,
  [SMALL_STATE(1630)] = 59611,
  [SMALL_STATE(1631)] = 59632,
  [SMALL_STATE(1632)] = 59653,
  [SMALL_STATE(1633)] = 59674,
  [SMALL_STATE(1634)] = 59697,
  [SMALL_STATE(1635)] = 59718,
  [SMALL_STATE(1636)] = 59745,
  [SMALL_STATE(1637)] = 59766,
  [SMALL_STATE(1638)] = 59789,
  [SMALL_STATE(1639)] = 59818,
  [SMALL_STATE(1640)] = 59845,
  [SMALL_STATE(1641)] = 59868,
  [SMALL_STATE(1642)] = 59889,
  [SMALL_STATE(1643)] = 59912,
  [SMALL_STATE(1644)] = 59933,
  [SMALL_STATE(1645)] = 59954,
  [SMALL_STATE(1646)] = 59975,
  [SMALL_STATE(1647)] = 59996,
  [SMALL_STATE(1648)] = 60023,
  [SMALL_STATE(1649)] = 60046,
  [SMALL_STATE(1650)] = 60069,
  [SMALL_STATE(1651)] = 60096,
  [SMALL_STATE(1652)] = 60119,
  [SMALL_STATE(1653)] = 60142,
  [SMALL_STATE(1654)] = 60169,
  [SMALL_STATE(1655)] = 60192,
  [SMALL_STATE(1656)] = 60215,
  [SMALL_STATE(1657)] = 60238,
  [SMALL_STATE(1658)] = 60265,
  [SMALL_STATE(1659)] = 60290,
  [SMALL_STATE(1660)] = 60310,
  [SMALL_STATE(1661)] = 60332,
  [SMALL_STATE(1662)] = 60356,
  [SMALL_STATE(1663)] = 60384,
  [SMALL_STATE(1664)] = 60404,
  [SMALL_STATE(1665)] = 60424,
  [SMALL_STATE(1666)] = 60452,
  [SMALL_STATE(1667)] = 60480,
  [SMALL_STATE(1668)] = 60506,
  [SMALL_STATE(1669)] = 60534,
  [SMALL_STATE(1670)] = 60560,
  [SMALL_STATE(1671)] = 60586,
  [SMALL_STATE(1672)] = 60614,
  [SMALL_STATE(1673)] = 60642,
  [SMALL_STATE(1674)] = 60670,
  [SMALL_STATE(1675)] = 60696,
  [SMALL_STATE(1676)] = 60724,
  [SMALL_STATE(1677)] = 60744,
  [SMALL_STATE(1678)] = 60764,
  [SMALL_STATE(1679)] = 60788,
  [SMALL_STATE(1680)] = 60816,
  [SMALL_STATE(1681)] = 60836,
  [SMALL_STATE(1682)] = 60864,
  [SMALL_STATE(1683)] = 60892,
  [SMALL_STATE(1684)] = 60920,
  [SMALL_STATE(1685)] = 60948,
  [SMALL_STATE(1686)] = 60976,
  [SMALL_STATE(1687)] = 61000,
  [SMALL_STATE(1688)] = 61020,
  [SMALL_STATE(1689)] = 61048,
  [SMALL_STATE(1690)] = 61076,
  [SMALL_STATE(1691)] = 61104,
  [SMALL_STATE(1692)] = 61124,
  [SMALL_STATE(1693)] = 61144,
  [SMALL_STATE(1694)] = 61168,
  [SMALL_STATE(1695)] = 61196,
  [SMALL_STATE(1696)] = 61224,
  [SMALL_STATE(1697)] = 61244,
  [SMALL_STATE(1698)] = 61272,
  [SMALL_STATE(1699)] = 61292,
  [SMALL_STATE(1700)] = 61320,
  [SMALL_STATE(1701)] = 61340,
  [SMALL_STATE(1702)] = 61368,
  [SMALL_STATE(1703)] = 61394,
  [SMALL_STATE(1704)] = 61422,
  [SMALL_STATE(1705)] = 61450,
  [SMALL_STATE(1706)] = 61474,
  [SMALL_STATE(1707)] = 61502,
  [SMALL_STATE(1708)] = 61530,
  [SMALL_STATE(1709)] = 61550,
  [SMALL_STATE(1710)] = 61578,
  [SMALL_STATE(1711)] = 61606,
  [SMALL_STATE(1712)] = 61632,
  [SMALL_STATE(1713)] = 61652,
  [SMALL_STATE(1714)] = 61680,
  [SMALL_STATE(1715)] = 61708,
  [SMALL_STATE(1716)] = 61736,
  [SMALL_STATE(1717)] = 61764,
  [SMALL_STATE(1718)] = 61792,
  [SMALL_STATE(1719)] = 61818,
  [SMALL_STATE(1720)] = 61844,
  [SMALL_STATE(1721)] = 61872,
  [SMALL_STATE(1722)] = 61900,
  [SMALL_STATE(1723)] = 61928,
  [SMALL_STATE(1724)] = 61948,
  [SMALL_STATE(1725)] = 61968,
  [SMALL_STATE(1726)] = 61994,
  [SMALL_STATE(1727)] = 62020,
  [SMALL_STATE(1728)] = 62048,
  [SMALL_STATE(1729)] = 62068,
  [SMALL_STATE(1730)] = 62094,
  [SMALL_STATE(1731)] = 62122,
  [SMALL_STATE(1732)] = 62150,
  [SMALL_STATE(1733)] = 62178,
  [SMALL_STATE(1734)] = 62198,
  [SMALL_STATE(1735)] = 62226,
  [SMALL_STATE(1736)] = 62246,
  [SMALL_STATE(1737)] = 62266,
  [SMALL_STATE(1738)] = 62292,
  [SMALL_STATE(1739)] = 62318,
  [SMALL_STATE(1740)] = 62337,
  [SMALL_STATE(1741)] = 62360,
  [SMALL_STATE(1742)] = 62385,
  [SMALL_STATE(1743)] = 62408,
  [SMALL_STATE(1744)] = 62433,
  [SMALL_STATE(1745)] = 62452,
  [SMALL_STATE(1746)] = 62473,
  [SMALL_STATE(1747)] = 62496,
  [SMALL_STATE(1748)] = 62521,
  [SMALL_STATE(1749)] = 62544,
  [SMALL_STATE(1750)] = 62563,
  [SMALL_STATE(1751)] = 62584,
  [SMALL_STATE(1752)] = 62601,
  [SMALL_STATE(1753)] = 62622,
  [SMALL_STATE(1754)] = 62643,
  [SMALL_STATE(1755)] = 62666,
  [SMALL_STATE(1756)] = 62691,
  [SMALL_STATE(1757)] = 62712,
  [SMALL_STATE(1758)] = 62729,
  [SMALL_STATE(1759)] = 62752,
  [SMALL_STATE(1760)] = 62775,
  [SMALL_STATE(1761)] = 62796,
  [SMALL_STATE(1762)] = 62819,
  [SMALL_STATE(1763)] = 62838,
  [SMALL_STATE(1764)] = 62859,
  [SMALL_STATE(1765)] = 62880,
  [SMALL_STATE(1766)] = 62901,
  [SMALL_STATE(1767)] = 62924,
  [SMALL_STATE(1768)] = 62945,
  [SMALL_STATE(1769)] = 62966,
  [SMALL_STATE(1770)] = 62987,
  [SMALL_STATE(1771)] = 63010,
  [SMALL_STATE(1772)] = 63035,
  [SMALL_STATE(1773)] = 63056,
  [SMALL_STATE(1774)] = 63077,
  [SMALL_STATE(1775)] = 63098,
  [SMALL_STATE(1776)] = 63121,
  [SMALL_STATE(1777)] = 63142,
  [SMALL_STATE(1778)] = 63167,
  [SMALL_STATE(1779)] = 63188,
  [SMALL_STATE(1780)] = 63209,
  [SMALL_STATE(1781)] = 63232,
  [SMALL_STATE(1782)] = 63257,
  [SMALL_STATE(1783)] = 63278,
  [SMALL_STATE(1784)] = 63303,
  [SMALL_STATE(1785)] = 63326,
  [SMALL_STATE(1786)] = 63351,
  [SMALL_STATE(1787)] = 63376,
  [SMALL_STATE(1788)] = 63397,
  [SMALL_STATE(1789)] = 63418,
  [SMALL_STATE(1790)] = 63439,
  [SMALL_STATE(1791)] = 63464,
  [SMALL_STATE(1792)] = 63485,
  [SMALL_STATE(1793)] = 63510,
  [SMALL_STATE(1794)] = 63533,
  [SMALL_STATE(1795)] = 63556,
  [SMALL_STATE(1796)] = 63581,
  [SMALL_STATE(1797)] = 63598,
  [SMALL_STATE(1798)] = 63623,
  [SMALL_STATE(1799)] = 63640,
  [SMALL_STATE(1800)] = 63665,
  [SMALL_STATE(1801)] = 63682,
  [SMALL_STATE(1802)] = 63707,
  [SMALL_STATE(1803)] = 63726,
  [SMALL_STATE(1804)] = 63749,
  [SMALL_STATE(1805)] = 63772,
  [SMALL_STATE(1806)] = 63797,
  [SMALL_STATE(1807)] = 63820,
  [SMALL_STATE(1808)] = 63841,
  [SMALL_STATE(1809)] = 63866,
  [SMALL_STATE(1810)] = 63891,
  [SMALL_STATE(1811)] = 63916,
  [SMALL_STATE(1812)] = 63941,
  [SMALL_STATE(1813)] = 63964,
  [SMALL_STATE(1814)] = 63987,
  [SMALL_STATE(1815)] = 64008,
  [SMALL_STATE(1816)] = 64033,
  [SMALL_STATE(1817)] = 64052,
  [SMALL_STATE(1818)] = 64075,
  [SMALL_STATE(1819)] = 64094,
  [SMALL_STATE(1820)] = 64115,
  [SMALL_STATE(1821)] = 64140,
  [SMALL_STATE(1822)] = 64163,
  [SMALL_STATE(1823)] = 64182,
  [SMALL_STATE(1824)] = 64203,
  [SMALL_STATE(1825)] = 64222,
  [SMALL_STATE(1826)] = 64241,
  [SMALL_STATE(1827)] = 64264,
  [SMALL_STATE(1828)] = 64285,
  [SMALL_STATE(1829)] = 64304,
  [SMALL_STATE(1830)] = 64325,
  [SMALL_STATE(1831)] = 64350,
  [SMALL_STATE(1832)] = 64371,
  [SMALL_STATE(1833)] = 64392,
  [SMALL_STATE(1834)] = 64411,
  [SMALL_STATE(1835)] = 64434,
  [SMALL_STATE(1836)] = 64455,
  [SMALL_STATE(1837)] = 64473,
  [SMALL_STATE(1838)] = 64495,
  [SMALL_STATE(1839)] = 64513,
  [SMALL_STATE(1840)] = 64535,
  [SMALL_STATE(1841)] = 64555,
  [SMALL_STATE(1842)] = 64575,
  [SMALL_STATE(1843)] = 64595,
  [SMALL_STATE(1844)] = 64611,
  [SMALL_STATE(1845)] = 64629,
  [SMALL_STATE(1846)] = 64651,
  [SMALL_STATE(1847)] = 64669,
  [SMALL_STATE(1848)] = 64685,
  [SMALL_STATE(1849)] = 64701,
  [SMALL_STATE(1850)] = 64719,
  [SMALL_STATE(1851)] = 64737,
  [SMALL_STATE(1852)] = 64757,
  [SMALL_STATE(1853)] = 64779,
  [SMALL_STATE(1854)] = 64799,
  [SMALL_STATE(1855)] = 64819,
  [SMALL_STATE(1856)] = 64839,
  [SMALL_STATE(1857)] = 64861,
  [SMALL_STATE(1858)] = 64883,
  [SMALL_STATE(1859)] = 64905,
  [SMALL_STATE(1860)] = 64927,
  [SMALL_STATE(1861)] = 64949,
  [SMALL_STATE(1862)] = 64971,
  [SMALL_STATE(1863)] = 64993,
  [SMALL_STATE(1864)] = 65013,
  [SMALL_STATE(1865)] = 65035,
  [SMALL_STATE(1866)] = 65057,
  [SMALL_STATE(1867)] = 65077,
  [SMALL_STATE(1868)] = 65099,
  [SMALL_STATE(1869)] = 65121,
  [SMALL_STATE(1870)] = 65143,
  [SMALL_STATE(1871)] = 65165,
  [SMALL_STATE(1872)] = 65185,
  [SMALL_STATE(1873)] = 65203,
  [SMALL_STATE(1874)] = 65225,
  [SMALL_STATE(1875)] = 65245,
  [SMALL_STATE(1876)] = 65267,
  [SMALL_STATE(1877)] = 65289,
  [SMALL_STATE(1878)] = 65305,
  [SMALL_STATE(1879)] = 65327,
  [SMALL_STATE(1880)] = 65349,
  [SMALL_STATE(1881)] = 65371,
  [SMALL_STATE(1882)] = 65391,
  [SMALL_STATE(1883)] = 65411,
  [SMALL_STATE(1884)] = 65433,
  [SMALL_STATE(1885)] = 65453,
  [SMALL_STATE(1886)] = 65473,
  [SMALL_STATE(1887)] = 65493,
  [SMALL_STATE(1888)] = 65515,
  [SMALL_STATE(1889)] = 65535,
  [SMALL_STATE(1890)] = 65555,
  [SMALL_STATE(1891)] = 65577,
  [SMALL_STATE(1892)] = 65599,
  [SMALL_STATE(1893)] = 65619,
  [SMALL_STATE(1894)] = 65639,
  [SMALL_STATE(1895)] = 65659,
  [SMALL_STATE(1896)] = 65681,
  [SMALL_STATE(1897)] = 65699,
  [SMALL_STATE(1898)] = 65719,
  [SMALL_STATE(1899)] = 65735,
  [SMALL_STATE(1900)] = 65751,
  [SMALL_STATE(1901)] = 65771,
  [SMALL_STATE(1902)] = 65791,
  [SMALL_STATE(1903)] = 65807,
  [SMALL_STATE(1904)] = 65829,
  [SMALL_STATE(1905)] = 65847,
  [SMALL_STATE(1906)] = 65867,
  [SMALL_STATE(1907)] = 65889,
  [SMALL_STATE(1908)] = 65911,
  [SMALL_STATE(1909)] = 65933,
  [SMALL_STATE(1910)] = 65955,
  [SMALL_STATE(1911)] = 65971,
  [SMALL_STATE(1912)] = 65993,
  [SMALL_STATE(1913)] = 66009,
  [SMALL_STATE(1914)] = 66029,
  [SMALL_STATE(1915)] = 66049,
  [SMALL_STATE(1916)] = 66065,
  [SMALL_STATE(1917)] = 66085,
  [SMALL_STATE(1918)] = 66107,
  [SMALL_STATE(1919)] = 66125,
  [SMALL_STATE(1920)] = 66147,
  [SMALL_STATE(1921)] = 66167,
  [SMALL_STATE(1922)] = 66183,
  [SMALL_STATE(1923)] = 66205,
  [SMALL_STATE(1924)] = 66227,
  [SMALL_STATE(1925)] = 66249,
  [SMALL_STATE(1926)] = 66269,
  [SMALL_STATE(1927)] = 66289,
  [SMALL_STATE(1928)] = 66309,
  [SMALL_STATE(1929)] = 66331,
  [SMALL_STATE(1930)] = 66353,
  [SMALL_STATE(1931)] = 66371,
  [SMALL_STATE(1932)] = 66391,
  [SMALL_STATE(1933)] = 66411,
  [SMALL_STATE(1934)] = 66431,
  [SMALL_STATE(1935)] = 66451,
  [SMALL_STATE(1936)] = 66467,
  [SMALL_STATE(1937)] = 66489,
  [SMALL_STATE(1938)] = 66511,
  [SMALL_STATE(1939)] = 66531,
  [SMALL_STATE(1940)] = 66549,
  [SMALL_STATE(1941)] = 66571,
  [SMALL_STATE(1942)] = 66593,
  [SMALL_STATE(1943)] = 66613,
  [SMALL_STATE(1944)] = 66635,
  [SMALL_STATE(1945)] = 66657,
  [SMALL_STATE(1946)] = 66679,
  [SMALL_STATE(1947)] = 66697,
  [SMALL_STATE(1948)] = 66717,
  [SMALL_STATE(1949)] = 66733,
  [SMALL_STATE(1950)] = 66755,
  [SMALL_STATE(1951)] = 66771,
  [SMALL_STATE(1952)] = 66787,
  [SMALL_STATE(1953)] = 66803,
  [SMALL_STATE(1954)] = 66823,
  [SMALL_STATE(1955)] = 66841,
  [SMALL_STATE(1956)] = 66863,
  [SMALL_STATE(1957)] = 66883,
  [SMALL_STATE(1958)] = 66905,
  [SMALL_STATE(1959)] = 66925,
  [SMALL_STATE(1960)] = 66941,
  [SMALL_STATE(1961)] = 66963,
  [SMALL_STATE(1962)] = 66983,
  [SMALL_STATE(1963)] = 67005,
  [SMALL_STATE(1964)] = 67025,
  [SMALL_STATE(1965)] = 67047,
  [SMALL_STATE(1966)] = 67069,
  [SMALL_STATE(1967)] = 67091,
  [SMALL_STATE(1968)] = 67109,
  [SMALL_STATE(1969)] = 67131,
  [SMALL_STATE(1970)] = 67153,
  [SMALL_STATE(1971)] = 67175,
  [SMALL_STATE(1972)] = 67191,
  [SMALL_STATE(1973)] = 67213,
  [SMALL_STATE(1974)] = 67231,
  [SMALL_STATE(1975)] = 67251,
  [SMALL_STATE(1976)] = 67269,
  [SMALL_STATE(1977)] = 67291,
  [SMALL_STATE(1978)] = 67307,
  [SMALL_STATE(1979)] = 67323,
  [SMALL_STATE(1980)] = 67343,
  [SMALL_STATE(1981)] = 67363,
  [SMALL_STATE(1982)] = 67383,
  [SMALL_STATE(1983)] = 67403,
  [SMALL_STATE(1984)] = 67423,
  [SMALL_STATE(1985)] = 67443,
  [SMALL_STATE(1986)] = 67463,
  [SMALL_STATE(1987)] = 67485,
  [SMALL_STATE(1988)] = 67502,
  [SMALL_STATE(1989)] = 67521,
  [SMALL_STATE(1990)] = 67538,
  [SMALL_STATE(1991)] = 67553,
  [SMALL_STATE(1992)] = 67572,
  [SMALL_STATE(1993)] = 67591,
  [SMALL_STATE(1994)] = 67606,
  [SMALL_STATE(1995)] = 67623,
  [SMALL_STATE(1996)] = 67642,
  [SMALL_STATE(1997)] = 67657,
  [SMALL_STATE(1998)] = 67676,
  [SMALL_STATE(1999)] = 67693,
  [SMALL_STATE(2000)] = 67710,
  [SMALL_STATE(2001)] = 67727,
  [SMALL_STATE(2002)] = 67746,
  [SMALL_STATE(2003)] = 67763,
  [SMALL_STATE(2004)] = 67778,
  [SMALL_STATE(2005)] = 67797,
  [SMALL_STATE(2006)] = 67814,
  [SMALL_STATE(2007)] = 67831,
  [SMALL_STATE(2008)] = 67850,
  [SMALL_STATE(2009)] = 67865,
  [SMALL_STATE(2010)] = 67882,
  [SMALL_STATE(2011)] = 67897,
  [SMALL_STATE(2012)] = 67912,
  [SMALL_STATE(2013)] = 67931,
  [SMALL_STATE(2014)] = 67950,
  [SMALL_STATE(2015)] = 67969,
  [SMALL_STATE(2016)] = 67988,
  [SMALL_STATE(2017)] = 68007,
  [SMALL_STATE(2018)] = 68022,
  [SMALL_STATE(2019)] = 68037,
  [SMALL_STATE(2020)] = 68056,
  [SMALL_STATE(2021)] = 68073,
  [SMALL_STATE(2022)] = 68092,
  [SMALL_STATE(2023)] = 68111,
  [SMALL_STATE(2024)] = 68128,
  [SMALL_STATE(2025)] = 68145,
  [SMALL_STATE(2026)] = 68162,
  [SMALL_STATE(2027)] = 68179,
  [SMALL_STATE(2028)] = 68198,
  [SMALL_STATE(2029)] = 68215,
  [SMALL_STATE(2030)] = 68234,
  [SMALL_STATE(2031)] = 68253,
  [SMALL_STATE(2032)] = 68270,
  [SMALL_STATE(2033)] = 68285,
  [SMALL_STATE(2034)] = 68302,
  [SMALL_STATE(2035)] = 68321,
  [SMALL_STATE(2036)] = 68340,
  [SMALL_STATE(2037)] = 68357,
  [SMALL_STATE(2038)] = 68374,
  [SMALL_STATE(2039)] = 68389,
  [SMALL_STATE(2040)] = 68404,
  [SMALL_STATE(2041)] = 68421,
  [SMALL_STATE(2042)] = 68440,
  [SMALL_STATE(2043)] = 68459,
  [SMALL_STATE(2044)] = 68478,
  [SMALL_STATE(2045)] = 68497,
  [SMALL_STATE(2046)] = 68516,
  [SMALL_STATE(2047)] = 68535,
  [SMALL_STATE(2048)] = 68550,
  [SMALL_STATE(2049)] = 68567,
  [SMALL_STATE(2050)] = 68584,
  [SMALL_STATE(2051)] = 68601,
  [SMALL_STATE(2052)] = 68618,
  [SMALL_STATE(2053)] = 68637,
  [SMALL_STATE(2054)] = 68656,
  [SMALL_STATE(2055)] = 68675,
  [SMALL_STATE(2056)] = 68694,
  [SMALL_STATE(2057)] = 68713,
  [SMALL_STATE(2058)] = 68730,
  [SMALL_STATE(2059)] = 68749,
  [SMALL_STATE(2060)] = 68766,
  [SMALL_STATE(2061)] = 68783,
  [SMALL_STATE(2062)] = 68800,
  [SMALL_STATE(2063)] = 68817,
  [SMALL_STATE(2064)] = 68836,
  [SMALL_STATE(2065)] = 68853,
  [SMALL_STATE(2066)] = 68870,
  [SMALL_STATE(2067)] = 68887,
  [SMALL_STATE(2068)] = 68906,
  [SMALL_STATE(2069)] = 68925,
  [SMALL_STATE(2070)] = 68944,
  [SMALL_STATE(2071)] = 68961,
  [SMALL_STATE(2072)] = 68980,
  [SMALL_STATE(2073)] = 68995,
  [SMALL_STATE(2074)] = 69012,
  [SMALL_STATE(2075)] = 69027,
  [SMALL_STATE(2076)] = 69044,
  [SMALL_STATE(2077)] = 69061,
  [SMALL_STATE(2078)] = 69080,
  [SMALL_STATE(2079)] = 69099,
  [SMALL_STATE(2080)] = 69118,
  [SMALL_STATE(2081)] = 69133,
  [SMALL_STATE(2082)] = 69150,
  [SMALL_STATE(2083)] = 69165,
  [SMALL_STATE(2084)] = 69182,
  [SMALL_STATE(2085)] = 69199,
  [SMALL_STATE(2086)] = 69216,
  [SMALL_STATE(2087)] = 69235,
  [SMALL_STATE(2088)] = 69252,
  [SMALL_STATE(2089)] = 69269,
  [SMALL_STATE(2090)] = 69288,
  [SMALL_STATE(2091)] = 69307,
  [SMALL_STATE(2092)] = 69326,
  [SMALL_STATE(2093)] = 69343,
  [SMALL_STATE(2094)] = 69360,
  [SMALL_STATE(2095)] = 69379,
  [SMALL_STATE(2096)] = 69398,
  [SMALL_STATE(2097)] = 69415,
  [SMALL_STATE(2098)] = 69432,
  [SMALL_STATE(2099)] = 69449,
  [SMALL_STATE(2100)] = 69466,
  [SMALL_STATE(2101)] = 69485,
  [SMALL_STATE(2102)] = 69504,
  [SMALL_STATE(2103)] = 69521,
  [SMALL_STATE(2104)] = 69538,
  [SMALL_STATE(2105)] = 69555,
  [SMALL_STATE(2106)] = 69572,
  [SMALL_STATE(2107)] = 69591,
  [SMALL_STATE(2108)] = 69608,
  [SMALL_STATE(2109)] = 69625,
  [SMALL_STATE(2110)] = 69642,
  [SMALL_STATE(2111)] = 69659,
  [SMALL_STATE(2112)] = 69676,
  [SMALL_STATE(2113)] = 69695,
  [SMALL_STATE(2114)] = 69712,
  [SMALL_STATE(2115)] = 69729,
  [SMALL_STATE(2116)] = 69748,
  [SMALL_STATE(2117)] = 69765,
  [SMALL_STATE(2118)] = 69784,
  [SMALL_STATE(2119)] = 69803,
  [SMALL_STATE(2120)] = 69822,
  [SMALL_STATE(2121)] = 69841,
  [SMALL_STATE(2122)] = 69860,
  [SMALL_STATE(2123)] = 69877,
  [SMALL_STATE(2124)] = 69896,
  [SMALL_STATE(2125)] = 69915,
  [SMALL_STATE(2126)] = 69934,
  [SMALL_STATE(2127)] = 69953,
  [SMALL_STATE(2128)] = 69970,
  [SMALL_STATE(2129)] = 69987,
  [SMALL_STATE(2130)] = 70004,
  [SMALL_STATE(2131)] = 70021,
  [SMALL_STATE(2132)] = 70036,
  [SMALL_STATE(2133)] = 70055,
  [SMALL_STATE(2134)] = 70074,
  [SMALL_STATE(2135)] = 70093,
  [SMALL_STATE(2136)] = 70112,
  [SMALL_STATE(2137)] = 70127,
  [SMALL_STATE(2138)] = 70144,
  [SMALL_STATE(2139)] = 70161,
  [SMALL_STATE(2140)] = 70178,
  [SMALL_STATE(2141)] = 70195,
  [SMALL_STATE(2142)] = 70212,
  [SMALL_STATE(2143)] = 70229,
  [SMALL_STATE(2144)] = 70248,
  [SMALL_STATE(2145)] = 70263,
  [SMALL_STATE(2146)] = 70280,
  [SMALL_STATE(2147)] = 70297,
  [SMALL_STATE(2148)] = 70314,
  [SMALL_STATE(2149)] = 70333,
  [SMALL_STATE(2150)] = 70350,
  [SMALL_STATE(2151)] = 70365,
  [SMALL_STATE(2152)] = 70380,
  [SMALL_STATE(2153)] = 70397,
  [SMALL_STATE(2154)] = 70416,
  [SMALL_STATE(2155)] = 70435,
  [SMALL_STATE(2156)] = 70454,
  [SMALL_STATE(2157)] = 70473,
  [SMALL_STATE(2158)] = 70490,
  [SMALL_STATE(2159)] = 70509,
  [SMALL_STATE(2160)] = 70526,
  [SMALL_STATE(2161)] = 70545,
  [SMALL_STATE(2162)] = 70560,
  [SMALL_STATE(2163)] = 70577,
  [SMALL_STATE(2164)] = 70594,
  [SMALL_STATE(2165)] = 70611,
  [SMALL_STATE(2166)] = 70628,
  [SMALL_STATE(2167)] = 70645,
  [SMALL_STATE(2168)] = 70662,
  [SMALL_STATE(2169)] = 70679,
  [SMALL_STATE(2170)] = 70696,
  [SMALL_STATE(2171)] = 70713,
  [SMALL_STATE(2172)] = 70730,
  [SMALL_STATE(2173)] = 70747,
  [SMALL_STATE(2174)] = 70764,
  [SMALL_STATE(2175)] = 70783,
  [SMALL_STATE(2176)] = 70800,
  [SMALL_STATE(2177)] = 70819,
  [SMALL_STATE(2178)] = 70836,
  [SMALL_STATE(2179)] = 70853,
  [SMALL_STATE(2180)] = 70870,
  [SMALL_STATE(2181)] = 70887,
  [SMALL_STATE(2182)] = 70904,
  [SMALL_STATE(2183)] = 70921,
  [SMALL_STATE(2184)] = 70938,
  [SMALL_STATE(2185)] = 70955,
  [SMALL_STATE(2186)] = 70972,
  [SMALL_STATE(2187)] = 70989,
  [SMALL_STATE(2188)] = 71006,
  [SMALL_STATE(2189)] = 71023,
  [SMALL_STATE(2190)] = 71042,
  [SMALL_STATE(2191)] = 71061,
  [SMALL_STATE(2192)] = 71078,
  [SMALL_STATE(2193)] = 71093,
  [SMALL_STATE(2194)] = 71110,
  [SMALL_STATE(2195)] = 71127,
  [SMALL_STATE(2196)] = 71144,
  [SMALL_STATE(2197)] = 71161,
  [SMALL_STATE(2198)] = 71178,
  [SMALL_STATE(2199)] = 71195,
  [SMALL_STATE(2200)] = 71214,
  [SMALL_STATE(2201)] = 71233,
  [SMALL_STATE(2202)] = 71250,
  [SMALL_STATE(2203)] = 71267,
  [SMALL_STATE(2204)] = 71286,
  [SMALL_STATE(2205)] = 71305,
  [SMALL_STATE(2206)] = 71322,
  [SMALL_STATE(2207)] = 71339,
  [SMALL_STATE(2208)] = 71356,
  [SMALL_STATE(2209)] = 71375,
  [SMALL_STATE(2210)] = 71390,
  [SMALL_STATE(2211)] = 71409,
  [SMALL_STATE(2212)] = 71428,
  [SMALL_STATE(2213)] = 71443,
  [SMALL_STATE(2214)] = 71460,
  [SMALL_STATE(2215)] = 71477,
  [SMALL_STATE(2216)] = 71494,
  [SMALL_STATE(2217)] = 71511,
  [SMALL_STATE(2218)] = 71528,
  [SMALL_STATE(2219)] = 71547,
  [SMALL_STATE(2220)] = 71564,
  [SMALL_STATE(2221)] = 71581,
  [SMALL_STATE(2222)] = 71598,
  [SMALL_STATE(2223)] = 71615,
  [SMALL_STATE(2224)] = 71632,
  [SMALL_STATE(2225)] = 71649,
  [SMALL_STATE(2226)] = 71668,
  [SMALL_STATE(2227)] = 71687,
  [SMALL_STATE(2228)] = 71704,
  [SMALL_STATE(2229)] = 71721,
  [SMALL_STATE(2230)] = 71738,
  [SMALL_STATE(2231)] = 71757,
  [SMALL_STATE(2232)] = 71776,
  [SMALL_STATE(2233)] = 71793,
  [SMALL_STATE(2234)] = 71810,
  [SMALL_STATE(2235)] = 71827,
  [SMALL_STATE(2236)] = 71844,
  [SMALL_STATE(2237)] = 71861,
  [SMALL_STATE(2238)] = 71880,
  [SMALL_STATE(2239)] = 71897,
  [SMALL_STATE(2240)] = 71914,
  [SMALL_STATE(2241)] = 71931,
  [SMALL_STATE(2242)] = 71948,
  [SMALL_STATE(2243)] = 71965,
  [SMALL_STATE(2244)] = 71984,
  [SMALL_STATE(2245)] = 72001,
  [SMALL_STATE(2246)] = 72018,
  [SMALL_STATE(2247)] = 72035,
  [SMALL_STATE(2248)] = 72052,
  [SMALL_STATE(2249)] = 72069,
  [SMALL_STATE(2250)] = 72086,
  [SMALL_STATE(2251)] = 72103,
  [SMALL_STATE(2252)] = 72120,
  [SMALL_STATE(2253)] = 72137,
  [SMALL_STATE(2254)] = 72154,
  [SMALL_STATE(2255)] = 72171,
  [SMALL_STATE(2256)] = 72188,
  [SMALL_STATE(2257)] = 72205,
  [SMALL_STATE(2258)] = 72222,
  [SMALL_STATE(2259)] = 72239,
  [SMALL_STATE(2260)] = 72256,
  [SMALL_STATE(2261)] = 72273,
  [SMALL_STATE(2262)] = 72290,
  [SMALL_STATE(2263)] = 72309,
  [SMALL_STATE(2264)] = 72326,
  [SMALL_STATE(2265)] = 72343,
  [SMALL_STATE(2266)] = 72360,
  [SMALL_STATE(2267)] = 72377,
  [SMALL_STATE(2268)] = 72394,
  [SMALL_STATE(2269)] = 72413,
  [SMALL_STATE(2270)] = 72430,
  [SMALL_STATE(2271)] = 72447,
  [SMALL_STATE(2272)] = 72464,
  [SMALL_STATE(2273)] = 72481,
  [SMALL_STATE(2274)] = 72498,
  [SMALL_STATE(2275)] = 72515,
  [SMALL_STATE(2276)] = 72532,
  [SMALL_STATE(2277)] = 72549,
  [SMALL_STATE(2278)] = 72566,
  [SMALL_STATE(2279)] = 72585,
  [SMALL_STATE(2280)] = 72604,
  [SMALL_STATE(2281)] = 72621,
  [SMALL_STATE(2282)] = 72638,
  [SMALL_STATE(2283)] = 72654,
  [SMALL_STATE(2284)] = 72670,
  [SMALL_STATE(2285)] = 72686,
  [SMALL_STATE(2286)] = 72702,
  [SMALL_STATE(2287)] = 72716,
  [SMALL_STATE(2288)] = 72730,
  [SMALL_STATE(2289)] = 72746,
  [SMALL_STATE(2290)] = 72760,
  [SMALL_STATE(2291)] = 72776,
  [SMALL_STATE(2292)] = 72792,
  [SMALL_STATE(2293)] = 72806,
  [SMALL_STATE(2294)] = 72822,
  [SMALL_STATE(2295)] = 72836,
  [SMALL_STATE(2296)] = 72850,
  [SMALL_STATE(2297)] = 72864,
  [SMALL_STATE(2298)] = 72880,
  [SMALL_STATE(2299)] = 72896,
  [SMALL_STATE(2300)] = 72912,
  [SMALL_STATE(2301)] = 72928,
  [SMALL_STATE(2302)] = 72944,
  [SMALL_STATE(2303)] = 72960,
  [SMALL_STATE(2304)] = 72976,
  [SMALL_STATE(2305)] = 72992,
  [SMALL_STATE(2306)] = 73006,
  [SMALL_STATE(2307)] = 73020,
  [SMALL_STATE(2308)] = 73036,
  [SMALL_STATE(2309)] = 73050,
  [SMALL_STATE(2310)] = 73066,
  [SMALL_STATE(2311)] = 73080,
  [SMALL_STATE(2312)] = 73096,
  [SMALL_STATE(2313)] = 73110,
  [SMALL_STATE(2314)] = 73126,
  [SMALL_STATE(2315)] = 73142,
  [SMALL_STATE(2316)] = 73158,
  [SMALL_STATE(2317)] = 73174,
  [SMALL_STATE(2318)] = 73190,
  [SMALL_STATE(2319)] = 73206,
  [SMALL_STATE(2320)] = 73222,
  [SMALL_STATE(2321)] = 73236,
  [SMALL_STATE(2322)] = 73252,
  [SMALL_STATE(2323)] = 73268,
  [SMALL_STATE(2324)] = 73284,
  [SMALL_STATE(2325)] = 73300,
  [SMALL_STATE(2326)] = 73316,
  [SMALL_STATE(2327)] = 73332,
  [SMALL_STATE(2328)] = 73348,
  [SMALL_STATE(2329)] = 73362,
  [SMALL_STATE(2330)] = 73378,
  [SMALL_STATE(2331)] = 73392,
  [SMALL_STATE(2332)] = 73408,
  [SMALL_STATE(2333)] = 73422,
  [SMALL_STATE(2334)] = 73436,
  [SMALL_STATE(2335)] = 73450,
  [SMALL_STATE(2336)] = 73464,
  [SMALL_STATE(2337)] = 73478,
  [SMALL_STATE(2338)] = 73492,
  [SMALL_STATE(2339)] = 73508,
  [SMALL_STATE(2340)] = 73524,
  [SMALL_STATE(2341)] = 73540,
  [SMALL_STATE(2342)] = 73554,
  [SMALL_STATE(2343)] = 73570,
  [SMALL_STATE(2344)] = 73584,
  [SMALL_STATE(2345)] = 73598,
  [SMALL_STATE(2346)] = 73614,
  [SMALL_STATE(2347)] = 73630,
  [SMALL_STATE(2348)] = 73646,
  [SMALL_STATE(2349)] = 73662,
  [SMALL_STATE(2350)] = 73676,
  [SMALL_STATE(2351)] = 73692,
  [SMALL_STATE(2352)] = 73706,
  [SMALL_STATE(2353)] = 73720,
  [SMALL_STATE(2354)] = 73734,
  [SMALL_STATE(2355)] = 73748,
  [SMALL_STATE(2356)] = 73764,
  [SMALL_STATE(2357)] = 73778,
  [SMALL_STATE(2358)] = 73792,
  [SMALL_STATE(2359)] = 73806,
  [SMALL_STATE(2360)] = 73820,
  [SMALL_STATE(2361)] = 73834,
  [SMALL_STATE(2362)] = 73848,
  [SMALL_STATE(2363)] = 73862,
  [SMALL_STATE(2364)] = 73878,
  [SMALL_STATE(2365)] = 73894,
  [SMALL_STATE(2366)] = 73910,
  [SMALL_STATE(2367)] = 73926,
  [SMALL_STATE(2368)] = 73940,
  [SMALL_STATE(2369)] = 73954,
  [SMALL_STATE(2370)] = 73970,
  [SMALL_STATE(2371)] = 73984,
  [SMALL_STATE(2372)] = 74000,
  [SMALL_STATE(2373)] = 74016,
  [SMALL_STATE(2374)] = 74032,
  [SMALL_STATE(2375)] = 74048,
  [SMALL_STATE(2376)] = 74064,
  [SMALL_STATE(2377)] = 74078,
  [SMALL_STATE(2378)] = 74094,
  [SMALL_STATE(2379)] = 74108,
  [SMALL_STATE(2380)] = 74122,
  [SMALL_STATE(2381)] = 74138,
  [SMALL_STATE(2382)] = 74152,
  [SMALL_STATE(2383)] = 74168,
  [SMALL_STATE(2384)] = 74182,
  [SMALL_STATE(2385)] = 74196,
  [SMALL_STATE(2386)] = 74210,
  [SMALL_STATE(2387)] = 74224,
  [SMALL_STATE(2388)] = 74240,
  [SMALL_STATE(2389)] = 74256,
  [SMALL_STATE(2390)] = 74272,
  [SMALL_STATE(2391)] = 74288,
  [SMALL_STATE(2392)] = 74304,
  [SMALL_STATE(2393)] = 74318,
  [SMALL_STATE(2394)] = 74332,
  [SMALL_STATE(2395)] = 74348,
  [SMALL_STATE(2396)] = 74364,
  [SMALL_STATE(2397)] = 74380,
  [SMALL_STATE(2398)] = 74394,
  [SMALL_STATE(2399)] = 74408,
  [SMALL_STATE(2400)] = 74422,
  [SMALL_STATE(2401)] = 74438,
  [SMALL_STATE(2402)] = 74452,
  [SMALL_STATE(2403)] = 74466,
  [SMALL_STATE(2404)] = 74482,
  [SMALL_STATE(2405)] = 74496,
  [SMALL_STATE(2406)] = 74512,
  [SMALL_STATE(2407)] = 74526,
  [SMALL_STATE(2408)] = 74542,
  [SMALL_STATE(2409)] = 74558,
  [SMALL_STATE(2410)] = 74574,
  [SMALL_STATE(2411)] = 74590,
  [SMALL_STATE(2412)] = 74606,
  [SMALL_STATE(2413)] = 74622,
  [SMALL_STATE(2414)] = 74638,
  [SMALL_STATE(2415)] = 74654,
  [SMALL_STATE(2416)] = 74668,
  [SMALL_STATE(2417)] = 74684,
  [SMALL_STATE(2418)] = 74698,
  [SMALL_STATE(2419)] = 74712,
  [SMALL_STATE(2420)] = 74726,
  [SMALL_STATE(2421)] = 74742,
  [SMALL_STATE(2422)] = 74756,
  [SMALL_STATE(2423)] = 74772,
  [SMALL_STATE(2424)] = 74788,
  [SMALL_STATE(2425)] = 74804,
  [SMALL_STATE(2426)] = 74818,
  [SMALL_STATE(2427)] = 74832,
  [SMALL_STATE(2428)] = 74846,
  [SMALL_STATE(2429)] = 74862,
  [SMALL_STATE(2430)] = 74878,
  [SMALL_STATE(2431)] = 74892,
  [SMALL_STATE(2432)] = 74908,
  [SMALL_STATE(2433)] = 74922,
  [SMALL_STATE(2434)] = 74936,
  [SMALL_STATE(2435)] = 74952,
  [SMALL_STATE(2436)] = 74968,
  [SMALL_STATE(2437)] = 74982,
  [SMALL_STATE(2438)] = 74996,
  [SMALL_STATE(2439)] = 75010,
  [SMALL_STATE(2440)] = 75026,
  [SMALL_STATE(2441)] = 75042,
  [SMALL_STATE(2442)] = 75056,
  [SMALL_STATE(2443)] = 75070,
  [SMALL_STATE(2444)] = 75086,
  [SMALL_STATE(2445)] = 75100,
  [SMALL_STATE(2446)] = 75116,
  [SMALL_STATE(2447)] = 75132,
  [SMALL_STATE(2448)] = 75148,
  [SMALL_STATE(2449)] = 75164,
  [SMALL_STATE(2450)] = 75180,
  [SMALL_STATE(2451)] = 75194,
  [SMALL_STATE(2452)] = 75210,
  [SMALL_STATE(2453)] = 75224,
  [SMALL_STATE(2454)] = 75238,
  [SMALL_STATE(2455)] = 75254,
  [SMALL_STATE(2456)] = 75270,
  [SMALL_STATE(2457)] = 75286,
  [SMALL_STATE(2458)] = 75302,
  [SMALL_STATE(2459)] = 75318,
  [SMALL_STATE(2460)] = 75332,
  [SMALL_STATE(2461)] = 75346,
  [SMALL_STATE(2462)] = 75362,
  [SMALL_STATE(2463)] = 75378,
  [SMALL_STATE(2464)] = 75392,
  [SMALL_STATE(2465)] = 75406,
  [SMALL_STATE(2466)] = 75420,
  [SMALL_STATE(2467)] = 75436,
  [SMALL_STATE(2468)] = 75452,
  [SMALL_STATE(2469)] = 75466,
  [SMALL_STATE(2470)] = 75482,
  [SMALL_STATE(2471)] = 75498,
  [SMALL_STATE(2472)] = 75512,
  [SMALL_STATE(2473)] = 75526,
  [SMALL_STATE(2474)] = 75542,
  [SMALL_STATE(2475)] = 75556,
  [SMALL_STATE(2476)] = 75570,
  [SMALL_STATE(2477)] = 75584,
  [SMALL_STATE(2478)] = 75600,
  [SMALL_STATE(2479)] = 75616,
  [SMALL_STATE(2480)] = 75630,
  [SMALL_STATE(2481)] = 75646,
  [SMALL_STATE(2482)] = 75662,
  [SMALL_STATE(2483)] = 75678,
  [SMALL_STATE(2484)] = 75694,
  [SMALL_STATE(2485)] = 75708,
  [SMALL_STATE(2486)] = 75722,
  [SMALL_STATE(2487)] = 75738,
  [SMALL_STATE(2488)] = 75754,
  [SMALL_STATE(2489)] = 75768,
  [SMALL_STATE(2490)] = 75784,
  [SMALL_STATE(2491)] = 75800,
  [SMALL_STATE(2492)] = 75816,
  [SMALL_STATE(2493)] = 75832,
  [SMALL_STATE(2494)] = 75846,
  [SMALL_STATE(2495)] = 75862,
  [SMALL_STATE(2496)] = 75876,
  [SMALL_STATE(2497)] = 75890,
  [SMALL_STATE(2498)] = 75906,
  [SMALL_STATE(2499)] = 75922,
  [SMALL_STATE(2500)] = 75938,
  [SMALL_STATE(2501)] = 75952,
  [SMALL_STATE(2502)] = 75968,
  [SMALL_STATE(2503)] = 75982,
  [SMALL_STATE(2504)] = 75998,
  [SMALL_STATE(2505)] = 76014,
  [SMALL_STATE(2506)] = 76030,
  [SMALL_STATE(2507)] = 76046,
  [SMALL_STATE(2508)] = 76060,
  [SMALL_STATE(2509)] = 76074,
  [SMALL_STATE(2510)] = 76088,
  [SMALL_STATE(2511)] = 76104,
  [SMALL_STATE(2512)] = 76120,
  [SMALL_STATE(2513)] = 76136,
  [SMALL_STATE(2514)] = 76152,
  [SMALL_STATE(2515)] = 76166,
  [SMALL_STATE(2516)] = 76182,
  [SMALL_STATE(2517)] = 76198,
  [SMALL_STATE(2518)] = 76214,
  [SMALL_STATE(2519)] = 76230,
  [SMALL_STATE(2520)] = 76244,
  [SMALL_STATE(2521)] = 76260,
  [SMALL_STATE(2522)] = 76274,
  [SMALL_STATE(2523)] = 76288,
  [SMALL_STATE(2524)] = 76302,
  [SMALL_STATE(2525)] = 76316,
  [SMALL_STATE(2526)] = 76332,
  [SMALL_STATE(2527)] = 76348,
  [SMALL_STATE(2528)] = 76364,
  [SMALL_STATE(2529)] = 76380,
  [SMALL_STATE(2530)] = 76396,
  [SMALL_STATE(2531)] = 76412,
  [SMALL_STATE(2532)] = 76426,
  [SMALL_STATE(2533)] = 76442,
  [SMALL_STATE(2534)] = 76456,
  [SMALL_STATE(2535)] = 76472,
  [SMALL_STATE(2536)] = 76488,
  [SMALL_STATE(2537)] = 76504,
  [SMALL_STATE(2538)] = 76518,
  [SMALL_STATE(2539)] = 76534,
  [SMALL_STATE(2540)] = 76548,
  [SMALL_STATE(2541)] = 76562,
  [SMALL_STATE(2542)] = 76578,
  [SMALL_STATE(2543)] = 76594,
  [SMALL_STATE(2544)] = 76608,
  [SMALL_STATE(2545)] = 76622,
  [SMALL_STATE(2546)] = 76638,
  [SMALL_STATE(2547)] = 76652,
  [SMALL_STATE(2548)] = 76668,
  [SMALL_STATE(2549)] = 76682,
  [SMALL_STATE(2550)] = 76696,
  [SMALL_STATE(2551)] = 76710,
  [SMALL_STATE(2552)] = 76726,
  [SMALL_STATE(2553)] = 76740,
  [SMALL_STATE(2554)] = 76756,
  [SMALL_STATE(2555)] = 76772,
  [SMALL_STATE(2556)] = 76788,
  [SMALL_STATE(2557)] = 76804,
  [SMALL_STATE(2558)] = 76820,
  [SMALL_STATE(2559)] = 76834,
  [SMALL_STATE(2560)] = 76848,
  [SMALL_STATE(2561)] = 76864,
  [SMALL_STATE(2562)] = 76880,
  [SMALL_STATE(2563)] = 76896,
  [SMALL_STATE(2564)] = 76912,
  [SMALL_STATE(2565)] = 76926,
  [SMALL_STATE(2566)] = 76942,
  [SMALL_STATE(2567)] = 76956,
  [SMALL_STATE(2568)] = 76970,
  [SMALL_STATE(2569)] = 76986,
  [SMALL_STATE(2570)] = 77000,
  [SMALL_STATE(2571)] = 77016,
  [SMALL_STATE(2572)] = 77030,
  [SMALL_STATE(2573)] = 77046,
  [SMALL_STATE(2574)] = 77062,
  [SMALL_STATE(2575)] = 77076,
  [SMALL_STATE(2576)] = 77092,
  [SMALL_STATE(2577)] = 77108,
  [SMALL_STATE(2578)] = 77121,
  [SMALL_STATE(2579)] = 77134,
  [SMALL_STATE(2580)] = 77147,
  [SMALL_STATE(2581)] = 77160,
  [SMALL_STATE(2582)] = 77173,
  [SMALL_STATE(2583)] = 77186,
  [SMALL_STATE(2584)] = 77199,
  [SMALL_STATE(2585)] = 77212,
  [SMALL_STATE(2586)] = 77225,
  [SMALL_STATE(2587)] = 77238,
  [SMALL_STATE(2588)] = 77251,
  [SMALL_STATE(2589)] = 77264,
  [SMALL_STATE(2590)] = 77277,
  [SMALL_STATE(2591)] = 77290,
  [SMALL_STATE(2592)] = 77303,
  [SMALL_STATE(2593)] = 77316,
  [SMALL_STATE(2594)] = 77329,
  [SMALL_STATE(2595)] = 77342,
  [SMALL_STATE(2596)] = 77355,
  [SMALL_STATE(2597)] = 77368,
  [SMALL_STATE(2598)] = 77381,
  [SMALL_STATE(2599)] = 77394,
  [SMALL_STATE(2600)] = 77407,
  [SMALL_STATE(2601)] = 77420,
  [SMALL_STATE(2602)] = 77433,
  [SMALL_STATE(2603)] = 77446,
  [SMALL_STATE(2604)] = 77459,
  [SMALL_STATE(2605)] = 77472,
  [SMALL_STATE(2606)] = 77485,
  [SMALL_STATE(2607)] = 77498,
  [SMALL_STATE(2608)] = 77511,
  [SMALL_STATE(2609)] = 77524,
  [SMALL_STATE(2610)] = 77537,
  [SMALL_STATE(2611)] = 77550,
  [SMALL_STATE(2612)] = 77563,
  [SMALL_STATE(2613)] = 77576,
  [SMALL_STATE(2614)] = 77589,
  [SMALL_STATE(2615)] = 77602,
  [SMALL_STATE(2616)] = 77615,
  [SMALL_STATE(2617)] = 77628,
  [SMALL_STATE(2618)] = 77641,
  [SMALL_STATE(2619)] = 77654,
  [SMALL_STATE(2620)] = 77667,
  [SMALL_STATE(2621)] = 77680,
  [SMALL_STATE(2622)] = 77693,
  [SMALL_STATE(2623)] = 77706,
  [SMALL_STATE(2624)] = 77719,
  [SMALL_STATE(2625)] = 77732,
  [SMALL_STATE(2626)] = 77745,
  [SMALL_STATE(2627)] = 77758,
  [SMALL_STATE(2628)] = 77771,
  [SMALL_STATE(2629)] = 77784,
  [SMALL_STATE(2630)] = 77797,
  [SMALL_STATE(2631)] = 77810,
  [SMALL_STATE(2632)] = 77823,
  [SMALL_STATE(2633)] = 77836,
  [SMALL_STATE(2634)] = 77849,
  [SMALL_STATE(2635)] = 77862,
  [SMALL_STATE(2636)] = 77875,
  [SMALL_STATE(2637)] = 77888,
  [SMALL_STATE(2638)] = 77901,
  [SMALL_STATE(2639)] = 77914,
  [SMALL_STATE(2640)] = 77927,
  [SMALL_STATE(2641)] = 77940,
  [SMALL_STATE(2642)] = 77953,
  [SMALL_STATE(2643)] = 77966,
  [SMALL_STATE(2644)] = 77979,
  [SMALL_STATE(2645)] = 77992,
  [SMALL_STATE(2646)] = 78005,
  [SMALL_STATE(2647)] = 78018,
  [SMALL_STATE(2648)] = 78031,
  [SMALL_STATE(2649)] = 78044,
  [SMALL_STATE(2650)] = 78057,
  [SMALL_STATE(2651)] = 78070,
  [SMALL_STATE(2652)] = 78083,
  [SMALL_STATE(2653)] = 78096,
  [SMALL_STATE(2654)] = 78109,
  [SMALL_STATE(2655)] = 78122,
  [SMALL_STATE(2656)] = 78135,
  [SMALL_STATE(2657)] = 78148,
  [SMALL_STATE(2658)] = 78161,
  [SMALL_STATE(2659)] = 78174,
  [SMALL_STATE(2660)] = 78187,
  [SMALL_STATE(2661)] = 78200,
  [SMALL_STATE(2662)] = 78213,
  [SMALL_STATE(2663)] = 78226,
  [SMALL_STATE(2664)] = 78239,
  [SMALL_STATE(2665)] = 78252,
  [SMALL_STATE(2666)] = 78265,
  [SMALL_STATE(2667)] = 78278,
  [SMALL_STATE(2668)] = 78291,
  [SMALL_STATE(2669)] = 78304,
  [SMALL_STATE(2670)] = 78317,
  [SMALL_STATE(2671)] = 78330,
  [SMALL_STATE(2672)] = 78343,
  [SMALL_STATE(2673)] = 78356,
  [SMALL_STATE(2674)] = 78369,
  [SMALL_STATE(2675)] = 78382,
  [SMALL_STATE(2676)] = 78395,
  [SMALL_STATE(2677)] = 78408,
  [SMALL_STATE(2678)] = 78421,
  [SMALL_STATE(2679)] = 78434,
  [SMALL_STATE(2680)] = 78447,
  [SMALL_STATE(2681)] = 78460,
  [SMALL_STATE(2682)] = 78473,
  [SMALL_STATE(2683)] = 78486,
  [SMALL_STATE(2684)] = 78499,
  [SMALL_STATE(2685)] = 78512,
  [SMALL_STATE(2686)] = 78525,
  [SMALL_STATE(2687)] = 78538,
  [SMALL_STATE(2688)] = 78551,
  [SMALL_STATE(2689)] = 78564,
  [SMALL_STATE(2690)] = 78577,
  [SMALL_STATE(2691)] = 78590,
  [SMALL_STATE(2692)] = 78603,
  [SMALL_STATE(2693)] = 78616,
  [SMALL_STATE(2694)] = 78629,
  [SMALL_STATE(2695)] = 78642,
  [SMALL_STATE(2696)] = 78655,
  [SMALL_STATE(2697)] = 78668,
  [SMALL_STATE(2698)] = 78681,
  [SMALL_STATE(2699)] = 78694,
  [SMALL_STATE(2700)] = 78707,
  [SMALL_STATE(2701)] = 78720,
  [SMALL_STATE(2702)] = 78733,
  [SMALL_STATE(2703)] = 78746,
  [SMALL_STATE(2704)] = 78759,
  [SMALL_STATE(2705)] = 78772,
  [SMALL_STATE(2706)] = 78785,
  [SMALL_STATE(2707)] = 78798,
  [SMALL_STATE(2708)] = 78811,
  [SMALL_STATE(2709)] = 78824,
  [SMALL_STATE(2710)] = 78837,
  [SMALL_STATE(2711)] = 78850,
  [SMALL_STATE(2712)] = 78863,
  [SMALL_STATE(2713)] = 78876,
  [SMALL_STATE(2714)] = 78889,
  [SMALL_STATE(2715)] = 78902,
  [SMALL_STATE(2716)] = 78915,
  [SMALL_STATE(2717)] = 78928,
  [SMALL_STATE(2718)] = 78941,
  [SMALL_STATE(2719)] = 78954,
  [SMALL_STATE(2720)] = 78967,
  [SMALL_STATE(2721)] = 78980,
  [SMALL_STATE(2722)] = 78993,
  [SMALL_STATE(2723)] = 79006,
  [SMALL_STATE(2724)] = 79019,
  [SMALL_STATE(2725)] = 79032,
  [SMALL_STATE(2726)] = 79045,
  [SMALL_STATE(2727)] = 79058,
  [SMALL_STATE(2728)] = 79071,
  [SMALL_STATE(2729)] = 79084,
  [SMALL_STATE(2730)] = 79097,
  [SMALL_STATE(2731)] = 79110,
  [SMALL_STATE(2732)] = 79123,
  [SMALL_STATE(2733)] = 79136,
  [SMALL_STATE(2734)] = 79149,
  [SMALL_STATE(2735)] = 79162,
  [SMALL_STATE(2736)] = 79175,
  [SMALL_STATE(2737)] = 79188,
  [SMALL_STATE(2738)] = 79201,
  [SMALL_STATE(2739)] = 79214,
  [SMALL_STATE(2740)] = 79227,
  [SMALL_STATE(2741)] = 79240,
  [SMALL_STATE(2742)] = 79253,
  [SMALL_STATE(2743)] = 79266,
  [SMALL_STATE(2744)] = 79279,
  [SMALL_STATE(2745)] = 79292,
  [SMALL_STATE(2746)] = 79305,
  [SMALL_STATE(2747)] = 79318,
  [SMALL_STATE(2748)] = 79331,
  [SMALL_STATE(2749)] = 79344,
  [SMALL_STATE(2750)] = 79357,
  [SMALL_STATE(2751)] = 79370,
  [SMALL_STATE(2752)] = 79383,
  [SMALL_STATE(2753)] = 79396,
  [SMALL_STATE(2754)] = 79409,
  [SMALL_STATE(2755)] = 79422,
  [SMALL_STATE(2756)] = 79435,
  [SMALL_STATE(2757)] = 79448,
  [SMALL_STATE(2758)] = 79461,
  [SMALL_STATE(2759)] = 79474,
  [SMALL_STATE(2760)] = 79487,
  [SMALL_STATE(2761)] = 79500,
  [SMALL_STATE(2762)] = 79513,
  [SMALL_STATE(2763)] = 79526,
  [SMALL_STATE(2764)] = 79539,
  [SMALL_STATE(2765)] = 79552,
  [SMALL_STATE(2766)] = 79565,
  [SMALL_STATE(2767)] = 79578,
  [SMALL_STATE(2768)] = 79591,
  [SMALL_STATE(2769)] = 79604,
  [SMALL_STATE(2770)] = 79617,
  [SMALL_STATE(2771)] = 79630,
  [SMALL_STATE(2772)] = 79643,
  [SMALL_STATE(2773)] = 79656,
  [SMALL_STATE(2774)] = 79669,
  [SMALL_STATE(2775)] = 79682,
  [SMALL_STATE(2776)] = 79695,
  [SMALL_STATE(2777)] = 79708,
  [SMALL_STATE(2778)] = 79721,
  [SMALL_STATE(2779)] = 79734,
  [SMALL_STATE(2780)] = 79747,
  [SMALL_STATE(2781)] = 79760,
  [SMALL_STATE(2782)] = 79773,
  [SMALL_STATE(2783)] = 79786,
  [SMALL_STATE(2784)] = 79799,
  [SMALL_STATE(2785)] = 79812,
  [SMALL_STATE(2786)] = 79825,
  [SMALL_STATE(2787)] = 79838,
  [SMALL_STATE(2788)] = 79851,
  [SMALL_STATE(2789)] = 79855,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [19] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(853),
  [22] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(519),
  [25] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1427),
  [28] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [31] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1747),
  [34] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1495),
  [37] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1599),
  [40] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1233),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2326),
  [46] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(24),
  [49] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2745),
  [52] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2742),
  [55] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2741),
  [58] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [60] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2738),
  [63] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [66] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1404),
  [69] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1403),
  [72] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [75] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1401),
  [78] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1955),
  [81] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(125),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2713),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2006),
  [93] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2711),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2709),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2365),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2685),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(236),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(234),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(339),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2372),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(113),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2691),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2703),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2389),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2390),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2391),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(396),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(396),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(397),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(629),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(399),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(719),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(929),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2681),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(785),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1189),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1195),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1468),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1704),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2015),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1471),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1794),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(118),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(334),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(356),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(406),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(286),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 134),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 134),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 134),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 134),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2776),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2387),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2785),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2615),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2373),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(976),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(807),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 3),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 3),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2729),
  [1098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2338),
  [1101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [1109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2298),
  [1116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(108),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2298),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(108),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90),
  [1137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90), SHIFT_REPEAT(2298),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 189),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 189),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 167),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 167),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 87),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 87),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 182),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 182),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 155),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 155),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 64),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 64),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 106),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 106),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 194),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 194),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 68),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 68),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 112),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 112),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 195),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 195),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 182),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 182),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 174),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 174),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 172),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 172),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 64),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 64),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 64),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 64),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 106),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 106),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 199),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 199),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 200),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 200),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 174),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 174),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 201),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 201),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 202),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 202),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 203),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 203),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 194),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 194),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 172),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 172),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 205),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 205),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 199),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 199),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 207),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 207),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 155),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 155),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 148),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 148),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 154),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 154),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 149),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 149),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 178),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 178),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 89),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 89),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 111),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 111),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 174),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 174),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 112),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 112),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 173),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 173),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 89),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 89),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 88),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 88),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 113),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 113),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 171),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 171),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 87),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 87),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 86),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 86),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [1736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, 0, 102),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, 0, 102),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 102),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 102),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 62),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 62),
  [1792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 61),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 61),
  [1804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 144),
  [1826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 144),
  [1828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, 0, 144),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, 0, 144),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 62),
  [1834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 62),
  [1836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, 0, 143),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, 0, 143),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [1858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2626),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 101),
  [1931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 101),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1531),
  [1983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(785),
  [1986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2030),
  [1989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2326),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [1997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2699),
  [2000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(159),
  [2003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1497),
  [2006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1709),
  [2009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2160),
  [2012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1784),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 94),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 94),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 93),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 93),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 139),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 139),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 93),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 93),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 52),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 52),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 51),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 51),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 137),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 137),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 138),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 138),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 19),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 19),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 50),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 50),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 138),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 138),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 91),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 91),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 92),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 92),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 175),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 175),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 175),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 175),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 53),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 53),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 180),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 180),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 181),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 181),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 179),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 179),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 177),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 177),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 176),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 176),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 63),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 63),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 152),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 152),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 151),
  [2229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 151),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 150),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 150),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 147),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 147),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 142),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 142),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [2273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 196),
  [2277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 196),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 82),
  [2311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 82),
  [2313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 56),
  [2327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 56),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 81),
  [2339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 81),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 125),
  [2359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 125),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [2363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [2379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [2381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 108),
  [2391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 108),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 104),
  [2399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 104),
  [2401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 103),
  [2403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 103),
  [2405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 96),
  [2407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 96),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 98),
  [2411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 98),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 97),
  [2419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 97),
  [2421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [2430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 100),
  [2478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 100),
  [2480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1, 0, 0),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [2488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 22),
  [2490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [2500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1404),
  [2503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1403),
  [2506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [2509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1401),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 59),
  [2518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 59),
  [2520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 21),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 60),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2, 0, 0),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 28),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 78),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 114),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 116),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 118),
  [2740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [2743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1521),
  [2746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1635),
  [2749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1233),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [2757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1404),
  [2760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1403),
  [2763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [2766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1401),
  [2769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 133),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 132),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 186),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 185),
  [2790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 184),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 183),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 124),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 156),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 157),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 158),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 159),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 197),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 161),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 163),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 54),
  [2834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 55),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [2844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 95),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [2984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [2987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1521),
  [2990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1635),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2603),
  [2998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [3001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1404),
  [3004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1403),
  [3007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [3010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1401),
  [3013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [3028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [3036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [3044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [3090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(377),
  [3093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [3096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [3099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1504),
  [3102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1761),
  [3105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [3113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1504),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [3122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(377),
  [3125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1634),
  [3128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1634),
  [3131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1761),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 127),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 165),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 166),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 9),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 27),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 84),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [3152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [3154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [3162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 198),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 126),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 40),
  [3192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 187),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1, 0, 0),
  [3200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 11),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 85),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 0),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 187),
  [3220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 188),
  [3224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 39),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 164),
  [3228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 164),
  [3230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(313),
  [3233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1728),
  [3236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1728),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1804),
  [3244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [3250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 74),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [3260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(300),
  [3263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1696),
  [3266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1696),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1740),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 83),
  [3278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 39),
  [3280] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [3287] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [3312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__types, 1, 0, 0),
  [3314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1, 0, 0),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [3318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [3324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [3332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [3346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1423),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [3355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [3365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1422),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1412),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [3585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2764),
  [3588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2345),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [3597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [3615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3619] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1424),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [3631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [3635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(303),
  [3640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2286),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [3655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [3687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2551),
  [3694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(112),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [3699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2551),
  [3702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(112),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [3719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [3741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2103),
  [3746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2104),
  [3749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2626),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [3778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [3792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 13),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 0),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [3869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2717),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [3898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [3900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90),
  [3902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90), SHIFT_REPEAT(2324),
  [3905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1529),
  [3930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1844),
  [3935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1844),
  [3938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [3982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1896),
  [3985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1896),
  [3988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2717),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [3993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1419),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1409),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [4009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1425),
  [4012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1420),
  [4015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90), SHIFT_REPEAT(2551),
  [4018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1421),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [4023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 34),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [4027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [4029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [4032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [4034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1516),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [4051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [4053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [4055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [4057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2127),
  [4060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1424),
  [4063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [4065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2124),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [4078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 2),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [4092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1, 0, 0),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [4096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2, 0, 0),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [4116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [4118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [4120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1996),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [4131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [4149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [4165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1525),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [4188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [4190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1627),
  [4193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1, 0, 0),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [4205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2014),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [4218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1424),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [4227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2104),
  [4230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(440),
  [4253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [4261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 136),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [4265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1, 0, 0),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1812),
  [4274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 160),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1892),
  [4287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(180),
  [4294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2, 0, 0),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [4324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 136),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [4330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [4333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 26),
  [4341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 123),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [4345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 121),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 120),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 115),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [4363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 109),
  [4367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [4370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [4376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 49),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [4388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 4),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [4408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(177),
  [4427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [4435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3, 0, 0),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [4441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2, 0, 0),
  [4443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 6),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [4449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 29),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [4465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 30),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 77),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [4487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 76),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 75),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(930),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 73),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [4505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [4509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 71),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 70),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 31),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 67),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [4529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 32),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 33),
  [4539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 36),
  [4541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 57),
  [4543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 0),
  [4545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [4559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 79),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1514),
  [4570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [4576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [4579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 49),
  [4581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(188),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 49),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 48),
  [4610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 2),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 15),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 135),
  [4656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1, 0, 0), SHIFT(2570),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3, 0, 0),
  [4687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [4694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 162),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [4760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 119),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 74),
  [4778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2, 0, 0),
  [4782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 122),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 117),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [4820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 69),
  [4822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2626),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [4829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 72),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [4861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 11),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0), SHIFT(2570),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 4),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [4925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [4929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [4965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 3),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [4973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [4991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 99),
  [4993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4, 0, 0),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [5003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 107),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [5019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 110),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [5037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 66),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [5085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 58),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [5169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1, 0, 0),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [5177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 42),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [5223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 153),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [5229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 16),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [5281] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [5289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2, 0, 0),
  [5291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [12] = {
    [ts_external_token_heredoc_end] = true,
  },
  [13] = {
    [ts_external_token_heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
